"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionsRequestBuilder = void 0;
const oDataError_1 = require("../../../../../../models/oDataErrors/oDataError");
const workbookFunctions_1 = require("../../../../../../models/workbookFunctions");
const abs_1 = require("./abs/");
const accrInt_1 = require("./accrInt/");
const accrIntM_1 = require("./accrIntM/");
const acos_1 = require("./acos/");
const acosh_1 = require("./acosh/");
const acot_1 = require("./acot/");
const acoth_1 = require("./acoth/");
const amorDegrc_1 = require("./amorDegrc/");
const amorLinc_1 = require("./amorLinc/");
const and_1 = require("./and/");
const arabic_1 = require("./arabic/");
const areas_1 = require("./areas/");
const asc_1 = require("./asc/");
const asin_1 = require("./asin/");
const asinh_1 = require("./asinh/");
const atan_1 = require("./atan/");
const atan2_1 = require("./atan2/");
const atanh_1 = require("./atanh/");
const aveDev_1 = require("./aveDev/");
const average_1 = require("./average/");
const averageA_1 = require("./averageA/");
const averageIf_1 = require("./averageIf/");
const averageIfs_1 = require("./averageIfs/");
const bahtText_1 = require("./bahtText/");
const base_1 = require("./base/");
const besselI_1 = require("./besselI/");
const besselJ_1 = require("./besselJ/");
const besselK_1 = require("./besselK/");
const besselY_1 = require("./besselY/");
const beta_Dist_1 = require("./beta_Dist/");
const beta_Inv_1 = require("./beta_Inv/");
const bin2Dec_1 = require("./bin2Dec/");
const bin2Hex_1 = require("./bin2Hex/");
const bin2Oct_1 = require("./bin2Oct/");
const binom_Dist_Range_1 = require("./binom_Dist_Range/");
const binom_Dist_1 = require("./binom_Dist/");
const binom_Inv_1 = require("./binom_Inv/");
const bitand_1 = require("./bitand/");
const bitlshift_1 = require("./bitlshift/");
const bitor_1 = require("./bitor/");
const bitrshift_1 = require("./bitrshift/");
const bitxor_1 = require("./bitxor/");
const ceiling_Math_1 = require("./ceiling_Math/");
const ceiling_Precise_1 = require("./ceiling_Precise/");
const char_1 = require("./char/");
const chiSq_Dist_RT_1 = require("./chiSq_Dist_RT/");
const chiSq_Dist_1 = require("./chiSq_Dist/");
const chiSq_Inv_RT_1 = require("./chiSq_Inv_RT/");
const chiSq_Inv_1 = require("./chiSq_Inv/");
const choose_1 = require("./choose/");
const clean_1 = require("./clean/");
const code_1 = require("./code/");
const columns_1 = require("./columns/");
const combin_1 = require("./combin/");
const combina_1 = require("./combina/");
const complex_1 = require("./complex/");
const concatenate_1 = require("./concatenate/");
const confidence_Norm_1 = require("./confidence_Norm/");
const confidence_T_1 = require("./confidence_T/");
const convert_1 = require("./convert/");
const cos_1 = require("./cos/");
const cosh_1 = require("./cosh/");
const cot_1 = require("./cot/");
const coth_1 = require("./coth/");
const count_1 = require("./count/");
const countA_1 = require("./countA/");
const countBlank_1 = require("./countBlank/");
const countIf_1 = require("./countIf/");
const countIfs_1 = require("./countIfs/");
const coupDayBs_1 = require("./coupDayBs/");
const coupDays_1 = require("./coupDays/");
const coupDaysNc_1 = require("./coupDaysNc/");
const coupNcd_1 = require("./coupNcd/");
const coupNum_1 = require("./coupNum/");
const coupPcd_1 = require("./coupPcd/");
const csc_1 = require("./csc/");
const csch_1 = require("./csch/");
const cumIPmt_1 = require("./cumIPmt/");
const cumPrinc_1 = require("./cumPrinc/");
const date_1 = require("./date/");
const datevalue_1 = require("./datevalue/");
const daverage_1 = require("./daverage/");
const day_1 = require("./day/");
const days_1 = require("./days/");
const days360_1 = require("./days360/");
const db_1 = require("./db/");
const dbcs_1 = require("./dbcs/");
const dcount_1 = require("./dcount/");
const dcountA_1 = require("./dcountA/");
const ddb_1 = require("./ddb/");
const dec2Bin_1 = require("./dec2Bin/");
const dec2Hex_1 = require("./dec2Hex/");
const dec2Oct_1 = require("./dec2Oct/");
const decimal_1 = require("./decimal/");
const degrees_1 = require("./degrees/");
const delta_1 = require("./delta/");
const devSq_1 = require("./devSq/");
const dget_1 = require("./dget/");
const disc_1 = require("./disc/");
const dmax_1 = require("./dmax/");
const dmin_1 = require("./dmin/");
const dollar_1 = require("./dollar/");
const dollarDe_1 = require("./dollarDe/");
const dollarFr_1 = require("./dollarFr/");
const dproduct_1 = require("./dproduct/");
const dstDev_1 = require("./dstDev/");
const dstDevP_1 = require("./dstDevP/");
const dsum_1 = require("./dsum/");
const duration_1 = require("./duration/");
const dvar_1 = require("./dvar/");
const dvarP_1 = require("./dvarP/");
const ecma_Ceiling_1 = require("./ecma_Ceiling/");
const edate_1 = require("./edate/");
const effect_1 = require("./effect/");
const eoMonth_1 = require("./eoMonth/");
const erf_Precise_1 = require("./erf_Precise/");
const erf_1 = require("./erf/");
const erfC_Precise_1 = require("./erfC_Precise/");
const erfC_1 = require("./erfC/");
const error_Type_1 = require("./error_Type/");
const even_1 = require("./even/");
const exact_1 = require("./exact/");
const exp_1 = require("./exp/");
const expon_Dist_1 = require("./expon_Dist/");
const f_Dist_RT_1 = require("./f_Dist_RT/");
const f_Dist_1 = require("./f_Dist/");
const f_Inv_RT_1 = require("./f_Inv_RT/");
const f_Inv_1 = require("./f_Inv/");
const fact_1 = require("./fact/");
const factDouble_1 = require("./factDouble/");
const falseEscaped_1 = require("./falseEscaped/");
const find_1 = require("./find/");
const findB_1 = require("./findB/");
const fisher_1 = require("./fisher/");
const fisherInv_1 = require("./fisherInv/");
const fixed_1 = require("./fixed/");
const floor_Math_1 = require("./floor_Math/");
const floor_Precise_1 = require("./floor_Precise/");
const fv_1 = require("./fv/");
const fvschedule_1 = require("./fvschedule/");
const gamma_Dist_1 = require("./gamma_Dist/");
const gamma_Inv_1 = require("./gamma_Inv/");
const gamma_1 = require("./gamma/");
const gammaLn_Precise_1 = require("./gammaLn_Precise/");
const gammaLn_1 = require("./gammaLn/");
const gauss_1 = require("./gauss/");
const gcd_1 = require("./gcd/");
const geoMean_1 = require("./geoMean/");
const geStep_1 = require("./geStep/");
const harMean_1 = require("./harMean/");
const hex2Bin_1 = require("./hex2Bin/");
const hex2Dec_1 = require("./hex2Dec/");
const hex2Oct_1 = require("./hex2Oct/");
const hlookup_1 = require("./hlookup/");
const hour_1 = require("./hour/");
const hyperlink_1 = require("./hyperlink/");
const hypGeom_Dist_1 = require("./hypGeom_Dist/");
const ifEscaped_1 = require("./ifEscaped/");
const imAbs_1 = require("./imAbs/");
const imaginary_1 = require("./imaginary/");
const imArgument_1 = require("./imArgument/");
const imConjugate_1 = require("./imConjugate/");
const imCos_1 = require("./imCos/");
const imCosh_1 = require("./imCosh/");
const imCot_1 = require("./imCot/");
const imCsc_1 = require("./imCsc/");
const imCsch_1 = require("./imCsch/");
const imDiv_1 = require("./imDiv/");
const imExp_1 = require("./imExp/");
const imLn_1 = require("./imLn/");
const imLog10_1 = require("./imLog10/");
const imLog2_1 = require("./imLog2/");
const imPower_1 = require("./imPower/");
const imProduct_1 = require("./imProduct/");
const imReal_1 = require("./imReal/");
const imSec_1 = require("./imSec/");
const imSech_1 = require("./imSech/");
const imSin_1 = require("./imSin/");
const imSinh_1 = require("./imSinh/");
const imSqrt_1 = require("./imSqrt/");
const imSub_1 = require("./imSub/");
const imSum_1 = require("./imSum/");
const imTan_1 = require("./imTan/");
const int_1 = require("./int/");
const intRate_1 = require("./intRate/");
const ipmt_1 = require("./ipmt/");
const irr_1 = require("./irr/");
const isErr_1 = require("./isErr/");
const isError_1 = require("./isError/");
const isEven_1 = require("./isEven/");
const isFormula_1 = require("./isFormula/");
const isLogical_1 = require("./isLogical/");
const isNA_1 = require("./isNA/");
const isNonText_1 = require("./isNonText/");
const isNumber_1 = require("./isNumber/");
const iso_Ceiling_1 = require("./iso_Ceiling/");
const isOdd_1 = require("./isOdd/");
const isoWeekNum_1 = require("./isoWeekNum/");
const ispmt_1 = require("./ispmt/");
const isref_1 = require("./isref/");
const isText_1 = require("./isText/");
const kurt_1 = require("./kurt/");
const large_1 = require("./large/");
const lcm_1 = require("./lcm/");
const left_1 = require("./left/");
const leftb_1 = require("./leftb/");
const len_1 = require("./len/");
const lenb_1 = require("./lenb/");
const ln_1 = require("./ln/");
const log_1 = require("./log/");
const log10_1 = require("./log10/");
const logNorm_Dist_1 = require("./logNorm_Dist/");
const logNorm_Inv_1 = require("./logNorm_Inv/");
const lookup_1 = require("./lookup/");
const lower_1 = require("./lower/");
const match_1 = require("./match/");
const max_1 = require("./max/");
const maxA_1 = require("./maxA/");
const mduration_1 = require("./mduration/");
const median_1 = require("./median/");
const mid_1 = require("./mid/");
const midb_1 = require("./midb/");
const min_1 = require("./min/");
const minA_1 = require("./minA/");
const minute_1 = require("./minute/");
const mirr_1 = require("./mirr/");
const mod_1 = require("./mod/");
const month_1 = require("./month/");
const mround_1 = require("./mround/");
const multiNomial_1 = require("./multiNomial/");
const n_1 = require("./n/");
const na_1 = require("./na/");
const negBinom_Dist_1 = require("./negBinom_Dist/");
const networkDays_Intl_1 = require("./networkDays_Intl/");
const networkDays_1 = require("./networkDays/");
const nominal_1 = require("./nominal/");
const norm_Dist_1 = require("./norm_Dist/");
const norm_Inv_1 = require("./norm_Inv/");
const norm_S_Dist_1 = require("./norm_S_Dist/");
const norm_S_Inv_1 = require("./norm_S_Inv/");
const not_1 = require("./not/");
const now_1 = require("./now/");
const nper_1 = require("./nper/");
const npv_1 = require("./npv/");
const numberValue_1 = require("./numberValue/");
const oct2Bin_1 = require("./oct2Bin/");
const oct2Dec_1 = require("./oct2Dec/");
const oct2Hex_1 = require("./oct2Hex/");
const odd_1 = require("./odd/");
const oddFPrice_1 = require("./oddFPrice/");
const oddFYield_1 = require("./oddFYield/");
const oddLPrice_1 = require("./oddLPrice/");
const oddLYield_1 = require("./oddLYield/");
const or_1 = require("./or/");
const pduration_1 = require("./pduration/");
const percentile_Exc_1 = require("./percentile_Exc/");
const percentile_Inc_1 = require("./percentile_Inc/");
const percentRank_Exc_1 = require("./percentRank_Exc/");
const percentRank_Inc_1 = require("./percentRank_Inc/");
const permut_1 = require("./permut/");
const permutationa_1 = require("./permutationa/");
const phi_1 = require("./phi/");
const pi_1 = require("./pi/");
const pmt_1 = require("./pmt/");
const poisson_Dist_1 = require("./poisson_Dist/");
const power_1 = require("./power/");
const ppmt_1 = require("./ppmt/");
const price_1 = require("./price/");
const priceDisc_1 = require("./priceDisc/");
const priceMat_1 = require("./priceMat/");
const product_1 = require("./product/");
const proper_1 = require("./proper/");
const pv_1 = require("./pv/");
const quartile_Exc_1 = require("./quartile_Exc/");
const quartile_Inc_1 = require("./quartile_Inc/");
const quotient_1 = require("./quotient/");
const radians_1 = require("./radians/");
const rand_1 = require("./rand/");
const randBetween_1 = require("./randBetween/");
const rank_Avg_1 = require("./rank_Avg/");
const rank_Eq_1 = require("./rank_Eq/");
const rate_1 = require("./rate/");
const received_1 = require("./received/");
const replace_1 = require("./replace/");
const replaceB_1 = require("./replaceB/");
const rept_1 = require("./rept/");
const right_1 = require("./right/");
const rightb_1 = require("./rightb/");
const roman_1 = require("./roman/");
const round_1 = require("./round/");
const roundDown_1 = require("./roundDown/");
const roundUp_1 = require("./roundUp/");
const rows_1 = require("./rows/");
const rri_1 = require("./rri/");
const sec_1 = require("./sec/");
const sech_1 = require("./sech/");
const second_1 = require("./second/");
const seriesSum_1 = require("./seriesSum/");
const sheet_1 = require("./sheet/");
const sheets_1 = require("./sheets/");
const sign_1 = require("./sign/");
const sin_1 = require("./sin/");
const sinh_1 = require("./sinh/");
const skew_p_1 = require("./skew_p/");
const skew_1 = require("./skew/");
const sln_1 = require("./sln/");
const small_1 = require("./small/");
const sqrt_1 = require("./sqrt/");
const sqrtPi_1 = require("./sqrtPi/");
const standardize_1 = require("./standardize/");
const stDev_P_1 = require("./stDev_P/");
const stDev_S_1 = require("./stDev_S/");
const stDevA_1 = require("./stDevA/");
const stDevPA_1 = require("./stDevPA/");
const substitute_1 = require("./substitute/");
const subtotal_1 = require("./subtotal/");
const sum_1 = require("./sum/");
const sumIf_1 = require("./sumIf/");
const sumIfs_1 = require("./sumIfs/");
const sumSq_1 = require("./sumSq/");
const syd_1 = require("./syd/");
const t_Dist_2T_1 = require("./t_Dist_2T/");
const t_Dist_RT_1 = require("./t_Dist_RT/");
const t_Dist_1 = require("./t_Dist/");
const t_Inv_2T_1 = require("./t_Inv_2T/");
const t_Inv_1 = require("./t_Inv/");
const t_1 = require("./t/");
const tan_1 = require("./tan/");
const tanh_1 = require("./tanh/");
const tbillEq_1 = require("./tbillEq/");
const tbillPrice_1 = require("./tbillPrice/");
const tbillYield_1 = require("./tbillYield/");
const text_1 = require("./text/");
const time_1 = require("./time/");
const timevalue_1 = require("./timevalue/");
const today_1 = require("./today/");
const trim_1 = require("./trim/");
const trimMean_1 = require("./trimMean/");
const trueEscaped_1 = require("./trueEscaped/");
const trunc_1 = require("./trunc/");
const type_1 = require("./type/");
const unichar_1 = require("./unichar/");
const unicode_1 = require("./unicode/");
const upper_1 = require("./upper/");
const usdollar_1 = require("./usdollar/");
const value_1 = require("./value/");
const var_P_1 = require("./var_P/");
const var_S_1 = require("./var_S/");
const varA_1 = require("./varA/");
const varPA_1 = require("./varPA/");
const vdb_1 = require("./vdb/");
const vlookup_1 = require("./vlookup/");
const weekday_1 = require("./weekday/");
const weekNum_1 = require("./weekNum/");
const weibull_Dist_1 = require("./weibull_Dist/");
const workDay_Intl_1 = require("./workDay_Intl/");
const workDay_1 = require("./workDay/");
const xirr_1 = require("./xirr/");
const xnpv_1 = require("./xnpv/");
const xor_1 = require("./xor/");
const year_1 = require("./year/");
const yearFrac_1 = require("./yearFrac/");
const yield_1 = require("./yield/");
const yieldDisc_1 = require("./yieldDisc/");
const yieldMat_1 = require("./yieldMat/");
const z_Test_1 = require("./z_Test/");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/**
 * Provides operations to manage the functions property of the microsoft.graph.workbook entity.
 */
class FunctionsRequestBuilder extends kiota_abstractions_1.BaseRequestBuilder {
    /**
     * Provides operations to call the abs method.
     */
    get abs() {
        return new abs_1.AbsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the accrInt method.
     */
    get accrInt() {
        return new accrInt_1.AccrIntRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the accrIntM method.
     */
    get accrIntM() {
        return new accrIntM_1.AccrIntMRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acos method.
     */
    get acos() {
        return new acos_1.AcosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acosh method.
     */
    get acosh() {
        return new acosh_1.AcoshRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acot method.
     */
    get acot() {
        return new acot_1.AcotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the acoth method.
     */
    get acoth() {
        return new acoth_1.AcothRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the amorDegrc method.
     */
    get amorDegrc() {
        return new amorDegrc_1.AmorDegrcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the amorLinc method.
     */
    get amorLinc() {
        return new amorLinc_1.AmorLincRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the and method.
     */
    get and() {
        return new and_1.AndRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the arabic method.
     */
    get arabic() {
        return new arabic_1.ArabicRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the areas method.
     */
    get areas() {
        return new areas_1.AreasRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the asc method.
     */
    get asc() {
        return new asc_1.AscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the asin method.
     */
    get asin() {
        return new asin_1.AsinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the asinh method.
     */
    get asinh() {
        return new asinh_1.AsinhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the atan method.
     */
    get atan() {
        return new atan_1.AtanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the atan2 method.
     */
    get atan2() {
        return new atan2_1.Atan2RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the atanh method.
     */
    get atanh() {
        return new atanh_1.AtanhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the aveDev method.
     */
    get aveDev() {
        return new aveDev_1.AveDevRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the average method.
     */
    get average() {
        return new average_1.AverageRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the averageA method.
     */
    get averageA() {
        return new averageA_1.AverageARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the averageIf method.
     */
    get averageIf() {
        return new averageIf_1.AverageIfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the averageIfs method.
     */
    get averageIfs() {
        return new averageIfs_1.AverageIfsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bahtText method.
     */
    get bahtText() {
        return new bahtText_1.BahtTextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the base method.
     */
    get base() {
        return new base_1.BaseRequestBuilderEscaped(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselI method.
     */
    get besselI() {
        return new besselI_1.BesselIRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselJ method.
     */
    get besselJ() {
        return new besselJ_1.BesselJRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselK method.
     */
    get besselK() {
        return new besselK_1.BesselKRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the besselY method.
     */
    get besselY() {
        return new besselY_1.BesselYRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the beta_Dist method.
     */
    get beta_Dist() {
        return new beta_Dist_1.Beta_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the beta_Inv method.
     */
    get beta_Inv() {
        return new beta_Inv_1.Beta_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bin2Dec method.
     */
    get bin2Dec() {
        return new bin2Dec_1.Bin2DecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bin2Hex method.
     */
    get bin2Hex() {
        return new bin2Hex_1.Bin2HexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bin2Oct method.
     */
    get bin2Oct() {
        return new bin2Oct_1.Bin2OctRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the binom_Dist method.
     */
    get binom_Dist() {
        return new binom_Dist_1.Binom_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the binom_Dist_Range method.
     */
    get binom_Dist_Range() {
        return new binom_Dist_Range_1.Binom_Dist_RangeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the binom_Inv method.
     */
    get binom_Inv() {
        return new binom_Inv_1.Binom_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitand method.
     */
    get bitand() {
        return new bitand_1.BitandRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitlshift method.
     */
    get bitlshift() {
        return new bitlshift_1.BitlshiftRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitor method.
     */
    get bitor() {
        return new bitor_1.BitorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitrshift method.
     */
    get bitrshift() {
        return new bitrshift_1.BitrshiftRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the bitxor method.
     */
    get bitxor() {
        return new bitxor_1.BitxorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ceiling_Math method.
     */
    get ceiling_Math() {
        return new ceiling_Math_1.Ceiling_MathRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ceiling_Precise method.
     */
    get ceiling_Precise() {
        return new ceiling_Precise_1.Ceiling_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the char method.
     */
    get char() {
        return new char_1.CharRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Dist method.
     */
    get chiSq_Dist() {
        return new chiSq_Dist_1.ChiSq_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Dist_RT method.
     */
    get chiSq_Dist_RT() {
        return new chiSq_Dist_RT_1.ChiSq_Dist_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Inv method.
     */
    get chiSq_Inv() {
        return new chiSq_Inv_1.ChiSq_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the chiSq_Inv_RT method.
     */
    get chiSq_Inv_RT() {
        return new chiSq_Inv_RT_1.ChiSq_Inv_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the choose method.
     */
    get choose() {
        return new choose_1.ChooseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the clean method.
     */
    get clean() {
        return new clean_1.CleanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the code method.
     */
    get code() {
        return new code_1.CodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the columns method.
     */
    get columns() {
        return new columns_1.ColumnsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the combin method.
     */
    get combin() {
        return new combin_1.CombinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the combina method.
     */
    get combina() {
        return new combina_1.CombinaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the complex method.
     */
    get complex() {
        return new complex_1.ComplexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the concatenate method.
     */
    get concatenate() {
        return new concatenate_1.ConcatenateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the confidence_Norm method.
     */
    get confidence_Norm() {
        return new confidence_Norm_1.Confidence_NormRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the confidence_T method.
     */
    get confidence_T() {
        return new confidence_T_1.Confidence_TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the convert method.
     */
    get convert() {
        return new convert_1.ConvertRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cos method.
     */
    get cos() {
        return new cos_1.CosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cosh method.
     */
    get cosh() {
        return new cosh_1.CoshRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cot method.
     */
    get cot() {
        return new cot_1.CotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coth method.
     */
    get coth() {
        return new coth_1.CothRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the count method.
     */
    get count() {
        return new count_1.CountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countA method.
     */
    get countA() {
        return new countA_1.CountARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countBlank method.
     */
    get countBlank() {
        return new countBlank_1.CountBlankRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countIf method.
     */
    get countIf() {
        return new countIf_1.CountIfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the countIfs method.
     */
    get countIfs() {
        return new countIfs_1.CountIfsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupDayBs method.
     */
    get coupDayBs() {
        return new coupDayBs_1.CoupDayBsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupDays method.
     */
    get coupDays() {
        return new coupDays_1.CoupDaysRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupDaysNc method.
     */
    get coupDaysNc() {
        return new coupDaysNc_1.CoupDaysNcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupNcd method.
     */
    get coupNcd() {
        return new coupNcd_1.CoupNcdRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupNum method.
     */
    get coupNum() {
        return new coupNum_1.CoupNumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the coupPcd method.
     */
    get coupPcd() {
        return new coupPcd_1.CoupPcdRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the csc method.
     */
    get csc() {
        return new csc_1.CscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the csch method.
     */
    get csch() {
        return new csch_1.CschRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cumIPmt method.
     */
    get cumIPmt() {
        return new cumIPmt_1.CumIPmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the cumPrinc method.
     */
    get cumPrinc() {
        return new cumPrinc_1.CumPrincRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the date method.
     */
    get date() {
        return new date_1.DateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the datevalue method.
     */
    get datevalue() {
        return new datevalue_1.DatevalueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the daverage method.
     */
    get daverage() {
        return new daverage_1.DaverageRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the day method.
     */
    get day() {
        return new day_1.DayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the days method.
     */
    get days() {
        return new days_1.DaysRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the days360 method.
     */
    get days360() {
        return new days360_1.Days360RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the db method.
     */
    get db() {
        return new db_1.DbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dbcs method.
     */
    get dbcs() {
        return new dbcs_1.DbcsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dcount method.
     */
    get dcount() {
        return new dcount_1.DcountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dcountA method.
     */
    get dcountA() {
        return new dcountA_1.DcountARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ddb method.
     */
    get ddb() {
        return new ddb_1.DdbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dec2Bin method.
     */
    get dec2Bin() {
        return new dec2Bin_1.Dec2BinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dec2Hex method.
     */
    get dec2Hex() {
        return new dec2Hex_1.Dec2HexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dec2Oct method.
     */
    get dec2Oct() {
        return new dec2Oct_1.Dec2OctRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the decimal method.
     */
    get decimal() {
        return new decimal_1.DecimalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the degrees method.
     */
    get degrees() {
        return new degrees_1.DegreesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the delta method.
     */
    get delta() {
        return new delta_1.DeltaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the devSq method.
     */
    get devSq() {
        return new devSq_1.DevSqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dget method.
     */
    get dget() {
        return new dget_1.DgetRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the disc method.
     */
    get disc() {
        return new disc_1.DiscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dmax method.
     */
    get dmax() {
        return new dmax_1.DmaxRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dmin method.
     */
    get dmin() {
        return new dmin_1.DminRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dollar method.
     */
    get dollar() {
        return new dollar_1.DollarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dollarDe method.
     */
    get dollarDe() {
        return new dollarDe_1.DollarDeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dollarFr method.
     */
    get dollarFr() {
        return new dollarFr_1.DollarFrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dproduct method.
     */
    get dproduct() {
        return new dproduct_1.DproductRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dstDev method.
     */
    get dstDev() {
        return new dstDev_1.DstDevRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dstDevP method.
     */
    get dstDevP() {
        return new dstDevP_1.DstDevPRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dsum method.
     */
    get dsum() {
        return new dsum_1.DsumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the duration method.
     */
    get duration() {
        return new duration_1.DurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dvar method.
     */
    get dvar() {
        return new dvar_1.DvarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the dvarP method.
     */
    get dvarP() {
        return new dvarP_1.DvarPRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ecma_Ceiling method.
     */
    get ecma_Ceiling() {
        return new ecma_Ceiling_1.Ecma_CeilingRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the edate method.
     */
    get edate() {
        return new edate_1.EdateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the effect method.
     */
    get effect() {
        return new effect_1.EffectRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the eoMonth method.
     */
    get eoMonth() {
        return new eoMonth_1.EoMonthRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erf method.
     */
    get erf() {
        return new erf_1.ErfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erf_Precise method.
     */
    get erf_Precise() {
        return new erf_Precise_1.Erf_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erfC method.
     */
    get erfC() {
        return new erfC_1.ErfCRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the erfC_Precise method.
     */
    get erfC_Precise() {
        return new erfC_Precise_1.ErfC_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the error_Type method.
     */
    get error_Type() {
        return new error_Type_1.Error_TypeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the even method.
     */
    get even() {
        return new even_1.EvenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exact method.
     */
    get exact() {
        return new exact_1.ExactRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the exp method.
     */
    get exp() {
        return new exp_1.ExpRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the expon_Dist method.
     */
    get expon_Dist() {
        return new expon_Dist_1.Expon_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Dist method.
     */
    get f_Dist() {
        return new f_Dist_1.F_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Dist_RT method.
     */
    get f_Dist_RT() {
        return new f_Dist_RT_1.F_Dist_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Inv method.
     */
    get f_Inv() {
        return new f_Inv_1.F_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the f_Inv_RT method.
     */
    get f_Inv_RT() {
        return new f_Inv_RT_1.F_Inv_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fact method.
     */
    get fact() {
        return new fact_1.FactRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the factDouble method.
     */
    get factDouble() {
        return new factDouble_1.FactDoubleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the false method.
     */
    get falseEscaped() {
        return new falseEscaped_1.FalseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the find method.
     */
    get find() {
        return new find_1.FindRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the findB method.
     */
    get findB() {
        return new findB_1.FindBRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fisher method.
     */
    get fisher() {
        return new fisher_1.FisherRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fisherInv method.
     */
    get fisherInv() {
        return new fisherInv_1.FisherInvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fixed method.
     */
    get fixed() {
        return new fixed_1.FixedRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the floor_Math method.
     */
    get floor_Math() {
        return new floor_Math_1.Floor_MathRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the floor_Precise method.
     */
    get floor_Precise() {
        return new floor_Precise_1.Floor_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fv method.
     */
    get fv() {
        return new fv_1.FvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the fvschedule method.
     */
    get fvschedule() {
        return new fvschedule_1.FvscheduleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gamma method.
     */
    get gamma() {
        return new gamma_1.GammaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gamma_Dist method.
     */
    get gamma_Dist() {
        return new gamma_Dist_1.Gamma_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gamma_Inv method.
     */
    get gamma_Inv() {
        return new gamma_Inv_1.Gamma_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gammaLn method.
     */
    get gammaLn() {
        return new gammaLn_1.GammaLnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gammaLn_Precise method.
     */
    get gammaLn_Precise() {
        return new gammaLn_Precise_1.GammaLn_PreciseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gauss method.
     */
    get gauss() {
        return new gauss_1.GaussRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the gcd method.
     */
    get gcd() {
        return new gcd_1.GcdRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the geoMean method.
     */
    get geoMean() {
        return new geoMean_1.GeoMeanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the geStep method.
     */
    get geStep() {
        return new geStep_1.GeStepRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the harMean method.
     */
    get harMean() {
        return new harMean_1.HarMeanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hex2Bin method.
     */
    get hex2Bin() {
        return new hex2Bin_1.Hex2BinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hex2Dec method.
     */
    get hex2Dec() {
        return new hex2Dec_1.Hex2DecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hex2Oct method.
     */
    get hex2Oct() {
        return new hex2Oct_1.Hex2OctRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hlookup method.
     */
    get hlookup() {
        return new hlookup_1.HlookupRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hour method.
     */
    get hour() {
        return new hour_1.HourRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hyperlink method.
     */
    get hyperlink() {
        return new hyperlink_1.HyperlinkRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the hypGeom_Dist method.
     */
    get hypGeom_Dist() {
        return new hypGeom_Dist_1.HypGeom_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the if method.
     */
    get ifEscaped() {
        return new ifEscaped_1.IfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imAbs method.
     */
    get imAbs() {
        return new imAbs_1.ImAbsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imaginary method.
     */
    get imaginary() {
        return new imaginary_1.ImaginaryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imArgument method.
     */
    get imArgument() {
        return new imArgument_1.ImArgumentRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imConjugate method.
     */
    get imConjugate() {
        return new imConjugate_1.ImConjugateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCos method.
     */
    get imCos() {
        return new imCos_1.ImCosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCosh method.
     */
    get imCosh() {
        return new imCosh_1.ImCoshRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCot method.
     */
    get imCot() {
        return new imCot_1.ImCotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCsc method.
     */
    get imCsc() {
        return new imCsc_1.ImCscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imCsch method.
     */
    get imCsch() {
        return new imCsch_1.ImCschRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imDiv method.
     */
    get imDiv() {
        return new imDiv_1.ImDivRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imExp method.
     */
    get imExp() {
        return new imExp_1.ImExpRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imLn method.
     */
    get imLn() {
        return new imLn_1.ImLnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imLog10 method.
     */
    get imLog10() {
        return new imLog10_1.ImLog10RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imLog2 method.
     */
    get imLog2() {
        return new imLog2_1.ImLog2RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imPower method.
     */
    get imPower() {
        return new imPower_1.ImPowerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imProduct method.
     */
    get imProduct() {
        return new imProduct_1.ImProductRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imReal method.
     */
    get imReal() {
        return new imReal_1.ImRealRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSec method.
     */
    get imSec() {
        return new imSec_1.ImSecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSech method.
     */
    get imSech() {
        return new imSech_1.ImSechRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSin method.
     */
    get imSin() {
        return new imSin_1.ImSinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSinh method.
     */
    get imSinh() {
        return new imSinh_1.ImSinhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSqrt method.
     */
    get imSqrt() {
        return new imSqrt_1.ImSqrtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSub method.
     */
    get imSub() {
        return new imSub_1.ImSubRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imSum method.
     */
    get imSum() {
        return new imSum_1.ImSumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the imTan method.
     */
    get imTan() {
        return new imTan_1.ImTanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the int method.
     */
    get int() {
        return new int_1.IntRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the intRate method.
     */
    get intRate() {
        return new intRate_1.IntRateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ipmt method.
     */
    get ipmt() {
        return new ipmt_1.IpmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the irr method.
     */
    get irr() {
        return new irr_1.IrrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isErr method.
     */
    get isErr() {
        return new isErr_1.IsErrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isError method.
     */
    get isError() {
        return new isError_1.IsErrorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isEven method.
     */
    get isEven() {
        return new isEven_1.IsEvenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isFormula method.
     */
    get isFormula() {
        return new isFormula_1.IsFormulaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isLogical method.
     */
    get isLogical() {
        return new isLogical_1.IsLogicalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isNA method.
     */
    get isNA() {
        return new isNA_1.IsNARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isNonText method.
     */
    get isNonText() {
        return new isNonText_1.IsNonTextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isNumber method.
     */
    get isNumber() {
        return new isNumber_1.IsNumberRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the iso_Ceiling method.
     */
    get iso_Ceiling() {
        return new iso_Ceiling_1.Iso_CeilingRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isOdd method.
     */
    get isOdd() {
        return new isOdd_1.IsOddRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isoWeekNum method.
     */
    get isoWeekNum() {
        return new isoWeekNum_1.IsoWeekNumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ispmt method.
     */
    get ispmt() {
        return new ispmt_1.IspmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isref method.
     */
    get isref() {
        return new isref_1.IsrefRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the isText method.
     */
    get isText() {
        return new isText_1.IsTextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the kurt method.
     */
    get kurt() {
        return new kurt_1.KurtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the large method.
     */
    get large() {
        return new large_1.LargeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lcm method.
     */
    get lcm() {
        return new lcm_1.LcmRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the left method.
     */
    get left() {
        return new left_1.LeftRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the leftb method.
     */
    get leftb() {
        return new leftb_1.LeftbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the len method.
     */
    get len() {
        return new len_1.LenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lenb method.
     */
    get lenb() {
        return new lenb_1.LenbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ln method.
     */
    get ln() {
        return new ln_1.LnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the log method.
     */
    get log() {
        return new log_1.LogRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the log10 method.
     */
    get log10() {
        return new log10_1.Log10RequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the logNorm_Dist method.
     */
    get logNorm_Dist() {
        return new logNorm_Dist_1.LogNorm_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the logNorm_Inv method.
     */
    get logNorm_Inv() {
        return new logNorm_Inv_1.LogNorm_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lookup method.
     */
    get lookup() {
        return new lookup_1.LookupRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the lower method.
     */
    get lower() {
        return new lower_1.LowerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the match method.
     */
    get match() {
        return new match_1.MatchRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the max method.
     */
    get max() {
        return new max_1.MaxRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the maxA method.
     */
    get maxA() {
        return new maxA_1.MaxARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mduration method.
     */
    get mduration() {
        return new mduration_1.MdurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the median method.
     */
    get median() {
        return new median_1.MedianRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mid method.
     */
    get mid() {
        return new mid_1.MidRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the midb method.
     */
    get midb() {
        return new midb_1.MidbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the min method.
     */
    get min() {
        return new min_1.MinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the minA method.
     */
    get minA() {
        return new minA_1.MinARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the minute method.
     */
    get minute() {
        return new minute_1.MinuteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mirr method.
     */
    get mirr() {
        return new mirr_1.MirrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mod method.
     */
    get mod() {
        return new mod_1.ModRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the month method.
     */
    get month() {
        return new month_1.MonthRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the mround method.
     */
    get mround() {
        return new mround_1.MroundRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the multiNomial method.
     */
    get multiNomial() {
        return new multiNomial_1.MultiNomialRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the n method.
     */
    get n() {
        return new n_1.NRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the na method.
     */
    get na() {
        return new na_1.NaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the negBinom_Dist method.
     */
    get negBinom_Dist() {
        return new negBinom_Dist_1.NegBinom_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the networkDays method.
     */
    get networkDays() {
        return new networkDays_1.NetworkDaysRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the networkDays_Intl method.
     */
    get networkDays_Intl() {
        return new networkDays_Intl_1.NetworkDays_IntlRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the nominal method.
     */
    get nominal() {
        return new nominal_1.NominalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_Dist method.
     */
    get norm_Dist() {
        return new norm_Dist_1.Norm_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_Inv method.
     */
    get norm_Inv() {
        return new norm_Inv_1.Norm_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_S_Dist method.
     */
    get norm_S_Dist() {
        return new norm_S_Dist_1.Norm_S_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the norm_S_Inv method.
     */
    get norm_S_Inv() {
        return new norm_S_Inv_1.Norm_S_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the not method.
     */
    get not() {
        return new not_1.NotRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the now method.
     */
    get now() {
        return new now_1.NowRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the nper method.
     */
    get nper() {
        return new nper_1.NperRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the npv method.
     */
    get npv() {
        return new npv_1.NpvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the numberValue method.
     */
    get numberValue() {
        return new numberValue_1.NumberValueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oct2Bin method.
     */
    get oct2Bin() {
        return new oct2Bin_1.Oct2BinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oct2Dec method.
     */
    get oct2Dec() {
        return new oct2Dec_1.Oct2DecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oct2Hex method.
     */
    get oct2Hex() {
        return new oct2Hex_1.Oct2HexRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the odd method.
     */
    get odd() {
        return new odd_1.OddRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddFPrice method.
     */
    get oddFPrice() {
        return new oddFPrice_1.OddFPriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddFYield method.
     */
    get oddFYield() {
        return new oddFYield_1.OddFYieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddLPrice method.
     */
    get oddLPrice() {
        return new oddLPrice_1.OddLPriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the oddLYield method.
     */
    get oddLYield() {
        return new oddLYield_1.OddLYieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the or method.
     */
    get or() {
        return new or_1.OrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pduration method.
     */
    get pduration() {
        return new pduration_1.PdurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentile_Exc method.
     */
    get percentile_Exc() {
        return new percentile_Exc_1.Percentile_ExcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentile_Inc method.
     */
    get percentile_Inc() {
        return new percentile_Inc_1.Percentile_IncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentRank_Exc method.
     */
    get percentRank_Exc() {
        return new percentRank_Exc_1.PercentRank_ExcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the percentRank_Inc method.
     */
    get percentRank_Inc() {
        return new percentRank_Inc_1.PercentRank_IncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the permut method.
     */
    get permut() {
        return new permut_1.PermutRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the permutationa method.
     */
    get permutationa() {
        return new permutationa_1.PermutationaRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the phi method.
     */
    get phi() {
        return new phi_1.PhiRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pi method.
     */
    get pi() {
        return new pi_1.PiRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pmt method.
     */
    get pmt() {
        return new pmt_1.PmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the poisson_Dist method.
     */
    get poisson_Dist() {
        return new poisson_Dist_1.Poisson_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the power method.
     */
    get power() {
        return new power_1.PowerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the ppmt method.
     */
    get ppmt() {
        return new ppmt_1.PpmtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the price method.
     */
    get price() {
        return new price_1.PriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the priceDisc method.
     */
    get priceDisc() {
        return new priceDisc_1.PriceDiscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the priceMat method.
     */
    get priceMat() {
        return new priceMat_1.PriceMatRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the product method.
     */
    get product() {
        return new product_1.ProductRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the proper method.
     */
    get proper() {
        return new proper_1.ProperRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the pv method.
     */
    get pv() {
        return new pv_1.PvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the quartile_Exc method.
     */
    get quartile_Exc() {
        return new quartile_Exc_1.Quartile_ExcRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the quartile_Inc method.
     */
    get quartile_Inc() {
        return new quartile_Inc_1.Quartile_IncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the quotient method.
     */
    get quotient() {
        return new quotient_1.QuotientRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the radians method.
     */
    get radians() {
        return new radians_1.RadiansRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rand method.
     */
    get rand() {
        return new rand_1.RandRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the randBetween method.
     */
    get randBetween() {
        return new randBetween_1.RandBetweenRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rank_Avg method.
     */
    get rank_Avg() {
        return new rank_Avg_1.Rank_AvgRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rank_Eq method.
     */
    get rank_Eq() {
        return new rank_Eq_1.Rank_EqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rate method.
     */
    get rate() {
        return new rate_1.RateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the received method.
     */
    get received() {
        return new received_1.ReceivedRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the replace method.
     */
    get replace() {
        return new replace_1.ReplaceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the replaceB method.
     */
    get replaceB() {
        return new replaceB_1.ReplaceBRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rept method.
     */
    get rept() {
        return new rept_1.ReptRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the right method.
     */
    get right() {
        return new right_1.RightRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rightb method.
     */
    get rightb() {
        return new rightb_1.RightbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the roman method.
     */
    get roman() {
        return new roman_1.RomanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the round method.
     */
    get round() {
        return new round_1.RoundRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the roundDown method.
     */
    get roundDown() {
        return new roundDown_1.RoundDownRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the roundUp method.
     */
    get roundUp() {
        return new roundUp_1.RoundUpRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rows method.
     */
    get rows() {
        return new rows_1.RowsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the rri method.
     */
    get rri() {
        return new rri_1.RriRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sec method.
     */
    get sec() {
        return new sec_1.SecRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sech method.
     */
    get sech() {
        return new sech_1.SechRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the second method.
     */
    get second() {
        return new second_1.SecondRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the seriesSum method.
     */
    get seriesSum() {
        return new seriesSum_1.SeriesSumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sheet method.
     */
    get sheet() {
        return new sheet_1.SheetRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sheets method.
     */
    get sheets() {
        return new sheets_1.SheetsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sign method.
     */
    get sign() {
        return new sign_1.SignRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sin method.
     */
    get sin() {
        return new sin_1.SinRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sinh method.
     */
    get sinh() {
        return new sinh_1.SinhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the skew method.
     */
    get skew() {
        return new skew_1.SkewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the skew_p method.
     */
    get skew_p() {
        return new skew_p_1.Skew_pRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sln method.
     */
    get sln() {
        return new sln_1.SlnRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the small method.
     */
    get small() {
        return new small_1.SmallRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sqrt method.
     */
    get sqrt() {
        return new sqrt_1.SqrtRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sqrtPi method.
     */
    get sqrtPi() {
        return new sqrtPi_1.SqrtPiRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the standardize method.
     */
    get standardize() {
        return new standardize_1.StandardizeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDev_P method.
     */
    get stDev_P() {
        return new stDev_P_1.StDev_PRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDev_S method.
     */
    get stDev_S() {
        return new stDev_S_1.StDev_SRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDevA method.
     */
    get stDevA() {
        return new stDevA_1.StDevARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the stDevPA method.
     */
    get stDevPA() {
        return new stDevPA_1.StDevPARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the substitute method.
     */
    get substitute() {
        return new substitute_1.SubstituteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the subtotal method.
     */
    get subtotal() {
        return new subtotal_1.SubtotalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sum method.
     */
    get sum() {
        return new sum_1.SumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sumIf method.
     */
    get sumIf() {
        return new sumIf_1.SumIfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sumIfs method.
     */
    get sumIfs() {
        return new sumIfs_1.SumIfsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the sumSq method.
     */
    get sumSq() {
        return new sumSq_1.SumSqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the syd method.
     */
    get syd() {
        return new syd_1.SydRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t method.
     */
    get t() {
        return new t_1.TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Dist method.
     */
    get t_Dist() {
        return new t_Dist_1.T_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Dist_2T method.
     */
    get t_Dist_2T() {
        return new t_Dist_2T_1.T_Dist_2TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Dist_RT method.
     */
    get t_Dist_RT() {
        return new t_Dist_RT_1.T_Dist_RTRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Inv method.
     */
    get t_Inv() {
        return new t_Inv_1.T_InvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the t_Inv_2T method.
     */
    get t_Inv_2T() {
        return new t_Inv_2T_1.T_Inv_2TRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tan method.
     */
    get tan() {
        return new tan_1.TanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tanh method.
     */
    get tanh() {
        return new tanh_1.TanhRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tbillEq method.
     */
    get tbillEq() {
        return new tbillEq_1.TbillEqRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tbillPrice method.
     */
    get tbillPrice() {
        return new tbillPrice_1.TbillPriceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the tbillYield method.
     */
    get tbillYield() {
        return new tbillYield_1.TbillYieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the text method.
     */
    get text() {
        return new text_1.TextRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the time method.
     */
    get time() {
        return new time_1.TimeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the timevalue method.
     */
    get timevalue() {
        return new timevalue_1.TimevalueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the today method.
     */
    get today() {
        return new today_1.TodayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the trim method.
     */
    get trim() {
        return new trim_1.TrimRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the trimMean method.
     */
    get trimMean() {
        return new trimMean_1.TrimMeanRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the true method.
     */
    get trueEscaped() {
        return new trueEscaped_1.TrueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the trunc method.
     */
    get trunc() {
        return new trunc_1.TruncRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the type method.
     */
    get type() {
        return new type_1.TypeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the unichar method.
     */
    get unichar() {
        return new unichar_1.UnicharRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the unicode method.
     */
    get unicode() {
        return new unicode_1.UnicodeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the upper method.
     */
    get upper() {
        return new upper_1.UpperRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the usdollar method.
     */
    get usdollar() {
        return new usdollar_1.UsdollarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the value method.
     */
    get value() {
        return new value_1.ValueRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the var_P method.
     */
    get var_P() {
        return new var_P_1.Var_PRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the var_S method.
     */
    get var_S() {
        return new var_S_1.Var_SRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the varA method.
     */
    get varA() {
        return new varA_1.VarARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the varPA method.
     */
    get varPA() {
        return new varPA_1.VarPARequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the vdb method.
     */
    get vdb() {
        return new vdb_1.VdbRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the vlookup method.
     */
    get vlookup() {
        return new vlookup_1.VlookupRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the weekday method.
     */
    get weekday() {
        return new weekday_1.WeekdayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the weekNum method.
     */
    get weekNum() {
        return new weekNum_1.WeekNumRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the weibull_Dist method.
     */
    get weibull_Dist() {
        return new weibull_Dist_1.Weibull_DistRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the workDay method.
     */
    get workDay() {
        return new workDay_1.WorkDayRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the workDay_Intl method.
     */
    get workDay_Intl() {
        return new workDay_Intl_1.WorkDay_IntlRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the xirr method.
     */
    get xirr() {
        return new xirr_1.XirrRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the xnpv method.
     */
    get xnpv() {
        return new xnpv_1.XnpvRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the xor method.
     */
    get xor() {
        return new xor_1.XorRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the year method.
     */
    get year() {
        return new year_1.YearRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yearFrac method.
     */
    get yearFrac() {
        return new yearFrac_1.YearFracRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yield method.
     */
    get yield() {
        return new yield_1.YieldRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yieldDisc method.
     */
    get yieldDisc() {
        return new yieldDisc_1.YieldDiscRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the yieldMat method.
     */
    get yieldMat() {
        return new yieldMat_1.YieldMatRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Provides operations to call the z_Test method.
     */
    get z_Test() {
        return new z_Test_1.Z_TestRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Instantiates a new FunctionsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        super(pathParameters, requestAdapter, "{+baseurl}/drives/{drive%2Did}/items/{driveItem%2Did}/workbook/functions{?%24select,%24expand}");
    }
    ;
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     */
    delete(requestConfiguration) {
        const requestInfo = this.toDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendNoResponseContentAsync(requestInfo, errorMapping);
    }
    ;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    get(requestConfiguration) {
        const requestInfo = this.toGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctions_1.createWorkbookFunctionsFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a Promise of WorkbookFunctions
     */
    patch(body, requestConfiguration) {
        const requestInfo = this.toPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": oDataError_1.createODataErrorFromDiscriminatorValue,
            "5XX": oDataError_1.createODataErrorFromDiscriminatorValue,
        };
        return this.requestAdapter.sendAsync(requestInfo, workbookFunctions_1.createWorkbookFunctionsFromDiscriminatorValue, errorMapping);
    }
    ;
    /**
     * Delete navigation property functions for drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.DELETE, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Get functions from drives
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.GET, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration, functionsRequestBuilderGetQueryParametersMapper);
        requestInfo.headers.tryAdd("Accept", "application/json");
        return requestInfo;
    }
    ;
    /**
     * Update the navigation property functions in drives
     * @param body The request body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    toPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation(kiota_abstractions_1.HttpMethod.PATCH, this.urlTemplate, this.pathParameters);
        requestInfo.configure(requestConfiguration);
        requestInfo.headers.tryAdd("Accept", "application/json");
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body, workbookFunctions_1.serializeWorkbookFunctions);
        return requestInfo;
    }
    ;
    /**
     * Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
     * @param rawUrl The raw URL to use for the request builder.
     * @returns a functionsRequestBuilder
     */
    withUrl(rawUrl) {
        if (!rawUrl)
            throw new Error("rawUrl cannot be undefined");
        return new FunctionsRequestBuilder(rawUrl, this.requestAdapter);
    }
    ;
}
exports.FunctionsRequestBuilder = FunctionsRequestBuilder;
const functionsRequestBuilderGetQueryParametersMapper = {
    "expand": "%24expand",
    "select": "%24select",
};
// tslint:enable
// eslint-enable
