import { type TeamworkNotificationRecipient } from './teamworkNotificationRecipient';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AadUserNotificationRecipient extends Parsable, TeamworkNotificationRecipient {
    /**
     * Microsoft Entra user identifier. Use the List users method to get this ID.
     */
    userId?: string;
}
export declare function createAadUserNotificationRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAadUserNotificationRecipient;
export declare function deserializeIntoAadUserNotificationRecipient(aadUserNotificationRecipient?: AadUserNotificationRecipient | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAadUserNotificationRecipient(writer: SerializationWriter, aadUserNotificationRecipient?: AadUserNotificationRecipient | undefined): void;
