import { type AccessPackageAnswer } from './accessPackageAnswer';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAnswerString extends AccessPackageAnswer, Parsable {
    /**
     * The value stored on the requestor's user profile, if this answer is configured to be stored as a specific attribute.
     */
    value?: string;
}
export declare function createAccessPackageAnswerStringFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAnswerString;
export declare function deserializeIntoAccessPackageAnswerString(accessPackageAnswerString?: AccessPackageAnswerString | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAnswerString(writer: SerializationWriter, accessPackageAnswerString?: AccessPackageAnswerString | undefined): void;
