import { type AccessPackageAssignment } from './accessPackageAssignment';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageAssignment[];
}
export declare function createAccessPackageAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentCollectionResponse;
export declare function deserializeIntoAccessPackageAssignmentCollectionResponse(accessPackageAssignmentCollectionResponse?: AccessPackageAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentCollectionResponse(writer: SerializationWriter, accessPackageAssignmentCollectionResponse?: AccessPackageAssignmentCollectionResponse | undefined): void;
