import { type AccessPackageAssignmentPolicy } from './accessPackageAssignmentPolicy';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageAssignmentPolicy[];
}
export declare function createAccessPackageAssignmentPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentPolicyCollectionResponse;
export declare function deserializeIntoAccessPackageAssignmentPolicyCollectionResponse(accessPackageAssignmentPolicyCollectionResponse?: AccessPackageAssignmentPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentPolicyCollectionResponse(writer: SerializationWriter, accessPackageAssignmentPolicyCollectionResponse?: AccessPackageAssignmentPolicyCollectionResponse | undefined): void;
