"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAccessPackageAutomaticRequestSettings = exports.deserializeIntoAccessPackageAutomaticRequestSettings = exports.createAccessPackageAutomaticRequestSettingsFromDiscriminatorValue = void 0;
function createAccessPackageAutomaticRequestSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAccessPackageAutomaticRequestSettings;
}
exports.createAccessPackageAutomaticRequestSettingsFromDiscriminatorValue = createAccessPackageAutomaticRequestSettingsFromDiscriminatorValue;
function deserializeIntoAccessPackageAutomaticRequestSettings(accessPackageAutomaticRequestSettings = {}) {
    return {
        "gracePeriodBeforeAccessRemoval": n => { accessPackageAutomaticRequestSettings.gracePeriodBeforeAccessRemoval = n.getDurationValue(); },
        "@odata.type": n => { accessPackageAutomaticRequestSettings.odataType = n.getStringValue(); },
        "removeAccessWhenTargetLeavesAllowedTargets": n => { accessPackageAutomaticRequestSettings.removeAccessWhenTargetLeavesAllowedTargets = n.getBooleanValue(); },
        "requestAccessForAllowedTargets": n => { accessPackageAutomaticRequestSettings.requestAccessForAllowedTargets = n.getBooleanValue(); },
    };
}
exports.deserializeIntoAccessPackageAutomaticRequestSettings = deserializeIntoAccessPackageAutomaticRequestSettings;
function serializeAccessPackageAutomaticRequestSettings(writer, accessPackageAutomaticRequestSettings = {}) {
    writer.writeDurationValue("gracePeriodBeforeAccessRemoval", accessPackageAutomaticRequestSettings.gracePeriodBeforeAccessRemoval);
    writer.writeStringValue("@odata.type", accessPackageAutomaticRequestSettings.odataType);
    writer.writeBooleanValue("removeAccessWhenTargetLeavesAllowedTargets", accessPackageAutomaticRequestSettings.removeAccessWhenTargetLeavesAllowedTargets);
    writer.writeBooleanValue("requestAccessForAllowedTargets", accessPackageAutomaticRequestSettings.requestAccessForAllowedTargets);
    writer.writeAdditionalData(accessPackageAutomaticRequestSettings.additionalData);
}
exports.serializeAccessPackageAutomaticRequestSettings = serializeAccessPackageAutomaticRequestSettings;
// tslint:enable
// eslint-enable
