import { type AccessPackageCatalog } from './accessPackageCatalog';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageCatalogCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageCatalog[];
}
export declare function createAccessPackageCatalogCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageCatalogCollectionResponse;
export declare function deserializeIntoAccessPackageCatalogCollectionResponse(accessPackageCatalogCollectionResponse?: AccessPackageCatalogCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageCatalogCollectionResponse(writer: SerializationWriter, accessPackageCatalogCollectionResponse?: AccessPackageCatalogCollectionResponse | undefined): void;
