import { type AccessPackageResource } from './accessPackageResource';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageResource[];
}
export declare function createAccessPackageResourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceCollectionResponse;
export declare function deserializeIntoAccessPackageResourceCollectionResponse(accessPackageResourceCollectionResponse?: AccessPackageResourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceCollectionResponse(writer: SerializationWriter, accessPackageResourceCollectionResponse?: AccessPackageResourceCollectionResponse | undefined): void;
