import { type AccessPackageResourceEnvironment } from './accessPackageResourceEnvironment';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceEnvironmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageResourceEnvironment[];
}
export declare function createAccessPackageResourceEnvironmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceEnvironmentCollectionResponse;
export declare function deserializeIntoAccessPackageResourceEnvironmentCollectionResponse(accessPackageResourceEnvironmentCollectionResponse?: AccessPackageResourceEnvironmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceEnvironmentCollectionResponse(writer: SerializationWriter, accessPackageResourceEnvironmentCollectionResponse?: AccessPackageResourceEnvironmentCollectionResponse | undefined): void;
