import { type AccessPackageResourceScope } from './accessPackageResourceScope';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceScopeCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageResourceScope[];
}
export declare function createAccessPackageResourceScopeCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceScopeCollectionResponse;
export declare function deserializeIntoAccessPackageResourceScopeCollectionResponse(accessPackageResourceScopeCollectionResponse?: AccessPackageResourceScopeCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceScopeCollectionResponse(writer: SerializationWriter, accessPackageResourceScopeCollectionResponse?: AccessPackageResourceScopeCollectionResponse | undefined): void;
