import { type AccessReviewInstanceDecisionItemResource } from './accessReviewInstanceDecisionItemResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource extends AccessReviewInstanceDecisionItemResource, Parsable {
    /**
     * Display name of the access package to which access has been granted.
     */
    accessPackageDisplayName?: string;
    /**
     * Identifier of the access package to which access has been granted.
     */
    accessPackageId?: string;
}
export declare function createAccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource;
export declare function deserializeIntoAccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource(accessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource?: AccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource(writer: SerializationWriter, accessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource?: AccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource | undefined): void;
