import { type AccessReviewInstanceDecisionItemResource } from './accessReviewInstanceDecisionItemResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewInstanceDecisionItemAzureRoleResource extends AccessReviewInstanceDecisionItemResource, Parsable {
    /**
     * Details of the scope this role is associated with.
     */
    scope?: AccessReviewInstanceDecisionItemResource;
}
export declare function createAccessReviewInstanceDecisionItemAzureRoleResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInstanceDecisionItemAzureRoleResource;
export declare function deserializeIntoAccessReviewInstanceDecisionItemAzureRoleResource(accessReviewInstanceDecisionItemAzureRoleResource?: AccessReviewInstanceDecisionItemAzureRoleResource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewInstanceDecisionItemAzureRoleResource(writer: SerializationWriter, accessReviewInstanceDecisionItemAzureRoleResource?: AccessReviewInstanceDecisionItemAzureRoleResource | undefined): void;
