import { deserializeIntoAccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource } from './accessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewInstanceDecisionItemResource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Display name of the resource
     */
    displayName?: string;
    /**
     * Identifier of the resource
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Type of resource. Types include: Group, ServicePrincipal, DirectoryRole, AzureRole, AccessPackageAssignmentPolicy.
     */
    type?: string;
}
export declare function createAccessReviewInstanceDecisionItemResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInstanceDecisionItemAccessPackageAssignmentPolicyResource;
export declare function deserializeIntoAccessReviewInstanceDecisionItemResource(accessReviewInstanceDecisionItemResource?: AccessReviewInstanceDecisionItemResource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewInstanceDecisionItemResource(writer: SerializationWriter, accessReviewInstanceDecisionItemResource?: AccessReviewInstanceDecisionItemResource | undefined): void;
