import { type AccessReviewInstanceDecisionItemResource } from './accessReviewInstanceDecisionItemResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewInstanceDecisionItemServicePrincipalResource extends AccessReviewInstanceDecisionItemResource, Parsable {
    /**
     * The globally unique identifier of the application to which access has been granted.
     */
    appId?: string;
}
export declare function createAccessReviewInstanceDecisionItemServicePrincipalResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInstanceDecisionItemServicePrincipalResource;
export declare function deserializeIntoAccessReviewInstanceDecisionItemServicePrincipalResource(accessReviewInstanceDecisionItemServicePrincipalResource?: AccessReviewInstanceDecisionItemServicePrincipalResource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewInstanceDecisionItemServicePrincipalResource(writer: SerializationWriter, accessReviewInstanceDecisionItemServicePrincipalResource?: AccessReviewInstanceDecisionItemServicePrincipalResource | undefined): void;
