import { deserializeIntoAccessReviewNotificationRecipientQueryScope } from './accessReviewNotificationRecipientQueryScope';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewNotificationRecipientScope extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAccessReviewNotificationRecipientScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewNotificationRecipientQueryScope;
export declare function deserializeIntoAccessReviewNotificationRecipientScope(accessReviewNotificationRecipientScope?: AccessReviewNotificationRecipientScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewNotificationRecipientScope(writer: SerializationWriter, accessReviewNotificationRecipientScope?: AccessReviewNotificationRecipientScope | undefined): void;
