import { deserializeIntoGroupPeerOutlierRecommendationInsightSettings } from './groupPeerOutlierRecommendationInsightSettings';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewRecommendationInsightSetting extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAccessReviewRecommendationInsightSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupPeerOutlierRecommendationInsightSettings;
export declare function deserializeIntoAccessReviewRecommendationInsightSetting(accessReviewRecommendationInsightSetting?: AccessReviewRecommendationInsightSetting | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewRecommendationInsightSetting(writer: SerializationWriter, accessReviewRecommendationInsightSetting?: AccessReviewRecommendationInsightSetting | undefined): void;
