"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAccessReviewReviewerScope = exports.deserializeIntoAccessReviewReviewerScope = exports.createAccessReviewReviewerScopeFromDiscriminatorValue = void 0;
function createAccessReviewReviewerScopeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAccessReviewReviewerScope;
}
exports.createAccessReviewReviewerScopeFromDiscriminatorValue = createAccessReviewReviewerScopeFromDiscriminatorValue;
function deserializeIntoAccessReviewReviewerScope(accessReviewReviewerScope = {}) {
    return {
        "@odata.type": n => { accessReviewReviewerScope.odataType = n.getStringValue(); },
        "query": n => { accessReviewReviewerScope.query = n.getStringValue(); },
        "queryRoot": n => { accessReviewReviewerScope.queryRoot = n.getStringValue(); },
        "queryType": n => { accessReviewReviewerScope.queryType = n.getStringValue(); },
    };
}
exports.deserializeIntoAccessReviewReviewerScope = deserializeIntoAccessReviewReviewerScope;
function serializeAccessReviewReviewerScope(writer, accessReviewReviewerScope = {}) {
    writer.writeStringValue("@odata.type", accessReviewReviewerScope.odataType);
    writer.writeStringValue("query", accessReviewReviewerScope.query);
    writer.writeStringValue("queryRoot", accessReviewReviewerScope.queryRoot);
    writer.writeStringValue("queryType", accessReviewReviewerScope.queryType);
    writer.writeAdditionalData(accessReviewReviewerScope.additionalData);
}
exports.serializeAccessReviewReviewerScope = serializeAccessReviewReviewerScope;
// tslint:enable
// eslint-enable
