import { type AccessReviewScheduleDefinition } from './accessReviewScheduleDefinition';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewScheduleDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessReviewScheduleDefinition[];
}
export declare function createAccessReviewScheduleDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewScheduleDefinitionCollectionResponse;
export declare function deserializeIntoAccessReviewScheduleDefinitionCollectionResponse(accessReviewScheduleDefinitionCollectionResponse?: AccessReviewScheduleDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewScheduleDefinitionCollectionResponse(writer: SerializationWriter, accessReviewScheduleDefinitionCollectionResponse?: AccessReviewScheduleDefinitionCollectionResponse | undefined): void;
