import { deserializeIntoAccessReviewInactiveUsersQueryScope } from './accessReviewInactiveUsersQueryScope';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewScope extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAccessReviewScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInactiveUsersQueryScope;
export declare function deserializeIntoAccessReviewScope(accessReviewScope?: AccessReviewScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewScope(writer: SerializationWriter, accessReviewScope?: AccessReviewScope | undefined): void;
