import { type AccessReviewStage } from './accessReviewStage';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewStageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessReviewStage[];
}
export declare function createAccessReviewStageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewStageCollectionResponse;
export declare function deserializeIntoAccessReviewStageCollectionResponse(accessReviewStageCollectionResponse?: AccessReviewStageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewStageCollectionResponse(writer: SerializationWriter, accessReviewStageCollectionResponse?: AccessReviewStageCollectionResponse | undefined): void;
