"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionState = void 0;
/**
 * State of the action on the device
 */
var ActionState;
(function (ActionState) {
    /** Not a valid action state */
    ActionState["None"] = "none";
    /** Action is pending */
    ActionState["Pending"] = "pending";
    /** Action has been cancelled. */
    ActionState["Canceled"] = "canceled";
    /** Action is active. */
    ActionState["Active"] = "active";
    /** Action completed without errors. */
    ActionState["Done"] = "done";
    /** Action failed */
    ActionState["Failed"] = "failed";
    /** Action is not supported. */
    ActionState["NotSupported"] = "notSupported";
})(ActionState || (exports.ActionState = ActionState = {}));
// tslint:enable
// eslint-enable
