import { type AccountTargetContent } from './accountTargetContent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AddressBookAccountTargetContent extends AccountTargetContent, Parsable {
    /**
     * List of user emails targeted for an attack simulation training campaign.
     */
    accountTargetEmails?: string[];
}
export declare function createAddressBookAccountTargetContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAddressBookAccountTargetContent;
export declare function deserializeIntoAddressBookAccountTargetContent(addressBookAccountTargetContent?: AddressBookAccountTargetContent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAddressBookAccountTargetContent(writer: SerializationWriter, addressBookAccountTargetContent?: AddressBookAccountTargetContent | undefined): void;
