import { type AdministrativeUnit } from './administrativeUnit';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AdministrativeUnitCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AdministrativeUnit[];
}
export declare function createAdministrativeUnitCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAdministrativeUnitCollectionResponse;
export declare function deserializeIntoAdministrativeUnitCollectionResponse(administrativeUnitCollectionResponse?: AdministrativeUnitCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAdministrativeUnitCollectionResponse(writer: SerializationWriter, administrativeUnitCollectionResponse?: AdministrativeUnitCollectionResponse | undefined): void;
