import { type Agreement } from './agreement';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Agreement[];
}
export declare function createAgreementCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementCollectionResponse;
export declare function deserializeIntoAgreementCollectionResponse(agreementCollectionResponse?: AgreementCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementCollectionResponse(writer: SerializationWriter, agreementCollectionResponse?: AgreementCollectionResponse | undefined): void;
