import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementFileData extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Data that represents the terms of use PDF document. Read-only.
     */
    data?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAgreementFileDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementFileData;
export declare function deserializeIntoAgreementFileData(agreementFileData?: AgreementFileData | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementFileData(writer: SerializationWriter, agreementFileData?: AgreementFileData | undefined): void;
