import { type AgreementFileLocalization } from './agreementFileLocalization';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementFileLocalizationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AgreementFileLocalization[];
}
export declare function createAgreementFileLocalizationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementFileLocalizationCollectionResponse;
export declare function deserializeIntoAgreementFileLocalizationCollectionResponse(agreementFileLocalizationCollectionResponse?: AgreementFileLocalizationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementFileLocalizationCollectionResponse(writer: SerializationWriter, agreementFileLocalizationCollectionResponse?: AgreementFileLocalizationCollectionResponse | undefined): void;
