import { type AgreementFileVersion } from './agreementFileVersion';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementFileVersionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AgreementFileVersion[];
}
export declare function createAgreementFileVersionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementFileVersionCollectionResponse;
export declare function deserializeIntoAgreementFileVersionCollectionResponse(agreementFileVersionCollectionResponse?: AgreementFileVersionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementFileVersionCollectionResponse(writer: SerializationWriter, agreementFileVersionCollectionResponse?: AgreementFileVersionCollectionResponse | undefined): void;
