"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlertTrigger = exports.deserializeIntoAlertTrigger = exports.createAlertTriggerFromDiscriminatorValue = void 0;
function createAlertTriggerFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlertTrigger;
}
exports.createAlertTriggerFromDiscriminatorValue = createAlertTriggerFromDiscriminatorValue;
function deserializeIntoAlertTrigger(alertTrigger = {}) {
    return {
        "name": n => { alertTrigger.name = n.getStringValue(); },
        "@odata.type": n => { alertTrigger.odataType = n.getStringValue(); },
        "type": n => { alertTrigger.type = n.getStringValue(); },
        "value": n => { alertTrigger.value = n.getStringValue(); },
    };
}
exports.deserializeIntoAlertTrigger = deserializeIntoAlertTrigger;
function serializeAlertTrigger(writer, alertTrigger = {}) {
    writer.writeStringValue("name", alertTrigger.name);
    writer.writeStringValue("@odata.type", alertTrigger.odataType);
    writer.writeStringValue("type", alertTrigger.type);
    writer.writeStringValue("value", alertTrigger.value);
    writer.writeAdditionalData(alertTrigger.additionalData);
}
exports.serializeAlertTrigger = serializeAlertTrigger;
// tslint:enable
// eslint-enable
