"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlteredQueryToken = exports.deserializeIntoAlteredQueryToken = exports.createAlteredQueryTokenFromDiscriminatorValue = void 0;
function createAlteredQueryTokenFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlteredQueryToken;
}
exports.createAlteredQueryTokenFromDiscriminatorValue = createAlteredQueryTokenFromDiscriminatorValue;
function deserializeIntoAlteredQueryToken(alteredQueryToken = {}) {
    return {
        "length": n => { alteredQueryToken.length = n.getNumberValue(); },
        "@odata.type": n => { alteredQueryToken.odataType = n.getStringValue(); },
        "offset": n => { alteredQueryToken.offset = n.getNumberValue(); },
        "suggestion": n => { alteredQueryToken.suggestion = n.getStringValue(); },
    };
}
exports.deserializeIntoAlteredQueryToken = deserializeIntoAlteredQueryToken;
function serializeAlteredQueryToken(writer, alteredQueryToken = {}) {
    writer.writeNumberValue("length", alteredQueryToken.length);
    writer.writeStringValue("@odata.type", alteredQueryToken.odataType);
    writer.writeNumberValue("offset", alteredQueryToken.offset);
    writer.writeStringValue("suggestion", alteredQueryToken.suggestion);
    writer.writeAdditionalData(alteredQueryToken.additionalData);
}
exports.serializeAlteredQueryToken = serializeAlteredQueryToken;
// tslint:enable
// eslint-enable
