import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlternativeSecurityId extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * For internal use only.
     */
    identityProvider?: string;
    /**
     * For internal use only.
     */
    key?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * For internal use only.
     */
    type?: number;
}
export declare function createAlternativeSecurityIdFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlternativeSecurityId;
export declare function deserializeIntoAlternativeSecurityId(alternativeSecurityId?: AlternativeSecurityId | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlternativeSecurityId(writer: SerializationWriter, alternativeSecurityId?: AlternativeSecurityId | undefined): void;
