import { type AndroidLobApp } from './androidLobApp';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidLobAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AndroidLobApp[];
}
export declare function createAndroidLobAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidLobAppCollectionResponse;
export declare function deserializeIntoAndroidLobAppCollectionResponse(androidLobAppCollectionResponse?: AndroidLobAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidLobAppCollectionResponse(writer: SerializationWriter, androidLobAppCollectionResponse?: AndroidLobAppCollectionResponse | undefined): void;
