import { type ManagedAppRegistration } from './managedAppRegistration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidManagedAppRegistration extends ManagedAppRegistration, Parsable {
}
export declare function createAndroidManagedAppRegistrationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidManagedAppRegistration;
export declare function deserializeIntoAndroidManagedAppRegistration(androidManagedAppRegistration?: AndroidManagedAppRegistration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidManagedAppRegistration(writer: SerializationWriter, androidManagedAppRegistration?: AndroidManagedAppRegistration | undefined): void;
