import { type MobileAppIdentifier } from './mobileAppIdentifier';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidMobileAppIdentifier extends MobileAppIdentifier, Parsable {
    /**
     * The identifier for an app, as specified in the play store.
     */
    packageId?: string;
}
export declare function createAndroidMobileAppIdentifierFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidMobileAppIdentifier;
export declare function deserializeIntoAndroidMobileAppIdentifier(androidMobileAppIdentifier?: AndroidMobileAppIdentifier | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidMobileAppIdentifier(writer: SerializationWriter, androidMobileAppIdentifier?: AndroidMobileAppIdentifier | undefined): void;
