"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AndroidRequiredPasswordType = void 0;
/**
 * Android required password type.
 */
var AndroidRequiredPasswordType;
(function (AndroidRequiredPasswordType) {
    /** Device default value, no intent. */
    AndroidRequiredPasswordType["DeviceDefault"] = "deviceDefault";
    /** Alphabetic password required. */
    AndroidRequiredPasswordType["Alphabetic"] = "alphabetic";
    /** Alphanumeric password required. */
    AndroidRequiredPasswordType["Alphanumeric"] = "alphanumeric";
    /** Alphanumeric with symbols password required. */
    AndroidRequiredPasswordType["AlphanumericWithSymbols"] = "alphanumericWithSymbols";
    /** Low security biometrics based password required. */
    AndroidRequiredPasswordType["LowSecurityBiometric"] = "lowSecurityBiometric";
    /** Numeric password required. */
    AndroidRequiredPasswordType["Numeric"] = "numeric";
    /** Numeric complex password required. */
    AndroidRequiredPasswordType["NumericComplex"] = "numericComplex";
    /** A password or pattern is required, and any is acceptable. */
    AndroidRequiredPasswordType["Any"] = "any";
})(AndroidRequiredPasswordType || (exports.AndroidRequiredPasswordType = AndroidRequiredPasswordType = {}));
// tslint:enable
// eslint-enable
