import { type DeviceConfiguration } from './deviceConfiguration';
import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidWorkProfileCustomConfiguration extends DeviceConfiguration, Parsable {
    /**
     * OMA settings. This collection can contain a maximum of 500 elements.
     */
    omaSettings?: OmaSetting[];
}
export declare function createAndroidWorkProfileCustomConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidWorkProfileCustomConfiguration;
export declare function deserializeIntoAndroidWorkProfileCustomConfiguration(androidWorkProfileCustomConfiguration?: AndroidWorkProfileCustomConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidWorkProfileCustomConfiguration(writer: SerializationWriter, androidWorkProfileCustomConfiguration?: AndroidWorkProfileCustomConfiguration | undefined): void;
