import { type Entity } from './entity';
import { type TeamsApp } from './teamsApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppCatalogs extends Entity, Parsable {
    /**
     * The teamsApps property
     */
    teamsApps?: TeamsApp[];
}
export declare function createAppCatalogsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppCatalogs;
export declare function deserializeIntoAppCatalogs(appCatalogs?: AppCatalogs | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppCatalogs(writer: SerializationWriter, appCatalogs?: AppCatalogs | undefined): void;
