import { type AppConsentRequest } from './appConsentRequest';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppConsentApprovalRoute extends Entity, Parsable {
    /**
     * A collection of appConsentRequest objects representing apps for which admin consent has been requested by one or more users.
     */
    appConsentRequests?: AppConsentRequest[];
}
export declare function createAppConsentApprovalRouteFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppConsentApprovalRoute;
export declare function deserializeIntoAppConsentApprovalRoute(appConsentApprovalRoute?: AppConsentApprovalRoute | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppConsentApprovalRoute(writer: SerializationWriter, appConsentApprovalRoute?: AppConsentApprovalRoute | undefined): void;
