"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAppListItem = exports.deserializeIntoAppListItem = exports.createAppListItemFromDiscriminatorValue = void 0;
function createAppListItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAppListItem;
}
exports.createAppListItemFromDiscriminatorValue = createAppListItemFromDiscriminatorValue;
function deserializeIntoAppListItem(appListItem = {}) {
    return {
        "appId": n => { appListItem.appId = n.getStringValue(); },
        "appStoreUrl": n => { appListItem.appStoreUrl = n.getStringValue(); },
        "name": n => { appListItem.name = n.getStringValue(); },
        "@odata.type": n => { appListItem.odataType = n.getStringValue(); },
        "publisher": n => { appListItem.publisher = n.getStringValue(); },
    };
}
exports.deserializeIntoAppListItem = deserializeIntoAppListItem;
function serializeAppListItem(writer, appListItem = {}) {
    writer.writeStringValue("appId", appListItem.appId);
    writer.writeStringValue("appStoreUrl", appListItem.appStoreUrl);
    writer.writeStringValue("name", appListItem.name);
    writer.writeStringValue("@odata.type", appListItem.odataType);
    writer.writeStringValue("publisher", appListItem.publisher);
    writer.writeAdditionalData(appListItem.additionalData);
}
exports.serializeAppListItem = serializeAppListItem;
// tslint:enable
// eslint-enable
