import { type AppLogCollectionRequest } from './appLogCollectionRequest';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppLogCollectionRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AppLogCollectionRequest[];
}
export declare function createAppLogCollectionRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppLogCollectionRequestCollectionResponse;
export declare function deserializeIntoAppLogCollectionRequestCollectionResponse(appLogCollectionRequestCollectionResponse?: AppLogCollectionRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppLogCollectionRequestCollectionResponse(writer: SerializationWriter, appLogCollectionRequestCollectionResponse?: AppLogCollectionRequestCollectionResponse | undefined): void;
