"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppLogUploadState = void 0;
/**
 * AppLogUploadStatus
 */
var AppLogUploadState;
(function (AppLogUploadState) {
    /** Default. Indicates that request is waiting to be processed or under processing. */
    AppLogUploadState["Pending"] = "pending";
    /** Indicates that request is completed with file uploaded to Azure blob for download. */
    AppLogUploadState["Completed"] = "completed";
    /** Indicates that request is completed with file uploaded to Azure blob for download. */
    AppLogUploadState["Failed"] = "failed";
    /** Evolvable enumeration sentinel value. Do not use. */
    AppLogUploadState["UnknownFutureValue"] = "unknownFutureValue";
})(AppLogUploadState || (exports.AppLogUploadState = AppLogUploadState = {}));
// tslint:enable
// eslint-enable
