import { type Application } from './application';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplicationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Application[];
}
export declare function createApplicationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplicationCollectionResponse;
export declare function deserializeIntoApplicationCollectionResponse(applicationCollectionResponse?: ApplicationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplicationCollectionResponse(writer: SerializationWriter, applicationCollectionResponse?: ApplicationCollectionResponse | undefined): void;
