import { type ConditionalAccessSessionControl } from './conditionalAccessSessionControl';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplicationEnforcedRestrictionsSessionControl extends ConditionalAccessSessionControl, Parsable {
}
export declare function createApplicationEnforcedRestrictionsSessionControlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplicationEnforcedRestrictionsSessionControl;
export declare function deserializeIntoApplicationEnforcedRestrictionsSessionControl(applicationEnforcedRestrictionsSessionControl?: ApplicationEnforcedRestrictionsSessionControl | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplicationEnforcedRestrictionsSessionControl(writer: SerializationWriter, applicationEnforcedRestrictionsSessionControl?: ApplicationEnforcedRestrictionsSessionControl | undefined): void;
