import { type ApprovalStage } from './approvalStage';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Approval extends Entity, Parsable {
    /**
     * A collection of stages in the approval decision.
     */
    stages?: ApprovalStage[];
}
export declare function createApprovalFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApproval;
export declare function deserializeIntoApproval(approval?: Approval | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApproval(writer: SerializationWriter, approval?: Approval | undefined): void;
