"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAssignedTrainingInfo = exports.deserializeIntoAssignedTrainingInfo = exports.createAssignedTrainingInfoFromDiscriminatorValue = void 0;
function createAssignedTrainingInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignedTrainingInfo;
}
exports.createAssignedTrainingInfoFromDiscriminatorValue = createAssignedTrainingInfoFromDiscriminatorValue;
function deserializeIntoAssignedTrainingInfo(assignedTrainingInfo = {}) {
    return {
        "assignedUserCount": n => { assignedTrainingInfo.assignedUserCount = n.getNumberValue(); },
        "completedUserCount": n => { assignedTrainingInfo.completedUserCount = n.getNumberValue(); },
        "displayName": n => { assignedTrainingInfo.displayName = n.getStringValue(); },
        "@odata.type": n => { assignedTrainingInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAssignedTrainingInfo = deserializeIntoAssignedTrainingInfo;
function serializeAssignedTrainingInfo(writer, assignedTrainingInfo = {}) {
    writer.writeNumberValue("assignedUserCount", assignedTrainingInfo.assignedUserCount);
    writer.writeNumberValue("completedUserCount", assignedTrainingInfo.completedUserCount);
    writer.writeStringValue("displayName", assignedTrainingInfo.displayName);
    writer.writeStringValue("@odata.type", assignedTrainingInfo.odataType);
    writer.writeAdditionalData(assignedTrainingInfo.additionalData);
}
exports.serializeAssignedTrainingInfo = serializeAssignedTrainingInfo;
// tslint:enable
// eslint-enable
