import { type AttachmentBase } from './attachmentBase';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttachmentBaseCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttachmentBase[];
}
export declare function createAttachmentBaseCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttachmentBaseCollectionResponse;
export declare function deserializeIntoAttachmentBaseCollectionResponse(attachmentBaseCollectionResponse?: AttachmentBaseCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttachmentBaseCollectionResponse(writer: SerializationWriter, attachmentBaseCollectionResponse?: AttachmentBaseCollectionResponse | undefined): void;
