import { type AttackSimulationOperation } from './attackSimulationOperation';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttackSimulationOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttackSimulationOperation[];
}
export declare function createAttackSimulationOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttackSimulationOperationCollectionResponse;
export declare function deserializeIntoAttackSimulationOperationCollectionResponse(attackSimulationOperationCollectionResponse?: AttackSimulationOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttackSimulationOperationCollectionResponse(writer: SerializationWriter, attackSimulationOperationCollectionResponse?: AttackSimulationOperationCollectionResponse | undefined): void;
