"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAttackSimulationUser = exports.deserializeIntoAttackSimulationUser = exports.createAttackSimulationUserFromDiscriminatorValue = void 0;
function createAttackSimulationUserFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAttackSimulationUser;
}
exports.createAttackSimulationUserFromDiscriminatorValue = createAttackSimulationUserFromDiscriminatorValue;
function deserializeIntoAttackSimulationUser(attackSimulationUser = {}) {
    return {
        "displayName": n => { attackSimulationUser.displayName = n.getStringValue(); },
        "email": n => { attackSimulationUser.email = n.getStringValue(); },
        "@odata.type": n => { attackSimulationUser.odataType = n.getStringValue(); },
        "userId": n => { attackSimulationUser.userId = n.getStringValue(); },
    };
}
exports.deserializeIntoAttackSimulationUser = deserializeIntoAttackSimulationUser;
function serializeAttackSimulationUser(writer, attackSimulationUser = {}) {
    writer.writeStringValue("displayName", attackSimulationUser.displayName);
    writer.writeStringValue("email", attackSimulationUser.email);
    writer.writeStringValue("@odata.type", attackSimulationUser.odataType);
    writer.writeStringValue("userId", attackSimulationUser.userId);
    writer.writeAdditionalData(attackSimulationUser.additionalData);
}
exports.serializeAttackSimulationUser = serializeAttackSimulationUser;
// tslint:enable
// eslint-enable
