"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAttendanceInterval = exports.deserializeIntoAttendanceInterval = exports.createAttendanceIntervalFromDiscriminatorValue = void 0;
function createAttendanceIntervalFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAttendanceInterval;
}
exports.createAttendanceIntervalFromDiscriminatorValue = createAttendanceIntervalFromDiscriminatorValue;
function deserializeIntoAttendanceInterval(attendanceInterval = {}) {
    return {
        "durationInSeconds": n => { attendanceInterval.durationInSeconds = n.getNumberValue(); },
        "joinDateTime": n => { attendanceInterval.joinDateTime = n.getDateValue(); },
        "leaveDateTime": n => { attendanceInterval.leaveDateTime = n.getDateValue(); },
        "@odata.type": n => { attendanceInterval.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAttendanceInterval = deserializeIntoAttendanceInterval;
function serializeAttendanceInterval(writer, attendanceInterval = {}) {
    writer.writeNumberValue("durationInSeconds", attendanceInterval.durationInSeconds);
    writer.writeDateValue("joinDateTime", attendanceInterval.joinDateTime);
    writer.writeDateValue("leaveDateTime", attendanceInterval.leaveDateTime);
    writer.writeStringValue("@odata.type", attendanceInterval.odataType);
    writer.writeAdditionalData(attendanceInterval.additionalData);
}
exports.serializeAttendanceInterval = serializeAttendanceInterval;
// tslint:enable
// eslint-enable
