import { type AttendanceRecord } from './attendanceRecord';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttendanceRecordCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttendanceRecord[];
}
export declare function createAttendanceRecordCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttendanceRecordCollectionResponse;
export declare function deserializeIntoAttendanceRecordCollectionResponse(attendanceRecordCollectionResponse?: AttendanceRecordCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttendanceRecordCollectionResponse(writer: SerializationWriter, attendanceRecordCollectionResponse?: AttendanceRecordCollectionResponse | undefined): void;
