import { type AttributeMappingParameterSchema } from './attributeMappingParameterSchema';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeMappingFunctionSchema extends Entity, Parsable {
    /**
     * Collection of function parameters.
     */
    parameters?: AttributeMappingParameterSchema[];
}
export declare function createAttributeMappingFunctionSchemaFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeMappingFunctionSchema;
export declare function deserializeIntoAttributeMappingFunctionSchema(attributeMappingFunctionSchema?: AttributeMappingFunctionSchema | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeMappingFunctionSchema(writer: SerializationWriter, attributeMappingFunctionSchema?: AttributeMappingFunctionSchema | undefined): void;
