import { type AttributeSet } from './attributeSet';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeSetCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttributeSet[];
}
export declare function createAttributeSetCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeSetCollectionResponse;
export declare function deserializeIntoAttributeSetCollectionResponse(attributeSetCollectionResponse?: AttributeSetCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeSetCollectionResponse(writer: SerializationWriter, attributeSetCollectionResponse?: AttributeSetCollectionResponse | undefined): void;
