import { type AuditEvent } from './auditEvent';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuditEventCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuditEvent[];
}
export declare function createAuditEventCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuditEventCollectionResponse;
export declare function deserializeIntoAuditEventCollectionResponse(auditEventCollectionResponse?: AuditEventCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuditEventCollectionResponse(writer: SerializationWriter, auditEventCollectionResponse?: AuditEventCollectionResponse | undefined): void;
