import { type DirectoryAudit } from './directoryAudit';
import { type Entity } from './entity';
import { type ProvisioningObjectSummary } from './provisioningObjectSummary';
import { type SignIn } from './signIn';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuditLogRoot extends Entity, Parsable {
    /**
     * The directoryAudits property
     */
    directoryAudits?: DirectoryAudit[];
    /**
     * The provisioning property
     */
    provisioning?: ProvisioningObjectSummary[];
    /**
     * The signIns property
     */
    signIns?: SignIn[];
}
export declare function createAuditLogRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuditLogRoot;
export declare function deserializeIntoAuditLogRoot(auditLogRoot?: AuditLogRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuditLogRoot(writer: SerializationWriter, auditLogRoot?: AuditLogRoot | undefined): void;
