"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuditProperty = exports.deserializeIntoAuditProperty = exports.createAuditPropertyFromDiscriminatorValue = void 0;
function createAuditPropertyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAuditProperty;
}
exports.createAuditPropertyFromDiscriminatorValue = createAuditPropertyFromDiscriminatorValue;
function deserializeIntoAuditProperty(auditProperty = {}) {
    return {
        "displayName": n => { auditProperty.displayName = n.getStringValue(); },
        "newValue": n => { auditProperty.newValue = n.getStringValue(); },
        "@odata.type": n => { auditProperty.odataType = n.getStringValue(); },
        "oldValue": n => { auditProperty.oldValue = n.getStringValue(); },
    };
}
exports.deserializeIntoAuditProperty = deserializeIntoAuditProperty;
function serializeAuditProperty(writer, auditProperty = {}) {
    writer.writeStringValue("displayName", auditProperty.displayName);
    writer.writeStringValue("newValue", auditProperty.newValue);
    writer.writeStringValue("@odata.type", auditProperty.odataType);
    writer.writeStringValue("oldValue", auditProperty.oldValue);
    writer.writeAdditionalData(auditProperty.additionalData);
}
exports.serializeAuditProperty = serializeAuditProperty;
// tslint:enable
// eslint-enable
