import { type AuthenticationContextClassReference } from './authenticationContextClassReference';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationContextClassReferenceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuthenticationContextClassReference[];
}
export declare function createAuthenticationContextClassReferenceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationContextClassReferenceCollectionResponse;
export declare function deserializeIntoAuthenticationContextClassReferenceCollectionResponse(authenticationContextClassReferenceCollectionResponse?: AuthenticationContextClassReferenceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationContextClassReferenceCollectionResponse(writer: SerializationWriter, authenticationContextClassReferenceCollectionResponse?: AuthenticationContextClassReferenceCollectionResponse | undefined): void;
