import { deserializeIntoEmailAuthenticationMethod } from './emailAuthenticationMethod';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethod extends Entity, Parsable {
}
export declare function createAuthenticationMethodFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailAuthenticationMethod;
export declare function deserializeIntoAuthenticationMethod(authenticationMethod?: AuthenticationMethod | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethod(writer: SerializationWriter, authenticationMethod?: AuthenticationMethod | undefined): void;
