import { type AuthenticationMethod } from './authenticationMethod';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuthenticationMethod[];
}
export declare function createAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodCollectionResponse;
export declare function deserializeIntoAuthenticationMethodCollectionResponse(authenticationMethodCollectionResponse?: AuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodCollectionResponse(writer: SerializationWriter, authenticationMethodCollectionResponse?: AuthenticationMethodCollectionResponse | undefined): void;
