import { type AuthenticationStrengthPolicy } from './authenticationStrengthPolicy';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationStrengthPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuthenticationStrengthPolicy[];
}
export declare function createAuthenticationStrengthPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationStrengthPolicyCollectionResponse;
export declare function deserializeIntoAuthenticationStrengthPolicyCollectionResponse(authenticationStrengthPolicyCollectionResponse?: AuthenticationStrengthPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationStrengthPolicyCollectionResponse(writer: SerializationWriter, authenticationStrengthPolicyCollectionResponse?: AuthenticationStrengthPolicyCollectionResponse | undefined): void;
