import { type AuthoredNote } from './authoredNote';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthoredNoteCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuthoredNote[];
}
export declare function createAuthoredNoteCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthoredNoteCollectionResponse;
export declare function deserializeIntoAuthoredNoteCollectionResponse(authoredNoteCollectionResponse?: AuthoredNoteCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthoredNoteCollectionResponse(writer: SerializationWriter, authoredNoteCollectionResponse?: AuthoredNoteCollectionResponse | undefined): void;
