"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutoRestartNotificationDismissalMethod = void 0;
/**
 * Auto restart required notification dismissal method
 */
var AutoRestartNotificationDismissalMethod;
(function (AutoRestartNotificationDismissalMethod) {
    /** Not configured */
    AutoRestartNotificationDismissalMethod["NotConfigured"] = "notConfigured";
    /** Auto dismissal Indicates that the notification is automatically dismissed without user intervention */
    AutoRestartNotificationDismissalMethod["Automatic"] = "automatic";
    /** User dismissal. Allows the user to dismiss the notification */
    AutoRestartNotificationDismissalMethod["User"] = "user";
    /** Evolvable enum member */
    AutoRestartNotificationDismissalMethod["UnknownFutureValue"] = "unknownFutureValue";
})(AutoRestartNotificationDismissalMethod || (exports.AutoRestartNotificationDismissalMethod = AutoRestartNotificationDismissalMethod = {}));
// tslint:enable
// eslint-enable
