"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAverageComparativeScore = exports.deserializeIntoAverageComparativeScore = exports.createAverageComparativeScoreFromDiscriminatorValue = void 0;
function createAverageComparativeScoreFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAverageComparativeScore;
}
exports.createAverageComparativeScoreFromDiscriminatorValue = createAverageComparativeScoreFromDiscriminatorValue;
function deserializeIntoAverageComparativeScore(averageComparativeScore = {}) {
    return {
        "averageScore": n => { averageComparativeScore.averageScore = n.getNumberValue(); },
        "basis": n => { averageComparativeScore.basis = n.getStringValue(); },
        "@odata.type": n => { averageComparativeScore.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAverageComparativeScore = deserializeIntoAverageComparativeScore;
function serializeAverageComparativeScore(writer, averageComparativeScore = {}) {
    writer.writeNumberValue("averageScore", averageComparativeScore.averageScore);
    writer.writeStringValue("basis", averageComparativeScore.basis);
    writer.writeStringValue("@odata.type", averageComparativeScore.odataType);
    writer.writeAdditionalData(averageComparativeScore.additionalData);
}
exports.serializeAverageComparativeScore = serializeAverageComparativeScore;
// tslint:enable
// eslint-enable
