import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AzureCommunicationServicesUserIdentity extends Identity, Parsable {
    /**
     * The Azure Communication Services resource ID associated with the user.
     */
    azureCommunicationServicesResourceId?: string;
}
export declare function createAzureCommunicationServicesUserIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureCommunicationServicesUserIdentity;
export declare function deserializeIntoAzureCommunicationServicesUserIdentity(azureCommunicationServicesUserIdentity?: AzureCommunicationServicesUserIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAzureCommunicationServicesUserIdentity(writer: SerializationWriter, azureCommunicationServicesUserIdentity?: AzureCommunicationServicesUserIdentity | undefined): void;
