import { type B2xIdentityUserFlow } from './b2xIdentityUserFlow';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface B2xIdentityUserFlowCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: B2xIdentityUserFlow[];
}
export declare function createB2xIdentityUserFlowCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoB2xIdentityUserFlowCollectionResponse;
export declare function deserializeIntoB2xIdentityUserFlowCollectionResponse(b2xIdentityUserFlowCollectionResponse?: B2xIdentityUserFlowCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeB2xIdentityUserFlowCollectionResponse(writer: SerializationWriter, b2xIdentityUserFlowCollectionResponse?: B2xIdentityUserFlowCollectionResponse | undefined): void;
