import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BaseCollectionPaginationCountResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataCount property
     */
    odataCount?: number;
    /**
     * The OdataNextLink property
     */
    odataNextLink?: string;
}
export declare function createBaseCollectionPaginationCountResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBaseCollectionPaginationCountResponse;
export declare function deserializeIntoBaseCollectionPaginationCountResponse(baseCollectionPaginationCountResponse?: BaseCollectionPaginationCountResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBaseCollectionPaginationCountResponse(writer: SerializationWriter, baseCollectionPaginationCountResponse?: BaseCollectionPaginationCountResponse | undefined): void;
