"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBaseDeltaFunctionResponse = exports.deserializeIntoBaseDeltaFunctionResponse = exports.createBaseDeltaFunctionResponseFromDiscriminatorValue = void 0;
function createBaseDeltaFunctionResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBaseDeltaFunctionResponse;
}
exports.createBaseDeltaFunctionResponseFromDiscriminatorValue = createBaseDeltaFunctionResponseFromDiscriminatorValue;
function deserializeIntoBaseDeltaFunctionResponse(baseDeltaFunctionResponse = {}) {
    return {
        "@odata.deltaLink": n => { baseDeltaFunctionResponse.odataDeltaLink = n.getStringValue(); },
        "@odata.nextLink": n => { baseDeltaFunctionResponse.odataNextLink = n.getStringValue(); },
    };
}
exports.deserializeIntoBaseDeltaFunctionResponse = deserializeIntoBaseDeltaFunctionResponse;
function serializeBaseDeltaFunctionResponse(writer, baseDeltaFunctionResponse = {}) {
    writer.writeStringValue("@odata.deltaLink", baseDeltaFunctionResponse.odataDeltaLink);
    writer.writeStringValue("@odata.nextLink", baseDeltaFunctionResponse.odataNextLink);
    writer.writeAdditionalData(baseDeltaFunctionResponse.additionalData);
}
exports.serializeBaseDeltaFunctionResponse = serializeBaseDeltaFunctionResponse;
// tslint:enable
// eslint-enable
