import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BaseItem } from './baseItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BaseItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BaseItem[];
}
export declare function createBaseItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBaseItemCollectionResponse;
export declare function deserializeIntoBaseItemCollectionResponse(baseItemCollectionResponse?: BaseItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBaseItemCollectionResponse(writer: SerializationWriter, baseItemCollectionResponse?: BaseItemCollectionResponse | undefined): void;
