import { type ApiAuthenticationConfigurationBase } from './apiAuthenticationConfigurationBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BasicAuthentication extends ApiAuthenticationConfigurationBase, Parsable {
    /**
     * The password. It isn't returned in the responses.
     */
    password?: string;
    /**
     * The username.
     */
    username?: string;
}
export declare function createBasicAuthenticationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBasicAuthentication;
export declare function deserializeIntoBasicAuthentication(basicAuthentication?: BasicAuthentication | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBasicAuthentication(writer: SerializationWriter, basicAuthentication?: BasicAuthentication | undefined): void;
