import { type BitlockerRecoveryKey } from './bitlockerRecoveryKey';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Bitlocker extends Entity, Parsable {
    /**
     * The recovery keys associated with the bitlocker entity.
     */
    recoveryKeys?: BitlockerRecoveryKey[];
}
export declare function createBitlockerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitlocker;
export declare function deserializeIntoBitlocker(bitlocker?: Bitlocker | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitlocker(writer: SerializationWriter, bitlocker?: Bitlocker | undefined): void;
