import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BookingAppointment } from './bookingAppointment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingAppointmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BookingAppointment[];
}
export declare function createBookingAppointmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingAppointmentCollectionResponse;
export declare function deserializeIntoBookingAppointmentCollectionResponse(bookingAppointmentCollectionResponse?: BookingAppointmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingAppointmentCollectionResponse(writer: SerializationWriter, bookingAppointmentCollectionResponse?: BookingAppointmentCollectionResponse | undefined): void;
