import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCurrency extends Entity, Parsable {
    /**
     * The currency symbol. For example, the currency symbol for the US dollar and for the Australian dollar is $.
     */
    symbol?: string;
}
export declare function createBookingCurrencyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCurrency;
export declare function deserializeIntoBookingCurrency(bookingCurrency?: BookingCurrency | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCurrency(writer: SerializationWriter, bookingCurrency?: BookingCurrency | undefined): void;
