import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BookingCurrency } from './bookingCurrency';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCurrencyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BookingCurrency[];
}
export declare function createBookingCurrencyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCurrencyCollectionResponse;
export declare function deserializeIntoBookingCurrencyCollectionResponse(bookingCurrencyCollectionResponse?: BookingCurrencyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCurrencyCollectionResponse(writer: SerializationWriter, bookingCurrencyCollectionResponse?: BookingCurrencyCollectionResponse | undefined): void;
