import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BookingCustomQuestion } from './bookingCustomQuestion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCustomQuestionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BookingCustomQuestion[];
}
export declare function createBookingCustomQuestionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCustomQuestionCollectionResponse;
export declare function deserializeIntoBookingCustomQuestionCollectionResponse(bookingCustomQuestionCollectionResponse?: BookingCustomQuestionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCustomQuestionCollectionResponse(writer: SerializationWriter, bookingCustomQuestionCollectionResponse?: BookingCustomQuestionCollectionResponse | undefined): void;
