import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BookingCustomerBase } from './bookingCustomerBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCustomerBaseCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BookingCustomerBase[];
}
export declare function createBookingCustomerBaseCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCustomerBaseCollectionResponse;
export declare function deserializeIntoBookingCustomerBaseCollectionResponse(bookingCustomerBaseCollectionResponse?: BookingCustomerBaseCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCustomerBaseCollectionResponse(writer: SerializationWriter, bookingCustomerBaseCollectionResponse?: BookingCustomerBaseCollectionResponse | undefined): void;
