import { deserializeIntoBookingCustomerInformation } from './bookingCustomerInformation';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCustomerInformationBase extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createBookingCustomerInformationBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCustomerInformation;
export declare function deserializeIntoBookingCustomerInformationBase(bookingCustomerInformationBase?: BookingCustomerInformationBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCustomerInformationBase(writer: SerializationWriter, bookingCustomerInformationBase?: BookingCustomerInformationBase | undefined): void;
