"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBookingQuestionAssignment = exports.deserializeIntoBookingQuestionAssignment = exports.createBookingQuestionAssignmentFromDiscriminatorValue = void 0;
function createBookingQuestionAssignmentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBookingQuestionAssignment;
}
exports.createBookingQuestionAssignmentFromDiscriminatorValue = createBookingQuestionAssignmentFromDiscriminatorValue;
function deserializeIntoBookingQuestionAssignment(bookingQuestionAssignment = {}) {
    return {
        "isRequired": n => { bookingQuestionAssignment.isRequired = n.getBooleanValue(); },
        "@odata.type": n => { bookingQuestionAssignment.odataType = n.getStringValue(); },
        "questionId": n => { bookingQuestionAssignment.questionId = n.getStringValue(); },
    };
}
exports.deserializeIntoBookingQuestionAssignment = deserializeIntoBookingQuestionAssignment;
function serializeBookingQuestionAssignment(writer, bookingQuestionAssignment = {}) {
    writer.writeBooleanValue("isRequired", bookingQuestionAssignment.isRequired);
    writer.writeStringValue("@odata.type", bookingQuestionAssignment.odataType);
    writer.writeStringValue("questionId", bookingQuestionAssignment.questionId);
    writer.writeAdditionalData(bookingQuestionAssignment.additionalData);
}
exports.serializeBookingQuestionAssignment = serializeBookingQuestionAssignment;
// tslint:enable
// eslint-enable
