import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BookingStaffMemberBase } from './bookingStaffMemberBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingStaffMemberBaseCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BookingStaffMemberBase[];
}
export declare function createBookingStaffMemberBaseCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingStaffMemberBaseCollectionResponse;
export declare function deserializeIntoBookingStaffMemberBaseCollectionResponse(bookingStaffMemberBaseCollectionResponse?: BookingStaffMemberBaseCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingStaffMemberBaseCollectionResponse(writer: SerializationWriter, bookingStaffMemberBaseCollectionResponse?: BookingStaffMemberBaseCollectionResponse | undefined): void;
