"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBooleanColumn = exports.deserializeIntoBooleanColumn = exports.createBooleanColumnFromDiscriminatorValue = void 0;
function createBooleanColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBooleanColumn;
}
exports.createBooleanColumnFromDiscriminatorValue = createBooleanColumnFromDiscriminatorValue;
function deserializeIntoBooleanColumn(booleanColumn = {}) {
    return {
        "@odata.type": n => { booleanColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoBooleanColumn = deserializeIntoBooleanColumn;
function serializeBooleanColumn(writer, booleanColumn = {}) {
    writer.writeStringValue("@odata.type", booleanColumn.odataType);
    writer.writeAdditionalData(booleanColumn.additionalData);
}
exports.serializeBooleanColumn = serializeBooleanColumn;
// tslint:enable
// eslint-enable
