"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserSharedCookieStatus = void 0;
var BrowserSharedCookieStatus;
(function (BrowserSharedCookieStatus) {
    /** A sharedcookie that has been published */
    BrowserSharedCookieStatus["Published"] = "published";
    /** A sharedcookie that has been added pending publish */
    BrowserSharedCookieStatus["PendingAdd"] = "pendingAdd";
    /** A sharedcookie that has been edited pending publish */
    BrowserSharedCookieStatus["PendingEdit"] = "pendingEdit";
    /** A sharedcookie that has been deleted pending publish */
    BrowserSharedCookieStatus["PendingDelete"] = "pendingDelete";
    /** Placeholder for evolvable enum, but this enum is never returned to the caller, so it shouldn't be necessary. */
    BrowserSharedCookieStatus["UnknownFutureValue"] = "unknownFutureValue";
})(BrowserSharedCookieStatus || (exports.BrowserSharedCookieStatus = BrowserSharedCookieStatus = {}));
// tslint:enable
// eslint-enable
