import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BrowserSite } from './browserSite';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BrowserSiteCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BrowserSite[];
}
export declare function createBrowserSiteCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBrowserSiteCollectionResponse;
export declare function deserializeIntoBrowserSiteCollectionResponse(browserSiteCollectionResponse?: BrowserSiteCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBrowserSiteCollectionResponse(writer: SerializationWriter, browserSiteCollectionResponse?: BrowserSiteCollectionResponse | undefined): void;
