"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBucketAggregationRange = exports.deserializeIntoBucketAggregationRange = exports.createBucketAggregationRangeFromDiscriminatorValue = void 0;
function createBucketAggregationRangeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBucketAggregationRange;
}
exports.createBucketAggregationRangeFromDiscriminatorValue = createBucketAggregationRangeFromDiscriminatorValue;
function deserializeIntoBucketAggregationRange(bucketAggregationRange = {}) {
    return {
        "from": n => { bucketAggregationRange.from = n.getStringValue(); },
        "@odata.type": n => { bucketAggregationRange.odataType = n.getStringValue(); },
        "to": n => { bucketAggregationRange.to = n.getStringValue(); },
    };
}
exports.deserializeIntoBucketAggregationRange = deserializeIntoBucketAggregationRange;
function serializeBucketAggregationRange(writer, bucketAggregationRange = {}) {
    writer.writeStringValue("from", bucketAggregationRange.from);
    writer.writeStringValue("@odata.type", bucketAggregationRange.odataType);
    writer.writeStringValue("to", bucketAggregationRange.to);
    writer.writeAdditionalData(bucketAggregationRange.additionalData);
}
exports.serializeBucketAggregationRange = serializeBucketAggregationRange;
// tslint:enable
// eslint-enable
