import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CalendarGroup } from './calendarGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalendarGroupCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CalendarGroup[];
}
export declare function createCalendarGroupCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalendarGroupCollectionResponse;
export declare function deserializeIntoCalendarGroupCollectionResponse(calendarGroupCollectionResponse?: CalendarGroupCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalendarGroupCollectionResponse(writer: SerializationWriter, calendarGroupCollectionResponse?: CalendarGroupCollectionResponse | undefined): void;
