import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CalendarPermission } from './calendarPermission';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalendarPermissionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CalendarPermission[];
}
export declare function createCalendarPermissionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalendarPermissionCollectionResponse;
export declare function deserializeIntoCalendarPermissionCollectionResponse(calendarPermissionCollectionResponse?: CalendarPermissionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalendarPermissionCollectionResponse(writer: SerializationWriter, calendarPermissionCollectionResponse?: CalendarPermissionCollectionResponse | undefined): void;
