import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Call } from './call';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Call[];
}
export declare function createCallCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallCollectionResponse;
export declare function deserializeIntoCallCollectionResponse(callCollectionResponse?: CallCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallCollectionResponse(writer: SerializationWriter, callCollectionResponse?: CallCollectionResponse | undefined): void;
