import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type CallRecord } from './callRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallRecordCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CallRecord[];
}
export declare function createCallRecordCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallRecordCollectionResponse;
export declare function deserializeIntoCallRecordCollectionResponse(callRecordCollectionResponse?: CallRecordCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallRecordCollectionResponse(writer: SerializationWriter, callRecordCollectionResponse?: CallRecordCollectionResponse | undefined): void;
