"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFeedbackTokenSet = exports.deserializeIntoFeedbackTokenSet = exports.createFeedbackTokenSetFromDiscriminatorValue = void 0;
function createFeedbackTokenSetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFeedbackTokenSet;
}
exports.createFeedbackTokenSetFromDiscriminatorValue = createFeedbackTokenSetFromDiscriminatorValue;
function deserializeIntoFeedbackTokenSet(feedbackTokenSet = {}) {
    return {
        "@odata.type": n => { feedbackTokenSet.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoFeedbackTokenSet = deserializeIntoFeedbackTokenSet;
function serializeFeedbackTokenSet(writer, feedbackTokenSet = {}) {
    writer.writeStringValue("@odata.type", feedbackTokenSet.odataType);
    writer.writeAdditionalData(feedbackTokenSet.additionalData);
}
exports.serializeFeedbackTokenSet = serializeFeedbackTokenSet;
// tslint:enable
// eslint-enable
