import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Segment } from './segment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSegmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSegmentCollectionResponse;
export declare function deserializeIntoSegmentCollectionResponse(segmentCollectionResponse?: SegmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SegmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Segment[];
}
export declare function serializeSegmentCollectionResponse(writer: SerializationWriter, segmentCollectionResponse?: SegmentCollectionResponse | undefined): void;
