import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Session } from './session';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSessionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSessionCollectionResponse;
export declare function deserializeIntoSessionCollectionResponse(sessionCollectionResponse?: SessionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSessionCollectionResponse(writer: SerializationWriter, sessionCollectionResponse?: SessionCollectionResponse | undefined): void;
export interface SessionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Session[];
}
