"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTraceRouteHop = exports.deserializeIntoTraceRouteHop = exports.createTraceRouteHopFromDiscriminatorValue = void 0;
function createTraceRouteHopFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTraceRouteHop;
}
exports.createTraceRouteHopFromDiscriminatorValue = createTraceRouteHopFromDiscriminatorValue;
function deserializeIntoTraceRouteHop(traceRouteHop = {}) {
    return {
        "hopCount": n => { traceRouteHop.hopCount = n.getNumberValue(); },
        "ipAddress": n => { traceRouteHop.ipAddress = n.getStringValue(); },
        "@odata.type": n => { traceRouteHop.odataType = n.getStringValue(); },
        "roundTripTime": n => { traceRouteHop.roundTripTime = n.getDurationValue(); },
    };
}
exports.deserializeIntoTraceRouteHop = deserializeIntoTraceRouteHop;
function serializeTraceRouteHop(writer, traceRouteHop = {}) {
    writer.writeNumberValue("hopCount", traceRouteHop.hopCount);
    writer.writeStringValue("ipAddress", traceRouteHop.ipAddress);
    writer.writeStringValue("@odata.type", traceRouteHop.odataType);
    writer.writeDurationValue("roundTripTime", traceRouteHop.roundTripTime);
    writer.writeAdditionalData(traceRouteHop.additionalData);
}
exports.serializeTraceRouteHop = serializeTraceRouteHop;
// tslint:enable
// eslint-enable
