import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CallTranscript } from './callTranscript';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallTranscriptCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CallTranscript[];
}
export declare function createCallTranscriptCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallTranscriptCollectionResponse;
export declare function deserializeIntoCallTranscriptCollectionResponse(callTranscriptCollectionResponse?: CallTranscriptCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallTranscriptCollectionResponse(writer: SerializationWriter, callTranscriptCollectionResponse?: CallTranscriptCollectionResponse | undefined): void;
