import { type CommsOperation } from './commsOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CancelMediaProcessingOperation extends CommsOperation, Parsable {
}
export declare function createCancelMediaProcessingOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCancelMediaProcessingOperation;
export declare function deserializeIntoCancelMediaProcessingOperation(cancelMediaProcessingOperation?: CancelMediaProcessingOperation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCancelMediaProcessingOperation(writer: SerializationWriter, cancelMediaProcessingOperation?: CancelMediaProcessingOperation | undefined): void;
