import { type CertificateAuthority } from './certificateAuthority';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CertificateBasedAuthConfiguration extends Entity, Parsable {
    /**
     * Collection of certificate authorities which creates a trusted certificate chain.
     */
    certificateAuthorities?: CertificateAuthority[];
}
export declare function createCertificateBasedAuthConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCertificateBasedAuthConfiguration;
export declare function deserializeIntoCertificateBasedAuthConfiguration(certificateBasedAuthConfiguration?: CertificateBasedAuthConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCertificateBasedAuthConfiguration(writer: SerializationWriter, certificateBasedAuthConfiguration?: CertificateBasedAuthConfiguration | undefined): void;
