"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCertificationControl = exports.deserializeIntoCertificationControl = exports.createCertificationControlFromDiscriminatorValue = void 0;
function createCertificationControlFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCertificationControl;
}
exports.createCertificationControlFromDiscriminatorValue = createCertificationControlFromDiscriminatorValue;
function deserializeIntoCertificationControl(certificationControl = {}) {
    return {
        "name": n => { certificationControl.name = n.getStringValue(); },
        "@odata.type": n => { certificationControl.odataType = n.getStringValue(); },
        "url": n => { certificationControl.url = n.getStringValue(); },
    };
}
exports.deserializeIntoCertificationControl = deserializeIntoCertificationControl;
function serializeCertificationControl(writer, certificationControl = {}) {
    writer.writeStringValue("name", certificationControl.name);
    writer.writeStringValue("@odata.type", certificationControl.odataType);
    writer.writeStringValue("url", certificationControl.url);
    writer.writeAdditionalData(certificationControl.additionalData);
}
exports.serializeCertificationControl = serializeCertificationControl;
// tslint:enable
// eslint-enable
