"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChannelIdentity = exports.deserializeIntoChannelIdentity = exports.createChannelIdentityFromDiscriminatorValue = void 0;
function createChannelIdentityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChannelIdentity;
}
exports.createChannelIdentityFromDiscriminatorValue = createChannelIdentityFromDiscriminatorValue;
function deserializeIntoChannelIdentity(channelIdentity = {}) {
    return {
        "channelId": n => { channelIdentity.channelId = n.getStringValue(); },
        "@odata.type": n => { channelIdentity.odataType = n.getStringValue(); },
        "teamId": n => { channelIdentity.teamId = n.getStringValue(); },
    };
}
exports.deserializeIntoChannelIdentity = deserializeIntoChannelIdentity;
function serializeChannelIdentity(writer, channelIdentity = {}) {
    writer.writeStringValue("channelId", channelIdentity.channelId);
    writer.writeStringValue("@odata.type", channelIdentity.odataType);
    writer.writeStringValue("teamId", channelIdentity.teamId);
    writer.writeAdditionalData(channelIdentity.additionalData);
}
exports.serializeChannelIdentity = serializeChannelIdentity;
// tslint:enable
// eslint-enable
