import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelUnsetAsFavoriteByDefaultEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Unique identifier of the channel.
     */
    channelId?: string;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function createChannelUnsetAsFavoriteByDefaultEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelUnsetAsFavoriteByDefaultEventMessageDetail;
export declare function deserializeIntoChannelUnsetAsFavoriteByDefaultEventMessageDetail(channelUnsetAsFavoriteByDefaultEventMessageDetail?: ChannelUnsetAsFavoriteByDefaultEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelUnsetAsFavoriteByDefaultEventMessageDetail(writer: SerializationWriter, channelUnsetAsFavoriteByDefaultEventMessageDetail?: ChannelUnsetAsFavoriteByDefaultEventMessageDetail | undefined): void;
