import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Chat } from './chat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Chat[];
}
export declare function createChatCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatCollectionResponse;
export declare function deserializeIntoChatCollectionResponse(chatCollectionResponse?: ChatCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatCollectionResponse(writer: SerializationWriter, chatCollectionResponse?: ChatCollectionResponse | undefined): void;
