"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChatInfo = exports.deserializeIntoChatInfo = exports.createChatInfoFromDiscriminatorValue = void 0;
function createChatInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChatInfo;
}
exports.createChatInfoFromDiscriminatorValue = createChatInfoFromDiscriminatorValue;
function deserializeIntoChatInfo(chatInfo = {}) {
    return {
        "messageId": n => { chatInfo.messageId = n.getStringValue(); },
        "@odata.type": n => { chatInfo.odataType = n.getStringValue(); },
        "replyChainMessageId": n => { chatInfo.replyChainMessageId = n.getStringValue(); },
        "threadId": n => { chatInfo.threadId = n.getStringValue(); },
    };
}
exports.deserializeIntoChatInfo = deserializeIntoChatInfo;
function serializeChatInfo(writer, chatInfo = {}) {
    writer.writeStringValue("messageId", chatInfo.messageId);
    writer.writeStringValue("@odata.type", chatInfo.odataType);
    writer.writeStringValue("replyChainMessageId", chatInfo.replyChainMessageId);
    writer.writeStringValue("threadId", chatInfo.threadId);
    writer.writeAdditionalData(chatInfo.additionalData);
}
exports.serializeChatInfo = serializeChatInfo;
// tslint:enable
// eslint-enable
