import { type TeamworkNotificationRecipient } from './teamworkNotificationRecipient';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMembersNotificationRecipient extends Parsable, TeamworkNotificationRecipient {
    /**
     * The unique identifier for the chat whose members should receive the notifications.
     */
    chatId?: string;
}
export declare function createChatMembersNotificationRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMembersNotificationRecipient;
export declare function deserializeIntoChatMembersNotificationRecipient(chatMembersNotificationRecipient?: ChatMembersNotificationRecipient | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMembersNotificationRecipient(writer: SerializationWriter, chatMembersNotificationRecipient?: ChatMembersNotificationRecipient | undefined): void;
