import { type TeamworkHostedContent } from './teamworkHostedContent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageHostedContent extends Parsable, TeamworkHostedContent {
}
export declare function createChatMessageHostedContentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageHostedContent;
export declare function deserializeIntoChatMessageHostedContent(chatMessageHostedContent?: ChatMessageHostedContent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageHostedContent(writer: SerializationWriter, chatMessageHostedContent?: ChatMessageHostedContent | undefined): void;
