import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ChatMessageHostedContent } from './chatMessageHostedContent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageHostedContentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ChatMessageHostedContent[];
}
export declare function createChatMessageHostedContentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageHostedContentCollectionResponse;
export declare function deserializeIntoChatMessageHostedContentCollectionResponse(chatMessageHostedContentCollectionResponse?: ChatMessageHostedContentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageHostedContentCollectionResponse(writer: SerializationWriter, chatMessageHostedContentCollectionResponse?: ChatMessageHostedContentCollectionResponse | undefined): void;
