import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageReactionIdentitySet extends IdentitySet, Parsable {
}
export declare function createChatMessageReactionIdentitySetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageReactionIdentitySet;
export declare function deserializeIntoChatMessageReactionIdentitySet(chatMessageReactionIdentitySet?: ChatMessageReactionIdentitySet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageReactionIdentitySet(writer: SerializationWriter, chatMessageReactionIdentitySet?: ChatMessageReactionIdentitySet | undefined): void;
