"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChatViewpoint = exports.deserializeIntoChatViewpoint = exports.createChatViewpointFromDiscriminatorValue = void 0;
function createChatViewpointFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChatViewpoint;
}
exports.createChatViewpointFromDiscriminatorValue = createChatViewpointFromDiscriminatorValue;
function deserializeIntoChatViewpoint(chatViewpoint = {}) {
    return {
        "isHidden": n => { chatViewpoint.isHidden = n.getBooleanValue(); },
        "lastMessageReadDateTime": n => { chatViewpoint.lastMessageReadDateTime = n.getDateValue(); },
        "@odata.type": n => { chatViewpoint.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoChatViewpoint = deserializeIntoChatViewpoint;
function serializeChatViewpoint(writer, chatViewpoint = {}) {
    writer.writeBooleanValue("isHidden", chatViewpoint.isHidden);
    writer.writeDateValue("lastMessageReadDateTime", chatViewpoint.lastMessageReadDateTime);
    writer.writeStringValue("@odata.type", chatViewpoint.odataType);
    writer.writeAdditionalData(chatViewpoint.additionalData);
}
exports.serializeChatViewpoint = serializeChatViewpoint;
// tslint:enable
// eslint-enable
