import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ChecklistItem } from './checklistItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChecklistItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ChecklistItem[];
}
export declare function createChecklistItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChecklistItemCollectionResponse;
export declare function deserializeIntoChecklistItemCollectionResponse(checklistItemCollectionResponse?: ChecklistItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChecklistItemCollectionResponse(writer: SerializationWriter, checklistItemCollectionResponse?: ChecklistItemCollectionResponse | undefined): void;
