import { type StsPolicy } from './stsPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ClaimsMappingPolicy extends Parsable, StsPolicy {
}
export declare function createClaimsMappingPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClaimsMappingPolicy;
export declare function deserializeIntoClaimsMappingPolicy(claimsMappingPolicy?: ClaimsMappingPolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeClaimsMappingPolicy(writer: SerializationWriter, claimsMappingPolicy?: ClaimsMappingPolicy | undefined): void;
