import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ColumnLink extends Entity, Parsable {
    /**
     * The name of the column  in this content type.
     */
    name?: string;
}
export declare function createColumnLinkFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoColumnLink;
export declare function deserializeIntoColumnLink(columnLink?: ColumnLink | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeColumnLink(writer: SerializationWriter, columnLink?: ColumnLink | undefined): void;
