import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ColumnLink } from './columnLink';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ColumnLinkCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ColumnLink[];
}
export declare function createColumnLinkCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoColumnLinkCollectionResponse;
export declare function deserializeIntoColumnLinkCollectionResponse(columnLinkCollectionResponse?: ColumnLinkCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeColumnLinkCollectionResponse(writer: SerializationWriter, columnLinkCollectionResponse?: ColumnLinkCollectionResponse | undefined): void;
