import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CommsOperation } from './commsOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommsOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CommsOperation[];
}
export declare function createCommsOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommsOperationCollectionResponse;
export declare function deserializeIntoCommsOperationCollectionResponse(commsOperationCollectionResponse?: CommsOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommsOperationCollectionResponse(writer: SerializationWriter, commsOperationCollectionResponse?: CommsOperationCollectionResponse | undefined): void;
