import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsEncryptedIdentity extends Identity, Parsable {
}
export declare function createCommunicationsEncryptedIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsEncryptedIdentity;
export declare function deserializeIntoCommunicationsEncryptedIdentity(communicationsEncryptedIdentity?: CommunicationsEncryptedIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsEncryptedIdentity(writer: SerializationWriter, communicationsEncryptedIdentity?: CommunicationsEncryptedIdentity | undefined): void;
