import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsUserIdentity extends Identity, Parsable {
    /**
     * The user's tenant ID.
     */
    tenantId?: string;
}
export declare function createCommunicationsUserIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsUserIdentity;
export declare function deserializeIntoCommunicationsUserIdentity(communicationsUserIdentity?: CommunicationsUserIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsUserIdentity(writer: SerializationWriter, communicationsUserIdentity?: CommunicationsUserIdentity | undefined): void;
