"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCompliance = exports.deserializeIntoCompliance = exports.createComplianceFromDiscriminatorValue = void 0;
function createComplianceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCompliance;
}
exports.createComplianceFromDiscriminatorValue = createComplianceFromDiscriminatorValue;
function deserializeIntoCompliance(compliance = {}) {
    return {
        "@odata.type": n => { compliance.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCompliance = deserializeIntoCompliance;
function serializeCompliance(writer, compliance = {}) {
    writer.writeStringValue("@odata.type", compliance.odataType);
    writer.writeAdditionalData(compliance.additionalData);
}
exports.serializeCompliance = serializeCompliance;
// tslint:enable
// eslint-enable
