import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ComplianceManagementPartnerAssignment extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Group assignment target.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function createComplianceManagementPartnerAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoComplianceManagementPartnerAssignment;
export declare function deserializeIntoComplianceManagementPartnerAssignment(complianceManagementPartnerAssignment?: ComplianceManagementPartnerAssignment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeComplianceManagementPartnerAssignment(writer: SerializationWriter, complianceManagementPartnerAssignment?: ComplianceManagementPartnerAssignment | undefined): void;
