import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ComplianceManagementPartner } from './complianceManagementPartner';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ComplianceManagementPartnerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ComplianceManagementPartner[];
}
export declare function createComplianceManagementPartnerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoComplianceManagementPartnerCollectionResponse;
export declare function deserializeIntoComplianceManagementPartnerCollectionResponse(complianceManagementPartnerCollectionResponse?: ComplianceManagementPartnerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeComplianceManagementPartnerCollectionResponse(writer: SerializationWriter, complianceManagementPartnerCollectionResponse?: ComplianceManagementPartnerCollectionResponse | undefined): void;
