import { type ConditionalAccessExternalTenants } from './conditionalAccessExternalTenants';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessEnumeratedExternalTenants extends ConditionalAccessExternalTenants, Parsable {
    /**
     * A collection of tenant IDs that define the scope of a policy targeting conditional access for guests and external users.
     */
    members?: string[];
}
export declare function createConditionalAccessEnumeratedExternalTenantsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessEnumeratedExternalTenants;
export declare function deserializeIntoConditionalAccessEnumeratedExternalTenants(conditionalAccessEnumeratedExternalTenants?: ConditionalAccessEnumeratedExternalTenants | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessEnumeratedExternalTenants(writer: SerializationWriter, conditionalAccessEnumeratedExternalTenants?: ConditionalAccessEnumeratedExternalTenants | undefined): void;
