"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeConditionalAccessLocations = exports.deserializeIntoConditionalAccessLocations = exports.createConditionalAccessLocationsFromDiscriminatorValue = void 0;
function createConditionalAccessLocationsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoConditionalAccessLocations;
}
exports.createConditionalAccessLocationsFromDiscriminatorValue = createConditionalAccessLocationsFromDiscriminatorValue;
function deserializeIntoConditionalAccessLocations(conditionalAccessLocations = {}) {
    return {
        "excludeLocations": n => { conditionalAccessLocations.excludeLocations = n.getCollectionOfPrimitiveValues(); },
        "includeLocations": n => { conditionalAccessLocations.includeLocations = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { conditionalAccessLocations.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoConditionalAccessLocations = deserializeIntoConditionalAccessLocations;
function serializeConditionalAccessLocations(writer, conditionalAccessLocations = {}) {
    writer.writeCollectionOfPrimitiveValues("excludeLocations", conditionalAccessLocations.excludeLocations);
    writer.writeCollectionOfPrimitiveValues("includeLocations", conditionalAccessLocations.includeLocations);
    writer.writeStringValue("@odata.type", conditionalAccessLocations.odataType);
    writer.writeAdditionalData(conditionalAccessLocations.additionalData);
}
exports.serializeConditionalAccessLocations = serializeConditionalAccessLocations;
// tslint:enable
// eslint-enable
