import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ConditionalAccessPolicy } from './conditionalAccessPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConditionalAccessPolicy[];
}
export declare function createConditionalAccessPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessPolicyCollectionResponse;
export declare function deserializeIntoConditionalAccessPolicyCollectionResponse(conditionalAccessPolicyCollectionResponse?: ConditionalAccessPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessPolicyCollectionResponse(writer: SerializationWriter, conditionalAccessPolicyCollectionResponse?: ConditionalAccessPolicyCollectionResponse | undefined): void;
