import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ConditionalAccessTemplate } from './conditionalAccessTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConditionalAccessTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConditionalAccessTemplate[];
}
export declare function createConditionalAccessTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConditionalAccessTemplateCollectionResponse;
export declare function deserializeIntoConditionalAccessTemplateCollectionResponse(conditionalAccessTemplateCollectionResponse?: ConditionalAccessTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConditionalAccessTemplateCollectionResponse(writer: SerializationWriter, conditionalAccessTemplateCollectionResponse?: ConditionalAccessTemplateCollectionResponse | undefined): void;
