"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeConfigurationManagerClientEnabledFeatures = exports.deserializeIntoConfigurationManagerClientEnabledFeatures = exports.createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue = void 0;
function createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoConfigurationManagerClientEnabledFeatures;
}
exports.createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue = createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue;
function deserializeIntoConfigurationManagerClientEnabledFeatures(configurationManagerClientEnabledFeatures = {}) {
    return {
        "compliancePolicy": n => { configurationManagerClientEnabledFeatures.compliancePolicy = n.getBooleanValue(); },
        "deviceConfiguration": n => { configurationManagerClientEnabledFeatures.deviceConfiguration = n.getBooleanValue(); },
        "inventory": n => { configurationManagerClientEnabledFeatures.inventory = n.getBooleanValue(); },
        "modernApps": n => { configurationManagerClientEnabledFeatures.modernApps = n.getBooleanValue(); },
        "@odata.type": n => { configurationManagerClientEnabledFeatures.odataType = n.getStringValue(); },
        "resourceAccess": n => { configurationManagerClientEnabledFeatures.resourceAccess = n.getBooleanValue(); },
        "windowsUpdateForBusiness": n => { configurationManagerClientEnabledFeatures.windowsUpdateForBusiness = n.getBooleanValue(); },
    };
}
exports.deserializeIntoConfigurationManagerClientEnabledFeatures = deserializeIntoConfigurationManagerClientEnabledFeatures;
function serializeConfigurationManagerClientEnabledFeatures(writer, configurationManagerClientEnabledFeatures = {}) {
    writer.writeBooleanValue("compliancePolicy", configurationManagerClientEnabledFeatures.compliancePolicy);
    writer.writeBooleanValue("deviceConfiguration", configurationManagerClientEnabledFeatures.deviceConfiguration);
    writer.writeBooleanValue("inventory", configurationManagerClientEnabledFeatures.inventory);
    writer.writeBooleanValue("modernApps", configurationManagerClientEnabledFeatures.modernApps);
    writer.writeStringValue("@odata.type", configurationManagerClientEnabledFeatures.odataType);
    writer.writeBooleanValue("resourceAccess", configurationManagerClientEnabledFeatures.resourceAccess);
    writer.writeBooleanValue("windowsUpdateForBusiness", configurationManagerClientEnabledFeatures.windowsUpdateForBusiness);
    writer.writeAdditionalData(configurationManagerClientEnabledFeatures.additionalData);
}
exports.serializeConfigurationManagerClientEnabledFeatures = serializeConfigurationManagerClientEnabledFeatures;
// tslint:enable
// eslint-enable
