import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConnectedOrganizationMembers extends Parsable, SubjectSet {
    /**
     * The ID of the connected organization in entitlement management.
     */
    connectedOrganizationId?: string;
    /**
     * The name of the connected organization.
     */
    description?: string;
}
export declare function createConnectedOrganizationMembersFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConnectedOrganizationMembers;
export declare function deserializeIntoConnectedOrganizationMembers(connectedOrganizationMembers?: ConnectedOrganizationMembers | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConnectedOrganizationMembers(writer: SerializationWriter, connectedOrganizationMembers?: ConnectedOrganizationMembers | undefined): void;
