import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ContactFolder } from './contactFolder';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContactFolderCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ContactFolder[];
}
export declare function createContactFolderCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContactFolderCollectionResponse;
export declare function deserializeIntoContactFolderCollectionResponse(contactFolderCollectionResponse?: ContactFolderCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContactFolderCollectionResponse(writer: SerializationWriter, contactFolderCollectionResponse?: ContactFolderCollectionResponse | undefined): void;
