import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContainerFilter extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The includedContainers property
     */
    includedContainers?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createContainerFilterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContainerFilter;
export declare function deserializeIntoContainerFilter(containerFilter?: ContainerFilter | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContainerFilter(writer: SerializationWriter, containerFilter?: ContainerFilter | undefined): void;
