"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeContainerFilter = exports.deserializeIntoContainerFilter = exports.createContainerFilterFromDiscriminatorValue = void 0;
function createContainerFilterFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoContainerFilter;
}
exports.createContainerFilterFromDiscriminatorValue = createContainerFilterFromDiscriminatorValue;
function deserializeIntoContainerFilter(containerFilter = {}) {
    return {
        "includedContainers": n => { containerFilter.includedContainers = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { containerFilter.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoContainerFilter = deserializeIntoContainerFilter;
function serializeContainerFilter(writer, containerFilter = {}) {
    writer.writeCollectionOfPrimitiveValues("includedContainers", containerFilter.includedContainers);
    writer.writeStringValue("@odata.type", containerFilter.odataType);
    writer.writeAdditionalData(containerFilter.additionalData);
}
exports.serializeContainerFilter = serializeContainerFilter;
// tslint:enable
// eslint-enable
