import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContentSharingSession extends Entity, Parsable {
}
export declare function createContentSharingSessionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContentSharingSession;
export declare function deserializeIntoContentSharingSession(contentSharingSession?: ContentSharingSession | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContentSharingSession(writer: SerializationWriter, contentSharingSession?: ContentSharingSession | undefined): void;
