import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ContentType } from './contentType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContentTypeCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ContentType[];
}
export declare function createContentTypeCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContentTypeCollectionResponse;
export declare function deserializeIntoContentTypeCollectionResponse(contentTypeCollectionResponse?: ContentTypeCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContentTypeCollectionResponse(writer: SerializationWriter, contentTypeCollectionResponse?: ContentTypeCollectionResponse | undefined): void;
