import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CrossTenantAccessPolicyConfigurationPartner } from './crossTenantAccessPolicyConfigurationPartner';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCrossTenantAccessPolicyConfigurationPartnerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCrossTenantAccessPolicyConfigurationPartnerCollectionResponse;
export interface CrossTenantAccessPolicyConfigurationPartnerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CrossTenantAccessPolicyConfigurationPartner[];
}
export declare function deserializeIntoCrossTenantAccessPolicyConfigurationPartnerCollectionResponse(crossTenantAccessPolicyConfigurationPartnerCollectionResponse?: CrossTenantAccessPolicyConfigurationPartnerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCrossTenantAccessPolicyConfigurationPartnerCollectionResponse(writer: SerializationWriter, crossTenantAccessPolicyConfigurationPartnerCollectionResponse?: CrossTenantAccessPolicyConfigurationPartnerCollectionResponse | undefined): void;
