import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CustomCalloutExtension } from './customCalloutExtension';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomCalloutExtensionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomCalloutExtensionCollectionResponse;
export interface CustomCalloutExtensionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CustomCalloutExtension[];
}
export declare function deserializeIntoCustomCalloutExtensionCollectionResponse(customCalloutExtensionCollectionResponse?: CustomCalloutExtensionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomCalloutExtensionCollectionResponse(writer: SerializationWriter, customCalloutExtensionCollectionResponse?: CustomCalloutExtensionCollectionResponse | undefined): void;
