import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CustomSecurityAttributeDefinition } from './customSecurityAttributeDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomSecurityAttributeDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomSecurityAttributeDefinitionCollectionResponse;
export interface CustomSecurityAttributeDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CustomSecurityAttributeDefinition[];
}
export declare function deserializeIntoCustomSecurityAttributeDefinitionCollectionResponse(customSecurityAttributeDefinitionCollectionResponse?: CustomSecurityAttributeDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomSecurityAttributeDefinitionCollectionResponse(writer: SerializationWriter, customSecurityAttributeDefinitionCollectionResponse?: CustomSecurityAttributeDefinitionCollectionResponse | undefined): void;
