"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCustomSecurityAttributeValue = exports.deserializeIntoCustomSecurityAttributeValue = exports.createCustomSecurityAttributeValueFromDiscriminatorValue = void 0;
function createCustomSecurityAttributeValueFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCustomSecurityAttributeValue;
}
exports.createCustomSecurityAttributeValueFromDiscriminatorValue = createCustomSecurityAttributeValueFromDiscriminatorValue;
function deserializeIntoCustomSecurityAttributeValue(customSecurityAttributeValue = {}) {
    return {
        "@odata.type": n => { customSecurityAttributeValue.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCustomSecurityAttributeValue = deserializeIntoCustomSecurityAttributeValue;
function serializeCustomSecurityAttributeValue(writer, customSecurityAttributeValue = {}) {
    writer.writeStringValue("@odata.type", customSecurityAttributeValue.odataType);
    writer.writeAdditionalData(customSecurityAttributeValue.additionalData);
}
exports.serializeCustomSecurityAttributeValue = serializeCustomSecurityAttributeValue;
// tslint:enable
// eslint-enable
