import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DataPolicyOperation } from './dataPolicyOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDataPolicyOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDataPolicyOperationCollectionResponse;
export interface DataPolicyOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DataPolicyOperation[];
}
export declare function deserializeIntoDataPolicyOperationCollectionResponse(dataPolicyOperationCollectionResponse?: DataPolicyOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDataPolicyOperationCollectionResponse(writer: SerializationWriter, dataPolicyOperationCollectionResponse?: DataPolicyOperationCollectionResponse | undefined): void;
