"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDateTimeColumn = exports.deserializeIntoDateTimeColumn = exports.createDateTimeColumnFromDiscriminatorValue = void 0;
function createDateTimeColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDateTimeColumn;
}
exports.createDateTimeColumnFromDiscriminatorValue = createDateTimeColumnFromDiscriminatorValue;
function deserializeIntoDateTimeColumn(dateTimeColumn = {}) {
    return {
        "displayAs": n => { dateTimeColumn.displayAs = n.getStringValue(); },
        "format": n => { dateTimeColumn.format = n.getStringValue(); },
        "@odata.type": n => { dateTimeColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoDateTimeColumn = deserializeIntoDateTimeColumn;
function serializeDateTimeColumn(writer, dateTimeColumn = {}) {
    writer.writeStringValue("displayAs", dateTimeColumn.displayAs);
    writer.writeStringValue("format", dateTimeColumn.format);
    writer.writeStringValue("@odata.type", dateTimeColumn.odataType);
    writer.writeAdditionalData(dateTimeColumn.additionalData);
}
exports.serializeDateTimeColumn = serializeDateTimeColumn;
// tslint:enable
// eslint-enable
