"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDateTimeTimeZone = exports.deserializeIntoDateTimeTimeZone = exports.createDateTimeTimeZoneFromDiscriminatorValue = void 0;
function createDateTimeTimeZoneFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDateTimeTimeZone;
}
exports.createDateTimeTimeZoneFromDiscriminatorValue = createDateTimeTimeZoneFromDiscriminatorValue;
function deserializeIntoDateTimeTimeZone(dateTimeTimeZone = {}) {
    return {
        "dateTime": n => { dateTimeTimeZone.dateTime = n.getStringValue(); },
        "@odata.type": n => { dateTimeTimeZone.odataType = n.getStringValue(); },
        "timeZone": n => { dateTimeTimeZone.timeZone = n.getStringValue(); },
    };
}
exports.deserializeIntoDateTimeTimeZone = deserializeIntoDateTimeTimeZone;
function serializeDateTimeTimeZone(writer, dateTimeTimeZone = {}) {
    writer.writeStringValue("dateTime", dateTimeTimeZone.dateTime);
    writer.writeStringValue("@odata.type", dateTimeTimeZone.odataType);
    writer.writeStringValue("timeZone", dateTimeTimeZone.timeZone);
    writer.writeAdditionalData(dateTimeTimeZone.additionalData);
}
exports.serializeDateTimeTimeZone = serializeDateTimeTimeZone;
// tslint:enable
// eslint-enable
