"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefenderCloudBlockLevelType = void 0;
/**
 * Possible values of Cloud Block Level
 */
var DefenderCloudBlockLevelType;
(function (DefenderCloudBlockLevelType) {
    /** Default value, uses the default Windows Defender Antivirus blocking level and provides strong detection without increasing the risk of detecting legitimate files */
    DefenderCloudBlockLevelType["NotConfigured"] = "notConfigured";
    /** High applies a strong level of detection. */
    DefenderCloudBlockLevelType["High"] = "high";
    /** High + uses the High level and applies addition protection measures */
    DefenderCloudBlockLevelType["HighPlus"] = "highPlus";
    /** Zero tolerance blocks all unknown executables */
    DefenderCloudBlockLevelType["ZeroTolerance"] = "zeroTolerance";
})(DefenderCloudBlockLevelType || (exports.DefenderCloudBlockLevelType = DefenderCloudBlockLevelType = {}));
// tslint:enable
// eslint-enable
