"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefenderPromptForSampleSubmission = void 0;
/**
 * Possible values for prompting user for samples submission.
 */
var DefenderPromptForSampleSubmission;
(function (DefenderPromptForSampleSubmission) {
    /** User Defined, default value, no intent. */
    DefenderPromptForSampleSubmission["UserDefined"] = "userDefined";
    /** Always prompt. */
    DefenderPromptForSampleSubmission["AlwaysPrompt"] = "alwaysPrompt";
    /** Send safe samples automatically. */
    DefenderPromptForSampleSubmission["PromptBeforeSendingPersonalData"] = "promptBeforeSendingPersonalData";
    /** Never send data. */
    DefenderPromptForSampleSubmission["NeverSendData"] = "neverSendData";
    /** Send all data without prompting. */
    DefenderPromptForSampleSubmission["SendAllDataWithoutPrompting"] = "sendAllDataWithoutPrompting";
})(DefenderPromptForSampleSubmission || (exports.DefenderPromptForSampleSubmission = DefenderPromptForSampleSubmission = {}));
// tslint:enable
// eslint-enable
