"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefenderScanType = void 0;
/**
 * Possible values for system scan type.
 */
var DefenderScanType;
(function (DefenderScanType) {
    /** User Defined, default value, no intent. */
    DefenderScanType["UserDefined"] = "userDefined";
    /** System scan disabled. */
    DefenderScanType["Disabled"] = "disabled";
    /** Quick system scan. */
    DefenderScanType["Quick"] = "quick";
    /** Full system scan. */
    DefenderScanType["Full"] = "full";
})(DefenderScanType || (exports.DefenderScanType = DefenderScanType = {}));
// tslint:enable
// eslint-enable
