"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefenderThreatAction = void 0;
/**
 * Defender’s default action to take on detected Malware threats.
 */
var DefenderThreatAction;
(function (DefenderThreatAction) {
    /** Apply action based on the update definition. */
    DefenderThreatAction["DeviceDefault"] = "deviceDefault";
    /** Clean the detected threat. */
    DefenderThreatAction["Clean"] = "clean";
    /** Quarantine the detected threat. */
    DefenderThreatAction["Quarantine"] = "quarantine";
    /** Remove the detected threat. */
    DefenderThreatAction["Remove"] = "remove";
    /** Allow the detected threat. */
    DefenderThreatAction["Allow"] = "allow";
    /** Allow the user to determine the action to take with the detected threat. */
    DefenderThreatAction["UserDefined"] = "userDefined";
    /** Block the detected threat. */
    DefenderThreatAction["Block"] = "block";
})(DefenderThreatAction || (exports.DefenderThreatAction = DefenderThreatAction = {}));
// tslint:enable
// eslint-enable
