import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DelegatedAdminAccessAssignment } from './delegatedAdminAccessAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminAccessAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminAccessAssignmentCollectionResponse;
export interface DelegatedAdminAccessAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DelegatedAdminAccessAssignment[];
}
export declare function deserializeIntoDelegatedAdminAccessAssignmentCollectionResponse(delegatedAdminAccessAssignmentCollectionResponse?: DelegatedAdminAccessAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminAccessAssignmentCollectionResponse(writer: SerializationWriter, delegatedAdminAccessAssignmentCollectionResponse?: DelegatedAdminAccessAssignmentCollectionResponse | undefined): void;
