import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DelegatedAdminCustomer } from './delegatedAdminCustomer';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminCustomerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminCustomerCollectionResponse;
export interface DelegatedAdminCustomerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DelegatedAdminCustomer[];
}
export declare function deserializeIntoDelegatedAdminCustomerCollectionResponse(delegatedAdminCustomerCollectionResponse?: DelegatedAdminCustomerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminCustomerCollectionResponse(writer: SerializationWriter, delegatedAdminCustomerCollectionResponse?: DelegatedAdminCustomerCollectionResponse | undefined): void;
