import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DelegatedAdminRelationshipOperation } from './delegatedAdminRelationshipOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminRelationshipOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminRelationshipOperationCollectionResponse;
export interface DelegatedAdminRelationshipOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DelegatedAdminRelationshipOperation[];
}
export declare function deserializeIntoDelegatedAdminRelationshipOperationCollectionResponse(delegatedAdminRelationshipOperationCollectionResponse?: DelegatedAdminRelationshipOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminRelationshipOperationCollectionResponse(writer: SerializationWriter, delegatedAdminRelationshipOperationCollectionResponse?: DelegatedAdminRelationshipOperationCollectionResponse | undefined): void;
