import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DelegatedAdminServiceManagementDetail } from './delegatedAdminServiceManagementDetail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminServiceManagementDetailCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminServiceManagementDetailCollectionResponse;
export interface DelegatedAdminServiceManagementDetailCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DelegatedAdminServiceManagementDetail[];
}
export declare function deserializeIntoDelegatedAdminServiceManagementDetailCollectionResponse(delegatedAdminServiceManagementDetailCollectionResponse?: DelegatedAdminServiceManagementDetailCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminServiceManagementDetailCollectionResponse(writer: SerializationWriter, delegatedAdminServiceManagementDetailCollectionResponse?: DelegatedAdminServiceManagementDetailCollectionResponse | undefined): void;
