import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DelegatedPermissionClassification } from './delegatedPermissionClassification';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedPermissionClassificationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedPermissionClassificationCollectionResponse;
export interface DelegatedPermissionClassificationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DelegatedPermissionClassification[];
}
export declare function deserializeIntoDelegatedPermissionClassificationCollectionResponse(delegatedPermissionClassificationCollectionResponse?: DelegatedPermissionClassificationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedPermissionClassificationCollectionResponse(writer: SerializationWriter, delegatedPermissionClassificationCollectionResponse?: DelegatedPermissionClassificationCollectionResponse | undefined): void;
