import { type DeviceActionResult } from './deviceActionResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeleteUserFromSharedAppleDeviceActionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeleteUserFromSharedAppleDeviceActionResult;
export interface DeleteUserFromSharedAppleDeviceActionResult extends DeviceActionResult, Parsable {
    /**
     * User principal name of the user to be deleted
     */
    userPrincipalName?: string;
}
export declare function deserializeIntoDeleteUserFromSharedAppleDeviceActionResult(deleteUserFromSharedAppleDeviceActionResult?: DeleteUserFromSharedAppleDeviceActionResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeleteUserFromSharedAppleDeviceActionResult(writer: SerializationWriter, deleteUserFromSharedAppleDeviceActionResult?: DeleteUserFromSharedAppleDeviceActionResult | undefined): void;
