import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeletedFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeleted;
export interface Deleted extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Represents the state of the deleted item.
     */
    state?: string;
}
export declare function deserializeIntoDeleted(deleted?: Deleted | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeleted(writer: SerializationWriter, deleted?: Deleted | undefined): void;
