"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeleted = exports.deserializeIntoDeleted = exports.createDeletedFromDiscriminatorValue = void 0;
function createDeletedFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeleted;
}
exports.createDeletedFromDiscriminatorValue = createDeletedFromDiscriminatorValue;
function deserializeIntoDeleted(deleted = {}) {
    return {
        "@odata.type": n => { deleted.odataType = n.getStringValue(); },
        "state": n => { deleted.state = n.getStringValue(); },
    };
}
exports.deserializeIntoDeleted = deserializeIntoDeleted;
function serializeDeleted(writer, deleted = {}) {
    writer.writeStringValue("@odata.type", deleted.odataType);
    writer.writeStringValue("state", deleted.state);
    writer.writeAdditionalData(deleted.additionalData);
}
exports.serializeDeleted = serializeDeleted;
// tslint:enable
// eslint-enable
