import { type Channel } from './channel';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeletedTeamFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeletedTeam;
export interface DeletedTeam extends Entity, Parsable {
    /**
     * The channels that are either shared with this deleted team or created in this deleted team.
     */
    channels?: Channel[];
}
export declare function deserializeIntoDeletedTeam(deletedTeam?: DeletedTeam | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeletedTeam(writer: SerializationWriter, deletedTeam?: DeletedTeam | undefined): void;
