import { type Entity } from './entity';
import { type Participant } from './participant';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeltaParticipantsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeltaParticipants;
export interface DeltaParticipants extends Entity, Parsable {
    /**
     * The participants property
     */
    participants?: Participant[];
    /**
     * The sequenceNumber property
     */
    sequenceNumber?: number;
}
export declare function deserializeIntoDeltaParticipants(deltaParticipants?: DeltaParticipants | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeltaParticipants(writer: SerializationWriter, deltaParticipants?: DeltaParticipants | undefined): void;
