"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDetailsInfo = exports.deserializeIntoDetailsInfo = exports.createDetailsInfoFromDiscriminatorValue = void 0;
function createDetailsInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDetailsInfo;
}
exports.createDetailsInfoFromDiscriminatorValue = createDetailsInfoFromDiscriminatorValue;
function deserializeIntoDetailsInfo(detailsInfo = {}) {
    return {
        "@odata.type": n => { detailsInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoDetailsInfo = deserializeIntoDetailsInfo;
function serializeDetailsInfo(writer, detailsInfo = {}) {
    writer.writeStringValue("@odata.type", detailsInfo.odataType);
    writer.writeAdditionalData(detailsInfo.additionalData);
}
exports.serializeDetailsInfo = serializeDetailsInfo;
// tslint:enable
// eslint-enable
