import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DetectedApp } from './detectedApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDetectedAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDetectedAppCollectionResponse;
export declare function deserializeIntoDetectedAppCollectionResponse(detectedAppCollectionResponse?: DetectedAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DetectedAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DetectedApp[];
}
export declare function serializeDetectedAppCollectionResponse(writer: SerializationWriter, detectedAppCollectionResponse?: DetectedAppCollectionResponse | undefined): void;
