import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceAndAppManagementDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceAndAppManagementData;
export declare function deserializeIntoDeviceAndAppManagementData(deviceAndAppManagementData?: DeviceAndAppManagementData | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceAndAppManagementData extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Not yet documented
     */
    content?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeDeviceAndAppManagementData(writer: SerializationWriter, deviceAndAppManagementData?: DeviceAndAppManagementData | undefined): void;
