import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceAndAppManagementRoleAssignment } from './deviceAndAppManagementRoleAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceAndAppManagementRoleAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceAndAppManagementRoleAssignmentCollectionResponse;
export declare function deserializeIntoDeviceAndAppManagementRoleAssignmentCollectionResponse(deviceAndAppManagementRoleAssignmentCollectionResponse?: DeviceAndAppManagementRoleAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceAndAppManagementRoleAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceAndAppManagementRoleAssignment[];
}
export declare function serializeDeviceAndAppManagementRoleAssignmentCollectionResponse(writer: SerializationWriter, deviceAndAppManagementRoleAssignmentCollectionResponse?: DeviceAndAppManagementRoleAssignmentCollectionResponse | undefined): void;
