import { type RoleDefinition } from './roleDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceAndAppManagementRoleDefinitionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceAndAppManagementRoleDefinition;
export declare function deserializeIntoDeviceAndAppManagementRoleDefinition(deviceAndAppManagementRoleDefinition?: DeviceAndAppManagementRoleDefinition | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceAndAppManagementRoleDefinition extends Parsable, RoleDefinition {
}
export declare function serializeDeviceAndAppManagementRoleDefinition(writer: SerializationWriter, deviceAndAppManagementRoleDefinition?: DeviceAndAppManagementRoleDefinition | undefined): void;
