import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCategoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCategory;
export declare function deserializeIntoDeviceCategory(deviceCategory?: DeviceCategory | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCategory extends Entity, Parsable {
    /**
     * Optional description for the device category.
     */
    description?: string;
    /**
     * Display name for the device category.
     */
    displayName?: string;
}
export declare function serializeDeviceCategory(writer: SerializationWriter, deviceCategory?: DeviceCategory | undefined): void;
