import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceComplianceActionItem } from './deviceComplianceActionItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceActionItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceActionItemCollectionResponse;
export declare function deserializeIntoDeviceComplianceActionItemCollectionResponse(deviceComplianceActionItemCollectionResponse?: DeviceComplianceActionItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceActionItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceComplianceActionItem[];
}
export declare function serializeDeviceComplianceActionItemCollectionResponse(writer: SerializationWriter, deviceComplianceActionItemCollectionResponse?: DeviceComplianceActionItemCollectionResponse | undefined): void;
