"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceComplianceActionType = void 0;
/**
 * Scheduled Action Type Enum
 */
var DeviceComplianceActionType;
(function (DeviceComplianceActionType) {
    /** No Action */
    DeviceComplianceActionType["NoAction"] = "noAction";
    /** Send Notification */
    DeviceComplianceActionType["Notification"] = "notification";
    /** Block the device in AAD */
    DeviceComplianceActionType["Block"] = "block";
    /** Retire the device */
    DeviceComplianceActionType["Retire"] = "retire";
    /** Wipe the device */
    DeviceComplianceActionType["Wipe"] = "wipe";
    /** Remove Resource Access Profiles from the device */
    DeviceComplianceActionType["RemoveResourceAccessProfiles"] = "removeResourceAccessProfiles";
    /** Send push notification to device */
    DeviceComplianceActionType["PushNotification"] = "pushNotification";
})(DeviceComplianceActionType || (exports.DeviceComplianceActionType = DeviceComplianceActionType = {}));
// tslint:enable
// eslint-enable
