import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceComplianceDeviceStatus } from './deviceComplianceDeviceStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceDeviceStatusCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceDeviceStatusCollectionResponse;
export declare function deserializeIntoDeviceComplianceDeviceStatusCollectionResponse(deviceComplianceDeviceStatusCollectionResponse?: DeviceComplianceDeviceStatusCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceDeviceStatusCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceComplianceDeviceStatus[];
}
export declare function serializeDeviceComplianceDeviceStatusCollectionResponse(writer: SerializationWriter, deviceComplianceDeviceStatusCollectionResponse?: DeviceComplianceDeviceStatusCollectionResponse | undefined): void;
