import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCompliancePolicyAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCompliancePolicyAssignment;
export declare function deserializeIntoDeviceCompliancePolicyAssignment(deviceCompliancePolicyAssignment?: DeviceCompliancePolicyAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCompliancePolicyAssignment extends Entity, Parsable {
    /**
     * Target for the compliance policy assignment.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeDeviceCompliancePolicyAssignment(writer: SerializationWriter, deviceCompliancePolicyAssignment?: DeviceCompliancePolicyAssignment | undefined): void;
