import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceCompliancePolicy } from './deviceCompliancePolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCompliancePolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCompliancePolicyCollectionResponse;
export declare function deserializeIntoDeviceCompliancePolicyCollectionResponse(deviceCompliancePolicyCollectionResponse?: DeviceCompliancePolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCompliancePolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceCompliancePolicy[];
}
export declare function serializeDeviceCompliancePolicyCollectionResponse(writer: SerializationWriter, deviceCompliancePolicyCollectionResponse?: DeviceCompliancePolicyCollectionResponse | undefined): void;
