import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceCompliancePolicyState } from './deviceCompliancePolicyState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCompliancePolicyStateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCompliancePolicyStateCollectionResponse;
export declare function deserializeIntoDeviceCompliancePolicyStateCollectionResponse(deviceCompliancePolicyStateCollectionResponse?: DeviceCompliancePolicyStateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCompliancePolicyStateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceCompliancePolicyState[];
}
export declare function serializeDeviceCompliancePolicyStateCollectionResponse(writer: SerializationWriter, deviceCompliancePolicyStateCollectionResponse?: DeviceCompliancePolicyStateCollectionResponse | undefined): void;
