import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceComplianceScheduledActionForRule } from './deviceComplianceScheduledActionForRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceScheduledActionForRuleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceScheduledActionForRuleCollectionResponse;
export declare function deserializeIntoDeviceComplianceScheduledActionForRuleCollectionResponse(deviceComplianceScheduledActionForRuleCollectionResponse?: DeviceComplianceScheduledActionForRuleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceScheduledActionForRuleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceComplianceScheduledActionForRule[];
}
export declare function serializeDeviceComplianceScheduledActionForRuleCollectionResponse(writer: SerializationWriter, deviceComplianceScheduledActionForRuleCollectionResponse?: DeviceComplianceScheduledActionForRuleCollectionResponse | undefined): void;
