import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceComplianceSettingState } from './deviceComplianceSettingState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceComplianceSettingStateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceComplianceSettingStateCollectionResponse;
export declare function deserializeIntoDeviceComplianceSettingStateCollectionResponse(deviceComplianceSettingStateCollectionResponse?: DeviceComplianceSettingStateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceComplianceSettingStateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceComplianceSettingState[];
}
export declare function serializeDeviceComplianceSettingStateCollectionResponse(writer: SerializationWriter, deviceComplianceSettingStateCollectionResponse?: DeviceComplianceSettingStateCollectionResponse | undefined): void;
