import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationDeviceStateSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationDeviceStateSummary;
export declare function deserializeIntoDeviceConfigurationDeviceStateSummary(deviceConfigurationDeviceStateSummary?: DeviceConfigurationDeviceStateSummary | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationDeviceStateSummary extends Entity, Parsable {
    /**
     * Number of compliant devices
     */
    compliantDeviceCount?: number;
    /**
     * Number of conflict devices
     */
    conflictDeviceCount?: number;
    /**
     * Number of error devices
     */
    errorDeviceCount?: number;
    /**
     * Number of NonCompliant devices
     */
    nonCompliantDeviceCount?: number;
    /**
     * Number of not applicable devices
     */
    notApplicableDeviceCount?: number;
    /**
     * Number of remediated devices
     */
    remediatedDeviceCount?: number;
    /**
     * Number of unknown devices
     */
    unknownDeviceCount?: number;
}
export declare function serializeDeviceConfigurationDeviceStateSummary(writer: SerializationWriter, deviceConfigurationDeviceStateSummary?: DeviceConfigurationDeviceStateSummary | undefined): void;
