import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceConfigurationDeviceStatus } from './deviceConfigurationDeviceStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationDeviceStatusCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationDeviceStatusCollectionResponse;
export declare function deserializeIntoDeviceConfigurationDeviceStatusCollectionResponse(deviceConfigurationDeviceStatusCollectionResponse?: DeviceConfigurationDeviceStatusCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationDeviceStatusCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceConfigurationDeviceStatus[];
}
export declare function serializeDeviceConfigurationDeviceStatusCollectionResponse(writer: SerializationWriter, deviceConfigurationDeviceStatusCollectionResponse?: DeviceConfigurationDeviceStatusCollectionResponse | undefined): void;
