import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceConfigurationState } from './deviceConfigurationState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationStateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationStateCollectionResponse;
export declare function deserializeIntoDeviceConfigurationStateCollectionResponse(deviceConfigurationStateCollectionResponse?: DeviceConfigurationStateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationStateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceConfigurationState[];
}
export declare function serializeDeviceConfigurationStateCollectionResponse(writer: SerializationWriter, deviceConfigurationStateCollectionResponse?: DeviceConfigurationStateCollectionResponse | undefined): void;
