import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceEnrollmentConfiguration } from './deviceEnrollmentConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceEnrollmentConfigurationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceEnrollmentConfigurationCollectionResponse;
export declare function deserializeIntoDeviceEnrollmentConfigurationCollectionResponse(deviceEnrollmentConfigurationCollectionResponse?: DeviceEnrollmentConfigurationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceEnrollmentConfigurationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceEnrollmentConfiguration[];
}
export declare function serializeDeviceEnrollmentConfigurationCollectionResponse(writer: SerializationWriter, deviceEnrollmentConfigurationCollectionResponse?: DeviceEnrollmentConfigurationCollectionResponse | undefined): void;
