import { type DeviceEnrollmentConfiguration } from './deviceEnrollmentConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceEnrollmentLimitConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceEnrollmentLimitConfiguration;
export declare function deserializeIntoDeviceEnrollmentLimitConfiguration(deviceEnrollmentLimitConfiguration?: DeviceEnrollmentLimitConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceEnrollmentLimitConfiguration extends DeviceEnrollmentConfiguration, Parsable {
    /**
     * The maximum number of devices that a user can enroll
     */
    limit?: number;
}
export declare function serializeDeviceEnrollmentLimitConfiguration(writer: SerializationWriter, deviceEnrollmentLimitConfiguration?: DeviceEnrollmentLimitConfiguration | undefined): void;
