"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceEnrollmentPlatformRestriction = exports.deserializeIntoDeviceEnrollmentPlatformRestriction = exports.createDeviceEnrollmentPlatformRestrictionFromDiscriminatorValue = void 0;
function createDeviceEnrollmentPlatformRestrictionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceEnrollmentPlatformRestriction;
}
exports.createDeviceEnrollmentPlatformRestrictionFromDiscriminatorValue = createDeviceEnrollmentPlatformRestrictionFromDiscriminatorValue;
function deserializeIntoDeviceEnrollmentPlatformRestriction(deviceEnrollmentPlatformRestriction = {}) {
    return {
        "@odata.type": n => { deviceEnrollmentPlatformRestriction.odataType = n.getStringValue(); },
        "osMaximumVersion": n => { deviceEnrollmentPlatformRestriction.osMaximumVersion = n.getStringValue(); },
        "osMinimumVersion": n => { deviceEnrollmentPlatformRestriction.osMinimumVersion = n.getStringValue(); },
        "personalDeviceEnrollmentBlocked": n => { deviceEnrollmentPlatformRestriction.personalDeviceEnrollmentBlocked = n.getBooleanValue(); },
        "platformBlocked": n => { deviceEnrollmentPlatformRestriction.platformBlocked = n.getBooleanValue(); },
    };
}
exports.deserializeIntoDeviceEnrollmentPlatformRestriction = deserializeIntoDeviceEnrollmentPlatformRestriction;
function serializeDeviceEnrollmentPlatformRestriction(writer, deviceEnrollmentPlatformRestriction = {}) {
    writer.writeStringValue("@odata.type", deviceEnrollmentPlatformRestriction.odataType);
    writer.writeStringValue("osMaximumVersion", deviceEnrollmentPlatformRestriction.osMaximumVersion);
    writer.writeStringValue("osMinimumVersion", deviceEnrollmentPlatformRestriction.osMinimumVersion);
    writer.writeBooleanValue("personalDeviceEnrollmentBlocked", deviceEnrollmentPlatformRestriction.personalDeviceEnrollmentBlocked);
    writer.writeBooleanValue("platformBlocked", deviceEnrollmentPlatformRestriction.platformBlocked);
    writer.writeAdditionalData(deviceEnrollmentPlatformRestriction.additionalData);
}
exports.serializeDeviceEnrollmentPlatformRestriction = serializeDeviceEnrollmentPlatformRestriction;
// tslint:enable
// eslint-enable
