import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceInstallState } from './deviceInstallState';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceInstallStateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceInstallStateCollectionResponse;
export declare function deserializeIntoDeviceInstallStateCollectionResponse(deviceInstallStateCollectionResponse?: DeviceInstallStateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceInstallStateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceInstallState[];
}
export declare function serializeDeviceInstallStateCollectionResponse(writer: SerializationWriter, deviceInstallStateCollectionResponse?: DeviceInstallStateCollectionResponse | undefined): void;
