import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceLocalCredentialInfo } from './deviceLocalCredentialInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceLocalCredentialInfoCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceLocalCredentialInfoCollectionResponse;
export declare function deserializeIntoDeviceLocalCredentialInfoCollectionResponse(deviceLocalCredentialInfoCollectionResponse?: DeviceLocalCredentialInfoCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceLocalCredentialInfoCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceLocalCredentialInfo[];
}
export declare function serializeDeviceLocalCredentialInfoCollectionResponse(writer: SerializationWriter, deviceLocalCredentialInfoCollectionResponse?: DeviceLocalCredentialInfoCollectionResponse | undefined): void;
