"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeConnectorStatus = void 0;
/**
 * The current status of the Exchange Connector.
 */
var DeviceManagementExchangeConnectorStatus;
(function (DeviceManagementExchangeConnectorStatus) {
    /** No Connector exists. */
    DeviceManagementExchangeConnectorStatus["None"] = "none";
    /** Pending Connection to the Exchange Environment. */
    DeviceManagementExchangeConnectorStatus["ConnectionPending"] = "connectionPending";
    /** Connected to the Exchange Environment */
    DeviceManagementExchangeConnectorStatus["Connected"] = "connected";
    /** Disconnected from the Exchange Environment */
    DeviceManagementExchangeConnectorStatus["Disconnected"] = "disconnected";
    /** Evolvable enumeration sentinel value. Do not use. */
    DeviceManagementExchangeConnectorStatus["UnknownFutureValue"] = "unknownFutureValue";
})(DeviceManagementExchangeConnectorStatus || (exports.DeviceManagementExchangeConnectorStatus = DeviceManagementExchangeConnectorStatus = {}));
// tslint:enable
// eslint-enable
