import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceManagementExportJob } from './deviceManagementExportJob';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementExportJobCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagementExportJobCollectionResponse;
export declare function deserializeIntoDeviceManagementExportJobCollectionResponse(deviceManagementExportJobCollectionResponse?: DeviceManagementExportJobCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementExportJobCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceManagementExportJob[];
}
export declare function serializeDeviceManagementExportJobCollectionResponse(writer: SerializationWriter, deviceManagementExportJobCollectionResponse?: DeviceManagementExportJobCollectionResponse | undefined): void;
