"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExportJobLocalizationType = void 0;
/**
 * Configures how the requested export job is localized
 */
var DeviceManagementExportJobLocalizationType;
(function (DeviceManagementExportJobLocalizationType) {
    /** Configures the export job to expose localized values as an additional column */
    DeviceManagementExportJobLocalizationType["LocalizedValuesAsAdditionalColumn"] = "localizedValuesAsAdditionalColumn";
    /** Configures the export job to replace enumerable values with their localized values */
    DeviceManagementExportJobLocalizationType["ReplaceLocalizableValues"] = "replaceLocalizableValues";
})(DeviceManagementExportJobLocalizationType || (exports.DeviceManagementExportJobLocalizationType = DeviceManagementExportJobLocalizationType = {}));
// tslint:enable
// eslint-enable
