"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementReportFileFormat = void 0;
/**
 * Possible values for the file format of a report
 */
var DeviceManagementReportFileFormat;
(function (DeviceManagementReportFileFormat) {
    /** CSV Format */
    DeviceManagementReportFileFormat["Csv"] = "csv";
    /** PDF Format */
    DeviceManagementReportFileFormat["Pdf"] = "pdf";
    /** JSON Format */
    DeviceManagementReportFileFormat["Json"] = "json";
    /** Evolvable enumeration sentinel value. Do not use. */
    DeviceManagementReportFileFormat["UnknownFutureValue"] = "unknownFutureValue";
})(DeviceManagementReportFileFormat || (exports.DeviceManagementReportFileFormat = DeviceManagementReportFileFormat = {}));
// tslint:enable
// eslint-enable
