"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementReportStatus = void 0;
/**
 * Possible statuses associated with a generated report
 */
var DeviceManagementReportStatus;
(function (DeviceManagementReportStatus) {
    /** Report generation status is unknown */
    DeviceManagementReportStatus["Unknown"] = "unknown";
    /** Report generation has not started */
    DeviceManagementReportStatus["NotStarted"] = "notStarted";
    /** Report generation is in progress */
    DeviceManagementReportStatus["InProgress"] = "inProgress";
    /** Report generation is completed */
    DeviceManagementReportStatus["Completed"] = "completed";
    /** Report generation has failed */
    DeviceManagementReportStatus["Failed"] = "failed";
})(DeviceManagementReportStatus || (exports.DeviceManagementReportStatus = DeviceManagementReportStatus = {}));
// tslint:enable
// eslint-enable
