import { type DeviceManagementExportJob } from './deviceManagementExportJob';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementReportsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagementReports;
export declare function deserializeIntoDeviceManagementReports(deviceManagementReports?: DeviceManagementReports | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementReports extends Entity, Parsable {
    /**
     * Entity representing a job to export a report
     */
    exportJobs?: DeviceManagementExportJob[];
}
export declare function serializeDeviceManagementReports(writer: SerializationWriter, deviceManagementReports?: DeviceManagementReports | undefined): void;
