"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceManagementSettings = exports.deserializeIntoDeviceManagementSettings = exports.createDeviceManagementSettingsFromDiscriminatorValue = void 0;
function createDeviceManagementSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceManagementSettings;
}
exports.createDeviceManagementSettingsFromDiscriminatorValue = createDeviceManagementSettingsFromDiscriminatorValue;
function deserializeIntoDeviceManagementSettings(deviceManagementSettings = {}) {
    return {
        "deviceComplianceCheckinThresholdDays": n => { deviceManagementSettings.deviceComplianceCheckinThresholdDays = n.getNumberValue(); },
        "isScheduledActionEnabled": n => { deviceManagementSettings.isScheduledActionEnabled = n.getBooleanValue(); },
        "@odata.type": n => { deviceManagementSettings.odataType = n.getStringValue(); },
        "secureByDefault": n => { deviceManagementSettings.secureByDefault = n.getBooleanValue(); },
    };
}
exports.deserializeIntoDeviceManagementSettings = deserializeIntoDeviceManagementSettings;
function serializeDeviceManagementSettings(writer, deviceManagementSettings = {}) {
    writer.writeNumberValue("deviceComplianceCheckinThresholdDays", deviceManagementSettings.deviceComplianceCheckinThresholdDays);
    writer.writeBooleanValue("isScheduledActionEnabled", deviceManagementSettings.isScheduledActionEnabled);
    writer.writeStringValue("@odata.type", deviceManagementSettings.odataType);
    writer.writeBooleanValue("secureByDefault", deviceManagementSettings.secureByDefault);
    writer.writeAdditionalData(deviceManagementSettings.additionalData);
}
exports.serializeDeviceManagementSettings = serializeDeviceManagementSettings;
// tslint:enable
// eslint-enable
