"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceOperatingSystemSummary = exports.deserializeIntoDeviceOperatingSystemSummary = exports.createDeviceOperatingSystemSummaryFromDiscriminatorValue = void 0;
function createDeviceOperatingSystemSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceOperatingSystemSummary;
}
exports.createDeviceOperatingSystemSummaryFromDiscriminatorValue = createDeviceOperatingSystemSummaryFromDiscriminatorValue;
function deserializeIntoDeviceOperatingSystemSummary(deviceOperatingSystemSummary = {}) {
    return {
        "androidCorporateWorkProfileCount": n => { deviceOperatingSystemSummary.androidCorporateWorkProfileCount = n.getNumberValue(); },
        "androidCount": n => { deviceOperatingSystemSummary.androidCount = n.getNumberValue(); },
        "androidDedicatedCount": n => { deviceOperatingSystemSummary.androidDedicatedCount = n.getNumberValue(); },
        "androidDeviceAdminCount": n => { deviceOperatingSystemSummary.androidDeviceAdminCount = n.getNumberValue(); },
        "androidFullyManagedCount": n => { deviceOperatingSystemSummary.androidFullyManagedCount = n.getNumberValue(); },
        "androidWorkProfileCount": n => { deviceOperatingSystemSummary.androidWorkProfileCount = n.getNumberValue(); },
        "configMgrDeviceCount": n => { deviceOperatingSystemSummary.configMgrDeviceCount = n.getNumberValue(); },
        "iosCount": n => { deviceOperatingSystemSummary.iosCount = n.getNumberValue(); },
        "macOSCount": n => { deviceOperatingSystemSummary.macOSCount = n.getNumberValue(); },
        "@odata.type": n => { deviceOperatingSystemSummary.odataType = n.getStringValue(); },
        "unknownCount": n => { deviceOperatingSystemSummary.unknownCount = n.getNumberValue(); },
        "windowsCount": n => { deviceOperatingSystemSummary.windowsCount = n.getNumberValue(); },
        "windowsMobileCount": n => { deviceOperatingSystemSummary.windowsMobileCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoDeviceOperatingSystemSummary = deserializeIntoDeviceOperatingSystemSummary;
function serializeDeviceOperatingSystemSummary(writer, deviceOperatingSystemSummary = {}) {
    writer.writeNumberValue("androidCorporateWorkProfileCount", deviceOperatingSystemSummary.androidCorporateWorkProfileCount);
    writer.writeNumberValue("androidCount", deviceOperatingSystemSummary.androidCount);
    writer.writeNumberValue("androidDedicatedCount", deviceOperatingSystemSummary.androidDedicatedCount);
    writer.writeNumberValue("androidDeviceAdminCount", deviceOperatingSystemSummary.androidDeviceAdminCount);
    writer.writeNumberValue("androidFullyManagedCount", deviceOperatingSystemSummary.androidFullyManagedCount);
    writer.writeNumberValue("androidWorkProfileCount", deviceOperatingSystemSummary.androidWorkProfileCount);
    writer.writeNumberValue("configMgrDeviceCount", deviceOperatingSystemSummary.configMgrDeviceCount);
    writer.writeNumberValue("iosCount", deviceOperatingSystemSummary.iosCount);
    writer.writeNumberValue("macOSCount", deviceOperatingSystemSummary.macOSCount);
    writer.writeStringValue("@odata.type", deviceOperatingSystemSummary.odataType);
    writer.writeNumberValue("unknownCount", deviceOperatingSystemSummary.unknownCount);
    writer.writeNumberValue("windowsCount", deviceOperatingSystemSummary.windowsCount);
    writer.writeNumberValue("windowsMobileCount", deviceOperatingSystemSummary.windowsMobileCount);
    writer.writeAdditionalData(deviceOperatingSystemSummary.additionalData);
}
exports.serializeDeviceOperatingSystemSummary = serializeDeviceOperatingSystemSummary;
// tslint:enable
// eslint-enable
