"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceProtectionOverview = exports.deserializeIntoDeviceProtectionOverview = exports.createDeviceProtectionOverviewFromDiscriminatorValue = void 0;
function createDeviceProtectionOverviewFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceProtectionOverview;
}
exports.createDeviceProtectionOverviewFromDiscriminatorValue = createDeviceProtectionOverviewFromDiscriminatorValue;
function deserializeIntoDeviceProtectionOverview(deviceProtectionOverview = {}) {
    return {
        "cleanDeviceCount": n => { deviceProtectionOverview.cleanDeviceCount = n.getNumberValue(); },
        "criticalFailuresDeviceCount": n => { deviceProtectionOverview.criticalFailuresDeviceCount = n.getNumberValue(); },
        "inactiveThreatAgentDeviceCount": n => { deviceProtectionOverview.inactiveThreatAgentDeviceCount = n.getNumberValue(); },
        "@odata.type": n => { deviceProtectionOverview.odataType = n.getStringValue(); },
        "pendingFullScanDeviceCount": n => { deviceProtectionOverview.pendingFullScanDeviceCount = n.getNumberValue(); },
        "pendingManualStepsDeviceCount": n => { deviceProtectionOverview.pendingManualStepsDeviceCount = n.getNumberValue(); },
        "pendingOfflineScanDeviceCount": n => { deviceProtectionOverview.pendingOfflineScanDeviceCount = n.getNumberValue(); },
        "pendingQuickScanDeviceCount": n => { deviceProtectionOverview.pendingQuickScanDeviceCount = n.getNumberValue(); },
        "pendingRestartDeviceCount": n => { deviceProtectionOverview.pendingRestartDeviceCount = n.getNumberValue(); },
        "pendingSignatureUpdateDeviceCount": n => { deviceProtectionOverview.pendingSignatureUpdateDeviceCount = n.getNumberValue(); },
        "totalReportedDeviceCount": n => { deviceProtectionOverview.totalReportedDeviceCount = n.getNumberValue(); },
        "unknownStateThreatAgentDeviceCount": n => { deviceProtectionOverview.unknownStateThreatAgentDeviceCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoDeviceProtectionOverview = deserializeIntoDeviceProtectionOverview;
function serializeDeviceProtectionOverview(writer, deviceProtectionOverview = {}) {
    writer.writeNumberValue("cleanDeviceCount", deviceProtectionOverview.cleanDeviceCount);
    writer.writeNumberValue("criticalFailuresDeviceCount", deviceProtectionOverview.criticalFailuresDeviceCount);
    writer.writeNumberValue("inactiveThreatAgentDeviceCount", deviceProtectionOverview.inactiveThreatAgentDeviceCount);
    writer.writeStringValue("@odata.type", deviceProtectionOverview.odataType);
    writer.writeNumberValue("pendingFullScanDeviceCount", deviceProtectionOverview.pendingFullScanDeviceCount);
    writer.writeNumberValue("pendingManualStepsDeviceCount", deviceProtectionOverview.pendingManualStepsDeviceCount);
    writer.writeNumberValue("pendingOfflineScanDeviceCount", deviceProtectionOverview.pendingOfflineScanDeviceCount);
    writer.writeNumberValue("pendingQuickScanDeviceCount", deviceProtectionOverview.pendingQuickScanDeviceCount);
    writer.writeNumberValue("pendingRestartDeviceCount", deviceProtectionOverview.pendingRestartDeviceCount);
    writer.writeNumberValue("pendingSignatureUpdateDeviceCount", deviceProtectionOverview.pendingSignatureUpdateDeviceCount);
    writer.writeNumberValue("totalReportedDeviceCount", deviceProtectionOverview.totalReportedDeviceCount);
    writer.writeNumberValue("unknownStateThreatAgentDeviceCount", deviceProtectionOverview.unknownStateThreatAgentDeviceCount);
    writer.writeAdditionalData(deviceProtectionOverview.additionalData);
}
exports.serializeDeviceProtectionOverview = serializeDeviceProtectionOverview;
// tslint:enable
// eslint-enable
