import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DirectoryAudit } from './directoryAudit';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryAuditCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryAuditCollectionResponse;
export declare function deserializeIntoDirectoryAuditCollectionResponse(directoryAuditCollectionResponse?: DirectoryAuditCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryAuditCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectoryAudit[];
}
export declare function serializeDirectoryAuditCollectionResponse(writer: SerializationWriter, directoryAuditCollectionResponse?: DirectoryAuditCollectionResponse | undefined): void;
