import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DirectoryDefinition } from './directoryDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryDefinitionCollectionResponse;
export declare function deserializeIntoDirectoryDefinitionCollectionResponse(directoryDefinitionCollectionResponse?: DirectoryDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectoryDefinition[];
}
export declare function serializeDirectoryDefinitionCollectionResponse(writer: SerializationWriter, directoryDefinitionCollectionResponse?: DirectoryDefinitionCollectionResponse | undefined): void;
