import { deserializeIntoAuthorizationPolicy } from './authorizationPolicy';
import { deserializeIntoClaimsMappingPolicy } from './claimsMappingPolicy';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryObjectFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClaimsMappingPolicy | typeof deserializeIntoAuthorizationPolicy;
export declare function deserializeIntoDirectoryObject(directoryObject?: DirectoryObject | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryObject extends Entity, Parsable {
    /**
     * Date and time when this object was deleted. Always null when the object hasn't been deleted.
     */
    deletedDateTime?: Date;
}
export declare function serializeDirectoryObject(writer: SerializationWriter, directoryObject?: DirectoryObject | undefined): void;
