import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DirectoryObject } from './directoryObject';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryObjectCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryObjectCollectionResponse;
export declare function deserializeIntoDirectoryObjectCollectionResponse(directoryObjectCollectionResponse?: DirectoryObjectCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryObjectCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectoryObject[];
}
export declare function serializeDirectoryObjectCollectionResponse(writer: SerializationWriter, directoryObjectCollectionResponse?: DirectoryObjectCollectionResponse | undefined): void;
