"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDisplayNameLocalization = exports.deserializeIntoDisplayNameLocalization = exports.createDisplayNameLocalizationFromDiscriminatorValue = void 0;
function createDisplayNameLocalizationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDisplayNameLocalization;
}
exports.createDisplayNameLocalizationFromDiscriminatorValue = createDisplayNameLocalizationFromDiscriminatorValue;
function deserializeIntoDisplayNameLocalization(displayNameLocalization = {}) {
    return {
        "displayName": n => { displayNameLocalization.displayName = n.getStringValue(); },
        "languageTag": n => { displayNameLocalization.languageTag = n.getStringValue(); },
        "@odata.type": n => { displayNameLocalization.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoDisplayNameLocalization = deserializeIntoDisplayNameLocalization;
function serializeDisplayNameLocalization(writer, displayNameLocalization = {}) {
    writer.writeStringValue("displayName", displayNameLocalization.displayName);
    writer.writeStringValue("languageTag", displayNameLocalization.languageTag);
    writer.writeStringValue("@odata.type", displayNameLocalization.odataType);
    writer.writeAdditionalData(displayNameLocalization.additionalData);
}
exports.serializeDisplayNameLocalization = serializeDisplayNameLocalization;
// tslint:enable
// eslint-enable
