import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DocumentSetVersion } from './documentSetVersion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDocumentSetVersionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDocumentSetVersionCollectionResponse;
export declare function deserializeIntoDocumentSetVersionCollectionResponse(documentSetVersionCollectionResponse?: DocumentSetVersionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DocumentSetVersionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DocumentSetVersion[];
}
export declare function serializeDocumentSetVersionCollectionResponse(writer: SerializationWriter, documentSetVersionCollectionResponse?: DocumentSetVersionCollectionResponse | undefined): void;
