"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDocumentSetVersionItem = exports.deserializeIntoDocumentSetVersionItem = exports.createDocumentSetVersionItemFromDiscriminatorValue = void 0;
function createDocumentSetVersionItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDocumentSetVersionItem;
}
exports.createDocumentSetVersionItemFromDiscriminatorValue = createDocumentSetVersionItemFromDiscriminatorValue;
function deserializeIntoDocumentSetVersionItem(documentSetVersionItem = {}) {
    return {
        "itemId": n => { documentSetVersionItem.itemId = n.getStringValue(); },
        "@odata.type": n => { documentSetVersionItem.odataType = n.getStringValue(); },
        "title": n => { documentSetVersionItem.title = n.getStringValue(); },
        "versionId": n => { documentSetVersionItem.versionId = n.getStringValue(); },
    };
}
exports.deserializeIntoDocumentSetVersionItem = deserializeIntoDocumentSetVersionItem;
function serializeDocumentSetVersionItem(writer, documentSetVersionItem = {}) {
    writer.writeStringValue("itemId", documentSetVersionItem.itemId);
    writer.writeStringValue("@odata.type", documentSetVersionItem.odataType);
    writer.writeStringValue("title", documentSetVersionItem.title);
    writer.writeStringValue("versionId", documentSetVersionItem.versionId);
    writer.writeAdditionalData(documentSetVersionItem.additionalData);
}
exports.serializeDocumentSetVersionItem = serializeDocumentSetVersionItem;
// tslint:enable
// eslint-enable
