import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DomainDnsRecord } from './domainDnsRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainDnsRecordCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainDnsRecordCollectionResponse;
export declare function deserializeIntoDomainDnsRecordCollectionResponse(domainDnsRecordCollectionResponse?: DomainDnsRecordCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainDnsRecordCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DomainDnsRecord[];
}
export declare function serializeDomainDnsRecordCollectionResponse(writer: SerializationWriter, domainDnsRecordCollectionResponse?: DomainDnsRecordCollectionResponse | undefined): void;
