import { type DomainDnsRecord } from './domainDnsRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainDnsTxtRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainDnsTxtRecord;
export declare function deserializeIntoDomainDnsTxtRecord(domainDnsTxtRecord?: DomainDnsTxtRecord | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainDnsTxtRecord extends DomainDnsRecord, Parsable {
    /**
     * Value used when configuring the text property at the DNS host.
     */
    text?: string;
}
export declare function serializeDomainDnsTxtRecord(writer: SerializationWriter, domainDnsTxtRecord?: DomainDnsTxtRecord | undefined): void;
