import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DriveItemVersion } from './driveItemVersion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDriveItemVersionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDriveItemVersionCollectionResponse;
export declare function deserializeIntoDriveItemVersionCollectionResponse(driveItemVersionCollectionResponse?: DriveItemVersionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DriveItemVersionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItemVersion[];
}
export declare function serializeDriveItemVersionCollectionResponse(writer: SerializationWriter, driveItemVersionCollectionResponse?: DriveItemVersionCollectionResponse | undefined): void;
