import { type Entity } from './entity';
import { type InternetExplorerMode } from './internetExplorerMode';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdgeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdge;
export declare function deserializeIntoEdge(edge?: Edge | undefined): Record<string, (node: ParseNode) => void>;
export interface Edge extends Entity, Parsable {
    /**
     * A container for Internet Explorer mode resources.
     */
    internetExplorerMode?: InternetExplorerMode;
}
export declare function serializeEdge(writer: SerializationWriter, edge?: Edge | undefined): void;
