import { deserializeIntoEducationAssignmentPointsGradeType } from './educationAssignmentPointsGradeType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentGradeTypeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentPointsGradeType;
export declare function deserializeIntoEducationAssignmentGradeType(educationAssignmentGradeType?: EducationAssignmentGradeType | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentGradeType extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEducationAssignmentGradeType(writer: SerializationWriter, educationAssignmentGradeType?: EducationAssignmentGradeType | undefined): void;
