import { type EducationAssignmentGrade } from './educationAssignmentGrade';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentPointsGradeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentPointsGrade;
export declare function deserializeIntoEducationAssignmentPointsGrade(educationAssignmentPointsGrade?: EducationAssignmentPointsGrade | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentPointsGrade extends EducationAssignmentGrade, Parsable {
    /**
     * Number of points a teacher is giving this submission object.
     */
    points?: number;
}
export declare function serializeEducationAssignmentPointsGrade(writer: SerializationWriter, educationAssignmentPointsGrade?: EducationAssignmentPointsGrade | undefined): void;
