import { type EducationAssignmentGradeType } from './educationAssignmentGradeType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentPointsGradeTypeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentPointsGradeType;
export declare function deserializeIntoEducationAssignmentPointsGradeType(educationAssignmentPointsGradeType?: EducationAssignmentPointsGradeType | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentPointsGradeType extends EducationAssignmentGradeType, Parsable {
    /**
     * Max points possible for this assignment.
     */
    maxPoints?: number;
}
export declare function serializeEducationAssignmentPointsGradeType(writer: SerializationWriter, educationAssignmentPointsGradeType?: EducationAssignmentPointsGradeType | undefined): void;
