import { deserializeIntoEducationAssignmentClassRecipient } from './educationAssignmentClassRecipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentClassRecipient;
export declare function deserializeIntoEducationAssignmentRecipient(educationAssignmentRecipient?: EducationAssignmentRecipient | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentRecipient extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEducationAssignmentRecipient(writer: SerializationWriter, educationAssignmentRecipient?: EducationAssignmentRecipient | undefined): void;
