import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationAssignmentResource } from './educationAssignmentResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentResourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentResourceCollectionResponse;
export declare function deserializeIntoEducationAssignmentResourceCollectionResponse(educationAssignmentResourceCollectionResponse?: EducationAssignmentResourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentResourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationAssignmentResource[];
}
export declare function serializeEducationAssignmentResourceCollectionResponse(writer: SerializationWriter, educationAssignmentResourceCollectionResponse?: EducationAssignmentResourceCollectionResponse | undefined): void;
