import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentSettings;
export declare function deserializeIntoEducationAssignmentSettings(educationAssignmentSettings?: EducationAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentSettings extends Entity, Parsable {
    /**
     * Indicates whether turn-in celebration animation is shown. A value of true indicates that the animation isn't shown. Default value is false.
     */
    submissionAnimationDisabled?: boolean;
}
export declare function serializeEducationAssignmentSettings(writer: SerializationWriter, educationAssignmentSettings?: EducationAssignmentSettings | undefined): void;
