import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationCategoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationCategory;
export declare function deserializeIntoEducationCategory(educationCategory?: EducationCategory | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationCategory extends Entity, Parsable {
    /**
     * Unique identifier for the category.
     */
    displayName?: string;
}
export declare function serializeEducationCategory(writer: SerializationWriter, educationCategory?: EducationCategory | undefined): void;
