import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationClass } from './educationClass';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationClassCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationClassCollectionResponse;
export declare function deserializeIntoEducationClassCollectionResponse(educationClassCollectionResponse?: EducationClassCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationClassCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationClass[];
}
export declare function serializeEducationClassCollectionResponse(writer: SerializationWriter, educationClassCollectionResponse?: EducationClassCollectionResponse | undefined): void;
