import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationExcelResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationExcelResource;
export declare function deserializeIntoEducationExcelResource(educationExcelResource?: EducationExcelResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationExcelResource extends EducationResource, Parsable {
    /**
     * Pointer to the Excel file object.
     */
    fileUrl?: string;
}
export declare function serializeEducationExcelResource(writer: SerializationWriter, educationExcelResource?: EducationExcelResource | undefined): void;
