import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationLinkResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationLinkResource;
export declare function deserializeIntoEducationLinkResource(educationLinkResource?: EducationLinkResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationLinkResource extends EducationResource, Parsable {
    /**
     * URL to the resource.
     */
    link?: string;
}
export declare function serializeEducationLinkResource(writer: SerializationWriter, educationLinkResource?: EducationLinkResource | undefined): void;
