import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationMediaResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationMediaResource;
export declare function deserializeIntoEducationMediaResource(educationMediaResource?: EducationMediaResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationMediaResource extends EducationResource, Parsable {
    /**
     * Location of the file on shared point folder. Required
     */
    fileUrl?: string;
}
export declare function serializeEducationMediaResource(writer: SerializationWriter, educationMediaResource?: EducationMediaResource | undefined): void;
