import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationOnPremisesInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationOnPremisesInfo;
export declare function deserializeIntoEducationOnPremisesInfo(educationOnPremisesInfo?: EducationOnPremisesInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationOnPremisesInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Unique identifier for the user object in Active Directory.
     */
    immutableId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEducationOnPremisesInfo(writer: SerializationWriter, educationOnPremisesInfo?: EducationOnPremisesInfo | undefined): void;
