import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationOutcome } from './educationOutcome';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationOutcomeCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationOutcomeCollectionResponse;
export declare function deserializeIntoEducationOutcomeCollectionResponse(educationOutcomeCollectionResponse?: EducationOutcomeCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationOutcomeCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationOutcome[];
}
export declare function serializeEducationOutcomeCollectionResponse(writer: SerializationWriter, educationOutcomeCollectionResponse?: EducationOutcomeCollectionResponse | undefined): void;
