import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationRubric } from './educationRubric';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationRubricCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationRubricCollectionResponse;
export declare function deserializeIntoEducationRubricCollectionResponse(educationRubricCollectionResponse?: EducationRubricCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationRubricCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationRubric[];
}
export declare function serializeEducationRubricCollectionResponse(writer: SerializationWriter, educationRubricCollectionResponse?: EducationRubricCollectionResponse | undefined): void;
