import { type EducationSubmissionRecipient } from './educationSubmissionRecipient';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationSubmissionIndividualRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationSubmissionIndividualRecipient;
export declare function deserializeIntoEducationSubmissionIndividualRecipient(educationSubmissionIndividualRecipient?: EducationSubmissionIndividualRecipient | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationSubmissionIndividualRecipient extends EducationSubmissionRecipient, Parsable {
    /**
     * User ID of the user to whom the submission is assigned.
     */
    userId?: string;
}
export declare function serializeEducationSubmissionIndividualRecipient(writer: SerializationWriter, educationSubmissionIndividualRecipient?: EducationSubmissionIndividualRecipient | undefined): void;
