import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationSubmissionResource } from './educationSubmissionResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationSubmissionResourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationSubmissionResourceCollectionResponse;
export declare function deserializeIntoEducationSubmissionResourceCollectionResponse(educationSubmissionResourceCollectionResponse?: EducationSubmissionResourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationSubmissionResourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationSubmissionResource[];
}
export declare function serializeEducationSubmissionResourceCollectionResponse(writer: SerializationWriter, educationSubmissionResourceCollectionResponse?: EducationSubmissionResourceCollectionResponse | undefined): void;
