import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationTeacherFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationTeacher;
export declare function deserializeIntoEducationTeacher(educationTeacher?: EducationTeacher | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationTeacher extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * ID of the teacher in the source system.
     */
    externalId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Teacher number.
     */
    teacherNumber?: string;
}
export declare function serializeEducationTeacher(writer: SerializationWriter, educationTeacher?: EducationTeacher | undefined): void;
