"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEducationTeacher = exports.deserializeIntoEducationTeacher = exports.createEducationTeacherFromDiscriminatorValue = void 0;
function createEducationTeacherFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEducationTeacher;
}
exports.createEducationTeacherFromDiscriminatorValue = createEducationTeacherFromDiscriminatorValue;
function deserializeIntoEducationTeacher(educationTeacher = {}) {
    return {
        "externalId": n => { educationTeacher.externalId = n.getStringValue(); },
        "@odata.type": n => { educationTeacher.odataType = n.getStringValue(); },
        "teacherNumber": n => { educationTeacher.teacherNumber = n.getStringValue(); },
    };
}
exports.deserializeIntoEducationTeacher = deserializeIntoEducationTeacher;
function serializeEducationTeacher(writer, educationTeacher = {}) {
    writer.writeStringValue("externalId", educationTeacher.externalId);
    writer.writeStringValue("@odata.type", educationTeacher.odataType);
    writer.writeStringValue("teacherNumber", educationTeacher.teacherNumber);
    writer.writeAdditionalData(educationTeacher.additionalData);
}
exports.serializeEducationTeacher = serializeEducationTeacher;
// tslint:enable
// eslint-enable
