import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationUser } from './educationUser';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationUserCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationUserCollectionResponse;
export declare function deserializeIntoEducationUserCollectionResponse(educationUserCollectionResponse?: EducationUserCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationUserCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationUser[];
}
export declare function serializeEducationUserCollectionResponse(writer: SerializationWriter, educationUserCollectionResponse?: EducationUserCollectionResponse | undefined): void;
