import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationWordResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationWordResource;
export declare function deserializeIntoEducationWordResource(educationWordResource?: EducationWordResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationWordResource extends EducationResource, Parsable {
    /**
     * Location of the file on disk.
     */
    fileUrl?: string;
}
export declare function serializeEducationWordResource(writer: SerializationWriter, educationWordResource?: EducationWordResource | undefined): void;
