"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEmailAddress = exports.deserializeIntoEmailAddress = exports.createEmailAddressFromDiscriminatorValue = void 0;
function createEmailAddressFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEmailAddress;
}
exports.createEmailAddressFromDiscriminatorValue = createEmailAddressFromDiscriminatorValue;
function deserializeIntoEmailAddress(emailAddress = {}) {
    return {
        "address": n => { emailAddress.address = n.getStringValue(); },
        "name": n => { emailAddress.name = n.getStringValue(); },
        "@odata.type": n => { emailAddress.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoEmailAddress = deserializeIntoEmailAddress;
function serializeEmailAddress(writer, emailAddress = {}) {
    writer.writeStringValue("address", emailAddress.address);
    writer.writeStringValue("name", emailAddress.name);
    writer.writeStringValue("@odata.type", emailAddress.odataType);
    writer.writeAdditionalData(emailAddress.additionalData);
}
exports.serializeEmailAddress = serializeEmailAddress;
// tslint:enable
// eslint-enable
