import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EmailAuthenticationMethod } from './emailAuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailAuthenticationMethodCollectionResponse;
export declare function deserializeIntoEmailAuthenticationMethodCollectionResponse(emailAuthenticationMethodCollectionResponse?: EmailAuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailAuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EmailAuthenticationMethod[];
}
export declare function serializeEmailAuthenticationMethodCollectionResponse(writer: SerializationWriter, emailAuthenticationMethodCollectionResponse?: EmailAuthenticationMethodCollectionResponse | undefined): void;
