import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmailIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmailIdentity;
export declare function deserializeIntoEmailIdentity(emailIdentity?: EmailIdentity | undefined): Record<string, (node: ParseNode) => void>;
export interface EmailIdentity extends Identity, Parsable {
    /**
     * Email address of the user.
     */
    email?: string;
}
export declare function serializeEmailIdentity(writer: SerializationWriter, emailIdentity?: EmailIdentity | undefined): void;
