import { type Entity } from './entity';
import { type LearningCourseActivity } from './learningCourseActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEmployeeExperienceUserFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEmployeeExperienceUser;
export declare function deserializeIntoEmployeeExperienceUser(employeeExperienceUser?: EmployeeExperienceUser | undefined): Record<string, (node: ParseNode) => void>;
export interface EmployeeExperienceUser extends Entity, Parsable {
    /**
     * The learningCourseActivities property
     */
    learningCourseActivities?: LearningCourseActivity[];
}
export declare function serializeEmployeeExperienceUser(writer: SerializationWriter, employeeExperienceUser?: EmployeeExperienceUser | undefined): void;
