"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEmployeeOrgData = exports.deserializeIntoEmployeeOrgData = exports.createEmployeeOrgDataFromDiscriminatorValue = void 0;
function createEmployeeOrgDataFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEmployeeOrgData;
}
exports.createEmployeeOrgDataFromDiscriminatorValue = createEmployeeOrgDataFromDiscriminatorValue;
function deserializeIntoEmployeeOrgData(employeeOrgData = {}) {
    return {
        "costCenter": n => { employeeOrgData.costCenter = n.getStringValue(); },
        "division": n => { employeeOrgData.division = n.getStringValue(); },
        "@odata.type": n => { employeeOrgData.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoEmployeeOrgData = deserializeIntoEmployeeOrgData;
function serializeEmployeeOrgData(writer, employeeOrgData = {}) {
    writer.writeStringValue("costCenter", employeeOrgData.costCenter);
    writer.writeStringValue("division", employeeOrgData.division);
    writer.writeStringValue("@odata.type", employeeOrgData.odataType);
    writer.writeAdditionalData(employeeOrgData.additionalData);
}
exports.serializeEmployeeOrgData = serializeEmployeeOrgData;
// tslint:enable
// eslint-enable
