import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EndUserNotification } from './endUserNotification';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndUserNotificationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEndUserNotificationCollectionResponse;
export declare function deserializeIntoEndUserNotificationCollectionResponse(endUserNotificationCollectionResponse?: EndUserNotificationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EndUserNotificationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EndUserNotification[];
}
export declare function serializeEndUserNotificationCollectionResponse(writer: SerializationWriter, endUserNotificationCollectionResponse?: EndUserNotificationCollectionResponse | undefined): void;
