import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EndUserNotificationDetail } from './endUserNotificationDetail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndUserNotificationDetailCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEndUserNotificationDetailCollectionResponse;
export declare function deserializeIntoEndUserNotificationDetailCollectionResponse(endUserNotificationDetailCollectionResponse?: EndUserNotificationDetailCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EndUserNotificationDetailCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EndUserNotificationDetail[];
}
export declare function serializeEndUserNotificationDetailCollectionResponse(writer: SerializationWriter, endUserNotificationDetailCollectionResponse?: EndUserNotificationDetailCollectionResponse | undefined): void;
