import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EnrollmentConfigurationAssignment } from './enrollmentConfigurationAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEnrollmentConfigurationAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEnrollmentConfigurationAssignmentCollectionResponse;
export declare function deserializeIntoEnrollmentConfigurationAssignmentCollectionResponse(enrollmentConfigurationAssignmentCollectionResponse?: EnrollmentConfigurationAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EnrollmentConfigurationAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EnrollmentConfigurationAssignment[];
}
export declare function serializeEnrollmentConfigurationAssignmentCollectionResponse(writer: SerializationWriter, enrollmentConfigurationAssignmentCollectionResponse?: EnrollmentConfigurationAssignmentCollectionResponse | undefined): void;
