import { deserializeIntoAnonymousGuestConversationMember } from './anonymousGuestConversationMember';
import { deserializeIntoAuthorizationPolicy } from './authorizationPolicy';
import { deserializeIntoClaimsMappingPolicy } from './claimsMappingPolicy';
import { deserializeIntoCrossTenantAccessPolicyConfigurationDefault } from './crossTenantAccessPolicyConfigurationDefault';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEntityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAnonymousGuestConversationMember | typeof deserializeIntoClaimsMappingPolicy | typeof deserializeIntoAuthorizationPolicy | typeof deserializeIntoCrossTenantAccessPolicyConfigurationDefault;
export declare function deserializeIntoEntity(entity?: Entity | undefined): Record<string, (node: ParseNode) => void>;
export interface Entity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The unique identifier for an entity. Read-only.
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEntity(writer: SerializationWriter, entity?: Entity | undefined): void;
