import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Event } from './event';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEventCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEventCollectionResponse;
export declare function deserializeIntoEventCollectionResponse(eventCollectionResponse?: EventCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EventCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Event[];
}
export declare function serializeEventCollectionResponse(writer: SerializationWriter, eventCollectionResponse?: EventCollectionResponse | undefined): void;
