import { type Entity } from './entity';
import { deserializeIntoOpenTypeExtension } from './openTypeExtension';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExtensionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenTypeExtension;
export declare function deserializeIntoExtension(extension?: Extension | undefined): Record<string, (node: ParseNode) => void>;
export interface Extension extends Entity, Parsable {
}
export declare function serializeExtension(writer: SerializationWriter, extension?: Extension | undefined): void;
