import { type PublicError } from '../publicError';
import { type ExternalActivity } from './externalActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalActivityResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalActivityResult;
export declare function deserializeIntoExternalActivityResult(externalActivityResult?: ExternalActivityResult | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalActivityResult extends ExternalActivity, Parsable {
    /**
     * Error information that explains the failure to process an external activity.
     */
    errorEscaped?: PublicError;
}
export declare function serializeExternalActivityResult(writer: SerializationWriter, externalActivityResult?: ExternalActivityResult | undefined): void;
