import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type ExternalGroup } from './externalGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalGroupCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalGroupCollectionResponse;
export declare function deserializeIntoExternalGroupCollectionResponse(externalGroupCollectionResponse?: ExternalGroupCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalGroupCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ExternalGroup[];
}
export declare function serializeExternalGroupCollectionResponse(writer: SerializationWriter, externalGroupCollectionResponse?: ExternalGroupCollectionResponse | undefined): void;
