import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPropertiesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProperties;
export declare function deserializeIntoProperties(properties?: Properties | undefined): Record<string, (node: ParseNode) => void>;
export interface Properties extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeProperties(writer: SerializationWriter, properties?: Properties | undefined): void;
