"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeProperties = exports.deserializeIntoProperties = exports.createPropertiesFromDiscriminatorValue = void 0;
function createPropertiesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoProperties;
}
exports.createPropertiesFromDiscriminatorValue = createPropertiesFromDiscriminatorValue;
function deserializeIntoProperties(properties = {}) {
    return {
        "@odata.type": n => { properties.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoProperties = deserializeIntoProperties;
function serializeProperties(writer, properties = {}) {
    writer.writeStringValue("@odata.type", properties.odataType);
    writer.writeAdditionalData(properties.additionalData);
}
exports.serializeProperties = serializeProperties;
// tslint:enable
// eslint-enable
