"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUrlMatchInfo = exports.deserializeIntoUrlMatchInfo = exports.createUrlMatchInfoFromDiscriminatorValue = void 0;
function createUrlMatchInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUrlMatchInfo;
}
exports.createUrlMatchInfoFromDiscriminatorValue = createUrlMatchInfoFromDiscriminatorValue;
function deserializeIntoUrlMatchInfo(urlMatchInfo = {}) {
    return {
        "baseUrls": n => { urlMatchInfo.baseUrls = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { urlMatchInfo.odataType = n.getStringValue(); },
        "urlPattern": n => { urlMatchInfo.urlPattern = n.getStringValue(); },
    };
}
exports.deserializeIntoUrlMatchInfo = deserializeIntoUrlMatchInfo;
function serializeUrlMatchInfo(writer, urlMatchInfo = {}) {
    writer.writeCollectionOfPrimitiveValues("baseUrls", urlMatchInfo.baseUrls);
    writer.writeStringValue("@odata.type", urlMatchInfo.odataType);
    writer.writeStringValue("urlPattern", urlMatchInfo.urlPattern);
    writer.writeAdditionalData(urlMatchInfo.additionalData);
}
exports.serializeUrlMatchInfo = serializeUrlMatchInfo;
// tslint:enable
// eslint-enable
