import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalLinkFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalLink;
export declare function deserializeIntoExternalLink(externalLink?: ExternalLink | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalLink extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The URL of the link.
     */
    href?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeExternalLink(writer: SerializationWriter, externalLink?: ExternalLink | undefined): void;
