import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type FeatureRolloutPolicy } from './featureRolloutPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFeatureRolloutPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFeatureRolloutPolicyCollectionResponse;
export declare function deserializeIntoFeatureRolloutPolicyCollectionResponse(featureRolloutPolicyCollectionResponse?: FeatureRolloutPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FeatureRolloutPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: FeatureRolloutPolicy[];
}
export declare function serializeFeatureRolloutPolicyCollectionResponse(writer: SerializationWriter, featureRolloutPolicyCollectionResponse?: FeatureRolloutPolicyCollectionResponse | undefined): void;
