import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type FederatedIdentityCredential } from './federatedIdentityCredential';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFederatedIdentityCredentialCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFederatedIdentityCredentialCollectionResponse;
export declare function deserializeIntoFederatedIdentityCredentialCollectionResponse(federatedIdentityCredentialCollectionResponse?: FederatedIdentityCredentialCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FederatedIdentityCredentialCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: FederatedIdentityCredential[];
}
export declare function serializeFederatedIdentityCredentialCollectionResponse(writer: SerializationWriter, federatedIdentityCredentialCollectionResponse?: FederatedIdentityCredentialCollectionResponse | undefined): void;
