import { type ThreatAssessmentRequest } from './threatAssessmentRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFileAssessmentRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFileAssessmentRequest;
export declare function deserializeIntoFileAssessmentRequest(fileAssessmentRequest?: FileAssessmentRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface FileAssessmentRequest extends Parsable, ThreatAssessmentRequest {
    /**
     * Base64 encoded file content. The file content can't fetch back because it isn't stored.
     */
    contentData?: string;
    /**
     * The file name.
     */
    fileName?: string;
}
export declare function serializeFileAssessmentRequest(writer: SerializationWriter, fileAssessmentRequest?: FileAssessmentRequest | undefined): void;
