"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFileEncryptionInfo = exports.deserializeIntoFileEncryptionInfo = exports.createFileEncryptionInfoFromDiscriminatorValue = void 0;
function createFileEncryptionInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFileEncryptionInfo;
}
exports.createFileEncryptionInfoFromDiscriminatorValue = createFileEncryptionInfoFromDiscriminatorValue;
function deserializeIntoFileEncryptionInfo(fileEncryptionInfo = {}) {
    return {
        "encryptionKey": n => { fileEncryptionInfo.encryptionKey = n.getStringValue(); },
        "fileDigest": n => { fileEncryptionInfo.fileDigest = n.getStringValue(); },
        "fileDigestAlgorithm": n => { fileEncryptionInfo.fileDigestAlgorithm = n.getStringValue(); },
        "initializationVector": n => { fileEncryptionInfo.initializationVector = n.getStringValue(); },
        "mac": n => { fileEncryptionInfo.mac = n.getStringValue(); },
        "macKey": n => { fileEncryptionInfo.macKey = n.getStringValue(); },
        "@odata.type": n => { fileEncryptionInfo.odataType = n.getStringValue(); },
        "profileIdentifier": n => { fileEncryptionInfo.profileIdentifier = n.getStringValue(); },
    };
}
exports.deserializeIntoFileEncryptionInfo = deserializeIntoFileEncryptionInfo;
function serializeFileEncryptionInfo(writer, fileEncryptionInfo = {}) {
    writer.writeStringValue("encryptionKey", fileEncryptionInfo.encryptionKey);
    writer.writeStringValue("fileDigest", fileEncryptionInfo.fileDigest);
    writer.writeStringValue("fileDigestAlgorithm", fileEncryptionInfo.fileDigestAlgorithm);
    writer.writeStringValue("initializationVector", fileEncryptionInfo.initializationVector);
    writer.writeStringValue("mac", fileEncryptionInfo.mac);
    writer.writeStringValue("macKey", fileEncryptionInfo.macKey);
    writer.writeStringValue("@odata.type", fileEncryptionInfo.odataType);
    writer.writeStringValue("profileIdentifier", fileEncryptionInfo.profileIdentifier);
    writer.writeAdditionalData(fileEncryptionInfo.additionalData);
}
exports.serializeFileEncryptionInfo = serializeFileEncryptionInfo;
// tslint:enable
// eslint-enable
