"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FirewallPreSharedKeyEncodingMethodType = void 0;
/**
 * Possible values for firewallPreSharedKeyEncodingMethod
 */
var FirewallPreSharedKeyEncodingMethodType;
(function (FirewallPreSharedKeyEncodingMethodType) {
    /** No value configured by Intune, do not override the user-configured device default value */
    FirewallPreSharedKeyEncodingMethodType["DeviceDefault"] = "deviceDefault";
    /** Preshared key is not encoded. Instead, it is kept in its wide-character format */
    FirewallPreSharedKeyEncodingMethodType["None"] = "none";
    /** Encode the preshared key using UTF-8 */
    FirewallPreSharedKeyEncodingMethodType["UtF8"] = "utF8";
})(FirewallPreSharedKeyEncodingMethodType || (exports.FirewallPreSharedKeyEncodingMethodType = FirewallPreSharedKeyEncodingMethodType = {}));
// tslint:enable
// eslint-enable
