"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFolderView = exports.deserializeIntoFolderView = exports.createFolderViewFromDiscriminatorValue = void 0;
function createFolderViewFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFolderView;
}
exports.createFolderViewFromDiscriminatorValue = createFolderViewFromDiscriminatorValue;
function deserializeIntoFolderView(folderView = {}) {
    return {
        "@odata.type": n => { folderView.odataType = n.getStringValue(); },
        "sortBy": n => { folderView.sortBy = n.getStringValue(); },
        "sortOrder": n => { folderView.sortOrder = n.getStringValue(); },
        "viewType": n => { folderView.viewType = n.getStringValue(); },
    };
}
exports.deserializeIntoFolderView = deserializeIntoFolderView;
function serializeFolderView(writer, folderView = {}) {
    writer.writeStringValue("@odata.type", folderView.odataType);
    writer.writeStringValue("sortBy", folderView.sortBy);
    writer.writeStringValue("sortOrder", folderView.sortOrder);
    writer.writeStringValue("viewType", folderView.viewType);
    writer.writeAdditionalData(folderView.additionalData);
}
exports.serializeFolderView = serializeFolderView;
// tslint:enable
// eslint-enable
