import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGovernanceInsightFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGovernanceInsight;
export declare function deserializeIntoGovernanceInsight(governanceInsight?: GovernanceInsight | undefined): Record<string, (node: ParseNode) => void>;
export interface GovernanceInsight extends Entity, Parsable {
    /**
     * Indicates when the insight was created.
     */
    insightCreatedDateTime?: Date;
}
export declare function serializeGovernanceInsight(writer: SerializationWriter, governanceInsight?: GovernanceInsight | undefined): void;
