"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGroupFilter = exports.deserializeIntoGroupFilter = exports.createGroupFilterFromDiscriminatorValue = void 0;
function createGroupFilterFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGroupFilter;
}
exports.createGroupFilterFromDiscriminatorValue = createGroupFilterFromDiscriminatorValue;
function deserializeIntoGroupFilter(groupFilter = {}) {
    return {
        "includedGroups": n => { groupFilter.includedGroups = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { groupFilter.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoGroupFilter = deserializeIntoGroupFilter;
function serializeGroupFilter(writer, groupFilter = {}) {
    writer.writeCollectionOfPrimitiveValues("includedGroups", groupFilter.includedGroups);
    writer.writeStringValue("@odata.type", groupFilter.odataType);
    writer.writeAdditionalData(groupFilter.additionalData);
}
exports.serializeGroupFilter = serializeGroupFilter;
// tslint:enable
// eslint-enable
