import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type GroupSetting } from './groupSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupSettingCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupSettingCollectionResponse;
export declare function deserializeIntoGroupSettingCollectionResponse(groupSettingCollectionResponse?: GroupSettingCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupSettingCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: GroupSetting[];
}
export declare function serializeGroupSettingCollectionResponse(writer: SerializationWriter, groupSettingCollectionResponse?: GroupSettingCollectionResponse | undefined): void;
