import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type GroupSettingTemplate } from './groupSettingTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupSettingTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupSettingTemplateCollectionResponse;
export declare function deserializeIntoGroupSettingTemplateCollectionResponse(groupSettingTemplateCollectionResponse?: GroupSettingTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupSettingTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: GroupSettingTemplate[];
}
export declare function serializeGroupSettingTemplateCollectionResponse(writer: SerializationWriter, groupSettingTemplateCollectionResponse?: GroupSettingTemplateCollectionResponse | undefined): void;
