import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHyperlinkOrPictureColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHyperlinkOrPictureColumn;
export declare function deserializeIntoHyperlinkOrPictureColumn(hyperlinkOrPictureColumn?: HyperlinkOrPictureColumn | undefined): Record<string, (node: ParseNode) => void>;
export interface HyperlinkOrPictureColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Specifies whether the display format used for URL columns is an image or a hyperlink.
     */
    isPicture?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeHyperlinkOrPictureColumn(writer: SerializationWriter, hyperlinkOrPictureColumn?: HyperlinkOrPictureColumn | undefined): void;
