"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHyperlinkOrPictureColumn = exports.deserializeIntoHyperlinkOrPictureColumn = exports.createHyperlinkOrPictureColumnFromDiscriminatorValue = void 0;
function createHyperlinkOrPictureColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHyperlinkOrPictureColumn;
}
exports.createHyperlinkOrPictureColumnFromDiscriminatorValue = createHyperlinkOrPictureColumnFromDiscriminatorValue;
function deserializeIntoHyperlinkOrPictureColumn(hyperlinkOrPictureColumn = {}) {
    return {
        "isPicture": n => { hyperlinkOrPictureColumn.isPicture = n.getBooleanValue(); },
        "@odata.type": n => { hyperlinkOrPictureColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoHyperlinkOrPictureColumn = deserializeIntoHyperlinkOrPictureColumn;
function serializeHyperlinkOrPictureColumn(writer, hyperlinkOrPictureColumn = {}) {
    writer.writeBooleanValue("isPicture", hyperlinkOrPictureColumn.isPicture);
    writer.writeStringValue("@odata.type", hyperlinkOrPictureColumn.odataType);
    writer.writeAdditionalData(hyperlinkOrPictureColumn.additionalData);
}
exports.serializeHyperlinkOrPictureColumn = serializeHyperlinkOrPictureColumn;
// tslint:enable
// eslint-enable
