import { type IpRange } from './ipRange';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIPv4RangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIPv4Range;
export declare function deserializeIntoIPv4Range(iPv4Range?: IPv4Range | undefined): Record<string, (node: ParseNode) => void>;
export interface IPv4Range extends IpRange, Parsable {
    /**
     * Lower address.
     */
    lowerAddress?: string;
    /**
     * Upper address.
     */
    upperAddress?: string;
}
export declare function serializeIPv4Range(writer: SerializationWriter, iPv4Range?: IPv4Range | undefined): void;
