import { type IpRange } from './ipRange';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIPv6RangeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIPv6Range;
export declare function deserializeIntoIPv6Range(iPv6Range?: IPv6Range | undefined): Record<string, (node: ParseNode) => void>;
export interface IPv6Range extends IpRange, Parsable {
    /**
     * Lower address.
     */
    lowerAddress?: string;
    /**
     * Upper address.
     */
    upperAddress?: string;
}
export declare function serializeIPv6Range(writer: SerializationWriter, iPv6Range?: IPv6Range | undefined): void;
