import { type Application } from '../application';
import { type CustomExtensionCallbackConfiguration } from '../customExtensionCallbackConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTaskExtensionCallbackConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTaskExtensionCallbackConfiguration;
export interface CustomTaskExtensionCallbackConfiguration extends CustomExtensionCallbackConfiguration, Parsable {
    /**
     * The authorizedApps property
     */
    authorizedApps?: Application[];
}
export declare function deserializeIntoCustomTaskExtensionCallbackConfiguration(customTaskExtensionCallbackConfiguration?: CustomTaskExtensionCallbackConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTaskExtensionCallbackConfiguration(writer: SerializationWriter, customTaskExtensionCallbackConfiguration?: CustomTaskExtensionCallbackConfiguration | undefined): void;
