import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Task } from './task';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskCollectionResponse;
export declare function deserializeIntoTaskCollectionResponse(taskCollectionResponse?: TaskCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskCollectionResponse(writer: SerializationWriter, taskCollectionResponse?: TaskCollectionResponse | undefined): void;
export interface TaskCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Task[];
}
