import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type TaskProcessingResult } from './taskProcessingResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskProcessingResultCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskProcessingResultCollectionResponse;
export declare function deserializeIntoTaskProcessingResultCollectionResponse(taskProcessingResultCollectionResponse?: TaskProcessingResultCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskProcessingResultCollectionResponse(writer: SerializationWriter, taskProcessingResultCollectionResponse?: TaskProcessingResultCollectionResponse | undefined): void;
export interface TaskProcessingResultCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TaskProcessingResult[];
}
