import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type TaskReport } from './taskReport';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskReportCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskReportCollectionResponse;
export declare function deserializeIntoTaskReportCollectionResponse(taskReportCollectionResponse?: TaskReportCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskReportCollectionResponse(writer: SerializationWriter, taskReportCollectionResponse?: TaskReportCollectionResponse | undefined): void;
export interface TaskReportCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TaskReport[];
}
