"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTaskReportSummary = exports.deserializeIntoTaskReportSummary = exports.createTaskReportSummaryFromDiscriminatorValue = void 0;
function createTaskReportSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTaskReportSummary;
}
exports.createTaskReportSummaryFromDiscriminatorValue = createTaskReportSummaryFromDiscriminatorValue;
function deserializeIntoTaskReportSummary(taskReportSummary = {}) {
    return {
        "failedTasks": n => { taskReportSummary.failedTasks = n.getNumberValue(); },
        "@odata.type": n => { taskReportSummary.odataType = n.getStringValue(); },
        "successfulTasks": n => { taskReportSummary.successfulTasks = n.getNumberValue(); },
        "totalTasks": n => { taskReportSummary.totalTasks = n.getNumberValue(); },
        "unprocessedTasks": n => { taskReportSummary.unprocessedTasks = n.getNumberValue(); },
    };
}
exports.deserializeIntoTaskReportSummary = deserializeIntoTaskReportSummary;
function serializeTaskReportSummary(writer, taskReportSummary = {}) {
    writer.writeNumberValue("failedTasks", taskReportSummary.failedTasks);
    writer.writeStringValue("@odata.type", taskReportSummary.odataType);
    writer.writeNumberValue("successfulTasks", taskReportSummary.successfulTasks);
    writer.writeNumberValue("totalTasks", taskReportSummary.totalTasks);
    writer.writeNumberValue("unprocessedTasks", taskReportSummary.unprocessedTasks);
    writer.writeAdditionalData(taskReportSummary.additionalData);
}
exports.serializeTaskReportSummary = serializeTaskReportSummary;
// tslint:enable
// eslint-enable
