import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type UserProcessingResult } from './userProcessingResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserProcessingResultCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserProcessingResultCollectionResponse;
export declare function deserializeIntoUserProcessingResultCollectionResponse(userProcessingResultCollectionResponse?: UserProcessingResultCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserProcessingResultCollectionResponse(writer: SerializationWriter, userProcessingResultCollectionResponse?: UserProcessingResultCollectionResponse | undefined): void;
export interface UserProcessingResultCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserProcessingResult[];
}
