import { deserializeIntoOnDemandExecutionOnly } from './onDemandExecutionOnly';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowExecutionConditionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnDemandExecutionOnly;
export declare function deserializeIntoWorkflowExecutionConditions(workflowExecutionConditions?: WorkflowExecutionConditions | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowExecutionConditions(writer: SerializationWriter, workflowExecutionConditions?: WorkflowExecutionConditions | undefined): void;
export interface WorkflowExecutionConditions extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
