import { deserializeIntoTimeBasedAttributeTrigger } from './timeBasedAttributeTrigger';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowExecutionTriggerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeBasedAttributeTrigger;
export declare function deserializeIntoWorkflowExecutionTrigger(workflowExecutionTrigger?: WorkflowExecutionTrigger | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowExecutionTrigger(writer: SerializationWriter, workflowExecutionTrigger?: WorkflowExecutionTrigger | undefined): void;
export interface WorkflowExecutionTrigger extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
