import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type WorkflowTemplate } from './workflowTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkflowTemplateCollectionResponse;
export declare function deserializeIntoWorkflowTemplateCollectionResponse(workflowTemplateCollectionResponse?: WorkflowTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowTemplateCollectionResponse(writer: SerializationWriter, workflowTemplateCollectionResponse?: WorkflowTemplateCollectionResponse | undefined): void;
export interface WorkflowTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkflowTemplate[];
}
