import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type WorkflowVersion } from './workflowVersion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowVersionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkflowVersionCollectionResponse;
export declare function deserializeIntoWorkflowVersionCollectionResponse(workflowVersionCollectionResponse?: WorkflowVersionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowVersionCollectionResponse(writer: SerializationWriter, workflowVersionCollectionResponse?: WorkflowVersionCollectionResponse | undefined): void;
export interface WorkflowVersionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkflowVersion[];
}
