import { deserializeIntoAppleManagedIdentityProvider } from './appleManagedIdentityProvider';
import { deserializeIntoBuiltInIdentityProvider } from './builtInIdentityProvider';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityProviderBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppleManagedIdentityProvider | typeof deserializeIntoBuiltInIdentityProvider;
export declare function deserializeIntoIdentityProviderBase(identityProviderBase?: IdentityProviderBase | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityProviderBase extends Entity, Parsable {
    /**
     * The display name of the identity provider.
     */
    displayName?: string;
}
export declare function serializeIdentityProviderBase(writer: SerializationWriter, identityProviderBase?: IdentityProviderBase | undefined): void;
