import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IdentityProviderBase } from './identityProviderBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityProviderBaseCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityProviderBaseCollectionResponse;
export declare function deserializeIntoIdentityProviderBaseCollectionResponse(identityProviderBaseCollectionResponse?: IdentityProviderBaseCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityProviderBaseCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IdentityProviderBase[];
}
export declare function serializeIdentityProviderBaseCollectionResponse(writer: SerializationWriter, identityProviderBaseCollectionResponse?: IdentityProviderBaseCollectionResponse | undefined): void;
