import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IdentityProvider } from './identityProvider';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityProviderCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityProviderCollectionResponse;
export declare function deserializeIntoIdentityProviderCollectionResponse(identityProviderCollectionResponse?: IdentityProviderCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityProviderCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IdentityProvider[];
}
export declare function serializeIdentityProviderCollectionResponse(writer: SerializationWriter, identityProviderCollectionResponse?: IdentityProviderCollectionResponse | undefined): void;
