import { type PolicyBase } from './policyBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentitySecurityDefaultsEnforcementPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentitySecurityDefaultsEnforcementPolicy;
export declare function deserializeIntoIdentitySecurityDefaultsEnforcementPolicy(identitySecurityDefaultsEnforcementPolicy?: IdentitySecurityDefaultsEnforcementPolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentitySecurityDefaultsEnforcementPolicy extends Parsable, PolicyBase {
    /**
     * If set to true, Microsoft Entra security defaults are enabled for the tenant.
     */
    isEnabled?: boolean;
}
export declare function serializeIdentitySecurityDefaultsEnforcementPolicy(writer: SerializationWriter, identitySecurityDefaultsEnforcementPolicy?: IdentitySecurityDefaultsEnforcementPolicy | undefined): void;
