import { deserializeIntoB2xIdentityUserFlow } from './b2xIdentityUserFlow';
import { type Entity } from './entity';
import { UserFlowType } from './userFlowType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityUserFlowFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoB2xIdentityUserFlow;
export declare function deserializeIntoIdentityUserFlow(identityUserFlow?: IdentityUserFlow | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityUserFlow extends Entity, Parsable {
    /**
     * The userFlowType property
     */
    userFlowType?: UserFlowType;
    /**
     * The userFlowTypeVersion property
     */
    userFlowTypeVersion?: number;
}
export declare function serializeIdentityUserFlow(writer: SerializationWriter, identityUserFlow?: IdentityUserFlow | undefined): void;
