"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIdleSessionSignOut = exports.deserializeIntoIdleSessionSignOut = exports.createIdleSessionSignOutFromDiscriminatorValue = void 0;
function createIdleSessionSignOutFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIdleSessionSignOut;
}
exports.createIdleSessionSignOutFromDiscriminatorValue = createIdleSessionSignOutFromDiscriminatorValue;
function deserializeIntoIdleSessionSignOut(idleSessionSignOut = {}) {
    return {
        "isEnabled": n => { idleSessionSignOut.isEnabled = n.getBooleanValue(); },
        "@odata.type": n => { idleSessionSignOut.odataType = n.getStringValue(); },
        "signOutAfterInSeconds": n => { idleSessionSignOut.signOutAfterInSeconds = n.getNumberValue(); },
        "warnAfterInSeconds": n => { idleSessionSignOut.warnAfterInSeconds = n.getNumberValue(); },
    };
}
exports.deserializeIntoIdleSessionSignOut = deserializeIntoIdleSessionSignOut;
function serializeIdleSessionSignOut(writer, idleSessionSignOut = {}) {
    writer.writeBooleanValue("isEnabled", idleSessionSignOut.isEnabled);
    writer.writeStringValue("@odata.type", idleSessionSignOut.odataType);
    writer.writeNumberValue("signOutAfterInSeconds", idleSessionSignOut.signOutAfterInSeconds);
    writer.writeNumberValue("warnAfterInSeconds", idleSessionSignOut.warnAfterInSeconds);
    writer.writeAdditionalData(idleSessionSignOut.additionalData);
}
exports.serializeIdleSessionSignOut = serializeIdleSessionSignOut;
// tslint:enable
// eslint-enable
