"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeImageInfo = exports.deserializeIntoImageInfo = exports.createImageInfoFromDiscriminatorValue = void 0;
function createImageInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImageInfo;
}
exports.createImageInfoFromDiscriminatorValue = createImageInfoFromDiscriminatorValue;
function deserializeIntoImageInfo(imageInfo = {}) {
    return {
        "addImageQuery": n => { imageInfo.addImageQuery = n.getBooleanValue(); },
        "alternateText": n => { imageInfo.alternateText = n.getStringValue(); },
        "alternativeText": n => { imageInfo.alternativeText = n.getStringValue(); },
        "iconUrl": n => { imageInfo.iconUrl = n.getStringValue(); },
        "@odata.type": n => { imageInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoImageInfo = deserializeIntoImageInfo;
function serializeImageInfo(writer, imageInfo = {}) {
    writer.writeBooleanValue("addImageQuery", imageInfo.addImageQuery);
    writer.writeStringValue("alternateText", imageInfo.alternateText);
    writer.writeStringValue("alternativeText", imageInfo.alternativeText);
    writer.writeStringValue("iconUrl", imageInfo.iconUrl);
    writer.writeStringValue("@odata.type", imageInfo.odataType);
    writer.writeAdditionalData(imageInfo.additionalData);
}
exports.serializeImageInfo = serializeImageInfo;
// tslint:enable
// eslint-enable
