"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeImplicitGrantSettings = exports.deserializeIntoImplicitGrantSettings = exports.createImplicitGrantSettingsFromDiscriminatorValue = void 0;
function createImplicitGrantSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImplicitGrantSettings;
}
exports.createImplicitGrantSettingsFromDiscriminatorValue = createImplicitGrantSettingsFromDiscriminatorValue;
function deserializeIntoImplicitGrantSettings(implicitGrantSettings = {}) {
    return {
        "enableAccessTokenIssuance": n => { implicitGrantSettings.enableAccessTokenIssuance = n.getBooleanValue(); },
        "enableIdTokenIssuance": n => { implicitGrantSettings.enableIdTokenIssuance = n.getBooleanValue(); },
        "@odata.type": n => { implicitGrantSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoImplicitGrantSettings = deserializeIntoImplicitGrantSettings;
function serializeImplicitGrantSettings(writer, implicitGrantSettings = {}) {
    writer.writeBooleanValue("enableAccessTokenIssuance", implicitGrantSettings.enableAccessTokenIssuance);
    writer.writeBooleanValue("enableIdTokenIssuance", implicitGrantSettings.enableIdTokenIssuance);
    writer.writeStringValue("@odata.type", implicitGrantSettings.odataType);
    writer.writeAdditionalData(implicitGrantSettings.additionalData);
}
exports.serializeImplicitGrantSettings = serializeImplicitGrantSettings;
// tslint:enable
// eslint-enable
