import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ImportedWindowsAutopilotDeviceIdentity } from './importedWindowsAutopilotDeviceIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createImportedWindowsAutopilotDeviceIdentityCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoImportedWindowsAutopilotDeviceIdentityCollectionResponse;
export declare function deserializeIntoImportedWindowsAutopilotDeviceIdentityCollectionResponse(importedWindowsAutopilotDeviceIdentityCollectionResponse?: ImportedWindowsAutopilotDeviceIdentityCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ImportedWindowsAutopilotDeviceIdentityCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ImportedWindowsAutopilotDeviceIdentity[];
}
export declare function serializeImportedWindowsAutopilotDeviceIdentityCollectionResponse(writer: SerializationWriter, importedWindowsAutopilotDeviceIdentityCollectionResponse?: ImportedWindowsAutopilotDeviceIdentityCollectionResponse | undefined): void;
