import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type InferenceClassificationOverride } from './inferenceClassificationOverride';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInferenceClassificationOverrideCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInferenceClassificationOverrideCollectionResponse;
export declare function deserializeIntoInferenceClassificationOverrideCollectionResponse(inferenceClassificationOverrideCollectionResponse?: InferenceClassificationOverrideCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface InferenceClassificationOverrideCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: InferenceClassificationOverride[];
}
export declare function serializeInferenceClassificationOverrideCollectionResponse(writer: SerializationWriter, inferenceClassificationOverrideCollectionResponse?: InferenceClassificationOverrideCollectionResponse | undefined): void;
