import { type Bitlocker } from './bitlocker';
import { type ThreatAssessmentRequest } from './threatAssessmentRequest';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInformationProtectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInformationProtection;
export declare function deserializeIntoInformationProtection(informationProtection?: InformationProtection | undefined): Record<string, (node: ParseNode) => void>;
export interface InformationProtection extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The bitlocker property
     */
    bitlocker?: Bitlocker;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The threatAssessmentRequests property
     */
    threatAssessmentRequests?: ThreatAssessmentRequest[];
}
export declare function serializeInformationProtection(writer: SerializationWriter, informationProtection?: InformationProtection | undefined): void;
