import { type UserExperienceAnalyticsInsightValue } from './userExperienceAnalyticsInsightValue';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInsightValueDoubleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInsightValueDouble;
export declare function deserializeIntoInsightValueDouble(insightValueDouble?: InsightValueDouble | undefined): Record<string, (node: ParseNode) => void>;
export interface InsightValueDouble extends Parsable, UserExperienceAnalyticsInsightValue {
    /**
     * The double value of the user experience analytics insight.
     */
    value?: number;
}
export declare function serializeInsightValueDouble(writer: SerializationWriter, insightValueDouble?: InsightValueDouble | undefined): void;
