"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIntegerRange = exports.deserializeIntoIntegerRange = exports.createIntegerRangeFromDiscriminatorValue = void 0;
function createIntegerRangeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIntegerRange;
}
exports.createIntegerRangeFromDiscriminatorValue = createIntegerRangeFromDiscriminatorValue;
function deserializeIntoIntegerRange(integerRange = {}) {
    return {
        "end": n => { integerRange.end = n.getNumberValue(); },
        "@odata.type": n => { integerRange.odataType = n.getStringValue(); },
        "start": n => { integerRange.start = n.getNumberValue(); },
    };
}
exports.deserializeIntoIntegerRange = deserializeIntoIntegerRange;
function serializeIntegerRange(writer, integerRange = {}) {
    writer.writeNumberValue("end", integerRange.end);
    writer.writeStringValue("@odata.type", integerRange.odataType);
    writer.writeNumberValue("start", integerRange.start);
    writer.writeAdditionalData(integerRange.additionalData);
}
exports.serializeIntegerRange = serializeIntegerRange;
// tslint:enable
// eslint-enable
