"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternetSiteSecurityLevel = void 0;
/**
 * Possible values for internet site security level.
 */
var InternetSiteSecurityLevel;
(function (InternetSiteSecurityLevel) {
    /** User Defined, default value, no intent. */
    InternetSiteSecurityLevel["UserDefined"] = "userDefined";
    /** Medium. */
    InternetSiteSecurityLevel["Medium"] = "medium";
    /** Medium-High. */
    InternetSiteSecurityLevel["MediumHigh"] = "mediumHigh";
    /** High. */
    InternetSiteSecurityLevel["High"] = "high";
})(InternetSiteSecurityLevel || (exports.InternetSiteSecurityLevel = InternetSiteSecurityLevel = {}));
// tslint:enable
// eslint-enable
