import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInvestigationSecurityStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInvestigationSecurityState;
export declare function deserializeIntoInvestigationSecurityState(investigationSecurityState?: InvestigationSecurityState | undefined): Record<string, (node: ParseNode) => void>;
export interface InvestigationSecurityState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name property
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The status property
     */
    status?: string;
}
export declare function serializeInvestigationSecurityState(writer: SerializationWriter, investigationSecurityState?: InvestigationSecurityState | undefined): void;
