import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Invitation } from './invitation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInvitationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInvitationCollectionResponse;
export declare function deserializeIntoInvitationCollectionResponse(invitationCollectionResponse?: InvitationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface InvitationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Invitation[];
}
export declare function serializeInvitationCollectionResponse(writer: SerializationWriter, invitationCollectionResponse?: InvitationCollectionResponse | undefined): void;
