import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosCertificateProfileFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosCertificateProfile;
export declare function deserializeIntoIosCertificateProfile(iosCertificateProfile?: IosCertificateProfile | undefined): Record<string, (node: ParseNode) => void>;
export interface IosCertificateProfile extends DeviceConfiguration, Parsable {
}
export declare function serializeIosCertificateProfile(writer: SerializationWriter, iosCertificateProfile?: IosCertificateProfile | undefined): void;
