import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosDeviceTypeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosDeviceType;
export declare function deserializeIntoIosDeviceType(iosDeviceType?: IosDeviceType | undefined): Record<string, (node: ParseNode) => void>;
export interface IosDeviceType extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Whether the app should run on iPads.
     */
    iPad?: boolean;
    /**
     * Whether the app should run on iPhones and iPods.
     */
    iPhoneAndIPod?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIosDeviceType(writer: SerializationWriter, iosDeviceType?: IosDeviceType | undefined): void;
