"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIosDeviceType = exports.deserializeIntoIosDeviceType = exports.createIosDeviceTypeFromDiscriminatorValue = void 0;
function createIosDeviceTypeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIosDeviceType;
}
exports.createIosDeviceTypeFromDiscriminatorValue = createIosDeviceTypeFromDiscriminatorValue;
function deserializeIntoIosDeviceType(iosDeviceType = {}) {
    return {
        "iPad": n => { iosDeviceType.iPad = n.getBooleanValue(); },
        "iPhoneAndIPod": n => { iosDeviceType.iPhoneAndIPod = n.getBooleanValue(); },
        "@odata.type": n => { iosDeviceType.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoIosDeviceType = deserializeIntoIosDeviceType;
function serializeIosDeviceType(writer, iosDeviceType = {}) {
    writer.writeBooleanValue("iPad", iosDeviceType.iPad);
    writer.writeBooleanValue("iPhoneAndIPod", iosDeviceType.iPhoneAndIPod);
    writer.writeStringValue("@odata.type", iosDeviceType.odataType);
    writer.writeAdditionalData(iosDeviceType.additionalData);
}
exports.serializeIosDeviceType = serializeIosDeviceType;
// tslint:enable
// eslint-enable
