import { type IosHomeScreenItem } from './iosHomeScreenItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosHomeScreenAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosHomeScreenApp;
export declare function deserializeIntoIosHomeScreenApp(iosHomeScreenApp?: IosHomeScreenApp | undefined): Record<string, (node: ParseNode) => void>;
export interface IosHomeScreenApp extends IosHomeScreenItem, Parsable {
    /**
     * BundleID of the app if isWebClip is false or the URL of a web clip if isWebClip is true.
     */
    bundleID?: string;
}
export declare function serializeIosHomeScreenApp(writer: SerializationWriter, iosHomeScreenApp?: IosHomeScreenApp | undefined): void;
