import { type IosHomeScreenFolderPage } from './iosHomeScreenFolderPage';
import { type IosHomeScreenItem } from './iosHomeScreenItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosHomeScreenFolderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosHomeScreenFolder;
export declare function deserializeIntoIosHomeScreenFolder(iosHomeScreenFolder?: IosHomeScreenFolder | undefined): Record<string, (node: ParseNode) => void>;
export interface IosHomeScreenFolder extends IosHomeScreenItem, Parsable {
    /**
     * Pages of Home Screen Layout Icons which must be applications or web clips. This collection can contain a maximum of 500 elements.
     */
    pages?: IosHomeScreenFolderPage[];
}
export declare function serializeIosHomeScreenFolder(writer: SerializationWriter, iosHomeScreenFolder?: IosHomeScreenFolder | undefined): void;
