import { deserializeIntoIosHomeScreenApp } from './iosHomeScreenApp';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosHomeScreenItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosHomeScreenApp;
export declare function deserializeIntoIosHomeScreenItem(iosHomeScreenItem?: IosHomeScreenItem | undefined): Record<string, (node: ParseNode) => void>;
export interface IosHomeScreenItem extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name of the app
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIosHomeScreenItem(writer: SerializationWriter, iosHomeScreenItem?: IosHomeScreenItem | undefined): void;
