import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IosLobApp } from './iosLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosLobAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosLobAppCollectionResponse;
export declare function deserializeIntoIosLobAppCollectionResponse(iosLobAppCollectionResponse?: IosLobAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IosLobAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IosLobApp[];
}
export declare function serializeIosLobAppCollectionResponse(writer: SerializationWriter, iosLobAppCollectionResponse?: IosLobAppCollectionResponse | undefined): void;
