import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosLobAppProvisioningConfigurationAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosLobAppProvisioningConfigurationAssignment;
export declare function deserializeIntoIosLobAppProvisioningConfigurationAssignment(iosLobAppProvisioningConfigurationAssignment?: IosLobAppProvisioningConfigurationAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface IosLobAppProvisioningConfigurationAssignment extends Entity, Parsable {
    /**
     * The target group assignment defined by the admin.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeIosLobAppProvisioningConfigurationAssignment(writer: SerializationWriter, iosLobAppProvisioningConfigurationAssignment?: IosLobAppProvisioningConfigurationAssignment | undefined): void;
