"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIosMinimumOperatingSystem = exports.deserializeIntoIosMinimumOperatingSystem = exports.createIosMinimumOperatingSystemFromDiscriminatorValue = void 0;
function createIosMinimumOperatingSystemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIosMinimumOperatingSystem;
}
exports.createIosMinimumOperatingSystemFromDiscriminatorValue = createIosMinimumOperatingSystemFromDiscriminatorValue;
function deserializeIntoIosMinimumOperatingSystem(iosMinimumOperatingSystem = {}) {
    return {
        "@odata.type": n => { iosMinimumOperatingSystem.odataType = n.getStringValue(); },
        "v10_0": n => { iosMinimumOperatingSystem.v10_0 = n.getBooleanValue(); },
        "v11_0": n => { iosMinimumOperatingSystem.v11_0 = n.getBooleanValue(); },
        "v12_0": n => { iosMinimumOperatingSystem.v12_0 = n.getBooleanValue(); },
        "v13_0": n => { iosMinimumOperatingSystem.v13_0 = n.getBooleanValue(); },
        "v14_0": n => { iosMinimumOperatingSystem.v14_0 = n.getBooleanValue(); },
        "v15_0": n => { iosMinimumOperatingSystem.v15_0 = n.getBooleanValue(); },
        "v8_0": n => { iosMinimumOperatingSystem.v8_0 = n.getBooleanValue(); },
        "v9_0": n => { iosMinimumOperatingSystem.v9_0 = n.getBooleanValue(); },
    };
}
exports.deserializeIntoIosMinimumOperatingSystem = deserializeIntoIosMinimumOperatingSystem;
function serializeIosMinimumOperatingSystem(writer, iosMinimumOperatingSystem = {}) {
    writer.writeStringValue("@odata.type", iosMinimumOperatingSystem.odataType);
    writer.writeBooleanValue("v10_0", iosMinimumOperatingSystem.v10_0);
    writer.writeBooleanValue("v11_0", iosMinimumOperatingSystem.v11_0);
    writer.writeBooleanValue("v12_0", iosMinimumOperatingSystem.v12_0);
    writer.writeBooleanValue("v13_0", iosMinimumOperatingSystem.v13_0);
    writer.writeBooleanValue("v14_0", iosMinimumOperatingSystem.v14_0);
    writer.writeBooleanValue("v15_0", iosMinimumOperatingSystem.v15_0);
    writer.writeBooleanValue("v8_0", iosMinimumOperatingSystem.v8_0);
    writer.writeBooleanValue("v9_0", iosMinimumOperatingSystem.v9_0);
    writer.writeAdditionalData(iosMinimumOperatingSystem.additionalData);
}
exports.serializeIosMinimumOperatingSystem = serializeIosMinimumOperatingSystem;
// tslint:enable
// eslint-enable
