import { type MobileAppIdentifier } from './mobileAppIdentifier';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosMobileAppIdentifierFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosMobileAppIdentifier;
export declare function deserializeIntoIosMobileAppIdentifier(iosMobileAppIdentifier?: IosMobileAppIdentifier | undefined): Record<string, (node: ParseNode) => void>;
export interface IosMobileAppIdentifier extends MobileAppIdentifier, Parsable {
    /**
     * The identifier for an app, as specified in the app store.
     */
    bundleId?: string;
}
export declare function serializeIosMobileAppIdentifier(writer: SerializationWriter, iosMobileAppIdentifier?: IosMobileAppIdentifier | undefined): void;
