import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IosUpdateDeviceStatus } from './iosUpdateDeviceStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosUpdateDeviceStatusCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosUpdateDeviceStatusCollectionResponse;
export declare function deserializeIntoIosUpdateDeviceStatusCollectionResponse(iosUpdateDeviceStatusCollectionResponse?: IosUpdateDeviceStatusCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IosUpdateDeviceStatusCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IosUpdateDeviceStatus[];
}
export declare function serializeIosUpdateDeviceStatusCollectionResponse(writer: SerializationWriter, iosUpdateDeviceStatusCollectionResponse?: IosUpdateDeviceStatusCollectionResponse | undefined): void;
