import { type MobileAppAssignmentSettings } from './mobileAppAssignmentSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosVppAppAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosVppAppAssignmentSettings;
export declare function deserializeIntoIosVppAppAssignmentSettings(iosVppAppAssignmentSettings?: IosVppAppAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface IosVppAppAssignmentSettings extends MobileAppAssignmentSettings, Parsable {
    /**
     * Whether or not to use device licensing.
     */
    useDeviceLicensing?: boolean;
    /**
     * The VPN Configuration Id to apply for this app.
     */
    vpnConfigurationId?: string;
}
export declare function serializeIosVppAppAssignmentSettings(writer: SerializationWriter, iosVppAppAssignmentSettings?: IosVppAppAssignmentSettings | undefined): void;
