import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IosVppApp } from './iosVppApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosVppAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosVppAppCollectionResponse;
export declare function deserializeIntoIosVppAppCollectionResponse(iosVppAppCollectionResponse?: IosVppAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IosVppAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IosVppApp[];
}
export declare function serializeIosVppAppCollectionResponse(writer: SerializationWriter, iosVppAppCollectionResponse?: IosVppAppCollectionResponse | undefined): void;
