"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeItemActionStat = exports.deserializeIntoItemActionStat = exports.createItemActionStatFromDiscriminatorValue = void 0;
function createItemActionStatFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoItemActionStat;
}
exports.createItemActionStatFromDiscriminatorValue = createItemActionStatFromDiscriminatorValue;
function deserializeIntoItemActionStat(itemActionStat = {}) {
    return {
        "actionCount": n => { itemActionStat.actionCount = n.getNumberValue(); },
        "actorCount": n => { itemActionStat.actorCount = n.getNumberValue(); },
        "@odata.type": n => { itemActionStat.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoItemActionStat = deserializeIntoItemActionStat;
function serializeItemActionStat(writer, itemActionStat = {}) {
    writer.writeNumberValue("actionCount", itemActionStat.actionCount);
    writer.writeNumberValue("actorCount", itemActionStat.actorCount);
    writer.writeStringValue("@odata.type", itemActionStat.odataType);
    writer.writeAdditionalData(itemActionStat.additionalData);
}
exports.serializeItemActionStat = serializeItemActionStat;
// tslint:enable
// eslint-enable
