import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ItemActivity } from './itemActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemActivityCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemActivityCollectionResponse;
export declare function deserializeIntoItemActivityCollectionResponse(itemActivityCollectionResponse?: ItemActivityCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemActivityCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ItemActivity[];
}
export declare function serializeItemActivityCollectionResponse(writer: SerializationWriter, itemActivityCollectionResponse?: ItemActivityCollectionResponse | undefined): void;
