import { type Attachment } from './attachment';
import { type OutlookItem } from './outlookItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemAttachmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemAttachment;
export declare function deserializeIntoItemAttachment(itemAttachment?: ItemAttachment | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemAttachment extends Attachment, Parsable {
    /**
     * The attached message or event. Navigation property.
     */
    item?: OutlookItem;
}
export declare function serializeItemAttachment(writer: SerializationWriter, itemAttachment?: ItemAttachment | undefined): void;
