import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemPreviewInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemPreviewInfo;
export declare function deserializeIntoItemPreviewInfo(itemPreviewInfo?: ItemPreviewInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemPreviewInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The getUrl property
     */
    getUrl?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The postParameters property
     */
    postParameters?: string;
    /**
     * The postUrl property
     */
    postUrl?: string;
}
export declare function serializeItemPreviewInfo(writer: SerializationWriter, itemPreviewInfo?: ItemPreviewInfo | undefined): void;
