import { type MeetingInfo } from './meetingInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createJoinMeetingIdMeetingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoJoinMeetingIdMeetingInfo;
export declare function deserializeIntoJoinMeetingIdMeetingInfo(joinMeetingIdMeetingInfo?: JoinMeetingIdMeetingInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface JoinMeetingIdMeetingInfo extends MeetingInfo, Parsable {
    /**
     * The ID used to join the meeting.
     */
    joinMeetingId?: string;
    /**
     * The passcode used to join the meeting. Optional.
     */
    passcode?: string;
}
export declare function serializeJoinMeetingIdMeetingInfo(writer: SerializationWriter, joinMeetingIdMeetingInfo?: JoinMeetingIdMeetingInfo | undefined): void;
