"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeJoinMeetingIdSettings = exports.deserializeIntoJoinMeetingIdSettings = exports.createJoinMeetingIdSettingsFromDiscriminatorValue = void 0;
function createJoinMeetingIdSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoJoinMeetingIdSettings;
}
exports.createJoinMeetingIdSettingsFromDiscriminatorValue = createJoinMeetingIdSettingsFromDiscriminatorValue;
function deserializeIntoJoinMeetingIdSettings(joinMeetingIdSettings = {}) {
    return {
        "isPasscodeRequired": n => { joinMeetingIdSettings.isPasscodeRequired = n.getBooleanValue(); },
        "joinMeetingId": n => { joinMeetingIdSettings.joinMeetingId = n.getStringValue(); },
        "@odata.type": n => { joinMeetingIdSettings.odataType = n.getStringValue(); },
        "passcode": n => { joinMeetingIdSettings.passcode = n.getStringValue(); },
    };
}
exports.deserializeIntoJoinMeetingIdSettings = deserializeIntoJoinMeetingIdSettings;
function serializeJoinMeetingIdSettings(writer, joinMeetingIdSettings = {}) {
    writer.writeBooleanValue("isPasscodeRequired", joinMeetingIdSettings.isPasscodeRequired);
    writer.writeStringValue("joinMeetingId", joinMeetingIdSettings.joinMeetingId);
    writer.writeStringValue("@odata.type", joinMeetingIdSettings.odataType);
    writer.writeStringValue("passcode", joinMeetingIdSettings.passcode);
    writer.writeAdditionalData(joinMeetingIdSettings.additionalData);
}
exports.serializeJoinMeetingIdSettings = serializeJoinMeetingIdSettings;
// tslint:enable
// eslint-enable
