"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeKeyValuePair = exports.deserializeIntoKeyValuePair = exports.createKeyValuePairFromDiscriminatorValue = void 0;
function createKeyValuePairFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoKeyValuePair;
}
exports.createKeyValuePairFromDiscriminatorValue = createKeyValuePairFromDiscriminatorValue;
function deserializeIntoKeyValuePair(keyValuePair = {}) {
    return {
        "name": n => { keyValuePair.name = n.getStringValue(); },
        "@odata.type": n => { keyValuePair.odataType = n.getStringValue(); },
        "value": n => { keyValuePair.value = n.getStringValue(); },
    };
}
exports.deserializeIntoKeyValuePair = deserializeIntoKeyValuePair;
function serializeKeyValuePair(writer, keyValuePair = {}) {
    writer.writeStringValue("name", keyValuePair.name);
    writer.writeStringValue("@odata.type", keyValuePair.odataType);
    writer.writeStringValue("value", keyValuePair.value);
    writer.writeAdditionalData(keyValuePair.additionalData);
}
exports.serializeKeyValuePair = serializeKeyValuePair;
// tslint:enable
// eslint-enable
