import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LandingPageDetail } from './landingPageDetail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLandingPageDetailCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLandingPageDetailCollectionResponse;
export declare function deserializeIntoLandingPageDetailCollectionResponse(landingPageDetailCollectionResponse?: LandingPageDetailCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LandingPageDetailCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LandingPageDetail[];
}
export declare function serializeLandingPageDetailCollectionResponse(writer: SerializationWriter, landingPageDetailCollectionResponse?: LandingPageDetailCollectionResponse | undefined): void;
