import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LearningCourseActivity } from './learningCourseActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLearningCourseActivityCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLearningCourseActivityCollectionResponse;
export declare function deserializeIntoLearningCourseActivityCollectionResponse(learningCourseActivityCollectionResponse?: LearningCourseActivityCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LearningCourseActivityCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LearningCourseActivity[];
}
export declare function serializeLearningCourseActivityCollectionResponse(writer: SerializationWriter, learningCourseActivityCollectionResponse?: LearningCourseActivityCollectionResponse | undefined): void;
