import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LicenseDetails } from './licenseDetails';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLicenseDetailsCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLicenseDetailsCollectionResponse;
export declare function deserializeIntoLicenseDetailsCollectionResponse(licenseDetailsCollectionResponse?: LicenseDetailsCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LicenseDetailsCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LicenseDetails[];
}
export declare function serializeLicenseDetailsCollectionResponse(writer: SerializationWriter, licenseDetailsCollectionResponse?: LicenseDetailsCollectionResponse | undefined): void;
