"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLicenseProcessingState = exports.deserializeIntoLicenseProcessingState = exports.createLicenseProcessingStateFromDiscriminatorValue = void 0;
function createLicenseProcessingStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLicenseProcessingState;
}
exports.createLicenseProcessingStateFromDiscriminatorValue = createLicenseProcessingStateFromDiscriminatorValue;
function deserializeIntoLicenseProcessingState(licenseProcessingState = {}) {
    return {
        "@odata.type": n => { licenseProcessingState.odataType = n.getStringValue(); },
        "state": n => { licenseProcessingState.state = n.getStringValue(); },
    };
}
exports.deserializeIntoLicenseProcessingState = deserializeIntoLicenseProcessingState;
function serializeLicenseProcessingState(writer, licenseProcessingState = {}) {
    writer.writeStringValue("@odata.type", licenseProcessingState.odataType);
    writer.writeStringValue("state", licenseProcessingState.state);
    writer.writeAdditionalData(licenseProcessingState.additionalData);
}
exports.serializeLicenseProcessingState = serializeLicenseProcessingState;
// tslint:enable
// eslint-enable
