import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LinkedResource } from './linkedResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLinkedResourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLinkedResourceCollectionResponse;
export declare function deserializeIntoLinkedResourceCollectionResponse(linkedResourceCollectionResponse?: LinkedResourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LinkedResourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LinkedResource[];
}
export declare function serializeLinkedResourceCollectionResponse(writer: SerializationWriter, linkedResourceCollectionResponse?: LinkedResourceCollectionResponse | undefined): void;
