import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type List } from './list';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createListCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoListCollectionResponse;
export declare function deserializeIntoListCollectionResponse(listCollectionResponse?: ListCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ListCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: List[];
}
export declare function serializeListCollectionResponse(writer: SerializationWriter, listCollectionResponse?: ListCollectionResponse | undefined): void;
