"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeListInfo = exports.deserializeIntoListInfo = exports.createListInfoFromDiscriminatorValue = void 0;
function createListInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoListInfo;
}
exports.createListInfoFromDiscriminatorValue = createListInfoFromDiscriminatorValue;
function deserializeIntoListInfo(listInfo = {}) {
    return {
        "contentTypesEnabled": n => { listInfo.contentTypesEnabled = n.getBooleanValue(); },
        "hidden": n => { listInfo.hidden = n.getBooleanValue(); },
        "@odata.type": n => { listInfo.odataType = n.getStringValue(); },
        "template": n => { listInfo.template = n.getStringValue(); },
    };
}
exports.deserializeIntoListInfo = deserializeIntoListInfo;
function serializeListInfo(writer, listInfo = {}) {
    writer.writeBooleanValue("contentTypesEnabled", listInfo.contentTypesEnabled);
    writer.writeBooleanValue("hidden", listInfo.hidden);
    writer.writeStringValue("@odata.type", listInfo.odataType);
    writer.writeStringValue("template", listInfo.template);
    writer.writeAdditionalData(listInfo.additionalData);
}
exports.serializeListInfo = serializeListInfo;
// tslint:enable
// eslint-enable
