import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ListItemVersion } from './listItemVersion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createListItemVersionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoListItemVersionCollectionResponse;
export declare function deserializeIntoListItemVersionCollectionResponse(listItemVersionCollectionResponse?: ListItemVersionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ListItemVersionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ListItemVersion[];
}
export declare function serializeListItemVersionCollectionResponse(writer: SerializationWriter, listItemVersionCollectionResponse?: ListItemVersionCollectionResponse | undefined): void;
