import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LoginPage } from './loginPage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLoginPageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLoginPageCollectionResponse;
export declare function deserializeIntoLoginPageCollectionResponse(loginPageCollectionResponse?: LoginPageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LoginPageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LoginPage[];
}
export declare function serializeLoginPageCollectionResponse(writer: SerializationWriter, loginPageCollectionResponse?: LoginPageCollectionResponse | undefined): void;
