"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLoginPageTextVisibilitySettings = exports.deserializeIntoLoginPageTextVisibilitySettings = exports.createLoginPageTextVisibilitySettingsFromDiscriminatorValue = void 0;
function createLoginPageTextVisibilitySettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLoginPageTextVisibilitySettings;
}
exports.createLoginPageTextVisibilitySettingsFromDiscriminatorValue = createLoginPageTextVisibilitySettingsFromDiscriminatorValue;
function deserializeIntoLoginPageTextVisibilitySettings(loginPageTextVisibilitySettings = {}) {
    return {
        "hideAccountResetCredentials": n => { loginPageTextVisibilitySettings.hideAccountResetCredentials = n.getBooleanValue(); },
        "hideCannotAccessYourAccount": n => { loginPageTextVisibilitySettings.hideCannotAccessYourAccount = n.getBooleanValue(); },
        "hideForgotMyPassword": n => { loginPageTextVisibilitySettings.hideForgotMyPassword = n.getBooleanValue(); },
        "hidePrivacyAndCookies": n => { loginPageTextVisibilitySettings.hidePrivacyAndCookies = n.getBooleanValue(); },
        "hideResetItNow": n => { loginPageTextVisibilitySettings.hideResetItNow = n.getBooleanValue(); },
        "hideTermsOfUse": n => { loginPageTextVisibilitySettings.hideTermsOfUse = n.getBooleanValue(); },
        "@odata.type": n => { loginPageTextVisibilitySettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoLoginPageTextVisibilitySettings = deserializeIntoLoginPageTextVisibilitySettings;
function serializeLoginPageTextVisibilitySettings(writer, loginPageTextVisibilitySettings = {}) {
    writer.writeBooleanValue("hideAccountResetCredentials", loginPageTextVisibilitySettings.hideAccountResetCredentials);
    writer.writeBooleanValue("hideCannotAccessYourAccount", loginPageTextVisibilitySettings.hideCannotAccessYourAccount);
    writer.writeBooleanValue("hideForgotMyPassword", loginPageTextVisibilitySettings.hideForgotMyPassword);
    writer.writeBooleanValue("hidePrivacyAndCookies", loginPageTextVisibilitySettings.hidePrivacyAndCookies);
    writer.writeBooleanValue("hideResetItNow", loginPageTextVisibilitySettings.hideResetItNow);
    writer.writeBooleanValue("hideTermsOfUse", loginPageTextVisibilitySettings.hideTermsOfUse);
    writer.writeStringValue("@odata.type", loginPageTextVisibilitySettings.odataType);
    writer.writeAdditionalData(loginPageTextVisibilitySettings.additionalData);
}
exports.serializeLoginPageTextVisibilitySettings = serializeLoginPageTextVisibilitySettings;
// tslint:enable
// eslint-enable
