import { type AppleDeviceFeaturesConfigurationBase } from './appleDeviceFeaturesConfigurationBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSDeviceFeaturesConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSDeviceFeaturesConfiguration;
export declare function deserializeIntoMacOSDeviceFeaturesConfiguration(macOSDeviceFeaturesConfiguration?: MacOSDeviceFeaturesConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSDeviceFeaturesConfiguration extends AppleDeviceFeaturesConfigurationBase, Parsable {
}
export declare function serializeMacOSDeviceFeaturesConfiguration(writer: SerializationWriter, macOSDeviceFeaturesConfiguration?: MacOSDeviceFeaturesConfiguration | undefined): void;
