"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMacOSIncludedApp = exports.deserializeIntoMacOSIncludedApp = exports.createMacOSIncludedAppFromDiscriminatorValue = void 0;
function createMacOSIncludedAppFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMacOSIncludedApp;
}
exports.createMacOSIncludedAppFromDiscriminatorValue = createMacOSIncludedAppFromDiscriminatorValue;
function deserializeIntoMacOSIncludedApp(macOSIncludedApp = {}) {
    return {
        "bundleId": n => { macOSIncludedApp.bundleId = n.getStringValue(); },
        "bundleVersion": n => { macOSIncludedApp.bundleVersion = n.getStringValue(); },
        "@odata.type": n => { macOSIncludedApp.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoMacOSIncludedApp = deserializeIntoMacOSIncludedApp;
function serializeMacOSIncludedApp(writer, macOSIncludedApp = {}) {
    writer.writeStringValue("bundleId", macOSIncludedApp.bundleId);
    writer.writeStringValue("bundleVersion", macOSIncludedApp.bundleVersion);
    writer.writeStringValue("@odata.type", macOSIncludedApp.odataType);
    writer.writeAdditionalData(macOSIncludedApp.additionalData);
}
exports.serializeMacOSIncludedApp = serializeMacOSIncludedApp;
// tslint:enable
// eslint-enable
