"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMacOSLobChildApp = exports.deserializeIntoMacOSLobChildApp = exports.createMacOSLobChildAppFromDiscriminatorValue = void 0;
function createMacOSLobChildAppFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMacOSLobChildApp;
}
exports.createMacOSLobChildAppFromDiscriminatorValue = createMacOSLobChildAppFromDiscriminatorValue;
function deserializeIntoMacOSLobChildApp(macOSLobChildApp = {}) {
    return {
        "buildNumber": n => { macOSLobChildApp.buildNumber = n.getStringValue(); },
        "bundleId": n => { macOSLobChildApp.bundleId = n.getStringValue(); },
        "@odata.type": n => { macOSLobChildApp.odataType = n.getStringValue(); },
        "versionNumber": n => { macOSLobChildApp.versionNumber = n.getStringValue(); },
    };
}
exports.deserializeIntoMacOSLobChildApp = deserializeIntoMacOSLobChildApp;
function serializeMacOSLobChildApp(writer, macOSLobChildApp = {}) {
    writer.writeStringValue("buildNumber", macOSLobChildApp.buildNumber);
    writer.writeStringValue("bundleId", macOSLobChildApp.bundleId);
    writer.writeStringValue("@odata.type", macOSLobChildApp.odataType);
    writer.writeStringValue("versionNumber", macOSLobChildApp.versionNumber);
    writer.writeAdditionalData(macOSLobChildApp.additionalData);
}
exports.serializeMacOSLobChildApp = serializeMacOSLobChildApp;
// tslint:enable
// eslint-enable
