import { MicrosoftEdgeChannel } from './microsoftEdgeChannel';
import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSMicrosoftEdgeAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSMicrosoftEdgeApp;
export declare function deserializeIntoMacOSMicrosoftEdgeApp(macOSMicrosoftEdgeApp?: MacOSMicrosoftEdgeApp | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSMicrosoftEdgeApp extends MobileApp, Parsable {
    /**
     * The enum to specify the channels for Microsoft Edge apps.
     */
    channel?: MicrosoftEdgeChannel;
}
export declare function serializeMacOSMicrosoftEdgeApp(writer: SerializationWriter, macOSMicrosoftEdgeApp?: MacOSMicrosoftEdgeApp | undefined): void;
