"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMacOSMinimumOperatingSystem = exports.deserializeIntoMacOSMinimumOperatingSystem = exports.createMacOSMinimumOperatingSystemFromDiscriminatorValue = void 0;
function createMacOSMinimumOperatingSystemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMacOSMinimumOperatingSystem;
}
exports.createMacOSMinimumOperatingSystemFromDiscriminatorValue = createMacOSMinimumOperatingSystemFromDiscriminatorValue;
function deserializeIntoMacOSMinimumOperatingSystem(macOSMinimumOperatingSystem = {}) {
    return {
        "@odata.type": n => { macOSMinimumOperatingSystem.odataType = n.getStringValue(); },
        "v10_10": n => { macOSMinimumOperatingSystem.v10_10 = n.getBooleanValue(); },
        "v10_11": n => { macOSMinimumOperatingSystem.v10_11 = n.getBooleanValue(); },
        "v10_12": n => { macOSMinimumOperatingSystem.v10_12 = n.getBooleanValue(); },
        "v10_13": n => { macOSMinimumOperatingSystem.v10_13 = n.getBooleanValue(); },
        "v10_14": n => { macOSMinimumOperatingSystem.v10_14 = n.getBooleanValue(); },
        "v10_15": n => { macOSMinimumOperatingSystem.v10_15 = n.getBooleanValue(); },
        "v10_7": n => { macOSMinimumOperatingSystem.v10_7 = n.getBooleanValue(); },
        "v10_8": n => { macOSMinimumOperatingSystem.v10_8 = n.getBooleanValue(); },
        "v10_9": n => { macOSMinimumOperatingSystem.v10_9 = n.getBooleanValue(); },
        "v11_0": n => { macOSMinimumOperatingSystem.v11_0 = n.getBooleanValue(); },
        "v12_0": n => { macOSMinimumOperatingSystem.v12_0 = n.getBooleanValue(); },
        "v13_0": n => { macOSMinimumOperatingSystem.v13_0 = n.getBooleanValue(); },
    };
}
exports.deserializeIntoMacOSMinimumOperatingSystem = deserializeIntoMacOSMinimumOperatingSystem;
function serializeMacOSMinimumOperatingSystem(writer, macOSMinimumOperatingSystem = {}) {
    writer.writeStringValue("@odata.type", macOSMinimumOperatingSystem.odataType);
    writer.writeBooleanValue("v10_10", macOSMinimumOperatingSystem.v10_10);
    writer.writeBooleanValue("v10_11", macOSMinimumOperatingSystem.v10_11);
    writer.writeBooleanValue("v10_12", macOSMinimumOperatingSystem.v10_12);
    writer.writeBooleanValue("v10_13", macOSMinimumOperatingSystem.v10_13);
    writer.writeBooleanValue("v10_14", macOSMinimumOperatingSystem.v10_14);
    writer.writeBooleanValue("v10_15", macOSMinimumOperatingSystem.v10_15);
    writer.writeBooleanValue("v10_7", macOSMinimumOperatingSystem.v10_7);
    writer.writeBooleanValue("v10_8", macOSMinimumOperatingSystem.v10_8);
    writer.writeBooleanValue("v10_9", macOSMinimumOperatingSystem.v10_9);
    writer.writeBooleanValue("v11_0", macOSMinimumOperatingSystem.v11_0);
    writer.writeBooleanValue("v12_0", macOSMinimumOperatingSystem.v12_0);
    writer.writeBooleanValue("v13_0", macOSMinimumOperatingSystem.v13_0);
    writer.writeAdditionalData(macOSMinimumOperatingSystem.additionalData);
}
exports.serializeMacOSMinimumOperatingSystem = serializeMacOSMinimumOperatingSystem;
// tslint:enable
// eslint-enable
