import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedAndroidLobApp } from './managedAndroidLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAndroidLobAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAndroidLobAppCollectionResponse;
export declare function deserializeIntoManagedAndroidLobAppCollectionResponse(managedAndroidLobAppCollectionResponse?: ManagedAndroidLobAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAndroidLobAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAndroidLobApp[];
}
export declare function serializeManagedAndroidLobAppCollectionResponse(writer: SerializationWriter, managedAndroidLobAppCollectionResponse?: ManagedAndroidLobAppCollectionResponse | undefined): void;
