import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedAppPolicy } from './managedAppPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppPolicyCollectionResponse;
export declare function deserializeIntoManagedAppPolicyCollectionResponse(managedAppPolicyCollectionResponse?: ManagedAppPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppPolicy[];
}
export declare function serializeManagedAppPolicyCollectionResponse(writer: SerializationWriter, managedAppPolicyCollectionResponse?: ManagedAppPolicyCollectionResponse | undefined): void;
