import { type MobileAppIdentifier } from './mobileAppIdentifier';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppPolicyDeploymentSummaryPerAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppPolicyDeploymentSummaryPerApp;
export declare function deserializeIntoManagedAppPolicyDeploymentSummaryPerApp(managedAppPolicyDeploymentSummaryPerApp?: ManagedAppPolicyDeploymentSummaryPerApp | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppPolicyDeploymentSummaryPerApp extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Number of users the policy is applied.
     */
    configurationAppliedUserCount?: number;
    /**
     * Deployment of an app.
     */
    mobileAppIdentifier?: MobileAppIdentifier;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeManagedAppPolicyDeploymentSummaryPerApp(writer: SerializationWriter, managedAppPolicyDeploymentSummaryPerApp?: ManagedAppPolicyDeploymentSummaryPerApp | undefined): void;
