import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedAppRegistration } from './managedAppRegistration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppRegistrationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppRegistrationCollectionResponse;
export declare function deserializeIntoManagedAppRegistrationCollectionResponse(managedAppRegistrationCollectionResponse?: ManagedAppRegistrationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppRegistrationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppRegistration[];
}
export declare function serializeManagedAppRegistrationCollectionResponse(writer: SerializationWriter, managedAppRegistrationCollectionResponse?: ManagedAppRegistrationCollectionResponse | undefined): void;
