import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppStatus;
export declare function deserializeIntoManagedAppStatus(managedAppStatus?: ManagedAppStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppStatus extends Entity, Parsable {
    /**
     * Friendly name of the status report.
     */
    displayName?: string;
    /**
     * Version of the entity.
     */
    version?: string;
}
export declare function serializeManagedAppStatus(writer: SerializationWriter, managedAppStatus?: ManagedAppStatus | undefined): void;
