import { type Json } from './json';
import { type ManagedAppStatus } from './managedAppStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppStatusRawFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppStatusRaw;
export declare function deserializeIntoManagedAppStatusRaw(managedAppStatusRaw?: ManagedAppStatusRaw | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppStatusRaw extends ManagedAppStatus, Parsable {
    /**
     * Status report content.
     */
    content?: Json;
}
export declare function serializeManagedAppStatusRaw(writer: SerializationWriter, managedAppStatusRaw?: ManagedAppStatusRaw | undefined): void;
