import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedDevice } from './managedDevice';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedDeviceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedDeviceCollectionResponse;
export declare function deserializeIntoManagedDeviceCollectionResponse(managedDeviceCollectionResponse?: ManagedDeviceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedDeviceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedDevice[];
}
export declare function serializeManagedDeviceCollectionResponse(writer: SerializationWriter, managedDeviceCollectionResponse?: ManagedDeviceCollectionResponse | undefined): void;
