import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedEBookAssignment } from './managedEBookAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedEBookAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedEBookAssignmentCollectionResponse;
export declare function deserializeIntoManagedEBookAssignmentCollectionResponse(managedEBookAssignmentCollectionResponse?: ManagedEBookAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedEBookAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedEBookAssignment[];
}
export declare function serializeManagedEBookAssignmentCollectionResponse(writer: SerializationWriter, managedEBookAssignmentCollectionResponse?: ManagedEBookAssignmentCollectionResponse | undefined): void;
