import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedEBook } from './managedEBook';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedEBookCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedEBookCollectionResponse;
export declare function deserializeIntoManagedEBookCollectionResponse(managedEBookCollectionResponse?: ManagedEBookCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedEBookCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedEBook[];
}
export declare function serializeManagedEBookCollectionResponse(writer: SerializationWriter, managedEBookCollectionResponse?: ManagedEBookCollectionResponse | undefined): void;
