import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedIOSLobApp } from './managedIOSLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedIOSLobAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedIOSLobAppCollectionResponse;
export declare function deserializeIntoManagedIOSLobAppCollectionResponse(managedIOSLobAppCollectionResponse?: ManagedIOSLobAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedIOSLobAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedIOSLobApp[];
}
export declare function serializeManagedIOSLobAppCollectionResponse(writer: SerializationWriter, managedIOSLobAppCollectionResponse?: ManagedIOSLobAppCollectionResponse | undefined): void;
