import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedMobileApp } from './managedMobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedMobileAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedMobileAppCollectionResponse;
export declare function deserializeIntoManagedMobileAppCollectionResponse(managedMobileAppCollectionResponse?: ManagedMobileAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedMobileAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedMobileApp[];
}
export declare function serializeManagedMobileAppCollectionResponse(writer: SerializationWriter, managedMobileAppCollectionResponse?: ManagedMobileAppCollectionResponse | undefined): void;
