import { deserializeIntoAppHostedMediaConfig } from './appHostedMediaConfig';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaConfigFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppHostedMediaConfig;
export declare function deserializeIntoMediaConfig(mediaConfig?: MediaConfig | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaConfig extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMediaConfig(writer: SerializationWriter, mediaConfig?: MediaConfig | undefined): void;
