import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MeetingAttendanceReport } from './meetingAttendanceReport';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingAttendanceReportCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMeetingAttendanceReportCollectionResponse;
export declare function deserializeIntoMeetingAttendanceReportCollectionResponse(meetingAttendanceReportCollectionResponse?: MeetingAttendanceReportCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingAttendanceReportCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MeetingAttendanceReport[];
}
export declare function serializeMeetingAttendanceReportCollectionResponse(writer: SerializationWriter, meetingAttendanceReportCollectionResponse?: MeetingAttendanceReportCollectionResponse | undefined): void;
