import { deserializeIntoJoinMeetingIdMeetingInfo } from './joinMeetingIdMeetingInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoJoinMeetingIdMeetingInfo;
export declare function deserializeIntoMeetingInfo(meetingInfo?: MeetingInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMeetingInfo(writer: SerializationWriter, meetingInfo?: MeetingInfo | undefined): void;
