import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type TeamworkUserIdentity } from './teamworkUserIdentity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMembersDeletedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMembersDeletedEventMessageDetail;
export declare function deserializeIntoMembersDeletedEventMessageDetail(membersDeletedEventMessageDetail?: MembersDeletedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface MembersDeletedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * List of members deleted.
     */
    members?: TeamworkUserIdentity[];
}
export declare function serializeMembersDeletedEventMessageDetail(writer: SerializationWriter, membersDeletedEventMessageDetail?: MembersDeletedEventMessageDetail | undefined): void;
