import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMessagePinnedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMessagePinnedEventMessageDetail;
export declare function deserializeIntoMessagePinnedEventMessageDetail(messagePinnedEventMessageDetail?: MessagePinnedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface MessagePinnedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Date and time when the event occurred.
     */
    eventDateTime?: Date;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function serializeMessagePinnedEventMessageDetail(writer: SerializationWriter, messagePinnedEventMessageDetail?: MessagePinnedEventMessageDetail | undefined): void;
