import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMessageUnpinnedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMessageUnpinnedEventMessageDetail;
export declare function deserializeIntoMessageUnpinnedEventMessageDetail(messageUnpinnedEventMessageDetail?: MessageUnpinnedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface MessageUnpinnedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Date and time when the event occurred.
     */
    eventDateTime?: Date;
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
}
export declare function serializeMessageUnpinnedEventMessageDetail(writer: SerializationWriter, messageUnpinnedEventMessageDetail?: MessageUnpinnedEventMessageDetail | undefined): void;
