import { type ConversationMember } from './conversationMember';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftAccountUserConversationMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftAccountUserConversationMember;
export declare function deserializeIntoMicrosoftAccountUserConversationMember(microsoftAccountUserConversationMember?: MicrosoftAccountUserConversationMember | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftAccountUserConversationMember extends ConversationMember, Parsable {
    /**
     * Microsoft Account ID of the user.
     */
    userId?: string;
}
export declare function serializeMicrosoftAccountUserConversationMember(writer: SerializationWriter, microsoftAccountUserConversationMember?: MicrosoftAccountUserConversationMember | undefined): void;
