import { type AuthenticationMethodTarget } from './authenticationMethodTarget';
import { MicrosoftAuthenticatorAuthenticationMode } from './microsoftAuthenticatorAuthenticationMode';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftAuthenticatorAuthenticationMethodTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftAuthenticatorAuthenticationMethodTarget;
export declare function deserializeIntoMicrosoftAuthenticatorAuthenticationMethodTarget(microsoftAuthenticatorAuthenticationMethodTarget?: MicrosoftAuthenticatorAuthenticationMethodTarget | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftAuthenticatorAuthenticationMethodTarget extends AuthenticationMethodTarget, Parsable {
    /**
     * The authenticationMode property
     */
    authenticationMode?: MicrosoftAuthenticatorAuthenticationMode;
}
export declare function serializeMicrosoftAuthenticatorAuthenticationMethodTarget(writer: SerializationWriter, microsoftAuthenticatorAuthenticationMethodTarget?: MicrosoftAuthenticatorAuthenticationMethodTarget | undefined): void;
