"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftEdgeChannel = void 0;
/**
 * The enum to specify the channels for Microsoft Edge apps.
 */
var MicrosoftEdgeChannel;
(function (MicrosoftEdgeChannel) {
    /** The Dev Channel is intended to help you plan and develop with the latest capabilities of Microsoft Edge. */
    MicrosoftEdgeChannel["Dev"] = "dev";
    /** The Beta Channel is intended for production deployment to a representative sample set of users. New features ship about every 4 weeks. Security and quality updates ship as needed. */
    MicrosoftEdgeChannel["Beta"] = "beta";
    /** The Stable Channel is intended for broad deployment within organizations, and it's the channel that most users should be on. New features ship about every 4 weeks. Security and quality updates ship as needed. */
    MicrosoftEdgeChannel["Stable"] = "stable";
    /** Evolvable enumeration sentinel value. Do not use. */
    MicrosoftEdgeChannel["UnknownFutureValue"] = "unknownFutureValue";
})(MicrosoftEdgeChannel || (exports.MicrosoftEdgeChannel = MicrosoftEdgeChannel = {}));
// tslint:enable
// eslint-enable
