import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MicrosoftStoreForBusinessApp } from './microsoftStoreForBusinessApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftStoreForBusinessAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftStoreForBusinessAppCollectionResponse;
export declare function deserializeIntoMicrosoftStoreForBusinessAppCollectionResponse(microsoftStoreForBusinessAppCollectionResponse?: MicrosoftStoreForBusinessAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftStoreForBusinessAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MicrosoftStoreForBusinessApp[];
}
export declare function serializeMicrosoftStoreForBusinessAppCollectionResponse(writer: SerializationWriter, microsoftStoreForBusinessAppCollectionResponse?: MicrosoftStoreForBusinessAppCollectionResponse | undefined): void;
