import { deserializeIntoIosLobAppAssignmentSettings } from './iosLobAppAssignmentSettings';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosLobAppAssignmentSettings;
export declare function deserializeIntoMobileAppAssignmentSettings(mobileAppAssignmentSettings?: MobileAppAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppAssignmentSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMobileAppAssignmentSettings(writer: SerializationWriter, mobileAppAssignmentSettings?: MobileAppAssignmentSettings | undefined): void;
