import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileAppCategory } from './mobileAppCategory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppCategoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppCategoryCollectionResponse;
export declare function deserializeIntoMobileAppCategoryCollectionResponse(mobileAppCategoryCollectionResponse?: MobileAppCategoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppCategoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileAppCategory[];
}
export declare function serializeMobileAppCategoryCollectionResponse(writer: SerializationWriter, mobileAppCategoryCollectionResponse?: MobileAppCategoryCollectionResponse | undefined): void;
