import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileAppContent } from './mobileAppContent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppContentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppContentCollectionResponse;
export declare function deserializeIntoMobileAppContentCollectionResponse(mobileAppContentCollectionResponse?: MobileAppContentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppContentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileAppContent[];
}
export declare function serializeMobileAppContentCollectionResponse(writer: SerializationWriter, mobileAppContentCollectionResponse?: MobileAppContentCollectionResponse | undefined): void;
