"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMobileAppInstallTimeSettings = exports.deserializeIntoMobileAppInstallTimeSettings = exports.createMobileAppInstallTimeSettingsFromDiscriminatorValue = void 0;
function createMobileAppInstallTimeSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMobileAppInstallTimeSettings;
}
exports.createMobileAppInstallTimeSettingsFromDiscriminatorValue = createMobileAppInstallTimeSettingsFromDiscriminatorValue;
function deserializeIntoMobileAppInstallTimeSettings(mobileAppInstallTimeSettings = {}) {
    return {
        "deadlineDateTime": n => { mobileAppInstallTimeSettings.deadlineDateTime = n.getDateValue(); },
        "@odata.type": n => { mobileAppInstallTimeSettings.odataType = n.getStringValue(); },
        "startDateTime": n => { mobileAppInstallTimeSettings.startDateTime = n.getDateValue(); },
        "useLocalTime": n => { mobileAppInstallTimeSettings.useLocalTime = n.getBooleanValue(); },
    };
}
exports.deserializeIntoMobileAppInstallTimeSettings = deserializeIntoMobileAppInstallTimeSettings;
function serializeMobileAppInstallTimeSettings(writer, mobileAppInstallTimeSettings = {}) {
    writer.writeDateValue("deadlineDateTime", mobileAppInstallTimeSettings.deadlineDateTime);
    writer.writeStringValue("@odata.type", mobileAppInstallTimeSettings.odataType);
    writer.writeDateValue("startDateTime", mobileAppInstallTimeSettings.startDateTime);
    writer.writeBooleanValue("useLocalTime", mobileAppInstallTimeSettings.useLocalTime);
    writer.writeAdditionalData(mobileAppInstallTimeSettings.additionalData);
}
exports.serializeMobileAppInstallTimeSettings = serializeMobileAppInstallTimeSettings;
// tslint:enable
// eslint-enable
