import { type AppLogCollectionRequest } from './appLogCollectionRequest';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppTroubleshootingEventFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppTroubleshootingEvent;
export declare function deserializeIntoMobileAppTroubleshootingEvent(mobileAppTroubleshootingEvent?: MobileAppTroubleshootingEvent | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppTroubleshootingEvent extends Entity, Parsable {
    /**
     * Indicates collection of App Log Upload Request.
     */
    appLogCollectionRequests?: AppLogCollectionRequest[];
}
export declare function serializeMobileAppTroubleshootingEvent(writer: SerializationWriter, mobileAppTroubleshootingEvent?: MobileAppTroubleshootingEvent | undefined): void;
