import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileAppTroubleshootingEvent } from './mobileAppTroubleshootingEvent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppTroubleshootingEventCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppTroubleshootingEventCollectionResponse;
export declare function deserializeIntoMobileAppTroubleshootingEventCollectionResponse(mobileAppTroubleshootingEventCollectionResponse?: MobileAppTroubleshootingEventCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppTroubleshootingEventCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileAppTroubleshootingEvent[];
}
export declare function serializeMobileAppTroubleshootingEventCollectionResponse(writer: SerializationWriter, mobileAppTroubleshootingEventCollectionResponse?: MobileAppTroubleshootingEventCollectionResponse | undefined): void;
