import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileContainedApp } from './mobileContainedApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileContainedAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileContainedAppCollectionResponse;
export declare function deserializeIntoMobileContainedAppCollectionResponse(mobileContainedAppCollectionResponse?: MobileContainedAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileContainedAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileContainedApp[];
}
export declare function serializeMobileContainedAppCollectionResponse(writer: SerializationWriter, mobileContainedAppCollectionResponse?: MobileContainedAppCollectionResponse | undefined): void;
