import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileThreatDefenseConnector } from './mobileThreatDefenseConnector';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileThreatDefenseConnectorCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileThreatDefenseConnectorCollectionResponse;
export declare function deserializeIntoMobileThreatDefenseConnectorCollectionResponse(mobileThreatDefenseConnectorCollectionResponse?: MobileThreatDefenseConnectorCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileThreatDefenseConnectorCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileThreatDefenseConnector[];
}
export declare function serializeMobileThreatDefenseConnectorCollectionResponse(writer: SerializationWriter, mobileThreatDefenseConnectorCollectionResponse?: MobileThreatDefenseConnectorCollectionResponse | undefined): void;
