import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMultiValueLegacyExtendedPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMultiValueLegacyExtendedProperty;
export declare function deserializeIntoMultiValueLegacyExtendedProperty(multiValueLegacyExtendedProperty?: MultiValueLegacyExtendedProperty | undefined): Record<string, (node: ParseNode) => void>;
export interface MultiValueLegacyExtendedProperty extends Entity, Parsable {
    /**
     * A collection of property values.
     */
    value?: string[];
}
export declare function serializeMultiValueLegacyExtendedProperty(writer: SerializationWriter, multiValueLegacyExtendedProperty?: MultiValueLegacyExtendedProperty | undefined): void;
