import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Notebook } from './notebook';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNotebookCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNotebookCollectionResponse;
export declare function deserializeIntoNotebookCollectionResponse(notebookCollectionResponse?: NotebookCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface NotebookCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Notebook[];
}
export declare function serializeNotebookCollectionResponse(writer: SerializationWriter, notebookCollectionResponse?: NotebookCollectionResponse | undefined): void;
