import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type NotificationMessageTemplate } from './notificationMessageTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNotificationMessageTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNotificationMessageTemplateCollectionResponse;
export declare function deserializeIntoNotificationMessageTemplateCollectionResponse(notificationMessageTemplateCollectionResponse?: NotificationMessageTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface NotificationMessageTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: NotificationMessageTemplate[];
}
export declare function serializeNotificationMessageTemplateCollectionResponse(writer: SerializationWriter, notificationMessageTemplateCollectionResponse?: NotificationMessageTemplateCollectionResponse | undefined): void;
