import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OAuth2PermissionGrant } from './oAuth2PermissionGrant';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOAuth2PermissionGrantCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOAuth2PermissionGrantCollectionResponse;
export declare function deserializeIntoOAuth2PermissionGrantCollectionResponse(oAuth2PermissionGrantCollectionResponse?: OAuth2PermissionGrantCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OAuth2PermissionGrantCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OAuth2PermissionGrant[];
}
export declare function serializeOAuth2PermissionGrantCollectionResponse(writer: SerializationWriter, oAuth2PermissionGrantCollectionResponse?: OAuth2PermissionGrantCollectionResponse | undefined): void;
