"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeErrorDetails = exports.deserializeIntoErrorDetails = exports.createErrorDetailsFromDiscriminatorValue = void 0;
function createErrorDetailsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoErrorDetails;
}
exports.createErrorDetailsFromDiscriminatorValue = createErrorDetailsFromDiscriminatorValue;
function deserializeIntoErrorDetails(errorDetails = {}) {
    return {
        "code": n => { errorDetails.code = n.getStringValue(); },
        "message": n => { errorDetails.message = n.getStringValue(); },
        "target": n => { errorDetails.target = n.getStringValue(); },
    };
}
exports.deserializeIntoErrorDetails = deserializeIntoErrorDetails;
function serializeErrorDetails(writer, errorDetails = {}) {
    writer.writeStringValue("code", errorDetails.code);
    writer.writeStringValue("message", errorDetails.message);
    writer.writeStringValue("target", errorDetails.target);
    writer.writeAdditionalData(errorDetails.additionalData);
}
exports.serializeErrorDetails = serializeErrorDetails;
// tslint:enable
// eslint-enable
