import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OfferShiftRequest } from './offerShiftRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOfferShiftRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOfferShiftRequestCollectionResponse;
export declare function deserializeIntoOfferShiftRequestCollectionResponse(offerShiftRequestCollectionResponse?: OfferShiftRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OfferShiftRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OfferShiftRequest[];
}
export declare function serializeOfferShiftRequestCollectionResponse(writer: SerializationWriter, offerShiftRequestCollectionResponse?: OfferShiftRequestCollectionResponse | undefined): void;
