import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingFloatingPointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingFloatingPoint;
export declare function deserializeIntoOmaSettingFloatingPoint(omaSettingFloatingPoint?: OmaSettingFloatingPoint | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSettingFloatingPoint extends OmaSetting, Parsable {
    /**
     * Value.
     */
    value?: number;
}
export declare function serializeOmaSettingFloatingPoint(writer: SerializationWriter, omaSettingFloatingPoint?: OmaSettingFloatingPoint | undefined): void;
