import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OnPremisesDirectorySynchronization } from './onPremisesDirectorySynchronization';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnPremisesDirectorySynchronizationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnPremisesDirectorySynchronizationCollectionResponse;
export declare function deserializeIntoOnPremisesDirectorySynchronizationCollectionResponse(onPremisesDirectorySynchronizationCollectionResponse?: OnPremisesDirectorySynchronizationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OnPremisesDirectorySynchronizationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OnPremisesDirectorySynchronization[];
}
export declare function serializeOnPremisesDirectorySynchronizationCollectionResponse(writer: SerializationWriter, onPremisesDirectorySynchronizationCollectionResponse?: OnPremisesDirectorySynchronizationCollectionResponse | undefined): void;
