import { type OnenoteEntityBaseModel } from './onenoteEntityBaseModel';
import { deserializeIntoOnenotePage } from './onenotePage';
import { deserializeIntoSectionGroup } from './sectionGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteEntitySchemaObjectModelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSectionGroup | typeof deserializeIntoOnenotePage;
export declare function deserializeIntoOnenoteEntitySchemaObjectModel(onenoteEntitySchemaObjectModel?: OnenoteEntitySchemaObjectModel | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteEntitySchemaObjectModel extends OnenoteEntityBaseModel, Parsable {
    /**
     * The date and time when the page was created. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     */
    createdDateTime?: Date;
}
export declare function serializeOnenoteEntitySchemaObjectModel(writer: SerializationWriter, onenoteEntitySchemaObjectModel?: OnenoteEntitySchemaObjectModel | undefined): void;
