"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOnenoteOperationError = exports.deserializeIntoOnenoteOperationError = exports.createOnenoteOperationErrorFromDiscriminatorValue = void 0;
function createOnenoteOperationErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOnenoteOperationError;
}
exports.createOnenoteOperationErrorFromDiscriminatorValue = createOnenoteOperationErrorFromDiscriminatorValue;
function deserializeIntoOnenoteOperationError(onenoteOperationError = {}) {
    return {
        "code": n => { onenoteOperationError.code = n.getStringValue(); },
        "message": n => { onenoteOperationError.message = n.getStringValue(); },
        "@odata.type": n => { onenoteOperationError.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoOnenoteOperationError = deserializeIntoOnenoteOperationError;
function serializeOnenoteOperationError(writer, onenoteOperationError = {}) {
    writer.writeStringValue("code", onenoteOperationError.code);
    writer.writeStringValue("message", onenoteOperationError.message);
    writer.writeStringValue("@odata.type", onenoteOperationError.odataType);
    writer.writeAdditionalData(onenoteOperationError.additionalData);
}
exports.serializeOnenoteOperationError = serializeOnenoteOperationError;
// tslint:enable
// eslint-enable
