import { type ExternalLink } from './externalLink';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenotePagePreviewLinksFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenotePagePreviewLinks;
export declare function deserializeIntoOnenotePagePreviewLinks(onenotePagePreviewLinks?: OnenotePagePreviewLinks | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenotePagePreviewLinks extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The previewImageUrl property
     */
    previewImageUrl?: ExternalLink;
}
export declare function serializeOnenotePagePreviewLinks(writer: SerializationWriter, onenotePagePreviewLinks?: OnenotePagePreviewLinks | undefined): void;
