import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OnenoteSection } from './onenoteSection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteSectionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteSectionCollectionResponse;
export declare function deserializeIntoOnenoteSectionCollectionResponse(onenoteSectionCollectionResponse?: OnenoteSectionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteSectionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OnenoteSection[];
}
export declare function serializeOnenoteSectionCollectionResponse(writer: SerializationWriter, onenoteSectionCollectionResponse?: OnenoteSectionCollectionResponse | undefined): void;
