import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OnlineMeeting } from './onlineMeeting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnlineMeetingCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnlineMeetingCollectionResponse;
export declare function deserializeIntoOnlineMeetingCollectionResponse(onlineMeetingCollectionResponse?: OnlineMeetingCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OnlineMeetingCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OnlineMeeting[];
}
export declare function serializeOnlineMeetingCollectionResponse(writer: SerializationWriter, onlineMeetingCollectionResponse?: OnlineMeetingCollectionResponse | undefined): void;
