import { type ScheduleChangeRequest } from './scheduleChangeRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOpenShiftChangeRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenShiftChangeRequest;
export declare function deserializeIntoOpenShiftChangeRequest(openShiftChangeRequest?: OpenShiftChangeRequest | undefined): Record<string, (node: ParseNode) => void>;
export interface OpenShiftChangeRequest extends Parsable, ScheduleChangeRequest {
    /**
     * ID for the open shift.
     */
    openShiftId?: string;
}
export declare function serializeOpenShiftChangeRequest(writer: SerializationWriter, openShiftChangeRequest?: OpenShiftChangeRequest | undefined): void;
