import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OpenShift } from './openShift';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOpenShiftCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenShiftCollectionResponse;
export declare function deserializeIntoOpenShiftCollectionResponse(openShiftCollectionResponse?: OpenShiftCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OpenShiftCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OpenShift[];
}
export declare function serializeOpenShiftCollectionResponse(writer: SerializationWriter, openShiftCollectionResponse?: OpenShiftCollectionResponse | undefined): void;
