import { type ShiftItem } from './shiftItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOpenShiftItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenShiftItem;
export declare function deserializeIntoOpenShiftItem(openShiftItem?: OpenShiftItem | undefined): Record<string, (node: ParseNode) => void>;
export interface OpenShiftItem extends Parsable, ShiftItem {
    /**
     * Count of the number of slots for the given open shift.
     */
    openSlotCount?: number;
}
export declare function serializeOpenShiftItem(writer: SerializationWriter, openShiftItem?: OpenShiftItem | undefined): void;
