"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOptionalClaim = exports.deserializeIntoOptionalClaim = exports.createOptionalClaimFromDiscriminatorValue = void 0;
function createOptionalClaimFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOptionalClaim;
}
exports.createOptionalClaimFromDiscriminatorValue = createOptionalClaimFromDiscriminatorValue;
function deserializeIntoOptionalClaim(optionalClaim = {}) {
    return {
        "additionalProperties": n => { optionalClaim.additionalProperties = n.getCollectionOfPrimitiveValues(); },
        "essential": n => { optionalClaim.essential = n.getBooleanValue(); },
        "name": n => { optionalClaim.name = n.getStringValue(); },
        "@odata.type": n => { optionalClaim.odataType = n.getStringValue(); },
        "source": n => { optionalClaim.source = n.getStringValue(); },
    };
}
exports.deserializeIntoOptionalClaim = deserializeIntoOptionalClaim;
function serializeOptionalClaim(writer, optionalClaim = {}) {
    writer.writeCollectionOfPrimitiveValues("additionalProperties", optionalClaim.additionalProperties);
    writer.writeBooleanValue("essential", optionalClaim.essential);
    writer.writeStringValue("name", optionalClaim.name);
    writer.writeStringValue("@odata.type", optionalClaim.odataType);
    writer.writeStringValue("source", optionalClaim.source);
    writer.writeAdditionalData(optionalClaim.additionalData);
}
exports.serializeOptionalClaim = serializeOptionalClaim;
// tslint:enable
// eslint-enable
