import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OrgContact } from './orgContact';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOrgContactCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOrgContactCollectionResponse;
export declare function deserializeIntoOrgContactCollectionResponse(orgContactCollectionResponse?: OrgContactCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OrgContactCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OrgContact[];
}
export declare function serializeOrgContactCollectionResponse(writer: SerializationWriter, orgContactCollectionResponse?: OrgContactCollectionResponse | undefined): void;
