import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Organization } from './organization';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOrganizationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOrganizationCollectionResponse;
export declare function deserializeIntoOrganizationCollectionResponse(organizationCollectionResponse?: OrganizationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OrganizationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Organization[];
}
export declare function serializeOrganizationCollectionResponse(writer: SerializationWriter, organizationCollectionResponse?: OrganizationCollectionResponse | undefined): void;
