import { type CallOptions } from './callOptions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOutgoingCallOptionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOutgoingCallOptions;
export declare function deserializeIntoOutgoingCallOptions(outgoingCallOptions?: OutgoingCallOptions | undefined): Record<string, (node: ParseNode) => void>;
export interface OutgoingCallOptions extends CallOptions, Parsable {
}
export declare function serializeOutgoingCallOptions(writer: SerializationWriter, outgoingCallOptions?: OutgoingCallOptions | undefined): void;
