import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OutlookCategory } from './outlookCategory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOutlookCategoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOutlookCategoryCollectionResponse;
export declare function deserializeIntoOutlookCategoryCollectionResponse(outlookCategoryCollectionResponse?: OutlookCategoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OutlookCategoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OutlookCategory[];
}
export declare function serializeOutlookCategoryCollectionResponse(writer: SerializationWriter, outlookCategoryCollectionResponse?: OutlookCategoryCollectionResponse | undefined): void;
