"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOutlookGeoCoordinates = exports.deserializeIntoOutlookGeoCoordinates = exports.createOutlookGeoCoordinatesFromDiscriminatorValue = void 0;
function createOutlookGeoCoordinatesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOutlookGeoCoordinates;
}
exports.createOutlookGeoCoordinatesFromDiscriminatorValue = createOutlookGeoCoordinatesFromDiscriminatorValue;
function deserializeIntoOutlookGeoCoordinates(outlookGeoCoordinates = {}) {
    return {
        "accuracy": n => { outlookGeoCoordinates.accuracy = n.getNumberValue(); },
        "altitude": n => { outlookGeoCoordinates.altitude = n.getNumberValue(); },
        "altitudeAccuracy": n => { outlookGeoCoordinates.altitudeAccuracy = n.getNumberValue(); },
        "latitude": n => { outlookGeoCoordinates.latitude = n.getNumberValue(); },
        "longitude": n => { outlookGeoCoordinates.longitude = n.getNumberValue(); },
        "@odata.type": n => { outlookGeoCoordinates.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoOutlookGeoCoordinates = deserializeIntoOutlookGeoCoordinates;
function serializeOutlookGeoCoordinates(writer, outlookGeoCoordinates = {}) {
    writer.writeNumberValue("accuracy", outlookGeoCoordinates.accuracy);
    writer.writeNumberValue("altitude", outlookGeoCoordinates.altitude);
    writer.writeNumberValue("altitudeAccuracy", outlookGeoCoordinates.altitudeAccuracy);
    writer.writeNumberValue("latitude", outlookGeoCoordinates.latitude);
    writer.writeNumberValue("longitude", outlookGeoCoordinates.longitude);
    writer.writeStringValue("@odata.type", outlookGeoCoordinates.odataType);
    writer.writeAdditionalData(outlookGeoCoordinates.additionalData);
}
exports.serializeOutlookGeoCoordinates = serializeOutlookGeoCoordinates;
// tslint:enable
// eslint-enable
