import { type Entity } from './entity';
import { type OutlookCategory } from './outlookCategory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOutlookUserFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOutlookUser;
export declare function deserializeIntoOutlookUser(outlookUser?: OutlookUser | undefined): Record<string, (node: ParseNode) => void>;
export interface OutlookUser extends Entity, Parsable {
    /**
     * A list of categories defined for the user.
     */
    masterCategories?: OutlookCategory[];
}
export declare function serializeOutlookUser(writer: SerializationWriter, outlookUser?: OutlookUser | undefined): void;
