"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePackageEscaped = exports.deserializeIntoPackageEscaped = exports.createPackageEscapedFromDiscriminatorValue = void 0;
function createPackageEscapedFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPackageEscaped;
}
exports.createPackageEscapedFromDiscriminatorValue = createPackageEscapedFromDiscriminatorValue;
function deserializeIntoPackageEscaped(packageEscaped = {}) {
    return {
        "@odata.type": n => { packageEscaped.odataType = n.getStringValue(); },
        "type": n => { packageEscaped.type = n.getStringValue(); },
    };
}
exports.deserializeIntoPackageEscaped = deserializeIntoPackageEscaped;
function serializePackageEscaped(writer, packageEscaped = {}) {
    writer.writeStringValue("@odata.type", packageEscaped.odataType);
    writer.writeStringValue("type", packageEscaped.type);
    writer.writeAdditionalData(packageEscaped.additionalData);
}
exports.serializePackageEscaped = serializePackageEscaped;
// tslint:enable
// eslint-enable
