import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Participant } from './participant';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParticipantCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParticipantCollectionResponse;
export declare function deserializeIntoParticipantCollectionResponse(participantCollectionResponse?: ParticipantCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ParticipantCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Participant[];
}
export declare function serializeParticipantCollectionResponse(writer: SerializationWriter, participantCollectionResponse?: ParticipantCollectionResponse | undefined): void;
