import { type Call } from './call';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParticipantJoiningNotificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParticipantJoiningNotification;
export declare function deserializeIntoParticipantJoiningNotification(participantJoiningNotification?: ParticipantJoiningNotification | undefined): Record<string, (node: ParseNode) => void>;
export interface ParticipantJoiningNotification extends Entity, Parsable {
    /**
     * The call property
     */
    call?: Call;
}
export declare function serializeParticipantJoiningNotification(writer: SerializationWriter, participantJoiningNotification?: ParticipantJoiningNotification | undefined): void;
