import { type Call } from './call';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createParticipantLeftNotificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoParticipantLeftNotification;
export declare function deserializeIntoParticipantLeftNotification(participantLeftNotification?: ParticipantLeftNotification | undefined): Record<string, (node: ParseNode) => void>;
export interface ParticipantLeftNotification extends Entity, Parsable {
    /**
     * The call property
     */
    call?: Call;
    /**
     * ID of the participant under the policy who has left the meeting.
     */
    participantId?: string;
}
export declare function serializeParticipantLeftNotification(writer: SerializationWriter, participantLeftNotification?: ParticipantLeftNotification | undefined): void;
