import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PasswordAuthenticationMethod } from './passwordAuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPasswordAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPasswordAuthenticationMethodCollectionResponse;
export declare function deserializeIntoPasswordAuthenticationMethodCollectionResponse(passwordAuthenticationMethodCollectionResponse?: PasswordAuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PasswordAuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PasswordAuthenticationMethod[];
}
export declare function serializePasswordAuthenticationMethodCollectionResponse(writer: SerializationWriter, passwordAuthenticationMethodCollectionResponse?: PasswordAuthenticationMethodCollectionResponse | undefined): void;
