"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePasswordProfile = exports.deserializeIntoPasswordProfile = exports.createPasswordProfileFromDiscriminatorValue = void 0;
function createPasswordProfileFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPasswordProfile;
}
exports.createPasswordProfileFromDiscriminatorValue = createPasswordProfileFromDiscriminatorValue;
function deserializeIntoPasswordProfile(passwordProfile = {}) {
    return {
        "forceChangePasswordNextSignIn": n => { passwordProfile.forceChangePasswordNextSignIn = n.getBooleanValue(); },
        "forceChangePasswordNextSignInWithMfa": n => { passwordProfile.forceChangePasswordNextSignInWithMfa = n.getBooleanValue(); },
        "@odata.type": n => { passwordProfile.odataType = n.getStringValue(); },
        "password": n => { passwordProfile.password = n.getStringValue(); },
    };
}
exports.deserializeIntoPasswordProfile = deserializeIntoPasswordProfile;
function serializePasswordProfile(writer, passwordProfile = {}) {
    writer.writeBooleanValue("forceChangePasswordNextSignIn", passwordProfile.forceChangePasswordNextSignIn);
    writer.writeBooleanValue("forceChangePasswordNextSignInWithMfa", passwordProfile.forceChangePasswordNextSignInWithMfa);
    writer.writeStringValue("@odata.type", passwordProfile.odataType);
    writer.writeStringValue("password", passwordProfile.password);
    writer.writeAdditionalData(passwordProfile.additionalData);
}
exports.serializePasswordProfile = serializePasswordProfile;
// tslint:enable
// eslint-enable
