"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePasswordResetResponse = exports.deserializeIntoPasswordResetResponse = exports.createPasswordResetResponseFromDiscriminatorValue = void 0;
function createPasswordResetResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPasswordResetResponse;
}
exports.createPasswordResetResponseFromDiscriminatorValue = createPasswordResetResponseFromDiscriminatorValue;
function deserializeIntoPasswordResetResponse(passwordResetResponse = {}) {
    return {
        "newPassword": n => { passwordResetResponse.newPassword = n.getStringValue(); },
        "@odata.type": n => { passwordResetResponse.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPasswordResetResponse = deserializeIntoPasswordResetResponse;
function serializePasswordResetResponse(writer, passwordResetResponse = {}) {
    writer.writeStringValue("newPassword", passwordResetResponse.newPassword);
    writer.writeStringValue("@odata.type", passwordResetResponse.odataType);
    writer.writeAdditionalData(passwordResetResponse.additionalData);
}
exports.serializePasswordResetResponse = serializePasswordResetResponse;
// tslint:enable
// eslint-enable
