import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Payload } from './payload';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPayloadCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPayloadCollectionResponse;
export declare function deserializeIntoPayloadCollectionResponse(payloadCollectionResponse?: PayloadCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PayloadCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Payload[];
}
export declare function serializePayloadCollectionResponse(writer: SerializationWriter, payloadCollectionResponse?: PayloadCollectionResponse | undefined): void;
