import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPendingContentUpdateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPendingContentUpdate;
export declare function deserializeIntoPendingContentUpdate(pendingContentUpdate?: PendingContentUpdate | undefined): Record<string, (node: ParseNode) => void>;
export interface PendingContentUpdate extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Date and time the pending binary operation was queued in UTC time. Read-only.
     */
    queuedDateTime?: Date;
}
export declare function serializePendingContentUpdate(writer: SerializationWriter, pendingContentUpdate?: PendingContentUpdate | undefined): void;
