"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePendingContentUpdate = exports.deserializeIntoPendingContentUpdate = exports.createPendingContentUpdateFromDiscriminatorValue = void 0;
function createPendingContentUpdateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPendingContentUpdate;
}
exports.createPendingContentUpdateFromDiscriminatorValue = createPendingContentUpdateFromDiscriminatorValue;
function deserializeIntoPendingContentUpdate(pendingContentUpdate = {}) {
    return {
        "@odata.type": n => { pendingContentUpdate.odataType = n.getStringValue(); },
        "queuedDateTime": n => { pendingContentUpdate.queuedDateTime = n.getDateValue(); },
    };
}
exports.deserializeIntoPendingContentUpdate = deserializeIntoPendingContentUpdate;
function serializePendingContentUpdate(writer, pendingContentUpdate = {}) {
    writer.writeStringValue("@odata.type", pendingContentUpdate.odataType);
    writer.writeDateValue("queuedDateTime", pendingContentUpdate.queuedDateTime);
    writer.writeAdditionalData(pendingContentUpdate.additionalData);
}
exports.serializePendingContentUpdate = serializePendingContentUpdate;
// tslint:enable
// eslint-enable
