import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Permission } from './permission';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPermissionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPermissionCollectionResponse;
export declare function deserializeIntoPermissionCollectionResponse(permissionCollectionResponse?: PermissionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PermissionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Permission[];
}
export declare function serializePermissionCollectionResponse(writer: SerializationWriter, permissionCollectionResponse?: PermissionCollectionResponse | undefined): void;
