import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PermissionGrantPolicy } from './permissionGrantPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPermissionGrantPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPermissionGrantPolicyCollectionResponse;
export declare function deserializeIntoPermissionGrantPolicyCollectionResponse(permissionGrantPolicyCollectionResponse?: PermissionGrantPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PermissionGrantPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PermissionGrantPolicy[];
}
export declare function serializePermissionGrantPolicyCollectionResponse(writer: SerializationWriter, permissionGrantPolicyCollectionResponse?: PermissionGrantPolicyCollectionResponse | undefined): void;
