import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PhoneAuthenticationMethod } from './phoneAuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPhoneAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPhoneAuthenticationMethodCollectionResponse;
export declare function deserializeIntoPhoneAuthenticationMethodCollectionResponse(phoneAuthenticationMethodCollectionResponse?: PhoneAuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PhoneAuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PhoneAuthenticationMethod[];
}
export declare function serializePhoneAuthenticationMethodCollectionResponse(writer: SerializationWriter, phoneAuthenticationMethodCollectionResponse?: PhoneAuthenticationMethodCollectionResponse | undefined): void;
