import { type ChatMessage } from './chatMessage';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPinnedChatMessageInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPinnedChatMessageInfo;
export declare function deserializeIntoPinnedChatMessageInfo(pinnedChatMessageInfo?: PinnedChatMessageInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface PinnedChatMessageInfo extends Entity, Parsable {
    /**
     * Represents details about the chat message that is pinned.
     */
    message?: ChatMessage;
}
export declare function serializePinnedChatMessageInfo(writer: SerializationWriter, pinnedChatMessageInfo?: PinnedChatMessageInfo | undefined): void;
