"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePkcs12CertificateInformation = exports.deserializeIntoPkcs12CertificateInformation = exports.createPkcs12CertificateInformationFromDiscriminatorValue = void 0;
function createPkcs12CertificateInformationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPkcs12CertificateInformation;
}
exports.createPkcs12CertificateInformationFromDiscriminatorValue = createPkcs12CertificateInformationFromDiscriminatorValue;
function deserializeIntoPkcs12CertificateInformation(pkcs12CertificateInformation = {}) {
    return {
        "isActive": n => { pkcs12CertificateInformation.isActive = n.getBooleanValue(); },
        "notAfter": n => { pkcs12CertificateInformation.notAfter = n.getNumberValue(); },
        "notBefore": n => { pkcs12CertificateInformation.notBefore = n.getNumberValue(); },
        "@odata.type": n => { pkcs12CertificateInformation.odataType = n.getStringValue(); },
        "thumbprint": n => { pkcs12CertificateInformation.thumbprint = n.getStringValue(); },
    };
}
exports.deserializeIntoPkcs12CertificateInformation = deserializeIntoPkcs12CertificateInformation;
function serializePkcs12CertificateInformation(writer, pkcs12CertificateInformation = {}) {
    writer.writeBooleanValue("isActive", pkcs12CertificateInformation.isActive);
    writer.writeNumberValue("notAfter", pkcs12CertificateInformation.notAfter);
    writer.writeNumberValue("notBefore", pkcs12CertificateInformation.notBefore);
    writer.writeStringValue("@odata.type", pkcs12CertificateInformation.odataType);
    writer.writeStringValue("thumbprint", pkcs12CertificateInformation.thumbprint);
    writer.writeAdditionalData(pkcs12CertificateInformation.additionalData);
}
exports.serializePkcs12CertificateInformation = serializePkcs12CertificateInformation;
// tslint:enable
// eslint-enable
