import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerAppliedCategoriesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerAppliedCategories;
export declare function deserializeIntoPlannerAppliedCategories(plannerAppliedCategories?: PlannerAppliedCategories | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerAppliedCategories extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePlannerAppliedCategories(writer: SerializationWriter, plannerAppliedCategories?: PlannerAppliedCategories | undefined): void;
