import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerBucketTaskBoardTaskFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerBucketTaskBoardTaskFormat;
export declare function deserializeIntoPlannerBucketTaskBoardTaskFormat(plannerBucketTaskBoardTaskFormat?: PlannerBucketTaskBoardTaskFormat | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerBucketTaskBoardTaskFormat extends Entity, Parsable {
    /**
     * Hint used to order tasks in the bucket view of the task board. For details about the supported format, see Using order hints in Planner.
     */
    orderHint?: string;
}
export declare function serializePlannerBucketTaskBoardTaskFormat(writer: SerializationWriter, plannerBucketTaskBoardTaskFormat?: PlannerBucketTaskBoardTaskFormat | undefined): void;
