import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerChecklistItemsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerChecklistItems;
export declare function deserializeIntoPlannerChecklistItems(plannerChecklistItems?: PlannerChecklistItems | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerChecklistItems extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePlannerChecklistItems(writer: SerializationWriter, plannerChecklistItems?: PlannerChecklistItems | undefined): void;
