"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePlannerExternalReferences = exports.deserializeIntoPlannerExternalReferences = exports.createPlannerExternalReferencesFromDiscriminatorValue = void 0;
function createPlannerExternalReferencesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPlannerExternalReferences;
}
exports.createPlannerExternalReferencesFromDiscriminatorValue = createPlannerExternalReferencesFromDiscriminatorValue;
function deserializeIntoPlannerExternalReferences(plannerExternalReferences = {}) {
    return {
        "@odata.type": n => { plannerExternalReferences.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPlannerExternalReferences = deserializeIntoPlannerExternalReferences;
function serializePlannerExternalReferences(writer, plannerExternalReferences = {}) {
    writer.writeStringValue("@odata.type", plannerExternalReferences.odataType);
    writer.writeAdditionalData(plannerExternalReferences.additionalData);
}
exports.serializePlannerExternalReferences = serializePlannerExternalReferences;
// tslint:enable
// eslint-enable
