"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PolicyPlatformType = void 0;
/**
 * Supported platform types for policies.
 */
var PolicyPlatformType;
(function (PolicyPlatformType) {
    /** Android. */
    PolicyPlatformType["Android"] = "android";
    /** AndroidForWork. */
    PolicyPlatformType["AndroidForWork"] = "androidForWork";
    /** iOS. */
    PolicyPlatformType["IOS"] = "iOS";
    /** MacOS. */
    PolicyPlatformType["MacOS"] = "macOS";
    /** WindowsPhone 8.1. */
    PolicyPlatformType["WindowsPhone81"] = "windowsPhone81";
    /** Windows 8.1 and later */
    PolicyPlatformType["Windows81AndLater"] = "windows81AndLater";
    /** Windows 10 and later. */
    PolicyPlatformType["Windows10AndLater"] = "windows10AndLater";
    /** All platforms. */
    PolicyPlatformType["All"] = "all";
})(PolicyPlatformType || (exports.PolicyPlatformType = PolicyPlatformType = {}));
// tslint:enable
// eslint-enable
