import { type BaseEndUserNotification } from './baseEndUserNotification';
import { NotificationDeliveryPreference } from './notificationDeliveryPreference';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPositiveReinforcementNotificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPositiveReinforcementNotification;
export declare function deserializeIntoPositiveReinforcementNotification(positiveReinforcementNotification?: PositiveReinforcementNotification | undefined): Record<string, (node: ParseNode) => void>;
export interface PositiveReinforcementNotification extends BaseEndUserNotification, Parsable {
    /**
     * Delivery preference. Possible values are: unknown, deliverImmedietly, deliverAfterCampaignEnd, unknownFutureValue.
     */
    deliveryPreference?: NotificationDeliveryPreference;
}
export declare function serializePositiveReinforcementNotification(writer: SerializationWriter, positiveReinforcementNotification?: PositiveReinforcementNotification | undefined): void;
