import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Post } from './post';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPostCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPostCollectionResponse;
export declare function deserializeIntoPostCollectionResponse(postCollectionResponse?: PostCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PostCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Post[];
}
export declare function serializePostCollectionResponse(writer: SerializationWriter, postCollectionResponse?: PostCollectionResponse | undefined): void;
