"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePreAuthorizedApplication = exports.deserializeIntoPreAuthorizedApplication = exports.createPreAuthorizedApplicationFromDiscriminatorValue = void 0;
function createPreAuthorizedApplicationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPreAuthorizedApplication;
}
exports.createPreAuthorizedApplicationFromDiscriminatorValue = createPreAuthorizedApplicationFromDiscriminatorValue;
function deserializeIntoPreAuthorizedApplication(preAuthorizedApplication = {}) {
    return {
        "appId": n => { preAuthorizedApplication.appId = n.getStringValue(); },
        "delegatedPermissionIds": n => { preAuthorizedApplication.delegatedPermissionIds = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { preAuthorizedApplication.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPreAuthorizedApplication = deserializeIntoPreAuthorizedApplication;
function serializePreAuthorizedApplication(writer, preAuthorizedApplication = {}) {
    writer.writeStringValue("appId", preAuthorizedApplication.appId);
    writer.writeCollectionOfPrimitiveValues("delegatedPermissionIds", preAuthorizedApplication.delegatedPermissionIds);
    writer.writeStringValue("@odata.type", preAuthorizedApplication.odataType);
    writer.writeAdditionalData(preAuthorizedApplication.additionalData);
}
exports.serializePreAuthorizedApplication = serializePreAuthorizedApplication;
// tslint:enable
// eslint-enable
