"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrereleaseFeatures = void 0;
/**
 * Possible values for pre-release features.
 */
var PrereleaseFeatures;
(function (PrereleaseFeatures) {
    /** User Defined, default value, no intent. */
    PrereleaseFeatures["UserDefined"] = "userDefined";
    /** Settings only pre-release features. */
    PrereleaseFeatures["SettingsOnly"] = "settingsOnly";
    /** Settings and experimentations pre-release features. */
    PrereleaseFeatures["SettingsAndExperimentations"] = "settingsAndExperimentations";
    /** Pre-release features not allowed. */
    PrereleaseFeatures["NotAllowed"] = "notAllowed";
})(PrereleaseFeatures || (exports.PrereleaseFeatures = PrereleaseFeatures = {}));
// tslint:enable
// eslint-enable
