"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrintCertificateSigningRequest = exports.deserializeIntoPrintCertificateSigningRequest = exports.createPrintCertificateSigningRequestFromDiscriminatorValue = void 0;
function createPrintCertificateSigningRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrintCertificateSigningRequest;
}
exports.createPrintCertificateSigningRequestFromDiscriminatorValue = createPrintCertificateSigningRequestFromDiscriminatorValue;
function deserializeIntoPrintCertificateSigningRequest(printCertificateSigningRequest = {}) {
    return {
        "content": n => { printCertificateSigningRequest.content = n.getStringValue(); },
        "@odata.type": n => { printCertificateSigningRequest.odataType = n.getStringValue(); },
        "transportKey": n => { printCertificateSigningRequest.transportKey = n.getStringValue(); },
    };
}
exports.deserializeIntoPrintCertificateSigningRequest = deserializeIntoPrintCertificateSigningRequest;
function serializePrintCertificateSigningRequest(writer, printCertificateSigningRequest = {}) {
    writer.writeStringValue("content", printCertificateSigningRequest.content);
    writer.writeStringValue("@odata.type", printCertificateSigningRequest.odataType);
    writer.writeStringValue("transportKey", printCertificateSigningRequest.transportKey);
    writer.writeAdditionalData(printCertificateSigningRequest.additionalData);
}
exports.serializePrintCertificateSigningRequest = serializePrintCertificateSigningRequest;
// tslint:enable
// eslint-enable
