import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintConnector } from './printConnector';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintConnectorCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintConnectorCollectionResponse;
export declare function deserializeIntoPrintConnectorCollectionResponse(printConnectorCollectionResponse?: PrintConnectorCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintConnectorCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintConnector[];
}
export declare function serializePrintConnectorCollectionResponse(writer: SerializationWriter, printConnectorCollectionResponse?: PrintConnectorCollectionResponse | undefined): void;
