import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintJob } from './printJob';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintJobCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintJobCollectionResponse;
export declare function deserializeIntoPrintJobCollectionResponse(printJobCollectionResponse?: PrintJobCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintJobCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintJob[];
}
export declare function serializePrintJobCollectionResponse(writer: SerializationWriter, printJobCollectionResponse?: PrintJobCollectionResponse | undefined): void;
