"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrintMargin = exports.deserializeIntoPrintMargin = exports.createPrintMarginFromDiscriminatorValue = void 0;
function createPrintMarginFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrintMargin;
}
exports.createPrintMarginFromDiscriminatorValue = createPrintMarginFromDiscriminatorValue;
function deserializeIntoPrintMargin(printMargin = {}) {
    return {
        "bottom": n => { printMargin.bottom = n.getNumberValue(); },
        "left": n => { printMargin.left = n.getNumberValue(); },
        "@odata.type": n => { printMargin.odataType = n.getStringValue(); },
        "right": n => { printMargin.right = n.getNumberValue(); },
        "top": n => { printMargin.top = n.getNumberValue(); },
    };
}
exports.deserializeIntoPrintMargin = deserializeIntoPrintMargin;
function serializePrintMargin(writer, printMargin = {}) {
    writer.writeNumberValue("bottom", printMargin.bottom);
    writer.writeNumberValue("left", printMargin.left);
    writer.writeStringValue("@odata.type", printMargin.odataType);
    writer.writeNumberValue("right", printMargin.right);
    writer.writeNumberValue("top", printMargin.top);
    writer.writeAdditionalData(printMargin.additionalData);
}
exports.serializePrintMargin = serializePrintMargin;
// tslint:enable
// eslint-enable
