import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintOperation } from './printOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintOperationCollectionResponse;
export declare function deserializeIntoPrintOperationCollectionResponse(printOperationCollectionResponse?: PrintOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintOperation[];
}
export declare function serializePrintOperationCollectionResponse(writer: SerializationWriter, printOperationCollectionResponse?: PrintOperationCollectionResponse | undefined): void;
