import { type Entity } from './entity';
import { type PrintServiceEndpoint } from './printServiceEndpoint';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintServiceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintService;
export declare function deserializeIntoPrintService(printService?: PrintService | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintService extends Entity, Parsable {
    /**
     * Endpoints that can be used to access the service. Read-only. Nullable.
     */
    endpoints?: PrintServiceEndpoint[];
}
export declare function serializePrintService(writer: SerializationWriter, printService?: PrintService | undefined): void;
