import { type PrintUsage } from './printUsage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintUsageByPrinterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintUsageByPrinter;
export declare function deserializeIntoPrintUsageByPrinter(printUsageByPrinter?: PrintUsageByPrinter | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintUsageByPrinter extends Parsable, PrintUsage {
    /**
     * The printerId property
     */
    printerId?: string;
    /**
     * The name of the printer represented by these statistics.
     */
    printerName?: string;
}
export declare function serializePrintUsageByPrinter(writer: SerializationWriter, printUsageByPrinter?: PrintUsageByPrinter | undefined): void;
