import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintUsageByPrinter } from './printUsageByPrinter';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintUsageByPrinterCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintUsageByPrinterCollectionResponse;
export declare function deserializeIntoPrintUsageByPrinterCollectionResponse(printUsageByPrinterCollectionResponse?: PrintUsageByPrinterCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintUsageByPrinterCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintUsageByPrinter[];
}
export declare function serializePrintUsageByPrinterCollectionResponse(writer: SerializationWriter, printUsageByPrinterCollectionResponse?: PrintUsageByPrinterCollectionResponse | undefined): void;
