import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintUsageByUser } from './printUsageByUser';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintUsageByUserCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintUsageByUserCollectionResponse;
export declare function deserializeIntoPrintUsageByUserCollectionResponse(printUsageByUserCollectionResponse?: PrintUsageByUserCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintUsageByUserCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintUsageByUser[];
}
export declare function serializePrintUsageByUserCollectionResponse(writer: SerializationWriter, printUsageByUserCollectionResponse?: PrintUsageByUserCollectionResponse | undefined): void;
