import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Printer } from './printer';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrinterCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinterCollectionResponse;
export declare function deserializeIntoPrinterCollectionResponse(printerCollectionResponse?: PrinterCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrinterCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Printer[];
}
export declare function serializePrinterCollectionResponse(writer: SerializationWriter, printerCollectionResponse?: PrinterCollectionResponse | undefined): void;
