"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrinterProcessingStateDetail = void 0;
var PrinterProcessingStateDetail;
(function (PrinterProcessingStateDetail) {
    PrinterProcessingStateDetail["Paused"] = "paused";
    PrinterProcessingStateDetail["MediaJam"] = "mediaJam";
    PrinterProcessingStateDetail["MediaNeeded"] = "mediaNeeded";
    PrinterProcessingStateDetail["MediaLow"] = "mediaLow";
    PrinterProcessingStateDetail["MediaEmpty"] = "mediaEmpty";
    PrinterProcessingStateDetail["CoverOpen"] = "coverOpen";
    PrinterProcessingStateDetail["InterlockOpen"] = "interlockOpen";
    PrinterProcessingStateDetail["OutputTrayMissing"] = "outputTrayMissing";
    PrinterProcessingStateDetail["OutputAreaFull"] = "outputAreaFull";
    PrinterProcessingStateDetail["MarkerSupplyLow"] = "markerSupplyLow";
    PrinterProcessingStateDetail["MarkerSupplyEmpty"] = "markerSupplyEmpty";
    PrinterProcessingStateDetail["InputTrayMissing"] = "inputTrayMissing";
    PrinterProcessingStateDetail["OutputAreaAlmostFull"] = "outputAreaAlmostFull";
    PrinterProcessingStateDetail["MarkerWasteAlmostFull"] = "markerWasteAlmostFull";
    PrinterProcessingStateDetail["MarkerWasteFull"] = "markerWasteFull";
    PrinterProcessingStateDetail["FuserOverTemp"] = "fuserOverTemp";
    PrinterProcessingStateDetail["FuserUnderTemp"] = "fuserUnderTemp";
    PrinterProcessingStateDetail["Other"] = "other";
    PrinterProcessingStateDetail["None"] = "none";
    PrinterProcessingStateDetail["MovingToPaused"] = "movingToPaused";
    PrinterProcessingStateDetail["Shutdown"] = "shutdown";
    PrinterProcessingStateDetail["ConnectingToDevice"] = "connectingToDevice";
    PrinterProcessingStateDetail["TimedOut"] = "timedOut";
    PrinterProcessingStateDetail["Stopping"] = "stopping";
    PrinterProcessingStateDetail["StoppedPartially"] = "stoppedPartially";
    PrinterProcessingStateDetail["TonerLow"] = "tonerLow";
    PrinterProcessingStateDetail["TonerEmpty"] = "tonerEmpty";
    PrinterProcessingStateDetail["SpoolAreaFull"] = "spoolAreaFull";
    PrinterProcessingStateDetail["DoorOpen"] = "doorOpen";
    PrinterProcessingStateDetail["OpticalPhotoConductorNearEndOfLife"] = "opticalPhotoConductorNearEndOfLife";
    PrinterProcessingStateDetail["OpticalPhotoConductorLifeOver"] = "opticalPhotoConductorLifeOver";
    PrinterProcessingStateDetail["DeveloperLow"] = "developerLow";
    PrinterProcessingStateDetail["DeveloperEmpty"] = "developerEmpty";
    PrinterProcessingStateDetail["InterpreterResourceUnavailable"] = "interpreterResourceUnavailable";
    PrinterProcessingStateDetail["UnknownFutureValue"] = "unknownFutureValue";
    PrinterProcessingStateDetail["AlertRemovalOfBinaryChangeEntry"] = "alertRemovalOfBinaryChangeEntry";
    PrinterProcessingStateDetail["BanderAdded"] = "banderAdded";
    PrinterProcessingStateDetail["BanderAlmostEmpty"] = "banderAlmostEmpty";
    PrinterProcessingStateDetail["BanderAlmostFull"] = "banderAlmostFull";
    PrinterProcessingStateDetail["BanderAtLimit"] = "banderAtLimit";
    PrinterProcessingStateDetail["BanderClosed"] = "banderClosed";
    PrinterProcessingStateDetail["BanderConfigurationChange"] = "banderConfigurationChange";
    PrinterProcessingStateDetail["BanderCoverClosed"] = "banderCoverClosed";
    PrinterProcessingStateDetail["BanderCoverOpen"] = "banderCoverOpen";
    PrinterProcessingStateDetail["BanderEmpty"] = "banderEmpty";
    PrinterProcessingStateDetail["BanderFull"] = "banderFull";
    PrinterProcessingStateDetail["BanderInterlockClosed"] = "banderInterlockClosed";
    PrinterProcessingStateDetail["BanderInterlockOpen"] = "banderInterlockOpen";
    PrinterProcessingStateDetail["BanderJam"] = "banderJam";
    PrinterProcessingStateDetail["BanderLifeAlmostOver"] = "banderLifeAlmostOver";
    PrinterProcessingStateDetail["BanderLifeOver"] = "banderLifeOver";
    PrinterProcessingStateDetail["BanderMemoryExhausted"] = "banderMemoryExhausted";
    PrinterProcessingStateDetail["BanderMissing"] = "banderMissing";
    PrinterProcessingStateDetail["BanderMotorFailure"] = "banderMotorFailure";
    PrinterProcessingStateDetail["BanderNearLimit"] = "banderNearLimit";
    PrinterProcessingStateDetail["BanderOffline"] = "banderOffline";
    PrinterProcessingStateDetail["BanderOpened"] = "banderOpened";
    PrinterProcessingStateDetail["BanderOverTemperature"] = "banderOverTemperature";
    PrinterProcessingStateDetail["BanderPowerSaver"] = "banderPowerSaver";
    PrinterProcessingStateDetail["BanderRecoverableFailure"] = "banderRecoverableFailure";
    PrinterProcessingStateDetail["BanderRecoverableStorage"] = "banderRecoverableStorage";
    PrinterProcessingStateDetail["BanderRemoved"] = "banderRemoved";
    PrinterProcessingStateDetail["BanderResourceAdded"] = "banderResourceAdded";
    PrinterProcessingStateDetail["BanderResourceRemoved"] = "banderResourceRemoved";
    PrinterProcessingStateDetail["BanderThermistorFailure"] = "banderThermistorFailure";
    PrinterProcessingStateDetail["BanderTimingFailure"] = "banderTimingFailure";
    PrinterProcessingStateDetail["BanderTurnedOff"] = "banderTurnedOff";
    PrinterProcessingStateDetail["BanderTurnedOn"] = "banderTurnedOn";
    PrinterProcessingStateDetail["BanderUnderTemperature"] = "banderUnderTemperature";
    PrinterProcessingStateDetail["BanderUnrecoverableFailure"] = "banderUnrecoverableFailure";
    PrinterProcessingStateDetail["BanderUnrecoverableStorageError"] = "banderUnrecoverableStorageError";
    PrinterProcessingStateDetail["BanderWarmingUp"] = "banderWarmingUp";
    PrinterProcessingStateDetail["BinderAdded"] = "binderAdded";
    PrinterProcessingStateDetail["BinderAlmostEmpty"] = "binderAlmostEmpty";
    PrinterProcessingStateDetail["BinderAlmostFull"] = "binderAlmostFull";
    PrinterProcessingStateDetail["BinderAtLimit"] = "binderAtLimit";
    PrinterProcessingStateDetail["BinderClosed"] = "binderClosed";
    PrinterProcessingStateDetail["BinderConfigurationChange"] = "binderConfigurationChange";
    PrinterProcessingStateDetail["BinderCoverClosed"] = "binderCoverClosed";
    PrinterProcessingStateDetail["BinderCoverOpen"] = "binderCoverOpen";
    PrinterProcessingStateDetail["BinderEmpty"] = "binderEmpty";
    PrinterProcessingStateDetail["BinderFull"] = "binderFull";
    PrinterProcessingStateDetail["BinderInterlockClosed"] = "binderInterlockClosed";
    PrinterProcessingStateDetail["BinderInterlockOpen"] = "binderInterlockOpen";
    PrinterProcessingStateDetail["BinderJam"] = "binderJam";
    PrinterProcessingStateDetail["BinderLifeAlmostOver"] = "binderLifeAlmostOver";
    PrinterProcessingStateDetail["BinderLifeOver"] = "binderLifeOver";
    PrinterProcessingStateDetail["BinderMemoryExhausted"] = "binderMemoryExhausted";
    PrinterProcessingStateDetail["BinderMissing"] = "binderMissing";
    PrinterProcessingStateDetail["BinderMotorFailure"] = "binderMotorFailure";
    PrinterProcessingStateDetail["BinderNearLimit"] = "binderNearLimit";
    PrinterProcessingStateDetail["BinderOffline"] = "binderOffline";
    PrinterProcessingStateDetail["BinderOpened"] = "binderOpened";
    PrinterProcessingStateDetail["BinderOverTemperature"] = "binderOverTemperature";
    PrinterProcessingStateDetail["BinderPowerSaver"] = "binderPowerSaver";
    PrinterProcessingStateDetail["BinderRecoverableFailure"] = "binderRecoverableFailure";
    PrinterProcessingStateDetail["BinderRecoverableStorage"] = "binderRecoverableStorage";
    PrinterProcessingStateDetail["BinderRemoved"] = "binderRemoved";
    PrinterProcessingStateDetail["BinderResourceAdded"] = "binderResourceAdded";
    PrinterProcessingStateDetail["BinderResourceRemoved"] = "binderResourceRemoved";
    PrinterProcessingStateDetail["BinderThermistorFailure"] = "binderThermistorFailure";
    PrinterProcessingStateDetail["BinderTimingFailure"] = "binderTimingFailure";
    PrinterProcessingStateDetail["BinderTurnedOff"] = "binderTurnedOff";
    PrinterProcessingStateDetail["BinderTurnedOn"] = "binderTurnedOn";
    PrinterProcessingStateDetail["BinderUnderTemperature"] = "binderUnderTemperature";
    PrinterProcessingStateDetail["BinderUnrecoverableFailure"] = "binderUnrecoverableFailure";
    PrinterProcessingStateDetail["BinderUnrecoverableStorageError"] = "binderUnrecoverableStorageError";
    PrinterProcessingStateDetail["BinderWarmingUp"] = "binderWarmingUp";
    PrinterProcessingStateDetail["CameraFailure"] = "cameraFailure";
    PrinterProcessingStateDetail["ChamberCooling"] = "chamberCooling";
    PrinterProcessingStateDetail["ChamberFailure"] = "chamberFailure";
    PrinterProcessingStateDetail["ChamberHeating"] = "chamberHeating";
    PrinterProcessingStateDetail["ChamberTemperatureHigh"] = "chamberTemperatureHigh";
    PrinterProcessingStateDetail["ChamberTemperatureLow"] = "chamberTemperatureLow";
    PrinterProcessingStateDetail["CleanerLifeAlmostOver"] = "cleanerLifeAlmostOver";
    PrinterProcessingStateDetail["CleanerLifeOver"] = "cleanerLifeOver";
    PrinterProcessingStateDetail["ConfigurationChange"] = "configurationChange";
    PrinterProcessingStateDetail["Deactivated"] = "deactivated";
    PrinterProcessingStateDetail["Deleted"] = "deleted";
    PrinterProcessingStateDetail["DieCutterAdded"] = "dieCutterAdded";
    PrinterProcessingStateDetail["DieCutterAlmostEmpty"] = "dieCutterAlmostEmpty";
    PrinterProcessingStateDetail["DieCutterAlmostFull"] = "dieCutterAlmostFull";
    PrinterProcessingStateDetail["DieCutterAtLimit"] = "dieCutterAtLimit";
    PrinterProcessingStateDetail["DieCutterClosed"] = "dieCutterClosed";
    PrinterProcessingStateDetail["DieCutterConfigurationChange"] = "dieCutterConfigurationChange";
    PrinterProcessingStateDetail["DieCutterCoverClosed"] = "dieCutterCoverClosed";
    PrinterProcessingStateDetail["DieCutterCoverOpen"] = "dieCutterCoverOpen";
    PrinterProcessingStateDetail["DieCutterEmpty"] = "dieCutterEmpty";
    PrinterProcessingStateDetail["DieCutterFull"] = "dieCutterFull";
    PrinterProcessingStateDetail["DieCutterInterlockClosed"] = "dieCutterInterlockClosed";
    PrinterProcessingStateDetail["DieCutterInterlockOpen"] = "dieCutterInterlockOpen";
    PrinterProcessingStateDetail["DieCutterJam"] = "dieCutterJam";
    PrinterProcessingStateDetail["DieCutterLifeAlmostOver"] = "dieCutterLifeAlmostOver";
    PrinterProcessingStateDetail["DieCutterLifeOver"] = "dieCutterLifeOver";
    PrinterProcessingStateDetail["DieCutterMemoryExhausted"] = "dieCutterMemoryExhausted";
    PrinterProcessingStateDetail["DieCutterMissing"] = "dieCutterMissing";
    PrinterProcessingStateDetail["DieCutterMotorFailure"] = "dieCutterMotorFailure";
    PrinterProcessingStateDetail["DieCutterNearLimit"] = "dieCutterNearLimit";
    PrinterProcessingStateDetail["DieCutterOffline"] = "dieCutterOffline";
    PrinterProcessingStateDetail["DieCutterOpened"] = "dieCutterOpened";
    PrinterProcessingStateDetail["DieCutterOverTemperature"] = "dieCutterOverTemperature";
    PrinterProcessingStateDetail["DieCutterPowerSaver"] = "dieCutterPowerSaver";
    PrinterProcessingStateDetail["DieCutterRecoverableFailure"] = "dieCutterRecoverableFailure";
    PrinterProcessingStateDetail["DieCutterRecoverableStorage"] = "dieCutterRecoverableStorage";
    PrinterProcessingStateDetail["DieCutterRemoved"] = "dieCutterRemoved";
    PrinterProcessingStateDetail["DieCutterResourceAdded"] = "dieCutterResourceAdded";
    PrinterProcessingStateDetail["DieCutterResourceRemoved"] = "dieCutterResourceRemoved";
    PrinterProcessingStateDetail["DieCutterThermistorFailure"] = "dieCutterThermistorFailure";
    PrinterProcessingStateDetail["DieCutterTimingFailure"] = "dieCutterTimingFailure";
    PrinterProcessingStateDetail["DieCutterTurnedOff"] = "dieCutterTurnedOff";
    PrinterProcessingStateDetail["DieCutterTurnedOn"] = "dieCutterTurnedOn";
    PrinterProcessingStateDetail["DieCutterUnderTemperature"] = "dieCutterUnderTemperature";
    PrinterProcessingStateDetail["DieCutterUnrecoverableFailure"] = "dieCutterUnrecoverableFailure";
    PrinterProcessingStateDetail["DieCutterUnrecoverableStorageError"] = "dieCutterUnrecoverableStorageError";
    PrinterProcessingStateDetail["DieCutterWarmingUp"] = "dieCutterWarmingUp";
    PrinterProcessingStateDetail["ExtruderCooling"] = "extruderCooling";
    PrinterProcessingStateDetail["ExtruderFailure"] = "extruderFailure";
    PrinterProcessingStateDetail["ExtruderHeating"] = "extruderHeating";
    PrinterProcessingStateDetail["ExtruderJam"] = "extruderJam";
    PrinterProcessingStateDetail["ExtruderTemperatureHigh"] = "extruderTemperatureHigh";
    PrinterProcessingStateDetail["ExtruderTemperatureLow"] = "extruderTemperatureLow";
    PrinterProcessingStateDetail["FanFailure"] = "fanFailure";
    PrinterProcessingStateDetail["FaxModemLifeAlmostOver"] = "faxModemLifeAlmostOver";
    PrinterProcessingStateDetail["FaxModemLifeOver"] = "faxModemLifeOver";
    PrinterProcessingStateDetail["FaxModemMissing"] = "faxModemMissing";
    PrinterProcessingStateDetail["FaxModemTurnedOff"] = "faxModemTurnedOff";
    PrinterProcessingStateDetail["FaxModemTurnedOn"] = "faxModemTurnedOn";
    PrinterProcessingStateDetail["FolderAdded"] = "folderAdded";
    PrinterProcessingStateDetail["FolderAlmostEmpty"] = "folderAlmostEmpty";
    PrinterProcessingStateDetail["FolderAlmostFull"] = "folderAlmostFull";
    PrinterProcessingStateDetail["FolderAtLimit"] = "folderAtLimit";
    PrinterProcessingStateDetail["FolderClosed"] = "folderClosed";
    PrinterProcessingStateDetail["FolderConfigurationChange"] = "folderConfigurationChange";
    PrinterProcessingStateDetail["FolderCoverClosed"] = "folderCoverClosed";
    PrinterProcessingStateDetail["FolderCoverOpen"] = "folderCoverOpen";
    PrinterProcessingStateDetail["FolderEmpty"] = "folderEmpty";
    PrinterProcessingStateDetail["FolderFull"] = "folderFull";
    PrinterProcessingStateDetail["FolderInterlockClosed"] = "folderInterlockClosed";
    PrinterProcessingStateDetail["FolderInterlockOpen"] = "folderInterlockOpen";
    PrinterProcessingStateDetail["FolderJam"] = "folderJam";
    PrinterProcessingStateDetail["FolderLifeAlmostOver"] = "folderLifeAlmostOver";
    PrinterProcessingStateDetail["FolderLifeOver"] = "folderLifeOver";
    PrinterProcessingStateDetail["FolderMemoryExhausted"] = "folderMemoryExhausted";
    PrinterProcessingStateDetail["FolderMissing"] = "folderMissing";
    PrinterProcessingStateDetail["FolderMotorFailure"] = "folderMotorFailure";
    PrinterProcessingStateDetail["FolderNearLimit"] = "folderNearLimit";
    PrinterProcessingStateDetail["FolderOffline"] = "folderOffline";
    PrinterProcessingStateDetail["FolderOpened"] = "folderOpened";
    PrinterProcessingStateDetail["FolderOverTemperature"] = "folderOverTemperature";
    PrinterProcessingStateDetail["FolderPowerSaver"] = "folderPowerSaver";
    PrinterProcessingStateDetail["FolderRecoverableFailure"] = "folderRecoverableFailure";
    PrinterProcessingStateDetail["FolderRecoverableStorage"] = "folderRecoverableStorage";
    PrinterProcessingStateDetail["FolderRemoved"] = "folderRemoved";
    PrinterProcessingStateDetail["FolderResourceAdded"] = "folderResourceAdded";
    PrinterProcessingStateDetail["FolderResourceRemoved"] = "folderResourceRemoved";
    PrinterProcessingStateDetail["FolderThermistorFailure"] = "folderThermistorFailure";
    PrinterProcessingStateDetail["FolderTimingFailure"] = "folderTimingFailure";
    PrinterProcessingStateDetail["FolderTurnedOff"] = "folderTurnedOff";
    PrinterProcessingStateDetail["FolderTurnedOn"] = "folderTurnedOn";
    PrinterProcessingStateDetail["FolderUnderTemperature"] = "folderUnderTemperature";
    PrinterProcessingStateDetail["FolderUnrecoverableFailure"] = "folderUnrecoverableFailure";
    PrinterProcessingStateDetail["FolderUnrecoverableStorageError"] = "folderUnrecoverableStorageError";
    PrinterProcessingStateDetail["FolderWarmingUp"] = "folderWarmingUp";
    PrinterProcessingStateDetail["Hibernate"] = "hibernate";
    PrinterProcessingStateDetail["HoldNewJobs"] = "holdNewJobs";
    PrinterProcessingStateDetail["IdentifyPrinterRequested"] = "identifyPrinterRequested";
    PrinterProcessingStateDetail["ImprinterAdded"] = "imprinterAdded";
    PrinterProcessingStateDetail["ImprinterAlmostEmpty"] = "imprinterAlmostEmpty";
    PrinterProcessingStateDetail["ImprinterAlmostFull"] = "imprinterAlmostFull";
    PrinterProcessingStateDetail["ImprinterAtLimit"] = "imprinterAtLimit";
    PrinterProcessingStateDetail["ImprinterClosed"] = "imprinterClosed";
    PrinterProcessingStateDetail["ImprinterConfigurationChange"] = "imprinterConfigurationChange";
    PrinterProcessingStateDetail["ImprinterCoverClosed"] = "imprinterCoverClosed";
    PrinterProcessingStateDetail["ImprinterCoverOpen"] = "imprinterCoverOpen";
    PrinterProcessingStateDetail["ImprinterEmpty"] = "imprinterEmpty";
    PrinterProcessingStateDetail["ImprinterFull"] = "imprinterFull";
    PrinterProcessingStateDetail["ImprinterInterlockClosed"] = "imprinterInterlockClosed";
    PrinterProcessingStateDetail["ImprinterInterlockOpen"] = "imprinterInterlockOpen";
    PrinterProcessingStateDetail["ImprinterJam"] = "imprinterJam";
    PrinterProcessingStateDetail["ImprinterLifeAlmostOver"] = "imprinterLifeAlmostOver";
    PrinterProcessingStateDetail["ImprinterLifeOver"] = "imprinterLifeOver";
    PrinterProcessingStateDetail["ImprinterMemoryExhausted"] = "imprinterMemoryExhausted";
    PrinterProcessingStateDetail["ImprinterMissing"] = "imprinterMissing";
    PrinterProcessingStateDetail["ImprinterMotorFailure"] = "imprinterMotorFailure";
    PrinterProcessingStateDetail["ImprinterNearLimit"] = "imprinterNearLimit";
    PrinterProcessingStateDetail["ImprinterOffline"] = "imprinterOffline";
    PrinterProcessingStateDetail["ImprinterOpened"] = "imprinterOpened";
    PrinterProcessingStateDetail["ImprinterOverTemperature"] = "imprinterOverTemperature";
    PrinterProcessingStateDetail["ImprinterPowerSaver"] = "imprinterPowerSaver";
    PrinterProcessingStateDetail["ImprinterRecoverableFailure"] = "imprinterRecoverableFailure";
    PrinterProcessingStateDetail["ImprinterRecoverableStorage"] = "imprinterRecoverableStorage";
    PrinterProcessingStateDetail["ImprinterRemoved"] = "imprinterRemoved";
    PrinterProcessingStateDetail["ImprinterResourceAdded"] = "imprinterResourceAdded";
    PrinterProcessingStateDetail["ImprinterResourceRemoved"] = "imprinterResourceRemoved";
    PrinterProcessingStateDetail["ImprinterThermistorFailure"] = "imprinterThermistorFailure";
    PrinterProcessingStateDetail["ImprinterTimingFailure"] = "imprinterTimingFailure";
    PrinterProcessingStateDetail["ImprinterTurnedOff"] = "imprinterTurnedOff";
    PrinterProcessingStateDetail["ImprinterTurnedOn"] = "imprinterTurnedOn";
    PrinterProcessingStateDetail["ImprinterUnderTemperature"] = "imprinterUnderTemperature";
    PrinterProcessingStateDetail["ImprinterUnrecoverableFailure"] = "imprinterUnrecoverableFailure";
    PrinterProcessingStateDetail["ImprinterUnrecoverableStorageError"] = "imprinterUnrecoverableStorageError";
    PrinterProcessingStateDetail["ImprinterWarmingUp"] = "imprinterWarmingUp";
    PrinterProcessingStateDetail["InputCannotFeedSizeSelected"] = "inputCannotFeedSizeSelected";
    PrinterProcessingStateDetail["InputManualInputRequest"] = "inputManualInputRequest";
    PrinterProcessingStateDetail["InputMediaColorChange"] = "inputMediaColorChange";
    PrinterProcessingStateDetail["InputMediaFormPartsChange"] = "inputMediaFormPartsChange";
    PrinterProcessingStateDetail["InputMediaSizeChange"] = "inputMediaSizeChange";
    PrinterProcessingStateDetail["InputMediaTrayFailure"] = "inputMediaTrayFailure";
    PrinterProcessingStateDetail["InputMediaTrayFeedError"] = "inputMediaTrayFeedError";
    PrinterProcessingStateDetail["InputMediaTrayJam"] = "inputMediaTrayJam";
    PrinterProcessingStateDetail["InputMediaTypeChange"] = "inputMediaTypeChange";
    PrinterProcessingStateDetail["InputMediaWeightChange"] = "inputMediaWeightChange";
    PrinterProcessingStateDetail["InputPickRollerFailure"] = "inputPickRollerFailure";
    PrinterProcessingStateDetail["InputPickRollerLifeOver"] = "inputPickRollerLifeOver";
    PrinterProcessingStateDetail["InputPickRollerLifeWarn"] = "inputPickRollerLifeWarn";
    PrinterProcessingStateDetail["InputPickRollerMissing"] = "inputPickRollerMissing";
    PrinterProcessingStateDetail["InputTrayElevationFailure"] = "inputTrayElevationFailure";
    PrinterProcessingStateDetail["InputTrayPositionFailure"] = "inputTrayPositionFailure";
    PrinterProcessingStateDetail["InserterAdded"] = "inserterAdded";
    PrinterProcessingStateDetail["InserterAlmostEmpty"] = "inserterAlmostEmpty";
    PrinterProcessingStateDetail["InserterAlmostFull"] = "inserterAlmostFull";
    PrinterProcessingStateDetail["InserterAtLimit"] = "inserterAtLimit";
    PrinterProcessingStateDetail["InserterClosed"] = "inserterClosed";
    PrinterProcessingStateDetail["InserterConfigurationChange"] = "inserterConfigurationChange";
    PrinterProcessingStateDetail["InserterCoverClosed"] = "inserterCoverClosed";
    PrinterProcessingStateDetail["InserterCoverOpen"] = "inserterCoverOpen";
    PrinterProcessingStateDetail["InserterEmpty"] = "inserterEmpty";
    PrinterProcessingStateDetail["InserterFull"] = "inserterFull";
    PrinterProcessingStateDetail["InserterInterlockClosed"] = "inserterInterlockClosed";
    PrinterProcessingStateDetail["InserterInterlockOpen"] = "inserterInterlockOpen";
    PrinterProcessingStateDetail["InserterJam"] = "inserterJam";
    PrinterProcessingStateDetail["InserterLifeAlmostOver"] = "inserterLifeAlmostOver";
    PrinterProcessingStateDetail["InserterLifeOver"] = "inserterLifeOver";
    PrinterProcessingStateDetail["InserterMemoryExhausted"] = "inserterMemoryExhausted";
    PrinterProcessingStateDetail["InserterMissing"] = "inserterMissing";
    PrinterProcessingStateDetail["InserterMotorFailure"] = "inserterMotorFailure";
    PrinterProcessingStateDetail["InserterNearLimit"] = "inserterNearLimit";
    PrinterProcessingStateDetail["InserterOffline"] = "inserterOffline";
    PrinterProcessingStateDetail["InserterOpened"] = "inserterOpened";
    PrinterProcessingStateDetail["InserterOverTemperature"] = "inserterOverTemperature";
    PrinterProcessingStateDetail["InserterPowerSaver"] = "inserterPowerSaver";
    PrinterProcessingStateDetail["InserterRecoverableFailure"] = "inserterRecoverableFailure";
    PrinterProcessingStateDetail["InserterRecoverableStorage"] = "inserterRecoverableStorage";
    PrinterProcessingStateDetail["InserterRemoved"] = "inserterRemoved";
    PrinterProcessingStateDetail["InserterResourceAdded"] = "inserterResourceAdded";
    PrinterProcessingStateDetail["InserterResourceRemoved"] = "inserterResourceRemoved";
    PrinterProcessingStateDetail["InserterThermistorFailure"] = "inserterThermistorFailure";
    PrinterProcessingStateDetail["InserterTimingFailure"] = "inserterTimingFailure";
    PrinterProcessingStateDetail["InserterTurnedOff"] = "inserterTurnedOff";
    PrinterProcessingStateDetail["InserterTurnedOn"] = "inserterTurnedOn";
    PrinterProcessingStateDetail["InserterUnderTemperature"] = "inserterUnderTemperature";
    PrinterProcessingStateDetail["InserterUnrecoverableFailure"] = "inserterUnrecoverableFailure";
    PrinterProcessingStateDetail["InserterUnrecoverableStorageError"] = "inserterUnrecoverableStorageError";
    PrinterProcessingStateDetail["InserterWarmingUp"] = "inserterWarmingUp";
    PrinterProcessingStateDetail["InterlockClosed"] = "interlockClosed";
    PrinterProcessingStateDetail["InterpreterCartridgeAdded"] = "interpreterCartridgeAdded";
    PrinterProcessingStateDetail["InterpreterCartridgeDeleted"] = "interpreterCartridgeDeleted";
    PrinterProcessingStateDetail["InterpreterComplexPageEncountered"] = "interpreterComplexPageEncountered";
    PrinterProcessingStateDetail["InterpreterMemoryDecrease"] = "interpreterMemoryDecrease";
    PrinterProcessingStateDetail["InterpreterMemoryIncrease"] = "interpreterMemoryIncrease";
    PrinterProcessingStateDetail["InterpreterResourceAdded"] = "interpreterResourceAdded";
    PrinterProcessingStateDetail["InterpreterResourceDeleted"] = "interpreterResourceDeleted";
    PrinterProcessingStateDetail["LampAtEol"] = "lampAtEol";
    PrinterProcessingStateDetail["LampFailure"] = "lampFailure";
    PrinterProcessingStateDetail["LampNearEol"] = "lampNearEol";
    PrinterProcessingStateDetail["LaserAtEol"] = "laserAtEol";
    PrinterProcessingStateDetail["LaserFailure"] = "laserFailure";
    PrinterProcessingStateDetail["LaserNearEol"] = "laserNearEol";
    PrinterProcessingStateDetail["MakeEnvelopeAdded"] = "makeEnvelopeAdded";
    PrinterProcessingStateDetail["MakeEnvelopeAlmostEmpty"] = "makeEnvelopeAlmostEmpty";
    PrinterProcessingStateDetail["MakeEnvelopeAlmostFull"] = "makeEnvelopeAlmostFull";
    PrinterProcessingStateDetail["MakeEnvelopeAtLimit"] = "makeEnvelopeAtLimit";
    PrinterProcessingStateDetail["MakeEnvelopeClosed"] = "makeEnvelopeClosed";
    PrinterProcessingStateDetail["MakeEnvelopeConfigurationChange"] = "makeEnvelopeConfigurationChange";
    PrinterProcessingStateDetail["MakeEnvelopeCoverClosed"] = "makeEnvelopeCoverClosed";
    PrinterProcessingStateDetail["MakeEnvelopeCoverOpen"] = "makeEnvelopeCoverOpen";
    PrinterProcessingStateDetail["MakeEnvelopeEmpty"] = "makeEnvelopeEmpty";
    PrinterProcessingStateDetail["MakeEnvelopeFull"] = "makeEnvelopeFull";
    PrinterProcessingStateDetail["MakeEnvelopeInterlockClosed"] = "makeEnvelopeInterlockClosed";
    PrinterProcessingStateDetail["MakeEnvelopeInterlockOpen"] = "makeEnvelopeInterlockOpen";
    PrinterProcessingStateDetail["MakeEnvelopeJam"] = "makeEnvelopeJam";
    PrinterProcessingStateDetail["MakeEnvelopeLifeAlmostOver"] = "makeEnvelopeLifeAlmostOver";
    PrinterProcessingStateDetail["MakeEnvelopeLifeOver"] = "makeEnvelopeLifeOver";
    PrinterProcessingStateDetail["MakeEnvelopeMemoryExhausted"] = "makeEnvelopeMemoryExhausted";
    PrinterProcessingStateDetail["MakeEnvelopeMissing"] = "makeEnvelopeMissing";
    PrinterProcessingStateDetail["MakeEnvelopeMotorFailure"] = "makeEnvelopeMotorFailure";
    PrinterProcessingStateDetail["MakeEnvelopeNearLimit"] = "makeEnvelopeNearLimit";
    PrinterProcessingStateDetail["MakeEnvelopeOffline"] = "makeEnvelopeOffline";
    PrinterProcessingStateDetail["MakeEnvelopeOpened"] = "makeEnvelopeOpened";
    PrinterProcessingStateDetail["MakeEnvelopeOverTemperature"] = "makeEnvelopeOverTemperature";
    PrinterProcessingStateDetail["MakeEnvelopePowerSaver"] = "makeEnvelopePowerSaver";
    PrinterProcessingStateDetail["MakeEnvelopeRecoverableFailure"] = "makeEnvelopeRecoverableFailure";
    PrinterProcessingStateDetail["MakeEnvelopeRecoverableStorage"] = "makeEnvelopeRecoverableStorage";
    PrinterProcessingStateDetail["MakeEnvelopeRemoved"] = "makeEnvelopeRemoved";
    PrinterProcessingStateDetail["MakeEnvelopeResourceAdded"] = "makeEnvelopeResourceAdded";
    PrinterProcessingStateDetail["MakeEnvelopeResourceRemoved"] = "makeEnvelopeResourceRemoved";
    PrinterProcessingStateDetail["MakeEnvelopeThermistorFailure"] = "makeEnvelopeThermistorFailure";
    PrinterProcessingStateDetail["MakeEnvelopeTimingFailure"] = "makeEnvelopeTimingFailure";
    PrinterProcessingStateDetail["MakeEnvelopeTurnedOff"] = "makeEnvelopeTurnedOff";
    PrinterProcessingStateDetail["MakeEnvelopeTurnedOn"] = "makeEnvelopeTurnedOn";
    PrinterProcessingStateDetail["MakeEnvelopeUnderTemperature"] = "makeEnvelopeUnderTemperature";
    PrinterProcessingStateDetail["MakeEnvelopeUnrecoverableFailure"] = "makeEnvelopeUnrecoverableFailure";
    PrinterProcessingStateDetail["MakeEnvelopeUnrecoverableStorageError"] = "makeEnvelopeUnrecoverableStorageError";
    PrinterProcessingStateDetail["MakeEnvelopeWarmingUp"] = "makeEnvelopeWarmingUp";
    PrinterProcessingStateDetail["MarkerAdjustingPrintQuality"] = "markerAdjustingPrintQuality";
    PrinterProcessingStateDetail["MarkerCleanerMissing"] = "markerCleanerMissing";
    PrinterProcessingStateDetail["MarkerDeveloperAlmostEmpty"] = "markerDeveloperAlmostEmpty";
    PrinterProcessingStateDetail["MarkerDeveloperEmpty"] = "markerDeveloperEmpty";
    PrinterProcessingStateDetail["MarkerDeveloperMissing"] = "markerDeveloperMissing";
    PrinterProcessingStateDetail["MarkerFuserMissing"] = "markerFuserMissing";
    PrinterProcessingStateDetail["MarkerFuserThermistorFailure"] = "markerFuserThermistorFailure";
    PrinterProcessingStateDetail["MarkerFuserTimingFailure"] = "markerFuserTimingFailure";
    PrinterProcessingStateDetail["MarkerInkAlmostEmpty"] = "markerInkAlmostEmpty";
    PrinterProcessingStateDetail["MarkerInkEmpty"] = "markerInkEmpty";
    PrinterProcessingStateDetail["MarkerInkMissing"] = "markerInkMissing";
    PrinterProcessingStateDetail["MarkerOpcMissing"] = "markerOpcMissing";
    PrinterProcessingStateDetail["MarkerPrintRibbonAlmostEmpty"] = "markerPrintRibbonAlmostEmpty";
    PrinterProcessingStateDetail["MarkerPrintRibbonEmpty"] = "markerPrintRibbonEmpty";
    PrinterProcessingStateDetail["MarkerPrintRibbonMissing"] = "markerPrintRibbonMissing";
    PrinterProcessingStateDetail["MarkerSupplyAlmostEmpty"] = "markerSupplyAlmostEmpty";
    PrinterProcessingStateDetail["MarkerSupplyMissing"] = "markerSupplyMissing";
    PrinterProcessingStateDetail["MarkerTonerCartridgeMissing"] = "markerTonerCartridgeMissing";
    PrinterProcessingStateDetail["MarkerTonerMissing"] = "markerTonerMissing";
    PrinterProcessingStateDetail["MarkerWasteInkReceptacleAlmostFull"] = "markerWasteInkReceptacleAlmostFull";
    PrinterProcessingStateDetail["MarkerWasteInkReceptacleFull"] = "markerWasteInkReceptacleFull";
    PrinterProcessingStateDetail["MarkerWasteInkReceptacleMissing"] = "markerWasteInkReceptacleMissing";
    PrinterProcessingStateDetail["MarkerWasteMissing"] = "markerWasteMissing";
    PrinterProcessingStateDetail["MarkerWasteTonerReceptacleAlmostFull"] = "markerWasteTonerReceptacleAlmostFull";
    PrinterProcessingStateDetail["MarkerWasteTonerReceptacleFull"] = "markerWasteTonerReceptacleFull";
    PrinterProcessingStateDetail["MarkerWasteTonerReceptacleMissing"] = "markerWasteTonerReceptacleMissing";
    PrinterProcessingStateDetail["MaterialEmpty"] = "materialEmpty";
    PrinterProcessingStateDetail["MaterialLow"] = "materialLow";
    PrinterProcessingStateDetail["MaterialNeeded"] = "materialNeeded";
    PrinterProcessingStateDetail["MediaDrying"] = "mediaDrying";
    PrinterProcessingStateDetail["MediaPathCannotDuplexMediaSelected"] = "mediaPathCannotDuplexMediaSelected";
    PrinterProcessingStateDetail["MediaPathFailure"] = "mediaPathFailure";
    PrinterProcessingStateDetail["MediaPathInputEmpty"] = "mediaPathInputEmpty";
    PrinterProcessingStateDetail["MediaPathInputFeedError"] = "mediaPathInputFeedError";
    PrinterProcessingStateDetail["MediaPathInputJam"] = "mediaPathInputJam";
    PrinterProcessingStateDetail["MediaPathInputRequest"] = "mediaPathInputRequest";
    PrinterProcessingStateDetail["MediaPathJam"] = "mediaPathJam";
    PrinterProcessingStateDetail["MediaPathMediaTrayAlmostFull"] = "mediaPathMediaTrayAlmostFull";
    PrinterProcessingStateDetail["MediaPathMediaTrayFull"] = "mediaPathMediaTrayFull";
    PrinterProcessingStateDetail["MediaPathMediaTrayMissing"] = "mediaPathMediaTrayMissing";
    PrinterProcessingStateDetail["MediaPathOutputFeedError"] = "mediaPathOutputFeedError";
    PrinterProcessingStateDetail["MediaPathOutputFull"] = "mediaPathOutputFull";
    PrinterProcessingStateDetail["MediaPathOutputJam"] = "mediaPathOutputJam";
    PrinterProcessingStateDetail["MediaPathPickRollerFailure"] = "mediaPathPickRollerFailure";
    PrinterProcessingStateDetail["MediaPathPickRollerLifeOver"] = "mediaPathPickRollerLifeOver";
    PrinterProcessingStateDetail["MediaPathPickRollerLifeWarn"] = "mediaPathPickRollerLifeWarn";
    PrinterProcessingStateDetail["MediaPathPickRollerMissing"] = "mediaPathPickRollerMissing";
    PrinterProcessingStateDetail["MotorFailure"] = "motorFailure";
    PrinterProcessingStateDetail["OutputMailboxSelectFailure"] = "outputMailboxSelectFailure";
    PrinterProcessingStateDetail["OutputMediaTrayFailure"] = "outputMediaTrayFailure";
    PrinterProcessingStateDetail["OutputMediaTrayFeedError"] = "outputMediaTrayFeedError";
    PrinterProcessingStateDetail["OutputMediaTrayJam"] = "outputMediaTrayJam";
    PrinterProcessingStateDetail["PerforaterAdded"] = "perforaterAdded";
    PrinterProcessingStateDetail["PerforaterAlmostEmpty"] = "perforaterAlmostEmpty";
    PrinterProcessingStateDetail["PerforaterAlmostFull"] = "perforaterAlmostFull";
    PrinterProcessingStateDetail["PerforaterAtLimit"] = "perforaterAtLimit";
    PrinterProcessingStateDetail["PerforaterClosed"] = "perforaterClosed";
    PrinterProcessingStateDetail["PerforaterConfigurationChange"] = "perforaterConfigurationChange";
    PrinterProcessingStateDetail["PerforaterCoverClosed"] = "perforaterCoverClosed";
    PrinterProcessingStateDetail["PerforaterCoverOpen"] = "perforaterCoverOpen";
    PrinterProcessingStateDetail["PerforaterEmpty"] = "perforaterEmpty";
    PrinterProcessingStateDetail["PerforaterFull"] = "perforaterFull";
    PrinterProcessingStateDetail["PerforaterInterlockClosed"] = "perforaterInterlockClosed";
    PrinterProcessingStateDetail["PerforaterInterlockOpen"] = "perforaterInterlockOpen";
    PrinterProcessingStateDetail["PerforaterJam"] = "perforaterJam";
    PrinterProcessingStateDetail["PerforaterLifeAlmostOver"] = "perforaterLifeAlmostOver";
    PrinterProcessingStateDetail["PerforaterLifeOver"] = "perforaterLifeOver";
    PrinterProcessingStateDetail["PerforaterMemoryExhausted"] = "perforaterMemoryExhausted";
    PrinterProcessingStateDetail["PerforaterMissing"] = "perforaterMissing";
    PrinterProcessingStateDetail["PerforaterMotorFailure"] = "perforaterMotorFailure";
    PrinterProcessingStateDetail["PerforaterNearLimit"] = "perforaterNearLimit";
    PrinterProcessingStateDetail["PerforaterOffline"] = "perforaterOffline";
    PrinterProcessingStateDetail["PerforaterOpened"] = "perforaterOpened";
    PrinterProcessingStateDetail["PerforaterOverTemperature"] = "perforaterOverTemperature";
    PrinterProcessingStateDetail["PerforaterPowerSaver"] = "perforaterPowerSaver";
    PrinterProcessingStateDetail["PerforaterRecoverableFailure"] = "perforaterRecoverableFailure";
    PrinterProcessingStateDetail["PerforaterRecoverableStorage"] = "perforaterRecoverableStorage";
    PrinterProcessingStateDetail["PerforaterRemoved"] = "perforaterRemoved";
    PrinterProcessingStateDetail["PerforaterResourceAdded"] = "perforaterResourceAdded";
    PrinterProcessingStateDetail["PerforaterResourceRemoved"] = "perforaterResourceRemoved";
    PrinterProcessingStateDetail["PerforaterThermistorFailure"] = "perforaterThermistorFailure";
    PrinterProcessingStateDetail["PerforaterTimingFailure"] = "perforaterTimingFailure";
    PrinterProcessingStateDetail["PerforaterTurnedOff"] = "perforaterTurnedOff";
    PrinterProcessingStateDetail["PerforaterTurnedOn"] = "perforaterTurnedOn";
    PrinterProcessingStateDetail["PerforaterUnderTemperature"] = "perforaterUnderTemperature";
    PrinterProcessingStateDetail["PerforaterUnrecoverableFailure"] = "perforaterUnrecoverableFailure";
    PrinterProcessingStateDetail["PerforaterUnrecoverableStorageError"] = "perforaterUnrecoverableStorageError";
    PrinterProcessingStateDetail["PerforaterWarmingUp"] = "perforaterWarmingUp";
    PrinterProcessingStateDetail["PlatformCooling"] = "platformCooling";
    PrinterProcessingStateDetail["PlatformFailure"] = "platformFailure";
    PrinterProcessingStateDetail["PlatformHeating"] = "platformHeating";
    PrinterProcessingStateDetail["PlatformTemperatureHigh"] = "platformTemperatureHigh";
    PrinterProcessingStateDetail["PlatformTemperatureLow"] = "platformTemperatureLow";
    PrinterProcessingStateDetail["PowerDown"] = "powerDown";
    PrinterProcessingStateDetail["PowerUp"] = "powerUp";
    PrinterProcessingStateDetail["PrinterManualReset"] = "printerManualReset";
    PrinterProcessingStateDetail["PrinterNmsReset"] = "printerNmsReset";
    PrinterProcessingStateDetail["PrinterReadyToPrint"] = "printerReadyToPrint";
    PrinterProcessingStateDetail["PuncherAdded"] = "puncherAdded";
    PrinterProcessingStateDetail["PuncherAlmostEmpty"] = "puncherAlmostEmpty";
    PrinterProcessingStateDetail["PuncherAlmostFull"] = "puncherAlmostFull";
    PrinterProcessingStateDetail["PuncherAtLimit"] = "puncherAtLimit";
    PrinterProcessingStateDetail["PuncherClosed"] = "puncherClosed";
    PrinterProcessingStateDetail["PuncherConfigurationChange"] = "puncherConfigurationChange";
    PrinterProcessingStateDetail["PuncherCoverClosed"] = "puncherCoverClosed";
    PrinterProcessingStateDetail["PuncherCoverOpen"] = "puncherCoverOpen";
    PrinterProcessingStateDetail["PuncherEmpty"] = "puncherEmpty";
    PrinterProcessingStateDetail["PuncherFull"] = "puncherFull";
    PrinterProcessingStateDetail["PuncherInterlockClosed"] = "puncherInterlockClosed";
    PrinterProcessingStateDetail["PuncherInterlockOpen"] = "puncherInterlockOpen";
    PrinterProcessingStateDetail["PuncherJam"] = "puncherJam";
    PrinterProcessingStateDetail["PuncherLifeAlmostOver"] = "puncherLifeAlmostOver";
    PrinterProcessingStateDetail["PuncherLifeOver"] = "puncherLifeOver";
    PrinterProcessingStateDetail["PuncherMemoryExhausted"] = "puncherMemoryExhausted";
    PrinterProcessingStateDetail["PuncherMissing"] = "puncherMissing";
    PrinterProcessingStateDetail["PuncherMotorFailure"] = "puncherMotorFailure";
    PrinterProcessingStateDetail["PuncherNearLimit"] = "puncherNearLimit";
    PrinterProcessingStateDetail["PuncherOffline"] = "puncherOffline";
    PrinterProcessingStateDetail["PuncherOpened"] = "puncherOpened";
    PrinterProcessingStateDetail["PuncherOverTemperature"] = "puncherOverTemperature";
    PrinterProcessingStateDetail["PuncherPowerSaver"] = "puncherPowerSaver";
    PrinterProcessingStateDetail["PuncherRecoverableFailure"] = "puncherRecoverableFailure";
    PrinterProcessingStateDetail["PuncherRecoverableStorage"] = "puncherRecoverableStorage";
    PrinterProcessingStateDetail["PuncherRemoved"] = "puncherRemoved";
    PrinterProcessingStateDetail["PuncherResourceAdded"] = "puncherResourceAdded";
    PrinterProcessingStateDetail["PuncherResourceRemoved"] = "puncherResourceRemoved";
    PrinterProcessingStateDetail["PuncherThermistorFailure"] = "puncherThermistorFailure";
    PrinterProcessingStateDetail["PuncherTimingFailure"] = "puncherTimingFailure";
    PrinterProcessingStateDetail["PuncherTurnedOff"] = "puncherTurnedOff";
    PrinterProcessingStateDetail["PuncherTurnedOn"] = "puncherTurnedOn";
    PrinterProcessingStateDetail["PuncherUnderTemperature"] = "puncherUnderTemperature";
    PrinterProcessingStateDetail["PuncherUnrecoverableFailure"] = "puncherUnrecoverableFailure";
    PrinterProcessingStateDetail["PuncherUnrecoverableStorageError"] = "puncherUnrecoverableStorageError";
    PrinterProcessingStateDetail["PuncherWarmingUp"] = "puncherWarmingUp";
    PrinterProcessingStateDetail["Resuming"] = "resuming";
    PrinterProcessingStateDetail["ScanMediaPathFailure"] = "scanMediaPathFailure";
    PrinterProcessingStateDetail["ScanMediaPathInputEmpty"] = "scanMediaPathInputEmpty";
    PrinterProcessingStateDetail["ScanMediaPathInputFeedError"] = "scanMediaPathInputFeedError";
    PrinterProcessingStateDetail["ScanMediaPathInputJam"] = "scanMediaPathInputJam";
    PrinterProcessingStateDetail["ScanMediaPathInputRequest"] = "scanMediaPathInputRequest";
    PrinterProcessingStateDetail["ScanMediaPathJam"] = "scanMediaPathJam";
    PrinterProcessingStateDetail["ScanMediaPathOutputFeedError"] = "scanMediaPathOutputFeedError";
    PrinterProcessingStateDetail["ScanMediaPathOutputFull"] = "scanMediaPathOutputFull";
    PrinterProcessingStateDetail["ScanMediaPathOutputJam"] = "scanMediaPathOutputJam";
    PrinterProcessingStateDetail["ScanMediaPathPickRollerFailure"] = "scanMediaPathPickRollerFailure";
    PrinterProcessingStateDetail["ScanMediaPathPickRollerLifeOver"] = "scanMediaPathPickRollerLifeOver";
    PrinterProcessingStateDetail["ScanMediaPathPickRollerLifeWarn"] = "scanMediaPathPickRollerLifeWarn";
    PrinterProcessingStateDetail["ScanMediaPathPickRollerMissing"] = "scanMediaPathPickRollerMissing";
    PrinterProcessingStateDetail["ScanMediaPathTrayAlmostFull"] = "scanMediaPathTrayAlmostFull";
    PrinterProcessingStateDetail["ScanMediaPathTrayFull"] = "scanMediaPathTrayFull";
    PrinterProcessingStateDetail["ScanMediaPathTrayMissing"] = "scanMediaPathTrayMissing";
    PrinterProcessingStateDetail["ScannerLightFailure"] = "scannerLightFailure";
    PrinterProcessingStateDetail["ScannerLightLifeAlmostOver"] = "scannerLightLifeAlmostOver";
    PrinterProcessingStateDetail["ScannerLightLifeOver"] = "scannerLightLifeOver";
    PrinterProcessingStateDetail["ScannerLightMissing"] = "scannerLightMissing";
    PrinterProcessingStateDetail["ScannerSensorFailure"] = "scannerSensorFailure";
    PrinterProcessingStateDetail["ScannerSensorLifeAlmostOver"] = "scannerSensorLifeAlmostOver";
    PrinterProcessingStateDetail["ScannerSensorLifeOver"] = "scannerSensorLifeOver";
    PrinterProcessingStateDetail["ScannerSensorMissing"] = "scannerSensorMissing";
    PrinterProcessingStateDetail["SeparationCutterAdded"] = "separationCutterAdded";
    PrinterProcessingStateDetail["SeparationCutterAlmostEmpty"] = "separationCutterAlmostEmpty";
    PrinterProcessingStateDetail["SeparationCutterAlmostFull"] = "separationCutterAlmostFull";
    PrinterProcessingStateDetail["SeparationCutterAtLimit"] = "separationCutterAtLimit";
    PrinterProcessingStateDetail["SeparationCutterClosed"] = "separationCutterClosed";
    PrinterProcessingStateDetail["SeparationCutterConfigurationChange"] = "separationCutterConfigurationChange";
    PrinterProcessingStateDetail["SeparationCutterCoverClosed"] = "separationCutterCoverClosed";
    PrinterProcessingStateDetail["SeparationCutterCoverOpen"] = "separationCutterCoverOpen";
    PrinterProcessingStateDetail["SeparationCutterEmpty"] = "separationCutterEmpty";
    PrinterProcessingStateDetail["SeparationCutterFull"] = "separationCutterFull";
    PrinterProcessingStateDetail["SeparationCutterInterlockClosed"] = "separationCutterInterlockClosed";
    PrinterProcessingStateDetail["SeparationCutterInterlockOpen"] = "separationCutterInterlockOpen";
    PrinterProcessingStateDetail["SeparationCutterJam"] = "separationCutterJam";
    PrinterProcessingStateDetail["SeparationCutterLifeAlmostOver"] = "separationCutterLifeAlmostOver";
    PrinterProcessingStateDetail["SeparationCutterLifeOver"] = "separationCutterLifeOver";
    PrinterProcessingStateDetail["SeparationCutterMemoryExhausted"] = "separationCutterMemoryExhausted";
    PrinterProcessingStateDetail["SeparationCutterMissing"] = "separationCutterMissing";
    PrinterProcessingStateDetail["SeparationCutterMotorFailure"] = "separationCutterMotorFailure";
    PrinterProcessingStateDetail["SeparationCutterNearLimit"] = "separationCutterNearLimit";
    PrinterProcessingStateDetail["SeparationCutterOffline"] = "separationCutterOffline";
    PrinterProcessingStateDetail["SeparationCutterOpened"] = "separationCutterOpened";
    PrinterProcessingStateDetail["SeparationCutterOverTemperature"] = "separationCutterOverTemperature";
    PrinterProcessingStateDetail["SeparationCutterPowerSaver"] = "separationCutterPowerSaver";
    PrinterProcessingStateDetail["SeparationCutterRecoverableFailure"] = "separationCutterRecoverableFailure";
    PrinterProcessingStateDetail["SeparationCutterRecoverableStorage"] = "separationCutterRecoverableStorage";
    PrinterProcessingStateDetail["SeparationCutterRemoved"] = "separationCutterRemoved";
    PrinterProcessingStateDetail["SeparationCutterResourceAdded"] = "separationCutterResourceAdded";
    PrinterProcessingStateDetail["SeparationCutterResourceRemoved"] = "separationCutterResourceRemoved";
    PrinterProcessingStateDetail["SeparationCutterThermistorFailure"] = "separationCutterThermistorFailure";
    PrinterProcessingStateDetail["SeparationCutterTimingFailure"] = "separationCutterTimingFailure";
    PrinterProcessingStateDetail["SeparationCutterTurnedOff"] = "separationCutterTurnedOff";
    PrinterProcessingStateDetail["SeparationCutterTurnedOn"] = "separationCutterTurnedOn";
    PrinterProcessingStateDetail["SeparationCutterUnderTemperature"] = "separationCutterUnderTemperature";
    PrinterProcessingStateDetail["SeparationCutterUnrecoverableFailure"] = "separationCutterUnrecoverableFailure";
    PrinterProcessingStateDetail["SeparationCutterUnrecoverableStorageError"] = "separationCutterUnrecoverableStorageError";
    PrinterProcessingStateDetail["SeparationCutterWarmingUp"] = "separationCutterWarmingUp";
    PrinterProcessingStateDetail["SheetRotatorAdded"] = "sheetRotatorAdded";
    PrinterProcessingStateDetail["SheetRotatorAlmostEmpty"] = "sheetRotatorAlmostEmpty";
    PrinterProcessingStateDetail["SheetRotatorAlmostFull"] = "sheetRotatorAlmostFull";
    PrinterProcessingStateDetail["SheetRotatorAtLimit"] = "sheetRotatorAtLimit";
    PrinterProcessingStateDetail["SheetRotatorClosed"] = "sheetRotatorClosed";
    PrinterProcessingStateDetail["SheetRotatorConfigurationChange"] = "sheetRotatorConfigurationChange";
    PrinterProcessingStateDetail["SheetRotatorCoverClosed"] = "sheetRotatorCoverClosed";
    PrinterProcessingStateDetail["SheetRotatorCoverOpen"] = "sheetRotatorCoverOpen";
    PrinterProcessingStateDetail["SheetRotatorEmpty"] = "sheetRotatorEmpty";
    PrinterProcessingStateDetail["SheetRotatorFull"] = "sheetRotatorFull";
    PrinterProcessingStateDetail["SheetRotatorInterlockClosed"] = "sheetRotatorInterlockClosed";
    PrinterProcessingStateDetail["SheetRotatorInterlockOpen"] = "sheetRotatorInterlockOpen";
    PrinterProcessingStateDetail["SheetRotatorJam"] = "sheetRotatorJam";
    PrinterProcessingStateDetail["SheetRotatorLifeAlmostOver"] = "sheetRotatorLifeAlmostOver";
    PrinterProcessingStateDetail["SheetRotatorLifeOver"] = "sheetRotatorLifeOver";
    PrinterProcessingStateDetail["SheetRotatorMemoryExhausted"] = "sheetRotatorMemoryExhausted";
    PrinterProcessingStateDetail["SheetRotatorMissing"] = "sheetRotatorMissing";
    PrinterProcessingStateDetail["SheetRotatorMotorFailure"] = "sheetRotatorMotorFailure";
    PrinterProcessingStateDetail["SheetRotatorNearLimit"] = "sheetRotatorNearLimit";
    PrinterProcessingStateDetail["SheetRotatorOffline"] = "sheetRotatorOffline";
    PrinterProcessingStateDetail["SheetRotatorOpened"] = "sheetRotatorOpened";
    PrinterProcessingStateDetail["SheetRotatorOverTemperature"] = "sheetRotatorOverTemperature";
    PrinterProcessingStateDetail["SheetRotatorPowerSaver"] = "sheetRotatorPowerSaver";
    PrinterProcessingStateDetail["SheetRotatorRecoverableFailure"] = "sheetRotatorRecoverableFailure";
    PrinterProcessingStateDetail["SheetRotatorRecoverableStorage"] = "sheetRotatorRecoverableStorage";
    PrinterProcessingStateDetail["SheetRotatorRemoved"] = "sheetRotatorRemoved";
    PrinterProcessingStateDetail["SheetRotatorResourceAdded"] = "sheetRotatorResourceAdded";
    PrinterProcessingStateDetail["SheetRotatorResourceRemoved"] = "sheetRotatorResourceRemoved";
    PrinterProcessingStateDetail["SheetRotatorThermistorFailure"] = "sheetRotatorThermistorFailure";
    PrinterProcessingStateDetail["SheetRotatorTimingFailure"] = "sheetRotatorTimingFailure";
    PrinterProcessingStateDetail["SheetRotatorTurnedOff"] = "sheetRotatorTurnedOff";
    PrinterProcessingStateDetail["SheetRotatorTurnedOn"] = "sheetRotatorTurnedOn";
    PrinterProcessingStateDetail["SheetRotatorUnderTemperature"] = "sheetRotatorUnderTemperature";
    PrinterProcessingStateDetail["SheetRotatorUnrecoverableFailure"] = "sheetRotatorUnrecoverableFailure";
    PrinterProcessingStateDetail["SheetRotatorUnrecoverableStorageError"] = "sheetRotatorUnrecoverableStorageError";
    PrinterProcessingStateDetail["SheetRotatorWarmingUp"] = "sheetRotatorWarmingUp";
    PrinterProcessingStateDetail["SlitterAdded"] = "slitterAdded";
    PrinterProcessingStateDetail["SlitterAlmostEmpty"] = "slitterAlmostEmpty";
    PrinterProcessingStateDetail["SlitterAlmostFull"] = "slitterAlmostFull";
    PrinterProcessingStateDetail["SlitterAtLimit"] = "slitterAtLimit";
    PrinterProcessingStateDetail["SlitterClosed"] = "slitterClosed";
    PrinterProcessingStateDetail["SlitterConfigurationChange"] = "slitterConfigurationChange";
    PrinterProcessingStateDetail["SlitterCoverClosed"] = "slitterCoverClosed";
    PrinterProcessingStateDetail["SlitterCoverOpen"] = "slitterCoverOpen";
    PrinterProcessingStateDetail["SlitterEmpty"] = "slitterEmpty";
    PrinterProcessingStateDetail["SlitterFull"] = "slitterFull";
    PrinterProcessingStateDetail["SlitterInterlockClosed"] = "slitterInterlockClosed";
    PrinterProcessingStateDetail["SlitterInterlockOpen"] = "slitterInterlockOpen";
    PrinterProcessingStateDetail["SlitterJam"] = "slitterJam";
    PrinterProcessingStateDetail["SlitterLifeAlmostOver"] = "slitterLifeAlmostOver";
    PrinterProcessingStateDetail["SlitterLifeOver"] = "slitterLifeOver";
    PrinterProcessingStateDetail["SlitterMemoryExhausted"] = "slitterMemoryExhausted";
    PrinterProcessingStateDetail["SlitterMissing"] = "slitterMissing";
    PrinterProcessingStateDetail["SlitterMotorFailure"] = "slitterMotorFailure";
    PrinterProcessingStateDetail["SlitterNearLimit"] = "slitterNearLimit";
    PrinterProcessingStateDetail["SlitterOffline"] = "slitterOffline";
    PrinterProcessingStateDetail["SlitterOpened"] = "slitterOpened";
    PrinterProcessingStateDetail["SlitterOverTemperature"] = "slitterOverTemperature";
    PrinterProcessingStateDetail["SlitterPowerSaver"] = "slitterPowerSaver";
    PrinterProcessingStateDetail["SlitterRecoverableFailure"] = "slitterRecoverableFailure";
    PrinterProcessingStateDetail["SlitterRecoverableStorage"] = "slitterRecoverableStorage";
    PrinterProcessingStateDetail["SlitterRemoved"] = "slitterRemoved";
    PrinterProcessingStateDetail["SlitterResourceAdded"] = "slitterResourceAdded";
    PrinterProcessingStateDetail["SlitterResourceRemoved"] = "slitterResourceRemoved";
    PrinterProcessingStateDetail["SlitterThermistorFailure"] = "slitterThermistorFailure";
    PrinterProcessingStateDetail["SlitterTimingFailure"] = "slitterTimingFailure";
    PrinterProcessingStateDetail["SlitterTurnedOff"] = "slitterTurnedOff";
    PrinterProcessingStateDetail["SlitterTurnedOn"] = "slitterTurnedOn";
    PrinterProcessingStateDetail["SlitterUnderTemperature"] = "slitterUnderTemperature";
    PrinterProcessingStateDetail["SlitterUnrecoverableFailure"] = "slitterUnrecoverableFailure";
    PrinterProcessingStateDetail["SlitterUnrecoverableStorageError"] = "slitterUnrecoverableStorageError";
    PrinterProcessingStateDetail["SlitterWarmingUp"] = "slitterWarmingUp";
    PrinterProcessingStateDetail["StackerAdded"] = "stackerAdded";
    PrinterProcessingStateDetail["StackerAlmostEmpty"] = "stackerAlmostEmpty";
    PrinterProcessingStateDetail["StackerAlmostFull"] = "stackerAlmostFull";
    PrinterProcessingStateDetail["StackerAtLimit"] = "stackerAtLimit";
    PrinterProcessingStateDetail["StackerClosed"] = "stackerClosed";
    PrinterProcessingStateDetail["StackerConfigurationChange"] = "stackerConfigurationChange";
    PrinterProcessingStateDetail["StackerCoverClosed"] = "stackerCoverClosed";
    PrinterProcessingStateDetail["StackerCoverOpen"] = "stackerCoverOpen";
    PrinterProcessingStateDetail["StackerEmpty"] = "stackerEmpty";
    PrinterProcessingStateDetail["StackerFull"] = "stackerFull";
    PrinterProcessingStateDetail["StackerInterlockClosed"] = "stackerInterlockClosed";
    PrinterProcessingStateDetail["StackerInterlockOpen"] = "stackerInterlockOpen";
    PrinterProcessingStateDetail["StackerJam"] = "stackerJam";
    PrinterProcessingStateDetail["StackerLifeAlmostOver"] = "stackerLifeAlmostOver";
    PrinterProcessingStateDetail["StackerLifeOver"] = "stackerLifeOver";
    PrinterProcessingStateDetail["StackerMemoryExhausted"] = "stackerMemoryExhausted";
    PrinterProcessingStateDetail["StackerMissing"] = "stackerMissing";
    PrinterProcessingStateDetail["StackerMotorFailure"] = "stackerMotorFailure";
    PrinterProcessingStateDetail["StackerNearLimit"] = "stackerNearLimit";
    PrinterProcessingStateDetail["StackerOffline"] = "stackerOffline";
    PrinterProcessingStateDetail["StackerOpened"] = "stackerOpened";
    PrinterProcessingStateDetail["StackerOverTemperature"] = "stackerOverTemperature";
    PrinterProcessingStateDetail["StackerPowerSaver"] = "stackerPowerSaver";
    PrinterProcessingStateDetail["StackerRecoverableFailure"] = "stackerRecoverableFailure";
    PrinterProcessingStateDetail["StackerRecoverableStorage"] = "stackerRecoverableStorage";
    PrinterProcessingStateDetail["StackerRemoved"] = "stackerRemoved";
    PrinterProcessingStateDetail["StackerResourceAdded"] = "stackerResourceAdded";
    PrinterProcessingStateDetail["StackerResourceRemoved"] = "stackerResourceRemoved";
    PrinterProcessingStateDetail["StackerThermistorFailure"] = "stackerThermistorFailure";
    PrinterProcessingStateDetail["StackerTimingFailure"] = "stackerTimingFailure";
    PrinterProcessingStateDetail["StackerTurnedOff"] = "stackerTurnedOff";
    PrinterProcessingStateDetail["StackerTurnedOn"] = "stackerTurnedOn";
    PrinterProcessingStateDetail["StackerUnderTemperature"] = "stackerUnderTemperature";
    PrinterProcessingStateDetail["StackerUnrecoverableFailure"] = "stackerUnrecoverableFailure";
    PrinterProcessingStateDetail["StackerUnrecoverableStorageError"] = "stackerUnrecoverableStorageError";
    PrinterProcessingStateDetail["StackerWarmingUp"] = "stackerWarmingUp";
    PrinterProcessingStateDetail["Standby"] = "standby";
    PrinterProcessingStateDetail["StaplerAdded"] = "staplerAdded";
    PrinterProcessingStateDetail["StaplerAlmostEmpty"] = "staplerAlmostEmpty";
    PrinterProcessingStateDetail["StaplerAlmostFull"] = "staplerAlmostFull";
    PrinterProcessingStateDetail["StaplerAtLimit"] = "staplerAtLimit";
    PrinterProcessingStateDetail["StaplerClosed"] = "staplerClosed";
    PrinterProcessingStateDetail["StaplerConfigurationChange"] = "staplerConfigurationChange";
    PrinterProcessingStateDetail["StaplerCoverClosed"] = "staplerCoverClosed";
    PrinterProcessingStateDetail["StaplerCoverOpen"] = "staplerCoverOpen";
    PrinterProcessingStateDetail["StaplerEmpty"] = "staplerEmpty";
    PrinterProcessingStateDetail["StaplerFull"] = "staplerFull";
    PrinterProcessingStateDetail["StaplerInterlockClosed"] = "staplerInterlockClosed";
    PrinterProcessingStateDetail["StaplerInterlockOpen"] = "staplerInterlockOpen";
    PrinterProcessingStateDetail["StaplerJam"] = "staplerJam";
    PrinterProcessingStateDetail["StaplerLifeAlmostOver"] = "staplerLifeAlmostOver";
    PrinterProcessingStateDetail["StaplerLifeOver"] = "staplerLifeOver";
    PrinterProcessingStateDetail["StaplerMemoryExhausted"] = "staplerMemoryExhausted";
    PrinterProcessingStateDetail["StaplerMissing"] = "staplerMissing";
    PrinterProcessingStateDetail["StaplerMotorFailure"] = "staplerMotorFailure";
    PrinterProcessingStateDetail["StaplerNearLimit"] = "staplerNearLimit";
    PrinterProcessingStateDetail["StaplerOffline"] = "staplerOffline";
    PrinterProcessingStateDetail["StaplerOpened"] = "staplerOpened";
    PrinterProcessingStateDetail["StaplerOverTemperature"] = "staplerOverTemperature";
    PrinterProcessingStateDetail["StaplerPowerSaver"] = "staplerPowerSaver";
    PrinterProcessingStateDetail["StaplerRecoverableFailure"] = "staplerRecoverableFailure";
    PrinterProcessingStateDetail["StaplerRecoverableStorage"] = "staplerRecoverableStorage";
    PrinterProcessingStateDetail["StaplerRemoved"] = "staplerRemoved";
    PrinterProcessingStateDetail["StaplerResourceAdded"] = "staplerResourceAdded";
    PrinterProcessingStateDetail["StaplerResourceRemoved"] = "staplerResourceRemoved";
    PrinterProcessingStateDetail["StaplerThermistorFailure"] = "staplerThermistorFailure";
    PrinterProcessingStateDetail["StaplerTimingFailure"] = "staplerTimingFailure";
    PrinterProcessingStateDetail["StaplerTurnedOff"] = "staplerTurnedOff";
    PrinterProcessingStateDetail["StaplerTurnedOn"] = "staplerTurnedOn";
    PrinterProcessingStateDetail["StaplerUnderTemperature"] = "staplerUnderTemperature";
    PrinterProcessingStateDetail["StaplerUnrecoverableFailure"] = "staplerUnrecoverableFailure";
    PrinterProcessingStateDetail["StaplerUnrecoverableStorageError"] = "staplerUnrecoverableStorageError";
    PrinterProcessingStateDetail["StaplerWarmingUp"] = "staplerWarmingUp";
    PrinterProcessingStateDetail["StitcherAdded"] = "stitcherAdded";
    PrinterProcessingStateDetail["StitcherAlmostEmpty"] = "stitcherAlmostEmpty";
    PrinterProcessingStateDetail["StitcherAlmostFull"] = "stitcherAlmostFull";
    PrinterProcessingStateDetail["StitcherAtLimit"] = "stitcherAtLimit";
    PrinterProcessingStateDetail["StitcherClosed"] = "stitcherClosed";
    PrinterProcessingStateDetail["StitcherConfigurationChange"] = "stitcherConfigurationChange";
    PrinterProcessingStateDetail["StitcherCoverClosed"] = "stitcherCoverClosed";
    PrinterProcessingStateDetail["StitcherCoverOpen"] = "stitcherCoverOpen";
    PrinterProcessingStateDetail["StitcherEmpty"] = "stitcherEmpty";
    PrinterProcessingStateDetail["StitcherFull"] = "stitcherFull";
    PrinterProcessingStateDetail["StitcherInterlockClosed"] = "stitcherInterlockClosed";
    PrinterProcessingStateDetail["StitcherInterlockOpen"] = "stitcherInterlockOpen";
    PrinterProcessingStateDetail["StitcherJam"] = "stitcherJam";
    PrinterProcessingStateDetail["StitcherLifeAlmostOver"] = "stitcherLifeAlmostOver";
    PrinterProcessingStateDetail["StitcherLifeOver"] = "stitcherLifeOver";
    PrinterProcessingStateDetail["StitcherMemoryExhausted"] = "stitcherMemoryExhausted";
    PrinterProcessingStateDetail["StitcherMissing"] = "stitcherMissing";
    PrinterProcessingStateDetail["StitcherMotorFailure"] = "stitcherMotorFailure";
    PrinterProcessingStateDetail["StitcherNearLimit"] = "stitcherNearLimit";
    PrinterProcessingStateDetail["StitcherOffline"] = "stitcherOffline";
    PrinterProcessingStateDetail["StitcherOpened"] = "stitcherOpened";
    PrinterProcessingStateDetail["StitcherOverTemperature"] = "stitcherOverTemperature";
    PrinterProcessingStateDetail["StitcherPowerSaver"] = "stitcherPowerSaver";
    PrinterProcessingStateDetail["StitcherRecoverableFailure"] = "stitcherRecoverableFailure";
    PrinterProcessingStateDetail["StitcherRecoverableStorage"] = "stitcherRecoverableStorage";
    PrinterProcessingStateDetail["StitcherRemoved"] = "stitcherRemoved";
    PrinterProcessingStateDetail["StitcherResourceAdded"] = "stitcherResourceAdded";
    PrinterProcessingStateDetail["StitcherResourceRemoved"] = "stitcherResourceRemoved";
    PrinterProcessingStateDetail["StitcherThermistorFailure"] = "stitcherThermistorFailure";
    PrinterProcessingStateDetail["StitcherTimingFailure"] = "stitcherTimingFailure";
    PrinterProcessingStateDetail["StitcherTurnedOff"] = "stitcherTurnedOff";
    PrinterProcessingStateDetail["StitcherTurnedOn"] = "stitcherTurnedOn";
    PrinterProcessingStateDetail["StitcherUnderTemperature"] = "stitcherUnderTemperature";
    PrinterProcessingStateDetail["StitcherUnrecoverableFailure"] = "stitcherUnrecoverableFailure";
    PrinterProcessingStateDetail["StitcherUnrecoverableStorageError"] = "stitcherUnrecoverableStorageError";
    PrinterProcessingStateDetail["StitcherWarmingUp"] = "stitcherWarmingUp";
    PrinterProcessingStateDetail["SubunitAdded"] = "subunitAdded";
    PrinterProcessingStateDetail["SubunitAlmostEmpty"] = "subunitAlmostEmpty";
    PrinterProcessingStateDetail["SubunitAlmostFull"] = "subunitAlmostFull";
    PrinterProcessingStateDetail["SubunitAtLimit"] = "subunitAtLimit";
    PrinterProcessingStateDetail["SubunitClosed"] = "subunitClosed";
    PrinterProcessingStateDetail["SubunitCoolingDown"] = "subunitCoolingDown";
    PrinterProcessingStateDetail["SubunitEmpty"] = "subunitEmpty";
    PrinterProcessingStateDetail["SubunitFull"] = "subunitFull";
    PrinterProcessingStateDetail["SubunitLifeAlmostOver"] = "subunitLifeAlmostOver";
    PrinterProcessingStateDetail["SubunitLifeOver"] = "subunitLifeOver";
    PrinterProcessingStateDetail["SubunitMemoryExhausted"] = "subunitMemoryExhausted";
    PrinterProcessingStateDetail["SubunitMissing"] = "subunitMissing";
    PrinterProcessingStateDetail["SubunitMotorFailure"] = "subunitMotorFailure";
    PrinterProcessingStateDetail["SubunitNearLimit"] = "subunitNearLimit";
    PrinterProcessingStateDetail["SubunitOffline"] = "subunitOffline";
    PrinterProcessingStateDetail["SubunitOpened"] = "subunitOpened";
    PrinterProcessingStateDetail["SubunitOverTemperature"] = "subunitOverTemperature";
    PrinterProcessingStateDetail["SubunitPowerSaver"] = "subunitPowerSaver";
    PrinterProcessingStateDetail["SubunitRecoverableFailure"] = "subunitRecoverableFailure";
    PrinterProcessingStateDetail["SubunitRecoverableStorage"] = "subunitRecoverableStorage";
    PrinterProcessingStateDetail["SubunitRemoved"] = "subunitRemoved";
    PrinterProcessingStateDetail["SubunitResourceAdded"] = "subunitResourceAdded";
    PrinterProcessingStateDetail["SubunitResourceRemoved"] = "subunitResourceRemoved";
    PrinterProcessingStateDetail["SubunitThermistorFailure"] = "subunitThermistorFailure";
    PrinterProcessingStateDetail["SubunitTimingFailure"] = "subunitTimingFailure";
    PrinterProcessingStateDetail["SubunitTurnedOff"] = "subunitTurnedOff";
    PrinterProcessingStateDetail["SubunitTurnedOn"] = "subunitTurnedOn";
    PrinterProcessingStateDetail["SubunitUnderTemperature"] = "subunitUnderTemperature";
    PrinterProcessingStateDetail["SubunitUnrecoverableFailure"] = "subunitUnrecoverableFailure";
    PrinterProcessingStateDetail["SubunitUnrecoverableStorage"] = "subunitUnrecoverableStorage";
    PrinterProcessingStateDetail["SubunitWarmingUp"] = "subunitWarmingUp";
    PrinterProcessingStateDetail["Suspend"] = "suspend";
    PrinterProcessingStateDetail["Testing"] = "testing";
    PrinterProcessingStateDetail["TrimmerAdded"] = "trimmerAdded";
    PrinterProcessingStateDetail["TrimmerAlmostEmpty"] = "trimmerAlmostEmpty";
    PrinterProcessingStateDetail["TrimmerAlmostFull"] = "trimmerAlmostFull";
    PrinterProcessingStateDetail["TrimmerAtLimit"] = "trimmerAtLimit";
    PrinterProcessingStateDetail["TrimmerClosed"] = "trimmerClosed";
    PrinterProcessingStateDetail["TrimmerConfigurationChange"] = "trimmerConfigurationChange";
    PrinterProcessingStateDetail["TrimmerCoverClosed"] = "trimmerCoverClosed";
    PrinterProcessingStateDetail["TrimmerCoverOpen"] = "trimmerCoverOpen";
    PrinterProcessingStateDetail["TrimmerEmpty"] = "trimmerEmpty";
    PrinterProcessingStateDetail["TrimmerFull"] = "trimmerFull";
    PrinterProcessingStateDetail["TrimmerInterlockClosed"] = "trimmerInterlockClosed";
    PrinterProcessingStateDetail["TrimmerInterlockOpen"] = "trimmerInterlockOpen";
    PrinterProcessingStateDetail["TrimmerJam"] = "trimmerJam";
    PrinterProcessingStateDetail["TrimmerLifeAlmostOver"] = "trimmerLifeAlmostOver";
    PrinterProcessingStateDetail["TrimmerLifeOver"] = "trimmerLifeOver";
    PrinterProcessingStateDetail["TrimmerMemoryExhausted"] = "trimmerMemoryExhausted";
    PrinterProcessingStateDetail["TrimmerMissing"] = "trimmerMissing";
    PrinterProcessingStateDetail["TrimmerMotorFailure"] = "trimmerMotorFailure";
    PrinterProcessingStateDetail["TrimmerNearLimit"] = "trimmerNearLimit";
    PrinterProcessingStateDetail["TrimmerOffline"] = "trimmerOffline";
    PrinterProcessingStateDetail["TrimmerOpened"] = "trimmerOpened";
    PrinterProcessingStateDetail["TrimmerOverTemperature"] = "trimmerOverTemperature";
    PrinterProcessingStateDetail["TrimmerPowerSaver"] = "trimmerPowerSaver";
    PrinterProcessingStateDetail["TrimmerRecoverableFailure"] = "trimmerRecoverableFailure";
    PrinterProcessingStateDetail["TrimmerRecoverableStorage"] = "trimmerRecoverableStorage";
    PrinterProcessingStateDetail["TrimmerRemoved"] = "trimmerRemoved";
    PrinterProcessingStateDetail["TrimmerResourceAdded"] = "trimmerResourceAdded";
    PrinterProcessingStateDetail["TrimmerResourceRemoved"] = "trimmerResourceRemoved";
    PrinterProcessingStateDetail["TrimmerThermistorFailure"] = "trimmerThermistorFailure";
    PrinterProcessingStateDetail["TrimmerTimingFailure"] = "trimmerTimingFailure";
    PrinterProcessingStateDetail["TrimmerTurnedOff"] = "trimmerTurnedOff";
    PrinterProcessingStateDetail["TrimmerTurnedOn"] = "trimmerTurnedOn";
    PrinterProcessingStateDetail["TrimmerUnderTemperature"] = "trimmerUnderTemperature";
    PrinterProcessingStateDetail["TrimmerUnrecoverableFailure"] = "trimmerUnrecoverableFailure";
    PrinterProcessingStateDetail["TrimmerUnrecoverableStorageError"] = "trimmerUnrecoverableStorageError";
    PrinterProcessingStateDetail["TrimmerWarmingUp"] = "trimmerWarmingUp";
    PrinterProcessingStateDetail["Unknown"] = "unknown";
    PrinterProcessingStateDetail["WrapperAdded"] = "wrapperAdded";
    PrinterProcessingStateDetail["WrapperAlmostEmpty"] = "wrapperAlmostEmpty";
    PrinterProcessingStateDetail["WrapperAlmostFull"] = "wrapperAlmostFull";
    PrinterProcessingStateDetail["WrapperAtLimit"] = "wrapperAtLimit";
    PrinterProcessingStateDetail["WrapperClosed"] = "wrapperClosed";
    PrinterProcessingStateDetail["WrapperConfigurationChange"] = "wrapperConfigurationChange";
    PrinterProcessingStateDetail["WrapperCoverClosed"] = "wrapperCoverClosed";
    PrinterProcessingStateDetail["WrapperCoverOpen"] = "wrapperCoverOpen";
    PrinterProcessingStateDetail["WrapperEmpty"] = "wrapperEmpty";
    PrinterProcessingStateDetail["WrapperFull"] = "wrapperFull";
    PrinterProcessingStateDetail["WrapperInterlockClosed"] = "wrapperInterlockClosed";
    PrinterProcessingStateDetail["WrapperInterlockOpen"] = "wrapperInterlockOpen";
    PrinterProcessingStateDetail["WrapperJam"] = "wrapperJam";
    PrinterProcessingStateDetail["WrapperLifeAlmostOver"] = "wrapperLifeAlmostOver";
    PrinterProcessingStateDetail["WrapperLifeOver"] = "wrapperLifeOver";
    PrinterProcessingStateDetail["WrapperMemoryExhausted"] = "wrapperMemoryExhausted";
    PrinterProcessingStateDetail["WrapperMissing"] = "wrapperMissing";
    PrinterProcessingStateDetail["WrapperMotorFailure"] = "wrapperMotorFailure";
    PrinterProcessingStateDetail["WrapperNearLimit"] = "wrapperNearLimit";
    PrinterProcessingStateDetail["WrapperOffline"] = "wrapperOffline";
    PrinterProcessingStateDetail["WrapperOpened"] = "wrapperOpened";
    PrinterProcessingStateDetail["WrapperOverTemperature"] = "wrapperOverTemperature";
    PrinterProcessingStateDetail["WrapperPowerSaver"] = "wrapperPowerSaver";
    PrinterProcessingStateDetail["WrapperRecoverableFailure"] = "wrapperRecoverableFailure";
    PrinterProcessingStateDetail["WrapperRecoverableStorage"] = "wrapperRecoverableStorage";
    PrinterProcessingStateDetail["WrapperRemoved"] = "wrapperRemoved";
    PrinterProcessingStateDetail["WrapperResourceAdded"] = "wrapperResourceAdded";
    PrinterProcessingStateDetail["WrapperResourceRemoved"] = "wrapperResourceRemoved";
    PrinterProcessingStateDetail["WrapperThermistorFailure"] = "wrapperThermistorFailure";
    PrinterProcessingStateDetail["WrapperTimingFailure"] = "wrapperTimingFailure";
    PrinterProcessingStateDetail["WrapperTurnedOff"] = "wrapperTurnedOff";
    PrinterProcessingStateDetail["WrapperTurnedOn"] = "wrapperTurnedOn";
    PrinterProcessingStateDetail["WrapperUnderTemperature"] = "wrapperUnderTemperature";
    PrinterProcessingStateDetail["WrapperUnrecoverableFailure"] = "wrapperUnrecoverableFailure";
    PrinterProcessingStateDetail["WrapperUnrecoverableStorageError"] = "wrapperUnrecoverableStorageError";
    PrinterProcessingStateDetail["WrapperWarmingUp"] = "wrapperWarmingUp";
})(PrinterProcessingStateDetail || (exports.PrinterProcessingStateDetail = PrinterProcessingStateDetail = {}));
// tslint:enable
// eslint-enable
