import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrinterShare } from './printerShare';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrinterShareCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrinterShareCollectionResponse;
export declare function deserializeIntoPrinterShareCollectionResponse(printerShareCollectionResponse?: PrinterShareCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrinterShareCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrinterShare[];
}
export declare function serializePrinterShareCollectionResponse(writer: SerializationWriter, printerShareCollectionResponse?: PrinterShareCollectionResponse | undefined): void;
