import { type SubjectRightsRequest } from './subjectRightsRequest';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivacyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivacy;
export declare function deserializeIntoPrivacy(privacy?: Privacy | undefined): Record<string, (node: ParseNode) => void>;
export interface Privacy extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The subjectRightsRequests property
     */
    subjectRightsRequests?: SubjectRightsRequest[];
}
export declare function serializePrivacy(writer: SerializationWriter, privacy?: Privacy | undefined): void;
