import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ProfilePhoto } from './profilePhoto';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProfilePhotoCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProfilePhotoCollectionResponse;
export declare function deserializeIntoProfilePhotoCollectionResponse(profilePhotoCollectionResponse?: ProfilePhotoCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ProfilePhotoCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ProfilePhoto[];
}
export declare function serializeProfilePhotoCollectionResponse(writer: SerializationWriter, profilePhotoCollectionResponse?: ProfilePhotoCollectionResponse | undefined): void;
