import { deserializeIntoMediaPrompt } from './mediaPrompt';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPromptFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaPrompt;
export declare function deserializeIntoPrompt(prompt?: Prompt | undefined): Record<string, (node: ParseNode) => void>;
export interface Prompt extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePrompt(writer: SerializationWriter, prompt?: Prompt | undefined): void;
