import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisionChannelEmailResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisionChannelEmailResult;
export declare function deserializeIntoProvisionChannelEmailResult(provisionChannelEmailResult?: ProvisionChannelEmailResult | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisionChannelEmailResult extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Represents the provisioned email address.
     */
    email?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeProvisionChannelEmailResult(writer: SerializationWriter, provisionChannelEmailResult?: ProvisionChannelEmailResult | undefined): void;
