"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeProvisionedPlan = exports.deserializeIntoProvisionedPlan = exports.createProvisionedPlanFromDiscriminatorValue = void 0;
function createProvisionedPlanFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoProvisionedPlan;
}
exports.createProvisionedPlanFromDiscriminatorValue = createProvisionedPlanFromDiscriminatorValue;
function deserializeIntoProvisionedPlan(provisionedPlan = {}) {
    return {
        "capabilityStatus": n => { provisionedPlan.capabilityStatus = n.getStringValue(); },
        "@odata.type": n => { provisionedPlan.odataType = n.getStringValue(); },
        "provisioningStatus": n => { provisionedPlan.provisioningStatus = n.getStringValue(); },
        "service": n => { provisionedPlan.service = n.getStringValue(); },
    };
}
exports.deserializeIntoProvisionedPlan = deserializeIntoProvisionedPlan;
function serializeProvisionedPlan(writer, provisionedPlan = {}) {
    writer.writeStringValue("capabilityStatus", provisionedPlan.capabilityStatus);
    writer.writeStringValue("@odata.type", provisionedPlan.odataType);
    writer.writeStringValue("provisioningStatus", provisionedPlan.provisioningStatus);
    writer.writeStringValue("service", provisionedPlan.service);
    writer.writeAdditionalData(provisionedPlan.additionalData);
}
exports.serializeProvisionedPlan = serializeProvisionedPlan;
// tslint:enable
// eslint-enable
