import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisioningServicePrincipalFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisioningServicePrincipal;
export declare function deserializeIntoProvisioningServicePrincipal(provisioningServicePrincipal?: ProvisioningServicePrincipal | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisioningServicePrincipal extends Identity, Parsable {
}
export declare function serializeProvisioningServicePrincipal(writer: SerializationWriter, provisioningServicePrincipal?: ProvisioningServicePrincipal | undefined): void;
