"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePublicClientApplication = exports.deserializeIntoPublicClientApplication = exports.createPublicClientApplicationFromDiscriminatorValue = void 0;
function createPublicClientApplicationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPublicClientApplication;
}
exports.createPublicClientApplicationFromDiscriminatorValue = createPublicClientApplicationFromDiscriminatorValue;
function deserializeIntoPublicClientApplication(publicClientApplication = {}) {
    return {
        "@odata.type": n => { publicClientApplication.odataType = n.getStringValue(); },
        "redirectUris": n => { publicClientApplication.redirectUris = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoPublicClientApplication = deserializeIntoPublicClientApplication;
function serializePublicClientApplication(writer, publicClientApplication = {}) {
    writer.writeStringValue("@odata.type", publicClientApplication.odataType);
    writer.writeCollectionOfPrimitiveValues("redirectUris", publicClientApplication.redirectUris);
    writer.writeAdditionalData(publicClientApplication.additionalData);
}
exports.serializePublicClientApplication = serializePublicClientApplication;
// tslint:enable
// eslint-enable
