"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingCanadaMoviesType = void 0;
/**
 * Movies rating labels in Canada
 */
var RatingCanadaMoviesType;
(function (RatingCanadaMoviesType) {
    /** Default value, allow all movies content */
    RatingCanadaMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingCanadaMoviesType["AllBlocked"] = "allBlocked";
    /** The G classification is suitable for all ages */
    RatingCanadaMoviesType["General"] = "general";
    /** The PG classification advises parental guidance */
    RatingCanadaMoviesType["ParentalGuidance"] = "parentalGuidance";
    /** The 14A classification is suitable for viewers above 14 or older */
    RatingCanadaMoviesType["AgesAbove14"] = "agesAbove14";
    /** The 18A classification is suitable for viewers above 18 or older */
    RatingCanadaMoviesType["AgesAbove18"] = "agesAbove18";
    /** The R classification is restricted to 18 years and older */
    RatingCanadaMoviesType["Restricted"] = "restricted";
})(RatingCanadaMoviesType || (exports.RatingCanadaMoviesType = RatingCanadaMoviesType = {}));
// tslint:enable
// eslint-enable
