"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingFranceMoviesType = void 0;
/**
 * Movies rating labels in France
 */
var RatingFranceMoviesType;
(function (RatingFranceMoviesType) {
    /** Default value, allow all movies content */
    RatingFranceMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingFranceMoviesType["AllBlocked"] = "allBlocked";
    /** The 10 classification prohibits the screening of the film to minors under 10 */
    RatingFranceMoviesType["AgesAbove10"] = "agesAbove10";
    /** The 12 classification prohibits the screening of the film to minors under 12 */
    RatingFranceMoviesType["AgesAbove12"] = "agesAbove12";
    /** The 16 classification prohibits the screening of the film to minors under 16 */
    RatingFranceMoviesType["AgesAbove16"] = "agesAbove16";
    /** The 18 classification prohibits the screening to minors under 18 */
    RatingFranceMoviesType["AgesAbove18"] = "agesAbove18";
})(RatingFranceMoviesType || (exports.RatingFranceMoviesType = RatingFranceMoviesType = {}));
// tslint:enable
// eslint-enable
