"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingFranceTelevisionType = void 0;
/**
 * TV content rating labels in France
 */
var RatingFranceTelevisionType;
(function (RatingFranceTelevisionType) {
    /** Default value, allow all TV shows content */
    RatingFranceTelevisionType["AllAllowed"] = "allAllowed";
    /** Do not allow any TV shows content */
    RatingFranceTelevisionType["AllBlocked"] = "allBlocked";
    /** The -10 classification is not recommended for children under 10 */
    RatingFranceTelevisionType["AgesAbove10"] = "agesAbove10";
    /** The -12 classification is not recommended for children under 12 */
    RatingFranceTelevisionType["AgesAbove12"] = "agesAbove12";
    /** The -16 classification is not recommended for children under 16 */
    RatingFranceTelevisionType["AgesAbove16"] = "agesAbove16";
    /** The -18 classification is not recommended for persons under 18 */
    RatingFranceTelevisionType["AgesAbove18"] = "agesAbove18";
})(RatingFranceTelevisionType || (exports.RatingFranceTelevisionType = RatingFranceTelevisionType = {}));
// tslint:enable
// eslint-enable
