"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingGermanyTelevisionType = void 0;
/**
 * TV content rating labels in Germany
 */
var RatingGermanyTelevisionType;
(function (RatingGermanyTelevisionType) {
    /** Default value, allow all TV shows content */
    RatingGermanyTelevisionType["AllAllowed"] = "allAllowed";
    /** Do not allow any TV shows content */
    RatingGermanyTelevisionType["AllBlocked"] = "allBlocked";
    /** Ab 0 Jahren, no age restrictions */
    RatingGermanyTelevisionType["General"] = "general";
    /** Ab 6 Jahren, ages 6 and older */
    RatingGermanyTelevisionType["AgesAbove6"] = "agesAbove6";
    /** Ab 12 Jahren, ages 12 and older */
    RatingGermanyTelevisionType["AgesAbove12"] = "agesAbove12";
    /** Ab 16 Jahren, ages 16 and older */
    RatingGermanyTelevisionType["AgesAbove16"] = "agesAbove16";
    /** Ab 18 Jahren, adults only */
    RatingGermanyTelevisionType["Adults"] = "adults";
})(RatingGermanyTelevisionType || (exports.RatingGermanyTelevisionType = RatingGermanyTelevisionType = {}));
// tslint:enable
// eslint-enable
