"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingIrelandMoviesType = void 0;
/**
 * Movies rating labels in Ireland
 */
var RatingIrelandMoviesType;
(function (RatingIrelandMoviesType) {
    /** Default value, allow all movies content */
    RatingIrelandMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingIrelandMoviesType["AllBlocked"] = "allBlocked";
    /** Suitable for children of school going age */
    RatingIrelandMoviesType["General"] = "general";
    /** The PG classification advises parental guidance */
    RatingIrelandMoviesType["ParentalGuidance"] = "parentalGuidance";
    /** The 12A classification is suitable for viewers of 12 or older */
    RatingIrelandMoviesType["AgesAbove12"] = "agesAbove12";
    /** The 15A classification is suitable for viewers of 15 or older */
    RatingIrelandMoviesType["AgesAbove15"] = "agesAbove15";
    /** The 16 classification is suitable for viewers of 16 or older */
    RatingIrelandMoviesType["AgesAbove16"] = "agesAbove16";
    /** The 18 classification, suitable only for adults */
    RatingIrelandMoviesType["Adults"] = "adults";
})(RatingIrelandMoviesType || (exports.RatingIrelandMoviesType = RatingIrelandMoviesType = {}));
// tslint:enable
// eslint-enable
