"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingIrelandTelevisionType = void 0;
/**
 * TV content rating labels in Ireland
 */
var RatingIrelandTelevisionType;
(function (RatingIrelandTelevisionType) {
    /** Default value, allow all TV shows content */
    RatingIrelandTelevisionType["AllAllowed"] = "allAllowed";
    /** Do not allow any TV shows content */
    RatingIrelandTelevisionType["AllBlocked"] = "allBlocked";
    /** The GA classification is suitable for all audiences */
    RatingIrelandTelevisionType["General"] = "general";
    /** The CH classification is suitable for children */
    RatingIrelandTelevisionType["Children"] = "children";
    /** The YA classification is suitable for teenage audience */
    RatingIrelandTelevisionType["YoungAdults"] = "youngAdults";
    /** The PS classification invites parents and guardians to consider restriction children’s access */
    RatingIrelandTelevisionType["ParentalSupervision"] = "parentalSupervision";
    /** The MA classification is suitable for adults */
    RatingIrelandTelevisionType["Mature"] = "mature";
})(RatingIrelandTelevisionType || (exports.RatingIrelandTelevisionType = RatingIrelandTelevisionType = {}));
// tslint:enable
// eslint-enable
