"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingJapanMoviesType = void 0;
/**
 * Movies rating labels in Japan
 */
var RatingJapanMoviesType;
(function (RatingJapanMoviesType) {
    /** Default value, allow all movies content */
    RatingJapanMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingJapanMoviesType["AllBlocked"] = "allBlocked";
    /** Suitable for all ages */
    RatingJapanMoviesType["General"] = "general";
    /** The PG-12 classification requests parental guidance for young people under 12 */
    RatingJapanMoviesType["ParentalGuidance"] = "parentalGuidance";
    /** The R15+ classification is suitable for viewers of 15 or older */
    RatingJapanMoviesType["AgesAbove15"] = "agesAbove15";
    /** The R18+ classification is suitable for viewers of 18 or older */
    RatingJapanMoviesType["AgesAbove18"] = "agesAbove18";
})(RatingJapanMoviesType || (exports.RatingJapanMoviesType = RatingJapanMoviesType = {}));
// tslint:enable
// eslint-enable
