"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingNewZealandTelevisionType = void 0;
/**
 * TV content rating labels in New Zealand
 */
var RatingNewZealandTelevisionType;
(function (RatingNewZealandTelevisionType) {
    /** Default value, allow all TV shows content */
    RatingNewZealandTelevisionType["AllAllowed"] = "allAllowed";
    /** Do not allow any TV shows content */
    RatingNewZealandTelevisionType["AllBlocked"] = "allBlocked";
    /** The G classification excludes materials likely to harm children under 14 */
    RatingNewZealandTelevisionType["General"] = "general";
    /** The PGR classification encourages parents and guardians to supervise younger viewers */
    RatingNewZealandTelevisionType["ParentalGuidance"] = "parentalGuidance";
    /** The AO classification is not suitable for children */
    RatingNewZealandTelevisionType["Adults"] = "adults";
})(RatingNewZealandTelevisionType || (exports.RatingNewZealandTelevisionType = RatingNewZealandTelevisionType = {}));
// tslint:enable
// eslint-enable
