"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingUnitedKingdomMoviesType = void 0;
/**
 * Movies rating labels in United Kingdom
 */
var RatingUnitedKingdomMoviesType;
(function (RatingUnitedKingdomMoviesType) {
    /** Default value, allow all movies content */
    RatingUnitedKingdomMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingUnitedKingdomMoviesType["AllBlocked"] = "allBlocked";
    /** The U classification is suitable for all ages */
    RatingUnitedKingdomMoviesType["General"] = "general";
    /** The UC classification is suitable for pre-school children, an old rating label */
    RatingUnitedKingdomMoviesType["UniversalChildren"] = "universalChildren";
    /** The PG classification is suitable for mature */
    RatingUnitedKingdomMoviesType["ParentalGuidance"] = "parentalGuidance";
    /** 12, video release suitable for 12 years and over */
    RatingUnitedKingdomMoviesType["AgesAbove12Video"] = "agesAbove12Video";
    /** 12A, cinema release suitable for 12 years and over */
    RatingUnitedKingdomMoviesType["AgesAbove12Cinema"] = "agesAbove12Cinema";
    /** 15, suitable only for 15 years and older */
    RatingUnitedKingdomMoviesType["AgesAbove15"] = "agesAbove15";
    /** Suitable only for adults */
    RatingUnitedKingdomMoviesType["Adults"] = "adults";
})(RatingUnitedKingdomMoviesType || (exports.RatingUnitedKingdomMoviesType = RatingUnitedKingdomMoviesType = {}));
// tslint:enable
// eslint-enable
