"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingUnitedStatesMoviesType = void 0;
/**
 * Movies rating labels in United States
 */
var RatingUnitedStatesMoviesType;
(function (RatingUnitedStatesMoviesType) {
    /** Default value, allow all movies content */
    RatingUnitedStatesMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingUnitedStatesMoviesType["AllBlocked"] = "allBlocked";
    /** G, all ages admitted */
    RatingUnitedStatesMoviesType["General"] = "general";
    /** PG, some material may not be suitable for children */
    RatingUnitedStatesMoviesType["ParentalGuidance"] = "parentalGuidance";
    /** PG13, some material may be inappropriate for children under 13 */
    RatingUnitedStatesMoviesType["ParentalGuidance13"] = "parentalGuidance13";
    /** R, viewers under 17 require accompanying parent or adult guardian */
    RatingUnitedStatesMoviesType["Restricted"] = "restricted";
    /** NC17, adults only */
    RatingUnitedStatesMoviesType["Adults"] = "adults";
})(RatingUnitedStatesMoviesType || (exports.RatingUnitedStatesMoviesType = RatingUnitedStatesMoviesType = {}));
// tslint:enable
// eslint-enable
