"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingUnitedStatesTelevisionType = void 0;
/**
 * TV content rating labels in United States
 */
var RatingUnitedStatesTelevisionType;
(function (RatingUnitedStatesTelevisionType) {
    /** Default value, allow all TV shows content */
    RatingUnitedStatesTelevisionType["AllAllowed"] = "allAllowed";
    /** Do not allow any TV shows content */
    RatingUnitedStatesTelevisionType["AllBlocked"] = "allBlocked";
    /** TV-Y, all children */
    RatingUnitedStatesTelevisionType["ChildrenAll"] = "childrenAll";
    /** TV-Y7, children age 7 and above */
    RatingUnitedStatesTelevisionType["ChildrenAbove7"] = "childrenAbove7";
    /** TV-G, suitable for all ages */
    RatingUnitedStatesTelevisionType["General"] = "general";
    /** TV-PG, parental guidance */
    RatingUnitedStatesTelevisionType["ParentalGuidance"] = "parentalGuidance";
    /** TV-14, children age 14 and above */
    RatingUnitedStatesTelevisionType["ChildrenAbove14"] = "childrenAbove14";
    /** TV-MA, adults only */
    RatingUnitedStatesTelevisionType["Adults"] = "adults";
})(RatingUnitedStatesTelevisionType || (exports.RatingUnitedStatesTelevisionType = RatingUnitedStatesTelevisionType = {}));
// tslint:enable
// eslint-enable
