import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRedirectUriSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRedirectUriSettings;
export declare function deserializeIntoRedirectUriSettings(redirectUriSettings?: RedirectUriSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface RedirectUriSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The index property
     */
    index?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The uri property
     */
    uri?: string;
}
export declare function serializeRedirectUriSettings(writer: SerializationWriter, redirectUriSettings?: RedirectUriSettings | undefined): void;
