import { type Attachment } from './attachment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReferenceAttachmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReferenceAttachment;
export declare function deserializeIntoReferenceAttachment(referenceAttachment?: ReferenceAttachment | undefined): Record<string, (node: ParseNode) => void>;
export interface ReferenceAttachment extends Attachment, Parsable {
}
export declare function serializeReferenceAttachment(writer: SerializationWriter, referenceAttachment?: ReferenceAttachment | undefined): void;
