import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReferenceUpdateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReferenceUpdate;
export declare function deserializeIntoReferenceUpdate(referenceUpdate?: ReferenceUpdate | undefined): Record<string, (node: ParseNode) => void>;
export interface ReferenceUpdate extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataId property
     */
    odataId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeReferenceUpdate(writer: SerializationWriter, referenceUpdate?: ReferenceUpdate | undefined): void;
