"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeReferenceUpdate = exports.deserializeIntoReferenceUpdate = exports.createReferenceUpdateFromDiscriminatorValue = void 0;
function createReferenceUpdateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReferenceUpdate;
}
exports.createReferenceUpdateFromDiscriminatorValue = createReferenceUpdateFromDiscriminatorValue;
function deserializeIntoReferenceUpdate(referenceUpdate = {}) {
    return {
        "@odata.id": n => { referenceUpdate.odataId = n.getStringValue(); },
        "@odata.type": n => { referenceUpdate.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoReferenceUpdate = deserializeIntoReferenceUpdate;
function serializeReferenceUpdate(writer, referenceUpdate = {}) {
    writer.writeStringValue("@odata.id", referenceUpdate.odataId);
    writer.writeStringValue("@odata.type", referenceUpdate.odataType);
    writer.writeAdditionalData(referenceUpdate.additionalData);
}
exports.serializeReferenceUpdate = serializeReferenceUpdate;
// tslint:enable
// eslint-enable
