"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteAssistanceOnboardingStatus = void 0;
/**
 * The current TeamViewer connector status
 */
var RemoteAssistanceOnboardingStatus;
(function (RemoteAssistanceOnboardingStatus) {
    /** The status reported when there is no active TeamViewer connector configured or active */
    RemoteAssistanceOnboardingStatus["NotOnboarded"] = "notOnboarded";
    /** The status reported when the system has initiated a TeamViewer connection, but the service has not yet completed the confirmation of a connector */
    RemoteAssistanceOnboardingStatus["Onboarding"] = "onboarding";
    /** The status reported when the system has successfully exchanged account information with TeamViewer and can now initiate remote assistance sessions with clients */
    RemoteAssistanceOnboardingStatus["Onboarded"] = "onboarded";
})(RemoteAssistanceOnboardingStatus || (exports.RemoteAssistanceOnboardingStatus = RemoteAssistanceOnboardingStatus = {}));
// tslint:enable
// eslint-enable
