import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RemoteAssistancePartner } from './remoteAssistancePartner';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoteAssistancePartnerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoteAssistancePartnerCollectionResponse;
export declare function deserializeIntoRemoteAssistancePartnerCollectionResponse(remoteAssistancePartnerCollectionResponse?: RemoteAssistancePartnerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoteAssistancePartnerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RemoteAssistancePartner[];
}
export declare function serializeRemoteAssistancePartnerCollectionResponse(writer: SerializationWriter, remoteAssistancePartnerCollectionResponse?: RemoteAssistancePartnerCollectionResponse | undefined): void;
