import { type DeviceActionResult } from './deviceActionResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemoteLockActionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemoteLockActionResult;
export declare function deserializeIntoRemoteLockActionResult(remoteLockActionResult?: RemoteLockActionResult | undefined): Record<string, (node: ParseNode) => void>;
export interface RemoteLockActionResult extends DeviceActionResult, Parsable {
    /**
     * Pin to unlock the client
     */
    unlockPin?: string;
}
export declare function serializeRemoteLockActionResult(writer: SerializationWriter, remoteLockActionResult?: RemoteLockActionResult | undefined): void;
