import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ResourceSpecificPermissionGrant } from './resourceSpecificPermissionGrant';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResourceSpecificPermissionGrantCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResourceSpecificPermissionGrantCollectionResponse;
export declare function deserializeIntoResourceSpecificPermissionGrantCollectionResponse(resourceSpecificPermissionGrantCollectionResponse?: ResourceSpecificPermissionGrantCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ResourceSpecificPermissionGrantCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ResourceSpecificPermissionGrant[];
}
export declare function serializeResourceSpecificPermissionGrantCollectionResponse(writer: SerializationWriter, resourceSpecificPermissionGrantCollectionResponse?: ResourceSpecificPermissionGrantCollectionResponse | undefined): void;
