import { type Dictionary } from './dictionary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResultTemplateDictionaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResultTemplateDictionary;
export declare function deserializeIntoResultTemplateDictionary(resultTemplateDictionary?: ResultTemplateDictionary | undefined): Record<string, (node: ParseNode) => void>;
export interface ResultTemplateDictionary extends Dictionary, Parsable {
}
export declare function serializeResultTemplateDictionary(writer: SerializationWriter, resultTemplateDictionary?: ResultTemplateDictionary | undefined): void;
