"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResultTemplateOption = exports.deserializeIntoResultTemplateOption = exports.createResultTemplateOptionFromDiscriminatorValue = void 0;
function createResultTemplateOptionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResultTemplateOption;
}
exports.createResultTemplateOptionFromDiscriminatorValue = createResultTemplateOptionFromDiscriminatorValue;
function deserializeIntoResultTemplateOption(resultTemplateOption = {}) {
    return {
        "enableResultTemplate": n => { resultTemplateOption.enableResultTemplate = n.getBooleanValue(); },
        "@odata.type": n => { resultTemplateOption.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoResultTemplateOption = deserializeIntoResultTemplateOption;
function serializeResultTemplateOption(writer, resultTemplateOption = {}) {
    writer.writeBooleanValue("enableResultTemplate", resultTemplateOption.enableResultTemplate);
    writer.writeStringValue("@odata.type", resultTemplateOption.odataType);
    writer.writeAdditionalData(resultTemplateOption.additionalData);
}
exports.serializeResultTemplateOption = serializeResultTemplateOption;
// tslint:enable
// eslint-enable
