import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RichLongRunningOperation } from './richLongRunningOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRichLongRunningOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRichLongRunningOperationCollectionResponse;
export declare function deserializeIntoRichLongRunningOperationCollectionResponse(richLongRunningOperationCollectionResponse?: RichLongRunningOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RichLongRunningOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RichLongRunningOperation[];
}
export declare function serializeRichLongRunningOperationCollectionResponse(writer: SerializationWriter, richLongRunningOperationCollectionResponse?: RichLongRunningOperationCollectionResponse | undefined): void;
