import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RiskDetection } from './riskDetection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskDetectionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskDetectionCollectionResponse;
export declare function deserializeIntoRiskDetectionCollectionResponse(riskDetectionCollectionResponse?: RiskDetectionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskDetectionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RiskDetection[];
}
export declare function serializeRiskDetectionCollectionResponse(writer: SerializationWriter, riskDetectionCollectionResponse?: RiskDetectionCollectionResponse | undefined): void;
