import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RoleAssignment } from './roleAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoleAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoleAssignmentCollectionResponse;
export declare function deserializeIntoRoleAssignmentCollectionResponse(roleAssignmentCollectionResponse?: RoleAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RoleAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RoleAssignment[];
}
export declare function serializeRoleAssignmentCollectionResponse(writer: SerializationWriter, roleAssignmentCollectionResponse?: RoleAssignmentCollectionResponse | undefined): void;
