import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RoleDefinition } from './roleDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoleDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoleDefinitionCollectionResponse;
export declare function deserializeIntoRoleDefinitionCollectionResponse(roleDefinitionCollectionResponse?: RoleDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RoleDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RoleDefinition[];
}
export declare function serializeRoleDefinitionCollectionResponse(writer: SerializationWriter, roleDefinitionCollectionResponse?: RoleDefinitionCollectionResponse | undefined): void;
