import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Room } from './room';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoomCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoomCollectionResponse;
export declare function deserializeIntoRoomCollectionResponse(roomCollectionResponse?: RoomCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RoomCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Room[];
}
export declare function serializeRoomCollectionResponse(writer: SerializationWriter, roomCollectionResponse?: RoomCollectionResponse | undefined): void;
