"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRubricQualitySelectedColumnModel = exports.deserializeIntoRubricQualitySelectedColumnModel = exports.createRubricQualitySelectedColumnModelFromDiscriminatorValue = void 0;
function createRubricQualitySelectedColumnModelFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRubricQualitySelectedColumnModel;
}
exports.createRubricQualitySelectedColumnModelFromDiscriminatorValue = createRubricQualitySelectedColumnModelFromDiscriminatorValue;
function deserializeIntoRubricQualitySelectedColumnModel(rubricQualitySelectedColumnModel = {}) {
    return {
        "columnId": n => { rubricQualitySelectedColumnModel.columnId = n.getStringValue(); },
        "@odata.type": n => { rubricQualitySelectedColumnModel.odataType = n.getStringValue(); },
        "qualityId": n => { rubricQualitySelectedColumnModel.qualityId = n.getStringValue(); },
    };
}
exports.deserializeIntoRubricQualitySelectedColumnModel = deserializeIntoRubricQualitySelectedColumnModel;
function serializeRubricQualitySelectedColumnModel(writer, rubricQualitySelectedColumnModel = {}) {
    writer.writeStringValue("columnId", rubricQualitySelectedColumnModel.columnId);
    writer.writeStringValue("@odata.type", rubricQualitySelectedColumnModel.odataType);
    writer.writeStringValue("qualityId", rubricQualitySelectedColumnModel.qualityId);
    writer.writeAdditionalData(rubricQualitySelectedColumnModel.additionalData);
}
exports.serializeRubricQualitySelectedColumnModel = serializeRubricQualitySelectedColumnModel;
// tslint:enable
// eslint-enable
