"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SafeSearchFilterType = void 0;
/**
 * Specifies what level of safe search (filtering adult content) is required
 */
var SafeSearchFilterType;
(function (SafeSearchFilterType) {
    /** User Defined, default value, no intent. */
    SafeSearchFilterType["UserDefined"] = "userDefined";
    /** Strict, highest filtering against adult content. */
    SafeSearchFilterType["Strict"] = "strict";
    /** Moderate filtering against adult content (valid search results will not be filtered). */
    SafeSearchFilterType["Moderate"] = "moderate";
})(SafeSearchFilterType || (exports.SafeSearchFilterType = SafeSearchFilterType = {}));
// tslint:enable
// eslint-enable
