import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SchemaExtension } from './schemaExtension';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSchemaExtensionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSchemaExtensionCollectionResponse;
export declare function deserializeIntoSchemaExtensionCollectionResponse(schemaExtensionCollectionResponse?: SchemaExtensionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SchemaExtensionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SchemaExtension[];
}
export declare function serializeSchemaExtensionCollectionResponse(writer: SerializationWriter, schemaExtensionCollectionResponse?: SchemaExtensionCollectionResponse | undefined): void;
