import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ScopedRoleMembership } from './scopedRoleMembership';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createScopedRoleMembershipCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoScopedRoleMembershipCollectionResponse;
export declare function deserializeIntoScopedRoleMembershipCollectionResponse(scopedRoleMembershipCollectionResponse?: ScopedRoleMembershipCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ScopedRoleMembershipCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ScopedRoleMembership[];
}
export declare function serializeScopedRoleMembershipCollectionResponse(writer: SerializationWriter, scopedRoleMembershipCollectionResponse?: ScopedRoleMembershipCollectionResponse | undefined): void;
