import { type SearchBucket } from './searchBucket';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchAggregationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchAggregation;
export declare function deserializeIntoSearchAggregation(searchAggregation?: SearchAggregation | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchAggregation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The buckets property
     */
    buckets?: SearchBucket[];
    /**
     * The field property
     */
    field?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeSearchAggregation(writer: SerializationWriter, searchAggregation?: SearchAggregation | undefined): void;
