"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSearchAlterationOptions = exports.deserializeIntoSearchAlterationOptions = exports.createSearchAlterationOptionsFromDiscriminatorValue = void 0;
function createSearchAlterationOptionsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSearchAlterationOptions;
}
exports.createSearchAlterationOptionsFromDiscriminatorValue = createSearchAlterationOptionsFromDiscriminatorValue;
function deserializeIntoSearchAlterationOptions(searchAlterationOptions = {}) {
    return {
        "enableModification": n => { searchAlterationOptions.enableModification = n.getBooleanValue(); },
        "enableSuggestion": n => { searchAlterationOptions.enableSuggestion = n.getBooleanValue(); },
        "@odata.type": n => { searchAlterationOptions.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSearchAlterationOptions = deserializeIntoSearchAlterationOptions;
function serializeSearchAlterationOptions(writer, searchAlterationOptions = {}) {
    writer.writeBooleanValue("enableModification", searchAlterationOptions.enableModification);
    writer.writeBooleanValue("enableSuggestion", searchAlterationOptions.enableSuggestion);
    writer.writeStringValue("@odata.type", searchAlterationOptions.odataType);
    writer.writeAdditionalData(searchAlterationOptions.additionalData);
}
exports.serializeSearchAlterationOptions = serializeSearchAlterationOptions;
// tslint:enable
// eslint-enable
