"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSearchBucket = exports.deserializeIntoSearchBucket = exports.createSearchBucketFromDiscriminatorValue = void 0;
function createSearchBucketFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSearchBucket;
}
exports.createSearchBucketFromDiscriminatorValue = createSearchBucketFromDiscriminatorValue;
function deserializeIntoSearchBucket(searchBucket = {}) {
    return {
        "aggregationFilterToken": n => { searchBucket.aggregationFilterToken = n.getStringValue(); },
        "count": n => { searchBucket.count = n.getNumberValue(); },
        "key": n => { searchBucket.key = n.getStringValue(); },
        "@odata.type": n => { searchBucket.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSearchBucket = deserializeIntoSearchBucket;
function serializeSearchBucket(writer, searchBucket = {}) {
    writer.writeStringValue("aggregationFilterToken", searchBucket.aggregationFilterToken);
    writer.writeNumberValue("count", searchBucket.count);
    writer.writeStringValue("key", searchBucket.key);
    writer.writeStringValue("@odata.type", searchBucket.odataType);
    writer.writeAdditionalData(searchBucket.additionalData);
}
exports.serializeSearchBucket = serializeSearchBucket;
// tslint:enable
// eslint-enable
