import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSearchEntityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSearchEntity;
export declare function deserializeIntoSearchEntity(searchEntity?: SearchEntity | undefined): Record<string, (node: ParseNode) => void>;
export interface SearchEntity extends Entity, Parsable {
}
export declare function serializeSearchEntity(writer: SerializationWriter, searchEntity?: SearchEntity | undefined): void;
