"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSearchResult = exports.deserializeIntoSearchResult = exports.createSearchResultFromDiscriminatorValue = void 0;
function createSearchResultFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSearchResult;
}
exports.createSearchResultFromDiscriminatorValue = createSearchResultFromDiscriminatorValue;
function deserializeIntoSearchResult(searchResult = {}) {
    return {
        "@odata.type": n => { searchResult.odataType = n.getStringValue(); },
        "onClickTelemetryUrl": n => { searchResult.onClickTelemetryUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoSearchResult = deserializeIntoSearchResult;
function serializeSearchResult(writer, searchResult = {}) {
    writer.writeStringValue("@odata.type", searchResult.odataType);
    writer.writeStringValue("onClickTelemetryUrl", searchResult.onClickTelemetryUrl);
    writer.writeAdditionalData(searchResult.additionalData);
}
exports.serializeSearchResult = serializeSearchResult;
// tslint:enable
// eslint-enable
