import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SectionGroup } from './sectionGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSectionGroupCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSectionGroupCollectionResponse;
export declare function deserializeIntoSectionGroupCollectionResponse(sectionGroupCollectionResponse?: SectionGroupCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SectionGroupCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SectionGroup[];
}
export declare function serializeSectionGroupCollectionResponse(writer: SerializationWriter, sectionGroupCollectionResponse?: SectionGroupCollectionResponse | undefined): void;
