import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SecureScore } from './secureScore';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecureScoreCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecureScoreCollectionResponse;
export declare function deserializeIntoSecureScoreCollectionResponse(secureScoreCollectionResponse?: SecureScoreCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SecureScoreCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SecureScore[];
}
export declare function serializeSecureScoreCollectionResponse(writer: SerializationWriter, secureScoreCollectionResponse?: SecureScoreCollectionResponse | undefined): void;
