import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SecureScoreControlProfile } from './secureScoreControlProfile';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecureScoreControlProfileCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecureScoreControlProfileCollectionResponse;
export declare function deserializeIntoSecureScoreControlProfileCollectionResponse(secureScoreControlProfileCollectionResponse?: SecureScoreControlProfileCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SecureScoreControlProfileCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SecureScoreControlProfile[];
}
export declare function serializeSecureScoreControlProfileCollectionResponse(writer: SerializationWriter, secureScoreControlProfileCollectionResponse?: SecureScoreControlProfileCollectionResponse | undefined): void;
