"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlertComment = exports.deserializeIntoAlertComment = exports.createAlertCommentFromDiscriminatorValue = void 0;
function createAlertCommentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlertComment;
}
exports.createAlertCommentFromDiscriminatorValue = createAlertCommentFromDiscriminatorValue;
function deserializeIntoAlertComment(alertComment = {}) {
    return {
        "comment": n => { alertComment.comment = n.getStringValue(); },
        "createdByDisplayName": n => { alertComment.createdByDisplayName = n.getStringValue(); },
        "createdDateTime": n => { alertComment.createdDateTime = n.getDateValue(); },
        "@odata.type": n => { alertComment.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAlertComment = deserializeIntoAlertComment;
function serializeAlertComment(writer, alertComment = {}) {
    writer.writeStringValue("comment", alertComment.comment);
    writer.writeStringValue("createdByDisplayName", alertComment.createdByDisplayName);
    writer.writeDateValue("createdDateTime", alertComment.createdDateTime);
    writer.writeStringValue("@odata.type", alertComment.odataType);
    writer.writeAdditionalData(alertComment.additionalData);
}
exports.serializeAlertComment = serializeAlertComment;
// tslint:enable
// eslint-enable
