import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Article } from './article';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ArticleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Article[];
}
export declare function createArticleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArticleCollectionResponse;
export declare function deserializeIntoArticleCollectionResponse(articleCollectionResponse?: ArticleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArticleCollectionResponse(writer: SerializationWriter, articleCollectionResponse?: ArticleCollectionResponse | undefined): void;
