import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type ArticleIndicator } from './articleIndicator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ArticleIndicatorCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ArticleIndicator[];
}
export declare function createArticleIndicatorCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArticleIndicatorCollectionResponse;
export declare function deserializeIntoArticleIndicatorCollectionResponse(articleIndicatorCollectionResponse?: ArticleIndicatorCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArticleIndicatorCollectionResponse(writer: SerializationWriter, articleIndicatorCollectionResponse?: ArticleIndicatorCollectionResponse | undefined): void;
