import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type DataSource } from './dataSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDataSourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDataSourceCollectionResponse;
export interface DataSourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DataSource[];
}
export declare function deserializeIntoDataSourceCollectionResponse(dataSourceCollectionResponse?: DataSourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDataSourceCollectionResponse(writer: SerializationWriter, dataSourceCollectionResponse?: DataSourceCollectionResponse | undefined): void;
