import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDictionaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDictionary;
export declare function deserializeIntoDictionary(dictionary?: Dictionary | undefined): Record<string, (node: ParseNode) => void>;
export interface Dictionary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeDictionary(writer: SerializationWriter, dictionary?: Dictionary | undefined): void;
