import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type EdiscoveryCase } from './ediscoveryCase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryCaseCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryCaseCollectionResponse;
export declare function deserializeIntoEdiscoveryCaseCollectionResponse(ediscoveryCaseCollectionResponse?: EdiscoveryCaseCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryCaseCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EdiscoveryCase[];
}
export declare function serializeEdiscoveryCaseCollectionResponse(writer: SerializationWriter, ediscoveryCaseCollectionResponse?: EdiscoveryCaseCollectionResponse | undefined): void;
