import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type EdiscoveryCustodian } from './ediscoveryCustodian';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryCustodianCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryCustodianCollectionResponse;
export declare function deserializeIntoEdiscoveryCustodianCollectionResponse(ediscoveryCustodianCollectionResponse?: EdiscoveryCustodianCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryCustodianCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EdiscoveryCustodian[];
}
export declare function serializeEdiscoveryCustodianCollectionResponse(writer: SerializationWriter, ediscoveryCustodianCollectionResponse?: EdiscoveryCustodianCollectionResponse | undefined): void;
