import { type CaseOperation } from './caseOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryIndexOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryIndexOperation;
export declare function deserializeIntoEdiscoveryIndexOperation(ediscoveryIndexOperation?: EdiscoveryIndexOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryIndexOperation extends CaseOperation, Parsable {
}
export declare function serializeEdiscoveryIndexOperation(writer: SerializationWriter, ediscoveryIndexOperation?: EdiscoveryIndexOperation | undefined): void;
