import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type EdiscoveryNoncustodialDataSource } from './ediscoveryNoncustodialDataSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryNoncustodialDataSourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryNoncustodialDataSourceCollectionResponse;
export declare function deserializeIntoEdiscoveryNoncustodialDataSourceCollectionResponse(ediscoveryNoncustodialDataSourceCollectionResponse?: EdiscoveryNoncustodialDataSourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryNoncustodialDataSourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EdiscoveryNoncustodialDataSource[];
}
export declare function serializeEdiscoveryNoncustodialDataSourceCollectionResponse(writer: SerializationWriter, ediscoveryNoncustodialDataSourceCollectionResponse?: EdiscoveryNoncustodialDataSourceCollectionResponse | undefined): void;
