import { type CaseOperation } from './caseOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryPurgeDataOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryPurgeDataOperation;
export declare function deserializeIntoEdiscoveryPurgeDataOperation(ediscoveryPurgeDataOperation?: EdiscoveryPurgeDataOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryPurgeDataOperation extends CaseOperation, Parsable {
}
export declare function serializeEdiscoveryPurgeDataOperation(writer: SerializationWriter, ediscoveryPurgeDataOperation?: EdiscoveryPurgeDataOperation | undefined): void;
