import { type DataSet } from './dataSet';
import { type EdiscoveryReviewSetQuery } from './ediscoveryReviewSetQuery';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryReviewSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryReviewSet;
export declare function deserializeIntoEdiscoveryReviewSet(ediscoveryReviewSet?: EdiscoveryReviewSet | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryReviewSet extends DataSet, Parsable {
    /**
     * Represents queries within the review set.
     */
    queries?: EdiscoveryReviewSetQuery[];
}
export declare function serializeEdiscoveryReviewSet(writer: SerializationWriter, ediscoveryReviewSet?: EdiscoveryReviewSet | undefined): void;
