import { type CaseOperation } from './caseOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryTagOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryTagOperation;
export declare function deserializeIntoEdiscoveryTagOperation(ediscoveryTagOperation?: EdiscoveryTagOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryTagOperation extends CaseOperation, Parsable {
}
export declare function serializeEdiscoveryTagOperation(writer: SerializationWriter, ediscoveryTagOperation?: EdiscoveryTagOperation | undefined): void;
