import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Host } from './host';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostCollectionResponse;
export declare function deserializeIntoHostCollectionResponse(hostCollectionResponse?: HostCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HostCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Host[];
}
export declare function serializeHostCollectionResponse(writer: SerializationWriter, hostCollectionResponse?: HostCollectionResponse | undefined): void;
