import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type HostComponent } from './hostComponent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostComponentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostComponentCollectionResponse;
export declare function deserializeIntoHostComponentCollectionResponse(hostComponentCollectionResponse?: HostComponentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HostComponentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: HostComponent[];
}
export declare function serializeHostComponentCollectionResponse(writer: SerializationWriter, hostComponentCollectionResponse?: HostComponentCollectionResponse | undefined): void;
