import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type HostPort } from './hostPort';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostPortCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostPortCollectionResponse;
export declare function deserializeIntoHostPortCollectionResponse(hostPortCollectionResponse?: HostPortCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HostPortCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: HostPort[];
}
export declare function serializeHostPortCollectionResponse(writer: SerializationWriter, hostPortCollectionResponse?: HostPortCollectionResponse | undefined): void;
