import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type HostSslCertificate } from './hostSslCertificate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostSslCertificateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostSslCertificateCollectionResponse;
export declare function deserializeIntoHostSslCertificateCollectionResponse(hostSslCertificateCollectionResponse?: HostSslCertificateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HostSslCertificateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: HostSslCertificate[];
}
export declare function serializeHostSslCertificateCollectionResponse(writer: SerializationWriter, hostSslCertificateCollectionResponse?: HostSslCertificateCollectionResponse | undefined): void;
