import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type HostTracker } from './hostTracker';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostTrackerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostTrackerCollectionResponse;
export declare function deserializeIntoHostTrackerCollectionResponse(hostTrackerCollectionResponse?: HostTrackerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HostTrackerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: HostTracker[];
}
export declare function serializeHostTrackerCollectionResponse(writer: SerializationWriter, hostTrackerCollectionResponse?: HostTrackerCollectionResponse | undefined): void;
