import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHuntingRowResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHuntingRowResult;
export declare function deserializeIntoHuntingRowResult(huntingRowResult?: HuntingRowResult | undefined): Record<string, (node: ParseNode) => void>;
export interface HuntingRowResult extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeHuntingRowResult(writer: SerializationWriter, huntingRowResult?: HuntingRowResult | undefined): void;
