import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Incident } from './incident';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIncidentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIncidentCollectionResponse;
export declare function deserializeIntoIncidentCollectionResponse(incidentCollectionResponse?: IncidentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IncidentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Incident[];
}
export declare function serializeIncidentCollectionResponse(writer: SerializationWriter, incidentCollectionResponse?: IncidentCollectionResponse | undefined): void;
