"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeIntelligenceProfileCountryOrRegionOfOrigin = exports.deserializeIntoIntelligenceProfileCountryOrRegionOfOrigin = exports.createIntelligenceProfileCountryOrRegionOfOriginFromDiscriminatorValue = void 0;
function createIntelligenceProfileCountryOrRegionOfOriginFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoIntelligenceProfileCountryOrRegionOfOrigin;
}
exports.createIntelligenceProfileCountryOrRegionOfOriginFromDiscriminatorValue = createIntelligenceProfileCountryOrRegionOfOriginFromDiscriminatorValue;
function deserializeIntoIntelligenceProfileCountryOrRegionOfOrigin(intelligenceProfileCountryOrRegionOfOrigin = {}) {
    return {
        "code": n => { intelligenceProfileCountryOrRegionOfOrigin.code = n.getStringValue(); },
        "label": n => { intelligenceProfileCountryOrRegionOfOrigin.label = n.getStringValue(); },
        "@odata.type": n => { intelligenceProfileCountryOrRegionOfOrigin.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoIntelligenceProfileCountryOrRegionOfOrigin = deserializeIntoIntelligenceProfileCountryOrRegionOfOrigin;
function serializeIntelligenceProfileCountryOrRegionOfOrigin(writer, intelligenceProfileCountryOrRegionOfOrigin = {}) {
    writer.writeStringValue("code", intelligenceProfileCountryOrRegionOfOrigin.code);
    writer.writeStringValue("label", intelligenceProfileCountryOrRegionOfOrigin.label);
    writer.writeStringValue("@odata.type", intelligenceProfileCountryOrRegionOfOrigin.odataType);
    writer.writeAdditionalData(intelligenceProfileCountryOrRegionOfOrigin.additionalData);
}
exports.serializeIntelligenceProfileCountryOrRegionOfOrigin = serializeIntelligenceProfileCountryOrRegionOfOrigin;
// tslint:enable
// eslint-enable
