import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type IntelligenceProfileIndicator } from './intelligenceProfileIndicator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIntelligenceProfileIndicatorCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIntelligenceProfileIndicatorCollectionResponse;
export declare function deserializeIntoIntelligenceProfileIndicatorCollectionResponse(intelligenceProfileIndicatorCollectionResponse?: IntelligenceProfileIndicatorCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IntelligenceProfileIndicatorCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IntelligenceProfileIndicator[];
}
export declare function serializeIntelligenceProfileIndicatorCollectionResponse(writer: SerializationWriter, intelligenceProfileIndicatorCollectionResponse?: IntelligenceProfileIndicatorCollectionResponse | undefined): void;
