"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLoggedOnUser = exports.deserializeIntoLoggedOnUser = exports.createLoggedOnUserFromDiscriminatorValue = void 0;
function createLoggedOnUserFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLoggedOnUser;
}
exports.createLoggedOnUserFromDiscriminatorValue = createLoggedOnUserFromDiscriminatorValue;
function deserializeIntoLoggedOnUser(loggedOnUser = {}) {
    return {
        "accountName": n => { loggedOnUser.accountName = n.getStringValue(); },
        "domainName": n => { loggedOnUser.domainName = n.getStringValue(); },
        "@odata.type": n => { loggedOnUser.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoLoggedOnUser = deserializeIntoLoggedOnUser;
function serializeLoggedOnUser(writer, loggedOnUser = {}) {
    writer.writeStringValue("accountName", loggedOnUser.accountName);
    writer.writeStringValue("domainName", loggedOnUser.domainName);
    writer.writeStringValue("@odata.type", loggedOnUser.odataType);
    writer.writeAdditionalData(loggedOnUser.additionalData);
}
exports.serializeLoggedOnUser = serializeLoggedOnUser;
// tslint:enable
// eslint-enable
