"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRedundancyDetectionSettings = exports.deserializeIntoRedundancyDetectionSettings = exports.createRedundancyDetectionSettingsFromDiscriminatorValue = void 0;
function createRedundancyDetectionSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRedundancyDetectionSettings;
}
exports.createRedundancyDetectionSettingsFromDiscriminatorValue = createRedundancyDetectionSettingsFromDiscriminatorValue;
function deserializeIntoRedundancyDetectionSettings(redundancyDetectionSettings = {}) {
    return {
        "isEnabled": n => { redundancyDetectionSettings.isEnabled = n.getBooleanValue(); },
        "maxWords": n => { redundancyDetectionSettings.maxWords = n.getNumberValue(); },
        "minWords": n => { redundancyDetectionSettings.minWords = n.getNumberValue(); },
        "@odata.type": n => { redundancyDetectionSettings.odataType = n.getStringValue(); },
        "similarityThreshold": n => { redundancyDetectionSettings.similarityThreshold = n.getNumberValue(); },
    };
}
exports.deserializeIntoRedundancyDetectionSettings = deserializeIntoRedundancyDetectionSettings;
function serializeRedundancyDetectionSettings(writer, redundancyDetectionSettings = {}) {
    writer.writeBooleanValue("isEnabled", redundancyDetectionSettings.isEnabled);
    writer.writeNumberValue("maxWords", redundancyDetectionSettings.maxWords);
    writer.writeNumberValue("minWords", redundancyDetectionSettings.minWords);
    writer.writeStringValue("@odata.type", redundancyDetectionSettings.odataType);
    writer.writeNumberValue("similarityThreshold", redundancyDetectionSettings.similarityThreshold);
    writer.writeAdditionalData(redundancyDetectionSettings.additionalData);
}
exports.serializeRedundancyDetectionSettings = serializeRedundancyDetectionSettings;
// tslint:enable
// eslint-enable
