import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecurityGroupEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecurityGroupEvidence;
export declare function deserializeIntoSecurityGroupEvidence(securityGroupEvidence?: SecurityGroupEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface SecurityGroupEvidence extends AlertEvidence, Parsable {
    /**
     * The name of the security group.
     */
    displayName?: string;
    /**
     * Unique identifier of the security group.
     */
    securityGroupId?: string;
}
export declare function serializeSecurityGroupEvidence(writer: SerializationWriter, securityGroupEvidence?: SecurityGroupEvidence | undefined): void;
