import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type SslCertificate } from './sslCertificate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSslCertificateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSslCertificateCollectionResponse;
export declare function deserializeIntoSslCertificateCollectionResponse(sslCertificateCollectionResponse?: SslCertificateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSslCertificateCollectionResponse(writer: SerializationWriter, sslCertificateCollectionResponse?: SslCertificateCollectionResponse | undefined): void;
export interface SslCertificateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SslCertificate[];
}
