import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Subdomain } from './subdomain';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubdomainCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubdomainCollectionResponse;
export declare function deserializeIntoSubdomainCollectionResponse(subdomainCollectionResponse?: SubdomainCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubdomainCollectionResponse(writer: SerializationWriter, subdomainCollectionResponse?: SubdomainCollectionResponse | undefined): void;
export interface SubdomainCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Subdomain[];
}
