import { type Entity } from '../entity';
import { type IdentitySet } from '../identitySet';
import { deserializeIntoEdiscoveryReviewTag } from './ediscoveryReviewTag';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTagFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryReviewTag;
export declare function deserializeIntoTag(tag?: Tag | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTag(writer: SerializationWriter, tag?: Tag | undefined): void;
export interface Tag extends Entity, Parsable {
    /**
     * The createdBy property
     */
    createdBy?: IdentitySet;
    /**
     * The description property
     */
    description?: string;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
}
