import { type Entity } from '../entity';
import { type RetentionEventType } from './retentionEventType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTriggerTypesRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTriggerTypesRoot;
export declare function deserializeIntoTriggerTypesRoot(triggerTypesRoot?: TriggerTypesRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTriggerTypesRoot(writer: SerializationWriter, triggerTypesRoot?: TriggerTypesRoot | undefined): void;
export interface TriggerTypesRoot extends Entity, Parsable {
    /**
     * The retentionEventTypes property
     */
    retentionEventTypes?: RetentionEventType[];
}
