import { type Entity } from '../entity';
import { type RetentionEvent } from './retentionEvent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTriggersRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTriggersRoot;
export declare function deserializeIntoTriggersRoot(triggersRoot?: TriggersRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTriggersRoot(writer: SerializationWriter, triggersRoot?: TriggersRoot | undefined): void;
export interface TriggersRoot extends Entity, Parsable {
    /**
     * The retentionEvents property
     */
    retentionEvents?: RetentionEvent[];
}
