import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUrlEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUrlEvidence;
export declare function deserializeIntoUrlEvidence(urlEvidence?: UrlEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUrlEvidence(writer: SerializationWriter, urlEvidence?: UrlEvidence | undefined): void;
export interface UrlEvidence extends AlertEvidence, Parsable {
    /**
     * The Unique Resource Locator (URL).
     */
    url?: string;
}
