import { type AlertEvidence } from './alertEvidence';
import { type UserAccount } from './userAccount';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserEvidence;
export declare function deserializeIntoUserEvidence(userEvidence?: UserEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserEvidence(writer: SerializationWriter, userEvidence?: UserEvidence | undefined): void;
export interface UserEvidence extends AlertEvidence, Parsable {
    /**
     * The user account details.
     */
    userAccount?: UserAccount;
}
