import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type UserSource } from './userSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserSourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserSourceCollectionResponse;
export declare function deserializeIntoUserSourceCollectionResponse(userSourceCollectionResponse?: UserSourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserSourceCollectionResponse(writer: SerializationWriter, userSourceCollectionResponse?: UserSourceCollectionResponse | undefined): void;
export interface UserSourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserSource[];
}
