import { type WhoisBaseRecord } from './whoisBaseRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWhoisHistoryRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWhoisHistoryRecord;
export declare function deserializeIntoWhoisHistoryRecord(whoisHistoryRecord?: WhoisHistoryRecord | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWhoisHistoryRecord(writer: SerializationWriter, whoisHistoryRecord?: WhoisHistoryRecord | undefined): void;
export interface WhoisHistoryRecord extends Parsable, WhoisBaseRecord {
}
