import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type WhoisHistoryRecord } from './whoisHistoryRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWhoisHistoryRecordCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWhoisHistoryRecordCollectionResponse;
export declare function deserializeIntoWhoisHistoryRecordCollectionResponse(whoisHistoryRecordCollectionResponse?: WhoisHistoryRecordCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWhoisHistoryRecordCollectionResponse(writer: SerializationWriter, whoisHistoryRecordCollectionResponse?: WhoisHistoryRecordCollectionResponse | undefined): void;
export interface WhoisHistoryRecordCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WhoisHistoryRecord[];
}
