import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type WhoisRecord } from './whoisRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWhoisRecordCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWhoisRecordCollectionResponse;
export declare function deserializeIntoWhoisRecordCollectionResponse(whoisRecordCollectionResponse?: WhoisRecordCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWhoisRecordCollectionResponse(writer: SerializationWriter, whoisRecordCollectionResponse?: WhoisRecordCollectionResponse | undefined): void;
export interface WhoisRecordCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WhoisRecord[];
}
