import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSelfServiceSignUpAuthenticationFlowConfiguration;
export declare function deserializeIntoSelfServiceSignUpAuthenticationFlowConfiguration(selfServiceSignUpAuthenticationFlowConfiguration?: SelfServiceSignUpAuthenticationFlowConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface SelfServiceSignUpAuthenticationFlowConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether self-service sign-up flow is enabled or disabled. The default value is false. This property isn't a key. Required.
     */
    isEnabled?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeSelfServiceSignUpAuthenticationFlowConfiguration(writer: SerializationWriter, selfServiceSignUpAuthenticationFlowConfiguration?: SelfServiceSignUpAuthenticationFlowConfiguration | undefined): void;
