"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSelfServiceSignUpAuthenticationFlowConfiguration = exports.deserializeIntoSelfServiceSignUpAuthenticationFlowConfiguration = exports.createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue = void 0;
function createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSelfServiceSignUpAuthenticationFlowConfiguration;
}
exports.createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue = createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue;
function deserializeIntoSelfServiceSignUpAuthenticationFlowConfiguration(selfServiceSignUpAuthenticationFlowConfiguration = {}) {
    return {
        "isEnabled": n => { selfServiceSignUpAuthenticationFlowConfiguration.isEnabled = n.getBooleanValue(); },
        "@odata.type": n => { selfServiceSignUpAuthenticationFlowConfiguration.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSelfServiceSignUpAuthenticationFlowConfiguration = deserializeIntoSelfServiceSignUpAuthenticationFlowConfiguration;
function serializeSelfServiceSignUpAuthenticationFlowConfiguration(writer, selfServiceSignUpAuthenticationFlowConfiguration = {}) {
    writer.writeBooleanValue("isEnabled", selfServiceSignUpAuthenticationFlowConfiguration.isEnabled);
    writer.writeStringValue("@odata.type", selfServiceSignUpAuthenticationFlowConfiguration.odataType);
    writer.writeAdditionalData(selfServiceSignUpAuthenticationFlowConfiguration.additionalData);
}
exports.serializeSelfServiceSignUpAuthenticationFlowConfiguration = serializeSelfServiceSignUpAuthenticationFlowConfiguration;
// tslint:enable
// eslint-enable
