import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceAnnouncementAttachmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceAnnouncementAttachment;
export declare function deserializeIntoServiceAnnouncementAttachment(serviceAnnouncementAttachment?: ServiceAnnouncementAttachment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceAnnouncementAttachment(writer: SerializationWriter, serviceAnnouncementAttachment?: ServiceAnnouncementAttachment | undefined): void;
export interface ServiceAnnouncementAttachment extends Entity, Parsable {
    /**
     * The attachment content.
     */
    content?: string;
    /**
     * The contentType property
     */
    contentType?: string;
    /**
     * The lastModifiedDateTime property
     */
    lastModifiedDateTime?: Date;
    /**
     * The name property
     */
    name?: string;
    /**
     * The size property
     */
    size?: number;
}
