import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ServiceAnnouncementAttachment } from './serviceAnnouncementAttachment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceAnnouncementAttachmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceAnnouncementAttachmentCollectionResponse;
export declare function deserializeIntoServiceAnnouncementAttachmentCollectionResponse(serviceAnnouncementAttachmentCollectionResponse?: ServiceAnnouncementAttachmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceAnnouncementAttachmentCollectionResponse(writer: SerializationWriter, serviceAnnouncementAttachmentCollectionResponse?: ServiceAnnouncementAttachmentCollectionResponse | undefined): void;
export interface ServiceAnnouncementAttachmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ServiceAnnouncementAttachment[];
}
