"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeServicePlanInfo = exports.deserializeIntoServicePlanInfo = exports.createServicePlanInfoFromDiscriminatorValue = void 0;
function createServicePlanInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoServicePlanInfo;
}
exports.createServicePlanInfoFromDiscriminatorValue = createServicePlanInfoFromDiscriminatorValue;
function deserializeIntoServicePlanInfo(servicePlanInfo = {}) {
    return {
        "appliesTo": n => { servicePlanInfo.appliesTo = n.getStringValue(); },
        "@odata.type": n => { servicePlanInfo.odataType = n.getStringValue(); },
        "provisioningStatus": n => { servicePlanInfo.provisioningStatus = n.getStringValue(); },
        "servicePlanId": n => { servicePlanInfo.servicePlanId = n.getGuidValue(); },
        "servicePlanName": n => { servicePlanInfo.servicePlanName = n.getStringValue(); },
    };
}
exports.deserializeIntoServicePlanInfo = deserializeIntoServicePlanInfo;
function serializeServicePlanInfo(writer, servicePlanInfo = {}) {
    writer.writeStringValue("appliesTo", servicePlanInfo.appliesTo);
    writer.writeStringValue("@odata.type", servicePlanInfo.odataType);
    writer.writeStringValue("provisioningStatus", servicePlanInfo.provisioningStatus);
    writer.writeGuidValue("servicePlanId", servicePlanInfo.servicePlanId);
    writer.writeStringValue("servicePlanName", servicePlanInfo.servicePlanName);
    writer.writeAdditionalData(servicePlanInfo.additionalData);
}
exports.serializeServicePlanInfo = serializeServicePlanInfo;
// tslint:enable
// eslint-enable
