import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ServicePrincipal } from './servicePrincipal';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServicePrincipalCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServicePrincipalCollectionResponse;
export declare function deserializeIntoServicePrincipalCollectionResponse(servicePrincipalCollectionResponse?: ServicePrincipalCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServicePrincipalCollectionResponse(writer: SerializationWriter, servicePrincipalCollectionResponse?: ServicePrincipalCollectionResponse | undefined): void;
export interface ServicePrincipalCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ServicePrincipal[];
}
