import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ServicePrincipalRiskDetection } from './servicePrincipalRiskDetection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServicePrincipalRiskDetectionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServicePrincipalRiskDetectionCollectionResponse;
export declare function deserializeIntoServicePrincipalRiskDetectionCollectionResponse(servicePrincipalRiskDetectionCollectionResponse?: ServicePrincipalRiskDetectionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServicePrincipalRiskDetectionCollectionResponse(writer: SerializationWriter, servicePrincipalRiskDetectionCollectionResponse?: ServicePrincipalRiskDetectionCollectionResponse | undefined): void;
export interface ServicePrincipalRiskDetectionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ServicePrincipalRiskDetection[];
}
