import { type ServiceProvisioningError } from './serviceProvisioningError';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceProvisioningXmlErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceProvisioningXmlError;
export declare function deserializeIntoServiceProvisioningXmlError(serviceProvisioningXmlError?: ServiceProvisioningXmlError | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceProvisioningXmlError(writer: SerializationWriter, serviceProvisioningXmlError?: ServiceProvisioningXmlError | undefined): void;
export interface ServiceProvisioningXmlError extends Parsable, ServiceProvisioningError {
    /**
     * The errorDetail property
     */
    errorDetail?: string;
}
