import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ServiceUpdateMessage } from './serviceUpdateMessage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceUpdateMessageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceUpdateMessageCollectionResponse;
export declare function deserializeIntoServiceUpdateMessageCollectionResponse(serviceUpdateMessageCollectionResponse?: ServiceUpdateMessageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceUpdateMessageCollectionResponse(writer: SerializationWriter, serviceUpdateMessageCollectionResponse?: ServiceUpdateMessageCollectionResponse | undefined): void;
export interface ServiceUpdateMessageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ServiceUpdateMessage[];
}
