import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceUpdateMessageViewpointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceUpdateMessageViewpoint;
export declare function deserializeIntoServiceUpdateMessageViewpoint(serviceUpdateMessageViewpoint?: ServiceUpdateMessageViewpoint | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceUpdateMessageViewpoint(writer: SerializationWriter, serviceUpdateMessageViewpoint?: ServiceUpdateMessageViewpoint | undefined): void;
export interface ServiceUpdateMessageViewpoint extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Indicates whether the user archived the message.
     */
    isArchived?: boolean;
    /**
     * Indicates whether the user marked the message as favorite.
     */
    isFavorited?: boolean;
    /**
     * Indicates whether the user read the message.
     */
    isRead?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
}
