"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeServiceUpdateMessageViewpoint = exports.deserializeIntoServiceUpdateMessageViewpoint = exports.createServiceUpdateMessageViewpointFromDiscriminatorValue = void 0;
function createServiceUpdateMessageViewpointFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoServiceUpdateMessageViewpoint;
}
exports.createServiceUpdateMessageViewpointFromDiscriminatorValue = createServiceUpdateMessageViewpointFromDiscriminatorValue;
function deserializeIntoServiceUpdateMessageViewpoint(serviceUpdateMessageViewpoint = {}) {
    return {
        "isArchived": n => { serviceUpdateMessageViewpoint.isArchived = n.getBooleanValue(); },
        "isFavorited": n => { serviceUpdateMessageViewpoint.isFavorited = n.getBooleanValue(); },
        "isRead": n => { serviceUpdateMessageViewpoint.isRead = n.getBooleanValue(); },
        "@odata.type": n => { serviceUpdateMessageViewpoint.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoServiceUpdateMessageViewpoint = deserializeIntoServiceUpdateMessageViewpoint;
function serializeServiceUpdateMessageViewpoint(writer, serviceUpdateMessageViewpoint = {}) {
    writer.writeBooleanValue("isArchived", serviceUpdateMessageViewpoint.isArchived);
    writer.writeBooleanValue("isFavorited", serviceUpdateMessageViewpoint.isFavorited);
    writer.writeBooleanValue("isRead", serviceUpdateMessageViewpoint.isRead);
    writer.writeStringValue("@odata.type", serviceUpdateMessageViewpoint.odataType);
    writer.writeAdditionalData(serviceUpdateMessageViewpoint.additionalData);
}
exports.serializeServiceUpdateMessageViewpoint = serializeServiceUpdateMessageViewpoint;
// tslint:enable
// eslint-enable
