import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharePointIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharePointIdentity;
export declare function deserializeIntoSharePointIdentity(sharePointIdentity?: SharePointIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharePointIdentity(writer: SerializationWriter, sharePointIdentity?: SharePointIdentity | undefined): void;
export interface SharePointIdentity extends Identity, Parsable {
    /**
     * The sign in name of the SharePoint identity.
     */
    loginName?: string;
}
