"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharedPCAccountDeletionPolicyType = void 0;
/**
 * Possible values for when accounts are deleted on a shared PC.
 */
var SharedPCAccountDeletionPolicyType;
(function (SharedPCAccountDeletionPolicyType) {
    /** Delete immediately. */
    SharedPCAccountDeletionPolicyType["Immediate"] = "immediate";
    /** Delete at disk space threshold. */
    SharedPCAccountDeletionPolicyType["DiskSpaceThreshold"] = "diskSpaceThreshold";
    /** Delete at disk space threshold or inactive threshold. */
    SharedPCAccountDeletionPolicyType["DiskSpaceThresholdOrInactiveThreshold"] = "diskSpaceThresholdOrInactiveThreshold";
})(SharedPCAccountDeletionPolicyType || (exports.SharedPCAccountDeletionPolicyType = SharedPCAccountDeletionPolicyType = {}));
// tslint:enable
// eslint-enable
