import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SharedWithChannelTeamInfo } from './sharedWithChannelTeamInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedWithChannelTeamInfoCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedWithChannelTeamInfoCollectionResponse;
export declare function deserializeIntoSharedWithChannelTeamInfoCollectionResponse(sharedWithChannelTeamInfoCollectionResponse?: SharedWithChannelTeamInfoCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedWithChannelTeamInfoCollectionResponse(writer: SerializationWriter, sharedWithChannelTeamInfoCollectionResponse?: SharedWithChannelTeamInfoCollectionResponse | undefined): void;
export interface SharedWithChannelTeamInfoCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SharedWithChannelTeamInfo[];
}
