import { type Entity } from './entity';
import { type SharepointSettings } from './sharepointSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharepointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharepoint;
export declare function deserializeIntoSharepoint(sharepoint?: Sharepoint | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharepoint(writer: SerializationWriter, sharepoint?: Sharepoint | undefined): void;
export interface Sharepoint extends Entity, Parsable {
    /**
     * The settings property
     */
    settings?: SharepointSettings;
}
