"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSharepointIds = exports.deserializeIntoSharepointIds = exports.createSharepointIdsFromDiscriminatorValue = void 0;
function createSharepointIdsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSharepointIds;
}
exports.createSharepointIdsFromDiscriminatorValue = createSharepointIdsFromDiscriminatorValue;
function deserializeIntoSharepointIds(sharepointIds = {}) {
    return {
        "listId": n => { sharepointIds.listId = n.getStringValue(); },
        "listItemId": n => { sharepointIds.listItemId = n.getStringValue(); },
        "listItemUniqueId": n => { sharepointIds.listItemUniqueId = n.getStringValue(); },
        "@odata.type": n => { sharepointIds.odataType = n.getStringValue(); },
        "siteId": n => { sharepointIds.siteId = n.getStringValue(); },
        "siteUrl": n => { sharepointIds.siteUrl = n.getStringValue(); },
        "tenantId": n => { sharepointIds.tenantId = n.getStringValue(); },
        "webId": n => { sharepointIds.webId = n.getStringValue(); },
    };
}
exports.deserializeIntoSharepointIds = deserializeIntoSharepointIds;
function serializeSharepointIds(writer, sharepointIds = {}) {
    writer.writeStringValue("listId", sharepointIds.listId);
    writer.writeStringValue("listItemId", sharepointIds.listItemId);
    writer.writeStringValue("listItemUniqueId", sharepointIds.listItemUniqueId);
    writer.writeStringValue("@odata.type", sharepointIds.odataType);
    writer.writeStringValue("siteId", sharepointIds.siteId);
    writer.writeStringValue("siteUrl", sharepointIds.siteUrl);
    writer.writeStringValue("tenantId", sharepointIds.tenantId);
    writer.writeStringValue("webId", sharepointIds.webId);
    writer.writeAdditionalData(sharepointIds.additionalData);
}
exports.serializeSharepointIds = serializeSharepointIds;
// tslint:enable
// eslint-enable
