import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SignIn } from './signIn';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSignInCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSignInCollectionResponse;
export declare function deserializeIntoSignInCollectionResponse(signInCollectionResponse?: SignInCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSignInCollectionResponse(writer: SerializationWriter, signInCollectionResponse?: SignInCollectionResponse | undefined): void;
export interface SignInCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SignIn[];
}
