"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSigningCertificateUpdateStatus = exports.deserializeIntoSigningCertificateUpdateStatus = exports.createSigningCertificateUpdateStatusFromDiscriminatorValue = void 0;
function createSigningCertificateUpdateStatusFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSigningCertificateUpdateStatus;
}
exports.createSigningCertificateUpdateStatusFromDiscriminatorValue = createSigningCertificateUpdateStatusFromDiscriminatorValue;
function deserializeIntoSigningCertificateUpdateStatus(signingCertificateUpdateStatus = {}) {
    return {
        "certificateUpdateResult": n => { signingCertificateUpdateStatus.certificateUpdateResult = n.getStringValue(); },
        "lastRunDateTime": n => { signingCertificateUpdateStatus.lastRunDateTime = n.getDateValue(); },
        "@odata.type": n => { signingCertificateUpdateStatus.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSigningCertificateUpdateStatus = deserializeIntoSigningCertificateUpdateStatus;
function serializeSigningCertificateUpdateStatus(writer, signingCertificateUpdateStatus = {}) {
    writer.writeStringValue("certificateUpdateResult", signingCertificateUpdateStatus.certificateUpdateResult);
    writer.writeDateValue("lastRunDateTime", signingCertificateUpdateStatus.lastRunDateTime);
    writer.writeStringValue("@odata.type", signingCertificateUpdateStatus.odataType);
    writer.writeAdditionalData(signingCertificateUpdateStatus.additionalData);
}
exports.serializeSigningCertificateUpdateStatus = serializeSigningCertificateUpdateStatus;
// tslint:enable
// eslint-enable
