import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SimulationAutomation } from './simulationAutomation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationAutomationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationAutomationCollectionResponse;
export declare function deserializeIntoSimulationAutomationCollectionResponse(simulationAutomationCollectionResponse?: SimulationAutomationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationAutomationCollectionResponse(writer: SerializationWriter, simulationAutomationCollectionResponse?: SimulationAutomationCollectionResponse | undefined): void;
export interface SimulationAutomationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SimulationAutomation[];
}
