"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSimulationEvent = exports.deserializeIntoSimulationEvent = exports.createSimulationEventFromDiscriminatorValue = void 0;
function createSimulationEventFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSimulationEvent;
}
exports.createSimulationEventFromDiscriminatorValue = createSimulationEventFromDiscriminatorValue;
function deserializeIntoSimulationEvent(simulationEvent = {}) {
    return {
        "count": n => { simulationEvent.count = n.getNumberValue(); },
        "eventName": n => { simulationEvent.eventName = n.getStringValue(); },
        "@odata.type": n => { simulationEvent.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSimulationEvent = deserializeIntoSimulationEvent;
function serializeSimulationEvent(writer, simulationEvent = {}) {
    writer.writeNumberValue("count", simulationEvent.count);
    writer.writeStringValue("eventName", simulationEvent.eventName);
    writer.writeStringValue("@odata.type", simulationEvent.odataType);
    writer.writeAdditionalData(simulationEvent.additionalData);
}
exports.serializeSimulationEvent = serializeSimulationEvent;
// tslint:enable
// eslint-enable
