import { type BaseEndUserNotification } from './baseEndUserNotification';
import { TargettedUserType } from './targettedUserType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationNotificationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationNotification;
export declare function deserializeIntoSimulationNotification(simulationNotification?: SimulationNotification | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationNotification(writer: SerializationWriter, simulationNotification?: SimulationNotification | undefined): void;
export interface SimulationNotification extends BaseEndUserNotification, Parsable {
    /**
     * Target user type. Possible values are: unknown, clicked, compromised, allUsers, unknownFutureValue.
     */
    targettedUserType?: TargettedUserType;
}
