import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSingleServicePrincipalFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSingleServicePrincipal;
export declare function deserializeIntoSingleServicePrincipal(singleServicePrincipal?: SingleServicePrincipal | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSingleServicePrincipal(writer: SerializationWriter, singleServicePrincipal?: SingleServicePrincipal | undefined): void;
export interface SingleServicePrincipal extends Parsable, SubjectSet {
    /**
     * Description of this service principal.
     */
    description?: string;
    /**
     * ID of the servicePrincipal.
     */
    servicePrincipalId?: string;
}
