"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteSecurityLevel = void 0;
/**
 * Possible values for site security level.
 */
var SiteSecurityLevel;
(function (SiteSecurityLevel) {
    /** User Defined, default value, no intent. */
    SiteSecurityLevel["UserDefined"] = "userDefined";
    /** Low. */
    SiteSecurityLevel["Low"] = "low";
    /** Medium-low. */
    SiteSecurityLevel["MediumLow"] = "mediumLow";
    /** Medium. */
    SiteSecurityLevel["Medium"] = "medium";
    /** Medium-high. */
    SiteSecurityLevel["MediumHigh"] = "mediumHigh";
    /** High. */
    SiteSecurityLevel["High"] = "high";
})(SiteSecurityLevel || (exports.SiteSecurityLevel = SiteSecurityLevel = {}));
// tslint:enable
// eslint-enable
