"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSizeRange = exports.deserializeIntoSizeRange = exports.createSizeRangeFromDiscriminatorValue = void 0;
function createSizeRangeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSizeRange;
}
exports.createSizeRangeFromDiscriminatorValue = createSizeRangeFromDiscriminatorValue;
function deserializeIntoSizeRange(sizeRange = {}) {
    return {
        "maximumSize": n => { sizeRange.maximumSize = n.getNumberValue(); },
        "minimumSize": n => { sizeRange.minimumSize = n.getNumberValue(); },
        "@odata.type": n => { sizeRange.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSizeRange = deserializeIntoSizeRange;
function serializeSizeRange(writer, sizeRange = {}) {
    writer.writeNumberValue("maximumSize", sizeRange.maximumSize);
    writer.writeNumberValue("minimumSize", sizeRange.minimumSize);
    writer.writeStringValue("@odata.type", sizeRange.odataType);
    writer.writeAdditionalData(sizeRange.additionalData);
}
exports.serializeSizeRange = serializeSizeRange;
// tslint:enable
// eslint-enable
