import { type ConversationMember } from './conversationMember';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSkypeForBusinessUserConversationMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSkypeForBusinessUserConversationMember;
export declare function deserializeIntoSkypeForBusinessUserConversationMember(skypeForBusinessUserConversationMember?: SkypeForBusinessUserConversationMember | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSkypeForBusinessUserConversationMember(writer: SerializationWriter, skypeForBusinessUserConversationMember?: SkypeForBusinessUserConversationMember | undefined): void;
export interface SkypeForBusinessUserConversationMember extends ConversationMember, Parsable {
    /**
     * ID of the tenant that the user belongs to.
     */
    tenantId?: string;
    /**
     * Microsoft Entra ID of the user.
     */
    userId?: string;
}
