import { type AuthenticationMethod } from './authenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSoftwareOathAuthenticationMethodFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSoftwareOathAuthenticationMethod;
export declare function deserializeIntoSoftwareOathAuthenticationMethod(softwareOathAuthenticationMethod?: SoftwareOathAuthenticationMethod | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSoftwareOathAuthenticationMethod(writer: SerializationWriter, softwareOathAuthenticationMethod?: SoftwareOathAuthenticationMethod | undefined): void;
export interface SoftwareOathAuthenticationMethod extends AuthenticationMethod, Parsable {
    /**
     * The secret key of the method. Always returns null.
     */
    secretKey?: string;
}
