import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SoftwareOathAuthenticationMethod } from './softwareOathAuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSoftwareOathAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSoftwareOathAuthenticationMethodCollectionResponse;
export declare function deserializeIntoSoftwareOathAuthenticationMethodCollectionResponse(softwareOathAuthenticationMethodCollectionResponse?: SoftwareOathAuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSoftwareOathAuthenticationMethodCollectionResponse(writer: SerializationWriter, softwareOathAuthenticationMethodCollectionResponse?: SoftwareOathAuthenticationMethodCollectionResponse | undefined): void;
export interface SoftwareOathAuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SoftwareOathAuthenticationMethod[];
}
