"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSortProperty = exports.deserializeIntoSortProperty = exports.createSortPropertyFromDiscriminatorValue = void 0;
function createSortPropertyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSortProperty;
}
exports.createSortPropertyFromDiscriminatorValue = createSortPropertyFromDiscriminatorValue;
function deserializeIntoSortProperty(sortProperty = {}) {
    return {
        "isDescending": n => { sortProperty.isDescending = n.getBooleanValue(); },
        "name": n => { sortProperty.name = n.getStringValue(); },
        "@odata.type": n => { sortProperty.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSortProperty = deserializeIntoSortProperty;
function serializeSortProperty(writer, sortProperty = {}) {
    writer.writeBooleanValue("isDescending", sortProperty.isDescending);
    writer.writeStringValue("name", sortProperty.name);
    writer.writeStringValue("@odata.type", sortProperty.odataType);
    writer.writeAdditionalData(sortProperty.additionalData);
}
exports.serializeSortProperty = serializeSortProperty;
// tslint:enable
// eslint-enable
