import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSpecialFolderFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSpecialFolder;
export declare function deserializeIntoSpecialFolder(specialFolder?: SpecialFolder | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSpecialFolder(writer: SerializationWriter, specialFolder?: SpecialFolder | undefined): void;
export interface SpecialFolder extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The unique identifier for this item in the /drive/special collection
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
