import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStringCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStringCollectionResponse;
export declare function deserializeIntoStringCollectionResponse(stringCollectionResponse?: StringCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStringCollectionResponse(writer: SerializationWriter, stringCollectionResponse?: StringCollectionResponse | undefined): void;
export interface StringCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: string[];
}
