import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStringKeyObjectValuePairFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStringKeyObjectValuePair;
export declare function deserializeIntoStringKeyObjectValuePair(stringKeyObjectValuePair?: StringKeyObjectValuePair | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStringKeyObjectValuePair(writer: SerializationWriter, stringKeyObjectValuePair?: StringKeyObjectValuePair | undefined): void;
export interface StringKeyObjectValuePair extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Key.
     */
    key?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
