import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStringKeyStringValuePairFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStringKeyStringValuePair;
export declare function deserializeIntoStringKeyStringValuePair(stringKeyStringValuePair?: StringKeyStringValuePair | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStringKeyStringValuePair(writer: SerializationWriter, stringKeyStringValuePair?: StringKeyStringValuePair | undefined): void;
export interface StringKeyStringValuePair extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Key.
     */
    key?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Value.
     */
    value?: string;
}
