"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeStringKeyStringValuePair = exports.deserializeIntoStringKeyStringValuePair = exports.createStringKeyStringValuePairFromDiscriminatorValue = void 0;
function createStringKeyStringValuePairFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoStringKeyStringValuePair;
}
exports.createStringKeyStringValuePairFromDiscriminatorValue = createStringKeyStringValuePairFromDiscriminatorValue;
function deserializeIntoStringKeyStringValuePair(stringKeyStringValuePair = {}) {
    return {
        "key": n => { stringKeyStringValuePair.key = n.getStringValue(); },
        "@odata.type": n => { stringKeyStringValuePair.odataType = n.getStringValue(); },
        "value": n => { stringKeyStringValuePair.value = n.getStringValue(); },
    };
}
exports.deserializeIntoStringKeyStringValuePair = deserializeIntoStringKeyStringValuePair;
function serializeStringKeyStringValuePair(writer, stringKeyStringValuePair = {}) {
    writer.writeStringValue("key", stringKeyStringValuePair.key);
    writer.writeStringValue("@odata.type", stringKeyStringValuePair.odataType);
    writer.writeStringValue("value", stringKeyStringValuePair.value);
    writer.writeAdditionalData(stringKeyStringValuePair.additionalData);
}
exports.serializeStringKeyStringValuePair = serializeStringKeyStringValuePair;
// tslint:enable
// eslint-enable
