import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SubjectRightsRequest } from './subjectRightsRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestCollectionResponse;
export declare function deserializeIntoSubjectRightsRequestCollectionResponse(subjectRightsRequestCollectionResponse?: SubjectRightsRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestCollectionResponse(writer: SerializationWriter, subjectRightsRequestCollectionResponse?: SubjectRightsRequestCollectionResponse | undefined): void;
export interface SubjectRightsRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SubjectRightsRequest[];
}
