import { deserializeIntoSubjectRightsRequestAllMailboxLocation } from './subjectRightsRequestAllMailboxLocation';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestMailboxLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestAllMailboxLocation;
export declare function deserializeIntoSubjectRightsRequestMailboxLocation(subjectRightsRequestMailboxLocation?: SubjectRightsRequestMailboxLocation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestMailboxLocation(writer: SerializationWriter, subjectRightsRequestMailboxLocation?: SubjectRightsRequestMailboxLocation | undefined): void;
export interface SubjectRightsRequestMailboxLocation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
