import { deserializeIntoSubjectRightsRequestAllSiteLocation } from './subjectRightsRequestAllSiteLocation';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestSiteLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestAllSiteLocation;
export declare function deserializeIntoSubjectRightsRequestSiteLocation(subjectRightsRequestSiteLocation?: SubjectRightsRequestSiteLocation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestSiteLocation(writer: SerializationWriter, subjectRightsRequestSiteLocation?: SubjectRightsRequestSiteLocation | undefined): void;
export interface SubjectRightsRequestSiteLocation extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
