import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SubscribedSku } from './subscribedSku';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubscribedSkuCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubscribedSkuCollectionResponse;
export declare function deserializeIntoSubscribedSkuCollectionResponse(subscribedSkuCollectionResponse?: SubscribedSkuCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubscribedSkuCollectionResponse(writer: SerializationWriter, subscribedSkuCollectionResponse?: SubscribedSkuCollectionResponse | undefined): void;
export interface SubscribedSkuCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SubscribedSku[];
}
