"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSynchronizationError = exports.deserializeIntoSynchronizationError = exports.createSynchronizationErrorFromDiscriminatorValue = void 0;
function createSynchronizationErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSynchronizationError;
}
exports.createSynchronizationErrorFromDiscriminatorValue = createSynchronizationErrorFromDiscriminatorValue;
function deserializeIntoSynchronizationError(synchronizationError = {}) {
    return {
        "code": n => { synchronizationError.code = n.getStringValue(); },
        "message": n => { synchronizationError.message = n.getStringValue(); },
        "@odata.type": n => { synchronizationError.odataType = n.getStringValue(); },
        "tenantActionable": n => { synchronizationError.tenantActionable = n.getBooleanValue(); },
    };
}
exports.deserializeIntoSynchronizationError = deserializeIntoSynchronizationError;
function serializeSynchronizationError(writer, synchronizationError = {}) {
    writer.writeStringValue("code", synchronizationError.code);
    writer.writeStringValue("message", synchronizationError.message);
    writer.writeStringValue("@odata.type", synchronizationError.odataType);
    writer.writeBooleanValue("tenantActionable", synchronizationError.tenantActionable);
    writer.writeAdditionalData(synchronizationError.additionalData);
}
exports.serializeSynchronizationError = serializeSynchronizationError;
// tslint:enable
// eslint-enable
