import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetDeviceGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetDeviceGroup;
export declare function deserializeIntoTargetDeviceGroup(targetDeviceGroup?: TargetDeviceGroup | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetDeviceGroup(writer: SerializationWriter, targetDeviceGroup?: TargetDeviceGroup | undefined): void;
export interface TargetDeviceGroup extends Entity, Parsable {
    /**
     * Display name for the target device group.
     */
    displayName?: string;
}
