import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TargetDeviceGroup } from './targetDeviceGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetDeviceGroupCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetDeviceGroupCollectionResponse;
export declare function deserializeIntoTargetDeviceGroupCollectionResponse(targetDeviceGroupCollectionResponse?: TargetDeviceGroupCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetDeviceGroupCollectionResponse(writer: SerializationWriter, targetDeviceGroupCollectionResponse?: TargetDeviceGroupCollectionResponse | undefined): void;
export interface TargetDeviceGroupCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TargetDeviceGroup[];
}
