import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TargetedManagedAppPolicyAssignment } from './targetedManagedAppPolicyAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetedManagedAppPolicyAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetedManagedAppPolicyAssignmentCollectionResponse;
export declare function deserializeIntoTargetedManagedAppPolicyAssignmentCollectionResponse(targetedManagedAppPolicyAssignmentCollectionResponse?: TargetedManagedAppPolicyAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetedManagedAppPolicyAssignmentCollectionResponse(writer: SerializationWriter, targetedManagedAppPolicyAssignmentCollectionResponse?: TargetedManagedAppPolicyAssignmentCollectionResponse | undefined): void;
export interface TargetedManagedAppPolicyAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TargetedManagedAppPolicyAssignment[];
}
