import { type AttachmentBase } from './attachmentBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskFileAttachmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskFileAttachment;
export declare function deserializeIntoTaskFileAttachment(taskFileAttachment?: TaskFileAttachment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskFileAttachment(writer: SerializationWriter, taskFileAttachment?: TaskFileAttachment | undefined): void;
export interface TaskFileAttachment extends AttachmentBase, Parsable {
    /**
     * The base64-encoded contents of the file.
     */
    contentBytes?: string;
}
