import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Team } from './team';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamCollectionResponse;
export declare function deserializeIntoTeamCollectionResponse(teamCollectionResponse?: TeamCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamCollectionResponse(writer: SerializationWriter, teamCollectionResponse?: TeamCollectionResponse | undefined): void;
export interface TeamCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Team[];
}
