"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeamGuestSettings = exports.deserializeIntoTeamGuestSettings = exports.createTeamGuestSettingsFromDiscriminatorValue = void 0;
function createTeamGuestSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTeamGuestSettings;
}
exports.createTeamGuestSettingsFromDiscriminatorValue = createTeamGuestSettingsFromDiscriminatorValue;
function deserializeIntoTeamGuestSettings(teamGuestSettings = {}) {
    return {
        "allowCreateUpdateChannels": n => { teamGuestSettings.allowCreateUpdateChannels = n.getBooleanValue(); },
        "allowDeleteChannels": n => { teamGuestSettings.allowDeleteChannels = n.getBooleanValue(); },
        "@odata.type": n => { teamGuestSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoTeamGuestSettings = deserializeIntoTeamGuestSettings;
function serializeTeamGuestSettings(writer, teamGuestSettings = {}) {
    writer.writeBooleanValue("allowCreateUpdateChannels", teamGuestSettings.allowCreateUpdateChannels);
    writer.writeBooleanValue("allowDeleteChannels", teamGuestSettings.allowDeleteChannels);
    writer.writeStringValue("@odata.type", teamGuestSettings.odataType);
    writer.writeAdditionalData(teamGuestSettings.additionalData);
}
exports.serializeTeamGuestSettings = serializeTeamGuestSettings;
// tslint:enable
// eslint-enable
