"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeamMemberSettings = exports.deserializeIntoTeamMemberSettings = exports.createTeamMemberSettingsFromDiscriminatorValue = void 0;
function createTeamMemberSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTeamMemberSettings;
}
exports.createTeamMemberSettingsFromDiscriminatorValue = createTeamMemberSettingsFromDiscriminatorValue;
function deserializeIntoTeamMemberSettings(teamMemberSettings = {}) {
    return {
        "allowAddRemoveApps": n => { teamMemberSettings.allowAddRemoveApps = n.getBooleanValue(); },
        "allowCreatePrivateChannels": n => { teamMemberSettings.allowCreatePrivateChannels = n.getBooleanValue(); },
        "allowCreateUpdateChannels": n => { teamMemberSettings.allowCreateUpdateChannels = n.getBooleanValue(); },
        "allowCreateUpdateRemoveConnectors": n => { teamMemberSettings.allowCreateUpdateRemoveConnectors = n.getBooleanValue(); },
        "allowCreateUpdateRemoveTabs": n => { teamMemberSettings.allowCreateUpdateRemoveTabs = n.getBooleanValue(); },
        "allowDeleteChannels": n => { teamMemberSettings.allowDeleteChannels = n.getBooleanValue(); },
        "@odata.type": n => { teamMemberSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoTeamMemberSettings = deserializeIntoTeamMemberSettings;
function serializeTeamMemberSettings(writer, teamMemberSettings = {}) {
    writer.writeBooleanValue("allowAddRemoveApps", teamMemberSettings.allowAddRemoveApps);
    writer.writeBooleanValue("allowCreatePrivateChannels", teamMemberSettings.allowCreatePrivateChannels);
    writer.writeBooleanValue("allowCreateUpdateChannels", teamMemberSettings.allowCreateUpdateChannels);
    writer.writeBooleanValue("allowCreateUpdateRemoveConnectors", teamMemberSettings.allowCreateUpdateRemoveConnectors);
    writer.writeBooleanValue("allowCreateUpdateRemoveTabs", teamMemberSettings.allowCreateUpdateRemoveTabs);
    writer.writeBooleanValue("allowDeleteChannels", teamMemberSettings.allowDeleteChannels);
    writer.writeStringValue("@odata.type", teamMemberSettings.odataType);
    writer.writeAdditionalData(teamMemberSettings.additionalData);
}
exports.serializeTeamMemberSettings = serializeTeamMemberSettings;
// tslint:enable
// eslint-enable
