import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamUnarchivedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamUnarchivedEventMessageDetail;
export declare function deserializeIntoTeamUnarchivedEventMessageDetail(teamUnarchivedEventMessageDetail?: TeamUnarchivedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamUnarchivedEventMessageDetail(writer: SerializationWriter, teamUnarchivedEventMessageDetail?: TeamUnarchivedEventMessageDetail | undefined): void;
export interface TeamUnarchivedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Unique identifier of the team.
     */
    teamId?: string;
}
