import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamsApp } from './teamsApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppCollectionResponse;
export declare function deserializeIntoTeamsAppCollectionResponse(teamsAppCollectionResponse?: TeamsAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppCollectionResponse(writer: SerializationWriter, teamsAppCollectionResponse?: TeamsAppCollectionResponse | undefined): void;
export interface TeamsAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamsApp[];
}
