import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamsAppDefinition } from './teamsAppDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppDefinitionCollectionResponse;
export declare function deserializeIntoTeamsAppDefinitionCollectionResponse(teamsAppDefinitionCollectionResponse?: TeamsAppDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppDefinitionCollectionResponse(writer: SerializationWriter, teamsAppDefinitionCollectionResponse?: TeamsAppDefinitionCollectionResponse | undefined): void;
export interface TeamsAppDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamsAppDefinition[];
}
