import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamsAppInstallation } from './teamsAppInstallation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppInstallationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppInstallationCollectionResponse;
export declare function deserializeIntoTeamsAppInstallationCollectionResponse(teamsAppInstallationCollectionResponse?: TeamsAppInstallationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppInstallationCollectionResponse(writer: SerializationWriter, teamsAppInstallationCollectionResponse?: TeamsAppInstallationCollectionResponse | undefined): void;
export interface TeamsAppInstallationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamsAppInstallation[];
}
