import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppInstalledEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppInstalledEventMessageDetail;
export declare function deserializeIntoTeamsAppInstalledEventMessageDetail(teamsAppInstalledEventMessageDetail?: TeamsAppInstalledEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppInstalledEventMessageDetail(writer: SerializationWriter, teamsAppInstalledEventMessageDetail?: TeamsAppInstalledEventMessageDetail | undefined): void;
export interface TeamsAppInstalledEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Display name of the teamsApp.
     */
    teamsAppDisplayName?: string;
    /**
     * Unique identifier of the teamsApp.
     */
    teamsAppId?: string;
}
