import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppRemovedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppRemovedEventMessageDetail;
export declare function deserializeIntoTeamsAppRemovedEventMessageDetail(teamsAppRemovedEventMessageDetail?: TeamsAppRemovedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppRemovedEventMessageDetail(writer: SerializationWriter, teamsAppRemovedEventMessageDetail?: TeamsAppRemovedEventMessageDetail | undefined): void;
export interface TeamsAppRemovedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Display name of the teamsApp.
     */
    teamsAppDisplayName?: string;
    /**
     * Unique identifier of the teamsApp.
     */
    teamsAppId?: string;
}
