import { TeamsAppResourceSpecificPermissionType } from './teamsAppResourceSpecificPermissionType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppResourceSpecificPermissionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppResourceSpecificPermission;
export declare function deserializeIntoTeamsAppResourceSpecificPermission(teamsAppResourceSpecificPermission?: TeamsAppResourceSpecificPermission | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppResourceSpecificPermission(writer: SerializationWriter, teamsAppResourceSpecificPermission?: TeamsAppResourceSpecificPermission | undefined): void;
export interface TeamsAppResourceSpecificPermission extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The type of resource-specific permission.
     */
    permissionType?: TeamsAppResourceSpecificPermissionType;
    /**
     * The name of the resource-specific permission.
     */
    permissionValue?: string;
}
