import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppSettings;
export declare function deserializeIntoTeamsAppSettings(teamsAppSettings?: TeamsAppSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppSettings(writer: SerializationWriter, teamsAppSettings?: TeamsAppSettings | undefined): void;
export interface TeamsAppSettings extends Entity, Parsable {
    /**
     * Indicates whether users are allowed to request access to the unavailable Teams apps.
     */
    allowUserRequestsForAppAccess?: boolean;
}
