import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppUpgradedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppUpgradedEventMessageDetail;
export declare function deserializeIntoTeamsAppUpgradedEventMessageDetail(teamsAppUpgradedEventMessageDetail?: TeamsAppUpgradedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppUpgradedEventMessageDetail(writer: SerializationWriter, teamsAppUpgradedEventMessageDetail?: TeamsAppUpgradedEventMessageDetail | undefined): void;
export interface TeamsAppUpgradedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Display name of the teamsApp.
     */
    teamsAppDisplayName?: string;
    /**
     * Unique identifier of the teamsApp.
     */
    teamsAppId?: string;
}
