import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamsAsyncOperation } from './teamsAsyncOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAsyncOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAsyncOperationCollectionResponse;
export declare function deserializeIntoTeamsAsyncOperationCollectionResponse(teamsAsyncOperationCollectionResponse?: TeamsAsyncOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAsyncOperationCollectionResponse(writer: SerializationWriter, teamsAsyncOperationCollectionResponse?: TeamsAsyncOperationCollectionResponse | undefined): void;
export interface TeamsAsyncOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamsAsyncOperation[];
}
