import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamsTemplate } from './teamsTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsTemplateCollectionResponse;
export declare function deserializeIntoTeamsTemplateCollectionResponse(teamsTemplateCollectionResponse?: TeamsTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsTemplateCollectionResponse(writer: SerializationWriter, teamsTemplateCollectionResponse?: TeamsTemplateCollectionResponse | undefined): void;
export interface TeamsTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamsTemplate[];
}
