import { type Identity } from './identity';
import { TeamworkConversationIdentityType } from './teamworkConversationIdentityType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkConversationIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkConversationIdentity;
export declare function deserializeIntoTeamworkConversationIdentity(teamworkConversationIdentity?: TeamworkConversationIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkConversationIdentity(writer: SerializationWriter, teamworkConversationIdentity?: TeamworkConversationIdentity | undefined): void;
export interface TeamworkConversationIdentity extends Identity, Parsable {
    /**
     * Type of conversation. Possible values are: team, channel, chat, and unknownFutureValue.
     */
    conversationIdentityType?: TeamworkConversationIdentityType;
}
