import { deserializeIntoChannelMembersNotificationRecipient } from './channelMembersNotificationRecipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkNotificationRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelMembersNotificationRecipient;
export declare function deserializeIntoTeamworkNotificationRecipient(teamworkNotificationRecipient?: TeamworkNotificationRecipient | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkNotificationRecipient(writer: SerializationWriter, teamworkNotificationRecipient?: TeamworkNotificationRecipient | undefined): void;
export interface TeamworkNotificationRecipient extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
