import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamworkTag } from './teamworkTag';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkTagCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkTagCollectionResponse;
export declare function deserializeIntoTeamworkTagCollectionResponse(teamworkTagCollectionResponse?: TeamworkTagCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkTagCollectionResponse(writer: SerializationWriter, teamworkTagCollectionResponse?: TeamworkTagCollectionResponse | undefined): void;
export interface TeamworkTagCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamworkTag[];
}
