import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkTagIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkTagIdentity;
export declare function deserializeIntoTeamworkTagIdentity(teamworkTagIdentity?: TeamworkTagIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkTagIdentity(writer: SerializationWriter, teamworkTagIdentity?: TeamworkTagIdentity | undefined): void;
export interface TeamworkTagIdentity extends Identity, Parsable {
}
