import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TemporaryAccessPassAuthenticationMethod } from './temporaryAccessPassAuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTemporaryAccessPassAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTemporaryAccessPassAuthenticationMethodCollectionResponse;
export declare function deserializeIntoTemporaryAccessPassAuthenticationMethodCollectionResponse(temporaryAccessPassAuthenticationMethodCollectionResponse?: TemporaryAccessPassAuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTemporaryAccessPassAuthenticationMethodCollectionResponse(writer: SerializationWriter, temporaryAccessPassAuthenticationMethodCollectionResponse?: TemporaryAccessPassAuthenticationMethodCollectionResponse | undefined): void;
export interface TemporaryAccessPassAuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TemporaryAccessPassAuthenticationMethod[];
}
