import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Term } from './term';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermCollectionResponse;
export declare function deserializeIntoTermCollectionResponse(termCollectionResponse?: TermCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermCollectionResponse(writer: SerializationWriter, termCollectionResponse?: TermCollectionResponse | undefined): void;
export interface TermCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Term[];
}
