import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TermsAndConditionsAcceptanceStatus } from './termsAndConditionsAcceptanceStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermsAndConditionsAcceptanceStatusCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermsAndConditionsAcceptanceStatusCollectionResponse;
export declare function deserializeIntoTermsAndConditionsAcceptanceStatusCollectionResponse(termsAndConditionsAcceptanceStatusCollectionResponse?: TermsAndConditionsAcceptanceStatusCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermsAndConditionsAcceptanceStatusCollectionResponse(writer: SerializationWriter, termsAndConditionsAcceptanceStatusCollectionResponse?: TermsAndConditionsAcceptanceStatusCollectionResponse | undefined): void;
export interface TermsAndConditionsAcceptanceStatusCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TermsAndConditionsAcceptanceStatus[];
}
