import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermsAndConditionsAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermsAndConditionsAssignment;
export declare function deserializeIntoTermsAndConditionsAssignment(termsAndConditionsAssignment?: TermsAndConditionsAssignment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermsAndConditionsAssignment(writer: SerializationWriter, termsAndConditionsAssignment?: TermsAndConditionsAssignment | undefined): void;
export interface TermsAndConditionsAssignment extends Entity, Parsable {
    /**
     * Assignment target that the T&C policy is assigned to.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
