import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TermsAndConditionsAssignment } from './termsAndConditionsAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermsAndConditionsAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermsAndConditionsAssignmentCollectionResponse;
export declare function deserializeIntoTermsAndConditionsAssignmentCollectionResponse(termsAndConditionsAssignmentCollectionResponse?: TermsAndConditionsAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermsAndConditionsAssignmentCollectionResponse(writer: SerializationWriter, termsAndConditionsAssignmentCollectionResponse?: TermsAndConditionsAssignmentCollectionResponse | undefined): void;
export interface TermsAndConditionsAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TermsAndConditionsAssignment[];
}
