import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TermsAndConditions } from './termsAndConditions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTermsAndConditionsCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTermsAndConditionsCollectionResponse;
export declare function deserializeIntoTermsAndConditionsCollectionResponse(termsAndConditionsCollectionResponse?: TermsAndConditionsCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTermsAndConditionsCollectionResponse(writer: SerializationWriter, termsAndConditionsCollectionResponse?: TermsAndConditionsCollectionResponse | undefined): void;
export interface TermsAndConditionsCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TermsAndConditions[];
}
