import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ThreatAssessmentResult } from './threatAssessmentResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThreatAssessmentResultCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThreatAssessmentResultCollectionResponse;
export declare function deserializeIntoThreatAssessmentResultCollectionResponse(threatAssessmentResultCollectionResponse?: ThreatAssessmentResultCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThreatAssessmentResultCollectionResponse(writer: SerializationWriter, threatAssessmentResultCollectionResponse?: ThreatAssessmentResultCollectionResponse | undefined): void;
export interface ThreatAssessmentResultCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ThreatAssessmentResult[];
}
