import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ThumbnailSet } from './thumbnailSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThumbnailSetCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThumbnailSetCollectionResponse;
export declare function deserializeIntoThumbnailSetCollectionResponse(thumbnailSetCollectionResponse?: ThumbnailSetCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThumbnailSetCollectionResponse(writer: SerializationWriter, thumbnailSetCollectionResponse?: ThumbnailSetCollectionResponse | undefined): void;
export interface ThumbnailSetCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ThumbnailSet[];
}
