"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTicketInfo = exports.deserializeIntoTicketInfo = exports.createTicketInfoFromDiscriminatorValue = void 0;
function createTicketInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTicketInfo;
}
exports.createTicketInfoFromDiscriminatorValue = createTicketInfoFromDiscriminatorValue;
function deserializeIntoTicketInfo(ticketInfo = {}) {
    return {
        "@odata.type": n => { ticketInfo.odataType = n.getStringValue(); },
        "ticketNumber": n => { ticketInfo.ticketNumber = n.getStringValue(); },
        "ticketSystem": n => { ticketInfo.ticketSystem = n.getStringValue(); },
    };
}
exports.deserializeIntoTicketInfo = deserializeIntoTicketInfo;
function serializeTicketInfo(writer, ticketInfo = {}) {
    writer.writeStringValue("@odata.type", ticketInfo.odataType);
    writer.writeStringValue("ticketNumber", ticketInfo.ticketNumber);
    writer.writeStringValue("ticketSystem", ticketInfo.ticketSystem);
    writer.writeAdditionalData(ticketInfo.additionalData);
}
exports.serializeTicketInfo = serializeTicketInfo;
// tslint:enable
// eslint-enable
