import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TimeOff } from './timeOff';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeOffCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOffCollectionResponse;
export declare function deserializeIntoTimeOffCollectionResponse(timeOffCollectionResponse?: TimeOffCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeOffCollectionResponse(writer: SerializationWriter, timeOffCollectionResponse?: TimeOffCollectionResponse | undefined): void;
export interface TimeOffCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TimeOff[];
}
