import { type ScheduleEntity } from './scheduleEntity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeOffItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOffItem;
export declare function deserializeIntoTimeOffItem(timeOffItem?: TimeOffItem | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeOffItem(writer: SerializationWriter, timeOffItem?: TimeOffItem | undefined): void;
export interface TimeOffItem extends Parsable, ScheduleEntity {
    /**
     * ID of the timeOffReason for this timeOffItem. Required.
     */
    timeOffReasonId?: string;
}
