import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TimeOffReason } from './timeOffReason';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeOffReasonCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOffReasonCollectionResponse;
export declare function deserializeIntoTimeOffReasonCollectionResponse(timeOffReasonCollectionResponse?: TimeOffReasonCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeOffReasonCollectionResponse(writer: SerializationWriter, timeOffReasonCollectionResponse?: TimeOffReasonCollectionResponse | undefined): void;
export interface TimeOffReasonCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TimeOffReason[];
}
