import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TimeOffRequest } from './timeOffRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTimeOffRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOffRequestCollectionResponse;
export declare function deserializeIntoTimeOffRequestCollectionResponse(timeOffRequestCollectionResponse?: TimeOffRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTimeOffRequestCollectionResponse(writer: SerializationWriter, timeOffRequestCollectionResponse?: TimeOffRequestCollectionResponse | undefined): void;
export interface TimeOffRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TimeOffRequest[];
}
