"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTimeZoneInformation = exports.deserializeIntoTimeZoneInformation = exports.createTimeZoneInformationFromDiscriminatorValue = void 0;
function createTimeZoneInformationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTimeZoneInformation;
}
exports.createTimeZoneInformationFromDiscriminatorValue = createTimeZoneInformationFromDiscriminatorValue;
function deserializeIntoTimeZoneInformation(timeZoneInformation = {}) {
    return {
        "alias": n => { timeZoneInformation.alias = n.getStringValue(); },
        "displayName": n => { timeZoneInformation.displayName = n.getStringValue(); },
        "@odata.type": n => { timeZoneInformation.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoTimeZoneInformation = deserializeIntoTimeZoneInformation;
function serializeTimeZoneInformation(writer, timeZoneInformation = {}) {
    writer.writeStringValue("alias", timeZoneInformation.alias);
    writer.writeStringValue("displayName", timeZoneInformation.displayName);
    writer.writeStringValue("@odata.type", timeZoneInformation.odataType);
    writer.writeAdditionalData(timeZoneInformation.additionalData);
}
exports.serializeTimeZoneInformation = serializeTimeZoneInformation;
// tslint:enable
// eslint-enable
