import { type Entity } from './entity';
import { type TodoTaskList } from './todoTaskList';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTodoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTodo;
export declare function deserializeIntoTodo(todo?: Todo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTodo(writer: SerializationWriter, todo?: Todo | undefined): void;
export interface Todo extends Entity, Parsable {
    /**
     * The task lists in the users mailbox.
     */
    lists?: TodoTaskList[];
}
