import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TodoTask } from './todoTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTodoTaskCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTodoTaskCollectionResponse;
export declare function deserializeIntoTodoTaskCollectionResponse(todoTaskCollectionResponse?: TodoTaskCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTodoTaskCollectionResponse(writer: SerializationWriter, todoTaskCollectionResponse?: TodoTaskCollectionResponse | undefined): void;
export interface TodoTaskCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TodoTask[];
}
