import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TodoTaskList } from './todoTaskList';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTodoTaskListCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTodoTaskListCollectionResponse;
export declare function deserializeIntoTodoTaskListCollectionResponse(todoTaskListCollectionResponse?: TodoTaskListCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTodoTaskListCollectionResponse(writer: SerializationWriter, todoTaskListCollectionResponse?: TodoTaskListCollectionResponse | undefined): void;
export interface TodoTaskListCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TodoTaskList[];
}
