import { type StsPolicy } from './stsPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTokenLifetimePolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTokenLifetimePolicy;
export declare function deserializeIntoTokenLifetimePolicy(tokenLifetimePolicy?: TokenLifetimePolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTokenLifetimePolicy(writer: SerializationWriter, tokenLifetimePolicy?: TokenLifetimePolicy | undefined): void;
export interface TokenLifetimePolicy extends Parsable, StsPolicy {
}
