import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TokenLifetimePolicy } from './tokenLifetimePolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTokenLifetimePolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTokenLifetimePolicyCollectionResponse;
export declare function deserializeIntoTokenLifetimePolicyCollectionResponse(tokenLifetimePolicyCollectionResponse?: TokenLifetimePolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTokenLifetimePolicyCollectionResponse(writer: SerializationWriter, tokenLifetimePolicyCollectionResponse?: TokenLifetimePolicyCollectionResponse | undefined): void;
export interface TokenLifetimePolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TokenLifetimePolicy[];
}
