import { type MeetingInfo } from './meetingInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTokenMeetingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTokenMeetingInfo;
export declare function deserializeIntoTokenMeetingInfo(tokenMeetingInfo?: TokenMeetingInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTokenMeetingInfo(writer: SerializationWriter, tokenMeetingInfo?: TokenMeetingInfo | undefined): void;
export interface TokenMeetingInfo extends MeetingInfo, Parsable {
    /**
     * The token used to join the call.
     */
    token?: string;
}
