import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Trending } from './trending';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrendingCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrendingCollectionResponse;
export declare function deserializeIntoTrendingCollectionResponse(trendingCollectionResponse?: TrendingCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrendingCollectionResponse(writer: SerializationWriter, trendingCollectionResponse?: TrendingCollectionResponse | undefined): void;
export interface TrendingCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Trending[];
}
