import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRbacResourceAction } from './unifiedRbacResourceAction';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRbacResourceActionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRbacResourceActionCollectionResponse;
export declare function deserializeIntoUnifiedRbacResourceActionCollectionResponse(unifiedRbacResourceActionCollectionResponse?: UnifiedRbacResourceActionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRbacResourceActionCollectionResponse(writer: SerializationWriter, unifiedRbacResourceActionCollectionResponse?: UnifiedRbacResourceActionCollectionResponse | undefined): void;
export interface UnifiedRbacResourceActionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRbacResourceAction[];
}
