import { type Entity } from './entity';
import { type UnifiedRbacResourceAction } from './unifiedRbacResourceAction';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRbacResourceNamespaceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRbacResourceNamespace;
export declare function deserializeIntoUnifiedRbacResourceNamespace(unifiedRbacResourceNamespace?: UnifiedRbacResourceNamespace | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRbacResourceNamespace(writer: SerializationWriter, unifiedRbacResourceNamespace?: UnifiedRbacResourceNamespace | undefined): void;
export interface UnifiedRbacResourceNamespace extends Entity, Parsable {
    /**
     * The name property
     */
    name?: string;
    /**
     * The resourceActions property
     */
    resourceActions?: UnifiedRbacResourceAction[];
}
