import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRbacResourceNamespace } from './unifiedRbacResourceNamespace';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRbacResourceNamespaceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRbacResourceNamespaceCollectionResponse;
export declare function deserializeIntoUnifiedRbacResourceNamespaceCollectionResponse(unifiedRbacResourceNamespaceCollectionResponse?: UnifiedRbacResourceNamespaceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRbacResourceNamespaceCollectionResponse(writer: SerializationWriter, unifiedRbacResourceNamespaceCollectionResponse?: UnifiedRbacResourceNamespaceCollectionResponse | undefined): void;
export interface UnifiedRbacResourceNamespaceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRbacResourceNamespace[];
}
