"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnifiedRole = exports.deserializeIntoUnifiedRole = exports.createUnifiedRoleFromDiscriminatorValue = void 0;
function createUnifiedRoleFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnifiedRole;
}
exports.createUnifiedRoleFromDiscriminatorValue = createUnifiedRoleFromDiscriminatorValue;
function deserializeIntoUnifiedRole(unifiedRole = {}) {
    return {
        "@odata.type": n => { unifiedRole.odataType = n.getStringValue(); },
        "roleDefinitionId": n => { unifiedRole.roleDefinitionId = n.getStringValue(); },
    };
}
exports.deserializeIntoUnifiedRole = deserializeIntoUnifiedRole;
function serializeUnifiedRole(writer, unifiedRole = {}) {
    writer.writeStringValue("@odata.type", unifiedRole.odataType);
    writer.writeStringValue("roleDefinitionId", unifiedRole.roleDefinitionId);
    writer.writeAdditionalData(unifiedRole.additionalData);
}
exports.serializeUnifiedRole = serializeUnifiedRole;
// tslint:enable
// eslint-enable
