import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRoleAssignmentScheduleInstance } from './unifiedRoleAssignmentScheduleInstance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleAssignmentScheduleInstanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleAssignmentScheduleInstanceCollectionResponse;
export declare function deserializeIntoUnifiedRoleAssignmentScheduleInstanceCollectionResponse(unifiedRoleAssignmentScheduleInstanceCollectionResponse?: UnifiedRoleAssignmentScheduleInstanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleAssignmentScheduleInstanceCollectionResponse(writer: SerializationWriter, unifiedRoleAssignmentScheduleInstanceCollectionResponse?: UnifiedRoleAssignmentScheduleInstanceCollectionResponse | undefined): void;
export interface UnifiedRoleAssignmentScheduleInstanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRoleAssignmentScheduleInstance[];
}
