import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRoleEligibilitySchedule } from './unifiedRoleEligibilitySchedule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleEligibilityScheduleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleEligibilityScheduleCollectionResponse;
export declare function deserializeIntoUnifiedRoleEligibilityScheduleCollectionResponse(unifiedRoleEligibilityScheduleCollectionResponse?: UnifiedRoleEligibilityScheduleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleEligibilityScheduleCollectionResponse(writer: SerializationWriter, unifiedRoleEligibilityScheduleCollectionResponse?: UnifiedRoleEligibilityScheduleCollectionResponse | undefined): void;
export interface UnifiedRoleEligibilityScheduleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRoleEligibilitySchedule[];
}
