import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRoleEligibilityScheduleInstance } from './unifiedRoleEligibilityScheduleInstance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleEligibilityScheduleInstanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleEligibilityScheduleInstanceCollectionResponse;
export declare function deserializeIntoUnifiedRoleEligibilityScheduleInstanceCollectionResponse(unifiedRoleEligibilityScheduleInstanceCollectionResponse?: UnifiedRoleEligibilityScheduleInstanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleEligibilityScheduleInstanceCollectionResponse(writer: SerializationWriter, unifiedRoleEligibilityScheduleInstanceCollectionResponse?: UnifiedRoleEligibilityScheduleInstanceCollectionResponse | undefined): void;
export interface UnifiedRoleEligibilityScheduleInstanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRoleEligibilityScheduleInstance[];
}
