import { type ApprovalSettings } from './approvalSettings';
import { type UnifiedRoleManagementPolicyRule } from './unifiedRoleManagementPolicyRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyApprovalRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyApprovalRule;
export declare function deserializeIntoUnifiedRoleManagementPolicyApprovalRule(unifiedRoleManagementPolicyApprovalRule?: UnifiedRoleManagementPolicyApprovalRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyApprovalRule(writer: SerializationWriter, unifiedRoleManagementPolicyApprovalRule?: UnifiedRoleManagementPolicyApprovalRule | undefined): void;
export interface UnifiedRoleManagementPolicyApprovalRule extends Parsable, UnifiedRoleManagementPolicyRule {
    /**
     * The settings for approval of the role assignment.
     */
    setting?: ApprovalSettings;
}
