import { type UnifiedRoleManagementPolicyRule } from './unifiedRoleManagementPolicyRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyAuthenticationContextRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyAuthenticationContextRule;
export declare function deserializeIntoUnifiedRoleManagementPolicyAuthenticationContextRule(unifiedRoleManagementPolicyAuthenticationContextRule?: UnifiedRoleManagementPolicyAuthenticationContextRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyAuthenticationContextRule(writer: SerializationWriter, unifiedRoleManagementPolicyAuthenticationContextRule?: UnifiedRoleManagementPolicyAuthenticationContextRule | undefined): void;
export interface UnifiedRoleManagementPolicyAuthenticationContextRule extends Parsable, UnifiedRoleManagementPolicyRule {
    /**
     * The value of the authentication context claim.
     */
    claimValue?: string;
    /**
     * Determines whether this rule is enabled.
     */
    isEnabled?: boolean;
}
