import { type UnifiedRoleManagementPolicyRule } from './unifiedRoleManagementPolicyRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyEnablementRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyEnablementRule;
export declare function deserializeIntoUnifiedRoleManagementPolicyEnablementRule(unifiedRoleManagementPolicyEnablementRule?: UnifiedRoleManagementPolicyEnablementRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyEnablementRule(writer: SerializationWriter, unifiedRoleManagementPolicyEnablementRule?: UnifiedRoleManagementPolicyEnablementRule | undefined): void;
export interface UnifiedRoleManagementPolicyEnablementRule extends Parsable, UnifiedRoleManagementPolicyRule {
    /**
     * The collection of rules that are enabled for this policy rule. For example, MultiFactorAuthentication, Ticketing, and Justification.
     */
    enabledRules?: string[];
}
