import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRoleManagementPolicyRule } from './unifiedRoleManagementPolicyRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyRuleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyRuleCollectionResponse;
export declare function deserializeIntoUnifiedRoleManagementPolicyRuleCollectionResponse(unifiedRoleManagementPolicyRuleCollectionResponse?: UnifiedRoleManagementPolicyRuleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyRuleCollectionResponse(writer: SerializationWriter, unifiedRoleManagementPolicyRuleCollectionResponse?: UnifiedRoleManagementPolicyRuleCollectionResponse | undefined): void;
export interface UnifiedRoleManagementPolicyRuleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRoleManagementPolicyRule[];
}
