import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUriClickSecurityStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUriClickSecurityState;
export declare function deserializeIntoUriClickSecurityState(uriClickSecurityState?: UriClickSecurityState | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUriClickSecurityState(writer: SerializationWriter, uriClickSecurityState?: UriClickSecurityState | undefined): void;
export interface UriClickSecurityState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The clickAction property
     */
    clickAction?: string;
    /**
     * The clickDateTime property
     */
    clickDateTime?: Date;
    /**
     * The id property
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The sourceId property
     */
    sourceId?: string;
    /**
     * The uriDomain property
     */
    uriDomain?: string;
    /**
     * The verdict property
     */
    verdict?: string;
}
