"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUriClickSecurityState = exports.deserializeIntoUriClickSecurityState = exports.createUriClickSecurityStateFromDiscriminatorValue = void 0;
function createUriClickSecurityStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUriClickSecurityState;
}
exports.createUriClickSecurityStateFromDiscriminatorValue = createUriClickSecurityStateFromDiscriminatorValue;
function deserializeIntoUriClickSecurityState(uriClickSecurityState = {}) {
    return {
        "clickAction": n => { uriClickSecurityState.clickAction = n.getStringValue(); },
        "clickDateTime": n => { uriClickSecurityState.clickDateTime = n.getDateValue(); },
        "id": n => { uriClickSecurityState.id = n.getStringValue(); },
        "@odata.type": n => { uriClickSecurityState.odataType = n.getStringValue(); },
        "sourceId": n => { uriClickSecurityState.sourceId = n.getStringValue(); },
        "uriDomain": n => { uriClickSecurityState.uriDomain = n.getStringValue(); },
        "verdict": n => { uriClickSecurityState.verdict = n.getStringValue(); },
    };
}
exports.deserializeIntoUriClickSecurityState = deserializeIntoUriClickSecurityState;
function serializeUriClickSecurityState(writer, uriClickSecurityState = {}) {
    writer.writeStringValue("clickAction", uriClickSecurityState.clickAction);
    writer.writeDateValue("clickDateTime", uriClickSecurityState.clickDateTime);
    writer.writeStringValue("id", uriClickSecurityState.id);
    writer.writeStringValue("@odata.type", uriClickSecurityState.odataType);
    writer.writeStringValue("sourceId", uriClickSecurityState.sourceId);
    writer.writeStringValue("uriDomain", uriClickSecurityState.uriDomain);
    writer.writeStringValue("verdict", uriClickSecurityState.verdict);
    writer.writeAdditionalData(uriClickSecurityState.additionalData);
}
exports.serializeUriClickSecurityState = serializeUriClickSecurityState;
// tslint:enable
// eslint-enable
