import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UsedInsight } from './usedInsight';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUsedInsightCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUsedInsightCollectionResponse;
export declare function deserializeIntoUsedInsightCollectionResponse(usedInsightCollectionResponse?: UsedInsightCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUsedInsightCollectionResponse(writer: SerializationWriter, usedInsightCollectionResponse?: UsedInsightCollectionResponse | undefined): void;
export interface UsedInsightCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UsedInsight[];
}
