import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type User } from './user';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserCollectionResponse;
export declare function deserializeIntoUserCollectionResponse(userCollectionResponse?: UserCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserCollectionResponse(writer: SerializationWriter, userCollectionResponse?: UserCollectionResponse | undefined): void;
export interface UserCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: User[];
}
