"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserExperienceAnalyticsAutopilotDevicesSummary = exports.deserializeIntoUserExperienceAnalyticsAutopilotDevicesSummary = exports.createUserExperienceAnalyticsAutopilotDevicesSummaryFromDiscriminatorValue = void 0;
function createUserExperienceAnalyticsAutopilotDevicesSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserExperienceAnalyticsAutopilotDevicesSummary;
}
exports.createUserExperienceAnalyticsAutopilotDevicesSummaryFromDiscriminatorValue = createUserExperienceAnalyticsAutopilotDevicesSummaryFromDiscriminatorValue;
function deserializeIntoUserExperienceAnalyticsAutopilotDevicesSummary(userExperienceAnalyticsAutopilotDevicesSummary = {}) {
    return {
        "devicesNotAutopilotRegistered": n => { userExperienceAnalyticsAutopilotDevicesSummary.devicesNotAutopilotRegistered = n.getNumberValue(); },
        "devicesWithoutAutopilotProfileAssigned": n => { userExperienceAnalyticsAutopilotDevicesSummary.devicesWithoutAutopilotProfileAssigned = n.getNumberValue(); },
        "@odata.type": n => { userExperienceAnalyticsAutopilotDevicesSummary.odataType = n.getStringValue(); },
        "totalWindows10DevicesWithoutTenantAttached": n => { userExperienceAnalyticsAutopilotDevicesSummary.totalWindows10DevicesWithoutTenantAttached = n.getNumberValue(); },
    };
}
exports.deserializeIntoUserExperienceAnalyticsAutopilotDevicesSummary = deserializeIntoUserExperienceAnalyticsAutopilotDevicesSummary;
function serializeUserExperienceAnalyticsAutopilotDevicesSummary(writer, userExperienceAnalyticsAutopilotDevicesSummary = {}) {
    writer.writeNumberValue("devicesNotAutopilotRegistered", userExperienceAnalyticsAutopilotDevicesSummary.devicesNotAutopilotRegistered);
    writer.writeNumberValue("devicesWithoutAutopilotProfileAssigned", userExperienceAnalyticsAutopilotDevicesSummary.devicesWithoutAutopilotProfileAssigned);
    writer.writeStringValue("@odata.type", userExperienceAnalyticsAutopilotDevicesSummary.odataType);
    writer.writeNumberValue("totalWindows10DevicesWithoutTenantAttached", userExperienceAnalyticsAutopilotDevicesSummary.totalWindows10DevicesWithoutTenantAttached);
    writer.writeAdditionalData(userExperienceAnalyticsAutopilotDevicesSummary.additionalData);
}
exports.serializeUserExperienceAnalyticsAutopilotDevicesSummary = serializeUserExperienceAnalyticsAutopilotDevicesSummary;
// tslint:enable
// eslint-enable
