import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsBaseline } from './userExperienceAnalyticsBaseline';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsBaselineCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsBaselineCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsBaselineCollectionResponse(userExperienceAnalyticsBaselineCollectionResponse?: UserExperienceAnalyticsBaselineCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsBaselineCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsBaselineCollectionResponse?: UserExperienceAnalyticsBaselineCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsBaselineCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsBaseline[];
}
