"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserExperienceAnalyticsCloudIdentityDevicesSummary = exports.deserializeIntoUserExperienceAnalyticsCloudIdentityDevicesSummary = exports.createUserExperienceAnalyticsCloudIdentityDevicesSummaryFromDiscriminatorValue = void 0;
function createUserExperienceAnalyticsCloudIdentityDevicesSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserExperienceAnalyticsCloudIdentityDevicesSummary;
}
exports.createUserExperienceAnalyticsCloudIdentityDevicesSummaryFromDiscriminatorValue = createUserExperienceAnalyticsCloudIdentityDevicesSummaryFromDiscriminatorValue;
function deserializeIntoUserExperienceAnalyticsCloudIdentityDevicesSummary(userExperienceAnalyticsCloudIdentityDevicesSummary = {}) {
    return {
        "deviceWithoutCloudIdentityCount": n => { userExperienceAnalyticsCloudIdentityDevicesSummary.deviceWithoutCloudIdentityCount = n.getNumberValue(); },
        "@odata.type": n => { userExperienceAnalyticsCloudIdentityDevicesSummary.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoUserExperienceAnalyticsCloudIdentityDevicesSummary = deserializeIntoUserExperienceAnalyticsCloudIdentityDevicesSummary;
function serializeUserExperienceAnalyticsCloudIdentityDevicesSummary(writer, userExperienceAnalyticsCloudIdentityDevicesSummary = {}) {
    writer.writeNumberValue("deviceWithoutCloudIdentityCount", userExperienceAnalyticsCloudIdentityDevicesSummary.deviceWithoutCloudIdentityCount);
    writer.writeStringValue("@odata.type", userExperienceAnalyticsCloudIdentityDevicesSummary.odataType);
    writer.writeAdditionalData(userExperienceAnalyticsCloudIdentityDevicesSummary.additionalData);
}
exports.serializeUserExperienceAnalyticsCloudIdentityDevicesSummary = serializeUserExperienceAnalyticsCloudIdentityDevicesSummary;
// tslint:enable
// eslint-enable
