"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserExperienceAnalyticsCloudManagementDevicesSummary = exports.deserializeIntoUserExperienceAnalyticsCloudManagementDevicesSummary = exports.createUserExperienceAnalyticsCloudManagementDevicesSummaryFromDiscriminatorValue = void 0;
function createUserExperienceAnalyticsCloudManagementDevicesSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserExperienceAnalyticsCloudManagementDevicesSummary;
}
exports.createUserExperienceAnalyticsCloudManagementDevicesSummaryFromDiscriminatorValue = createUserExperienceAnalyticsCloudManagementDevicesSummaryFromDiscriminatorValue;
function deserializeIntoUserExperienceAnalyticsCloudManagementDevicesSummary(userExperienceAnalyticsCloudManagementDevicesSummary = {}) {
    return {
        "coManagedDeviceCount": n => { userExperienceAnalyticsCloudManagementDevicesSummary.coManagedDeviceCount = n.getNumberValue(); },
        "intuneDeviceCount": n => { userExperienceAnalyticsCloudManagementDevicesSummary.intuneDeviceCount = n.getNumberValue(); },
        "@odata.type": n => { userExperienceAnalyticsCloudManagementDevicesSummary.odataType = n.getStringValue(); },
        "tenantAttachDeviceCount": n => { userExperienceAnalyticsCloudManagementDevicesSummary.tenantAttachDeviceCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoUserExperienceAnalyticsCloudManagementDevicesSummary = deserializeIntoUserExperienceAnalyticsCloudManagementDevicesSummary;
function serializeUserExperienceAnalyticsCloudManagementDevicesSummary(writer, userExperienceAnalyticsCloudManagementDevicesSummary = {}) {
    writer.writeNumberValue("coManagedDeviceCount", userExperienceAnalyticsCloudManagementDevicesSummary.coManagedDeviceCount);
    writer.writeNumberValue("intuneDeviceCount", userExperienceAnalyticsCloudManagementDevicesSummary.intuneDeviceCount);
    writer.writeStringValue("@odata.type", userExperienceAnalyticsCloudManagementDevicesSummary.odataType);
    writer.writeNumberValue("tenantAttachDeviceCount", userExperienceAnalyticsCloudManagementDevicesSummary.tenantAttachDeviceCount);
    writer.writeAdditionalData(userExperienceAnalyticsCloudManagementDevicesSummary.additionalData);
}
exports.serializeUserExperienceAnalyticsCloudManagementDevicesSummary = serializeUserExperienceAnalyticsCloudManagementDevicesSummary;
// tslint:enable
// eslint-enable
