import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsDevicePerformance } from './userExperienceAnalyticsDevicePerformance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsDevicePerformanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsDevicePerformanceCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsDevicePerformanceCollectionResponse(userExperienceAnalyticsDevicePerformanceCollectionResponse?: UserExperienceAnalyticsDevicePerformanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsDevicePerformanceCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsDevicePerformanceCollectionResponse?: UserExperienceAnalyticsDevicePerformanceCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsDevicePerformanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsDevicePerformance[];
}
