import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsDeviceStartupHistory } from './userExperienceAnalyticsDeviceStartupHistory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsDeviceStartupHistoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsDeviceStartupHistoryCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsDeviceStartupHistoryCollectionResponse(userExperienceAnalyticsDeviceStartupHistoryCollectionResponse?: UserExperienceAnalyticsDeviceStartupHistoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsDeviceStartupHistoryCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsDeviceStartupHistoryCollectionResponse?: UserExperienceAnalyticsDeviceStartupHistoryCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsDeviceStartupHistoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsDeviceStartupHistory[];
}
