import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsDeviceStartupProcess } from './userExperienceAnalyticsDeviceStartupProcess';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsDeviceStartupProcessCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsDeviceStartupProcessCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsDeviceStartupProcessCollectionResponse(userExperienceAnalyticsDeviceStartupProcessCollectionResponse?: UserExperienceAnalyticsDeviceStartupProcessCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsDeviceStartupProcessCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsDeviceStartupProcessCollectionResponse?: UserExperienceAnalyticsDeviceStartupProcessCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsDeviceStartupProcessCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsDeviceStartupProcess[];
}
