import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsDeviceStartupProcessPerformance } from './userExperienceAnalyticsDeviceStartupProcessPerformance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse(userExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse?: UserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse?: UserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsDeviceStartupProcessPerformanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsDeviceStartupProcessPerformance[];
}
