"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserExperienceAnalyticsInsightSeverity = void 0;
/**
 * Indicates severity of insights. Possible values are: None, Informational, Warning, Error.
 */
var UserExperienceAnalyticsInsightSeverity;
(function (UserExperienceAnalyticsInsightSeverity) {
    /** Indicates that the insight severity is none. */
    UserExperienceAnalyticsInsightSeverity["None"] = "none";
    /** Indicates that the insight severity is informational. */
    UserExperienceAnalyticsInsightSeverity["Informational"] = "informational";
    /** Indicates that the insight severity is warning. */
    UserExperienceAnalyticsInsightSeverity["Warning"] = "warning";
    /** Indicates that the insight severity is error. */
    UserExperienceAnalyticsInsightSeverity["ErrorEscaped"] = "error";
    /** Evolvable enumeration sentinel value. Do not use. */
    UserExperienceAnalyticsInsightSeverity["UnknownFutureValue"] = "unknownFutureValue";
})(UserExperienceAnalyticsInsightSeverity || (exports.UserExperienceAnalyticsInsightSeverity = UserExperienceAnalyticsInsightSeverity = {}));
// tslint:enable
// eslint-enable
