import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsScoreHistoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsScoreHistory;
export declare function deserializeIntoUserExperienceAnalyticsScoreHistory(userExperienceAnalyticsScoreHistory?: UserExperienceAnalyticsScoreHistory | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsScoreHistory(writer: SerializationWriter, userExperienceAnalyticsScoreHistory?: UserExperienceAnalyticsScoreHistory | undefined): void;
export interface UserExperienceAnalyticsScoreHistory extends Entity, Parsable {
    /**
     * The device startup date time. The value cannot be modified and is automatically populated. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 would look like this: '2014-01-01T00:00:00Z'. Returned by default.
     */
    startupDateTime?: Date;
}
