"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserExperienceAnalyticsSettings = exports.deserializeIntoUserExperienceAnalyticsSettings = exports.createUserExperienceAnalyticsSettingsFromDiscriminatorValue = void 0;
function createUserExperienceAnalyticsSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserExperienceAnalyticsSettings;
}
exports.createUserExperienceAnalyticsSettingsFromDiscriminatorValue = createUserExperienceAnalyticsSettingsFromDiscriminatorValue;
function deserializeIntoUserExperienceAnalyticsSettings(userExperienceAnalyticsSettings = {}) {
    return {
        "configurationManagerDataConnectorConfigured": n => { userExperienceAnalyticsSettings.configurationManagerDataConnectorConfigured = n.getBooleanValue(); },
        "@odata.type": n => { userExperienceAnalyticsSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoUserExperienceAnalyticsSettings = deserializeIntoUserExperienceAnalyticsSettings;
function serializeUserExperienceAnalyticsSettings(writer, userExperienceAnalyticsSettings = {}) {
    writer.writeBooleanValue("configurationManagerDataConnectorConfigured", userExperienceAnalyticsSettings.configurationManagerDataConnectorConfigured);
    writer.writeStringValue("@odata.type", userExperienceAnalyticsSettings.odataType);
    writer.writeAdditionalData(userExperienceAnalyticsSettings.additionalData);
}
exports.serializeUserExperienceAnalyticsSettings = serializeUserExperienceAnalyticsSettings;
// tslint:enable
// eslint-enable
