import { type Entity } from './entity';
import { type UserExperienceAnalyticsWorkFromAnywhereDevice } from './userExperienceAnalyticsWorkFromAnywhereDevice';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsWorkFromAnywhereMetricFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsWorkFromAnywhereMetric;
export declare function deserializeIntoUserExperienceAnalyticsWorkFromAnywhereMetric(userExperienceAnalyticsWorkFromAnywhereMetric?: UserExperienceAnalyticsWorkFromAnywhereMetric | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsWorkFromAnywhereMetric(writer: SerializationWriter, userExperienceAnalyticsWorkFromAnywhereMetric?: UserExperienceAnalyticsWorkFromAnywhereMetric | undefined): void;
export interface UserExperienceAnalyticsWorkFromAnywhereMetric extends Entity, Parsable {
    /**
     * The work from anywhere metric devices. Read-only.
     */
    metricDevices?: UserExperienceAnalyticsWorkFromAnywhereDevice[];
}
