import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserFlowLanguageConfiguration } from './userFlowLanguageConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserFlowLanguageConfigurationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserFlowLanguageConfigurationCollectionResponse;
export declare function deserializeIntoUserFlowLanguageConfigurationCollectionResponse(userFlowLanguageConfigurationCollectionResponse?: UserFlowLanguageConfigurationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserFlowLanguageConfigurationCollectionResponse(writer: SerializationWriter, userFlowLanguageConfigurationCollectionResponse?: UserFlowLanguageConfigurationCollectionResponse | undefined): void;
export interface UserFlowLanguageConfigurationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserFlowLanguageConfiguration[];
}
