import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserFlowLanguagePage } from './userFlowLanguagePage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserFlowLanguagePageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserFlowLanguagePageCollectionResponse;
export declare function deserializeIntoUserFlowLanguagePageCollectionResponse(userFlowLanguagePageCollectionResponse?: UserFlowLanguagePageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserFlowLanguagePageCollectionResponse(writer: SerializationWriter, userFlowLanguagePageCollectionResponse?: UserFlowLanguagePageCollectionResponse | undefined): void;
export interface UserFlowLanguagePageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserFlowLanguagePage[];
}
