import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserInstallStateSummary } from './userInstallStateSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserInstallStateSummaryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserInstallStateSummaryCollectionResponse;
export declare function deserializeIntoUserInstallStateSummaryCollectionResponse(userInstallStateSummaryCollectionResponse?: UserInstallStateSummaryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserInstallStateSummaryCollectionResponse(writer: SerializationWriter, userInstallStateSummaryCollectionResponse?: UserInstallStateSummaryCollectionResponse | undefined): void;
export interface UserInstallStateSummaryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserInstallStateSummary[];
}
