import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserRegistrationDetails } from './userRegistrationDetails';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserRegistrationDetailsCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserRegistrationDetailsCollectionResponse;
export declare function deserializeIntoUserRegistrationDetailsCollectionResponse(userRegistrationDetailsCollectionResponse?: UserRegistrationDetailsCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserRegistrationDetailsCollectionResponse(writer: SerializationWriter, userRegistrationDetailsCollectionResponse?: UserRegistrationDetailsCollectionResponse | undefined): void;
export interface UserRegistrationDetailsCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserRegistrationDetails[];
}
