"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserRegistrationMethodCount = exports.deserializeIntoUserRegistrationMethodCount = exports.createUserRegistrationMethodCountFromDiscriminatorValue = void 0;
function createUserRegistrationMethodCountFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserRegistrationMethodCount;
}
exports.createUserRegistrationMethodCountFromDiscriminatorValue = createUserRegistrationMethodCountFromDiscriminatorValue;
function deserializeIntoUserRegistrationMethodCount(userRegistrationMethodCount = {}) {
    return {
        "authenticationMethod": n => { userRegistrationMethodCount.authenticationMethod = n.getStringValue(); },
        "@odata.type": n => { userRegistrationMethodCount.odataType = n.getStringValue(); },
        "userCount": n => { userRegistrationMethodCount.userCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoUserRegistrationMethodCount = deserializeIntoUserRegistrationMethodCount;
function serializeUserRegistrationMethodCount(writer, userRegistrationMethodCount = {}) {
    writer.writeStringValue("authenticationMethod", userRegistrationMethodCount.authenticationMethod);
    writer.writeStringValue("@odata.type", userRegistrationMethodCount.odataType);
    writer.writeNumberValue("userCount", userRegistrationMethodCount.userCount);
    writer.writeAdditionalData(userRegistrationMethodCount.additionalData);
}
exports.serializeUserRegistrationMethodCount = serializeUserRegistrationMethodCount;
// tslint:enable
// eslint-enable
