import { type Chat } from './chat';
import { type TeamsAppInstallation } from './teamsAppInstallation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserScopeTeamsAppInstallationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserScopeTeamsAppInstallation;
export declare function deserializeIntoUserScopeTeamsAppInstallation(userScopeTeamsAppInstallation?: UserScopeTeamsAppInstallation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserScopeTeamsAppInstallation(writer: SerializationWriter, userScopeTeamsAppInstallation?: UserScopeTeamsAppInstallation | undefined): void;
export interface UserScopeTeamsAppInstallation extends Parsable, TeamsAppInstallation {
    /**
     * The chat between the user and Teams app.
     */
    chat?: Chat;
}
