import { type GovernanceInsight } from './governanceInsight';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserSignInInsightFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserSignInInsight;
export declare function deserializeIntoUserSignInInsight(userSignInInsight?: UserSignInInsight | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserSignInInsight(writer: SerializationWriter, userSignInInsight?: UserSignInInsight | undefined): void;
export interface UserSignInInsight extends GovernanceInsight, Parsable {
    /**
     * Indicates when the user last signed in.
     */
    lastSignInDateTime?: Date;
}
