"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVerifiedPublisher = exports.deserializeIntoVerifiedPublisher = exports.createVerifiedPublisherFromDiscriminatorValue = void 0;
function createVerifiedPublisherFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVerifiedPublisher;
}
exports.createVerifiedPublisherFromDiscriminatorValue = createVerifiedPublisherFromDiscriminatorValue;
function deserializeIntoVerifiedPublisher(verifiedPublisher = {}) {
    return {
        "addedDateTime": n => { verifiedPublisher.addedDateTime = n.getDateValue(); },
        "displayName": n => { verifiedPublisher.displayName = n.getStringValue(); },
        "@odata.type": n => { verifiedPublisher.odataType = n.getStringValue(); },
        "verifiedPublisherId": n => { verifiedPublisher.verifiedPublisherId = n.getStringValue(); },
    };
}
exports.deserializeIntoVerifiedPublisher = deserializeIntoVerifiedPublisher;
function serializeVerifiedPublisher(writer, verifiedPublisher = {}) {
    writer.writeDateValue("addedDateTime", verifiedPublisher.addedDateTime);
    writer.writeStringValue("displayName", verifiedPublisher.displayName);
    writer.writeStringValue("@odata.type", verifiedPublisher.odataType);
    writer.writeStringValue("verifiedPublisherId", verifiedPublisher.verifiedPublisherId);
    writer.writeAdditionalData(verifiedPublisher.additionalData);
}
exports.serializeVerifiedPublisher = serializeVerifiedPublisher;
// tslint:enable
// eslint-enable
