import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type VirtualEvent } from './virtualEvent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventCollectionResponse;
export declare function deserializeIntoVirtualEventCollectionResponse(virtualEventCollectionResponse?: VirtualEventCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventCollectionResponse(writer: SerializationWriter, virtualEventCollectionResponse?: VirtualEventCollectionResponse | undefined): void;
export interface VirtualEventCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: VirtualEvent[];
}
