"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVirtualEventRegistrationQuestionAnswer = exports.deserializeIntoVirtualEventRegistrationQuestionAnswer = exports.createVirtualEventRegistrationQuestionAnswerFromDiscriminatorValue = void 0;
function createVirtualEventRegistrationQuestionAnswerFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVirtualEventRegistrationQuestionAnswer;
}
exports.createVirtualEventRegistrationQuestionAnswerFromDiscriminatorValue = createVirtualEventRegistrationQuestionAnswerFromDiscriminatorValue;
function deserializeIntoVirtualEventRegistrationQuestionAnswer(virtualEventRegistrationQuestionAnswer = {}) {
    return {
        "booleanValue": n => { virtualEventRegistrationQuestionAnswer.booleanValue = n.getBooleanValue(); },
        "displayName": n => { virtualEventRegistrationQuestionAnswer.displayName = n.getStringValue(); },
        "multiChoiceValues": n => { virtualEventRegistrationQuestionAnswer.multiChoiceValues = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { virtualEventRegistrationQuestionAnswer.odataType = n.getStringValue(); },
        "questionId": n => { virtualEventRegistrationQuestionAnswer.questionId = n.getStringValue(); },
        "value": n => { virtualEventRegistrationQuestionAnswer.value = n.getStringValue(); },
    };
}
exports.deserializeIntoVirtualEventRegistrationQuestionAnswer = deserializeIntoVirtualEventRegistrationQuestionAnswer;
function serializeVirtualEventRegistrationQuestionAnswer(writer, virtualEventRegistrationQuestionAnswer = {}) {
    writer.writeBooleanValue("booleanValue", virtualEventRegistrationQuestionAnswer.booleanValue);
    writer.writeStringValue("displayName", virtualEventRegistrationQuestionAnswer.displayName);
    writer.writeCollectionOfPrimitiveValues("multiChoiceValues", virtualEventRegistrationQuestionAnswer.multiChoiceValues);
    writer.writeStringValue("@odata.type", virtualEventRegistrationQuestionAnswer.odataType);
    writer.writeStringValue("questionId", virtualEventRegistrationQuestionAnswer.questionId);
    writer.writeStringValue("value", virtualEventRegistrationQuestionAnswer.value);
    writer.writeAdditionalData(virtualEventRegistrationQuestionAnswer.additionalData);
}
exports.serializeVirtualEventRegistrationQuestionAnswer = serializeVirtualEventRegistrationQuestionAnswer;
// tslint:enable
// eslint-enable
