import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type VirtualEventWebinar } from './virtualEventWebinar';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventWebinarCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventWebinarCollectionResponse;
export declare function deserializeIntoVirtualEventWebinarCollectionResponse(virtualEventWebinarCollectionResponse?: VirtualEventWebinarCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventWebinarCollectionResponse(writer: SerializationWriter, virtualEventWebinarCollectionResponse?: VirtualEventWebinarCollectionResponse | undefined): void;
export interface VirtualEventWebinarCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: VirtualEventWebinar[];
}
