import { type Entity } from './entity';
import { type VirtualEvent } from './virtualEvent';
import { type VirtualEventWebinar } from './virtualEventWebinar';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventsRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventsRoot;
export declare function deserializeIntoVirtualEventsRoot(virtualEventsRoot?: VirtualEventsRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventsRoot(writer: SerializationWriter, virtualEventsRoot?: VirtualEventsRoot | undefined): void;
export interface VirtualEventsRoot extends Entity, Parsable {
    /**
     * The events property
     */
    events?: VirtualEvent[];
    /**
     * The webinars property
     */
    webinars?: VirtualEventWebinar[];
}
