"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VppTokenSyncStatus = void 0;
/**
 * Possible sync statuses associated with an Apple Volume Purchase Program token.
 */
var VppTokenSyncStatus;
(function (VppTokenSyncStatus) {
    /** Default status. */
    VppTokenSyncStatus["None"] = "none";
    /** Last Sync in progress. */
    VppTokenSyncStatus["InProgress"] = "inProgress";
    /** Last Sync completed successfully. */
    VppTokenSyncStatus["Completed"] = "completed";
    /** Last Sync failed. */
    VppTokenSyncStatus["Failed"] = "failed";
})(VppTokenSyncStatus || (exports.VppTokenSyncStatus = VppTokenSyncStatus = {}));
// tslint:enable
// eslint-enable
