"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WelcomeScreenMeetingInformation = void 0;
/**
 * Possible values for welcome screen meeting information.
 */
var WelcomeScreenMeetingInformation;
(function (WelcomeScreenMeetingInformation) {
    /** User Defined, default value, no intent. */
    WelcomeScreenMeetingInformation["UserDefined"] = "userDefined";
    /** Show organizer and time only. */
    WelcomeScreenMeetingInformation["ShowOrganizerAndTimeOnly"] = "showOrganizerAndTimeOnly";
    /** Show organizer, time and subject (subject is hidden for private meetings). */
    WelcomeScreenMeetingInformation["ShowOrganizerAndTimeAndSubject"] = "showOrganizerAndTimeAndSubject";
})(WelcomeScreenMeetingInformation || (exports.WelcomeScreenMeetingInformation = WelcomeScreenMeetingInformation = {}));
// tslint:enable
// eslint-enable
