import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Win32LobApp } from './win32LobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppCollectionResponse;
export declare function deserializeIntoWin32LobAppCollectionResponse(win32LobAppCollectionResponse?: Win32LobAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppCollectionResponse(writer: SerializationWriter, win32LobAppCollectionResponse?: Win32LobAppCollectionResponse | undefined): void;
export interface Win32LobAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Win32LobApp[];
}
