"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Win32LobAppFileSystemOperationType = void 0;
/**
 * Contains all supported file system detection type.
 */
var Win32LobAppFileSystemOperationType;
(function (Win32LobAppFileSystemOperationType) {
    /** Not configured. */
    Win32LobAppFileSystemOperationType["NotConfigured"] = "notConfigured";
    /** Whether the specified file or folder exists. */
    Win32LobAppFileSystemOperationType["Exists"] = "exists";
    /** Last modified date. */
    Win32LobAppFileSystemOperationType["ModifiedDate"] = "modifiedDate";
    /** Created date. */
    Win32LobAppFileSystemOperationType["CreatedDate"] = "createdDate";
    /** Version value type. */
    Win32LobAppFileSystemOperationType["Version"] = "version";
    /** Size detection type. */
    Win32LobAppFileSystemOperationType["SizeInMB"] = "sizeInMB";
})(Win32LobAppFileSystemOperationType || (exports.Win32LobAppFileSystemOperationType = Win32LobAppFileSystemOperationType = {}));
// tslint:enable
// eslint-enable
