"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Win32LobAppRegistryRuleOperationType = void 0;
/**
 * Contains all supported registry data detection type.
 */
var Win32LobAppRegistryRuleOperationType;
(function (Win32LobAppRegistryRuleOperationType) {
    /** Not configured. */
    Win32LobAppRegistryRuleOperationType["NotConfigured"] = "notConfigured";
    /** The specified registry key or value exists. */
    Win32LobAppRegistryRuleOperationType["Exists"] = "exists";
    /** The specified registry key or value does not exist. */
    Win32LobAppRegistryRuleOperationType["DoesNotExist"] = "doesNotExist";
    /** String value type. */
    Win32LobAppRegistryRuleOperationType["String"] = "string";
    /** Integer value type. */
    Win32LobAppRegistryRuleOperationType["Integer"] = "integer";
    /** Version value type. */
    Win32LobAppRegistryRuleOperationType["Version"] = "version";
})(Win32LobAppRegistryRuleOperationType || (exports.Win32LobAppRegistryRuleOperationType = Win32LobAppRegistryRuleOperationType = {}));
// tslint:enable
// eslint-enable
