"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWin32LobAppRestartSettings = exports.deserializeIntoWin32LobAppRestartSettings = exports.createWin32LobAppRestartSettingsFromDiscriminatorValue = void 0;
function createWin32LobAppRestartSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWin32LobAppRestartSettings;
}
exports.createWin32LobAppRestartSettingsFromDiscriminatorValue = createWin32LobAppRestartSettingsFromDiscriminatorValue;
function deserializeIntoWin32LobAppRestartSettings(win32LobAppRestartSettings = {}) {
    return {
        "countdownDisplayBeforeRestartInMinutes": n => { win32LobAppRestartSettings.countdownDisplayBeforeRestartInMinutes = n.getNumberValue(); },
        "gracePeriodInMinutes": n => { win32LobAppRestartSettings.gracePeriodInMinutes = n.getNumberValue(); },
        "@odata.type": n => { win32LobAppRestartSettings.odataType = n.getStringValue(); },
        "restartNotificationSnoozeDurationInMinutes": n => { win32LobAppRestartSettings.restartNotificationSnoozeDurationInMinutes = n.getNumberValue(); },
    };
}
exports.deserializeIntoWin32LobAppRestartSettings = deserializeIntoWin32LobAppRestartSettings;
function serializeWin32LobAppRestartSettings(writer, win32LobAppRestartSettings = {}) {
    writer.writeNumberValue("countdownDisplayBeforeRestartInMinutes", win32LobAppRestartSettings.countdownDisplayBeforeRestartInMinutes);
    writer.writeNumberValue("gracePeriodInMinutes", win32LobAppRestartSettings.gracePeriodInMinutes);
    writer.writeStringValue("@odata.type", win32LobAppRestartSettings.odataType);
    writer.writeNumberValue("restartNotificationSnoozeDurationInMinutes", win32LobAppRestartSettings.restartNotificationSnoozeDurationInMinutes);
    writer.writeAdditionalData(win32LobAppRestartSettings.additionalData);
}
exports.serializeWin32LobAppRestartSettings = serializeWin32LobAppRestartSettings;
// tslint:enable
// eslint-enable
