import { Win32LobAppReturnCodeType } from './win32LobAppReturnCodeType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppReturnCodeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppReturnCode;
export declare function deserializeIntoWin32LobAppReturnCode(win32LobAppReturnCode?: Win32LobAppReturnCode | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppReturnCode(writer: SerializationWriter, win32LobAppReturnCode?: Win32LobAppReturnCode | undefined): void;
export interface Win32LobAppReturnCode extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Return code.
     */
    returnCode?: number;
    /**
     * Indicates the type of return code.
     */
    type?: Win32LobAppReturnCodeType;
}
