import { type MobileAppAssignmentSettings } from './mobileAppAssignmentSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsAppXAppAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsAppXAppAssignmentSettings;
export declare function deserializeIntoWindowsAppXAppAssignmentSettings(windowsAppXAppAssignmentSettings?: WindowsAppXAppAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsAppXAppAssignmentSettings(writer: SerializationWriter, windowsAppXAppAssignmentSettings?: WindowsAppXAppAssignmentSettings | undefined): void;
export interface WindowsAppXAppAssignmentSettings extends MobileAppAssignmentSettings, Parsable {
    /**
     * When TRUE, indicates that device execution context will be used for the AppX mobile app. When FALSE, indicates that user context will be used for the AppX mobile app. By default, this property is set to FALSE. Once this property has been set to TRUE it cannot be changed.
     */
    useDeviceContext?: boolean;
}
