import { deserializeIntoWindowsDeviceADAccount } from './windowsDeviceADAccount';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsDeviceAccountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsDeviceADAccount;
export declare function deserializeIntoWindowsDeviceAccount(windowsDeviceAccount?: WindowsDeviceAccount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsDeviceAccount(writer: SerializationWriter, windowsDeviceAccount?: WindowsDeviceAccount | undefined): void;
export interface WindowsDeviceAccount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Not yet documented
     */
    password?: string;
}
