import { type WindowsDeviceAccount } from './windowsDeviceAccount';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsDeviceAzureADAccountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsDeviceAzureADAccount;
export declare function deserializeIntoWindowsDeviceAzureADAccount(windowsDeviceAzureADAccount?: WindowsDeviceAzureADAccount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsDeviceAzureADAccount(writer: SerializationWriter, windowsDeviceAzureADAccount?: WindowsDeviceAzureADAccount | undefined): void;
export interface WindowsDeviceAzureADAccount extends Parsable, WindowsDeviceAccount {
    /**
     * Not yet documented
     */
    userPrincipalName?: string;
}
