import { ApplicationType } from './applicationType';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionAppLearningSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionAppLearningSummary;
export declare function deserializeIntoWindowsInformationProtectionAppLearningSummary(windowsInformationProtectionAppLearningSummary?: WindowsInformationProtectionAppLearningSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionAppLearningSummary(writer: SerializationWriter, windowsInformationProtectionAppLearningSummary?: WindowsInformationProtectionAppLearningSummary | undefined): void;
export interface WindowsInformationProtectionAppLearningSummary extends Entity, Parsable {
    /**
     * Application Name
     */
    applicationName?: string;
    /**
     * Possible types of Application
     */
    applicationType?: ApplicationType;
    /**
     * Device Count
     */
    deviceCount?: number;
}
