import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionDataRecoveryCertificate;
export declare function deserializeIntoWindowsInformationProtectionDataRecoveryCertificate(windowsInformationProtectionDataRecoveryCertificate?: WindowsInformationProtectionDataRecoveryCertificate | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionDataRecoveryCertificate(writer: SerializationWriter, windowsInformationProtectionDataRecoveryCertificate?: WindowsInformationProtectionDataRecoveryCertificate | undefined): void;
export interface WindowsInformationProtectionDataRecoveryCertificate extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Data recovery Certificate
     */
    certificate?: string;
    /**
     * Data recovery Certificate description
     */
    description?: string;
    /**
     * Data recovery Certificate expiration datetime
     */
    expirationDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Data recovery Certificate subject name
     */
    subjectName?: string;
}
