import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionNetworkLearningSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionNetworkLearningSummary;
export declare function deserializeIntoWindowsInformationProtectionNetworkLearningSummary(windowsInformationProtectionNetworkLearningSummary?: WindowsInformationProtectionNetworkLearningSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionNetworkLearningSummary(writer: SerializationWriter, windowsInformationProtectionNetworkLearningSummary?: WindowsInformationProtectionNetworkLearningSummary | undefined): void;
export interface WindowsInformationProtectionNetworkLearningSummary extends Entity, Parsable {
    /**
     * Device Count
     */
    deviceCount?: number;
    /**
     * Website url
     */
    url?: string;
}
