import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsInformationProtectionNetworkLearningSummary } from './windowsInformationProtectionNetworkLearningSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionNetworkLearningSummaryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionNetworkLearningSummaryCollectionResponse;
export declare function deserializeIntoWindowsInformationProtectionNetworkLearningSummaryCollectionResponse(windowsInformationProtectionNetworkLearningSummaryCollectionResponse?: WindowsInformationProtectionNetworkLearningSummaryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionNetworkLearningSummaryCollectionResponse(writer: SerializationWriter, windowsInformationProtectionNetworkLearningSummaryCollectionResponse?: WindowsInformationProtectionNetworkLearningSummaryCollectionResponse | undefined): void;
export interface WindowsInformationProtectionNetworkLearningSummaryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsInformationProtectionNetworkLearningSummary[];
}
