import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsInformationProtectionPolicy } from './windowsInformationProtectionPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionPolicyCollectionResponse;
export declare function deserializeIntoWindowsInformationProtectionPolicyCollectionResponse(windowsInformationProtectionPolicyCollectionResponse?: WindowsInformationProtectionPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionPolicyCollectionResponse(writer: SerializationWriter, windowsInformationProtectionPolicyCollectionResponse?: WindowsInformationProtectionPolicyCollectionResponse | undefined): void;
export interface WindowsInformationProtectionPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsInformationProtectionPolicy[];
}
