import { type ProxiedDomain } from './proxiedDomain';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionProxiedDomainCollectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionProxiedDomainCollection;
export declare function deserializeIntoWindowsInformationProtectionProxiedDomainCollection(windowsInformationProtectionProxiedDomainCollection?: WindowsInformationProtectionProxiedDomainCollection | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionProxiedDomainCollection(writer: SerializationWriter, windowsInformationProtectionProxiedDomainCollection?: WindowsInformationProtectionProxiedDomainCollection | undefined): void;
export interface WindowsInformationProtectionProxiedDomainCollection extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Display name
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Collection of proxied domains
     */
    proxiedDomains?: ProxiedDomain[];
}
