import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsMobileMSI } from './windowsMobileMSI';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsMobileMSICollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsMobileMSICollectionResponse;
export declare function deserializeIntoWindowsMobileMSICollectionResponse(windowsMobileMSICollectionResponse?: WindowsMobileMSICollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsMobileMSICollectionResponse(writer: SerializationWriter, windowsMobileMSICollectionResponse?: WindowsMobileMSICollectionResponse | undefined): void;
export interface WindowsMobileMSICollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsMobileMSI[];
}
