"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsSpotlightEnablementSettings = void 0;
/**
 * Allows IT admind to set a predefined default search engine for MDM-Controlled devices
 */
var WindowsSpotlightEnablementSettings;
(function (WindowsSpotlightEnablementSettings) {
    /** Spotlight on lock screen is not configured */
    WindowsSpotlightEnablementSettings["NotConfigured"] = "notConfigured";
    /** Disable Windows Spotlight on lock screen */
    WindowsSpotlightEnablementSettings["Disabled"] = "disabled";
    /** Enable Windows Spotlight on lock screen */
    WindowsSpotlightEnablementSettings["Enabled"] = "enabled";
})(WindowsSpotlightEnablementSettings || (exports.WindowsSpotlightEnablementSettings = WindowsSpotlightEnablementSettings = {}));
// tslint:enable
// eslint-enable
