import { type MobileContainedApp } from './mobileContainedApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsUniversalAppXContainedAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsUniversalAppXContainedApp;
export declare function deserializeIntoWindowsUniversalAppXContainedApp(windowsUniversalAppXContainedApp?: WindowsUniversalAppXContainedApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsUniversalAppXContainedApp(writer: SerializationWriter, windowsUniversalAppXContainedApp?: WindowsUniversalAppXContainedApp | undefined): void;
export interface WindowsUniversalAppXContainedApp extends MobileContainedApp, Parsable {
    /**
     * The app user model ID of the contained app of a WindowsUniversalAppX app.
     */
    appUserModelId?: string;
}
