"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsUpdateForBusinessUpdateWeeks = void 0;
/**
 * Scheduled the update installation on the weeks of the month
 */
var WindowsUpdateForBusinessUpdateWeeks;
(function (WindowsUpdateForBusinessUpdateWeeks) {
    /** Allow the user to set. */
    WindowsUpdateForBusinessUpdateWeeks["UserDefined"] = "userDefined";
    /** Scheduled the update installation on the first week of the month */
    WindowsUpdateForBusinessUpdateWeeks["FirstWeek"] = "firstWeek";
    /** Scheduled the update installation on the second week of the month */
    WindowsUpdateForBusinessUpdateWeeks["SecondWeek"] = "secondWeek";
    /** Scheduled the update installation on the third week of the month */
    WindowsUpdateForBusinessUpdateWeeks["ThirdWeek"] = "thirdWeek";
    /** Scheduled the update installation on the fourth week of the month */
    WindowsUpdateForBusinessUpdateWeeks["FourthWeek"] = "fourthWeek";
    /** Scheduled the update installation on every week of the month */
    WindowsUpdateForBusinessUpdateWeeks["EveryWeek"] = "everyWeek";
    /** Evolvable enum member */
    WindowsUpdateForBusinessUpdateWeeks["UnknownFutureValue"] = "unknownFutureValue";
})(WindowsUpdateForBusinessUpdateWeeks || (exports.WindowsUpdateForBusinessUpdateWeeks = WindowsUpdateForBusinessUpdateWeeks = {}));
// tslint:enable
// eslint-enable
