"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsUpdateNotificationDisplayOption = void 0;
/**
 * Windows Update Notification Display Options
 */
var WindowsUpdateNotificationDisplayOption;
(function (WindowsUpdateNotificationDisplayOption) {
    /** Not configured */
    WindowsUpdateNotificationDisplayOption["NotConfigured"] = "notConfigured";
    /** Use the default Windows Update notifications. */
    WindowsUpdateNotificationDisplayOption["DefaultNotifications"] = "defaultNotifications";
    /** Turn off all notifications, excluding restart warnings. */
    WindowsUpdateNotificationDisplayOption["RestartWarningsOnly"] = "restartWarningsOnly";
    /** Turn off all notifications, including restart warnings. */
    WindowsUpdateNotificationDisplayOption["DisableAllNotifications"] = "disableAllNotifications";
    /** Evolvable enum member */
    WindowsUpdateNotificationDisplayOption["UnknownFutureValue"] = "unknownFutureValue";
})(WindowsUpdateNotificationDisplayOption || (exports.WindowsUpdateNotificationDisplayOption = WindowsUpdateNotificationDisplayOption = {}));
// tslint:enable
// eslint-enable
