"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsUpdateType = void 0;
/**
 * Which branch devices will receive their updates from
 */
var WindowsUpdateType;
(function (WindowsUpdateType) {
    /** Allow the user to set. */
    WindowsUpdateType["UserDefined"] = "userDefined";
    /** Semi-annual Channel (Targeted). Device gets all applicable feature updates from Semi-annual Channel (Targeted). */
    WindowsUpdateType["All"] = "all";
    /** Semi-annual Channel. Device gets feature updates from Semi-annual Channel. */
    WindowsUpdateType["BusinessReadyOnly"] = "businessReadyOnly";
    /** Windows Insider build - Fast */
    WindowsUpdateType["WindowsInsiderBuildFast"] = "windowsInsiderBuildFast";
    /** Windows Insider build - Slow */
    WindowsUpdateType["WindowsInsiderBuildSlow"] = "windowsInsiderBuildSlow";
    /** Release Windows Insider build */
    WindowsUpdateType["WindowsInsiderBuildRelease"] = "windowsInsiderBuildRelease";
})(WindowsUpdateType || (exports.WindowsUpdateType = WindowsUpdateType = {}));
// tslint:enable
// eslint-enable
