"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsUserAccountControlSettings = void 0;
/**
 * Possible values for Windows user account control settings.
 */
var WindowsUserAccountControlSettings;
(function (WindowsUserAccountControlSettings) {
    /** User Defined, default value, no intent. */
    WindowsUserAccountControlSettings["UserDefined"] = "userDefined";
    /** Always notify. */
    WindowsUserAccountControlSettings["AlwaysNotify"] = "alwaysNotify";
    /** Notify on app changes. */
    WindowsUserAccountControlSettings["NotifyOnAppChanges"] = "notifyOnAppChanges";
    /** Notify on app changes without dimming desktop. */
    WindowsUserAccountControlSettings["NotifyOnAppChangesWithoutDimming"] = "notifyOnAppChangesWithoutDimming";
    /** Never notify. */
    WindowsUserAccountControlSettings["NeverNotify"] = "neverNotify";
})(WindowsUserAccountControlSettings || (exports.WindowsUserAccountControlSettings = WindowsUserAccountControlSettings = {}));
// tslint:enable
// eslint-enable
