import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsWebApp } from './windowsWebApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsWebAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsWebAppCollectionResponse;
export declare function deserializeIntoWindowsWebAppCollectionResponse(windowsWebAppCollectionResponse?: WindowsWebAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsWebAppCollectionResponse(writer: SerializationWriter, windowsWebAppCollectionResponse?: WindowsWebAppCollectionResponse | undefined): void;
export interface WindowsWebAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsWebApp[];
}
