import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookApplicationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookApplication;
export declare function deserializeIntoWorkbookApplication(workbookApplication?: WorkbookApplication | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookApplication(writer: SerializationWriter, workbookApplication?: WorkbookApplication | undefined): void;
export interface WorkbookApplication extends Entity, Parsable {
    /**
     * Returns the calculation mode used in the workbook. Possible values are: Automatic, AutomaticExceptTables, Manual.
     */
    calculationMode?: string;
}
