import { type Entity } from './entity';
import { type WorkbookChartGridlinesFormat } from './workbookChartGridlinesFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartGridlinesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartGridlines;
export declare function deserializeIntoWorkbookChartGridlines(workbookChartGridlines?: WorkbookChartGridlines | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartGridlines(writer: SerializationWriter, workbookChartGridlines?: WorkbookChartGridlines | undefined): void;
export interface WorkbookChartGridlines extends Entity, Parsable {
    /**
     * Represents the formatting of chart gridlines. Read-only.
     */
    format?: WorkbookChartGridlinesFormat;
    /**
     * Boolean value representing if the axis gridlines are visible or not.
     */
    visible?: boolean;
}
