import { type Entity } from './entity';
import { type WorkbookChartLineFormat } from './workbookChartLineFormat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartGridlinesFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartGridlinesFormat;
export declare function deserializeIntoWorkbookChartGridlinesFormat(workbookChartGridlinesFormat?: WorkbookChartGridlinesFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartGridlinesFormat(writer: SerializationWriter, workbookChartGridlinesFormat?: WorkbookChartGridlinesFormat | undefined): void;
export interface WorkbookChartGridlinesFormat extends Entity, Parsable {
    /**
     * Represents chart line formatting. Read-only.
     */
    line?: WorkbookChartLineFormat;
}
