import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookFunctionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookFunctions;
export declare function deserializeIntoWorkbookFunctions(workbookFunctions?: WorkbookFunctions | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookFunctions(writer: SerializationWriter, workbookFunctions?: WorkbookFunctions | undefined): void;
export interface WorkbookFunctions extends Entity, Parsable {
}
