"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWorkbookIcon = exports.deserializeIntoWorkbookIcon = exports.createWorkbookIconFromDiscriminatorValue = void 0;
function createWorkbookIconFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWorkbookIcon;
}
exports.createWorkbookIconFromDiscriminatorValue = createWorkbookIconFromDiscriminatorValue;
function deserializeIntoWorkbookIcon(workbookIcon = {}) {
    return {
        "index": n => { workbookIcon.index = n.getNumberValue(); },
        "@odata.type": n => { workbookIcon.odataType = n.getStringValue(); },
        "set": n => { workbookIcon.set = n.getStringValue(); },
    };
}
exports.deserializeIntoWorkbookIcon = deserializeIntoWorkbookIcon;
function serializeWorkbookIcon(writer, workbookIcon = {}) {
    writer.writeNumberValue("index", workbookIcon.index);
    writer.writeStringValue("@odata.type", workbookIcon.odataType);
    writer.writeStringValue("set", workbookIcon.set);
    writer.writeAdditionalData(workbookIcon.additionalData);
}
exports.serializeWorkbookIcon = serializeWorkbookIcon;
// tslint:enable
// eslint-enable
