import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookNamedItem } from './workbookNamedItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookNamedItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookNamedItemCollectionResponse;
export declare function deserializeIntoWorkbookNamedItemCollectionResponse(workbookNamedItemCollectionResponse?: WorkbookNamedItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookNamedItemCollectionResponse(writer: SerializationWriter, workbookNamedItemCollectionResponse?: WorkbookNamedItemCollectionResponse | undefined): void;
export interface WorkbookNamedItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookNamedItem[];
}
