import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookOperation } from './workbookOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookOperationCollectionResponse;
export declare function deserializeIntoWorkbookOperationCollectionResponse(workbookOperationCollectionResponse?: WorkbookOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookOperationCollectionResponse(writer: SerializationWriter, workbookOperationCollectionResponse?: WorkbookOperationCollectionResponse | undefined): void;
export interface WorkbookOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookOperation[];
}
