"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWorkbookOperationError = exports.deserializeIntoWorkbookOperationError = exports.createWorkbookOperationErrorFromDiscriminatorValue = void 0;
function createWorkbookOperationErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWorkbookOperationError;
}
exports.createWorkbookOperationErrorFromDiscriminatorValue = createWorkbookOperationErrorFromDiscriminatorValue;
function deserializeIntoWorkbookOperationError(workbookOperationError = {}) {
    return {
        "code": n => { workbookOperationError.code = n.getStringValue(); },
        "innerError": n => { workbookOperationError.innerError = n.getObjectValue(createWorkbookOperationErrorFromDiscriminatorValue); },
        "message": n => { workbookOperationError.message = n.getStringValue(); },
        "@odata.type": n => { workbookOperationError.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoWorkbookOperationError = deserializeIntoWorkbookOperationError;
function serializeWorkbookOperationError(writer, workbookOperationError = {}) {
    writer.writeStringValue("code", workbookOperationError.code);
    writer.writeObjectValue("innerError", workbookOperationError.innerError, serializeWorkbookOperationError);
    writer.writeStringValue("message", workbookOperationError.message);
    writer.writeStringValue("@odata.type", workbookOperationError.odataType);
    writer.writeAdditionalData(workbookOperationError.additionalData);
}
exports.serializeWorkbookOperationError = serializeWorkbookOperationError;
// tslint:enable
// eslint-enable
