import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookRangeFillFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookRangeFill;
export declare function deserializeIntoWorkbookRangeFill(workbookRangeFill?: WorkbookRangeFill | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookRangeFill(writer: SerializationWriter, workbookRangeFill?: WorkbookRangeFill | undefined): void;
export interface WorkbookRangeFill extends Entity, Parsable {
    /**
     * HTML color code representing the color of the border line, of the form #RRGGBB (for example 'FFA500') or as a named HTML color (for example 'orange')
     */
    color?: string;
}
