import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookRangeSortFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookRangeSort;
export declare function deserializeIntoWorkbookRangeSort(workbookRangeSort?: WorkbookRangeSort | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookRangeSort(writer: SerializationWriter, workbookRangeSort?: WorkbookRangeSort | undefined): void;
export interface WorkbookRangeSort extends Entity, Parsable {
}
