"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWorkbookSessionInfo = exports.deserializeIntoWorkbookSessionInfo = exports.createWorkbookSessionInfoFromDiscriminatorValue = void 0;
function createWorkbookSessionInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWorkbookSessionInfo;
}
exports.createWorkbookSessionInfoFromDiscriminatorValue = createWorkbookSessionInfoFromDiscriminatorValue;
function deserializeIntoWorkbookSessionInfo(workbookSessionInfo = {}) {
    return {
        "id": n => { workbookSessionInfo.id = n.getStringValue(); },
        "@odata.type": n => { workbookSessionInfo.odataType = n.getStringValue(); },
        "persistChanges": n => { workbookSessionInfo.persistChanges = n.getBooleanValue(); },
    };
}
exports.deserializeIntoWorkbookSessionInfo = deserializeIntoWorkbookSessionInfo;
function serializeWorkbookSessionInfo(writer, workbookSessionInfo = {}) {
    writer.writeStringValue("id", workbookSessionInfo.id);
    writer.writeStringValue("@odata.type", workbookSessionInfo.odataType);
    writer.writeBooleanValue("persistChanges", workbookSessionInfo.persistChanges);
    writer.writeAdditionalData(workbookSessionInfo.additionalData);
}
exports.serializeWorkbookSessionInfo = serializeWorkbookSessionInfo;
// tslint:enable
// eslint-enable
