import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookTable } from './workbookTable';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookTableCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookTableCollectionResponse;
export declare function deserializeIntoWorkbookTableCollectionResponse(workbookTableCollectionResponse?: WorkbookTableCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookTableCollectionResponse(writer: SerializationWriter, workbookTableCollectionResponse?: WorkbookTableCollectionResponse | undefined): void;
export interface WorkbookTableCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookTable[];
}
