import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookTableColumn } from './workbookTableColumn';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookTableColumnCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookTableColumnCollectionResponse;
export declare function deserializeIntoWorkbookTableColumnCollectionResponse(workbookTableColumnCollectionResponse?: WorkbookTableColumnCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookTableColumnCollectionResponse(writer: SerializationWriter, workbookTableColumnCollectionResponse?: WorkbookTableColumnCollectionResponse | undefined): void;
export interface WorkbookTableColumnCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookTableColumn[];
}
