import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookTableRow } from './workbookTableRow';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookTableRowCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookTableRowCollectionResponse;
export declare function deserializeIntoWorkbookTableRowCollectionResponse(workbookTableRowCollectionResponse?: WorkbookTableRowCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookTableRowCollectionResponse(writer: SerializationWriter, workbookTableRowCollectionResponse?: WorkbookTableRowCollectionResponse | undefined): void;
export interface WorkbookTableRowCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookTableRow[];
}
