import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookWorksheet } from './workbookWorksheet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookWorksheetCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookWorksheetCollectionResponse;
export declare function deserializeIntoWorkbookWorksheetCollectionResponse(workbookWorksheetCollectionResponse?: WorkbookWorksheetCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookWorksheetCollectionResponse(writer: SerializationWriter, workbookWorksheetCollectionResponse?: WorkbookWorksheetCollectionResponse | undefined): void;
export interface WorkbookWorksheetCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookWorksheet[];
}
