"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWorkbookWorksheetProtectionOptions = exports.deserializeIntoWorkbookWorksheetProtectionOptions = exports.createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue = void 0;
function createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWorkbookWorksheetProtectionOptions;
}
exports.createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue = createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue;
function deserializeIntoWorkbookWorksheetProtectionOptions(workbookWorksheetProtectionOptions = {}) {
    return {
        "allowAutoFilter": n => { workbookWorksheetProtectionOptions.allowAutoFilter = n.getBooleanValue(); },
        "allowDeleteColumns": n => { workbookWorksheetProtectionOptions.allowDeleteColumns = n.getBooleanValue(); },
        "allowDeleteRows": n => { workbookWorksheetProtectionOptions.allowDeleteRows = n.getBooleanValue(); },
        "allowFormatCells": n => { workbookWorksheetProtectionOptions.allowFormatCells = n.getBooleanValue(); },
        "allowFormatColumns": n => { workbookWorksheetProtectionOptions.allowFormatColumns = n.getBooleanValue(); },
        "allowFormatRows": n => { workbookWorksheetProtectionOptions.allowFormatRows = n.getBooleanValue(); },
        "allowInsertColumns": n => { workbookWorksheetProtectionOptions.allowInsertColumns = n.getBooleanValue(); },
        "allowInsertHyperlinks": n => { workbookWorksheetProtectionOptions.allowInsertHyperlinks = n.getBooleanValue(); },
        "allowInsertRows": n => { workbookWorksheetProtectionOptions.allowInsertRows = n.getBooleanValue(); },
        "allowPivotTables": n => { workbookWorksheetProtectionOptions.allowPivotTables = n.getBooleanValue(); },
        "allowSort": n => { workbookWorksheetProtectionOptions.allowSort = n.getBooleanValue(); },
        "@odata.type": n => { workbookWorksheetProtectionOptions.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoWorkbookWorksheetProtectionOptions = deserializeIntoWorkbookWorksheetProtectionOptions;
function serializeWorkbookWorksheetProtectionOptions(writer, workbookWorksheetProtectionOptions = {}) {
    writer.writeBooleanValue("allowAutoFilter", workbookWorksheetProtectionOptions.allowAutoFilter);
    writer.writeBooleanValue("allowDeleteColumns", workbookWorksheetProtectionOptions.allowDeleteColumns);
    writer.writeBooleanValue("allowDeleteRows", workbookWorksheetProtectionOptions.allowDeleteRows);
    writer.writeBooleanValue("allowFormatCells", workbookWorksheetProtectionOptions.allowFormatCells);
    writer.writeBooleanValue("allowFormatColumns", workbookWorksheetProtectionOptions.allowFormatColumns);
    writer.writeBooleanValue("allowFormatRows", workbookWorksheetProtectionOptions.allowFormatRows);
    writer.writeBooleanValue("allowInsertColumns", workbookWorksheetProtectionOptions.allowInsertColumns);
    writer.writeBooleanValue("allowInsertHyperlinks", workbookWorksheetProtectionOptions.allowInsertHyperlinks);
    writer.writeBooleanValue("allowInsertRows", workbookWorksheetProtectionOptions.allowInsertRows);
    writer.writeBooleanValue("allowPivotTables", workbookWorksheetProtectionOptions.allowPivotTables);
    writer.writeBooleanValue("allowSort", workbookWorksheetProtectionOptions.allowSort);
    writer.writeStringValue("@odata.type", workbookWorksheetProtectionOptions.odataType);
    writer.writeAdditionalData(workbookWorksheetProtectionOptions.additionalData);
}
exports.serializeWorkbookWorksheetProtectionOptions = serializeWorkbookWorksheetProtectionOptions;
// tslint:enable
// eslint-enable
