"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeX509CertificateUserBinding = exports.deserializeIntoX509CertificateUserBinding = exports.createX509CertificateUserBindingFromDiscriminatorValue = void 0;
function createX509CertificateUserBindingFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoX509CertificateUserBinding;
}
exports.createX509CertificateUserBindingFromDiscriminatorValue = createX509CertificateUserBindingFromDiscriminatorValue;
function deserializeIntoX509CertificateUserBinding(x509CertificateUserBinding = {}) {
    return {
        "@odata.type": n => { x509CertificateUserBinding.odataType = n.getStringValue(); },
        "priority": n => { x509CertificateUserBinding.priority = n.getNumberValue(); },
        "userProperty": n => { x509CertificateUserBinding.userProperty = n.getStringValue(); },
        "x509CertificateField": n => { x509CertificateUserBinding.x509CertificateField = n.getStringValue(); },
    };
}
exports.deserializeIntoX509CertificateUserBinding = deserializeIntoX509CertificateUserBinding;
function serializeX509CertificateUserBinding(writer, x509CertificateUserBinding = {}) {
    writer.writeStringValue("@odata.type", x509CertificateUserBinding.odataType);
    writer.writeNumberValue("priority", x509CertificateUserBinding.priority);
    writer.writeStringValue("userProperty", x509CertificateUserBinding.userProperty);
    writer.writeStringValue("x509CertificateField", x509CertificateUserBinding.x509CertificateField);
    writer.writeAdditionalData(x509CertificateUserBinding.additionalData);
}
exports.serializeX509CertificateUserBinding = serializeX509CertificateUserBinding;
// tslint:enable
// eslint-enable
