"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.graphServiceClient = void 0;
const index_1 = require("../src/graphclient/index");
const kiota_authentication_azure_1 = require("@microsoft/kiota-authentication-azure");
const identity_1 = require("@azure/identity");
const tokenCredential = new identity_1.ClientSecretCredential(process.env.TENANT_ID, process.env.CLIENT_ID, process.env.CLIENT_SECRET);
const authProvider = new kiota_authentication_azure_1.AzureIdentityAuthenticationProvider(tokenCredential);
exports.graphServiceClient = index_1.GraphServiceClient.init({ authProvider });
