"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const testClient_1 = require("./testClient");
const chai_1 = require("chai");
describe("TestGet", () => {
    it("should return list of users", () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        var _a;
        const users = yield testClient_1.graphServiceClient.users.get();
        chai_1.assert.isDefined(users === null || users === void 0 ? void 0 : users.value);
        chai_1.assert.isAtLeast((_a = users === null || users === void 0 ? void 0 : users.value) === null || _a === void 0 ? void 0 : _a.length, 1);
    }));
    it("should return messages for given user", () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const messages = yield testClient_1.graphServiceClient.users.byUserId("a4bf4e43-981f-430c-8024-cdb645f8c098").messages.get();
        chai_1.assert.isDefined(messages === null || messages === void 0 ? void 0 : messages.value);
    }));
});
