import { type ActionResultPart } from './actionResultPart';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AadUserConversationMemberResult extends ActionResultPart, Parsable {
    /**
     * The userId property
     */
    userId?: string;
}
export declare function createAadUserConversationMemberResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAadUserConversationMemberResult;
export declare function deserializeIntoAadUserConversationMemberResult(aadUserConversationMemberResult?: AadUserConversationMemberResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAadUserConversationMemberResult(writer: SerializationWriter, aadUserConversationMemberResult?: AadUserConversationMemberResult | undefined): void;
