import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessAction extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAccessActionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessAction;
export declare function deserializeIntoAccessAction(accessAction?: AccessAction | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessAction(writer: SerializationWriter, accessAction?: AccessAction | undefined): void;
