"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAccessAction = exports.deserializeIntoAccessAction = exports.createAccessActionFromDiscriminatorValue = void 0;
function createAccessActionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAccessAction;
}
exports.createAccessActionFromDiscriminatorValue = createAccessActionFromDiscriminatorValue;
function deserializeIntoAccessAction(accessAction = {}) {
    return {
        "@odata.type": n => { accessAction.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAccessAction = deserializeIntoAccessAction;
function serializeAccessAction(writer, accessAction = {}) {
    writer.writeStringValue("@odata.type", accessAction.odataType);
    writer.writeAdditionalData(accessAction.additionalData);
}
exports.serializeAccessAction = serializeAccessAction;
// tslint:enable
// eslint-enable
