import { type AccessPackageAssignmentRequest } from './accessPackageAssignmentRequest';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageAssignmentRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageAssignmentRequest[];
}
export declare function createAccessPackageAssignmentRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentRequestCollectionResponse;
export declare function deserializeIntoAccessPackageAssignmentRequestCollectionResponse(accessPackageAssignmentRequestCollectionResponse?: AccessPackageAssignmentRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageAssignmentRequestCollectionResponse(writer: SerializationWriter, accessPackageAssignmentRequestCollectionResponse?: AccessPackageAssignmentRequestCollectionResponse | undefined): void;
