import { type AccessPackage } from './accessPackage';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackage[];
}
export declare function createAccessPackageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageCollectionResponse;
export declare function deserializeIntoAccessPackageCollectionResponse(accessPackageCollectionResponse?: AccessPackageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageCollectionResponse(writer: SerializationWriter, accessPackageCollectionResponse?: AccessPackageCollectionResponse | undefined): void;
