"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAccessPackageLocalizedText = exports.deserializeIntoAccessPackageLocalizedText = exports.createAccessPackageLocalizedTextFromDiscriminatorValue = void 0;
function createAccessPackageLocalizedTextFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAccessPackageLocalizedText;
}
exports.createAccessPackageLocalizedTextFromDiscriminatorValue = createAccessPackageLocalizedTextFromDiscriminatorValue;
function deserializeIntoAccessPackageLocalizedText(accessPackageLocalizedText = {}) {
    return {
        "languageCode": n => { accessPackageLocalizedText.languageCode = n.getStringValue(); },
        "@odata.type": n => { accessPackageLocalizedText.odataType = n.getStringValue(); },
        "text": n => { accessPackageLocalizedText.text = n.getStringValue(); },
    };
}
exports.deserializeIntoAccessPackageLocalizedText = deserializeIntoAccessPackageLocalizedText;
function serializeAccessPackageLocalizedText(writer, accessPackageLocalizedText = {}) {
    writer.writeStringValue("languageCode", accessPackageLocalizedText.languageCode);
    writer.writeStringValue("@odata.type", accessPackageLocalizedText.odataType);
    writer.writeStringValue("text", accessPackageLocalizedText.text);
    writer.writeAdditionalData(accessPackageLocalizedText.additionalData);
}
exports.serializeAccessPackageLocalizedText = serializeAccessPackageLocalizedText;
// tslint:enable
// eslint-enable
