import { type AccessPackageQuestion } from './accessPackageQuestion';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageQuestionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageQuestion[];
}
export declare function createAccessPackageQuestionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageQuestionCollectionResponse;
export declare function deserializeIntoAccessPackageQuestionCollectionResponse(accessPackageQuestionCollectionResponse?: AccessPackageQuestionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageQuestionCollectionResponse(writer: SerializationWriter, accessPackageQuestionCollectionResponse?: AccessPackageQuestionCollectionResponse | undefined): void;
