import { type AccessPackageResourceRequest } from './accessPackageResourceRequest';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageResourceRequest[];
}
export declare function createAccessPackageResourceRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceRequestCollectionResponse;
export declare function deserializeIntoAccessPackageResourceRequestCollectionResponse(accessPackageResourceRequestCollectionResponse?: AccessPackageResourceRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceRequestCollectionResponse(writer: SerializationWriter, accessPackageResourceRequestCollectionResponse?: AccessPackageResourceRequestCollectionResponse | undefined): void;
