import { type AccessPackageResourceRole } from './accessPackageResourceRole';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceRoleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageResourceRole[];
}
export declare function createAccessPackageResourceRoleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceRoleCollectionResponse;
export declare function deserializeIntoAccessPackageResourceRoleCollectionResponse(accessPackageResourceRoleCollectionResponse?: AccessPackageResourceRoleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceRoleCollectionResponse(writer: SerializationWriter, accessPackageResourceRoleCollectionResponse?: AccessPackageResourceRoleCollectionResponse | undefined): void;
