import { type AccessPackageResourceRoleScope } from './accessPackageResourceRoleScope';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessPackageResourceRoleScopeCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessPackageResourceRoleScope[];
}
export declare function createAccessPackageResourceRoleScopeCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageResourceRoleScopeCollectionResponse;
export declare function deserializeIntoAccessPackageResourceRoleScopeCollectionResponse(accessPackageResourceRoleScopeCollectionResponse?: AccessPackageResourceRoleScopeCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessPackageResourceRoleScopeCollectionResponse(writer: SerializationWriter, accessPackageResourceRoleScopeCollectionResponse?: AccessPackageResourceRoleScopeCollectionResponse | undefined): void;
