import { deserializeIntoDisableAndDeleteUserApplyAction } from './disableAndDeleteUserApplyAction';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewApplyAction extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAccessReviewApplyActionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDisableAndDeleteUserApplyAction;
export declare function deserializeIntoAccessReviewApplyAction(accessReviewApplyAction?: AccessReviewApplyAction | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewApplyAction(writer: SerializationWriter, accessReviewApplyAction?: AccessReviewApplyAction | undefined): void;
