import { type AccessReviewHistoryDefinition } from './accessReviewHistoryDefinition';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewHistoryDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessReviewHistoryDefinition[];
}
export declare function createAccessReviewHistoryDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewHistoryDefinitionCollectionResponse;
export declare function deserializeIntoAccessReviewHistoryDefinitionCollectionResponse(accessReviewHistoryDefinitionCollectionResponse?: AccessReviewHistoryDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewHistoryDefinitionCollectionResponse(writer: SerializationWriter, accessReviewHistoryDefinitionCollectionResponse?: AccessReviewHistoryDefinitionCollectionResponse | undefined): void;
