import { type AccessReviewHistoryInstance } from './accessReviewHistoryInstance';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewHistoryInstanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessReviewHistoryInstance[];
}
export declare function createAccessReviewHistoryInstanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewHistoryInstanceCollectionResponse;
export declare function deserializeIntoAccessReviewHistoryInstanceCollectionResponse(accessReviewHistoryInstanceCollectionResponse?: AccessReviewHistoryInstanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewHistoryInstanceCollectionResponse(writer: SerializationWriter, accessReviewHistoryInstanceCollectionResponse?: AccessReviewHistoryInstanceCollectionResponse | undefined): void;
