import { type AccessReviewInstance } from './accessReviewInstance';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewInstanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessReviewInstance[];
}
export declare function createAccessReviewInstanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInstanceCollectionResponse;
export declare function deserializeIntoAccessReviewInstanceCollectionResponse(accessReviewInstanceCollectionResponse?: AccessReviewInstanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewInstanceCollectionResponse(writer: SerializationWriter, accessReviewInstanceCollectionResponse?: AccessReviewInstanceCollectionResponse | undefined): void;
