import { type AccessReviewInstanceDecisionItem } from './accessReviewInstanceDecisionItem';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewInstanceDecisionItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessReviewInstanceDecisionItem[];
}
export declare function createAccessReviewInstanceDecisionItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewInstanceDecisionItemCollectionResponse;
export declare function deserializeIntoAccessReviewInstanceDecisionItemCollectionResponse(accessReviewInstanceDecisionItemCollectionResponse?: AccessReviewInstanceDecisionItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewInstanceDecisionItemCollectionResponse(writer: SerializationWriter, accessReviewInstanceDecisionItemCollectionResponse?: AccessReviewInstanceDecisionItemCollectionResponse | undefined): void;
