import { type AccessReviewReviewer } from './accessReviewReviewer';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AccessReviewReviewerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AccessReviewReviewer[];
}
export declare function createAccessReviewReviewerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessReviewReviewerCollectionResponse;
export declare function deserializeIntoAccessReviewReviewerCollectionResponse(accessReviewReviewerCollectionResponse?: AccessReviewReviewerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAccessReviewReviewerCollectionResponse(writer: SerializationWriter, accessReviewReviewerCollectionResponse?: AccessReviewReviewerCollectionResponse | undefined): void;
