import { type ActivityBasedTimeoutPolicy } from './activityBasedTimeoutPolicy';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ActivityBasedTimeoutPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ActivityBasedTimeoutPolicy[];
}
export declare function createActivityBasedTimeoutPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoActivityBasedTimeoutPolicyCollectionResponse;
export declare function deserializeIntoActivityBasedTimeoutPolicyCollectionResponse(activityBasedTimeoutPolicyCollectionResponse?: ActivityBasedTimeoutPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeActivityBasedTimeoutPolicyCollectionResponse(writer: SerializationWriter, activityBasedTimeoutPolicyCollectionResponse?: ActivityBasedTimeoutPolicyCollectionResponse | undefined): void;
