import { type ActivityHistoryItem } from './activityHistoryItem';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ActivityHistoryItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ActivityHistoryItem[];
}
export declare function createActivityHistoryItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoActivityHistoryItemCollectionResponse;
export declare function deserializeIntoActivityHistoryItemCollectionResponse(activityHistoryItemCollectionResponse?: ActivityHistoryItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeActivityHistoryItemCollectionResponse(writer: SerializationWriter, activityHistoryItemCollectionResponse?: ActivityHistoryItemCollectionResponse | undefined): void;
