import { type AgreementAcceptance } from './agreementAcceptance';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementAcceptanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AgreementAcceptance[];
}
export declare function createAgreementAcceptanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementAcceptanceCollectionResponse;
export declare function deserializeIntoAgreementAcceptanceCollectionResponse(agreementAcceptanceCollectionResponse?: AgreementAcceptanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementAcceptanceCollectionResponse(writer: SerializationWriter, agreementAcceptanceCollectionResponse?: AgreementAcceptanceCollectionResponse | undefined): void;
