"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAgreementFileData = exports.deserializeIntoAgreementFileData = exports.createAgreementFileDataFromDiscriminatorValue = void 0;
function createAgreementFileDataFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAgreementFileData;
}
exports.createAgreementFileDataFromDiscriminatorValue = createAgreementFileDataFromDiscriminatorValue;
function deserializeIntoAgreementFileData(agreementFileData = {}) {
    return {
        "data": n => { agreementFileData.data = n.getStringValue(); },
        "@odata.type": n => { agreementFileData.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAgreementFileData = deserializeIntoAgreementFileData;
function serializeAgreementFileData(writer, agreementFileData = {}) {
    writer.writeStringValue("data", agreementFileData.data);
    writer.writeStringValue("@odata.type", agreementFileData.odataType);
    writer.writeAdditionalData(agreementFileData.additionalData);
}
exports.serializeAgreementFileData = serializeAgreementFileData;
// tslint:enable
// eslint-enable
