import { type AgreementFileProperties } from './agreementFileProperties';
import { type AgreementFileVersion } from './agreementFileVersion';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementFileLocalization extends AgreementFileProperties, Parsable {
    /**
     * Read-only. Customized versions of the terms of use agreement in the Microsoft Entra tenant.
     */
    versions?: AgreementFileVersion[];
}
export declare function createAgreementFileLocalizationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementFileLocalization;
export declare function deserializeIntoAgreementFileLocalization(agreementFileLocalization?: AgreementFileLocalization | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementFileLocalization(writer: SerializationWriter, agreementFileLocalization?: AgreementFileLocalization | undefined): void;
