import { type AgreementFileProperties } from './agreementFileProperties';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AgreementFileVersion extends AgreementFileProperties, Parsable {
}
export declare function createAgreementFileVersionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAgreementFileVersion;
export declare function deserializeIntoAgreementFileVersion(agreementFileVersion?: AgreementFileVersion | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAgreementFileVersion(writer: SerializationWriter, agreementFileVersion?: AgreementFileVersion | undefined): void;
