"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlbum = exports.deserializeIntoAlbum = exports.createAlbumFromDiscriminatorValue = void 0;
function createAlbumFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlbum;
}
exports.createAlbumFromDiscriminatorValue = createAlbumFromDiscriminatorValue;
function deserializeIntoAlbum(album = {}) {
    return {
        "coverImageItemId": n => { album.coverImageItemId = n.getStringValue(); },
        "@odata.type": n => { album.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAlbum = deserializeIntoAlbum;
function serializeAlbum(writer, album = {}) {
    writer.writeStringValue("coverImageItemId", album.coverImageItemId);
    writer.writeStringValue("@odata.type", album.odataType);
    writer.writeAdditionalData(album.additionalData);
}
exports.serializeAlbum = serializeAlbum;
// tslint:enable
// eslint-enable
