import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlertDetection extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The detectionType property
     */
    detectionType?: string;
    /**
     * The method property
     */
    method?: string;
    /**
     * The name property
     */
    name?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAlertDetectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlertDetection;
export declare function deserializeIntoAlertDetection(alertDetection?: AlertDetection | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlertDetection(writer: SerializationWriter, alertDetection?: AlertDetection | undefined): void;
