"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlertDetection = exports.deserializeIntoAlertDetection = exports.createAlertDetectionFromDiscriminatorValue = void 0;
function createAlertDetectionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlertDetection;
}
exports.createAlertDetectionFromDiscriminatorValue = createAlertDetectionFromDiscriminatorValue;
function deserializeIntoAlertDetection(alertDetection = {}) {
    return {
        "detectionType": n => { alertDetection.detectionType = n.getStringValue(); },
        "method": n => { alertDetection.method = n.getStringValue(); },
        "name": n => { alertDetection.name = n.getStringValue(); },
        "@odata.type": n => { alertDetection.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAlertDetection = deserializeIntoAlertDetection;
function serializeAlertDetection(writer, alertDetection = {}) {
    writer.writeStringValue("detectionType", alertDetection.detectionType);
    writer.writeStringValue("method", alertDetection.method);
    writer.writeStringValue("name", alertDetection.name);
    writer.writeStringValue("@odata.type", alertDetection.odataType);
    writer.writeAdditionalData(alertDetection.additionalData);
}
exports.serializeAlertDetection = serializeAlertDetection;
// tslint:enable
// eslint-enable
