import { type AllowedValue } from './allowedValue';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AllowedValueCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AllowedValue[];
}
export declare function createAllowedValueCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAllowedValueCollectionResponse;
export declare function deserializeIntoAllowedValueCollectionResponse(allowedValueCollectionResponse?: AllowedValueCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAllowedValueCollectionResponse(writer: SerializationWriter, allowedValueCollectionResponse?: AllowedValueCollectionResponse | undefined): void;
