"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAlternativeSecurityId = exports.deserializeIntoAlternativeSecurityId = exports.createAlternativeSecurityIdFromDiscriminatorValue = void 0;
function createAlternativeSecurityIdFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAlternativeSecurityId;
}
exports.createAlternativeSecurityIdFromDiscriminatorValue = createAlternativeSecurityIdFromDiscriminatorValue;
function deserializeIntoAlternativeSecurityId(alternativeSecurityId = {}) {
    return {
        "identityProvider": n => { alternativeSecurityId.identityProvider = n.getStringValue(); },
        "key": n => { alternativeSecurityId.key = n.getStringValue(); },
        "@odata.type": n => { alternativeSecurityId.odataType = n.getStringValue(); },
        "type": n => { alternativeSecurityId.type = n.getNumberValue(); },
    };
}
exports.deserializeIntoAlternativeSecurityId = deserializeIntoAlternativeSecurityId;
function serializeAlternativeSecurityId(writer, alternativeSecurityId = {}) {
    writer.writeStringValue("identityProvider", alternativeSecurityId.identityProvider);
    writer.writeStringValue("key", alternativeSecurityId.key);
    writer.writeStringValue("@odata.type", alternativeSecurityId.odataType);
    writer.writeNumberValue("type", alternativeSecurityId.type);
    writer.writeAdditionalData(alternativeSecurityId.additionalData);
}
exports.serializeAlternativeSecurityId = serializeAlternativeSecurityId;
// tslint:enable
// eslint-enable
