import { type AndroidManagedAppProtection } from './androidManagedAppProtection';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidManagedAppProtectionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AndroidManagedAppProtection[];
}
export declare function createAndroidManagedAppProtectionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidManagedAppProtectionCollectionResponse;
export declare function deserializeIntoAndroidManagedAppProtectionCollectionResponse(androidManagedAppProtectionCollectionResponse?: AndroidManagedAppProtectionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidManagedAppProtectionCollectionResponse(writer: SerializationWriter, androidManagedAppProtectionCollectionResponse?: AndroidManagedAppProtectionCollectionResponse | undefined): void;
