"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAndroidMinimumOperatingSystem = exports.deserializeIntoAndroidMinimumOperatingSystem = exports.createAndroidMinimumOperatingSystemFromDiscriminatorValue = void 0;
function createAndroidMinimumOperatingSystemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAndroidMinimumOperatingSystem;
}
exports.createAndroidMinimumOperatingSystemFromDiscriminatorValue = createAndroidMinimumOperatingSystemFromDiscriminatorValue;
function deserializeIntoAndroidMinimumOperatingSystem(androidMinimumOperatingSystem = {}) {
    return {
        "@odata.type": n => { androidMinimumOperatingSystem.odataType = n.getStringValue(); },
        "v10_0": n => { androidMinimumOperatingSystem.v10_0 = n.getBooleanValue(); },
        "v11_0": n => { androidMinimumOperatingSystem.v11_0 = n.getBooleanValue(); },
        "v4_0": n => { androidMinimumOperatingSystem.v4_0 = n.getBooleanValue(); },
        "v4_0_3": n => { androidMinimumOperatingSystem.v4_0_3 = n.getBooleanValue(); },
        "v4_1": n => { androidMinimumOperatingSystem.v4_1 = n.getBooleanValue(); },
        "v4_2": n => { androidMinimumOperatingSystem.v4_2 = n.getBooleanValue(); },
        "v4_3": n => { androidMinimumOperatingSystem.v4_3 = n.getBooleanValue(); },
        "v4_4": n => { androidMinimumOperatingSystem.v4_4 = n.getBooleanValue(); },
        "v5_0": n => { androidMinimumOperatingSystem.v5_0 = n.getBooleanValue(); },
        "v5_1": n => { androidMinimumOperatingSystem.v5_1 = n.getBooleanValue(); },
        "v6_0": n => { androidMinimumOperatingSystem.v6_0 = n.getBooleanValue(); },
        "v7_0": n => { androidMinimumOperatingSystem.v7_0 = n.getBooleanValue(); },
        "v7_1": n => { androidMinimumOperatingSystem.v7_1 = n.getBooleanValue(); },
        "v8_0": n => { androidMinimumOperatingSystem.v8_0 = n.getBooleanValue(); },
        "v8_1": n => { androidMinimumOperatingSystem.v8_1 = n.getBooleanValue(); },
        "v9_0": n => { androidMinimumOperatingSystem.v9_0 = n.getBooleanValue(); },
    };
}
exports.deserializeIntoAndroidMinimumOperatingSystem = deserializeIntoAndroidMinimumOperatingSystem;
function serializeAndroidMinimumOperatingSystem(writer, androidMinimumOperatingSystem = {}) {
    writer.writeStringValue("@odata.type", androidMinimumOperatingSystem.odataType);
    writer.writeBooleanValue("v10_0", androidMinimumOperatingSystem.v10_0);
    writer.writeBooleanValue("v11_0", androidMinimumOperatingSystem.v11_0);
    writer.writeBooleanValue("v4_0", androidMinimumOperatingSystem.v4_0);
    writer.writeBooleanValue("v4_0_3", androidMinimumOperatingSystem.v4_0_3);
    writer.writeBooleanValue("v4_1", androidMinimumOperatingSystem.v4_1);
    writer.writeBooleanValue("v4_2", androidMinimumOperatingSystem.v4_2);
    writer.writeBooleanValue("v4_3", androidMinimumOperatingSystem.v4_3);
    writer.writeBooleanValue("v4_4", androidMinimumOperatingSystem.v4_4);
    writer.writeBooleanValue("v5_0", androidMinimumOperatingSystem.v5_0);
    writer.writeBooleanValue("v5_1", androidMinimumOperatingSystem.v5_1);
    writer.writeBooleanValue("v6_0", androidMinimumOperatingSystem.v6_0);
    writer.writeBooleanValue("v7_0", androidMinimumOperatingSystem.v7_0);
    writer.writeBooleanValue("v7_1", androidMinimumOperatingSystem.v7_1);
    writer.writeBooleanValue("v8_0", androidMinimumOperatingSystem.v8_0);
    writer.writeBooleanValue("v8_1", androidMinimumOperatingSystem.v8_1);
    writer.writeBooleanValue("v9_0", androidMinimumOperatingSystem.v9_0);
    writer.writeAdditionalData(androidMinimumOperatingSystem.additionalData);
}
exports.serializeAndroidMinimumOperatingSystem = serializeAndroidMinimumOperatingSystem;
// tslint:enable
// eslint-enable
