import { type AndroidStoreApp } from './androidStoreApp';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AndroidStoreAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AndroidStoreApp[];
}
export declare function createAndroidStoreAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAndroidStoreAppCollectionResponse;
export declare function deserializeIntoAndroidStoreAppCollectionResponse(androidStoreAppCollectionResponse?: AndroidStoreAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAndroidStoreAppCollectionResponse(writer: SerializationWriter, androidStoreAppCollectionResponse?: AndroidStoreAppCollectionResponse | undefined): void;
