"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AndroidWorkProfileCrossProfileDataSharingType = void 0;
/**
 * Android Work Profile cross profile data sharing type.
 */
var AndroidWorkProfileCrossProfileDataSharingType;
(function (AndroidWorkProfileCrossProfileDataSharingType) {
    /** Device default value, no intent. */
    AndroidWorkProfileCrossProfileDataSharingType["DeviceDefault"] = "deviceDefault";
    /** Prevent any sharing. */
    AndroidWorkProfileCrossProfileDataSharingType["PreventAny"] = "preventAny";
    /** Allow data sharing request from personal profile to work profile. */
    AndroidWorkProfileCrossProfileDataSharingType["AllowPersonalToWork"] = "allowPersonalToWork";
    /** No restrictions on sharing. */
    AndroidWorkProfileCrossProfileDataSharingType["NoRestrictions"] = "noRestrictions";
})(AndroidWorkProfileCrossProfileDataSharingType || (exports.AndroidWorkProfileCrossProfileDataSharingType = AndroidWorkProfileCrossProfileDataSharingType = {}));
// tslint:enable
// eslint-enable
