"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AndroidWorkProfileRequiredPasswordType = void 0;
/**
 * Android Work Profile required password type.
 */
var AndroidWorkProfileRequiredPasswordType;
(function (AndroidWorkProfileRequiredPasswordType) {
    /** Device default value, no intent. */
    AndroidWorkProfileRequiredPasswordType["DeviceDefault"] = "deviceDefault";
    /** Low security biometrics based password required. */
    AndroidWorkProfileRequiredPasswordType["LowSecurityBiometric"] = "lowSecurityBiometric";
    /** Required. */
    AndroidWorkProfileRequiredPasswordType["Required"] = "required";
    /** At least numeric password required. */
    AndroidWorkProfileRequiredPasswordType["AtLeastNumeric"] = "atLeastNumeric";
    /** Numeric complex password required. */
    AndroidWorkProfileRequiredPasswordType["NumericComplex"] = "numericComplex";
    /** At least alphabetic password required. */
    AndroidWorkProfileRequiredPasswordType["AtLeastAlphabetic"] = "atLeastAlphabetic";
    /** At least alphanumeric password required. */
    AndroidWorkProfileRequiredPasswordType["AtLeastAlphanumeric"] = "atLeastAlphanumeric";
    /** At least alphanumeric with symbols password required. */
    AndroidWorkProfileRequiredPasswordType["AlphanumericWithSymbols"] = "alphanumericWithSymbols";
})(AndroidWorkProfileRequiredPasswordType || (exports.AndroidWorkProfileRequiredPasswordType = AndroidWorkProfileRequiredPasswordType = {}));
// tslint:enable
// eslint-enable
