import { deserializeIntoBasicAuthentication } from './basicAuthentication';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApiAuthenticationConfigurationBase extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createApiAuthenticationConfigurationBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBasicAuthentication;
export declare function deserializeIntoApiAuthenticationConfigurationBase(apiAuthenticationConfigurationBase?: ApiAuthenticationConfigurationBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApiAuthenticationConfigurationBase(writer: SerializationWriter, apiAuthenticationConfigurationBase?: ApiAuthenticationConfigurationBase | undefined): void;
