import { type AppConsentRequest } from './appConsentRequest';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppConsentRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AppConsentRequest[];
}
export declare function createAppConsentRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppConsentRequestCollectionResponse;
export declare function deserializeIntoAppConsentRequestCollectionResponse(appConsentRequestCollectionResponse?: AppConsentRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppConsentRequestCollectionResponse(writer: SerializationWriter, appConsentRequestCollectionResponse?: AppConsentRequestCollectionResponse | undefined): void;
