import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppConsentRequestScope extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the scope.
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAppConsentRequestScopeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppConsentRequestScope;
export declare function deserializeIntoAppConsentRequestScope(appConsentRequestScope?: AppConsentRequestScope | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppConsentRequestScope(writer: SerializationWriter, appConsentRequestScope?: AppConsentRequestScope | undefined): void;
