"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAppConsentRequestScope = exports.deserializeIntoAppConsentRequestScope = exports.createAppConsentRequestScopeFromDiscriminatorValue = void 0;
function createAppConsentRequestScopeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAppConsentRequestScope;
}
exports.createAppConsentRequestScopeFromDiscriminatorValue = createAppConsentRequestScopeFromDiscriminatorValue;
function deserializeIntoAppConsentRequestScope(appConsentRequestScope = {}) {
    return {
        "displayName": n => { appConsentRequestScope.displayName = n.getStringValue(); },
        "@odata.type": n => { appConsentRequestScope.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAppConsentRequestScope = deserializeIntoAppConsentRequestScope;
function serializeAppConsentRequestScope(writer, appConsentRequestScope = {}) {
    writer.writeStringValue("displayName", appConsentRequestScope.displayName);
    writer.writeStringValue("@odata.type", appConsentRequestScope.odataType);
    writer.writeAdditionalData(appConsentRequestScope.additionalData);
}
exports.serializeAppConsentRequestScope = serializeAppConsentRequestScope;
// tslint:enable
// eslint-enable
