"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAppIdentity = exports.deserializeIntoAppIdentity = exports.createAppIdentityFromDiscriminatorValue = void 0;
function createAppIdentityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAppIdentity;
}
exports.createAppIdentityFromDiscriminatorValue = createAppIdentityFromDiscriminatorValue;
function deserializeIntoAppIdentity(appIdentity = {}) {
    return {
        "appId": n => { appIdentity.appId = n.getStringValue(); },
        "displayName": n => { appIdentity.displayName = n.getStringValue(); },
        "@odata.type": n => { appIdentity.odataType = n.getStringValue(); },
        "servicePrincipalId": n => { appIdentity.servicePrincipalId = n.getStringValue(); },
        "servicePrincipalName": n => { appIdentity.servicePrincipalName = n.getStringValue(); },
    };
}
exports.deserializeIntoAppIdentity = deserializeIntoAppIdentity;
function serializeAppIdentity(writer, appIdentity = {}) {
    writer.writeStringValue("appId", appIdentity.appId);
    writer.writeStringValue("displayName", appIdentity.displayName);
    writer.writeStringValue("@odata.type", appIdentity.odataType);
    writer.writeStringValue("servicePrincipalId", appIdentity.servicePrincipalId);
    writer.writeStringValue("servicePrincipalName", appIdentity.servicePrincipalName);
    writer.writeAdditionalData(appIdentity.additionalData);
}
exports.serializeAppIdentity = serializeAppIdentity;
// tslint:enable
// eslint-enable
