"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppListType = void 0;
/**
 * Possible values of the compliance app list.
 */
var AppListType;
(function (AppListType) {
    /** Default value, no intent. */
    AppListType["None"] = "none";
    /** The list represents the apps that will be considered compliant (only apps on the list are compliant). */
    AppListType["AppsInListCompliant"] = "appsInListCompliant";
    /** The list represents the apps that will be considered non compliant (all apps are compliant except apps on the list). */
    AppListType["AppsNotInListCompliant"] = "appsNotInListCompliant";
})(AppListType || (exports.AppListType = AppListType = {}));
// tslint:enable
// eslint-enable
