"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppLockerApplicationControlType = void 0;
/**
 * Possible values of AppLocker Application Control Types
 */
var AppLockerApplicationControlType;
(function (AppLockerApplicationControlType) {
    /** Device default value, no Application Control type selected. */
    AppLockerApplicationControlType["NotConfigured"] = "notConfigured";
    /** Enforce Windows component and store apps. */
    AppLockerApplicationControlType["EnforceComponentsAndStoreApps"] = "enforceComponentsAndStoreApps";
    /** Audit Windows component and store apps. */
    AppLockerApplicationControlType["AuditComponentsAndStoreApps"] = "auditComponentsAndStoreApps";
    /** Enforce Windows components, store apps and smart locker. */
    AppLockerApplicationControlType["EnforceComponentsStoreAppsAndSmartlocker"] = "enforceComponentsStoreAppsAndSmartlocker";
    /** Audit Windows components, store apps and smart locker​. */
    AppLockerApplicationControlType["AuditComponentsStoreAppsAndSmartlocker"] = "auditComponentsStoreAppsAndSmartlocker";
})(AppLockerApplicationControlType || (exports.AppLockerApplicationControlType = AppLockerApplicationControlType = {}));
// tslint:enable
// eslint-enable
