import { type AppManagementPolicy } from './appManagementPolicy';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppManagementPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AppManagementPolicy[];
}
export declare function createAppManagementPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppManagementPolicyCollectionResponse;
export declare function deserializeIntoAppManagementPolicyCollectionResponse(appManagementPolicyCollectionResponse?: AppManagementPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppManagementPolicyCollectionResponse(writer: SerializationWriter, appManagementPolicyCollectionResponse?: AppManagementPolicyCollectionResponse | undefined): void;
