import { type AppRoleAssignment } from './appRoleAssignment';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AppRoleAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AppRoleAssignment[];
}
export declare function createAppRoleAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAppRoleAssignmentCollectionResponse;
export declare function deserializeIntoAppRoleAssignmentCollectionResponse(appRoleAssignmentCollectionResponse?: AppRoleAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAppRoleAssignmentCollectionResponse(writer: SerializationWriter, appRoleAssignmentCollectionResponse?: AppRoleAssignmentCollectionResponse | undefined): void;
