"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationGuardBlockClipboardSharingType = void 0;
/**
 * Possible values for applicationGuardBlockClipboardSharingType
 */
var ApplicationGuardBlockClipboardSharingType;
(function (ApplicationGuardBlockClipboardSharingType) {
    /** Not Configured */
    ApplicationGuardBlockClipboardSharingType["NotConfigured"] = "notConfigured";
    /** Block clipboard to share data both from Host to Container and from Container to Host */
    ApplicationGuardBlockClipboardSharingType["BlockBoth"] = "blockBoth";
    /** Block clipboard to share data from Host to Container */
    ApplicationGuardBlockClipboardSharingType["BlockHostToContainer"] = "blockHostToContainer";
    /** Block clipboard to share data from Container to Host */
    ApplicationGuardBlockClipboardSharingType["BlockContainerToHost"] = "blockContainerToHost";
    /** Block clipboard to share data neither from Host to Container nor from Container to Host */
    ApplicationGuardBlockClipboardSharingType["BlockNone"] = "blockNone";
})(ApplicationGuardBlockClipboardSharingType || (exports.ApplicationGuardBlockClipboardSharingType = ApplicationGuardBlockClipboardSharingType = {}));
// tslint:enable
// eslint-enable
