"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationGuardBlockFileTransferType = void 0;
/**
 * Possible values for applicationGuardBlockFileTransfer
 */
var ApplicationGuardBlockFileTransferType;
(function (ApplicationGuardBlockFileTransferType) {
    /** Not Configured */
    ApplicationGuardBlockFileTransferType["NotConfigured"] = "notConfigured";
    /** Block clipboard to transfer Image and Text file */
    ApplicationGuardBlockFileTransferType["BlockImageAndTextFile"] = "blockImageAndTextFile";
    /** Block clipboard to transfer Image file */
    ApplicationGuardBlockFileTransferType["BlockImageFile"] = "blockImageFile";
    /** Neither of text file or image file is blocked from transferring */
    ApplicationGuardBlockFileTransferType["BlockNone"] = "blockNone";
    /** Block clipboard to transfer Text file */
    ApplicationGuardBlockFileTransferType["BlockTextFile"] = "blockTextFile";
})(ApplicationGuardBlockFileTransferType || (exports.ApplicationGuardBlockFileTransferType = ApplicationGuardBlockFileTransferType = {}));
// tslint:enable
// eslint-enable
