import { type ApplicationTemplate } from './applicationTemplate';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApplicationTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ApplicationTemplate[];
}
export declare function createApplicationTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApplicationTemplateCollectionResponse;
export declare function deserializeIntoApplicationTemplateCollectionResponse(applicationTemplateCollectionResponse?: ApplicationTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApplicationTemplateCollectionResponse(writer: SerializationWriter, applicationTemplateCollectionResponse?: ApplicationTemplateCollectionResponse | undefined): void;
