import { type Approval } from './approval';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApprovalCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Approval[];
}
export declare function createApprovalCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApprovalCollectionResponse;
export declare function deserializeIntoApprovalCollectionResponse(approvalCollectionResponse?: ApprovalCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApprovalCollectionResponse(writer: SerializationWriter, approvalCollectionResponse?: ApprovalCollectionResponse | undefined): void;
