import { type ApprovalStage } from './approvalStage';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ApprovalStageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ApprovalStage[];
}
export declare function createApprovalStageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoApprovalStageCollectionResponse;
export declare function deserializeIntoApprovalStageCollectionResponse(approvalStageCollectionResponse?: ApprovalStageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeApprovalStageCollectionResponse(writer: SerializationWriter, approvalStageCollectionResponse?: ApprovalStageCollectionResponse | undefined): void;
