"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAssignedLicense = exports.deserializeIntoAssignedLicense = exports.createAssignedLicenseFromDiscriminatorValue = void 0;
function createAssignedLicenseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignedLicense;
}
exports.createAssignedLicenseFromDiscriminatorValue = createAssignedLicenseFromDiscriminatorValue;
function deserializeIntoAssignedLicense(assignedLicense = {}) {
    return {
        "disabledPlans": n => { assignedLicense.disabledPlans = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { assignedLicense.odataType = n.getStringValue(); },
        "skuId": n => { assignedLicense.skuId = n.getGuidValue(); },
    };
}
exports.deserializeIntoAssignedLicense = deserializeIntoAssignedLicense;
function serializeAssignedLicense(writer, assignedLicense = {}) {
    writer.writeCollectionOfPrimitiveValues("disabledPlans", assignedLicense.disabledPlans);
    writer.writeStringValue("@odata.type", assignedLicense.odataType);
    writer.writeGuidValue("skuId", assignedLicense.skuId);
    writer.writeAdditionalData(assignedLicense.additionalData);
}
exports.serializeAssignedLicense = serializeAssignedLicense;
// tslint:enable
// eslint-enable
