"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAssignedPlan = exports.deserializeIntoAssignedPlan = exports.createAssignedPlanFromDiscriminatorValue = void 0;
function createAssignedPlanFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignedPlan;
}
exports.createAssignedPlanFromDiscriminatorValue = createAssignedPlanFromDiscriminatorValue;
function deserializeIntoAssignedPlan(assignedPlan = {}) {
    return {
        "assignedDateTime": n => { assignedPlan.assignedDateTime = n.getDateValue(); },
        "capabilityStatus": n => { assignedPlan.capabilityStatus = n.getStringValue(); },
        "@odata.type": n => { assignedPlan.odataType = n.getStringValue(); },
        "service": n => { assignedPlan.service = n.getStringValue(); },
        "servicePlanId": n => { assignedPlan.servicePlanId = n.getGuidValue(); },
    };
}
exports.deserializeIntoAssignedPlan = deserializeIntoAssignedPlan;
function serializeAssignedPlan(writer, assignedPlan = {}) {
    writer.writeDateValue("assignedDateTime", assignedPlan.assignedDateTime);
    writer.writeStringValue("capabilityStatus", assignedPlan.capabilityStatus);
    writer.writeStringValue("@odata.type", assignedPlan.odataType);
    writer.writeStringValue("service", assignedPlan.service);
    writer.writeGuidValue("servicePlanId", assignedPlan.servicePlanId);
    writer.writeAdditionalData(assignedPlan.additionalData);
}
exports.serializeAssignedPlan = serializeAssignedPlan;
// tslint:enable
// eslint-enable
