"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAssignmentOrder = exports.deserializeIntoAssignmentOrder = exports.createAssignmentOrderFromDiscriminatorValue = void 0;
function createAssignmentOrderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAssignmentOrder;
}
exports.createAssignmentOrderFromDiscriminatorValue = createAssignmentOrderFromDiscriminatorValue;
function deserializeIntoAssignmentOrder(assignmentOrder = {}) {
    return {
        "@odata.type": n => { assignmentOrder.odataType = n.getStringValue(); },
        "order": n => { assignmentOrder.order = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoAssignmentOrder = deserializeIntoAssignmentOrder;
function serializeAssignmentOrder(writer, assignmentOrder = {}) {
    writer.writeStringValue("@odata.type", assignmentOrder.odataType);
    writer.writeCollectionOfPrimitiveValues("order", assignmentOrder.order);
    writer.writeAdditionalData(assignmentOrder.additionalData);
}
exports.serializeAssignmentOrder = serializeAssignmentOrder;
// tslint:enable
// eslint-enable
