import { type TeamInfo } from './teamInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssociatedTeamInfo extends Parsable, TeamInfo {
}
export declare function createAssociatedTeamInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssociatedTeamInfo;
export declare function deserializeIntoAssociatedTeamInfo(associatedTeamInfo?: AssociatedTeamInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssociatedTeamInfo(writer: SerializationWriter, associatedTeamInfo?: AssociatedTeamInfo | undefined): void;
