import { type AssociatedTeamInfo } from './associatedTeamInfo';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AssociatedTeamInfoCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AssociatedTeamInfo[];
}
export declare function createAssociatedTeamInfoCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAssociatedTeamInfoCollectionResponse;
export declare function deserializeIntoAssociatedTeamInfoCollectionResponse(associatedTeamInfoCollectionResponse?: AssociatedTeamInfoCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAssociatedTeamInfoCollectionResponse(writer: SerializationWriter, associatedTeamInfoCollectionResponse?: AssociatedTeamInfoCollectionResponse | undefined): void;
