import { type Attachment } from './attachment';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttachmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Attachment[];
}
export declare function createAttachmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttachmentCollectionResponse;
export declare function deserializeIntoAttachmentCollectionResponse(attachmentCollectionResponse?: AttachmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttachmentCollectionResponse(writer: SerializationWriter, attachmentCollectionResponse?: AttachmentCollectionResponse | undefined): void;
