import { type AttachmentSession } from './attachmentSession';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttachmentSessionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttachmentSession[];
}
export declare function createAttachmentSessionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttachmentSessionCollectionResponse;
export declare function deserializeIntoAttachmentSessionCollectionResponse(attachmentSessionCollectionResponse?: AttachmentSessionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttachmentSessionCollectionResponse(writer: SerializationWriter, attachmentSessionCollectionResponse?: AttachmentSessionCollectionResponse | undefined): void;
