import { type AttributeMappingFunctionSchema } from './attributeMappingFunctionSchema';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AttributeMappingFunctionSchemaCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AttributeMappingFunctionSchema[];
}
export declare function createAttributeMappingFunctionSchemaCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeMappingFunctionSchemaCollectionResponse;
export declare function deserializeIntoAttributeMappingFunctionSchemaCollectionResponse(attributeMappingFunctionSchemaCollectionResponse?: AttributeMappingFunctionSchemaCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAttributeMappingFunctionSchemaCollectionResponse(writer: SerializationWriter, attributeMappingFunctionSchemaCollectionResponse?: AttributeMappingFunctionSchemaCollectionResponse | undefined): void;
