import { type AudioRoutingGroup } from './audioRoutingGroup';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AudioRoutingGroupCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AudioRoutingGroup[];
}
export declare function createAudioRoutingGroupCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAudioRoutingGroupCollectionResponse;
export declare function deserializeIntoAudioRoutingGroupCollectionResponse(audioRoutingGroupCollectionResponse?: AudioRoutingGroupCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAudioRoutingGroupCollectionResponse(writer: SerializationWriter, audioRoutingGroupCollectionResponse?: AudioRoutingGroupCollectionResponse | undefined): void;
