import { type AuthenticationCombinationConfiguration } from './authenticationCombinationConfiguration';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationCombinationConfigurationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuthenticationCombinationConfiguration[];
}
export declare function createAuthenticationCombinationConfigurationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationCombinationConfigurationCollectionResponse;
export declare function deserializeIntoAuthenticationCombinationConfigurationCollectionResponse(authenticationCombinationConfigurationCollectionResponse?: AuthenticationCombinationConfigurationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationCombinationConfigurationCollectionResponse(writer: SerializationWriter, authenticationCombinationConfigurationCollectionResponse?: AuthenticationCombinationConfigurationCollectionResponse | undefined): void;
