import { type AuthenticationMethodConfiguration } from './authenticationMethodConfiguration';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodConfigurationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuthenticationMethodConfiguration[];
}
export declare function createAuthenticationMethodConfigurationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodConfigurationCollectionResponse;
export declare function deserializeIntoAuthenticationMethodConfigurationCollectionResponse(authenticationMethodConfigurationCollectionResponse?: AuthenticationMethodConfigurationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodConfigurationCollectionResponse(writer: SerializationWriter, authenticationMethodConfigurationCollectionResponse?: AuthenticationMethodConfigurationCollectionResponse | undefined): void;
