import { BaseAuthenticationMethod } from './baseAuthenticationMethod';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodModeDetail extends Entity, Parsable {
    /**
     * The authenticationMethod property
     */
    authenticationMethod?: BaseAuthenticationMethod;
    /**
     * The display name of this mode
     */
    displayName?: string;
}
export declare function createAuthenticationMethodModeDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodModeDetail;
export declare function deserializeIntoAuthenticationMethodModeDetail(authenticationMethodModeDetail?: AuthenticationMethodModeDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodModeDetail(writer: SerializationWriter, authenticationMethodModeDetail?: AuthenticationMethodModeDetail | undefined): void;
