import { type AuthenticationMethodModeDetail } from './authenticationMethodModeDetail';
import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthenticationMethodModeDetailCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: AuthenticationMethodModeDetail[];
}
export declare function createAuthenticationMethodModeDetailCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthenticationMethodModeDetailCollectionResponse;
export declare function deserializeIntoAuthenticationMethodModeDetailCollectionResponse(authenticationMethodModeDetailCollectionResponse?: AuthenticationMethodModeDetailCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthenticationMethodModeDetailCollectionResponse(writer: SerializationWriter, authenticationMethodModeDetailCollectionResponse?: AuthenticationMethodModeDetailCollectionResponse | undefined): void;
