import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AuthorizationInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The certificateUserIds property
     */
    certificateUserIds?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createAuthorizationInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAuthorizationInfo;
export declare function deserializeIntoAuthorizationInfo(authorizationInfo?: AuthorizationInfo | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAuthorizationInfo(writer: SerializationWriter, authorizationInfo?: AuthorizationInfo | undefined): void;
