"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeAuthorizationInfo = exports.deserializeIntoAuthorizationInfo = exports.createAuthorizationInfoFromDiscriminatorValue = void 0;
function createAuthorizationInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoAuthorizationInfo;
}
exports.createAuthorizationInfoFromDiscriminatorValue = createAuthorizationInfoFromDiscriminatorValue;
function deserializeIntoAuthorizationInfo(authorizationInfo = {}) {
    return {
        "certificateUserIds": n => { authorizationInfo.certificateUserIds = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { authorizationInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoAuthorizationInfo = deserializeIntoAuthorizationInfo;
function serializeAuthorizationInfo(writer, authorizationInfo = {}) {
    writer.writeCollectionOfPrimitiveValues("certificateUserIds", authorizationInfo.certificateUserIds);
    writer.writeStringValue("@odata.type", authorizationInfo.odataType);
    writer.writeAdditionalData(authorizationInfo.additionalData);
}
exports.serializeAuthorizationInfo = serializeAuthorizationInfo;
// tslint:enable
// eslint-enable
