"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutomaticUpdateMode = void 0;
/**
 * Possible values for automatic update mode.
 */
var AutomaticUpdateMode;
(function (AutomaticUpdateMode) {
    /** User Defined, default value, no intent. */
    AutomaticUpdateMode["UserDefined"] = "userDefined";
    /** Notify on download. */
    AutomaticUpdateMode["NotifyDownload"] = "notifyDownload";
    /** Auto-install at maintenance time. */
    AutomaticUpdateMode["AutoInstallAtMaintenanceTime"] = "autoInstallAtMaintenanceTime";
    /** Auto-install and reboot at maintenance time. */
    AutomaticUpdateMode["AutoInstallAndRebootAtMaintenanceTime"] = "autoInstallAndRebootAtMaintenanceTime";
    /** Auto-install and reboot at scheduled time. */
    AutomaticUpdateMode["AutoInstallAndRebootAtScheduledTime"] = "autoInstallAndRebootAtScheduledTime";
    /** Auto-install and restart without end-user control */
    AutomaticUpdateMode["AutoInstallAndRebootWithoutEndUserControl"] = "autoInstallAndRebootWithoutEndUserControl";
})(AutomaticUpdateMode || (exports.AutomaticUpdateMode = AutomaticUpdateMode = {}));
// tslint:enable
// eslint-enable
