import { type CustomExtensionAuthenticationConfiguration } from './customExtensionAuthenticationConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AzureAdPopTokenAuthentication extends CustomExtensionAuthenticationConfiguration, Parsable {
}
export declare function createAzureAdPopTokenAuthenticationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureAdPopTokenAuthentication;
export declare function deserializeIntoAzureAdPopTokenAuthentication(azureAdPopTokenAuthentication?: AzureAdPopTokenAuthentication | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAzureAdPopTokenAuthentication(writer: SerializationWriter, azureAdPopTokenAuthentication?: AzureAdPopTokenAuthentication | undefined): void;
