import { type ConversationMember } from './conversationMember';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AzureCommunicationServicesUserConversationMember extends ConversationMember, Parsable {
    /**
     * Azure Communication Services ID of the user.
     */
    azureCommunicationServicesId?: string;
}
export declare function createAzureCommunicationServicesUserConversationMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureCommunicationServicesUserConversationMember;
export declare function deserializeIntoAzureCommunicationServicesUserConversationMember(azureCommunicationServicesUserConversationMember?: AzureCommunicationServicesUserConversationMember | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAzureCommunicationServicesUserConversationMember(writer: SerializationWriter, azureCommunicationServicesUserConversationMember?: AzureCommunicationServicesUserConversationMember | undefined): void;
