"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBaseCollectionPaginationCountResponse = exports.deserializeIntoBaseCollectionPaginationCountResponse = exports.createBaseCollectionPaginationCountResponseFromDiscriminatorValue = void 0;
function createBaseCollectionPaginationCountResponseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBaseCollectionPaginationCountResponse;
}
exports.createBaseCollectionPaginationCountResponseFromDiscriminatorValue = createBaseCollectionPaginationCountResponseFromDiscriminatorValue;
function deserializeIntoBaseCollectionPaginationCountResponse(baseCollectionPaginationCountResponse = {}) {
    return {
        "@odata.count": n => { baseCollectionPaginationCountResponse.odataCount = n.getNumberValue(); },
        "@odata.nextLink": n => { baseCollectionPaginationCountResponse.odataNextLink = n.getStringValue(); },
    };
}
exports.deserializeIntoBaseCollectionPaginationCountResponse = deserializeIntoBaseCollectionPaginationCountResponse;
function serializeBaseCollectionPaginationCountResponse(writer, baseCollectionPaginationCountResponse = {}) {
    writer.writeNumberValue("@odata.count", baseCollectionPaginationCountResponse.odataCount);
    writer.writeStringValue("@odata.nextLink", baseCollectionPaginationCountResponse.odataNextLink);
    writer.writeAdditionalData(baseCollectionPaginationCountResponse.additionalData);
}
exports.serializeBaseCollectionPaginationCountResponse = serializeBaseCollectionPaginationCountResponse;
// tslint:enable
// eslint-enable
