import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BaseDeltaFunctionResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataDeltaLink property
     */
    odataDeltaLink?: string;
    /**
     * The OdataNextLink property
     */
    odataNextLink?: string;
}
export declare function createBaseDeltaFunctionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBaseDeltaFunctionResponse;
export declare function deserializeIntoBaseDeltaFunctionResponse(baseDeltaFunctionResponse?: BaseDeltaFunctionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBaseDeltaFunctionResponse(writer: SerializationWriter, baseDeltaFunctionResponse?: BaseDeltaFunctionResponse | undefined): void;
