import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BitlockerRecoveryKey } from './bitlockerRecoveryKey';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BitlockerRecoveryKeyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BitlockerRecoveryKey[];
}
export declare function createBitlockerRecoveryKeyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBitlockerRecoveryKeyCollectionResponse;
export declare function deserializeIntoBitlockerRecoveryKeyCollectionResponse(bitlockerRecoveryKeyCollectionResponse?: BitlockerRecoveryKeyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBitlockerRecoveryKeyCollectionResponse(writer: SerializationWriter, bitlockerRecoveryKeyCollectionResponse?: BitlockerRecoveryKeyCollectionResponse | undefined): void;
