import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BookingBusiness } from './bookingBusiness';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingBusinessCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BookingBusiness[];
}
export declare function createBookingBusinessCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingBusinessCollectionResponse;
export declare function deserializeIntoBookingBusinessCollectionResponse(bookingBusinessCollectionResponse?: BookingBusinessCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingBusinessCollectionResponse(writer: SerializationWriter, bookingBusinessCollectionResponse?: BookingBusinessCollectionResponse | undefined): void;
