import { deserializeIntoBookingCustomer } from './bookingCustomer';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingCustomerBase extends Entity, Parsable {
}
export declare function createBookingCustomerBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingCustomer;
export declare function deserializeIntoBookingCustomerBase(bookingCustomerBase?: BookingCustomerBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingCustomerBase(writer: SerializationWriter, bookingCustomerBase?: BookingCustomerBase | undefined): void;
