"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBookingSchedulingPolicy = exports.deserializeIntoBookingSchedulingPolicy = exports.createBookingSchedulingPolicyFromDiscriminatorValue = void 0;
function createBookingSchedulingPolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBookingSchedulingPolicy;
}
exports.createBookingSchedulingPolicyFromDiscriminatorValue = createBookingSchedulingPolicyFromDiscriminatorValue;
function deserializeIntoBookingSchedulingPolicy(bookingSchedulingPolicy = {}) {
    return {
        "allowStaffSelection": n => { bookingSchedulingPolicy.allowStaffSelection = n.getBooleanValue(); },
        "maximumAdvance": n => { bookingSchedulingPolicy.maximumAdvance = n.getDurationValue(); },
        "minimumLeadTime": n => { bookingSchedulingPolicy.minimumLeadTime = n.getDurationValue(); },
        "@odata.type": n => { bookingSchedulingPolicy.odataType = n.getStringValue(); },
        "sendConfirmationsToOwner": n => { bookingSchedulingPolicy.sendConfirmationsToOwner = n.getBooleanValue(); },
        "timeSlotInterval": n => { bookingSchedulingPolicy.timeSlotInterval = n.getDurationValue(); },
    };
}
exports.deserializeIntoBookingSchedulingPolicy = deserializeIntoBookingSchedulingPolicy;
function serializeBookingSchedulingPolicy(writer, bookingSchedulingPolicy = {}) {
    writer.writeBooleanValue("allowStaffSelection", bookingSchedulingPolicy.allowStaffSelection);
    writer.writeDurationValue("maximumAdvance", bookingSchedulingPolicy.maximumAdvance);
    writer.writeDurationValue("minimumLeadTime", bookingSchedulingPolicy.minimumLeadTime);
    writer.writeStringValue("@odata.type", bookingSchedulingPolicy.odataType);
    writer.writeBooleanValue("sendConfirmationsToOwner", bookingSchedulingPolicy.sendConfirmationsToOwner);
    writer.writeDurationValue("timeSlotInterval", bookingSchedulingPolicy.timeSlotInterval);
    writer.writeAdditionalData(bookingSchedulingPolicy.additionalData);
}
exports.serializeBookingSchedulingPolicy = serializeBookingSchedulingPolicy;
// tslint:enable
// eslint-enable
