import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BookingService } from './bookingService';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BookingServiceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BookingService[];
}
export declare function createBookingServiceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBookingServiceCollectionResponse;
export declare function deserializeIntoBookingServiceCollectionResponse(bookingServiceCollectionResponse?: BookingServiceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBookingServiceCollectionResponse(writer: SerializationWriter, bookingServiceCollectionResponse?: BookingServiceCollectionResponse | undefined): void;
