"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBookingWorkTimeSlot = exports.deserializeIntoBookingWorkTimeSlot = exports.createBookingWorkTimeSlotFromDiscriminatorValue = void 0;
function createBookingWorkTimeSlotFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBookingWorkTimeSlot;
}
exports.createBookingWorkTimeSlotFromDiscriminatorValue = createBookingWorkTimeSlotFromDiscriminatorValue;
function deserializeIntoBookingWorkTimeSlot(bookingWorkTimeSlot = {}) {
    return {
        "endTime": n => { bookingWorkTimeSlot.endTime = n.getTimeOnlyValue(); },
        "@odata.type": n => { bookingWorkTimeSlot.odataType = n.getStringValue(); },
        "startTime": n => { bookingWorkTimeSlot.startTime = n.getTimeOnlyValue(); },
    };
}
exports.deserializeIntoBookingWorkTimeSlot = deserializeIntoBookingWorkTimeSlot;
function serializeBookingWorkTimeSlot(writer, bookingWorkTimeSlot = {}) {
    writer.writeTimeOnlyValue("endTime", bookingWorkTimeSlot.endTime);
    writer.writeStringValue("@odata.type", bookingWorkTimeSlot.odataType);
    writer.writeTimeOnlyValue("startTime", bookingWorkTimeSlot.startTime);
    writer.writeAdditionalData(bookingWorkTimeSlot.additionalData);
}
exports.serializeBookingWorkTimeSlot = serializeBookingWorkTimeSlot;
// tslint:enable
// eslint-enable
