import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BooleanColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createBooleanColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBooleanColumn;
export declare function deserializeIntoBooleanColumn(booleanColumn?: BooleanColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBooleanColumn(writer: SerializationWriter, booleanColumn?: BooleanColumn | undefined): void;
