"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeBroadcastMeetingCaptionSettings = exports.deserializeIntoBroadcastMeetingCaptionSettings = exports.createBroadcastMeetingCaptionSettingsFromDiscriminatorValue = void 0;
function createBroadcastMeetingCaptionSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoBroadcastMeetingCaptionSettings;
}
exports.createBroadcastMeetingCaptionSettingsFromDiscriminatorValue = createBroadcastMeetingCaptionSettingsFromDiscriminatorValue;
function deserializeIntoBroadcastMeetingCaptionSettings(broadcastMeetingCaptionSettings = {}) {
    return {
        "isCaptionEnabled": n => { broadcastMeetingCaptionSettings.isCaptionEnabled = n.getBooleanValue(); },
        "@odata.type": n => { broadcastMeetingCaptionSettings.odataType = n.getStringValue(); },
        "spokenLanguage": n => { broadcastMeetingCaptionSettings.spokenLanguage = n.getStringValue(); },
        "translationLanguages": n => { broadcastMeetingCaptionSettings.translationLanguages = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoBroadcastMeetingCaptionSettings = deserializeIntoBroadcastMeetingCaptionSettings;
function serializeBroadcastMeetingCaptionSettings(writer, broadcastMeetingCaptionSettings = {}) {
    writer.writeBooleanValue("isCaptionEnabled", broadcastMeetingCaptionSettings.isCaptionEnabled);
    writer.writeStringValue("@odata.type", broadcastMeetingCaptionSettings.odataType);
    writer.writeStringValue("spokenLanguage", broadcastMeetingCaptionSettings.spokenLanguage);
    writer.writeCollectionOfPrimitiveValues("translationLanguages", broadcastMeetingCaptionSettings.translationLanguages);
    writer.writeAdditionalData(broadcastMeetingCaptionSettings.additionalData);
}
exports.serializeBroadcastMeetingCaptionSettings = serializeBroadcastMeetingCaptionSettings;
// tslint:enable
// eslint-enable
