import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BrowserSharedCookie } from './browserSharedCookie';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BrowserSharedCookieCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BrowserSharedCookie[];
}
export declare function createBrowserSharedCookieCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBrowserSharedCookieCollectionResponse;
export declare function deserializeIntoBrowserSharedCookieCollectionResponse(browserSharedCookieCollectionResponse?: BrowserSharedCookieCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBrowserSharedCookieCollectionResponse(writer: SerializationWriter, browserSharedCookieCollectionResponse?: BrowserSharedCookieCollectionResponse | undefined): void;
