"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserSharedCookieSourceEnvironment = void 0;
var BrowserSharedCookieSourceEnvironment;
(function (BrowserSharedCookieSourceEnvironment) {
    /** Share session cookies from Microsoft Edge to Internet Explorer. */
    BrowserSharedCookieSourceEnvironment["MicrosoftEdge"] = "microsoftEdge";
    /** Share session cookies from Internet Explorer to Microsoft Edge. */
    BrowserSharedCookieSourceEnvironment["InternetExplorer11"] = "internetExplorer11";
    /** Share session cookies to and from Microsoft Edge and Internet Explorer. */
    BrowserSharedCookieSourceEnvironment["Both"] = "both";
    /** Placeholder for evolvable enum, but this enum is never returned to the caller, so it shouldn't be necessary. */
    BrowserSharedCookieSourceEnvironment["UnknownFutureValue"] = "unknownFutureValue";
})(BrowserSharedCookieSourceEnvironment || (exports.BrowserSharedCookieSourceEnvironment = BrowserSharedCookieSourceEnvironment = {}));
// tslint:enable
// eslint-enable
