"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserSiteCompatibilityMode = void 0;
var BrowserSiteCompatibilityMode;
(function (BrowserSiteCompatibilityMode) {
    /** Loads the site using default compatibility mode. */
    BrowserSiteCompatibilityMode["DefaultEscaped"] = "default";
    /** Loads the site in internetExplorer8 Enterprise Mode */
    BrowserSiteCompatibilityMode["InternetExplorer8Enterprise"] = "internetExplorer8Enterprise";
    /** Loads the site in internetExplorer7 Enterprise Mode */
    BrowserSiteCompatibilityMode["InternetExplorer7Enterprise"] = "internetExplorer7Enterprise";
    /** Loads the site in internetExplorer11 */
    BrowserSiteCompatibilityMode["InternetExplorer11"] = "internetExplorer11";
    /** Loads the site in internetExplorer10 */
    BrowserSiteCompatibilityMode["InternetExplorer10"] = "internetExplorer10";
    /** Loads the site in internetExplorer9 */
    BrowserSiteCompatibilityMode["InternetExplorer9"] = "internetExplorer9";
    /** Loads the site in internetExplorer8 */
    BrowserSiteCompatibilityMode["InternetExplorer8"] = "internetExplorer8";
    /** Loads the site in internetExplorer7 */
    BrowserSiteCompatibilityMode["InternetExplorer7"] = "internetExplorer7";
    /** Loads the site in internetExplorer5 */
    BrowserSiteCompatibilityMode["InternetExplorer5"] = "internetExplorer5";
    /** Placeholder for evolvable enum, but this enum is never returned to the caller, so it shouldn't be necessary. */
    BrowserSiteCompatibilityMode["UnknownFutureValue"] = "unknownFutureValue";
})(BrowserSiteCompatibilityMode || (exports.BrowserSiteCompatibilityMode = BrowserSiteCompatibilityMode = {}));
// tslint:enable
// eslint-enable
