import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type BrowserSiteList } from './browserSiteList';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface BrowserSiteListCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: BrowserSiteList[];
}
export declare function createBrowserSiteListCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoBrowserSiteListCollectionResponse;
export declare function deserializeIntoBrowserSiteListCollectionResponse(browserSiteListCollectionResponse?: BrowserSiteListCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeBrowserSiteListCollectionResponse(writer: SerializationWriter, browserSiteListCollectionResponse?: BrowserSiteListCollectionResponse | undefined): void;
