"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserSiteListStatus = void 0;
var BrowserSiteListStatus;
(function (BrowserSiteListStatus) {
    /** A site list that has not yet been published */
    BrowserSiteListStatus["Draft"] = "draft";
    /** A site list that has been published with no pending changes. */
    BrowserSiteListStatus["Published"] = "published";
    /** A site that has pending changes */
    BrowserSiteListStatus["Pending"] = "pending";
    /** Placeholder for evolvable enum, but this enum is never returned to the caller, so it shoudn't be necessary. */
    BrowserSiteListStatus["UnknownFutureValue"] = "unknownFutureValue";
})(BrowserSiteListStatus || (exports.BrowserSiteListStatus = BrowserSiteListStatus = {}));
// tslint:enable
// eslint-enable
