"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserSiteStatus = void 0;
var BrowserSiteStatus;
(function (BrowserSiteStatus) {
    /** A site that has been published */
    BrowserSiteStatus["Published"] = "published";
    /** A site that has been added pending publish */
    BrowserSiteStatus["PendingAdd"] = "pendingAdd";
    /** A site that has been edited pending publish */
    BrowserSiteStatus["PendingEdit"] = "pendingEdit";
    /** A site that has been deleted pending publish */
    BrowserSiteStatus["PendingDelete"] = "pendingDelete";
    /** Placeholder for evolvable enum, but this enum is never returned to the caller, so it shouldn't be necessary. */
    BrowserSiteStatus["UnknownFutureValue"] = "unknownFutureValue";
})(BrowserSiteStatus || (exports.BrowserSiteStatus = BrowserSiteStatus = {}));
// tslint:enable
// eslint-enable
