import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Calendar } from './calendar';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalendarCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Calendar[];
}
export declare function createCalendarCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalendarCollectionResponse;
export declare function deserializeIntoCalendarCollectionResponse(calendarCollectionResponse?: CalendarCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalendarCollectionResponse(writer: SerializationWriter, calendarCollectionResponse?: CalendarCollectionResponse | undefined): void;
