import { type CalendarSharingMessageAction } from './calendarSharingMessageAction';
import { type Message } from './message';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CalendarSharingMessage extends Message, Parsable {
    /**
     * The canAccept property
     */
    canAccept?: boolean;
    /**
     * The sharingMessageAction property
     */
    sharingMessageAction?: CalendarSharingMessageAction;
    /**
     * The sharingMessageActions property
     */
    sharingMessageActions?: CalendarSharingMessageAction[];
    /**
     * The suggestedCalendarName property
     */
    suggestedCalendarName?: string;
}
export declare function createCalendarSharingMessageFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCalendarSharingMessage;
export declare function deserializeIntoCalendarSharingMessage(calendarSharingMessage?: CalendarSharingMessage | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCalendarSharingMessage(writer: SerializationWriter, calendarSharingMessage?: CalendarSharingMessage | undefined): void;
