import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CallRecording } from './callRecording';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CallRecordingCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CallRecording[];
}
export declare function createCallRecordingCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallRecordingCollectionResponse;
export declare function deserializeIntoCallRecordingCollectionResponse(callRecordingCollectionResponse?: CallRecordingCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCallRecordingCollectionResponse(writer: SerializationWriter, callRecordingCollectionResponse?: CallRecordingCollectionResponse | undefined): void;
