import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFeedbackTokenSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFeedbackTokenSet;
export declare function deserializeIntoFeedbackTokenSet(feedbackTokenSet?: FeedbackTokenSet | undefined): Record<string, (node: ParseNode) => void>;
export interface FeedbackTokenSet extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeFeedbackTokenSet(writer: SerializationWriter, feedbackTokenSet?: FeedbackTokenSet | undefined): void;
