import { type Endpoint } from './endpoint';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceEndpointFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceEndpoint;
export declare function deserializeIntoServiceEndpoint(serviceEndpoint?: ServiceEndpoint | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceEndpoint(writer: SerializationWriter, serviceEndpoint?: ServiceEndpoint | undefined): void;
export interface ServiceEndpoint extends Endpoint, Parsable {
}
