import { ServiceRole } from './serviceRole';
import { type UserAgent } from './userAgent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceUserAgentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceUserAgent;
export declare function deserializeIntoServiceUserAgent(serviceUserAgent?: ServiceUserAgent | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceUserAgent(writer: SerializationWriter, serviceUserAgent?: ServiceUserAgent | undefined): void;
export interface ServiceUserAgent extends Parsable, UserAgent {
    /**
     * The role property
     */
    role?: ServiceRole;
}
