import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CertificateBasedAuthConfiguration } from './certificateBasedAuthConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CertificateBasedAuthConfigurationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CertificateBasedAuthConfiguration[];
}
export declare function createCertificateBasedAuthConfigurationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCertificateBasedAuthConfigurationCollectionResponse;
export declare function deserializeIntoCertificateBasedAuthConfigurationCollectionResponse(certificateBasedAuthConfigurationCollectionResponse?: CertificateBasedAuthConfigurationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCertificateBasedAuthConfigurationCollectionResponse(writer: SerializationWriter, certificateBasedAuthConfigurationCollectionResponse?: CertificateBasedAuthConfigurationCollectionResponse | undefined): void;
