import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Channel } from './channel';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChannelCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Channel[];
}
export declare function createChannelCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChannelCollectionResponse;
export declare function deserializeIntoChannelCollectionResponse(channelCollectionResponse?: ChannelCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChannelCollectionResponse(writer: SerializationWriter, channelCollectionResponse?: ChannelCollectionResponse | undefined): void;
