"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChatMessageAttachment = exports.deserializeIntoChatMessageAttachment = exports.createChatMessageAttachmentFromDiscriminatorValue = void 0;
function createChatMessageAttachmentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChatMessageAttachment;
}
exports.createChatMessageAttachmentFromDiscriminatorValue = createChatMessageAttachmentFromDiscriminatorValue;
function deserializeIntoChatMessageAttachment(chatMessageAttachment = {}) {
    return {
        "content": n => { chatMessageAttachment.content = n.getStringValue(); },
        "contentType": n => { chatMessageAttachment.contentType = n.getStringValue(); },
        "contentUrl": n => { chatMessageAttachment.contentUrl = n.getStringValue(); },
        "id": n => { chatMessageAttachment.id = n.getStringValue(); },
        "name": n => { chatMessageAttachment.name = n.getStringValue(); },
        "@odata.type": n => { chatMessageAttachment.odataType = n.getStringValue(); },
        "teamsAppId": n => { chatMessageAttachment.teamsAppId = n.getStringValue(); },
        "thumbnailUrl": n => { chatMessageAttachment.thumbnailUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoChatMessageAttachment = deserializeIntoChatMessageAttachment;
function serializeChatMessageAttachment(writer, chatMessageAttachment = {}) {
    writer.writeStringValue("content", chatMessageAttachment.content);
    writer.writeStringValue("contentType", chatMessageAttachment.contentType);
    writer.writeStringValue("contentUrl", chatMessageAttachment.contentUrl);
    writer.writeStringValue("id", chatMessageAttachment.id);
    writer.writeStringValue("name", chatMessageAttachment.name);
    writer.writeStringValue("@odata.type", chatMessageAttachment.odataType);
    writer.writeStringValue("teamsAppId", chatMessageAttachment.teamsAppId);
    writer.writeStringValue("thumbnailUrl", chatMessageAttachment.thumbnailUrl);
    writer.writeAdditionalData(chatMessageAttachment.additionalData);
}
exports.serializeChatMessageAttachment = serializeChatMessageAttachment;
// tslint:enable
// eslint-enable
