import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ChatMessage } from './chatMessage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ChatMessage[];
}
export declare function createChatMessageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageCollectionResponse;
export declare function deserializeIntoChatMessageCollectionResponse(chatMessageCollectionResponse?: ChatMessageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageCollectionResponse(writer: SerializationWriter, chatMessageCollectionResponse?: ChatMessageCollectionResponse | undefined): void;
