import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ChatMessageFromIdentitySet extends IdentitySet, Parsable {
}
export declare function createChatMessageFromIdentitySetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoChatMessageFromIdentitySet;
export declare function deserializeIntoChatMessageFromIdentitySet(chatMessageFromIdentitySet?: ChatMessageFromIdentitySet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeChatMessageFromIdentitySet(writer: SerializationWriter, chatMessageFromIdentitySet?: ChatMessageFromIdentitySet | undefined): void;
