"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeChatMessagePolicyViolationPolicyTip = exports.deserializeIntoChatMessagePolicyViolationPolicyTip = exports.createChatMessagePolicyViolationPolicyTipFromDiscriminatorValue = void 0;
function createChatMessagePolicyViolationPolicyTipFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoChatMessagePolicyViolationPolicyTip;
}
exports.createChatMessagePolicyViolationPolicyTipFromDiscriminatorValue = createChatMessagePolicyViolationPolicyTipFromDiscriminatorValue;
function deserializeIntoChatMessagePolicyViolationPolicyTip(chatMessagePolicyViolationPolicyTip = {}) {
    return {
        "complianceUrl": n => { chatMessagePolicyViolationPolicyTip.complianceUrl = n.getStringValue(); },
        "generalText": n => { chatMessagePolicyViolationPolicyTip.generalText = n.getStringValue(); },
        "matchedConditionDescriptions": n => { chatMessagePolicyViolationPolicyTip.matchedConditionDescriptions = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { chatMessagePolicyViolationPolicyTip.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoChatMessagePolicyViolationPolicyTip = deserializeIntoChatMessagePolicyViolationPolicyTip;
function serializeChatMessagePolicyViolationPolicyTip(writer, chatMessagePolicyViolationPolicyTip = {}) {
    writer.writeStringValue("complianceUrl", chatMessagePolicyViolationPolicyTip.complianceUrl);
    writer.writeStringValue("generalText", chatMessagePolicyViolationPolicyTip.generalText);
    writer.writeCollectionOfPrimitiveValues("matchedConditionDescriptions", chatMessagePolicyViolationPolicyTip.matchedConditionDescriptions);
    writer.writeStringValue("@odata.type", chatMessagePolicyViolationPolicyTip.odataType);
    writer.writeAdditionalData(chatMessagePolicyViolationPolicyTip.additionalData);
}
exports.serializeChatMessagePolicyViolationPolicyTip = serializeChatMessagePolicyViolationPolicyTip;
// tslint:enable
// eslint-enable
