import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ClaimsMappingPolicy } from './claimsMappingPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ClaimsMappingPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ClaimsMappingPolicy[];
}
export declare function createClaimsMappingPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoClaimsMappingPolicyCollectionResponse;
export declare function deserializeIntoClaimsMappingPolicyCollectionResponse(claimsMappingPolicyCollectionResponse?: ClaimsMappingPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeClaimsMappingPolicyCollectionResponse(writer: SerializationWriter, claimsMappingPolicyCollectionResponse?: ClaimsMappingPolicyCollectionResponse | undefined): void;
