"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCloudAppSecurityState = exports.deserializeIntoCloudAppSecurityState = exports.createCloudAppSecurityStateFromDiscriminatorValue = void 0;
function createCloudAppSecurityStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCloudAppSecurityState;
}
exports.createCloudAppSecurityStateFromDiscriminatorValue = createCloudAppSecurityStateFromDiscriminatorValue;
function deserializeIntoCloudAppSecurityState(cloudAppSecurityState = {}) {
    return {
        "destinationServiceIp": n => { cloudAppSecurityState.destinationServiceIp = n.getStringValue(); },
        "destinationServiceName": n => { cloudAppSecurityState.destinationServiceName = n.getStringValue(); },
        "@odata.type": n => { cloudAppSecurityState.odataType = n.getStringValue(); },
        "riskScore": n => { cloudAppSecurityState.riskScore = n.getStringValue(); },
    };
}
exports.deserializeIntoCloudAppSecurityState = deserializeIntoCloudAppSecurityState;
function serializeCloudAppSecurityState(writer, cloudAppSecurityState = {}) {
    writer.writeStringValue("destinationServiceIp", cloudAppSecurityState.destinationServiceIp);
    writer.writeStringValue("destinationServiceName", cloudAppSecurityState.destinationServiceName);
    writer.writeStringValue("@odata.type", cloudAppSecurityState.odataType);
    writer.writeStringValue("riskScore", cloudAppSecurityState.riskScore);
    writer.writeAdditionalData(cloudAppSecurityState.additionalData);
}
exports.serializeCloudAppSecurityState = serializeCloudAppSecurityState;
// tslint:enable
// eslint-enable
