"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCollapseProperty = exports.deserializeIntoCollapseProperty = exports.createCollapsePropertyFromDiscriminatorValue = void 0;
function createCollapsePropertyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCollapseProperty;
}
exports.createCollapsePropertyFromDiscriminatorValue = createCollapsePropertyFromDiscriminatorValue;
function deserializeIntoCollapseProperty(collapseProperty = {}) {
    return {
        "fields": n => { collapseProperty.fields = n.getCollectionOfPrimitiveValues(); },
        "limit": n => { collapseProperty.limit = n.getNumberValue(); },
        "@odata.type": n => { collapseProperty.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCollapseProperty = deserializeIntoCollapseProperty;
function serializeCollapseProperty(writer, collapseProperty = {}) {
    writer.writeCollectionOfPrimitiveValues("fields", collapseProperty.fields);
    writer.writeNumberValue("limit", collapseProperty.limit);
    writer.writeStringValue("@odata.type", collapseProperty.odataType);
    writer.writeAdditionalData(collapseProperty.additionalData);
}
exports.serializeCollapseProperty = serializeCollapseProperty;
// tslint:enable
// eslint-enable
