import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ColumnDefinition } from './columnDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ColumnDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ColumnDefinition[];
}
export declare function createColumnDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoColumnDefinitionCollectionResponse;
export declare function deserializeIntoColumnDefinitionCollectionResponse(columnDefinitionCollectionResponse?: ColumnDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeColumnDefinitionCollectionResponse(writer: SerializationWriter, columnDefinitionCollectionResponse?: ColumnDefinitionCollectionResponse | undefined): void;
