import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsGuestIdentity extends Identity, Parsable {
}
export declare function createCommunicationsGuestIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsGuestIdentity;
export declare function deserializeIntoCommunicationsGuestIdentity(communicationsGuestIdentity?: CommunicationsGuestIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsGuestIdentity(writer: SerializationWriter, communicationsGuestIdentity?: CommunicationsGuestIdentity | undefined): void;
