import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CommunicationsPhoneIdentity extends Identity, Parsable {
}
export declare function createCommunicationsPhoneIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCommunicationsPhoneIdentity;
export declare function deserializeIntoCommunicationsPhoneIdentity(communicationsPhoneIdentity?: CommunicationsPhoneIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCommunicationsPhoneIdentity(writer: SerializationWriter, communicationsPhoneIdentity?: CommunicationsPhoneIdentity | undefined): void;
