import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Compliance extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createComplianceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCompliance;
export declare function deserializeIntoCompliance(compliance?: Compliance | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCompliance(writer: SerializationWriter, compliance?: Compliance | undefined): void;
