import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConfigurationManagerCollectionAssignmentTarget extends DeviceAndAppManagementAssignmentTarget, Parsable {
    /**
     * The collection Id that is the target of the assignment.
     */
    collectionId?: string;
}
export declare function createConfigurationManagerCollectionAssignmentTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConfigurationManagerCollectionAssignmentTarget;
export declare function deserializeIntoConfigurationManagerCollectionAssignmentTarget(configurationManagerCollectionAssignmentTarget?: ConfigurationManagerCollectionAssignmentTarget | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConfigurationManagerCollectionAssignmentTarget(writer: SerializationWriter, configurationManagerCollectionAssignmentTarget?: ConfigurationManagerCollectionAssignmentTarget | undefined): void;
