import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ConnectedOrganization } from './connectedOrganization';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConnectedOrganizationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConnectedOrganization[];
}
export declare function createConnectedOrganizationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConnectedOrganizationCollectionResponse;
export declare function deserializeIntoConnectedOrganizationCollectionResponse(connectedOrganizationCollectionResponse?: ConnectedOrganizationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConnectedOrganizationCollectionResponse(writer: SerializationWriter, connectedOrganizationCollectionResponse?: ConnectedOrganizationCollectionResponse | undefined): void;
