import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Contact } from './contact';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContactCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Contact[];
}
export declare function createContactCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContactCollectionResponse;
export declare function deserializeIntoContactCollectionResponse(contactCollectionResponse?: ContactCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContactCollectionResponse(writer: SerializationWriter, contactCollectionResponse?: ContactCollectionResponse | undefined): void;
