import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContentApprovalStatusColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function createContentApprovalStatusColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContentApprovalStatusColumn;
export declare function deserializeIntoContentApprovalStatusColumn(contentApprovalStatusColumn?: ContentApprovalStatusColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContentApprovalStatusColumn(writer: SerializationWriter, contentApprovalStatusColumn?: ContentApprovalStatusColumn | undefined): void;
