"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeContentApprovalStatusColumn = exports.deserializeIntoContentApprovalStatusColumn = exports.createContentApprovalStatusColumnFromDiscriminatorValue = void 0;
function createContentApprovalStatusColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoContentApprovalStatusColumn;
}
exports.createContentApprovalStatusColumnFromDiscriminatorValue = createContentApprovalStatusColumnFromDiscriminatorValue;
function deserializeIntoContentApprovalStatusColumn(contentApprovalStatusColumn = {}) {
    return {
        "@odata.type": n => { contentApprovalStatusColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoContentApprovalStatusColumn = deserializeIntoContentApprovalStatusColumn;
function serializeContentApprovalStatusColumn(writer, contentApprovalStatusColumn = {}) {
    writer.writeStringValue("@odata.type", contentApprovalStatusColumn.odataType);
    writer.writeAdditionalData(contentApprovalStatusColumn.additionalData);
}
exports.serializeContentApprovalStatusColumn = serializeContentApprovalStatusColumn;
// tslint:enable
// eslint-enable
