import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ContentSharingSession } from './contentSharingSession';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContentSharingSessionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ContentSharingSession[];
}
export declare function createContentSharingSessionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContentSharingSessionCollectionResponse;
export declare function deserializeIntoContentSharingSessionCollectionResponse(contentSharingSessionCollectionResponse?: ContentSharingSessionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContentSharingSessionCollectionResponse(writer: SerializationWriter, contentSharingSessionCollectionResponse?: ContentSharingSessionCollectionResponse | undefined): void;
