"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeContentTypeInfo = exports.deserializeIntoContentTypeInfo = exports.createContentTypeInfoFromDiscriminatorValue = void 0;
function createContentTypeInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoContentTypeInfo;
}
exports.createContentTypeInfoFromDiscriminatorValue = createContentTypeInfoFromDiscriminatorValue;
function deserializeIntoContentTypeInfo(contentTypeInfo = {}) {
    return {
        "id": n => { contentTypeInfo.id = n.getStringValue(); },
        "name": n => { contentTypeInfo.name = n.getStringValue(); },
        "@odata.type": n => { contentTypeInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoContentTypeInfo = deserializeIntoContentTypeInfo;
function serializeContentTypeInfo(writer, contentTypeInfo = {}) {
    writer.writeStringValue("id", contentTypeInfo.id);
    writer.writeStringValue("name", contentTypeInfo.name);
    writer.writeStringValue("@odata.type", contentTypeInfo.odataType);
    writer.writeAdditionalData(contentTypeInfo.additionalData);
}
exports.serializeContentTypeInfo = serializeContentTypeInfo;
// tslint:enable
// eslint-enable
