"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeContentTypeOrder = exports.deserializeIntoContentTypeOrder = exports.createContentTypeOrderFromDiscriminatorValue = void 0;
function createContentTypeOrderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoContentTypeOrder;
}
exports.createContentTypeOrderFromDiscriminatorValue = createContentTypeOrderFromDiscriminatorValue;
function deserializeIntoContentTypeOrder(contentTypeOrder = {}) {
    return {
        "default": n => { contentTypeOrder.defaultEscaped = n.getBooleanValue(); },
        "@odata.type": n => { contentTypeOrder.odataType = n.getStringValue(); },
        "position": n => { contentTypeOrder.position = n.getNumberValue(); },
    };
}
exports.deserializeIntoContentTypeOrder = deserializeIntoContentTypeOrder;
function serializeContentTypeOrder(writer, contentTypeOrder = {}) {
    writer.writeBooleanValue("default", contentTypeOrder.defaultEscaped);
    writer.writeStringValue("@odata.type", contentTypeOrder.odataType);
    writer.writeNumberValue("position", contentTypeOrder.position);
    writer.writeAdditionalData(contentTypeOrder.additionalData);
}
exports.serializeContentTypeOrder = serializeContentTypeOrder;
// tslint:enable
// eslint-enable
