import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Contract } from './contract';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContractCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Contract[];
}
export declare function createContractCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContractCollectionResponse;
export declare function deserializeIntoContractCollectionResponse(contractCollectionResponse?: ContractCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContractCollectionResponse(writer: SerializationWriter, contractCollectionResponse?: ContractCollectionResponse | undefined): void;
