import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Conversation } from './conversation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConversationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Conversation[];
}
export declare function createConversationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConversationCollectionResponse;
export declare function deserializeIntoConversationCollectionResponse(conversationCollectionResponse?: ConversationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConversationCollectionResponse(writer: SerializationWriter, conversationCollectionResponse?: ConversationCollectionResponse | undefined): void;
