import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ConversationMember } from './conversationMember';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConversationMemberCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConversationMember[];
}
export declare function createConversationMemberCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConversationMemberCollectionResponse;
export declare function deserializeIntoConversationMemberCollectionResponse(conversationMemberCollectionResponse?: ConversationMemberCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConversationMemberCollectionResponse(writer: SerializationWriter, conversationMemberCollectionResponse?: ConversationMemberCollectionResponse | undefined): void;
