import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ConversationThread } from './conversationThread';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConversationThreadCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConversationThread[];
}
export declare function createConversationThreadCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConversationThreadCollectionResponse;
export declare function deserializeIntoConversationThreadCollectionResponse(conversationThreadCollectionResponse?: ConversationThreadCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConversationThreadCollectionResponse(writer: SerializationWriter, conversationThreadCollectionResponse?: ConversationThreadCollectionResponse | undefined): void;
