"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCrossTenantAccessPolicyInboundTrust = exports.deserializeIntoCrossTenantAccessPolicyInboundTrust = exports.createCrossTenantAccessPolicyInboundTrustFromDiscriminatorValue = void 0;
function createCrossTenantAccessPolicyInboundTrustFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCrossTenantAccessPolicyInboundTrust;
}
exports.createCrossTenantAccessPolicyInboundTrustFromDiscriminatorValue = createCrossTenantAccessPolicyInboundTrustFromDiscriminatorValue;
function deserializeIntoCrossTenantAccessPolicyInboundTrust(crossTenantAccessPolicyInboundTrust = {}) {
    return {
        "isCompliantDeviceAccepted": n => { crossTenantAccessPolicyInboundTrust.isCompliantDeviceAccepted = n.getBooleanValue(); },
        "isHybridAzureADJoinedDeviceAccepted": n => { crossTenantAccessPolicyInboundTrust.isHybridAzureADJoinedDeviceAccepted = n.getBooleanValue(); },
        "isMfaAccepted": n => { crossTenantAccessPolicyInboundTrust.isMfaAccepted = n.getBooleanValue(); },
        "@odata.type": n => { crossTenantAccessPolicyInboundTrust.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCrossTenantAccessPolicyInboundTrust = deserializeIntoCrossTenantAccessPolicyInboundTrust;
function serializeCrossTenantAccessPolicyInboundTrust(writer, crossTenantAccessPolicyInboundTrust = {}) {
    writer.writeBooleanValue("isCompliantDeviceAccepted", crossTenantAccessPolicyInboundTrust.isCompliantDeviceAccepted);
    writer.writeBooleanValue("isHybridAzureADJoinedDeviceAccepted", crossTenantAccessPolicyInboundTrust.isHybridAzureADJoinedDeviceAccepted);
    writer.writeBooleanValue("isMfaAccepted", crossTenantAccessPolicyInboundTrust.isMfaAccepted);
    writer.writeStringValue("@odata.type", crossTenantAccessPolicyInboundTrust.odataType);
    writer.writeAdditionalData(crossTenantAccessPolicyInboundTrust.additionalData);
}
exports.serializeCrossTenantAccessPolicyInboundTrust = serializeCrossTenantAccessPolicyInboundTrust;
// tslint:enable
// eslint-enable
