"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCrossTenantUserSyncInbound = exports.deserializeIntoCrossTenantUserSyncInbound = exports.createCrossTenantUserSyncInboundFromDiscriminatorValue = void 0;
function createCrossTenantUserSyncInboundFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCrossTenantUserSyncInbound;
}
exports.createCrossTenantUserSyncInboundFromDiscriminatorValue = createCrossTenantUserSyncInboundFromDiscriminatorValue;
function deserializeIntoCrossTenantUserSyncInbound(crossTenantUserSyncInbound = {}) {
    return {
        "isSyncAllowed": n => { crossTenantUserSyncInbound.isSyncAllowed = n.getBooleanValue(); },
        "@odata.type": n => { crossTenantUserSyncInbound.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoCrossTenantUserSyncInbound = deserializeIntoCrossTenantUserSyncInbound;
function serializeCrossTenantUserSyncInbound(writer, crossTenantUserSyncInbound = {}) {
    writer.writeBooleanValue("isSyncAllowed", crossTenantUserSyncInbound.isSyncAllowed);
    writer.writeStringValue("@odata.type", crossTenantUserSyncInbound.odataType);
    writer.writeAdditionalData(crossTenantUserSyncInbound.additionalData);
}
exports.serializeCrossTenantUserSyncInbound = serializeCrossTenantUserSyncInbound;
// tslint:enable
// eslint-enable
