import { deserializeIntoAzureAdPopTokenAuthentication } from './azureAdPopTokenAuthentication';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomExtensionAuthenticationConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureAdPopTokenAuthentication;
export interface CustomExtensionAuthenticationConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoCustomExtensionAuthenticationConfiguration(customExtensionAuthenticationConfiguration?: CustomExtensionAuthenticationConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomExtensionAuthenticationConfiguration(writer: SerializationWriter, customExtensionAuthenticationConfiguration?: CustomExtensionAuthenticationConfiguration | undefined): void;
