"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeCustomExtensionClientConfiguration = exports.deserializeIntoCustomExtensionClientConfiguration = exports.createCustomExtensionClientConfigurationFromDiscriminatorValue = void 0;
function createCustomExtensionClientConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoCustomExtensionClientConfiguration;
}
exports.createCustomExtensionClientConfigurationFromDiscriminatorValue = createCustomExtensionClientConfigurationFromDiscriminatorValue;
function deserializeIntoCustomExtensionClientConfiguration(customExtensionClientConfiguration = {}) {
    return {
        "@odata.type": n => { customExtensionClientConfiguration.odataType = n.getStringValue(); },
        "timeoutInMilliseconds": n => { customExtensionClientConfiguration.timeoutInMilliseconds = n.getNumberValue(); },
    };
}
exports.deserializeIntoCustomExtensionClientConfiguration = deserializeIntoCustomExtensionClientConfiguration;
function serializeCustomExtensionClientConfiguration(writer, customExtensionClientConfiguration = {}) {
    writer.writeStringValue("@odata.type", customExtensionClientConfiguration.odataType);
    writer.writeNumberValue("timeoutInMilliseconds", customExtensionClientConfiguration.timeoutInMilliseconds);
    writer.writeAdditionalData(customExtensionClientConfiguration.additionalData);
}
exports.serializeCustomExtensionClientConfiguration = serializeCustomExtensionClientConfiguration;
// tslint:enable
// eslint-enable
