import { deserializeIntoAccessPackageAssignmentRequestCallbackData } from './accessPackageAssignmentRequestCallbackData';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomExtensionDataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAccessPackageAssignmentRequestCallbackData;
export interface CustomExtensionData extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoCustomExtensionData(customExtensionData?: CustomExtensionData | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomExtensionData(writer: SerializationWriter, customExtensionData?: CustomExtensionData | undefined): void;
