import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type CustomExtensionStageSetting } from './customExtensionStageSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomExtensionStageSettingCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomExtensionStageSettingCollectionResponse;
export interface CustomExtensionStageSettingCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CustomExtensionStageSetting[];
}
export declare function deserializeIntoCustomExtensionStageSettingCollectionResponse(customExtensionStageSettingCollectionResponse?: CustomExtensionStageSettingCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomExtensionStageSettingCollectionResponse(writer: SerializationWriter, customExtensionStageSettingCollectionResponse?: CustomExtensionStageSettingCollectionResponse | undefined): void;
