import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomSecurityAttributeValueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomSecurityAttributeValue;
export interface CustomSecurityAttributeValue extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function deserializeIntoCustomSecurityAttributeValue(customSecurityAttributeValue?: CustomSecurityAttributeValue | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomSecurityAttributeValue(writer: SerializationWriter, customSecurityAttributeValue?: CustomSecurityAttributeValue | undefined): void;
