"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDataSubject = exports.deserializeIntoDataSubject = exports.createDataSubjectFromDiscriminatorValue = void 0;
function createDataSubjectFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDataSubject;
}
exports.createDataSubjectFromDiscriminatorValue = createDataSubjectFromDiscriminatorValue;
function deserializeIntoDataSubject(dataSubject = {}) {
    return {
        "email": n => { dataSubject.email = n.getStringValue(); },
        "firstName": n => { dataSubject.firstName = n.getStringValue(); },
        "lastName": n => { dataSubject.lastName = n.getStringValue(); },
        "@odata.type": n => { dataSubject.odataType = n.getStringValue(); },
        "residency": n => { dataSubject.residency = n.getStringValue(); },
    };
}
exports.deserializeIntoDataSubject = deserializeIntoDataSubject;
function serializeDataSubject(writer, dataSubject = {}) {
    writer.writeStringValue("email", dataSubject.email);
    writer.writeStringValue("firstName", dataSubject.firstName);
    writer.writeStringValue("lastName", dataSubject.lastName);
    writer.writeStringValue("@odata.type", dataSubject.odataType);
    writer.writeStringValue("residency", dataSubject.residency);
    writer.writeAdditionalData(dataSubject.additionalData);
}
exports.serializeDataSubject = serializeDataSubject;
// tslint:enable
// eslint-enable
