import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DefaultManagedAppProtection } from './defaultManagedAppProtection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDefaultManagedAppProtectionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDefaultManagedAppProtectionCollectionResponse;
export interface DefaultManagedAppProtectionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DefaultManagedAppProtection[];
}
export declare function deserializeIntoDefaultManagedAppProtectionCollectionResponse(defaultManagedAppProtectionCollectionResponse?: DefaultManagedAppProtectionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDefaultManagedAppProtectionCollectionResponse(writer: SerializationWriter, defaultManagedAppProtectionCollectionResponse?: DefaultManagedAppProtectionCollectionResponse | undefined): void;
