import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DelegatedAdminRelationship } from './delegatedAdminRelationship';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminRelationshipCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminRelationshipCollectionResponse;
export interface DelegatedAdminRelationshipCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DelegatedAdminRelationship[];
}
export declare function deserializeIntoDelegatedAdminRelationshipCollectionResponse(delegatedAdminRelationshipCollectionResponse?: DelegatedAdminRelationshipCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminRelationshipCollectionResponse(writer: SerializationWriter, delegatedAdminRelationshipCollectionResponse?: DelegatedAdminRelationshipCollectionResponse | undefined): void;
