"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDelegatedAdminRelationshipCustomerParticipant = exports.deserializeIntoDelegatedAdminRelationshipCustomerParticipant = exports.createDelegatedAdminRelationshipCustomerParticipantFromDiscriminatorValue = void 0;
function createDelegatedAdminRelationshipCustomerParticipantFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDelegatedAdminRelationshipCustomerParticipant;
}
exports.createDelegatedAdminRelationshipCustomerParticipantFromDiscriminatorValue = createDelegatedAdminRelationshipCustomerParticipantFromDiscriminatorValue;
function deserializeIntoDelegatedAdminRelationshipCustomerParticipant(delegatedAdminRelationshipCustomerParticipant = {}) {
    return {
        "displayName": n => { delegatedAdminRelationshipCustomerParticipant.displayName = n.getStringValue(); },
        "@odata.type": n => { delegatedAdminRelationshipCustomerParticipant.odataType = n.getStringValue(); },
        "tenantId": n => { delegatedAdminRelationshipCustomerParticipant.tenantId = n.getStringValue(); },
    };
}
exports.deserializeIntoDelegatedAdminRelationshipCustomerParticipant = deserializeIntoDelegatedAdminRelationshipCustomerParticipant;
function serializeDelegatedAdminRelationshipCustomerParticipant(writer, delegatedAdminRelationshipCustomerParticipant = {}) {
    writer.writeStringValue("displayName", delegatedAdminRelationshipCustomerParticipant.displayName);
    writer.writeStringValue("@odata.type", delegatedAdminRelationshipCustomerParticipant.odataType);
    writer.writeStringValue("tenantId", delegatedAdminRelationshipCustomerParticipant.tenantId);
    writer.writeAdditionalData(delegatedAdminRelationshipCustomerParticipant.additionalData);
}
exports.serializeDelegatedAdminRelationshipCustomerParticipant = serializeDelegatedAdminRelationshipCustomerParticipant;
// tslint:enable
// eslint-enable
