import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DelegatedAdminRelationshipRequest } from './delegatedAdminRelationshipRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminRelationshipRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminRelationshipRequestCollectionResponse;
export interface DelegatedAdminRelationshipRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DelegatedAdminRelationshipRequest[];
}
export declare function deserializeIntoDelegatedAdminRelationshipRequestCollectionResponse(delegatedAdminRelationshipRequestCollectionResponse?: DelegatedAdminRelationshipRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminRelationshipRequestCollectionResponse(writer: SerializationWriter, delegatedAdminRelationshipRequestCollectionResponse?: DelegatedAdminRelationshipRequestCollectionResponse | undefined): void;
