import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDelegatedAdminServiceManagementDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDelegatedAdminServiceManagementDetail;
export interface DelegatedAdminServiceManagementDetail extends Entity, Parsable {
    /**
     * The URL of the management portal for the managed service. Read-only.
     */
    serviceManagementUrl?: string;
    /**
     * The name of a managed service. Read-only.
     */
    serviceName?: string;
}
export declare function deserializeIntoDelegatedAdminServiceManagementDetail(delegatedAdminServiceManagementDetail?: DelegatedAdminServiceManagementDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDelegatedAdminServiceManagementDetail(writer: SerializationWriter, delegatedAdminServiceManagementDetail?: DelegatedAdminServiceManagementDetail | undefined): void;
