import { type Entity } from './entity';
import { type Workflow } from './identityGovernance/workflow';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeletedItemContainerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeletedItemContainer;
export interface DeletedItemContainer extends Entity, Parsable {
    /**
     * Deleted workflows that end up in the deletedItemsContainer.
     */
    workflows?: Workflow[];
}
export declare function deserializeIntoDeletedItemContainer(deletedItemContainer?: DeletedItemContainer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeletedItemContainer(writer: SerializationWriter, deletedItemContainer?: DeletedItemContainer | undefined): void;
