import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeletedTeam } from './deletedTeam';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeletedTeamCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeletedTeamCollectionResponse;
export interface DeletedTeamCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeletedTeam[];
}
export declare function deserializeIntoDeletedTeamCollectionResponse(deletedTeamCollectionResponse?: DeletedTeamCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeDeletedTeamCollectionResponse(writer: SerializationWriter, deletedTeamCollectionResponse?: DeletedTeamCollectionResponse | undefined): void;
