import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDetailsInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDetailsInfo;
export declare function deserializeIntoDetailsInfo(detailsInfo?: DetailsInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface DetailsInfo extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeDetailsInfo(writer: SerializationWriter, detailsInfo?: DetailsInfo | undefined): void;
