import { deserializeIntoAllDevicesAssignmentTarget } from './allDevicesAssignmentTarget';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAllDevicesAssignmentTarget;
export declare function deserializeIntoDeviceAndAppManagementAssignmentTarget(deviceAndAppManagementAssignmentTarget?: DeviceAndAppManagementAssignmentTarget | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceAndAppManagementAssignmentTarget extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeDeviceAndAppManagementAssignmentTarget(writer: SerializationWriter, deviceAndAppManagementAssignmentTarget?: DeviceAndAppManagementAssignmentTarget | undefined): void;
