"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceAndAppManagementData = exports.deserializeIntoDeviceAndAppManagementData = exports.createDeviceAndAppManagementDataFromDiscriminatorValue = void 0;
function createDeviceAndAppManagementDataFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceAndAppManagementData;
}
exports.createDeviceAndAppManagementDataFromDiscriminatorValue = createDeviceAndAppManagementDataFromDiscriminatorValue;
function deserializeIntoDeviceAndAppManagementData(deviceAndAppManagementData = {}) {
    return {
        "content": n => { deviceAndAppManagementData.content = n.getStringValue(); },
        "@odata.type": n => { deviceAndAppManagementData.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoDeviceAndAppManagementData = deserializeIntoDeviceAndAppManagementData;
function serializeDeviceAndAppManagementData(writer, deviceAndAppManagementData = {}) {
    writer.writeStringValue("content", deviceAndAppManagementData.content);
    writer.writeStringValue("@odata.type", deviceAndAppManagementData.odataType);
    writer.writeAdditionalData(deviceAndAppManagementData.additionalData);
}
exports.serializeDeviceAndAppManagementData = serializeDeviceAndAppManagementData;
// tslint:enable
// eslint-enable
