import { type RoleAssignment } from './roleAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceAndAppManagementRoleAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceAndAppManagementRoleAssignment;
export declare function deserializeIntoDeviceAndAppManagementRoleAssignment(deviceAndAppManagementRoleAssignment?: DeviceAndAppManagementRoleAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceAndAppManagementRoleAssignment extends Parsable, RoleAssignment {
    /**
     * The list of ids of role member security groups. These are IDs from Azure Active Directory.
     */
    members?: string[];
}
export declare function serializeDeviceAndAppManagementRoleAssignment(writer: SerializationWriter, deviceAndAppManagementRoleAssignment?: DeviceAndAppManagementRoleAssignment | undefined): void;
