import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceCategory } from './deviceCategory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCategoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCategoryCollectionResponse;
export declare function deserializeIntoDeviceCategoryCollectionResponse(deviceCategoryCollectionResponse?: DeviceCategoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCategoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceCategory[];
}
export declare function serializeDeviceCategoryCollectionResponse(writer: SerializationWriter, deviceCategoryCollectionResponse?: DeviceCategoryCollectionResponse | undefined): void;
