import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Device } from './device';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceCollectionResponse;
export declare function deserializeIntoDeviceCollectionResponse(deviceCollectionResponse?: DeviceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Device[];
}
export declare function serializeDeviceCollectionResponse(writer: SerializationWriter, deviceCollectionResponse?: DeviceCollectionResponse | undefined): void;
