import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationAssignment;
export declare function deserializeIntoDeviceConfigurationAssignment(deviceConfigurationAssignment?: DeviceConfigurationAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationAssignment extends Entity, Parsable {
    /**
     * The assignment target for the device configuration.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeDeviceConfigurationAssignment(writer: SerializationWriter, deviceConfigurationAssignment?: DeviceConfigurationAssignment | undefined): void;
