import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceConfigurationAssignment } from './deviceConfigurationAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationAssignmentCollectionResponse;
export declare function deserializeIntoDeviceConfigurationAssignmentCollectionResponse(deviceConfigurationAssignmentCollectionResponse?: DeviceConfigurationAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceConfigurationAssignment[];
}
export declare function serializeDeviceConfigurationAssignmentCollectionResponse(writer: SerializationWriter, deviceConfigurationAssignmentCollectionResponse?: DeviceConfigurationAssignmentCollectionResponse | undefined): void;
