import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationCollectionResponse;
export declare function deserializeIntoDeviceConfigurationCollectionResponse(deviceConfigurationCollectionResponse?: DeviceConfigurationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceConfiguration[];
}
export declare function serializeDeviceConfigurationCollectionResponse(writer: SerializationWriter, deviceConfigurationCollectionResponse?: DeviceConfigurationCollectionResponse | undefined): void;
