import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceConfigurationUserStatus } from './deviceConfigurationUserStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceConfigurationUserStatusCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceConfigurationUserStatusCollectionResponse;
export declare function deserializeIntoDeviceConfigurationUserStatusCollectionResponse(deviceConfigurationUserStatusCollectionResponse?: DeviceConfigurationUserStatusCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceConfigurationUserStatusCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceConfigurationUserStatus[];
}
export declare function serializeDeviceConfigurationUserStatusCollectionResponse(writer: SerializationWriter, deviceConfigurationUserStatusCollectionResponse?: DeviceConfigurationUserStatusCollectionResponse | undefined): void;
