"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDeviceExchangeAccessStateSummary = exports.deserializeIntoDeviceExchangeAccessStateSummary = exports.createDeviceExchangeAccessStateSummaryFromDiscriminatorValue = void 0;
function createDeviceExchangeAccessStateSummaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDeviceExchangeAccessStateSummary;
}
exports.createDeviceExchangeAccessStateSummaryFromDiscriminatorValue = createDeviceExchangeAccessStateSummaryFromDiscriminatorValue;
function deserializeIntoDeviceExchangeAccessStateSummary(deviceExchangeAccessStateSummary = {}) {
    return {
        "allowedDeviceCount": n => { deviceExchangeAccessStateSummary.allowedDeviceCount = n.getNumberValue(); },
        "blockedDeviceCount": n => { deviceExchangeAccessStateSummary.blockedDeviceCount = n.getNumberValue(); },
        "@odata.type": n => { deviceExchangeAccessStateSummary.odataType = n.getStringValue(); },
        "quarantinedDeviceCount": n => { deviceExchangeAccessStateSummary.quarantinedDeviceCount = n.getNumberValue(); },
        "unavailableDeviceCount": n => { deviceExchangeAccessStateSummary.unavailableDeviceCount = n.getNumberValue(); },
        "unknownDeviceCount": n => { deviceExchangeAccessStateSummary.unknownDeviceCount = n.getNumberValue(); },
    };
}
exports.deserializeIntoDeviceExchangeAccessStateSummary = deserializeIntoDeviceExchangeAccessStateSummary;
function serializeDeviceExchangeAccessStateSummary(writer, deviceExchangeAccessStateSummary = {}) {
    writer.writeNumberValue("allowedDeviceCount", deviceExchangeAccessStateSummary.allowedDeviceCount);
    writer.writeNumberValue("blockedDeviceCount", deviceExchangeAccessStateSummary.blockedDeviceCount);
    writer.writeStringValue("@odata.type", deviceExchangeAccessStateSummary.odataType);
    writer.writeNumberValue("quarantinedDeviceCount", deviceExchangeAccessStateSummary.quarantinedDeviceCount);
    writer.writeNumberValue("unavailableDeviceCount", deviceExchangeAccessStateSummary.unavailableDeviceCount);
    writer.writeNumberValue("unknownDeviceCount", deviceExchangeAccessStateSummary.unknownDeviceCount);
    writer.writeAdditionalData(deviceExchangeAccessStateSummary.additionalData);
}
exports.serializeDeviceExchangeAccessStateSummary = serializeDeviceExchangeAccessStateSummary;
// tslint:enable
// eslint-enable
