import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceLogCollectionResponse } from './deviceLogCollectionResponse';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceLogCollectionResponseCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceLogCollectionResponseCollectionResponse;
export declare function deserializeIntoDeviceLogCollectionResponseCollectionResponse(deviceLogCollectionResponseCollectionResponse?: DeviceLogCollectionResponseCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceLogCollectionResponseCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceLogCollectionResponse[];
}
export declare function serializeDeviceLogCollectionResponseCollectionResponse(writer: SerializationWriter, deviceLogCollectionResponseCollectionResponse?: DeviceLogCollectionResponseCollectionResponse | undefined): void;
