import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceManagementExchangeConnector } from './deviceManagementExchangeConnector';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementExchangeConnectorCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagementExchangeConnectorCollectionResponse;
export declare function deserializeIntoDeviceManagementExchangeConnectorCollectionResponse(deviceManagementExchangeConnectorCollectionResponse?: DeviceManagementExchangeConnectorCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementExchangeConnectorCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceManagementExchangeConnector[];
}
export declare function serializeDeviceManagementExchangeConnectorCollectionResponse(writer: SerializationWriter, deviceManagementExchangeConnectorCollectionResponse?: DeviceManagementExchangeConnectorCollectionResponse | undefined): void;
