"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeConnectorType = void 0;
/**
 * The type of Exchange Connector.
 */
var DeviceManagementExchangeConnectorType;
(function (DeviceManagementExchangeConnectorType) {
    /** Connects to on-premises Exchange Environment. */
    DeviceManagementExchangeConnectorType["OnPremises"] = "onPremises";
    /** Connects to O365 multi-tenant Exchange environment */
    DeviceManagementExchangeConnectorType["Hosted"] = "hosted";
    /** Intune Service connects directly to O365 multi-tenant Exchange environment */
    DeviceManagementExchangeConnectorType["ServiceToService"] = "serviceToService";
    /** Connects to O365 Dedicated Exchange environment. */
    DeviceManagementExchangeConnectorType["Dedicated"] = "dedicated";
    /** Evolvable enumeration sentinel value. Do not use. */
    DeviceManagementExchangeConnectorType["UnknownFutureValue"] = "unknownFutureValue";
})(DeviceManagementExchangeConnectorType || (exports.DeviceManagementExchangeConnectorType = DeviceManagementExchangeConnectorType = {}));
// tslint:enable
// eslint-enable
