import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DeviceManagementPartner } from './deviceManagementPartner';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementPartnerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDeviceManagementPartnerCollectionResponse;
export declare function deserializeIntoDeviceManagementPartnerCollectionResponse(deviceManagementPartnerCollectionResponse?: DeviceManagementPartnerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementPartnerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DeviceManagementPartner[];
}
export declare function serializeDeviceManagementPartnerCollectionResponse(writer: SerializationWriter, deviceManagementPartnerCollectionResponse?: DeviceManagementPartnerCollectionResponse | undefined): void;
