import { deserializeIntoEnrollmentTroubleshootingEvent } from './enrollmentTroubleshootingEvent';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDeviceManagementTroubleshootingEventFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEnrollmentTroubleshootingEvent;
export declare function deserializeIntoDeviceManagementTroubleshootingEvent(deviceManagementTroubleshootingEvent?: DeviceManagementTroubleshootingEvent | undefined): Record<string, (node: ParseNode) => void>;
export interface DeviceManagementTroubleshootingEvent extends Entity, Parsable {
    /**
     * Id used for tracing the failure in the service.
     */
    correlationId?: string;
    /**
     * Time when the event occurred .
     */
    eventDateTime?: Date;
}
export declare function serializeDeviceManagementTroubleshootingEvent(writer: SerializationWriter, deviceManagementTroubleshootingEvent?: DeviceManagementTroubleshootingEvent | undefined): void;
