"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceRegistrationState = void 0;
/**
 * Device registration status.
 */
var DeviceRegistrationState;
(function (DeviceRegistrationState) {
    /** The device is not registered. */
    DeviceRegistrationState["NotRegistered"] = "notRegistered";
    /** The device is registered. */
    DeviceRegistrationState["Registered"] = "registered";
    /** The device has been blocked, wiped or retired. */
    DeviceRegistrationState["Revoked"] = "revoked";
    /** The device has a key conflict. */
    DeviceRegistrationState["KeyConflict"] = "keyConflict";
    /** The device is pending approval. */
    DeviceRegistrationState["ApprovalPending"] = "approvalPending";
    /** The device certificate has been reset. */
    DeviceRegistrationState["CertificateReset"] = "certificateReset";
    /** The device is not registered and pending enrollment. */
    DeviceRegistrationState["NotRegisteredPendingEnrollment"] = "notRegisteredPendingEnrollment";
    /** The device registration status is unknown. */
    DeviceRegistrationState["Unknown"] = "unknown";
})(DeviceRegistrationState || (exports.DeviceRegistrationState = DeviceRegistrationState = {}));
// tslint:enable
// eslint-enable
