import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DirectoryRole } from './directoryRole';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryRoleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryRoleCollectionResponse;
export declare function deserializeIntoDirectoryRoleCollectionResponse(directoryRoleCollectionResponse?: DirectoryRoleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryRoleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectoryRole[];
}
export declare function serializeDirectoryRoleCollectionResponse(writer: SerializationWriter, directoryRoleCollectionResponse?: DirectoryRoleCollectionResponse | undefined): void;
