import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DirectoryRoleTemplate } from './directoryRoleTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDirectoryRoleTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDirectoryRoleTemplateCollectionResponse;
export declare function deserializeIntoDirectoryRoleTemplateCollectionResponse(directoryRoleTemplateCollectionResponse?: DirectoryRoleTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DirectoryRoleTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DirectoryRoleTemplate[];
}
export declare function serializeDirectoryRoleTemplateCollectionResponse(writer: SerializationWriter, directoryRoleTemplateCollectionResponse?: DirectoryRoleTemplateCollectionResponse | undefined): void;
