import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Domain } from './domain';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainCollectionResponse;
export declare function deserializeIntoDomainCollectionResponse(domainCollectionResponse?: DomainCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Domain[];
}
export declare function serializeDomainCollectionResponse(writer: SerializationWriter, domainCollectionResponse?: DomainCollectionResponse | undefined): void;
