import { type DomainDnsRecord } from './domainDnsRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainDnsCnameRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainDnsCnameRecord;
export declare function deserializeIntoDomainDnsCnameRecord(domainDnsCnameRecord?: DomainDnsCnameRecord | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainDnsCnameRecord extends DomainDnsRecord, Parsable {
    /**
     * The canonical name of the CNAME record. Used to configure the CNAME record at the DNS host.
     */
    canonicalName?: string;
}
export declare function serializeDomainDnsCnameRecord(writer: SerializationWriter, domainDnsCnameRecord?: DomainDnsCnameRecord | undefined): void;
