import { type DomainDnsRecord } from './domainDnsRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDomainDnsUnavailableRecordFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDomainDnsUnavailableRecord;
export declare function deserializeIntoDomainDnsUnavailableRecord(domainDnsUnavailableRecord?: DomainDnsUnavailableRecord | undefined): Record<string, (node: ParseNode) => void>;
export interface DomainDnsUnavailableRecord extends DomainDnsRecord, Parsable {
    /**
     * Provides the reason why the DomainDnsUnavailableRecord entity is returned.
     */
    description?: string;
}
export declare function serializeDomainDnsUnavailableRecord(writer: SerializationWriter, domainDnsUnavailableRecord?: DomainDnsUnavailableRecord | undefined): void;
