import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Drive } from './drive';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDriveCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDriveCollectionResponse;
export declare function deserializeIntoDriveCollectionResponse(driveCollectionResponse?: DriveCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DriveCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Drive[];
}
export declare function serializeDriveCollectionResponse(writer: SerializationWriter, driveCollectionResponse?: DriveCollectionResponse | undefined): void;
