import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type DriveItem } from './driveItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createDriveItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoDriveItemCollectionResponse;
export declare function deserializeIntoDriveItemCollectionResponse(driveItemCollectionResponse?: DriveItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface DriveItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: DriveItem[];
}
export declare function serializeDriveItemCollectionResponse(writer: SerializationWriter, driveItemCollectionResponse?: DriveItemCollectionResponse | undefined): void;
