"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDriveRecipient = exports.deserializeIntoDriveRecipient = exports.createDriveRecipientFromDiscriminatorValue = void 0;
function createDriveRecipientFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDriveRecipient;
}
exports.createDriveRecipientFromDiscriminatorValue = createDriveRecipientFromDiscriminatorValue;
function deserializeIntoDriveRecipient(driveRecipient = {}) {
    return {
        "alias": n => { driveRecipient.alias = n.getStringValue(); },
        "email": n => { driveRecipient.email = n.getStringValue(); },
        "objectId": n => { driveRecipient.objectId = n.getStringValue(); },
        "@odata.type": n => { driveRecipient.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoDriveRecipient = deserializeIntoDriveRecipient;
function serializeDriveRecipient(writer, driveRecipient = {}) {
    writer.writeStringValue("alias", driveRecipient.alias);
    writer.writeStringValue("email", driveRecipient.email);
    writer.writeStringValue("objectId", driveRecipient.objectId);
    writer.writeStringValue("@odata.type", driveRecipient.odataType);
    writer.writeAdditionalData(driveRecipient.additionalData);
}
exports.serializeDriveRecipient = serializeDriveRecipient;
// tslint:enable
// eslint-enable
