"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EdgeCookiePolicy = void 0;
/**
 * Possible values to specify which cookies are allowed in Microsoft Edge.
 */
var EdgeCookiePolicy;
(function (EdgeCookiePolicy) {
    /** Allow the user to set. */
    EdgeCookiePolicy["UserDefined"] = "userDefined";
    /** Allow. */
    EdgeCookiePolicy["Allow"] = "allow";
    /** Block only third party cookies. */
    EdgeCookiePolicy["BlockThirdParty"] = "blockThirdParty";
    /** Block all cookies. */
    EdgeCookiePolicy["BlockAll"] = "blockAll";
})(EdgeCookiePolicy || (exports.EdgeCookiePolicy = EdgeCookiePolicy = {}));
// tslint:enable
// eslint-enable
