import { type EdgeSearchEngineBase } from './edgeSearchEngineBase';
import { EdgeSearchEngineType } from './edgeSearchEngineType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdgeSearchEngineFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdgeSearchEngine;
export declare function deserializeIntoEdgeSearchEngine(edgeSearchEngine?: EdgeSearchEngine | undefined): Record<string, (node: ParseNode) => void>;
export interface EdgeSearchEngine extends EdgeSearchEngineBase, Parsable {
    /**
     * Allows IT admind to set a predefined default search engine for MDM-Controlled devices
     */
    edgeSearchEngineType?: EdgeSearchEngineType;
}
export declare function serializeEdgeSearchEngine(writer: SerializationWriter, edgeSearchEngine?: EdgeSearchEngine | undefined): void;
