import { deserializeIntoEdgeSearchEngine } from './edgeSearchEngine';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdgeSearchEngineBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdgeSearchEngine;
export declare function deserializeIntoEdgeSearchEngineBase(edgeSearchEngineBase?: EdgeSearchEngineBase | undefined): Record<string, (node: ParseNode) => void>;
export interface EdgeSearchEngineBase extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEdgeSearchEngineBase(writer: SerializationWriter, edgeSearchEngineBase?: EdgeSearchEngineBase | undefined): void;
