import { type EdgeSearchEngineBase } from './edgeSearchEngineBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdgeSearchEngineCustomFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdgeSearchEngineCustom;
export declare function deserializeIntoEdgeSearchEngineCustom(edgeSearchEngineCustom?: EdgeSearchEngineCustom | undefined): Record<string, (node: ParseNode) => void>;
export interface EdgeSearchEngineCustom extends EdgeSearchEngineBase, Parsable {
    /**
     * Points to a https link containing the OpenSearch xml file that contains, at minimum, the short name and the URL to the search Engine.
     */
    edgeSearchEngineOpenSearchXmlUrl?: string;
}
export declare function serializeEdgeSearchEngineCustom(writer: SerializationWriter, edgeSearchEngineCustom?: EdgeSearchEngineCustom | undefined): void;
