import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationAssignment } from './educationAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentCollectionResponse;
export declare function deserializeIntoEducationAssignmentCollectionResponse(educationAssignmentCollectionResponse?: EducationAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationAssignment[];
}
export declare function serializeEducationAssignmentCollectionResponse(writer: SerializationWriter, educationAssignmentCollectionResponse?: EducationAssignmentCollectionResponse | undefined): void;
