import { type EducationAssignmentRecipient } from './educationAssignmentRecipient';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationAssignmentIndividualRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationAssignmentIndividualRecipient;
export declare function deserializeIntoEducationAssignmentIndividualRecipient(educationAssignmentIndividualRecipient?: EducationAssignmentIndividualRecipient | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationAssignmentIndividualRecipient extends EducationAssignmentRecipient, Parsable {
    /**
     * A collection of IDs of the recipients.
     */
    recipients?: string[];
}
export declare function serializeEducationAssignmentIndividualRecipient(writer: SerializationWriter, educationAssignmentIndividualRecipient?: EducationAssignmentIndividualRecipient | undefined): void;
