import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationCategory } from './educationCategory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationCategoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationCategoryCollectionResponse;
export declare function deserializeIntoEducationCategoryCollectionResponse(educationCategoryCollectionResponse?: EducationCategoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationCategoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationCategory[];
}
export declare function serializeEducationCategoryCollectionResponse(writer: SerializationWriter, educationCategoryCollectionResponse?: EducationCategoryCollectionResponse | undefined): void;
