"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEducationCourse = exports.deserializeIntoEducationCourse = exports.createEducationCourseFromDiscriminatorValue = void 0;
function createEducationCourseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEducationCourse;
}
exports.createEducationCourseFromDiscriminatorValue = createEducationCourseFromDiscriminatorValue;
function deserializeIntoEducationCourse(educationCourse = {}) {
    return {
        "courseNumber": n => { educationCourse.courseNumber = n.getStringValue(); },
        "description": n => { educationCourse.description = n.getStringValue(); },
        "displayName": n => { educationCourse.displayName = n.getStringValue(); },
        "externalId": n => { educationCourse.externalId = n.getStringValue(); },
        "@odata.type": n => { educationCourse.odataType = n.getStringValue(); },
        "subject": n => { educationCourse.subject = n.getStringValue(); },
    };
}
exports.deserializeIntoEducationCourse = deserializeIntoEducationCourse;
function serializeEducationCourse(writer, educationCourse = {}) {
    writer.writeStringValue("courseNumber", educationCourse.courseNumber);
    writer.writeStringValue("description", educationCourse.description);
    writer.writeStringValue("displayName", educationCourse.displayName);
    writer.writeStringValue("externalId", educationCourse.externalId);
    writer.writeStringValue("@odata.type", educationCourse.odataType);
    writer.writeStringValue("subject", educationCourse.subject);
    writer.writeAdditionalData(educationCourse.additionalData);
}
exports.serializeEducationCourse = serializeEducationCourse;
// tslint:enable
// eslint-enable
