import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationExternalResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationExternalResource;
export declare function deserializeIntoEducationExternalResource(educationExternalResource?: EducationExternalResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationExternalResource extends EducationResource, Parsable {
    /**
     * Location of the resource. Required
     */
    webUrl?: string;
}
export declare function serializeEducationExternalResource(writer: SerializationWriter, educationExternalResource?: EducationExternalResource | undefined): void;
