import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationFileResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationFileResource;
export declare function deserializeIntoEducationFileResource(educationFileResource?: EducationFileResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationFileResource extends EducationResource, Parsable {
    /**
     * Location on disk of the file resource.
     */
    fileUrl?: string;
}
export declare function serializeEducationFileResource(writer: SerializationWriter, educationFileResource?: EducationFileResource | undefined): void;
