import { BodyType } from './bodyType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationItemBodyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationItemBody;
export declare function deserializeIntoEducationItemBody(educationItemBody?: EducationItemBody | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationItemBody extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The content property
     */
    content?: string;
    /**
     * The contentType property
     */
    contentType?: BodyType;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEducationItemBody(writer: SerializationWriter, educationItemBody?: EducationItemBody | undefined): void;
