import { type EducationResource } from './educationResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationPowerPointResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationPowerPointResource;
export declare function deserializeIntoEducationPowerPointResource(educationPowerPointResource?: EducationPowerPointResource | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationPowerPointResource extends EducationResource, Parsable {
    /**
     * Location of the file on disk.
     */
    fileUrl?: string;
}
export declare function serializeEducationPowerPointResource(writer: SerializationWriter, educationPowerPointResource?: EducationPowerPointResource | undefined): void;
