import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationSchool } from './educationSchool';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationSchoolCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationSchoolCollectionResponse;
export declare function deserializeIntoEducationSchoolCollectionResponse(educationSchoolCollectionResponse?: EducationSchoolCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationSchoolCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationSchool[];
}
export declare function serializeEducationSchoolCollectionResponse(writer: SerializationWriter, educationSchoolCollectionResponse?: EducationSchoolCollectionResponse | undefined): void;
