import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type EducationSubmission } from './educationSubmission';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationSubmissionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationSubmissionCollectionResponse;
export declare function deserializeIntoEducationSubmissionCollectionResponse(educationSubmissionCollectionResponse?: EducationSubmissionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationSubmissionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EducationSubmission[];
}
export declare function serializeEducationSubmissionCollectionResponse(writer: SerializationWriter, educationSubmissionCollectionResponse?: EducationSubmissionCollectionResponse | undefined): void;
