import { deserializeIntoEducationSubmissionIndividualRecipient } from './educationSubmissionIndividualRecipient';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEducationSubmissionRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEducationSubmissionIndividualRecipient;
export declare function deserializeIntoEducationSubmissionRecipient(educationSubmissionRecipient?: EducationSubmissionRecipient | undefined): Record<string, (node: ParseNode) => void>;
export interface EducationSubmissionRecipient extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEducationSubmissionRecipient(writer: SerializationWriter, educationSubmissionRecipient?: EducationSubmissionRecipient | undefined): void;
