"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEducationTerm = exports.deserializeIntoEducationTerm = exports.createEducationTermFromDiscriminatorValue = void 0;
function createEducationTermFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEducationTerm;
}
exports.createEducationTermFromDiscriminatorValue = createEducationTermFromDiscriminatorValue;
function deserializeIntoEducationTerm(educationTerm = {}) {
    return {
        "displayName": n => { educationTerm.displayName = n.getStringValue(); },
        "endDate": n => { educationTerm.endDate = n.getDateOnlyValue(); },
        "externalId": n => { educationTerm.externalId = n.getStringValue(); },
        "@odata.type": n => { educationTerm.odataType = n.getStringValue(); },
        "startDate": n => { educationTerm.startDate = n.getDateOnlyValue(); },
    };
}
exports.deserializeIntoEducationTerm = deserializeIntoEducationTerm;
function serializeEducationTerm(writer, educationTerm = {}) {
    writer.writeStringValue("displayName", educationTerm.displayName);
    writer.writeDateOnlyValue("endDate", educationTerm.endDate);
    writer.writeStringValue("externalId", educationTerm.externalId);
    writer.writeStringValue("@odata.type", educationTerm.odataType);
    writer.writeDateOnlyValue("startDate", educationTerm.startDate);
    writer.writeAdditionalData(educationTerm.additionalData);
}
exports.serializeEducationTerm = serializeEducationTerm;
// tslint:enable
// eslint-enable
