import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Endpoint } from './endpoint';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEndpointCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEndpointCollectionResponse;
export declare function deserializeIntoEndpointCollectionResponse(endpointCollectionResponse?: EndpointCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EndpointCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Endpoint[];
}
export declare function serializeEndpointCollectionResponse(writer: SerializationWriter, endpointCollectionResponse?: EndpointCollectionResponse | undefined): void;
