import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEnrollmentConfigurationAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEnrollmentConfigurationAssignment;
export declare function deserializeIntoEnrollmentConfigurationAssignment(enrollmentConfigurationAssignment?: EnrollmentConfigurationAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface EnrollmentConfigurationAssignment extends Entity, Parsable {
    /**
     * Represents an assignment to managed devices in the tenant
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeEnrollmentConfigurationAssignment(writer: SerializationWriter, enrollmentConfigurationAssignment?: EnrollmentConfigurationAssignment | undefined): void;
