"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnrollmentState = void 0;
var EnrollmentState;
(function (EnrollmentState) {
    /** Device enrollment state is unknown */
    EnrollmentState["Unknown"] = "unknown";
    /** Device is Enrolled. */
    EnrollmentState["Enrolled"] = "enrolled";
    /** Enrolled but it's enrolled via enrollment profile and the enrolled profile is different from the assigned profile. */
    EnrollmentState["PendingReset"] = "pendingReset";
    /** Not enrolled and there is enrollment failure record. */
    EnrollmentState["Failed"] = "failed";
    /** Device is imported but not enrolled. */
    EnrollmentState["NotContacted"] = "notContacted";
})(EnrollmentState || (exports.EnrollmentState = EnrollmentState = {}));
// tslint:enable
// eslint-enable
