import { deserializeIntoCallEndedEventMessageDetail } from './callEndedEventMessageDetail';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCallEndedEventMessageDetail;
export declare function deserializeIntoEventMessageDetail(eventMessageDetail?: EventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export interface EventMessageDetail extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeEventMessageDetail(writer: SerializationWriter, eventMessageDetail?: EventMessageDetail | undefined): void;
