import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Extension } from './extension';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExtensionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExtensionCollectionResponse;
export declare function deserializeIntoExtensionCollectionResponse(extensionCollectionResponse?: ExtensionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ExtensionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Extension[];
}
export declare function serializeExtensionCollectionResponse(writer: SerializationWriter, extensionCollectionResponse?: ExtensionCollectionResponse | undefined): void;
