import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ExtensionProperty } from './extensionProperty';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExtensionPropertyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExtensionPropertyCollectionResponse;
export declare function deserializeIntoExtensionPropertyCollectionResponse(extensionPropertyCollectionResponse?: ExtensionPropertyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ExtensionPropertyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ExtensionProperty[];
}
export declare function serializeExtensionPropertyCollectionResponse(writer: SerializationWriter, extensionPropertyCollectionResponse?: ExtensionPropertyCollectionResponse | undefined): void;
