"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeExtensionSchemaProperty = exports.deserializeIntoExtensionSchemaProperty = exports.createExtensionSchemaPropertyFromDiscriminatorValue = void 0;
function createExtensionSchemaPropertyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoExtensionSchemaProperty;
}
exports.createExtensionSchemaPropertyFromDiscriminatorValue = createExtensionSchemaPropertyFromDiscriminatorValue;
function deserializeIntoExtensionSchemaProperty(extensionSchemaProperty = {}) {
    return {
        "name": n => { extensionSchemaProperty.name = n.getStringValue(); },
        "@odata.type": n => { extensionSchemaProperty.odataType = n.getStringValue(); },
        "type": n => { extensionSchemaProperty.type = n.getStringValue(); },
    };
}
exports.deserializeIntoExtensionSchemaProperty = deserializeIntoExtensionSchemaProperty;
function serializeExtensionSchemaProperty(writer, extensionSchemaProperty = {}) {
    writer.writeStringValue("name", extensionSchemaProperty.name);
    writer.writeStringValue("@odata.type", extensionSchemaProperty.odataType);
    writer.writeStringValue("type", extensionSchemaProperty.type);
    writer.writeAdditionalData(extensionSchemaProperty.additionalData);
}
exports.serializeExtensionSchemaProperty = serializeExtensionSchemaProperty;
// tslint:enable
// eslint-enable
