"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeConfiguration = exports.deserializeIntoConfiguration = exports.createConfigurationFromDiscriminatorValue = void 0;
function createConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoConfiguration;
}
exports.createConfigurationFromDiscriminatorValue = createConfigurationFromDiscriminatorValue;
function deserializeIntoConfiguration(configuration = {}) {
    return {
        "authorizedAppIds": n => { configuration.authorizedAppIds = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { configuration.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoConfiguration = deserializeIntoConfiguration;
function serializeConfiguration(writer, configuration = {}) {
    writer.writeCollectionOfPrimitiveValues("authorizedAppIds", configuration.authorizedAppIds);
    writer.writeStringValue("@odata.type", configuration.odataType);
    writer.writeAdditionalData(configuration.additionalData);
}
exports.serializeConfiguration = serializeConfiguration;
// tslint:enable
// eslint-enable
