import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type ConnectionOperation } from './connectionOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ConnectionOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ConnectionOperation[];
}
export declare function createConnectionOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoConnectionOperationCollectionResponse;
export declare function deserializeIntoConnectionOperationCollectionResponse(connectionOperationCollectionResponse?: ConnectionOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeConnectionOperationCollectionResponse(writer: SerializationWriter, connectionOperationCollectionResponse?: ConnectionOperationCollectionResponse | undefined): void;
