import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type ExternalActivity } from './externalActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalActivityCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalActivityCollectionResponse;
export declare function deserializeIntoExternalActivityCollectionResponse(externalActivityCollectionResponse?: ExternalActivityCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalActivityCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ExternalActivity[];
}
export declare function serializeExternalActivityCollectionResponse(writer: SerializationWriter, externalActivityCollectionResponse?: ExternalActivityCollectionResponse | undefined): void;
