import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type ExternalConnection } from './externalConnection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalConnectionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalConnectionCollectionResponse;
export declare function deserializeIntoExternalConnectionCollectionResponse(externalConnectionCollectionResponse?: ExternalConnectionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalConnectionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ExternalConnection[];
}
export declare function serializeExternalConnectionCollectionResponse(writer: SerializationWriter, externalConnectionCollectionResponse?: ExternalConnectionCollectionResponse | undefined): void;
