import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type ExternalItem } from './externalItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalItemCollectionResponse;
export declare function deserializeIntoExternalItemCollectionResponse(externalItemCollectionResponse?: ExternalItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ExternalItem[];
}
export declare function serializeExternalItemCollectionResponse(writer: SerializationWriter, externalItemCollectionResponse?: ExternalItemCollectionResponse | undefined): void;
