import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityCollectionResponse;
export declare function deserializeIntoIdentityCollectionResponse(identityCollectionResponse?: IdentityCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Identity[];
}
export declare function serializeIdentityCollectionResponse(writer: SerializationWriter, identityCollectionResponse?: IdentityCollectionResponse | undefined): void;
