import { deserializeIntoItemIdResolver } from './itemIdResolver';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUrlToItemResolverBaseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemIdResolver;
export declare function deserializeIntoUrlToItemResolverBase(urlToItemResolverBase?: UrlToItemResolverBase | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUrlToItemResolverBase(writer: SerializationWriter, urlToItemResolverBase?: UrlToItemResolverBase | undefined): void;
export interface UrlToItemResolverBase extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The priority which defines the sequence in which the urlToItemResolverBase instances are evaluated.
     */
    priority?: number;
}
