import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalDomainNameFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalDomainName;
export declare function deserializeIntoExternalDomainName(externalDomainName?: ExternalDomainName | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalDomainName extends Entity, Parsable {
}
export declare function serializeExternalDomainName(writer: SerializationWriter, externalDomainName?: ExternalDomainName | undefined): void;
