"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeExternalLink = exports.deserializeIntoExternalLink = exports.createExternalLinkFromDiscriminatorValue = void 0;
function createExternalLinkFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoExternalLink;
}
exports.createExternalLinkFromDiscriminatorValue = createExternalLinkFromDiscriminatorValue;
function deserializeIntoExternalLink(externalLink = {}) {
    return {
        "href": n => { externalLink.href = n.getStringValue(); },
        "@odata.type": n => { externalLink.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoExternalLink = deserializeIntoExternalLink;
function serializeExternalLink(writer, externalLink = {}) {
    writer.writeStringValue("href", externalLink.href);
    writer.writeStringValue("@odata.type", externalLink.odataType);
    writer.writeAdditionalData(externalLink.additionalData);
}
exports.serializeExternalLink = serializeExternalLink;
// tslint:enable
// eslint-enable
