import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExternalSponsorsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExternalSponsors;
export declare function deserializeIntoExternalSponsors(externalSponsors?: ExternalSponsors | undefined): Record<string, (node: ParseNode) => void>;
export interface ExternalSponsors extends Parsable, SubjectSet {
}
export declare function serializeExternalSponsors(writer: SerializationWriter, externalSponsors?: ExternalSponsors | undefined): void;
