import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Fido2AuthenticationMethod } from './fido2AuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFido2AuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFido2AuthenticationMethodCollectionResponse;
export declare function deserializeIntoFido2AuthenticationMethodCollectionResponse(fido2AuthenticationMethodCollectionResponse?: Fido2AuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface Fido2AuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Fido2AuthenticationMethod[];
}
export declare function serializeFido2AuthenticationMethodCollectionResponse(writer: SerializationWriter, fido2AuthenticationMethodCollectionResponse?: Fido2AuthenticationMethodCollectionResponse | undefined): void;
