import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFieldValueSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFieldValueSet;
export declare function deserializeIntoFieldValueSet(fieldValueSet?: FieldValueSet | undefined): Record<string, (node: ParseNode) => void>;
export interface FieldValueSet extends Entity, Parsable {
}
export declare function serializeFieldValueSet(writer: SerializationWriter, fieldValueSet?: FieldValueSet | undefined): void;
