import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterOperandFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterOperand;
export declare function deserializeIntoFilterOperand(filterOperand?: FilterOperand | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterOperand extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Collection of values.
     */
    values?: string[];
}
export declare function serializeFilterOperand(writer: SerializationWriter, filterOperand?: FilterOperand | undefined): void;
