"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFilterOperand = exports.deserializeIntoFilterOperand = exports.createFilterOperandFromDiscriminatorValue = void 0;
function createFilterOperandFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFilterOperand;
}
exports.createFilterOperandFromDiscriminatorValue = createFilterOperandFromDiscriminatorValue;
function deserializeIntoFilterOperand(filterOperand = {}) {
    return {
        "@odata.type": n => { filterOperand.odataType = n.getStringValue(); },
        "values": n => { filterOperand.values = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoFilterOperand = deserializeIntoFilterOperand;
function serializeFilterOperand(writer, filterOperand = {}) {
    writer.writeStringValue("@odata.type", filterOperand.odataType);
    writer.writeCollectionOfPrimitiveValues("values", filterOperand.values);
    writer.writeAdditionalData(filterOperand.additionalData);
}
exports.serializeFilterOperand = serializeFilterOperand;
// tslint:enable
// eslint-enable
