import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type FilterOperatorSchema } from './filterOperatorSchema';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createFilterOperatorSchemaCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoFilterOperatorSchemaCollectionResponse;
export declare function deserializeIntoFilterOperatorSchemaCollectionResponse(filterOperatorSchemaCollectionResponse?: FilterOperatorSchemaCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface FilterOperatorSchemaCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: FilterOperatorSchema[];
}
export declare function serializeFilterOperatorSchemaCollectionResponse(writer: SerializationWriter, filterOperatorSchemaCollectionResponse?: FilterOperatorSchemaCollectionResponse | undefined): void;
