"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FirewallCertificateRevocationListCheckMethodType = void 0;
/**
 * Possible values for firewallCertificateRevocationListCheckMethod
 */
var FirewallCertificateRevocationListCheckMethodType;
(function (FirewallCertificateRevocationListCheckMethodType) {
    /** No value configured by Intune, do not override the user-configured device default value */
    FirewallCertificateRevocationListCheckMethodType["DeviceDefault"] = "deviceDefault";
    /** Do not check certificate revocation list */
    FirewallCertificateRevocationListCheckMethodType["None"] = "none";
    /** Attempt CRL check and allow a certificate only if the certificate is confirmed by the check */
    FirewallCertificateRevocationListCheckMethodType["Attempt"] = "attempt";
    /** Require a successful CRL check before allowing a certificate */
    FirewallCertificateRevocationListCheckMethodType["Require"] = "require";
})(FirewallCertificateRevocationListCheckMethodType || (exports.FirewallCertificateRevocationListCheckMethodType = FirewallCertificateRevocationListCheckMethodType = {}));
// tslint:enable
// eslint-enable
