"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FirewallPacketQueueingMethodType = void 0;
/**
 * Possible values for firewallPacketQueueingMethod
 */
var FirewallPacketQueueingMethodType;
(function (FirewallPacketQueueingMethodType) {
    /** No value configured by Intune, do not override the user-configured device default value */
    FirewallPacketQueueingMethodType["DeviceDefault"] = "deviceDefault";
    /** Disable packet queuing */
    FirewallPacketQueueingMethodType["Disabled"] = "disabled";
    /** Queue inbound encrypted packets */
    FirewallPacketQueueingMethodType["QueueInbound"] = "queueInbound";
    /** Queue decrypted outbound packets for forwarding */
    FirewallPacketQueueingMethodType["QueueOutbound"] = "queueOutbound";
    /** Queue both inbound and outbound packets */
    FirewallPacketQueueingMethodType["QueueBoth"] = "queueBoth";
})(FirewallPacketQueueingMethodType || (exports.FirewallPacketQueueingMethodType = FirewallPacketQueueingMethodType = {}));
// tslint:enable
// eslint-enable
