"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeFreeBusyError = exports.deserializeIntoFreeBusyError = exports.createFreeBusyErrorFromDiscriminatorValue = void 0;
function createFreeBusyErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoFreeBusyError;
}
exports.createFreeBusyErrorFromDiscriminatorValue = createFreeBusyErrorFromDiscriminatorValue;
function deserializeIntoFreeBusyError(freeBusyError = {}) {
    return {
        "message": n => { freeBusyError.message = n.getStringValue(); },
        "@odata.type": n => { freeBusyError.odataType = n.getStringValue(); },
        "responseCode": n => { freeBusyError.responseCode = n.getStringValue(); },
    };
}
exports.deserializeIntoFreeBusyError = deserializeIntoFreeBusyError;
function serializeFreeBusyError(writer, freeBusyError = {}) {
    writer.writeStringValue("message", freeBusyError.message);
    writer.writeStringValue("@odata.type", freeBusyError.odataType);
    writer.writeStringValue("responseCode", freeBusyError.responseCode);
    writer.writeAdditionalData(freeBusyError.additionalData);
}
exports.serializeFreeBusyError = serializeFreeBusyError;
// tslint:enable
// eslint-enable
