import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGeolocationColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGeolocationColumn;
export declare function deserializeIntoGeolocationColumn(geolocationColumn?: GeolocationColumn | undefined): Record<string, (node: ParseNode) => void>;
export interface GeolocationColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeGeolocationColumn(writer: SerializationWriter, geolocationColumn?: GeolocationColumn | undefined): void;
