"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeGeolocationColumn = exports.deserializeIntoGeolocationColumn = exports.createGeolocationColumnFromDiscriminatorValue = void 0;
function createGeolocationColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoGeolocationColumn;
}
exports.createGeolocationColumnFromDiscriminatorValue = createGeolocationColumnFromDiscriminatorValue;
function deserializeIntoGeolocationColumn(geolocationColumn = {}) {
    return {
        "@odata.type": n => { geolocationColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoGeolocationColumn = deserializeIntoGeolocationColumn;
function serializeGeolocationColumn(writer, geolocationColumn = {}) {
    writer.writeStringValue("@odata.type", geolocationColumn.odataType);
    writer.writeAdditionalData(geolocationColumn.additionalData);
}
exports.serializeGeolocationColumn = serializeGeolocationColumn;
// tslint:enable
// eslint-enable
