import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type GovernanceInsight } from './governanceInsight';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGovernanceInsightCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGovernanceInsightCollectionResponse;
export declare function deserializeIntoGovernanceInsightCollectionResponse(governanceInsightCollectionResponse?: GovernanceInsightCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GovernanceInsightCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: GovernanceInsight[];
}
export declare function serializeGovernanceInsightCollectionResponse(writer: SerializationWriter, governanceInsightCollectionResponse?: GovernanceInsightCollectionResponse | undefined): void;
