import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { deserializeIntoExclusionGroupAssignmentTarget } from './exclusionGroupAssignmentTarget';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupAssignmentTargetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExclusionGroupAssignmentTarget;
export declare function deserializeIntoGroupAssignmentTarget(groupAssignmentTarget?: GroupAssignmentTarget | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupAssignmentTarget extends DeviceAndAppManagementAssignmentTarget, Parsable {
    /**
     * The group Id that is the target of the assignment.
     */
    groupId?: string;
}
export declare function serializeGroupAssignmentTarget(writer: SerializationWriter, groupAssignmentTarget?: GroupAssignmentTarget | undefined): void;
