import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupFilterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupFilter;
export declare function deserializeIntoGroupFilter(groupFilter?: GroupFilter | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupFilter extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The includedGroups property
     */
    includedGroups?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeGroupFilter(writer: SerializationWriter, groupFilter?: GroupFilter | undefined): void;
