import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type GroupLifecyclePolicy } from './groupLifecyclePolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupLifecyclePolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupLifecyclePolicyCollectionResponse;
export declare function deserializeIntoGroupLifecyclePolicyCollectionResponse(groupLifecyclePolicyCollectionResponse?: GroupLifecyclePolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupLifecyclePolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: GroupLifecyclePolicy[];
}
export declare function serializeGroupLifecyclePolicyCollectionResponse(writer: SerializationWriter, groupLifecyclePolicyCollectionResponse?: GroupLifecyclePolicyCollectionResponse | undefined): void;
