import { type StsPolicy } from './stsPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHomeRealmDiscoveryPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHomeRealmDiscoveryPolicy;
export declare function deserializeIntoHomeRealmDiscoveryPolicy(homeRealmDiscoveryPolicy?: HomeRealmDiscoveryPolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface HomeRealmDiscoveryPolicy extends Parsable, StsPolicy {
}
export declare function serializeHomeRealmDiscoveryPolicy(writer: SerializationWriter, homeRealmDiscoveryPolicy?: HomeRealmDiscoveryPolicy | undefined): void;
