import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type HomeRealmDiscoveryPolicy } from './homeRealmDiscoveryPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHomeRealmDiscoveryPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHomeRealmDiscoveryPolicyCollectionResponse;
export declare function deserializeIntoHomeRealmDiscoveryPolicyCollectionResponse(homeRealmDiscoveryPolicyCollectionResponse?: HomeRealmDiscoveryPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HomeRealmDiscoveryPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: HomeRealmDiscoveryPolicy[];
}
export declare function serializeHomeRealmDiscoveryPolicyCollectionResponse(writer: SerializationWriter, homeRealmDiscoveryPolicyCollectionResponse?: HomeRealmDiscoveryPolicyCollectionResponse | undefined): void;
