import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IdentityApiConnector } from './identityApiConnector';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityApiConnectorCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityApiConnectorCollectionResponse;
export declare function deserializeIntoIdentityApiConnectorCollectionResponse(identityApiConnectorCollectionResponse?: IdentityApiConnectorCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityApiConnectorCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IdentityApiConnector[];
}
export declare function serializeIdentityApiConnectorCollectionResponse(writer: SerializationWriter, identityApiConnectorCollectionResponse?: IdentityApiConnectorCollectionResponse | undefined): void;
