import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type CustomTaskExtension } from './customTaskExtension';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createCustomTaskExtensionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCustomTaskExtensionCollectionResponse;
export interface CustomTaskExtensionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CustomTaskExtension[];
}
export declare function deserializeIntoCustomTaskExtensionCollectionResponse(customTaskExtensionCollectionResponse?: CustomTaskExtensionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCustomTaskExtensionCollectionResponse(writer: SerializationWriter, customTaskExtensionCollectionResponse?: CustomTaskExtensionCollectionResponse | undefined): void;
