import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Run } from './run';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRunCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRunCollectionResponse;
export declare function deserializeIntoRunCollectionResponse(runCollectionResponse?: RunCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RunCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Run[];
}
export declare function serializeRunCollectionResponse(writer: SerializationWriter, runCollectionResponse?: RunCollectionResponse | undefined): void;
