import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type TaskDefinition } from './taskDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTaskDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTaskDefinitionCollectionResponse;
export declare function deserializeIntoTaskDefinitionCollectionResponse(taskDefinitionCollectionResponse?: TaskDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTaskDefinitionCollectionResponse(writer: SerializationWriter, taskDefinitionCollectionResponse?: TaskDefinitionCollectionResponse | undefined): void;
export interface TaskDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TaskDefinition[];
}
