import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Workflow } from './workflow';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkflowCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkflowCollectionResponse;
export declare function deserializeIntoWorkflowCollectionResponse(workflowCollectionResponse?: WorkflowCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkflowCollectionResponse(writer: SerializationWriter, workflowCollectionResponse?: WorkflowCollectionResponse | undefined): void;
export interface WorkflowCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Workflow[];
}
