import { deserializeIntoAzureActiveDirectoryTenant } from './azureActiveDirectoryTenant';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentitySourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAzureActiveDirectoryTenant;
export declare function deserializeIntoIdentitySource(identitySource?: IdentitySource | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentitySource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIdentitySource(writer: SerializationWriter, identitySource?: IdentitySource | undefined): void;
