import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IdentityUserFlowAttributeAssignment } from './identityUserFlowAttributeAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityUserFlowAttributeAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityUserFlowAttributeAssignmentCollectionResponse;
export declare function deserializeIntoIdentityUserFlowAttributeAssignmentCollectionResponse(identityUserFlowAttributeAssignmentCollectionResponse?: IdentityUserFlowAttributeAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityUserFlowAttributeAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IdentityUserFlowAttributeAssignment[];
}
export declare function serializeIdentityUserFlowAttributeAssignmentCollectionResponse(writer: SerializationWriter, identityUserFlowAttributeAssignmentCollectionResponse?: IdentityUserFlowAttributeAssignmentCollectionResponse | undefined): void;
