import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IdentityUserFlowAttribute } from './identityUserFlowAttribute';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIdentityUserFlowAttributeCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIdentityUserFlowAttributeCollectionResponse;
export declare function deserializeIntoIdentityUserFlowAttributeCollectionResponse(identityUserFlowAttributeCollectionResponse?: IdentityUserFlowAttributeCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IdentityUserFlowAttributeCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IdentityUserFlowAttribute[];
}
export declare function serializeIdentityUserFlowAttributeCollectionResponse(writer: SerializationWriter, identityUserFlowAttributeCollectionResponse?: IdentityUserFlowAttributeCollectionResponse | undefined): void;
