"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeImage = exports.deserializeIntoImage = exports.createImageFromDiscriminatorValue = void 0;
function createImageFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoImage;
}
exports.createImageFromDiscriminatorValue = createImageFromDiscriminatorValue;
function deserializeIntoImage(image = {}) {
    return {
        "height": n => { image.height = n.getNumberValue(); },
        "@odata.type": n => { image.odataType = n.getStringValue(); },
        "width": n => { image.width = n.getNumberValue(); },
    };
}
exports.deserializeIntoImage = deserializeIntoImage;
function serializeImage(writer, image = {}) {
    writer.writeNumberValue("height", image.height);
    writer.writeStringValue("@odata.type", image.odataType);
    writer.writeNumberValue("width", image.width);
    writer.writeAdditionalData(image.additionalData);
}
exports.serializeImage = serializeImage;
// tslint:enable
// eslint-enable
