"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeInboundOutboundPolicyConfiguration = exports.deserializeIntoInboundOutboundPolicyConfiguration = exports.createInboundOutboundPolicyConfigurationFromDiscriminatorValue = void 0;
function createInboundOutboundPolicyConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInboundOutboundPolicyConfiguration;
}
exports.createInboundOutboundPolicyConfigurationFromDiscriminatorValue = createInboundOutboundPolicyConfigurationFromDiscriminatorValue;
function deserializeIntoInboundOutboundPolicyConfiguration(inboundOutboundPolicyConfiguration = {}) {
    return {
        "inboundAllowed": n => { inboundOutboundPolicyConfiguration.inboundAllowed = n.getBooleanValue(); },
        "@odata.type": n => { inboundOutboundPolicyConfiguration.odataType = n.getStringValue(); },
        "outboundAllowed": n => { inboundOutboundPolicyConfiguration.outboundAllowed = n.getBooleanValue(); },
    };
}
exports.deserializeIntoInboundOutboundPolicyConfiguration = deserializeIntoInboundOutboundPolicyConfiguration;
function serializeInboundOutboundPolicyConfiguration(writer, inboundOutboundPolicyConfiguration = {}) {
    writer.writeBooleanValue("inboundAllowed", inboundOutboundPolicyConfiguration.inboundAllowed);
    writer.writeStringValue("@odata.type", inboundOutboundPolicyConfiguration.odataType);
    writer.writeBooleanValue("outboundAllowed", inboundOutboundPolicyConfiguration.outboundAllowed);
    writer.writeAdditionalData(inboundOutboundPolicyConfiguration.additionalData);
}
exports.serializeInboundOutboundPolicyConfiguration = serializeInboundOutboundPolicyConfiguration;
// tslint:enable
// eslint-enable
