import { type CallOptions } from './callOptions';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIncomingCallOptionsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIncomingCallOptions;
export declare function deserializeIntoIncomingCallOptions(incomingCallOptions?: IncomingCallOptions | undefined): Record<string, (node: ParseNode) => void>;
export interface IncomingCallOptions extends CallOptions, Parsable {
}
export declare function serializeIncomingCallOptions(writer: SerializationWriter, incomingCallOptions?: IncomingCallOptions | undefined): void;
