"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeInsightIdentity = exports.deserializeIntoInsightIdentity = exports.createInsightIdentityFromDiscriminatorValue = void 0;
function createInsightIdentityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInsightIdentity;
}
exports.createInsightIdentityFromDiscriminatorValue = createInsightIdentityFromDiscriminatorValue;
function deserializeIntoInsightIdentity(insightIdentity = {}) {
    return {
        "address": n => { insightIdentity.address = n.getStringValue(); },
        "displayName": n => { insightIdentity.displayName = n.getStringValue(); },
        "id": n => { insightIdentity.id = n.getStringValue(); },
        "@odata.type": n => { insightIdentity.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoInsightIdentity = deserializeIntoInsightIdentity;
function serializeInsightIdentity(writer, insightIdentity = {}) {
    writer.writeStringValue("address", insightIdentity.address);
    writer.writeStringValue("displayName", insightIdentity.displayName);
    writer.writeStringValue("id", insightIdentity.id);
    writer.writeStringValue("@odata.type", insightIdentity.odataType);
    writer.writeAdditionalData(insightIdentity.additionalData);
}
exports.serializeInsightIdentity = serializeInsightIdentity;
// tslint:enable
// eslint-enable
