import { type UserExperienceAnalyticsInsightValue } from './userExperienceAnalyticsInsightValue';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInsightValueIntFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInsightValueInt;
export declare function deserializeIntoInsightValueInt(insightValueInt?: InsightValueInt | undefined): Record<string, (node: ParseNode) => void>;
export interface InsightValueInt extends Parsable, UserExperienceAnalyticsInsightValue {
    /**
     * The int value of the user experience analytics insight.
     */
    value?: number;
}
export declare function serializeInsightValueInt(writer: SerializationWriter, insightValueInt?: InsightValueInt | undefined): void;
