"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstallIntent = void 0;
/**
 * Possible values for the install intent chosen by the admin.
 */
var InstallIntent;
(function (InstallIntent) {
    /** Available install intent. */
    InstallIntent["Available"] = "available";
    /** Required install intent. */
    InstallIntent["Required"] = "required";
    /** Uninstall install intent. */
    InstallIntent["Uninstall"] = "uninstall";
    /** Available without enrollment install intent. */
    InstallIntent["AvailableWithoutEnrollment"] = "availableWithoutEnrollment";
})(InstallIntent || (exports.InstallIntent = InstallIntent = {}));
// tslint:enable
// eslint-enable
