"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstallState = void 0;
/**
 * Possible values for install state.
 */
var InstallState;
(function (InstallState) {
    /** Not Applicable. */
    InstallState["NotApplicable"] = "notApplicable";
    /** Installed. */
    InstallState["Installed"] = "installed";
    /** Failed. */
    InstallState["Failed"] = "failed";
    /** Not Installed. */
    InstallState["NotInstalled"] = "notInstalled";
    /** Uninstall Failed. */
    InstallState["UninstallFailed"] = "uninstallFailed";
    /** Unknown. */
    InstallState["Unknown"] = "unknown";
})(InstallState || (exports.InstallState = InstallState = {}));
// tslint:enable
// eslint-enable
