import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type InternalDomainFederation } from './internalDomainFederation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInternalDomainFederationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInternalDomainFederationCollectionResponse;
export declare function deserializeIntoInternalDomainFederationCollectionResponse(internalDomainFederationCollectionResponse?: InternalDomainFederationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface InternalDomainFederationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: InternalDomainFederation[];
}
export declare function serializeInternalDomainFederationCollectionResponse(writer: SerializationWriter, internalDomainFederationCollectionResponse?: InternalDomainFederationCollectionResponse | undefined): void;
