import { type BrowserSiteList } from './browserSiteList';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInternetExplorerModeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInternetExplorerMode;
export declare function deserializeIntoInternetExplorerMode(internetExplorerMode?: InternetExplorerMode | undefined): Record<string, (node: ParseNode) => void>;
export interface InternetExplorerMode extends Entity, Parsable {
    /**
     * A collection of site lists to support Internet Explorer mode.
     */
    siteLists?: BrowserSiteList[];
}
export declare function serializeInternetExplorerMode(writer: SerializationWriter, internetExplorerMode?: InternetExplorerMode | undefined): void;
