"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeInternetMessageHeader = exports.deserializeIntoInternetMessageHeader = exports.createInternetMessageHeaderFromDiscriminatorValue = void 0;
function createInternetMessageHeaderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInternetMessageHeader;
}
exports.createInternetMessageHeaderFromDiscriminatorValue = createInternetMessageHeaderFromDiscriminatorValue;
function deserializeIntoInternetMessageHeader(internetMessageHeader = {}) {
    return {
        "name": n => { internetMessageHeader.name = n.getStringValue(); },
        "@odata.type": n => { internetMessageHeader.odataType = n.getStringValue(); },
        "value": n => { internetMessageHeader.value = n.getStringValue(); },
    };
}
exports.deserializeIntoInternetMessageHeader = deserializeIntoInternetMessageHeader;
function serializeInternetMessageHeader(writer, internetMessageHeader = {}) {
    writer.writeStringValue("name", internetMessageHeader.name);
    writer.writeStringValue("@odata.type", internetMessageHeader.odataType);
    writer.writeStringValue("value", internetMessageHeader.value);
    writer.writeAdditionalData(internetMessageHeader.additionalData);
}
exports.serializeInternetMessageHeader = serializeInternetMessageHeader;
// tslint:enable
// eslint-enable
