"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeInvestigationSecurityState = exports.deserializeIntoInvestigationSecurityState = exports.createInvestigationSecurityStateFromDiscriminatorValue = void 0;
function createInvestigationSecurityStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoInvestigationSecurityState;
}
exports.createInvestigationSecurityStateFromDiscriminatorValue = createInvestigationSecurityStateFromDiscriminatorValue;
function deserializeIntoInvestigationSecurityState(investigationSecurityState = {}) {
    return {
        "name": n => { investigationSecurityState.name = n.getStringValue(); },
        "@odata.type": n => { investigationSecurityState.odataType = n.getStringValue(); },
        "status": n => { investigationSecurityState.status = n.getStringValue(); },
    };
}
exports.deserializeIntoInvestigationSecurityState = deserializeIntoInvestigationSecurityState;
function serializeInvestigationSecurityState(writer, investigationSecurityState = {}) {
    writer.writeStringValue("name", investigationSecurityState.name);
    writer.writeStringValue("@odata.type", investigationSecurityState.odataType);
    writer.writeStringValue("status", investigationSecurityState.status);
    writer.writeAdditionalData(investigationSecurityState.additionalData);
}
exports.serializeInvestigationSecurityState = serializeInvestigationSecurityState;
// tslint:enable
// eslint-enable
