import { type CommsOperation } from './commsOperation';
import { type InvitationParticipantInfo } from './invitationParticipantInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createInviteParticipantsOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInviteParticipantsOperation;
export declare function deserializeIntoInviteParticipantsOperation(inviteParticipantsOperation?: InviteParticipantsOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface InviteParticipantsOperation extends CommsOperation, Parsable {
    /**
     * The participants to invite.
     */
    participants?: InvitationParticipantInfo[];
}
export declare function serializeInviteParticipantsOperation(writer: SerializationWriter, inviteParticipantsOperation?: InviteParticipantsOperation | undefined): void;
