import { type ManagedAppRegistration } from './managedAppRegistration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosManagedAppRegistrationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosManagedAppRegistration;
export declare function deserializeIntoIosManagedAppRegistration(iosManagedAppRegistration?: IosManagedAppRegistration | undefined): Record<string, (node: ParseNode) => void>;
export interface IosManagedAppRegistration extends ManagedAppRegistration, Parsable {
}
export declare function serializeIosManagedAppRegistration(writer: SerializationWriter, iosManagedAppRegistration?: IosManagedAppRegistration | undefined): void;
