import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type IosStoreApp } from './iosStoreApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIosStoreAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIosStoreAppCollectionResponse;
export declare function deserializeIntoIosStoreAppCollectionResponse(iosStoreAppCollectionResponse?: IosStoreAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IosStoreAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IosStoreApp[];
}
export declare function serializeIosStoreAppCollectionResponse(writer: SerializationWriter, iosStoreAppCollectionResponse?: IosStoreAppCollectionResponse | undefined): void;
