import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ItemActivityStat } from './itemActivityStat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemActivityStatCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemActivityStatCollectionResponse;
export declare function deserializeIntoItemActivityStatCollectionResponse(itemActivityStatCollectionResponse?: ItemActivityStatCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemActivityStatCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ItemActivityStat[];
}
export declare function serializeItemActivityStatCollectionResponse(writer: SerializationWriter, itemActivityStatCollectionResponse?: ItemActivityStatCollectionResponse | undefined): void;
