import { type Entity } from './entity';
import { type ItemActivityStat } from './itemActivityStat';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createItemAnalyticsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoItemAnalytics;
export declare function deserializeIntoItemAnalytics(itemAnalytics?: ItemAnalytics | undefined): Record<string, (node: ParseNode) => void>;
export interface ItemAnalytics extends Entity, Parsable {
    /**
     * The allTime property
     */
    allTime?: ItemActivityStat;
    /**
     * The itemActivityStats property
     */
    itemActivityStats?: ItemActivityStat[];
    /**
     * The lastSevenDays property
     */
    lastSevenDays?: ItemActivityStat;
}
export declare function serializeItemAnalytics(writer: SerializationWriter, itemAnalytics?: ItemAnalytics | undefined): void;
