"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeItemPreviewInfo = exports.deserializeIntoItemPreviewInfo = exports.createItemPreviewInfoFromDiscriminatorValue = void 0;
function createItemPreviewInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoItemPreviewInfo;
}
exports.createItemPreviewInfoFromDiscriminatorValue = createItemPreviewInfoFromDiscriminatorValue;
function deserializeIntoItemPreviewInfo(itemPreviewInfo = {}) {
    return {
        "getUrl": n => { itemPreviewInfo.getUrl = n.getStringValue(); },
        "@odata.type": n => { itemPreviewInfo.odataType = n.getStringValue(); },
        "postParameters": n => { itemPreviewInfo.postParameters = n.getStringValue(); },
        "postUrl": n => { itemPreviewInfo.postUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoItemPreviewInfo = deserializeIntoItemPreviewInfo;
function serializeItemPreviewInfo(writer, itemPreviewInfo = {}) {
    writer.writeStringValue("getUrl", itemPreviewInfo.getUrl);
    writer.writeStringValue("@odata.type", itemPreviewInfo.odataType);
    writer.writeStringValue("postParameters", itemPreviewInfo.postParameters);
    writer.writeStringValue("postUrl", itemPreviewInfo.postUrl);
    writer.writeAdditionalData(itemPreviewInfo.additionalData);
}
exports.serializeItemPreviewInfo = serializeItemPreviewInfo;
// tslint:enable
// eslint-enable
