import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createJsonFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoJson;
export declare function deserializeIntoJson(json?: Json | undefined): Record<string, (node: ParseNode) => void>;
export interface Json extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeJson(writer: SerializationWriter, json?: Json | undefined): void;
