"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeJson = exports.deserializeIntoJson = exports.createJsonFromDiscriminatorValue = void 0;
function createJsonFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoJson;
}
exports.createJsonFromDiscriminatorValue = createJsonFromDiscriminatorValue;
function deserializeIntoJson(json = {}) {
    return {
        "@odata.type": n => { json.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoJson = deserializeIntoJson;
function serializeJson(writer, json = {}) {
    writer.writeStringValue("@odata.type", json.odataType);
    writer.writeAdditionalData(json.additionalData);
}
exports.serializeJson = serializeJson;
// tslint:enable
// eslint-enable
