import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LandingPage } from './landingPage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLandingPageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLandingPageCollectionResponse;
export declare function deserializeIntoLandingPageCollectionResponse(landingPageCollectionResponse?: LandingPageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LandingPageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LandingPage[];
}
export declare function serializeLandingPageCollectionResponse(writer: SerializationWriter, landingPageCollectionResponse?: LandingPageCollectionResponse | undefined): void;
