import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LearningContent } from './learningContent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLearningContentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLearningContentCollectionResponse;
export declare function deserializeIntoLearningContentCollectionResponse(learningContentCollectionResponse?: LearningContentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LearningContentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LearningContent[];
}
export declare function serializeLearningContentCollectionResponse(writer: SerializationWriter, learningContentCollectionResponse?: LearningContentCollectionResponse | undefined): void;
