import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LearningProvider } from './learningProvider';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLearningProviderCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLearningProviderCollectionResponse;
export declare function deserializeIntoLearningProviderCollectionResponse(learningProviderCollectionResponse?: LearningProviderCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LearningProviderCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LearningProvider[];
}
export declare function serializeLearningProviderCollectionResponse(writer: SerializationWriter, learningProviderCollectionResponse?: LearningProviderCollectionResponse | undefined): void;
