import { type LearningCourseActivity } from './learningCourseActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLearningSelfInitiatedCourseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLearningSelfInitiatedCourse;
export declare function deserializeIntoLearningSelfInitiatedCourse(learningSelfInitiatedCourse?: LearningSelfInitiatedCourse | undefined): Record<string, (node: ParseNode) => void>;
export interface LearningSelfInitiatedCourse extends LearningCourseActivity, Parsable {
    /**
     * The date and time on which the self-initiated course was started by the learner. Optional.
     */
    startedDateTime?: Date;
}
export declare function serializeLearningSelfInitiatedCourse(writer: SerializationWriter, learningSelfInitiatedCourse?: LearningSelfInitiatedCourse | undefined): void;
