"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLicenseAssignmentState = exports.deserializeIntoLicenseAssignmentState = exports.createLicenseAssignmentStateFromDiscriminatorValue = void 0;
function createLicenseAssignmentStateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLicenseAssignmentState;
}
exports.createLicenseAssignmentStateFromDiscriminatorValue = createLicenseAssignmentStateFromDiscriminatorValue;
function deserializeIntoLicenseAssignmentState(licenseAssignmentState = {}) {
    return {
        "assignedByGroup": n => { licenseAssignmentState.assignedByGroup = n.getStringValue(); },
        "disabledPlans": n => { licenseAssignmentState.disabledPlans = n.getCollectionOfPrimitiveValues(); },
        "error": n => { licenseAssignmentState.errorEscaped = n.getStringValue(); },
        "lastUpdatedDateTime": n => { licenseAssignmentState.lastUpdatedDateTime = n.getDateValue(); },
        "@odata.type": n => { licenseAssignmentState.odataType = n.getStringValue(); },
        "skuId": n => { licenseAssignmentState.skuId = n.getGuidValue(); },
        "state": n => { licenseAssignmentState.state = n.getStringValue(); },
    };
}
exports.deserializeIntoLicenseAssignmentState = deserializeIntoLicenseAssignmentState;
function serializeLicenseAssignmentState(writer, licenseAssignmentState = {}) {
    writer.writeStringValue("assignedByGroup", licenseAssignmentState.assignedByGroup);
    writer.writeCollectionOfPrimitiveValues("disabledPlans", licenseAssignmentState.disabledPlans);
    writer.writeStringValue("error", licenseAssignmentState.errorEscaped);
    writer.writeDateValue("lastUpdatedDateTime", licenseAssignmentState.lastUpdatedDateTime);
    writer.writeStringValue("@odata.type", licenseAssignmentState.odataType);
    writer.writeGuidValue("skuId", licenseAssignmentState.skuId);
    writer.writeStringValue("state", licenseAssignmentState.state);
    writer.writeAdditionalData(licenseAssignmentState.additionalData);
}
exports.serializeLicenseAssignmentState = serializeLicenseAssignmentState;
// tslint:enable
// eslint-enable
