import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLicenseProcessingStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLicenseProcessingState;
export declare function deserializeIntoLicenseProcessingState(licenseProcessingState?: LicenseProcessingState | undefined): Record<string, (node: ParseNode) => void>;
export interface LicenseProcessingState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state property
     */
    state?: string;
}
export declare function serializeLicenseProcessingState(writer: SerializationWriter, licenseProcessingState?: LicenseProcessingState | undefined): void;
