"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLicenseUnitsDetail = exports.deserializeIntoLicenseUnitsDetail = exports.createLicenseUnitsDetailFromDiscriminatorValue = void 0;
function createLicenseUnitsDetailFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLicenseUnitsDetail;
}
exports.createLicenseUnitsDetailFromDiscriminatorValue = createLicenseUnitsDetailFromDiscriminatorValue;
function deserializeIntoLicenseUnitsDetail(licenseUnitsDetail = {}) {
    return {
        "enabled": n => { licenseUnitsDetail.enabled = n.getNumberValue(); },
        "lockedOut": n => { licenseUnitsDetail.lockedOut = n.getNumberValue(); },
        "@odata.type": n => { licenseUnitsDetail.odataType = n.getStringValue(); },
        "suspended": n => { licenseUnitsDetail.suspended = n.getNumberValue(); },
        "warning": n => { licenseUnitsDetail.warning = n.getNumberValue(); },
    };
}
exports.deserializeIntoLicenseUnitsDetail = deserializeIntoLicenseUnitsDetail;
function serializeLicenseUnitsDetail(writer, licenseUnitsDetail = {}) {
    writer.writeNumberValue("enabled", licenseUnitsDetail.enabled);
    writer.writeNumberValue("lockedOut", licenseUnitsDetail.lockedOut);
    writer.writeStringValue("@odata.type", licenseUnitsDetail.odataType);
    writer.writeNumberValue("suspended", licenseUnitsDetail.suspended);
    writer.writeNumberValue("warning", licenseUnitsDetail.warning);
    writer.writeAdditionalData(licenseUnitsDetail.additionalData);
}
exports.serializeLicenseUnitsDetail = serializeLicenseUnitsDetail;
// tslint:enable
// eslint-enable
