import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ListItem } from './listItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createListItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoListItemCollectionResponse;
export declare function deserializeIntoListItemCollectionResponse(listItemCollectionResponse?: ListItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ListItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ListItem[];
}
export declare function serializeListItemCollectionResponse(writer: SerializationWriter, listItemCollectionResponse?: ListItemCollectionResponse | undefined): void;
