"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLocaleInfo = exports.deserializeIntoLocaleInfo = exports.createLocaleInfoFromDiscriminatorValue = void 0;
function createLocaleInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLocaleInfo;
}
exports.createLocaleInfoFromDiscriminatorValue = createLocaleInfoFromDiscriminatorValue;
function deserializeIntoLocaleInfo(localeInfo = {}) {
    return {
        "displayName": n => { localeInfo.displayName = n.getStringValue(); },
        "locale": n => { localeInfo.locale = n.getStringValue(); },
        "@odata.type": n => { localeInfo.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoLocaleInfo = deserializeIntoLocaleInfo;
function serializeLocaleInfo(writer, localeInfo = {}) {
    writer.writeStringValue("displayName", localeInfo.displayName);
    writer.writeStringValue("locale", localeInfo.locale);
    writer.writeStringValue("@odata.type", localeInfo.odataType);
    writer.writeAdditionalData(localeInfo.additionalData);
}
exports.serializeLocaleInfo = serializeLocaleInfo;
// tslint:enable
// eslint-enable
