import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LocalizedNotificationMessage } from './localizedNotificationMessage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocalizedNotificationMessageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocalizedNotificationMessageCollectionResponse;
export declare function deserializeIntoLocalizedNotificationMessageCollectionResponse(localizedNotificationMessageCollectionResponse?: LocalizedNotificationMessageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LocalizedNotificationMessageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LocalizedNotificationMessage[];
}
export declare function serializeLocalizedNotificationMessageCollectionResponse(writer: SerializationWriter, localizedNotificationMessageCollectionResponse?: LocalizedNotificationMessageCollectionResponse | undefined): void;
