import { type DeviceActionResult } from './deviceActionResult';
import { type DeviceGeoLocation } from './deviceGeoLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLocateDeviceActionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLocateDeviceActionResult;
export declare function deserializeIntoLocateDeviceActionResult(locateDeviceActionResult?: LocateDeviceActionResult | undefined): Record<string, (node: ParseNode) => void>;
export interface LocateDeviceActionResult extends DeviceActionResult, Parsable {
    /**
     * device location
     */
    deviceLocation?: DeviceGeoLocation;
}
export declare function serializeLocateDeviceActionResult(writer: SerializationWriter, locateDeviceActionResult?: LocateDeviceActionResult | undefined): void;
