import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type LongRunningOperation } from './longRunningOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createLongRunningOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoLongRunningOperationCollectionResponse;
export declare function deserializeIntoLongRunningOperationCollectionResponse(longRunningOperationCollectionResponse?: LongRunningOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface LongRunningOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: LongRunningOperation[];
}
export declare function serializeLongRunningOperationCollectionResponse(writer: SerializationWriter, longRunningOperationCollectionResponse?: LongRunningOperationCollectionResponse | undefined): void;
