import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MacOSDmgApp } from './macOSDmgApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSDmgAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSDmgAppCollectionResponse;
export declare function deserializeIntoMacOSDmgAppCollectionResponse(macOSDmgAppCollectionResponse?: MacOSDmgAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSDmgAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MacOSDmgApp[];
}
export declare function serializeMacOSDmgAppCollectionResponse(writer: SerializationWriter, macOSDmgAppCollectionResponse?: MacOSDmgAppCollectionResponse | undefined): void;
