import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MacOSLobApp } from './macOSLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSLobAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSLobAppCollectionResponse;
export declare function deserializeIntoMacOSLobAppCollectionResponse(macOSLobAppCollectionResponse?: MacOSLobAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSLobAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MacOSLobApp[];
}
export declare function serializeMacOSLobAppCollectionResponse(writer: SerializationWriter, macOSLobAppCollectionResponse?: MacOSLobAppCollectionResponse | undefined): void;
