import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMacOSLobChildAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMacOSLobChildApp;
export declare function deserializeIntoMacOSLobChildApp(macOSLobChildApp?: MacOSLobChildApp | undefined): Record<string, (node: ParseNode) => void>;
export interface MacOSLobChildApp extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The build number of the app.
     */
    buildNumber?: string;
    /**
     * The bundleId of the app.
     */
    bundleId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The version number of the app.
     */
    versionNumber?: string;
}
export declare function serializeMacOSLobChildApp(writer: SerializationWriter, macOSLobChildApp?: MacOSLobChildApp | undefined): void;
