import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MailFolder } from './mailFolder';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMailFolderCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMailFolderCollectionResponse;
export declare function deserializeIntoMailFolderCollectionResponse(mailFolderCollectionResponse?: MailFolderCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MailFolderCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MailFolder[];
}
export declare function serializeMailFolderCollectionResponse(writer: SerializationWriter, mailFolderCollectionResponse?: MailFolderCollectionResponse | undefined): void;
