import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMailTipsErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMailTipsError;
export declare function deserializeIntoMailTipsError(mailTipsError?: MailTipsError | undefined): Record<string, (node: ParseNode) => void>;
export interface MailTipsError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error code.
     */
    code?: string;
    /**
     * The error message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeMailTipsError(writer: SerializationWriter, mailTipsError?: MailTipsError | undefined): void;
