"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMailTipsError = exports.deserializeIntoMailTipsError = exports.createMailTipsErrorFromDiscriminatorValue = void 0;
function createMailTipsErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMailTipsError;
}
exports.createMailTipsErrorFromDiscriminatorValue = createMailTipsErrorFromDiscriminatorValue;
function deserializeIntoMailTipsError(mailTipsError = {}) {
    return {
        "code": n => { mailTipsError.code = n.getStringValue(); },
        "message": n => { mailTipsError.message = n.getStringValue(); },
        "@odata.type": n => { mailTipsError.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoMailTipsError = deserializeIntoMailTipsError;
function serializeMailTipsError(writer, mailTipsError = {}) {
    writer.writeStringValue("code", mailTipsError.code);
    writer.writeStringValue("message", mailTipsError.message);
    writer.writeStringValue("@odata.type", mailTipsError.odataType);
    writer.writeAdditionalData(mailTipsError.additionalData);
}
exports.serializeMailTipsError = serializeMailTipsError;
// tslint:enable
// eslint-enable
