"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppClipboardSharingLevel = void 0;
/**
 * Represents the level to which the device's clipboard may be shared between apps
 */
var ManagedAppClipboardSharingLevel;
(function (ManagedAppClipboardSharingLevel) {
    /** Sharing is allowed between all apps, managed or not */
    ManagedAppClipboardSharingLevel["AllApps"] = "allApps";
    /** Sharing is allowed between all managed apps with paste in enabled */
    ManagedAppClipboardSharingLevel["ManagedAppsWithPasteIn"] = "managedAppsWithPasteIn";
    /** Sharing is allowed between all managed apps */
    ManagedAppClipboardSharingLevel["ManagedApps"] = "managedApps";
    /** Sharing between apps is disabled */
    ManagedAppClipboardSharingLevel["Blocked"] = "blocked";
})(ManagedAppClipboardSharingLevel || (exports.ManagedAppClipboardSharingLevel = ManagedAppClipboardSharingLevel = {}));
// tslint:enable
// eslint-enable
