"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppDataStorageLocation = void 0;
/**
 * Storage locations where managed apps can potentially store their data
 */
var ManagedAppDataStorageLocation;
(function (ManagedAppDataStorageLocation) {
    /** OneDrive for business */
    ManagedAppDataStorageLocation["OneDriveForBusiness"] = "oneDriveForBusiness";
    /** SharePoint */
    ManagedAppDataStorageLocation["SharePoint"] = "sharePoint";
    /** Box */
    ManagedAppDataStorageLocation["Box"] = "box";
    /** Local storage on the device */
    ManagedAppDataStorageLocation["LocalStorage"] = "localStorage";
})(ManagedAppDataStorageLocation || (exports.ManagedAppDataStorageLocation = ManagedAppDataStorageLocation = {}));
// tslint:enable
// eslint-enable
