import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppDiagnosticStatusFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppDiagnosticStatus;
export declare function deserializeIntoManagedAppDiagnosticStatus(managedAppDiagnosticStatus?: ManagedAppDiagnosticStatus | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppDiagnosticStatus extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Instruction on how to mitigate a failed validation
     */
    mitigationInstruction?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The state of the operation
     */
    state?: string;
    /**
     * The validation friendly name
     */
    validationName?: string;
}
export declare function serializeManagedAppDiagnosticStatus(writer: SerializationWriter, managedAppDiagnosticStatus?: ManagedAppDiagnosticStatus | undefined): void;
