"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeManagedAppDiagnosticStatus = exports.deserializeIntoManagedAppDiagnosticStatus = exports.createManagedAppDiagnosticStatusFromDiscriminatorValue = void 0;
function createManagedAppDiagnosticStatusFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoManagedAppDiagnosticStatus;
}
exports.createManagedAppDiagnosticStatusFromDiscriminatorValue = createManagedAppDiagnosticStatusFromDiscriminatorValue;
function deserializeIntoManagedAppDiagnosticStatus(managedAppDiagnosticStatus = {}) {
    return {
        "mitigationInstruction": n => { managedAppDiagnosticStatus.mitigationInstruction = n.getStringValue(); },
        "@odata.type": n => { managedAppDiagnosticStatus.odataType = n.getStringValue(); },
        "state": n => { managedAppDiagnosticStatus.state = n.getStringValue(); },
        "validationName": n => { managedAppDiagnosticStatus.validationName = n.getStringValue(); },
    };
}
exports.deserializeIntoManagedAppDiagnosticStatus = deserializeIntoManagedAppDiagnosticStatus;
function serializeManagedAppDiagnosticStatus(writer, managedAppDiagnosticStatus = {}) {
    writer.writeStringValue("mitigationInstruction", managedAppDiagnosticStatus.mitigationInstruction);
    writer.writeStringValue("@odata.type", managedAppDiagnosticStatus.odataType);
    writer.writeStringValue("state", managedAppDiagnosticStatus.state);
    writer.writeStringValue("validationName", managedAppDiagnosticStatus.validationName);
    writer.writeAdditionalData(managedAppDiagnosticStatus.additionalData);
}
exports.serializeManagedAppDiagnosticStatus = serializeManagedAppDiagnosticStatus;
// tslint:enable
// eslint-enable
