import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedAppOperation } from './managedAppOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppOperationCollectionResponse;
export declare function deserializeIntoManagedAppOperationCollectionResponse(managedAppOperationCollectionResponse?: ManagedAppOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppOperation[];
}
export declare function serializeManagedAppOperationCollectionResponse(writer: SerializationWriter, managedAppOperationCollectionResponse?: ManagedAppOperationCollectionResponse | undefined): void;
