import { type Entity } from './entity';
import { type ManagedAppPolicyDeploymentSummaryPerApp } from './managedAppPolicyDeploymentSummaryPerApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppPolicyDeploymentSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppPolicyDeploymentSummary;
export declare function deserializeIntoManagedAppPolicyDeploymentSummary(managedAppPolicyDeploymentSummary?: ManagedAppPolicyDeploymentSummary | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppPolicyDeploymentSummary extends Entity, Parsable {
    /**
     * Not yet documented
     */
    configurationDeployedUserCount?: number;
    /**
     * Not yet documented
     */
    configurationDeploymentSummaryPerApp?: ManagedAppPolicyDeploymentSummaryPerApp[];
    /**
     * Not yet documented
     */
    displayName?: string;
    /**
     * Not yet documented
     */
    lastRefreshTime?: Date;
    /**
     * Version of the entity.
     */
    version?: string;
}
export declare function serializeManagedAppPolicyDeploymentSummary(writer: SerializationWriter, managedAppPolicyDeploymentSummary?: ManagedAppPolicyDeploymentSummary | undefined): void;
