import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedAppStatus } from './managedAppStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedAppStatusCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedAppStatusCollectionResponse;
export declare function deserializeIntoManagedAppStatusCollectionResponse(managedAppStatusCollectionResponse?: ManagedAppStatusCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedAppStatusCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedAppStatus[];
}
export declare function serializeManagedAppStatusCollectionResponse(writer: SerializationWriter, managedAppStatusCollectionResponse?: ManagedAppStatusCollectionResponse | undefined): void;
