import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedDeviceMobileAppConfigurationAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedDeviceMobileAppConfigurationAssignment;
export declare function deserializeIntoManagedDeviceMobileAppConfigurationAssignment(managedDeviceMobileAppConfigurationAssignment?: ManagedDeviceMobileAppConfigurationAssignment | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedDeviceMobileAppConfigurationAssignment extends Entity, Parsable {
    /**
     * Assignment target that the T&C policy is assigned to.
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
export declare function serializeManagedDeviceMobileAppConfigurationAssignment(writer: SerializationWriter, managedDeviceMobileAppConfigurationAssignment?: ManagedDeviceMobileAppConfigurationAssignment | undefined): void;
