import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedDeviceMobileAppConfigurationDeviceStatus } from './managedDeviceMobileAppConfigurationDeviceStatus';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedDeviceMobileAppConfigurationDeviceStatusCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedDeviceMobileAppConfigurationDeviceStatusCollectionResponse;
export declare function deserializeIntoManagedDeviceMobileAppConfigurationDeviceStatusCollectionResponse(managedDeviceMobileAppConfigurationDeviceStatusCollectionResponse?: ManagedDeviceMobileAppConfigurationDeviceStatusCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedDeviceMobileAppConfigurationDeviceStatusCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedDeviceMobileAppConfigurationDeviceStatus[];
}
export declare function serializeManagedDeviceMobileAppConfigurationDeviceStatusCollectionResponse(writer: SerializationWriter, managedDeviceMobileAppConfigurationDeviceStatusCollectionResponse?: ManagedDeviceMobileAppConfigurationDeviceStatusCollectionResponse | undefined): void;
