import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ManagedMobileLobApp } from './managedMobileLobApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createManagedMobileLobAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoManagedMobileLobAppCollectionResponse;
export declare function deserializeIntoManagedMobileLobAppCollectionResponse(managedMobileLobAppCollectionResponse?: ManagedMobileLobAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ManagedMobileLobAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ManagedMobileLobApp[];
}
export declare function serializeManagedMobileLobAppCollectionResponse(writer: SerializationWriter, managedMobileLobAppCollectionResponse?: ManagedMobileLobAppCollectionResponse | undefined): void;
