import { type WindowsInformationProtection } from './windowsInformationProtection';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMdmWindowsInformationProtectionPolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMdmWindowsInformationProtectionPolicy;
export declare function deserializeIntoMdmWindowsInformationProtectionPolicy(mdmWindowsInformationProtectionPolicy?: MdmWindowsInformationProtectionPolicy | undefined): Record<string, (node: ParseNode) => void>;
export interface MdmWindowsInformationProtectionPolicy extends Parsable, WindowsInformationProtection {
}
export declare function serializeMdmWindowsInformationProtectionPolicy(writer: SerializationWriter, mdmWindowsInformationProtectionPolicy?: MdmWindowsInformationProtectionPolicy | undefined): void;
