import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MdmWindowsInformationProtectionPolicy } from './mdmWindowsInformationProtectionPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMdmWindowsInformationProtectionPolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMdmWindowsInformationProtectionPolicyCollectionResponse;
export declare function deserializeIntoMdmWindowsInformationProtectionPolicyCollectionResponse(mdmWindowsInformationProtectionPolicyCollectionResponse?: MdmWindowsInformationProtectionPolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MdmWindowsInformationProtectionPolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MdmWindowsInformationProtectionPolicy[];
}
export declare function serializeMdmWindowsInformationProtectionPolicyCollectionResponse(writer: SerializationWriter, mdmWindowsInformationProtectionPolicyCollectionResponse?: MdmWindowsInformationProtectionPolicyCollectionResponse | undefined): void;
