"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeMediaInfo = exports.deserializeIntoMediaInfo = exports.createMediaInfoFromDiscriminatorValue = void 0;
function createMediaInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoMediaInfo;
}
exports.createMediaInfoFromDiscriminatorValue = createMediaInfoFromDiscriminatorValue;
function deserializeIntoMediaInfo(mediaInfo = {}) {
    return {
        "@odata.type": n => { mediaInfo.odataType = n.getStringValue(); },
        "resourceId": n => { mediaInfo.resourceId = n.getStringValue(); },
        "uri": n => { mediaInfo.uri = n.getStringValue(); },
    };
}
exports.deserializeIntoMediaInfo = deserializeIntoMediaInfo;
function serializeMediaInfo(writer, mediaInfo = {}) {
    writer.writeStringValue("@odata.type", mediaInfo.odataType);
    writer.writeStringValue("resourceId", mediaInfo.resourceId);
    writer.writeStringValue("uri", mediaInfo.uri);
    writer.writeAdditionalData(mediaInfo.additionalData);
}
exports.serializeMediaInfo = serializeMediaInfo;
// tslint:enable
// eslint-enable
