import { type MediaInfo } from './mediaInfo';
import { type Prompt } from './prompt';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMediaPromptFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMediaPrompt;
export declare function deserializeIntoMediaPrompt(mediaPrompt?: MediaPrompt | undefined): Record<string, (node: ParseNode) => void>;
export interface MediaPrompt extends Parsable, Prompt {
    /**
     * The mediaInfo property
     */
    mediaInfo?: MediaInfo;
}
export declare function serializeMediaPrompt(writer: SerializationWriter, mediaPrompt?: MediaPrompt | undefined): void;
