import { type MeetingParticipantInfo } from './meetingParticipantInfo';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMeetingParticipantsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMeetingParticipants;
export declare function deserializeIntoMeetingParticipants(meetingParticipants?: MeetingParticipants | undefined): Record<string, (node: ParseNode) => void>;
export interface MeetingParticipants extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The attendees property
     */
    attendees?: MeetingParticipantInfo[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The organizer property
     */
    organizer?: MeetingParticipantInfo;
}
export declare function serializeMeetingParticipants(writer: SerializationWriter, meetingParticipants?: MeetingParticipants | undefined): void;
