import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Message } from './message';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMessageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMessageCollectionResponse;
export declare function deserializeIntoMessageCollectionResponse(messageCollectionResponse?: MessageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MessageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Message[];
}
export declare function serializeMessageCollectionResponse(writer: SerializationWriter, messageCollectionResponse?: MessageCollectionResponse | undefined): void;
