import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MessageRule } from './messageRule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMessageRuleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMessageRuleCollectionResponse;
export declare function deserializeIntoMessageRuleCollectionResponse(messageRuleCollectionResponse?: MessageRuleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MessageRuleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MessageRule[];
}
export declare function serializeMessageRuleCollectionResponse(writer: SerializationWriter, messageRuleCollectionResponse?: MessageRuleCollectionResponse | undefined): void;
