import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MicrosoftAuthenticatorAuthenticationMethod } from './microsoftAuthenticatorAuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftAuthenticatorAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftAuthenticatorAuthenticationMethodCollectionResponse;
export declare function deserializeIntoMicrosoftAuthenticatorAuthenticationMethodCollectionResponse(microsoftAuthenticatorAuthenticationMethodCollectionResponse?: MicrosoftAuthenticatorAuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftAuthenticatorAuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MicrosoftAuthenticatorAuthenticationMethod[];
}
export declare function serializeMicrosoftAuthenticatorAuthenticationMethodCollectionResponse(writer: SerializationWriter, microsoftAuthenticatorAuthenticationMethodCollectionResponse?: MicrosoftAuthenticatorAuthenticationMethodCollectionResponse | undefined): void;
