import { type MobileAppAssignmentSettings } from './mobileAppAssignmentSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMicrosoftStoreForBusinessAppAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMicrosoftStoreForBusinessAppAssignmentSettings;
export declare function deserializeIntoMicrosoftStoreForBusinessAppAssignmentSettings(microsoftStoreForBusinessAppAssignmentSettings?: MicrosoftStoreForBusinessAppAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface MicrosoftStoreForBusinessAppAssignmentSettings extends MobileAppAssignmentSettings, Parsable {
    /**
     * Whether or not to use device execution context for Microsoft Store for Business mobile app.
     */
    useDeviceContext?: boolean;
}
export declare function serializeMicrosoftStoreForBusinessAppAssignmentSettings(writer: SerializationWriter, microsoftStoreForBusinessAppAssignmentSettings?: MicrosoftStoreForBusinessAppAssignmentSettings | undefined): void;
