"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MiracastChannel = void 0;
/**
 * Possible values for Miracast channel.
 */
var MiracastChannel;
(function (MiracastChannel) {
    /** User Defined, default value, no intent. */
    MiracastChannel["UserDefined"] = "userDefined";
    /** One. */
    MiracastChannel["One"] = "one";
    /** Two. */
    MiracastChannel["Two"] = "two";
    /** Three. */
    MiracastChannel["Three"] = "three";
    /** Four. */
    MiracastChannel["Four"] = "four";
    /** Five. */
    MiracastChannel["Five"] = "five";
    /** Six. */
    MiracastChannel["Six"] = "six";
    /** Seven. */
    MiracastChannel["Seven"] = "seven";
    /** Eight. */
    MiracastChannel["Eight"] = "eight";
    /** Nine. */
    MiracastChannel["Nine"] = "nine";
    /** Ten. */
    MiracastChannel["Ten"] = "ten";
    /** Eleven. */
    MiracastChannel["Eleven"] = "eleven";
    /** Thirty-Six. */
    MiracastChannel["ThirtySix"] = "thirtySix";
    /** Forty. */
    MiracastChannel["Forty"] = "forty";
    /** Forty-Four. */
    MiracastChannel["FortyFour"] = "fortyFour";
    /** Forty-Eight. */
    MiracastChannel["FortyEight"] = "fortyEight";
    /** OneHundredForty-Nine. */
    MiracastChannel["OneHundredFortyNine"] = "oneHundredFortyNine";
    /** OneHundredFifty-Three. */
    MiracastChannel["OneHundredFiftyThree"] = "oneHundredFiftyThree";
    /** OneHundredFifty-Seven. */
    MiracastChannel["OneHundredFiftySeven"] = "oneHundredFiftySeven";
    /** OneHundredSixty-One. */
    MiracastChannel["OneHundredSixtyOne"] = "oneHundredSixtyOne";
    /** OneHundredSixty-Five. */
    MiracastChannel["OneHundredSixtyFive"] = "oneHundredSixtyFive";
})(MiracastChannel || (exports.MiracastChannel = MiracastChannel = {}));
// tslint:enable
// eslint-enable
