import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileAppAssignment } from './mobileAppAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppAssignmentCollectionResponse;
export declare function deserializeIntoMobileAppAssignmentCollectionResponse(mobileAppAssignmentCollectionResponse?: MobileAppAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileAppAssignment[];
}
export declare function serializeMobileAppAssignmentCollectionResponse(writer: SerializationWriter, mobileAppAssignmentCollectionResponse?: MobileAppAssignmentCollectionResponse | undefined): void;
