import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppCategoryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppCategory;
export declare function deserializeIntoMobileAppCategory(mobileAppCategory?: MobileAppCategory | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppCategory extends Entity, Parsable {
    /**
     * The name of the app category.
     */
    displayName?: string;
    /**
     * The date and time the mobileAppCategory was last modified.
     */
    lastModifiedDateTime?: Date;
}
export declare function serializeMobileAppCategory(writer: SerializationWriter, mobileAppCategory?: MobileAppCategory | undefined): void;
