import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppCollectionResponse;
export declare function deserializeIntoMobileAppCollectionResponse(mobileAppCollectionResponse?: MobileAppCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileApp[];
}
export declare function serializeMobileAppCollectionResponse(writer: SerializationWriter, mobileAppCollectionResponse?: MobileAppCollectionResponse | undefined): void;
