import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type MobileAppContentFile } from './mobileAppContentFile';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createMobileAppContentFileCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoMobileAppContentFileCollectionResponse;
export declare function deserializeIntoMobileAppContentFileCollectionResponse(mobileAppContentFileCollectionResponse?: MobileAppContentFileCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface MobileAppContentFileCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: MobileAppContentFile[];
}
export declare function serializeMobileAppContentFileCollectionResponse(writer: SerializationWriter, mobileAppContentFileCollectionResponse?: MobileAppContentFileCollectionResponse | undefined): void;
