import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type NamedLocation } from './namedLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNamedLocationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNamedLocationCollectionResponse;
export declare function deserializeIntoNamedLocationCollectionResponse(namedLocationCollectionResponse?: NamedLocationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface NamedLocationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: NamedLocation[];
}
export declare function serializeNamedLocationCollectionResponse(writer: SerializationWriter, namedLocationCollectionResponse?: NamedLocationCollectionResponse | undefined): void;
