import { type EndUserNotificationSetting } from './endUserNotificationSetting';
import { type SimulationNotification } from './simulationNotification';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createNoTrainingNotificationSettingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoNoTrainingNotificationSetting;
export declare function deserializeIntoNoTrainingNotificationSetting(noTrainingNotificationSetting?: NoTrainingNotificationSetting | undefined): Record<string, (node: ParseNode) => void>;
export interface NoTrainingNotificationSetting extends EndUserNotificationSetting, Parsable {
    /**
     * The notification for the user who is part of the simulation.
     */
    simulationNotification?: SimulationNotification;
}
export declare function serializeNoTrainingNotificationSetting(writer: SerializationWriter, noTrainingNotificationSetting?: NoTrainingNotificationSetting | undefined): void;
