import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingBooleanFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingBoolean;
export declare function deserializeIntoOmaSettingBoolean(omaSettingBoolean?: OmaSettingBoolean | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSettingBoolean extends OmaSetting, Parsable {
    /**
     * Value.
     */
    value?: boolean;
}
export declare function serializeOmaSettingBoolean(writer: SerializationWriter, omaSettingBoolean?: OmaSettingBoolean | undefined): void;
