import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingDateTimeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingDateTime;
export declare function deserializeIntoOmaSettingDateTime(omaSettingDateTime?: OmaSettingDateTime | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSettingDateTime extends OmaSetting, Parsable {
    /**
     * Value.
     */
    value?: Date;
}
export declare function serializeOmaSettingDateTime(writer: SerializationWriter, omaSettingDateTime?: OmaSettingDateTime | undefined): void;
