import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingIntegerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingInteger;
export declare function deserializeIntoOmaSettingInteger(omaSettingInteger?: OmaSettingInteger | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSettingInteger extends OmaSetting, Parsable {
    /**
     * Value.
     */
    value?: number;
}
export declare function serializeOmaSettingInteger(writer: SerializationWriter, omaSettingInteger?: OmaSettingInteger | undefined): void;
