import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingStringFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingString;
export declare function deserializeIntoOmaSettingString(omaSettingString?: OmaSettingString | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSettingString extends OmaSetting, Parsable {
    /**
     * Value.
     */
    value?: string;
}
export declare function serializeOmaSettingString(writer: SerializationWriter, omaSettingString?: OmaSettingString | undefined): void;
