import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOmaSettingStringXmlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOmaSettingStringXml;
export declare function deserializeIntoOmaSettingStringXml(omaSettingStringXml?: OmaSettingStringXml | undefined): Record<string, (node: ParseNode) => void>;
export interface OmaSettingStringXml extends OmaSetting, Parsable {
    /**
     * File name associated with the Value property (.xml).
     */
    fileName?: string;
    /**
     * Value. (UTF8 encoded byte array)
     */
    value?: string;
}
export declare function serializeOmaSettingStringXml(writer: SerializationWriter, omaSettingStringXml?: OmaSettingStringXml | undefined): void;
