import { type OnPremisesAccidentalDeletionPrevention } from './onPremisesAccidentalDeletionPrevention';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnPremisesDirectorySynchronizationConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnPremisesDirectorySynchronizationConfiguration;
export declare function deserializeIntoOnPremisesDirectorySynchronizationConfiguration(onPremisesDirectorySynchronizationConfiguration?: OnPremisesDirectorySynchronizationConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export interface OnPremisesDirectorySynchronizationConfiguration extends AdditionalDataHolder, Parsable {
    /**
     * Contains the accidental deletion prevention configuration for a tenant.
     */
    accidentalDeletionPrevention?: OnPremisesAccidentalDeletionPrevention;
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeOnPremisesDirectorySynchronizationConfiguration(writer: SerializationWriter, onPremisesDirectorySynchronizationConfiguration?: OnPremisesDirectorySynchronizationConfiguration | undefined): void;
