"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOnPremisesDirectorySynchronizationFeature = exports.deserializeIntoOnPremisesDirectorySynchronizationFeature = exports.createOnPremisesDirectorySynchronizationFeatureFromDiscriminatorValue = void 0;
function createOnPremisesDirectorySynchronizationFeatureFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOnPremisesDirectorySynchronizationFeature;
}
exports.createOnPremisesDirectorySynchronizationFeatureFromDiscriminatorValue = createOnPremisesDirectorySynchronizationFeatureFromDiscriminatorValue;
function deserializeIntoOnPremisesDirectorySynchronizationFeature(onPremisesDirectorySynchronizationFeature = {}) {
    return {
        "blockCloudObjectTakeoverThroughHardMatchEnabled": n => { onPremisesDirectorySynchronizationFeature.blockCloudObjectTakeoverThroughHardMatchEnabled = n.getBooleanValue(); },
        "blockSoftMatchEnabled": n => { onPremisesDirectorySynchronizationFeature.blockSoftMatchEnabled = n.getBooleanValue(); },
        "bypassDirSyncOverridesEnabled": n => { onPremisesDirectorySynchronizationFeature.bypassDirSyncOverridesEnabled = n.getBooleanValue(); },
        "cloudPasswordPolicyForPasswordSyncedUsersEnabled": n => { onPremisesDirectorySynchronizationFeature.cloudPasswordPolicyForPasswordSyncedUsersEnabled = n.getBooleanValue(); },
        "concurrentCredentialUpdateEnabled": n => { onPremisesDirectorySynchronizationFeature.concurrentCredentialUpdateEnabled = n.getBooleanValue(); },
        "concurrentOrgIdProvisioningEnabled": n => { onPremisesDirectorySynchronizationFeature.concurrentOrgIdProvisioningEnabled = n.getBooleanValue(); },
        "deviceWritebackEnabled": n => { onPremisesDirectorySynchronizationFeature.deviceWritebackEnabled = n.getBooleanValue(); },
        "directoryExtensionsEnabled": n => { onPremisesDirectorySynchronizationFeature.directoryExtensionsEnabled = n.getBooleanValue(); },
        "fopeConflictResolutionEnabled": n => { onPremisesDirectorySynchronizationFeature.fopeConflictResolutionEnabled = n.getBooleanValue(); },
        "groupWriteBackEnabled": n => { onPremisesDirectorySynchronizationFeature.groupWriteBackEnabled = n.getBooleanValue(); },
        "@odata.type": n => { onPremisesDirectorySynchronizationFeature.odataType = n.getStringValue(); },
        "passwordSyncEnabled": n => { onPremisesDirectorySynchronizationFeature.passwordSyncEnabled = n.getBooleanValue(); },
        "passwordWritebackEnabled": n => { onPremisesDirectorySynchronizationFeature.passwordWritebackEnabled = n.getBooleanValue(); },
        "quarantineUponProxyAddressesConflictEnabled": n => { onPremisesDirectorySynchronizationFeature.quarantineUponProxyAddressesConflictEnabled = n.getBooleanValue(); },
        "quarantineUponUpnConflictEnabled": n => { onPremisesDirectorySynchronizationFeature.quarantineUponUpnConflictEnabled = n.getBooleanValue(); },
        "softMatchOnUpnEnabled": n => { onPremisesDirectorySynchronizationFeature.softMatchOnUpnEnabled = n.getBooleanValue(); },
        "synchronizeUpnForManagedUsersEnabled": n => { onPremisesDirectorySynchronizationFeature.synchronizeUpnForManagedUsersEnabled = n.getBooleanValue(); },
        "unifiedGroupWritebackEnabled": n => { onPremisesDirectorySynchronizationFeature.unifiedGroupWritebackEnabled = n.getBooleanValue(); },
        "userForcePasswordChangeOnLogonEnabled": n => { onPremisesDirectorySynchronizationFeature.userForcePasswordChangeOnLogonEnabled = n.getBooleanValue(); },
        "userWritebackEnabled": n => { onPremisesDirectorySynchronizationFeature.userWritebackEnabled = n.getBooleanValue(); },
    };
}
exports.deserializeIntoOnPremisesDirectorySynchronizationFeature = deserializeIntoOnPremisesDirectorySynchronizationFeature;
function serializeOnPremisesDirectorySynchronizationFeature(writer, onPremisesDirectorySynchronizationFeature = {}) {
    writer.writeBooleanValue("blockCloudObjectTakeoverThroughHardMatchEnabled", onPremisesDirectorySynchronizationFeature.blockCloudObjectTakeoverThroughHardMatchEnabled);
    writer.writeBooleanValue("blockSoftMatchEnabled", onPremisesDirectorySynchronizationFeature.blockSoftMatchEnabled);
    writer.writeBooleanValue("bypassDirSyncOverridesEnabled", onPremisesDirectorySynchronizationFeature.bypassDirSyncOverridesEnabled);
    writer.writeBooleanValue("cloudPasswordPolicyForPasswordSyncedUsersEnabled", onPremisesDirectorySynchronizationFeature.cloudPasswordPolicyForPasswordSyncedUsersEnabled);
    writer.writeBooleanValue("concurrentCredentialUpdateEnabled", onPremisesDirectorySynchronizationFeature.concurrentCredentialUpdateEnabled);
    writer.writeBooleanValue("concurrentOrgIdProvisioningEnabled", onPremisesDirectorySynchronizationFeature.concurrentOrgIdProvisioningEnabled);
    writer.writeBooleanValue("deviceWritebackEnabled", onPremisesDirectorySynchronizationFeature.deviceWritebackEnabled);
    writer.writeBooleanValue("directoryExtensionsEnabled", onPremisesDirectorySynchronizationFeature.directoryExtensionsEnabled);
    writer.writeBooleanValue("fopeConflictResolutionEnabled", onPremisesDirectorySynchronizationFeature.fopeConflictResolutionEnabled);
    writer.writeBooleanValue("groupWriteBackEnabled", onPremisesDirectorySynchronizationFeature.groupWriteBackEnabled);
    writer.writeStringValue("@odata.type", onPremisesDirectorySynchronizationFeature.odataType);
    writer.writeBooleanValue("passwordSyncEnabled", onPremisesDirectorySynchronizationFeature.passwordSyncEnabled);
    writer.writeBooleanValue("passwordWritebackEnabled", onPremisesDirectorySynchronizationFeature.passwordWritebackEnabled);
    writer.writeBooleanValue("quarantineUponProxyAddressesConflictEnabled", onPremisesDirectorySynchronizationFeature.quarantineUponProxyAddressesConflictEnabled);
    writer.writeBooleanValue("quarantineUponUpnConflictEnabled", onPremisesDirectorySynchronizationFeature.quarantineUponUpnConflictEnabled);
    writer.writeBooleanValue("softMatchOnUpnEnabled", onPremisesDirectorySynchronizationFeature.softMatchOnUpnEnabled);
    writer.writeBooleanValue("synchronizeUpnForManagedUsersEnabled", onPremisesDirectorySynchronizationFeature.synchronizeUpnForManagedUsersEnabled);
    writer.writeBooleanValue("unifiedGroupWritebackEnabled", onPremisesDirectorySynchronizationFeature.unifiedGroupWritebackEnabled);
    writer.writeBooleanValue("userForcePasswordChangeOnLogonEnabled", onPremisesDirectorySynchronizationFeature.userForcePasswordChangeOnLogonEnabled);
    writer.writeBooleanValue("userWritebackEnabled", onPremisesDirectorySynchronizationFeature.userWritebackEnabled);
    writer.writeAdditionalData(onPremisesDirectorySynchronizationFeature.additionalData);
}
exports.serializeOnPremisesDirectorySynchronizationFeature = serializeOnPremisesDirectorySynchronizationFeature;
// tslint:enable
// eslint-enable
