"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOnPremisesExtensionAttributes = exports.deserializeIntoOnPremisesExtensionAttributes = exports.createOnPremisesExtensionAttributesFromDiscriminatorValue = void 0;
function createOnPremisesExtensionAttributesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOnPremisesExtensionAttributes;
}
exports.createOnPremisesExtensionAttributesFromDiscriminatorValue = createOnPremisesExtensionAttributesFromDiscriminatorValue;
function deserializeIntoOnPremisesExtensionAttributes(onPremisesExtensionAttributes = {}) {
    return {
        "extensionAttribute1": n => { onPremisesExtensionAttributes.extensionAttribute1 = n.getStringValue(); },
        "extensionAttribute10": n => { onPremisesExtensionAttributes.extensionAttribute10 = n.getStringValue(); },
        "extensionAttribute11": n => { onPremisesExtensionAttributes.extensionAttribute11 = n.getStringValue(); },
        "extensionAttribute12": n => { onPremisesExtensionAttributes.extensionAttribute12 = n.getStringValue(); },
        "extensionAttribute13": n => { onPremisesExtensionAttributes.extensionAttribute13 = n.getStringValue(); },
        "extensionAttribute14": n => { onPremisesExtensionAttributes.extensionAttribute14 = n.getStringValue(); },
        "extensionAttribute15": n => { onPremisesExtensionAttributes.extensionAttribute15 = n.getStringValue(); },
        "extensionAttribute2": n => { onPremisesExtensionAttributes.extensionAttribute2 = n.getStringValue(); },
        "extensionAttribute3": n => { onPremisesExtensionAttributes.extensionAttribute3 = n.getStringValue(); },
        "extensionAttribute4": n => { onPremisesExtensionAttributes.extensionAttribute4 = n.getStringValue(); },
        "extensionAttribute5": n => { onPremisesExtensionAttributes.extensionAttribute5 = n.getStringValue(); },
        "extensionAttribute6": n => { onPremisesExtensionAttributes.extensionAttribute6 = n.getStringValue(); },
        "extensionAttribute7": n => { onPremisesExtensionAttributes.extensionAttribute7 = n.getStringValue(); },
        "extensionAttribute8": n => { onPremisesExtensionAttributes.extensionAttribute8 = n.getStringValue(); },
        "extensionAttribute9": n => { onPremisesExtensionAttributes.extensionAttribute9 = n.getStringValue(); },
        "@odata.type": n => { onPremisesExtensionAttributes.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoOnPremisesExtensionAttributes = deserializeIntoOnPremisesExtensionAttributes;
function serializeOnPremisesExtensionAttributes(writer, onPremisesExtensionAttributes = {}) {
    writer.writeStringValue("extensionAttribute1", onPremisesExtensionAttributes.extensionAttribute1);
    writer.writeStringValue("extensionAttribute10", onPremisesExtensionAttributes.extensionAttribute10);
    writer.writeStringValue("extensionAttribute11", onPremisesExtensionAttributes.extensionAttribute11);
    writer.writeStringValue("extensionAttribute12", onPremisesExtensionAttributes.extensionAttribute12);
    writer.writeStringValue("extensionAttribute13", onPremisesExtensionAttributes.extensionAttribute13);
    writer.writeStringValue("extensionAttribute14", onPremisesExtensionAttributes.extensionAttribute14);
    writer.writeStringValue("extensionAttribute15", onPremisesExtensionAttributes.extensionAttribute15);
    writer.writeStringValue("extensionAttribute2", onPremisesExtensionAttributes.extensionAttribute2);
    writer.writeStringValue("extensionAttribute3", onPremisesExtensionAttributes.extensionAttribute3);
    writer.writeStringValue("extensionAttribute4", onPremisesExtensionAttributes.extensionAttribute4);
    writer.writeStringValue("extensionAttribute5", onPremisesExtensionAttributes.extensionAttribute5);
    writer.writeStringValue("extensionAttribute6", onPremisesExtensionAttributes.extensionAttribute6);
    writer.writeStringValue("extensionAttribute7", onPremisesExtensionAttributes.extensionAttribute7);
    writer.writeStringValue("extensionAttribute8", onPremisesExtensionAttributes.extensionAttribute8);
    writer.writeStringValue("extensionAttribute9", onPremisesExtensionAttributes.extensionAttribute9);
    writer.writeStringValue("@odata.type", onPremisesExtensionAttributes.odataType);
    writer.writeAdditionalData(onPremisesExtensionAttributes.additionalData);
}
exports.serializeOnPremisesExtensionAttributes = serializeOnPremisesExtensionAttributes;
// tslint:enable
// eslint-enable
