"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOnPremisesProvisioningError = exports.deserializeIntoOnPremisesProvisioningError = exports.createOnPremisesProvisioningErrorFromDiscriminatorValue = void 0;
function createOnPremisesProvisioningErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOnPremisesProvisioningError;
}
exports.createOnPremisesProvisioningErrorFromDiscriminatorValue = createOnPremisesProvisioningErrorFromDiscriminatorValue;
function deserializeIntoOnPremisesProvisioningError(onPremisesProvisioningError = {}) {
    return {
        "category": n => { onPremisesProvisioningError.category = n.getStringValue(); },
        "occurredDateTime": n => { onPremisesProvisioningError.occurredDateTime = n.getDateValue(); },
        "@odata.type": n => { onPremisesProvisioningError.odataType = n.getStringValue(); },
        "propertyCausingError": n => { onPremisesProvisioningError.propertyCausingError = n.getStringValue(); },
        "value": n => { onPremisesProvisioningError.value = n.getStringValue(); },
    };
}
exports.deserializeIntoOnPremisesProvisioningError = deserializeIntoOnPremisesProvisioningError;
function serializeOnPremisesProvisioningError(writer, onPremisesProvisioningError = {}) {
    writer.writeStringValue("category", onPremisesProvisioningError.category);
    writer.writeDateValue("occurredDateTime", onPremisesProvisioningError.occurredDateTime);
    writer.writeStringValue("@odata.type", onPremisesProvisioningError.odataType);
    writer.writeStringValue("propertyCausingError", onPremisesProvisioningError.propertyCausingError);
    writer.writeStringValue("value", onPremisesProvisioningError.value);
    writer.writeAdditionalData(onPremisesProvisioningError.additionalData);
}
exports.serializeOnPremisesProvisioningError = serializeOnPremisesProvisioningError;
// tslint:enable
// eslint-enable
