import { type Entity } from './entity';
import { deserializeIntoOnenotePage } from './onenotePage';
import { deserializeIntoSectionGroup } from './sectionGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteEntityBaseModelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSectionGroup | typeof deserializeIntoOnenotePage;
export declare function deserializeIntoOnenoteEntityBaseModel(onenoteEntityBaseModel?: OnenoteEntityBaseModel | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteEntityBaseModel extends Entity, Parsable {
    /**
     * The endpoint where you can get details about the page. Read-only.
     */
    self?: string;
}
export declare function serializeOnenoteEntityBaseModel(writer: SerializationWriter, onenoteEntityBaseModel?: OnenoteEntityBaseModel | undefined): void;
