import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OnenoteOperation } from './onenoteOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteOperationCollectionResponse;
export declare function deserializeIntoOnenoteOperationCollectionResponse(onenoteOperationCollectionResponse?: OnenoteOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OnenoteOperation[];
}
export declare function serializeOnenoteOperationCollectionResponse(writer: SerializationWriter, onenoteOperationCollectionResponse?: OnenoteOperationCollectionResponse | undefined): void;
