import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteOperationErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteOperationError;
export declare function deserializeIntoOnenoteOperationError(onenoteOperationError?: OnenoteOperationError | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteOperationError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The error code.
     */
    code?: string;
    /**
     * The error message.
     */
    message?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeOnenoteOperationError(writer: SerializationWriter, onenoteOperationError?: OnenoteOperationError | undefined): void;
