import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OnenotePage } from './onenotePage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenotePageCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenotePageCollectionResponse;
export declare function deserializeIntoOnenotePageCollectionResponse(onenotePageCollectionResponse?: OnenotePageCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenotePageCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OnenotePage[];
}
export declare function serializeOnenotePageCollectionResponse(writer: SerializationWriter, onenotePageCollectionResponse?: OnenotePageCollectionResponse | undefined): void;
