import { type OnenotePagePreviewLinks } from './onenotePagePreviewLinks';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenotePagePreviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenotePagePreview;
export declare function deserializeIntoOnenotePagePreview(onenotePagePreview?: OnenotePagePreview | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenotePagePreview extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The links property
     */
    links?: OnenotePagePreviewLinks;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The previewText property
     */
    previewText?: string;
}
export declare function serializeOnenotePagePreview(writer: SerializationWriter, onenotePagePreview?: OnenotePagePreview | undefined): void;
