import { type OnenoteEntityBaseModel } from './onenoteEntityBaseModel';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteResourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteResource;
export declare function deserializeIntoOnenoteResource(onenoteResource?: OnenoteResource | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteResource extends OnenoteEntityBaseModel, Parsable {
    /**
     * The content stream
     */
    content?: string;
    /**
     * The URL for downloading the content
     */
    contentUrl?: string;
}
export declare function serializeOnenoteResource(writer: SerializationWriter, onenoteResource?: OnenoteResource | undefined): void;
