import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OnenoteResource } from './onenoteResource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOnenoteResourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOnenoteResourceCollectionResponse;
export declare function deserializeIntoOnenoteResourceCollectionResponse(onenoteResourceCollectionResponse?: OnenoteResourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OnenoteResourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OnenoteResource[];
}
export declare function serializeOnenoteResourceCollectionResponse(writer: SerializationWriter, onenoteResourceCollectionResponse?: OnenoteResourceCollectionResponse | undefined): void;
