import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OpenShiftChangeRequest } from './openShiftChangeRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOpenShiftChangeRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOpenShiftChangeRequestCollectionResponse;
export declare function deserializeIntoOpenShiftChangeRequestCollectionResponse(openShiftChangeRequestCollectionResponse?: OpenShiftChangeRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OpenShiftChangeRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OpenShiftChangeRequest[];
}
export declare function serializeOpenShiftChangeRequestCollectionResponse(writer: SerializationWriter, openShiftChangeRequestCollectionResponse?: OpenShiftChangeRequestCollectionResponse | undefined): void;
