"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperatingSystemUpgradeEligibility = void 0;
/**
 * Work From Anywhere windows device upgrade eligibility status.
 */
var OperatingSystemUpgradeEligibility;
(function (OperatingSystemUpgradeEligibility) {
    /** The device is upgraded to latest version of windows. */
    OperatingSystemUpgradeEligibility["Upgraded"] = "upgraded";
    /** Not enough data available to compute the eligibility of device for windows upgrade. */
    OperatingSystemUpgradeEligibility["Unknown"] = "unknown";
    /** The device is not capable for windows upgrade. */
    OperatingSystemUpgradeEligibility["NotCapable"] = "notCapable";
    /** The device is capable for windows upgrade. */
    OperatingSystemUpgradeEligibility["Capable"] = "capable";
    /** Evolvable enumeration sentinel value. Do not use. */
    OperatingSystemUpgradeEligibility["UnknownFutureValue"] = "unknownFutureValue";
})(OperatingSystemUpgradeEligibility || (exports.OperatingSystemUpgradeEligibility = OperatingSystemUpgradeEligibility = {}));
// tslint:enable
// eslint-enable
