"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOperationError = exports.deserializeIntoOperationError = exports.createOperationErrorFromDiscriminatorValue = void 0;
function createOperationErrorFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOperationError;
}
exports.createOperationErrorFromDiscriminatorValue = createOperationErrorFromDiscriminatorValue;
function deserializeIntoOperationError(operationError = {}) {
    return {
        "code": n => { operationError.code = n.getStringValue(); },
        "message": n => { operationError.message = n.getStringValue(); },
        "@odata.type": n => { operationError.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoOperationError = deserializeIntoOperationError;
function serializeOperationError(writer, operationError = {}) {
    writer.writeStringValue("code", operationError.code);
    writer.writeStringValue("message", operationError.message);
    writer.writeStringValue("@odata.type", operationError.odataType);
    writer.writeAdditionalData(operationError.additionalData);
}
exports.serializeOperationError = serializeOperationError;
// tslint:enable
// eslint-enable
