import { type OrganizationalBrandingLocalization } from './organizationalBrandingLocalization';
import { type OrganizationalBrandingProperties } from './organizationalBrandingProperties';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOrganizationalBrandingFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOrganizationalBranding;
export declare function deserializeIntoOrganizationalBranding(organizationalBranding?: OrganizationalBranding | undefined): Record<string, (node: ParseNode) => void>;
export interface OrganizationalBranding extends OrganizationalBrandingProperties, Parsable {
    /**
     * Add different branding based on a locale.
     */
    localizations?: OrganizationalBrandingLocalization[];
}
export declare function serializeOrganizationalBranding(writer: SerializationWriter, organizationalBranding?: OrganizationalBranding | undefined): void;
