import { type OrganizationalBrandingProperties } from './organizationalBrandingProperties';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOrganizationalBrandingLocalizationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOrganizationalBrandingLocalization;
export declare function deserializeIntoOrganizationalBrandingLocalization(organizationalBrandingLocalization?: OrganizationalBrandingLocalization | undefined): Record<string, (node: ParseNode) => void>;
export interface OrganizationalBrandingLocalization extends OrganizationalBrandingProperties, Parsable {
}
export declare function serializeOrganizationalBrandingLocalization(writer: SerializationWriter, organizationalBrandingLocalization?: OrganizationalBrandingLocalization | undefined): void;
