import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type OrganizationalBrandingLocalization } from './organizationalBrandingLocalization';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOrganizationalBrandingLocalizationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOrganizationalBrandingLocalizationCollectionResponse;
export declare function deserializeIntoOrganizationalBrandingLocalizationCollectionResponse(organizationalBrandingLocalizationCollectionResponse?: OrganizationalBrandingLocalizationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface OrganizationalBrandingLocalizationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: OrganizationalBrandingLocalization[];
}
export declare function serializeOrganizationalBrandingLocalizationCollectionResponse(writer: SerializationWriter, organizationalBrandingLocalizationCollectionResponse?: OrganizationalBrandingLocalizationCollectionResponse | undefined): void;
