import { type IdentitySet } from './identitySet';
import { type MeetingInfo } from './meetingInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createOrganizerMeetingInfoFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoOrganizerMeetingInfo;
export declare function deserializeIntoOrganizerMeetingInfo(organizerMeetingInfo?: OrganizerMeetingInfo | undefined): Record<string, (node: ParseNode) => void>;
export interface OrganizerMeetingInfo extends MeetingInfo, Parsable {
    /**
     * The organizer property
     */
    organizer?: IdentitySet;
}
export declare function serializeOrganizerMeetingInfo(writer: SerializationWriter, organizerMeetingInfo?: OrganizerMeetingInfo | undefined): void;
