"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeOsVersionCount = exports.deserializeIntoOsVersionCount = exports.createOsVersionCountFromDiscriminatorValue = void 0;
function createOsVersionCountFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoOsVersionCount;
}
exports.createOsVersionCountFromDiscriminatorValue = createOsVersionCountFromDiscriminatorValue;
function deserializeIntoOsVersionCount(osVersionCount = {}) {
    return {
        "deviceCount": n => { osVersionCount.deviceCount = n.getNumberValue(); },
        "lastUpdateDateTime": n => { osVersionCount.lastUpdateDateTime = n.getDateValue(); },
        "@odata.type": n => { osVersionCount.odataType = n.getStringValue(); },
        "osVersion": n => { osVersionCount.osVersion = n.getStringValue(); },
    };
}
exports.deserializeIntoOsVersionCount = deserializeIntoOsVersionCount;
function serializeOsVersionCount(writer, osVersionCount = {}) {
    writer.writeNumberValue("deviceCount", osVersionCount.deviceCount);
    writer.writeDateValue("lastUpdateDateTime", osVersionCount.lastUpdateDateTime);
    writer.writeStringValue("@odata.type", osVersionCount.odataType);
    writer.writeStringValue("osVersion", osVersionCount.osVersion);
    writer.writeAdditionalData(osVersionCount.additionalData);
}
exports.serializeOsVersionCount = serializeOsVersionCount;
// tslint:enable
// eslint-enable
