import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPackageEscapedFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPackageEscaped;
export declare function deserializeIntoPackageEscaped(packageEscaped?: PackageEscaped | undefined): Record<string, (node: ParseNode) => void>;
export interface PackageEscaped extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A string indicating the type of package. While oneNote is the only currently defined value, you should expect other package types to be returned and handle them accordingly.
     */
    type?: string;
}
export declare function serializePackageEscaped(writer: SerializationWriter, packageEscaped?: PackageEscaped | undefined): void;
