import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPasswordResetResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPasswordResetResponse;
export declare function deserializeIntoPasswordResetResponse(passwordResetResponse?: PasswordResetResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PasswordResetResponse extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The Microsoft Entra ID-generated password.
     */
    newPassword?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePasswordResetResponse(writer: SerializationWriter, passwordResetResponse?: PasswordResetResponse | undefined): void;
