import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PermissionGrantConditionSet } from './permissionGrantConditionSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPermissionGrantConditionSetCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPermissionGrantConditionSetCollectionResponse;
export declare function deserializeIntoPermissionGrantConditionSetCollectionResponse(permissionGrantConditionSetCollectionResponse?: PermissionGrantConditionSetCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PermissionGrantConditionSetCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PermissionGrantConditionSet[];
}
export declare function serializePermissionGrantConditionSetCollectionResponse(writer: SerializationWriter, permissionGrantConditionSetCollectionResponse?: PermissionGrantConditionSetCollectionResponse | undefined): void;
