import { type ConditionalAccessSessionControl } from './conditionalAccessSessionControl';
import { PersistentBrowserSessionMode } from './persistentBrowserSessionMode';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPersistentBrowserSessionControlFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPersistentBrowserSessionControl;
export declare function deserializeIntoPersistentBrowserSessionControl(persistentBrowserSessionControl?: PersistentBrowserSessionControl | undefined): Record<string, (node: ParseNode) => void>;
export interface PersistentBrowserSessionControl extends ConditionalAccessSessionControl, Parsable {
    /**
     * Possible values are: always, never.
     */
    mode?: PersistentBrowserSessionMode;
}
export declare function serializePersistentBrowserSessionControl(writer: SerializationWriter, persistentBrowserSessionControl?: PersistentBrowserSessionControl | undefined): void;
