import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Person } from './person';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPersonCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPersonCollectionResponse;
export declare function deserializeIntoPersonCollectionResponse(personCollectionResponse?: PersonCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PersonCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Person[];
}
export declare function serializePersonCollectionResponse(writer: SerializationWriter, personCollectionResponse?: PersonCollectionResponse | undefined): void;
