"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePersonOrGroupColumn = exports.deserializeIntoPersonOrGroupColumn = exports.createPersonOrGroupColumnFromDiscriminatorValue = void 0;
function createPersonOrGroupColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPersonOrGroupColumn;
}
exports.createPersonOrGroupColumnFromDiscriminatorValue = createPersonOrGroupColumnFromDiscriminatorValue;
function deserializeIntoPersonOrGroupColumn(personOrGroupColumn = {}) {
    return {
        "allowMultipleSelection": n => { personOrGroupColumn.allowMultipleSelection = n.getBooleanValue(); },
        "chooseFromType": n => { personOrGroupColumn.chooseFromType = n.getStringValue(); },
        "displayAs": n => { personOrGroupColumn.displayAs = n.getStringValue(); },
        "@odata.type": n => { personOrGroupColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPersonOrGroupColumn = deserializeIntoPersonOrGroupColumn;
function serializePersonOrGroupColumn(writer, personOrGroupColumn = {}) {
    writer.writeBooleanValue("allowMultipleSelection", personOrGroupColumn.allowMultipleSelection);
    writer.writeStringValue("chooseFromType", personOrGroupColumn.chooseFromType);
    writer.writeStringValue("displayAs", personOrGroupColumn.displayAs);
    writer.writeStringValue("@odata.type", personOrGroupColumn.odataType);
    writer.writeAdditionalData(personOrGroupColumn.additionalData);
}
exports.serializePersonOrGroupColumn = serializePersonOrGroupColumn;
// tslint:enable
// eslint-enable
