"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePhysicalOfficeAddress = exports.deserializeIntoPhysicalOfficeAddress = exports.createPhysicalOfficeAddressFromDiscriminatorValue = void 0;
function createPhysicalOfficeAddressFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPhysicalOfficeAddress;
}
exports.createPhysicalOfficeAddressFromDiscriminatorValue = createPhysicalOfficeAddressFromDiscriminatorValue;
function deserializeIntoPhysicalOfficeAddress(physicalOfficeAddress = {}) {
    return {
        "city": n => { physicalOfficeAddress.city = n.getStringValue(); },
        "countryOrRegion": n => { physicalOfficeAddress.countryOrRegion = n.getStringValue(); },
        "@odata.type": n => { physicalOfficeAddress.odataType = n.getStringValue(); },
        "officeLocation": n => { physicalOfficeAddress.officeLocation = n.getStringValue(); },
        "postalCode": n => { physicalOfficeAddress.postalCode = n.getStringValue(); },
        "state": n => { physicalOfficeAddress.state = n.getStringValue(); },
        "street": n => { physicalOfficeAddress.street = n.getStringValue(); },
    };
}
exports.deserializeIntoPhysicalOfficeAddress = deserializeIntoPhysicalOfficeAddress;
function serializePhysicalOfficeAddress(writer, physicalOfficeAddress = {}) {
    writer.writeStringValue("city", physicalOfficeAddress.city);
    writer.writeStringValue("countryOrRegion", physicalOfficeAddress.countryOrRegion);
    writer.writeStringValue("@odata.type", physicalOfficeAddress.odataType);
    writer.writeStringValue("officeLocation", physicalOfficeAddress.officeLocation);
    writer.writeStringValue("postalCode", physicalOfficeAddress.postalCode);
    writer.writeStringValue("state", physicalOfficeAddress.state);
    writer.writeStringValue("street", physicalOfficeAddress.street);
    writer.writeAdditionalData(physicalOfficeAddress.additionalData);
}
exports.serializePhysicalOfficeAddress = serializePhysicalOfficeAddress;
// tslint:enable
// eslint-enable
