import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PinnedChatMessageInfo } from './pinnedChatMessageInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPinnedChatMessageInfoCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPinnedChatMessageInfoCollectionResponse;
export declare function deserializeIntoPinnedChatMessageInfoCollectionResponse(pinnedChatMessageInfoCollectionResponse?: PinnedChatMessageInfoCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PinnedChatMessageInfoCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PinnedChatMessageInfo[];
}
export declare function serializePinnedChatMessageInfoCollectionResponse(writer: SerializationWriter, pinnedChatMessageInfoCollectionResponse?: PinnedChatMessageInfoCollectionResponse | undefined): void;
