"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePlannerAppliedCategories = exports.deserializeIntoPlannerAppliedCategories = exports.createPlannerAppliedCategoriesFromDiscriminatorValue = void 0;
function createPlannerAppliedCategoriesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPlannerAppliedCategories;
}
exports.createPlannerAppliedCategoriesFromDiscriminatorValue = createPlannerAppliedCategoriesFromDiscriminatorValue;
function deserializeIntoPlannerAppliedCategories(plannerAppliedCategories = {}) {
    return {
        "@odata.type": n => { plannerAppliedCategories.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPlannerAppliedCategories = deserializeIntoPlannerAppliedCategories;
function serializePlannerAppliedCategories(writer, plannerAppliedCategories = {}) {
    writer.writeStringValue("@odata.type", plannerAppliedCategories.odataType);
    writer.writeAdditionalData(plannerAppliedCategories.additionalData);
}
exports.serializePlannerAppliedCategories = serializePlannerAppliedCategories;
// tslint:enable
// eslint-enable
