"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePlannerAssignments = exports.deserializeIntoPlannerAssignments = exports.createPlannerAssignmentsFromDiscriminatorValue = void 0;
function createPlannerAssignmentsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPlannerAssignments;
}
exports.createPlannerAssignmentsFromDiscriminatorValue = createPlannerAssignmentsFromDiscriminatorValue;
function deserializeIntoPlannerAssignments(plannerAssignments = {}) {
    return {
        "@odata.type": n => { plannerAssignments.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPlannerAssignments = deserializeIntoPlannerAssignments;
function serializePlannerAssignments(writer, plannerAssignments = {}) {
    writer.writeStringValue("@odata.type", plannerAssignments.odataType);
    writer.writeAdditionalData(plannerAssignments.additionalData);
}
exports.serializePlannerAssignments = serializePlannerAssignments;
// tslint:enable
// eslint-enable
