import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PlannerBucket } from './plannerBucket';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerBucketCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerBucketCollectionResponse;
export declare function deserializeIntoPlannerBucketCollectionResponse(plannerBucketCollectionResponse?: PlannerBucketCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerBucketCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PlannerBucket[];
}
export declare function serializePlannerBucketCollectionResponse(writer: SerializationWriter, plannerBucketCollectionResponse?: PlannerBucketCollectionResponse | undefined): void;
