"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePlannerChecklistItems = exports.deserializeIntoPlannerChecklistItems = exports.createPlannerChecklistItemsFromDiscriminatorValue = void 0;
function createPlannerChecklistItemsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPlannerChecklistItems;
}
exports.createPlannerChecklistItemsFromDiscriminatorValue = createPlannerChecklistItemsFromDiscriminatorValue;
function deserializeIntoPlannerChecklistItems(plannerChecklistItems = {}) {
    return {
        "@odata.type": n => { plannerChecklistItems.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPlannerChecklistItems = deserializeIntoPlannerChecklistItems;
function serializePlannerChecklistItems(writer, plannerChecklistItems = {}) {
    writer.writeStringValue("@odata.type", plannerChecklistItems.odataType);
    writer.writeAdditionalData(plannerChecklistItems.additionalData);
}
exports.serializePlannerChecklistItems = serializePlannerChecklistItems;
// tslint:enable
// eslint-enable
