import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerExternalReferencesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerExternalReferences;
export declare function deserializeIntoPlannerExternalReferences(plannerExternalReferences?: PlannerExternalReferences | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerExternalReferences extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePlannerExternalReferences(writer: SerializationWriter, plannerExternalReferences?: PlannerExternalReferences | undefined): void;
