import { type Entity } from './entity';
import { type PlannerPlan } from './plannerPlan';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerGroupFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerGroup;
export declare function deserializeIntoPlannerGroup(plannerGroup?: PlannerGroup | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerGroup extends Entity, Parsable {
    /**
     * Read-only. Nullable. Returns the plannerPlans owned by the group.
     */
    plans?: PlannerPlan[];
}
export declare function serializePlannerGroup(writer: SerializationWriter, plannerGroup?: PlannerGroup | undefined): void;
