import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerOrderHintsByAssigneeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerOrderHintsByAssignee;
export declare function deserializeIntoPlannerOrderHintsByAssignee(plannerOrderHintsByAssignee?: PlannerOrderHintsByAssignee | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerOrderHintsByAssignee extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializePlannerOrderHintsByAssignee(writer: SerializationWriter, plannerOrderHintsByAssignee?: PlannerOrderHintsByAssignee | undefined): void;
