import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PlannerPlan } from './plannerPlan';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerPlanCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerPlanCollectionResponse;
export declare function deserializeIntoPlannerPlanCollectionResponse(plannerPlanCollectionResponse?: PlannerPlanCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerPlanCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PlannerPlan[];
}
export declare function serializePlannerPlanCollectionResponse(writer: SerializationWriter, plannerPlanCollectionResponse?: PlannerPlanCollectionResponse | undefined): void;
