import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerProgressTaskBoardTaskFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerProgressTaskBoardTaskFormat;
export declare function deserializeIntoPlannerProgressTaskBoardTaskFormat(plannerProgressTaskBoardTaskFormat?: PlannerProgressTaskBoardTaskFormat | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerProgressTaskBoardTaskFormat extends Entity, Parsable {
    /**
     * Hint value used to order the task on the progress view of the task board. For details about the supported format, see Using order hints in Planner.
     */
    orderHint?: string;
}
export declare function serializePlannerProgressTaskBoardTaskFormat(writer: SerializationWriter, plannerProgressTaskBoardTaskFormat?: PlannerProgressTaskBoardTaskFormat | undefined): void;
