import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PlannerTask } from './plannerTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlannerTaskCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlannerTaskCollectionResponse;
export declare function deserializeIntoPlannerTaskCollectionResponse(plannerTaskCollectionResponse?: PlannerTaskCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PlannerTaskCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PlannerTask[];
}
export declare function serializePlannerTaskCollectionResponse(writer: SerializationWriter, plannerTaskCollectionResponse?: PlannerTaskCollectionResponse | undefined): void;
