"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePlannerUserIds = exports.deserializeIntoPlannerUserIds = exports.createPlannerUserIdsFromDiscriminatorValue = void 0;
function createPlannerUserIdsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPlannerUserIds;
}
exports.createPlannerUserIdsFromDiscriminatorValue = createPlannerUserIdsFromDiscriminatorValue;
function deserializeIntoPlannerUserIds(plannerUserIds = {}) {
    return {
        "@odata.type": n => { plannerUserIds.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPlannerUserIds = deserializeIntoPlannerUserIds;
function serializePlannerUserIds(writer, plannerUserIds = {}) {
    writer.writeStringValue("@odata.type", plannerUserIds.odataType);
    writer.writeAdditionalData(plannerUserIds.additionalData);
}
exports.serializePlannerUserIds = serializePlannerUserIds;
// tslint:enable
// eslint-enable
