import { type CommsOperation } from './commsOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPlayPromptOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPlayPromptOperation;
export declare function deserializeIntoPlayPromptOperation(playPromptOperation?: PlayPromptOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface PlayPromptOperation extends CommsOperation, Parsable {
}
export declare function serializePlayPromptOperation(writer: SerializationWriter, playPromptOperation?: PlayPromptOperation | undefined): void;
