import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Presence } from './presence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPresenceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPresenceCollectionResponse;
export declare function deserializeIntoPresenceCollectionResponse(presenceCollectionResponse?: PresenceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PresenceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Presence[];
}
export declare function serializePresenceCollectionResponse(writer: SerializationWriter, presenceCollectionResponse?: PresenceCollectionResponse | undefined): void;
