import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintDocument } from './printDocument';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintDocumentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintDocumentCollectionResponse;
export declare function deserializeIntoPrintDocumentCollectionResponse(printDocumentCollectionResponse?: PrintDocumentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintDocumentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintDocument[];
}
export declare function serializePrintDocumentCollectionResponse(writer: SerializationWriter, printDocumentCollectionResponse?: PrintDocumentCollectionResponse | undefined): void;
