"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrintDocumentUploadProperties = exports.deserializeIntoPrintDocumentUploadProperties = exports.createPrintDocumentUploadPropertiesFromDiscriminatorValue = void 0;
function createPrintDocumentUploadPropertiesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrintDocumentUploadProperties;
}
exports.createPrintDocumentUploadPropertiesFromDiscriminatorValue = createPrintDocumentUploadPropertiesFromDiscriminatorValue;
function deserializeIntoPrintDocumentUploadProperties(printDocumentUploadProperties = {}) {
    return {
        "contentType": n => { printDocumentUploadProperties.contentType = n.getStringValue(); },
        "documentName": n => { printDocumentUploadProperties.documentName = n.getStringValue(); },
        "@odata.type": n => { printDocumentUploadProperties.odataType = n.getStringValue(); },
        "size": n => { printDocumentUploadProperties.size = n.getNumberValue(); },
    };
}
exports.deserializeIntoPrintDocumentUploadProperties = deserializeIntoPrintDocumentUploadProperties;
function serializePrintDocumentUploadProperties(writer, printDocumentUploadProperties = {}) {
    writer.writeStringValue("contentType", printDocumentUploadProperties.contentType);
    writer.writeStringValue("documentName", printDocumentUploadProperties.documentName);
    writer.writeStringValue("@odata.type", printDocumentUploadProperties.odataType);
    writer.writeNumberValue("size", printDocumentUploadProperties.size);
    writer.writeAdditionalData(printDocumentUploadProperties.additionalData);
}
exports.serializePrintDocumentUploadProperties = serializePrintDocumentUploadProperties;
// tslint:enable
// eslint-enable
