import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintService } from './printService';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintServiceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintServiceCollectionResponse;
export declare function deserializeIntoPrintServiceCollectionResponse(printServiceCollectionResponse?: PrintServiceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintServiceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintService[];
}
export declare function serializePrintServiceCollectionResponse(writer: SerializationWriter, printServiceCollectionResponse?: PrintServiceCollectionResponse | undefined): void;
