import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintServiceEndpoint } from './printServiceEndpoint';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintServiceEndpointCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintServiceEndpointCollectionResponse;
export declare function deserializeIntoPrintServiceEndpointCollectionResponse(printServiceEndpointCollectionResponse?: PrintServiceEndpointCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintServiceEndpointCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintServiceEndpoint[];
}
export declare function serializePrintServiceEndpointCollectionResponse(writer: SerializationWriter, printServiceEndpointCollectionResponse?: PrintServiceEndpointCollectionResponse | undefined): void;
