"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrintSettings = exports.deserializeIntoPrintSettings = exports.createPrintSettingsFromDiscriminatorValue = void 0;
function createPrintSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrintSettings;
}
exports.createPrintSettingsFromDiscriminatorValue = createPrintSettingsFromDiscriminatorValue;
function deserializeIntoPrintSettings(printSettings = {}) {
    return {
        "documentConversionEnabled": n => { printSettings.documentConversionEnabled = n.getBooleanValue(); },
        "@odata.type": n => { printSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPrintSettings = deserializeIntoPrintSettings;
function serializePrintSettings(writer, printSettings = {}) {
    writer.writeBooleanValue("documentConversionEnabled", printSettings.documentConversionEnabled);
    writer.writeStringValue("@odata.type", printSettings.odataType);
    writer.writeAdditionalData(printSettings.additionalData);
}
exports.serializePrintSettings = serializePrintSettings;
// tslint:enable
// eslint-enable
