import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintTask } from './printTask';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintTaskCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintTaskCollectionResponse;
export declare function deserializeIntoPrintTaskCollectionResponse(printTaskCollectionResponse?: PrintTaskCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintTaskCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintTask[];
}
export declare function serializePrintTaskCollectionResponse(writer: SerializationWriter, printTaskCollectionResponse?: PrintTaskCollectionResponse | undefined): void;
