import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintTaskDefinition } from './printTaskDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintTaskDefinitionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintTaskDefinitionCollectionResponse;
export declare function deserializeIntoPrintTaskDefinitionCollectionResponse(printTaskDefinitionCollectionResponse?: PrintTaskDefinitionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintTaskDefinitionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintTaskDefinition[];
}
export declare function serializePrintTaskDefinitionCollectionResponse(writer: SerializationWriter, printTaskDefinitionCollectionResponse?: PrintTaskDefinitionCollectionResponse | undefined): void;
