import { type Entity } from './entity';
import { PrintEvent } from './printEvent';
import { type PrintTaskDefinition } from './printTaskDefinition';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintTaskTriggerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintTaskTrigger;
export declare function deserializeIntoPrintTaskTrigger(printTaskTrigger?: PrintTaskTrigger | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintTaskTrigger extends Entity, Parsable {
    /**
     * The definition property
     */
    definition?: PrintTaskDefinition;
    /**
     * The event property
     */
    event?: PrintEvent;
}
export declare function serializePrintTaskTrigger(writer: SerializationWriter, printTaskTrigger?: PrintTaskTrigger | undefined): void;
