import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrintTaskTrigger } from './printTaskTrigger';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintTaskTriggerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintTaskTriggerCollectionResponse;
export declare function deserializeIntoPrintTaskTriggerCollectionResponse(printTaskTriggerCollectionResponse?: PrintTaskTriggerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintTaskTriggerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrintTaskTrigger[];
}
export declare function serializePrintTaskTriggerCollectionResponse(writer: SerializationWriter, printTaskTriggerCollectionResponse?: PrintTaskTriggerCollectionResponse | undefined): void;
