import { type PrintUsage } from './printUsage';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrintUsageByUserFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrintUsageByUser;
export declare function deserializeIntoPrintUsageByUser(printUsageByUser?: PrintUsageByUser | undefined): Record<string, (node: ParseNode) => void>;
export interface PrintUsageByUser extends Parsable, PrintUsage {
    /**
     * The UPN of the user represented by these statistics.
     */
    userPrincipalName?: string;
}
export declare function serializePrintUsageByUser(writer: SerializationWriter, printUsageByUser?: PrintUsageByUser | undefined): void;
