"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrinterShareViewpoint = exports.deserializeIntoPrinterShareViewpoint = exports.createPrinterShareViewpointFromDiscriminatorValue = void 0;
function createPrinterShareViewpointFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrinterShareViewpoint;
}
exports.createPrinterShareViewpointFromDiscriminatorValue = createPrinterShareViewpointFromDiscriminatorValue;
function deserializeIntoPrinterShareViewpoint(printerShareViewpoint = {}) {
    return {
        "lastUsedDateTime": n => { printerShareViewpoint.lastUsedDateTime = n.getDateValue(); },
        "@odata.type": n => { printerShareViewpoint.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoPrinterShareViewpoint = deserializeIntoPrinterShareViewpoint;
function serializePrinterShareViewpoint(writer, printerShareViewpoint = {}) {
    writer.writeDateValue("lastUsedDateTime", printerShareViewpoint.lastUsedDateTime);
    writer.writeStringValue("@odata.type", printerShareViewpoint.odataType);
    writer.writeAdditionalData(printerShareViewpoint.additionalData);
}
exports.serializePrinterShareViewpoint = serializePrinterShareViewpoint;
// tslint:enable
// eslint-enable
