"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePrivacyProfile = exports.deserializeIntoPrivacyProfile = exports.createPrivacyProfileFromDiscriminatorValue = void 0;
function createPrivacyProfileFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPrivacyProfile;
}
exports.createPrivacyProfileFromDiscriminatorValue = createPrivacyProfileFromDiscriminatorValue;
function deserializeIntoPrivacyProfile(privacyProfile = {}) {
    return {
        "contactEmail": n => { privacyProfile.contactEmail = n.getStringValue(); },
        "@odata.type": n => { privacyProfile.odataType = n.getStringValue(); },
        "statementUrl": n => { privacyProfile.statementUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoPrivacyProfile = deserializeIntoPrivacyProfile;
function serializePrivacyProfile(writer, privacyProfile = {}) {
    writer.writeStringValue("contactEmail", privacyProfile.contactEmail);
    writer.writeStringValue("@odata.type", privacyProfile.odataType);
    writer.writeStringValue("statementUrl", privacyProfile.statementUrl);
    writer.writeAdditionalData(privacyProfile.additionalData);
}
exports.serializePrivacyProfile = serializePrivacyProfile;
// tslint:enable
// eslint-enable
