import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrivilegedAccessGroupAssignmentSchedule } from './privilegedAccessGroupAssignmentSchedule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupAssignmentScheduleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleCollectionResponse;
export declare function deserializeIntoPrivilegedAccessGroupAssignmentScheduleCollectionResponse(privilegedAccessGroupAssignmentScheduleCollectionResponse?: PrivilegedAccessGroupAssignmentScheduleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupAssignmentScheduleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrivilegedAccessGroupAssignmentSchedule[];
}
export declare function serializePrivilegedAccessGroupAssignmentScheduleCollectionResponse(writer: SerializationWriter, privilegedAccessGroupAssignmentScheduleCollectionResponse?: PrivilegedAccessGroupAssignmentScheduleCollectionResponse | undefined): void;
