import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrivilegedAccessGroupAssignmentScheduleInstance } from './privilegedAccessGroupAssignmentScheduleInstance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupAssignmentScheduleInstanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleInstanceCollectionResponse;
export declare function deserializeIntoPrivilegedAccessGroupAssignmentScheduleInstanceCollectionResponse(privilegedAccessGroupAssignmentScheduleInstanceCollectionResponse?: PrivilegedAccessGroupAssignmentScheduleInstanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupAssignmentScheduleInstanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrivilegedAccessGroupAssignmentScheduleInstance[];
}
export declare function serializePrivilegedAccessGroupAssignmentScheduleInstanceCollectionResponse(writer: SerializationWriter, privilegedAccessGroupAssignmentScheduleInstanceCollectionResponse?: PrivilegedAccessGroupAssignmentScheduleInstanceCollectionResponse | undefined): void;
