import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrivilegedAccessGroupAssignmentScheduleRequest } from './privilegedAccessGroupAssignmentScheduleRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupAssignmentScheduleRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequestCollectionResponse;
export declare function deserializeIntoPrivilegedAccessGroupAssignmentScheduleRequestCollectionResponse(privilegedAccessGroupAssignmentScheduleRequestCollectionResponse?: PrivilegedAccessGroupAssignmentScheduleRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupAssignmentScheduleRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrivilegedAccessGroupAssignmentScheduleRequest[];
}
export declare function serializePrivilegedAccessGroupAssignmentScheduleRequestCollectionResponse(writer: SerializationWriter, privilegedAccessGroupAssignmentScheduleRequestCollectionResponse?: PrivilegedAccessGroupAssignmentScheduleRequestCollectionResponse | undefined): void;
