import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrivilegedAccessGroupEligibilitySchedule } from './privilegedAccessGroupEligibilitySchedule';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupEligibilityScheduleCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupEligibilityScheduleCollectionResponse;
export declare function deserializeIntoPrivilegedAccessGroupEligibilityScheduleCollectionResponse(privilegedAccessGroupEligibilityScheduleCollectionResponse?: PrivilegedAccessGroupEligibilityScheduleCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupEligibilityScheduleCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrivilegedAccessGroupEligibilitySchedule[];
}
export declare function serializePrivilegedAccessGroupEligibilityScheduleCollectionResponse(writer: SerializationWriter, privilegedAccessGroupEligibilityScheduleCollectionResponse?: PrivilegedAccessGroupEligibilityScheduleCollectionResponse | undefined): void;
