import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrivilegedAccessGroupEligibilityScheduleInstance } from './privilegedAccessGroupEligibilityScheduleInstance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupEligibilityScheduleInstanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupEligibilityScheduleInstanceCollectionResponse;
export declare function deserializeIntoPrivilegedAccessGroupEligibilityScheduleInstanceCollectionResponse(privilegedAccessGroupEligibilityScheduleInstanceCollectionResponse?: PrivilegedAccessGroupEligibilityScheduleInstanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupEligibilityScheduleInstanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrivilegedAccessGroupEligibilityScheduleInstance[];
}
export declare function serializePrivilegedAccessGroupEligibilityScheduleInstanceCollectionResponse(writer: SerializationWriter, privilegedAccessGroupEligibilityScheduleInstanceCollectionResponse?: PrivilegedAccessGroupEligibilityScheduleInstanceCollectionResponse | undefined): void;
