import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type PrivilegedAccessGroupEligibilityScheduleRequest } from './privilegedAccessGroupEligibilityScheduleRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessGroupEligibilityScheduleRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupEligibilityScheduleRequestCollectionResponse;
export declare function deserializeIntoPrivilegedAccessGroupEligibilityScheduleRequestCollectionResponse(privilegedAccessGroupEligibilityScheduleRequestCollectionResponse?: PrivilegedAccessGroupEligibilityScheduleRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessGroupEligibilityScheduleRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PrivilegedAccessGroupEligibilityScheduleRequest[];
}
export declare function serializePrivilegedAccessGroupEligibilityScheduleRequestCollectionResponse(writer: SerializationWriter, privilegedAccessGroupEligibilityScheduleRequestCollectionResponse?: PrivilegedAccessGroupEligibilityScheduleRequestCollectionResponse | undefined): void;
