import { type Entity } from './entity';
import { deserializeIntoPrivilegedAccessGroupAssignmentScheduleInstance } from './privilegedAccessGroupAssignmentScheduleInstance';
import { deserializeIntoPrivilegedAccessGroupEligibilityScheduleInstance } from './privilegedAccessGroupEligibilityScheduleInstance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPrivilegedAccessScheduleInstanceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPrivilegedAccessGroupAssignmentScheduleInstance | typeof deserializeIntoPrivilegedAccessGroupEligibilityScheduleInstance;
export declare function deserializeIntoPrivilegedAccessScheduleInstance(privilegedAccessScheduleInstance?: PrivilegedAccessScheduleInstance | undefined): Record<string, (node: ParseNode) => void>;
export interface PrivilegedAccessScheduleInstance extends Entity, Parsable {
    /**
     * When the schedule instance ends. Required.
     */
    endDateTime?: Date;
    /**
     * When this instance starts. Required.
     */
    startDateTime?: Date;
}
export declare function serializePrivilegedAccessScheduleInstance(writer: SerializationWriter, privilegedAccessScheduleInstance?: PrivilegedAccessScheduleInstance | undefined): void;
