import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ProfileCardProperty } from './profileCardProperty';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProfileCardPropertyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProfileCardPropertyCollectionResponse;
export declare function deserializeIntoProfileCardPropertyCollectionResponse(profileCardPropertyCollectionResponse?: ProfileCardPropertyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ProfileCardPropertyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ProfileCardProperty[];
}
export declare function serializeProfileCardPropertyCollectionResponse(writer: SerializationWriter, profileCardPropertyCollectionResponse?: ProfileCardPropertyCollectionResponse | undefined): void;
