"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeProvisionChannelEmailResult = exports.deserializeIntoProvisionChannelEmailResult = exports.createProvisionChannelEmailResultFromDiscriminatorValue = void 0;
function createProvisionChannelEmailResultFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoProvisionChannelEmailResult;
}
exports.createProvisionChannelEmailResultFromDiscriminatorValue = createProvisionChannelEmailResultFromDiscriminatorValue;
function deserializeIntoProvisionChannelEmailResult(provisionChannelEmailResult = {}) {
    return {
        "email": n => { provisionChannelEmailResult.email = n.getStringValue(); },
        "@odata.type": n => { provisionChannelEmailResult.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoProvisionChannelEmailResult = deserializeIntoProvisionChannelEmailResult;
function serializeProvisionChannelEmailResult(writer, provisionChannelEmailResult = {}) {
    writer.writeStringValue("email", provisionChannelEmailResult.email);
    writer.writeStringValue("@odata.type", provisionChannelEmailResult.odataType);
    writer.writeAdditionalData(provisionChannelEmailResult.additionalData);
}
exports.serializeProvisionChannelEmailResult = serializeProvisionChannelEmailResult;
// tslint:enable
// eslint-enable
