import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ProvisioningObjectSummary } from './provisioningObjectSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisioningObjectSummaryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisioningObjectSummaryCollectionResponse;
export declare function deserializeIntoProvisioningObjectSummaryCollectionResponse(provisioningObjectSummaryCollectionResponse?: ProvisioningObjectSummaryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisioningObjectSummaryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ProvisioningObjectSummary[];
}
export declare function serializeProvisioningObjectSummaryCollectionResponse(writer: SerializationWriter, provisioningObjectSummaryCollectionResponse?: ProvisioningObjectSummaryCollectionResponse | undefined): void;
