import { type DetailsInfo } from './detailsInfo';
import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createProvisioningSystemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoProvisioningSystem;
export declare function deserializeIntoProvisioningSystem(provisioningSystem?: ProvisioningSystem | undefined): Record<string, (node: ParseNode) => void>;
export interface ProvisioningSystem extends Identity, Parsable {
    /**
     * Details of the system.
     */
    details?: DetailsInfo;
}
export declare function serializeProvisioningSystem(writer: SerializationWriter, provisioningSystem?: ProvisioningSystem | undefined): void;
