"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeProxiedDomain = exports.deserializeIntoProxiedDomain = exports.createProxiedDomainFromDiscriminatorValue = void 0;
function createProxiedDomainFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoProxiedDomain;
}
exports.createProxiedDomainFromDiscriminatorValue = createProxiedDomainFromDiscriminatorValue;
function deserializeIntoProxiedDomain(proxiedDomain = {}) {
    return {
        "ipAddressOrFQDN": n => { proxiedDomain.ipAddressOrFQDN = n.getStringValue(); },
        "@odata.type": n => { proxiedDomain.odataType = n.getStringValue(); },
        "proxy": n => { proxiedDomain.proxy = n.getStringValue(); },
    };
}
exports.deserializeIntoProxiedDomain = deserializeIntoProxiedDomain;
function serializeProxiedDomain(writer, proxiedDomain = {}) {
    writer.writeStringValue("ipAddressOrFQDN", proxiedDomain.ipAddressOrFQDN);
    writer.writeStringValue("@odata.type", proxiedDomain.odataType);
    writer.writeStringValue("proxy", proxiedDomain.proxy);
    writer.writeAdditionalData(proxiedDomain.additionalData);
}
exports.serializeProxiedDomain = serializeProxiedDomain;
// tslint:enable
// eslint-enable
