"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializePublicErrorDetail = exports.deserializeIntoPublicErrorDetail = exports.createPublicErrorDetailFromDiscriminatorValue = void 0;
function createPublicErrorDetailFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoPublicErrorDetail;
}
exports.createPublicErrorDetailFromDiscriminatorValue = createPublicErrorDetailFromDiscriminatorValue;
function deserializeIntoPublicErrorDetail(publicErrorDetail = {}) {
    return {
        "code": n => { publicErrorDetail.code = n.getStringValue(); },
        "message": n => { publicErrorDetail.message = n.getStringValue(); },
        "@odata.type": n => { publicErrorDetail.odataType = n.getStringValue(); },
        "target": n => { publicErrorDetail.target = n.getStringValue(); },
    };
}
exports.deserializeIntoPublicErrorDetail = deserializeIntoPublicErrorDetail;
function serializePublicErrorDetail(writer, publicErrorDetail = {}) {
    writer.writeStringValue("code", publicErrorDetail.code);
    writer.writeStringValue("message", publicErrorDetail.message);
    writer.writeStringValue("@odata.type", publicErrorDetail.odataType);
    writer.writeStringValue("target", publicErrorDetail.target);
    writer.writeAdditionalData(publicErrorDetail.additionalData);
}
exports.serializePublicErrorDetail = serializePublicErrorDetail;
// tslint:enable
// eslint-enable
