"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingAppsType = void 0;
/**
 * Apps rating as in media content
 */
var RatingAppsType;
(function (RatingAppsType) {
    /** Default value, allow all apps content */
    RatingAppsType["AllAllowed"] = "allAllowed";
    /** Do not allow any apps content */
    RatingAppsType["AllBlocked"] = "allBlocked";
    /** 4+, age 4 and above */
    RatingAppsType["AgesAbove4"] = "agesAbove4";
    /** 9+, age 9 and above */
    RatingAppsType["AgesAbove9"] = "agesAbove9";
    /** 12+, age 12 and above  */
    RatingAppsType["AgesAbove12"] = "agesAbove12";
    /** 17+, age 17 and above */
    RatingAppsType["AgesAbove17"] = "agesAbove17";
})(RatingAppsType || (exports.RatingAppsType = RatingAppsType = {}));
// tslint:enable
// eslint-enable
