"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingAustraliaMoviesType = void 0;
/**
 * Movies rating labels in Australia
 */
var RatingAustraliaMoviesType;
(function (RatingAustraliaMoviesType) {
    /** Default value, allow all movies content */
    RatingAustraliaMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingAustraliaMoviesType["AllBlocked"] = "allBlocked";
    /** The G classification is suitable for everyone */
    RatingAustraliaMoviesType["General"] = "general";
    /** The PG recommends viewers under 15 with guidance from parents or guardians */
    RatingAustraliaMoviesType["ParentalGuidance"] = "parentalGuidance";
    /** The M classification is not recommended for viewers under 15 */
    RatingAustraliaMoviesType["Mature"] = "mature";
    /** The MA15+ classification is not suitable for viewers under 15 */
    RatingAustraliaMoviesType["AgesAbove15"] = "agesAbove15";
    /** The R18+ classification is not suitable for viewers under 18 */
    RatingAustraliaMoviesType["AgesAbove18"] = "agesAbove18";
})(RatingAustraliaMoviesType || (exports.RatingAustraliaMoviesType = RatingAustraliaMoviesType = {}));
// tslint:enable
// eslint-enable
