"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingGermanyMoviesType = void 0;
/**
 * Movies rating labels in Germany
 */
var RatingGermanyMoviesType;
(function (RatingGermanyMoviesType) {
    /** Default value, allow all movies content */
    RatingGermanyMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingGermanyMoviesType["AllBlocked"] = "allBlocked";
    /** Ab 0 Jahren, no age restrictions */
    RatingGermanyMoviesType["General"] = "general";
    /** Ab 6 Jahren, ages 6 and older */
    RatingGermanyMoviesType["AgesAbove6"] = "agesAbove6";
    /** Ab 12 Jahren, ages 12 and older */
    RatingGermanyMoviesType["AgesAbove12"] = "agesAbove12";
    /** Ab 16 Jahren, ages 16 and older */
    RatingGermanyMoviesType["AgesAbove16"] = "agesAbove16";
    /** Ab 18 Jahren, adults only */
    RatingGermanyMoviesType["Adults"] = "adults";
})(RatingGermanyMoviesType || (exports.RatingGermanyMoviesType = RatingGermanyMoviesType = {}));
// tslint:enable
// eslint-enable
