"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingNewZealandMoviesType = void 0;
/**
 * Movies rating labels in New Zealand
 */
var RatingNewZealandMoviesType;
(function (RatingNewZealandMoviesType) {
    /** Default value, allow all movies content */
    RatingNewZealandMoviesType["AllAllowed"] = "allAllowed";
    /** Do not allow any movies content */
    RatingNewZealandMoviesType["AllBlocked"] = "allBlocked";
    /** Suitable for general audience */
    RatingNewZealandMoviesType["General"] = "general";
    /** The PG classification recommends parental guidance */
    RatingNewZealandMoviesType["ParentalGuidance"] = "parentalGuidance";
    /** The M classification is suitable for mature audience */
    RatingNewZealandMoviesType["Mature"] = "mature";
    /** The R13 classification is restricted to persons 13 years and over */
    RatingNewZealandMoviesType["AgesAbove13"] = "agesAbove13";
    /** The R15 classification is restricted to persons 15 years and over */
    RatingNewZealandMoviesType["AgesAbove15"] = "agesAbove15";
    /** The R16 classification is restricted to persons 16 years and over */
    RatingNewZealandMoviesType["AgesAbove16"] = "agesAbove16";
    /** The R18 classification is restricted to persons 18 years and over */
    RatingNewZealandMoviesType["AgesAbove18"] = "agesAbove18";
    /** The R classification is restricted to a certain audience */
    RatingNewZealandMoviesType["Restricted"] = "restricted";
    /** The RP16 classification requires viewers under 16 accompanied by a parent or an adult */
    RatingNewZealandMoviesType["AgesAbove16Restricted"] = "agesAbove16Restricted";
})(RatingNewZealandMoviesType || (exports.RatingNewZealandMoviesType = RatingNewZealandMoviesType = {}));
// tslint:enable
// eslint-enable
