"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRecommendedAction = exports.deserializeIntoRecommendedAction = exports.createRecommendedActionFromDiscriminatorValue = void 0;
function createRecommendedActionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRecommendedAction;
}
exports.createRecommendedActionFromDiscriminatorValue = createRecommendedActionFromDiscriminatorValue;
function deserializeIntoRecommendedAction(recommendedAction = {}) {
    return {
        "actionWebUrl": n => { recommendedAction.actionWebUrl = n.getStringValue(); },
        "@odata.type": n => { recommendedAction.odataType = n.getStringValue(); },
        "potentialScoreImpact": n => { recommendedAction.potentialScoreImpact = n.getNumberValue(); },
        "title": n => { recommendedAction.title = n.getStringValue(); },
    };
}
exports.deserializeIntoRecommendedAction = deserializeIntoRecommendedAction;
function serializeRecommendedAction(writer, recommendedAction = {}) {
    writer.writeStringValue("actionWebUrl", recommendedAction.actionWebUrl);
    writer.writeStringValue("@odata.type", recommendedAction.odataType);
    writer.writeNumberValue("potentialScoreImpact", recommendedAction.potentialScoreImpact);
    writer.writeStringValue("title", recommendedAction.title);
    writer.writeAdditionalData(recommendedAction.additionalData);
}
exports.serializeRecommendedAction = serializeRecommendedAction;
// tslint:enable
// eslint-enable
