"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRedirectUriSettings = exports.deserializeIntoRedirectUriSettings = exports.createRedirectUriSettingsFromDiscriminatorValue = void 0;
function createRedirectUriSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRedirectUriSettings;
}
exports.createRedirectUriSettingsFromDiscriminatorValue = createRedirectUriSettingsFromDiscriminatorValue;
function deserializeIntoRedirectUriSettings(redirectUriSettings = {}) {
    return {
        "index": n => { redirectUriSettings.index = n.getNumberValue(); },
        "@odata.type": n => { redirectUriSettings.odataType = n.getStringValue(); },
        "uri": n => { redirectUriSettings.uri = n.getStringValue(); },
    };
}
exports.deserializeIntoRedirectUriSettings = deserializeIntoRedirectUriSettings;
function serializeRedirectUriSettings(writer, redirectUriSettings = {}) {
    writer.writeNumberValue("index", redirectUriSettings.index);
    writer.writeStringValue("@odata.type", redirectUriSettings.odataType);
    writer.writeStringValue("uri", redirectUriSettings.uri);
    writer.writeAdditionalData(redirectUriSettings.additionalData);
}
exports.serializeRedirectUriSettings = serializeRedirectUriSettings;
// tslint:enable
// eslint-enable
