import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReferenceCreateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReferenceCreate;
export declare function deserializeIntoReferenceCreate(referenceCreate?: ReferenceCreate | undefined): Record<string, (node: ParseNode) => void>;
export interface ReferenceCreate extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataId property
     */
    odataId?: string;
}
export declare function serializeReferenceCreate(writer: SerializationWriter, referenceCreate?: ReferenceCreate | undefined): void;
