"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeReferenceCreate = exports.deserializeIntoReferenceCreate = exports.createReferenceCreateFromDiscriminatorValue = void 0;
function createReferenceCreateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReferenceCreate;
}
exports.createReferenceCreateFromDiscriminatorValue = createReferenceCreateFromDiscriminatorValue;
function deserializeIntoReferenceCreate(referenceCreate = {}) {
    return {
        "@odata.id": n => { referenceCreate.odataId = n.getStringValue(); },
    };
}
exports.deserializeIntoReferenceCreate = deserializeIntoReferenceCreate;
function serializeReferenceCreate(writer, referenceCreate = {}) {
    writer.writeStringValue("@odata.id", referenceCreate.odataId);
    writer.writeAdditionalData(referenceCreate.additionalData);
}
exports.serializeReferenceCreate = serializeReferenceCreate;
// tslint:enable
// eslint-enable
