import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRemovedStateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRemovedState;
export declare function deserializeIntoRemovedState(removedState?: RemovedState | undefined): Record<string, (node: ParseNode) => void>;
export interface RemovedState extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The reason property
     */
    reason?: string;
}
export declare function serializeRemovedState(writer: SerializationWriter, removedState?: RemovedState | undefined): void;
