import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createReportFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoReport;
export declare function deserializeIntoReport(report?: Report | undefined): Record<string, (node: ParseNode) => void>;
export interface Report extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Not yet documented
     */
    content?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeReport(writer: SerializationWriter, report?: Report | undefined): void;
