"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeReport = exports.deserializeIntoReport = exports.createReportFromDiscriminatorValue = void 0;
function createReportFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoReport;
}
exports.createReportFromDiscriminatorValue = createReportFromDiscriminatorValue;
function deserializeIntoReport(report = {}) {
    return {
        "content": n => { report.content = n.getStringValue(); },
        "@odata.type": n => { report.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoReport = deserializeIntoReport;
function serializeReport(writer, report = {}) {
    writer.writeStringValue("content", report.content);
    writer.writeStringValue("@odata.type", report.odataType);
    writer.writeAdditionalData(report.additionalData);
}
exports.serializeReport = serializeReport;
// tslint:enable
// eslint-enable
