import { type DeviceActionResult } from './deviceActionResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResetPasscodeActionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResetPasscodeActionResult;
export declare function deserializeIntoResetPasscodeActionResult(resetPasscodeActionResult?: ResetPasscodeActionResult | undefined): Record<string, (node: ParseNode) => void>;
export interface ResetPasscodeActionResult extends DeviceActionResult, Parsable {
    /**
     * Newly generated passcode for the device
     */
    passcode?: string;
}
export declare function serializeResetPasscodeActionResult(writer: SerializationWriter, resetPasscodeActionResult?: ResetPasscodeActionResult | undefined): void;
