"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResourceAccess = exports.deserializeIntoResourceAccess = exports.createResourceAccessFromDiscriminatorValue = void 0;
function createResourceAccessFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResourceAccess;
}
exports.createResourceAccessFromDiscriminatorValue = createResourceAccessFromDiscriminatorValue;
function deserializeIntoResourceAccess(resourceAccess = {}) {
    return {
        "id": n => { resourceAccess.id = n.getGuidValue(); },
        "@odata.type": n => { resourceAccess.odataType = n.getStringValue(); },
        "type": n => { resourceAccess.type = n.getStringValue(); },
    };
}
exports.deserializeIntoResourceAccess = deserializeIntoResourceAccess;
function serializeResourceAccess(writer, resourceAccess = {}) {
    writer.writeGuidValue("id", resourceAccess.id);
    writer.writeStringValue("@odata.type", resourceAccess.odataType);
    writer.writeStringValue("type", resourceAccess.type);
    writer.writeAdditionalData(resourceAccess.additionalData);
}
exports.serializeResourceAccess = serializeResourceAccess;
// tslint:enable
// eslint-enable
