"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResourceAction = exports.deserializeIntoResourceAction = exports.createResourceActionFromDiscriminatorValue = void 0;
function createResourceActionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResourceAction;
}
exports.createResourceActionFromDiscriminatorValue = createResourceActionFromDiscriminatorValue;
function deserializeIntoResourceAction(resourceAction = {}) {
    return {
        "allowedResourceActions": n => { resourceAction.allowedResourceActions = n.getCollectionOfPrimitiveValues(); },
        "notAllowedResourceActions": n => { resourceAction.notAllowedResourceActions = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { resourceAction.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoResourceAction = deserializeIntoResourceAction;
function serializeResourceAction(writer, resourceAction = {}) {
    writer.writeCollectionOfPrimitiveValues("allowedResourceActions", resourceAction.allowedResourceActions);
    writer.writeCollectionOfPrimitiveValues("notAllowedResourceActions", resourceAction.notAllowedResourceActions);
    writer.writeStringValue("@odata.type", resourceAction.odataType);
    writer.writeAdditionalData(resourceAction.additionalData);
}
exports.serializeResourceAction = serializeResourceAction;
// tslint:enable
// eslint-enable
