import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ResourceOperation } from './resourceOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createResourceOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoResourceOperationCollectionResponse;
export declare function deserializeIntoResourceOperationCollectionResponse(resourceOperationCollectionResponse?: ResourceOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface ResourceOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ResourceOperation[];
}
export declare function serializeResourceOperationCollectionResponse(writer: SerializationWriter, resourceOperationCollectionResponse?: ResourceOperationCollectionResponse | undefined): void;
