"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResourceReference = exports.deserializeIntoResourceReference = exports.createResourceReferenceFromDiscriminatorValue = void 0;
function createResourceReferenceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResourceReference;
}
exports.createResourceReferenceFromDiscriminatorValue = createResourceReferenceFromDiscriminatorValue;
function deserializeIntoResourceReference(resourceReference = {}) {
    return {
        "id": n => { resourceReference.id = n.getStringValue(); },
        "@odata.type": n => { resourceReference.odataType = n.getStringValue(); },
        "type": n => { resourceReference.type = n.getStringValue(); },
        "webUrl": n => { resourceReference.webUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoResourceReference = deserializeIntoResourceReference;
function serializeResourceReference(writer, resourceReference = {}) {
    writer.writeStringValue("id", resourceReference.id);
    writer.writeStringValue("@odata.type", resourceReference.odataType);
    writer.writeStringValue("type", resourceReference.type);
    writer.writeStringValue("webUrl", resourceReference.webUrl);
    writer.writeAdditionalData(resourceReference.additionalData);
}
exports.serializeResourceReference = serializeResourceReference;
// tslint:enable
// eslint-enable
