"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeResourceSpecificPermission = exports.deserializeIntoResourceSpecificPermission = exports.createResourceSpecificPermissionFromDiscriminatorValue = void 0;
function createResourceSpecificPermissionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoResourceSpecificPermission;
}
exports.createResourceSpecificPermissionFromDiscriminatorValue = createResourceSpecificPermissionFromDiscriminatorValue;
function deserializeIntoResourceSpecificPermission(resourceSpecificPermission = {}) {
    return {
        "description": n => { resourceSpecificPermission.description = n.getStringValue(); },
        "displayName": n => { resourceSpecificPermission.displayName = n.getStringValue(); },
        "id": n => { resourceSpecificPermission.id = n.getGuidValue(); },
        "isEnabled": n => { resourceSpecificPermission.isEnabled = n.getBooleanValue(); },
        "@odata.type": n => { resourceSpecificPermission.odataType = n.getStringValue(); },
        "value": n => { resourceSpecificPermission.value = n.getStringValue(); },
    };
}
exports.deserializeIntoResourceSpecificPermission = deserializeIntoResourceSpecificPermission;
function serializeResourceSpecificPermission(writer, resourceSpecificPermission = {}) {
    writer.writeStringValue("description", resourceSpecificPermission.description);
    writer.writeStringValue("displayName", resourceSpecificPermission.displayName);
    writer.writeGuidValue("id", resourceSpecificPermission.id);
    writer.writeBooleanValue("isEnabled", resourceSpecificPermission.isEnabled);
    writer.writeStringValue("@odata.type", resourceSpecificPermission.odataType);
    writer.writeStringValue("value", resourceSpecificPermission.value);
    writer.writeAdditionalData(resourceSpecificPermission.additionalData);
}
exports.serializeResourceSpecificPermission = serializeResourceSpecificPermission;
// tslint:enable
// eslint-enable
