import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRgbColorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRgbColor;
export declare function deserializeIntoRgbColor(rgbColor?: RgbColor | undefined): Record<string, (node: ParseNode) => void>;
export interface RgbColor extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Blue value
     */
    b?: number;
    /**
     * Green value
     */
    g?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Red value
     */
    r?: number;
}
export declare function serializeRgbColor(writer: SerializationWriter, rgbColor?: RgbColor | undefined): void;
