import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RiskyServicePrincipal } from './riskyServicePrincipal';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskyServicePrincipalCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskyServicePrincipalCollectionResponse;
export declare function deserializeIntoRiskyServicePrincipalCollectionResponse(riskyServicePrincipalCollectionResponse?: RiskyServicePrincipalCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskyServicePrincipalCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RiskyServicePrincipal[];
}
export declare function serializeRiskyServicePrincipalCollectionResponse(writer: SerializationWriter, riskyServicePrincipalCollectionResponse?: RiskyServicePrincipalCollectionResponse | undefined): void;
