import { type RiskServicePrincipalActivity } from './riskServicePrincipalActivity';
import { type RiskyServicePrincipal } from './riskyServicePrincipal';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskyServicePrincipalHistoryItemFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskyServicePrincipalHistoryItem;
export declare function deserializeIntoRiskyServicePrincipalHistoryItem(riskyServicePrincipalHistoryItem?: RiskyServicePrincipalHistoryItem | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskyServicePrincipalHistoryItem extends Parsable, RiskyServicePrincipal {
    /**
     * The activity related to service principal risk level change.
     */
    activity?: RiskServicePrincipalActivity;
    /**
     * The identifier of the actor of the operation.
     */
    initiatedBy?: string;
}
export declare function serializeRiskyServicePrincipalHistoryItem(writer: SerializationWriter, riskyServicePrincipalHistoryItem?: RiskyServicePrincipalHistoryItem | undefined): void;
