import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RiskyServicePrincipalHistoryItem } from './riskyServicePrincipalHistoryItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskyServicePrincipalHistoryItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskyServicePrincipalHistoryItemCollectionResponse;
export declare function deserializeIntoRiskyServicePrincipalHistoryItemCollectionResponse(riskyServicePrincipalHistoryItemCollectionResponse?: RiskyServicePrincipalHistoryItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskyServicePrincipalHistoryItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RiskyServicePrincipalHistoryItem[];
}
export declare function serializeRiskyServicePrincipalHistoryItemCollectionResponse(writer: SerializationWriter, riskyServicePrincipalHistoryItemCollectionResponse?: RiskyServicePrincipalHistoryItemCollectionResponse | undefined): void;
