import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RiskyUser } from './riskyUser';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskyUserCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskyUserCollectionResponse;
export declare function deserializeIntoRiskyUserCollectionResponse(riskyUserCollectionResponse?: RiskyUserCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskyUserCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RiskyUser[];
}
export declare function serializeRiskyUserCollectionResponse(writer: SerializationWriter, riskyUserCollectionResponse?: RiskyUserCollectionResponse | undefined): void;
