import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RiskyUserHistoryItem } from './riskyUserHistoryItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRiskyUserHistoryItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRiskyUserHistoryItemCollectionResponse;
export declare function deserializeIntoRiskyUserHistoryItemCollectionResponse(riskyUserHistoryItemCollectionResponse?: RiskyUserHistoryItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RiskyUserHistoryItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RiskyUserHistoryItem[];
}
export declare function serializeRiskyUserHistoryItemCollectionResponse(writer: SerializationWriter, riskyUserHistoryItemCollectionResponse?: RiskyUserHistoryItemCollectionResponse | undefined): void;
