import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type RoomList } from './roomList';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRoomListCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoomListCollectionResponse;
export declare function deserializeIntoRoomListCollectionResponse(roomListCollectionResponse?: RoomListCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RoomListCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RoomList[];
}
export declare function serializeRoomListCollectionResponse(writer: SerializationWriter, roomListCollectionResponse?: RoomListCollectionResponse | undefined): void;
