import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRoot;
export declare function deserializeIntoRoot(root?: Root | undefined): Record<string, (node: ParseNode) => void>;
export interface Root extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRoot(writer: SerializationWriter, root?: Root | undefined): void;
