"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeRoot = exports.deserializeIntoRoot = exports.createRootFromDiscriminatorValue = void 0;
function createRootFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoRoot;
}
exports.createRootFromDiscriminatorValue = createRootFromDiscriminatorValue;
function deserializeIntoRoot(root = {}) {
    return {
        "@odata.type": n => { root.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoRoot = deserializeIntoRoot;
function serializeRoot(writer, root = {}) {
    writer.writeStringValue("@odata.type", root.odataType);
    writer.writeAdditionalData(root.additionalData);
}
exports.serializeRoot = serializeRoot;
// tslint:enable
// eslint-enable
