import { type DeviceActionResult } from './deviceActionResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRotateBitLockerKeysDeviceActionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRotateBitLockerKeysDeviceActionResult;
export declare function deserializeIntoRotateBitLockerKeysDeviceActionResult(rotateBitLockerKeysDeviceActionResult?: RotateBitLockerKeysDeviceActionResult | undefined): Record<string, (node: ParseNode) => void>;
export interface RotateBitLockerKeysDeviceActionResult extends DeviceActionResult, Parsable {
    /**
     * RotateBitLockerKeys action error code
     */
    errorCode?: number;
}
export declare function serializeRotateBitLockerKeysDeviceActionResult(writer: SerializationWriter, rotateBitLockerKeysDeviceActionResult?: RotateBitLockerKeysDeviceActionResult | undefined): void;
