import { type EducationItemBody } from './educationItemBody';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRubricCriterionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRubricCriterion;
export declare function deserializeIntoRubricCriterion(rubricCriterion?: RubricCriterion | undefined): Record<string, (node: ParseNode) => void>;
export interface RubricCriterion extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The description of this criterion.
     */
    description?: EducationItemBody;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeRubricCriterion(writer: SerializationWriter, rubricCriterion?: RubricCriterion | undefined): void;
