import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRubricQualitySelectedColumnModelFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRubricQualitySelectedColumnModel;
export declare function deserializeIntoRubricQualitySelectedColumnModel(rubricQualitySelectedColumnModel?: RubricQualitySelectedColumnModel | undefined): Record<string, (node: ParseNode) => void>;
export interface RubricQualitySelectedColumnModel extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * ID of the selected level for this quality.
     */
    columnId?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * ID of the associated quality.
     */
    qualityId?: string;
}
export declare function serializeRubricQualitySelectedColumnModel(writer: SerializationWriter, rubricQualitySelectedColumnModel?: RubricQualitySelectedColumnModel | undefined): void;
