import { type ExternalDomainName } from './externalDomainName';
import { type SamlOrWsFedProvider } from './samlOrWsFedProvider';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSamlOrWsFedExternalDomainFederationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSamlOrWsFedExternalDomainFederation;
export declare function deserializeIntoSamlOrWsFedExternalDomainFederation(samlOrWsFedExternalDomainFederation?: SamlOrWsFedExternalDomainFederation | undefined): Record<string, (node: ParseNode) => void>;
export interface SamlOrWsFedExternalDomainFederation extends Parsable, SamlOrWsFedProvider {
    /**
     * Collection of domain names of the external organizations that the tenant is federating with. Supports $filter (eq).
     */
    domains?: ExternalDomainName[];
}
export declare function serializeSamlOrWsFedExternalDomainFederation(writer: SerializationWriter, samlOrWsFedExternalDomainFederation?: SamlOrWsFedExternalDomainFederation | undefined): void;
