import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSamlSingleSignOnSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSamlSingleSignOnSettings;
export declare function deserializeIntoSamlSingleSignOnSettings(samlSingleSignOnSettings?: SamlSingleSignOnSettings | undefined): Record<string, (node: ParseNode) => void>;
export interface SamlSingleSignOnSettings extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The relative URI the service provider would redirect to after completion of the single sign-on flow.
     */
    relayState?: string;
}
export declare function serializeSamlSingleSignOnSettings(writer: SerializationWriter, samlSingleSignOnSettings?: SamlSingleSignOnSettings | undefined): void;
