"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSamlSingleSignOnSettings = exports.deserializeIntoSamlSingleSignOnSettings = exports.createSamlSingleSignOnSettingsFromDiscriminatorValue = void 0;
function createSamlSingleSignOnSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSamlSingleSignOnSettings;
}
exports.createSamlSingleSignOnSettingsFromDiscriminatorValue = createSamlSingleSignOnSettingsFromDiscriminatorValue;
function deserializeIntoSamlSingleSignOnSettings(samlSingleSignOnSettings = {}) {
    return {
        "@odata.type": n => { samlSingleSignOnSettings.odataType = n.getStringValue(); },
        "relayState": n => { samlSingleSignOnSettings.relayState = n.getStringValue(); },
    };
}
exports.deserializeIntoSamlSingleSignOnSettings = deserializeIntoSamlSingleSignOnSettings;
function serializeSamlSingleSignOnSettings(writer, samlSingleSignOnSettings = {}) {
    writer.writeStringValue("@odata.type", samlSingleSignOnSettings.odataType);
    writer.writeStringValue("relayState", samlSingleSignOnSettings.relayState);
    writer.writeAdditionalData(samlSingleSignOnSettings.additionalData);
}
exports.serializeSamlSingleSignOnSettings = serializeSamlSingleSignOnSettings;
// tslint:enable
// eslint-enable
