import { ScheduleEntityTheme } from './scheduleEntityTheme';
import { deserializeIntoTimeOffItem } from './timeOffItem';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createScheduleEntityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTimeOffItem;
export declare function deserializeIntoScheduleEntity(scheduleEntity?: ScheduleEntity | undefined): Record<string, (node: ParseNode) => void>;
export interface ScheduleEntity extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The endDateTime property
     */
    endDateTime?: Date;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The startDateTime property
     */
    startDateTime?: Date;
    /**
     * The theme property
     */
    theme?: ScheduleEntityTheme;
}
export declare function serializeScheduleEntity(writer: SerializationWriter, scheduleEntity?: ScheduleEntity | undefined): void;
