import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SchedulingGroup } from './schedulingGroup';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSchedulingGroupCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSchedulingGroupCollectionResponse;
export declare function deserializeIntoSchedulingGroupCollectionResponse(schedulingGroupCollectionResponse?: SchedulingGroupCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface SchedulingGroupCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SchedulingGroup[];
}
export declare function serializeSchedulingGroupCollectionResponse(writer: SerializationWriter, schedulingGroupCollectionResponse?: SchedulingGroupCollectionResponse | undefined): void;
