"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSearchQuery = exports.deserializeIntoSearchQuery = exports.createSearchQueryFromDiscriminatorValue = void 0;
function createSearchQueryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSearchQuery;
}
exports.createSearchQueryFromDiscriminatorValue = createSearchQueryFromDiscriminatorValue;
function deserializeIntoSearchQuery(searchQuery = {}) {
    return {
        "@odata.type": n => { searchQuery.odataType = n.getStringValue(); },
        "queryString": n => { searchQuery.queryString = n.getStringValue(); },
        "queryTemplate": n => { searchQuery.queryTemplate = n.getStringValue(); },
    };
}
exports.deserializeIntoSearchQuery = deserializeIntoSearchQuery;
function serializeSearchQuery(writer, searchQuery = {}) {
    writer.writeStringValue("@odata.type", searchQuery.odataType);
    writer.writeStringValue("queryString", searchQuery.queryString);
    writer.writeStringValue("queryTemplate", searchQuery.queryTemplate);
    writer.writeAdditionalData(searchQuery.additionalData);
}
exports.serializeSearchQuery = serializeSearchQuery;
// tslint:enable
// eslint-enable
