import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Alert } from './alert';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface AlertCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Alert[];
}
export declare function createAlertCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAlertCollectionResponse;
export declare function deserializeIntoAlertCollectionResponse(alertCollectionResponse?: AlertCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeAlertCollectionResponse(writer: SerializationWriter, alertCollectionResponse?: AlertCollectionResponse | undefined): void;
