import { type Indicator } from './indicator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ArticleIndicator extends Indicator, Parsable {
}
export declare function createArticleIndicatorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArticleIndicator;
export declare function deserializeIntoArticleIndicator(articleIndicator?: ArticleIndicator | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArticleIndicator(writer: SerializationWriter, articleIndicator?: ArticleIndicator | undefined): void;
