import { type Entity } from '../entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface Artifact extends Entity, Parsable {
}
export declare function createArtifactFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoArtifact;
export declare function deserializeIntoArtifact(artifact?: Artifact | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeArtifact(writer: SerializationWriter, artifact?: Artifact | undefined): void;
