import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type CaseOperation } from './caseOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CaseOperationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: CaseOperation[];
}
export declare function createCaseOperationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCaseOperationCollectionResponse;
export declare function deserializeIntoCaseOperationCollectionResponse(caseOperationCollectionResponse?: CaseOperationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCaseOperationCollectionResponse(writer: SerializationWriter, caseOperationCollectionResponse?: CaseOperationCollectionResponse | undefined): void;
