import { type Entity } from '../entity';
import { type EdiscoveryCase } from './ediscoveryCase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface CasesRoot extends Entity, Parsable {
    /**
     * The ediscoveryCases property
     */
    ediscoveryCases?: EdiscoveryCase[];
}
export declare function createCasesRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoCasesRoot;
export declare function deserializeIntoCasesRoot(casesRoot?: CasesRoot | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeCasesRoot(writer: SerializationWriter, casesRoot?: CasesRoot | undefined): void;
