import { type AlertEvidence } from './alertEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export interface ContainerRegistryEvidence extends AlertEvidence, Parsable {
    /**
     * The registry URI.
     */
    registry?: string;
}
export declare function createContainerRegistryEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoContainerRegistryEvidence;
export declare function deserializeIntoContainerRegistryEvidence(containerRegistryEvidence?: ContainerRegistryEvidence | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeContainerRegistryEvidence(writer: SerializationWriter, containerRegistryEvidence?: ContainerRegistryEvidence | undefined): void;
