"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeDictionary = exports.deserializeIntoDictionary = exports.createDictionaryFromDiscriminatorValue = void 0;
function createDictionaryFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoDictionary;
}
exports.createDictionaryFromDiscriminatorValue = createDictionaryFromDiscriminatorValue;
function deserializeIntoDictionary(dictionary = {}) {
    return {
        "@odata.type": n => { dictionary.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoDictionary = deserializeIntoDictionary;
function serializeDictionary(writer, dictionary = {}) {
    writer.writeStringValue("@odata.type", dictionary.odataType);
    writer.writeAdditionalData(dictionary.additionalData);
}
exports.serializeDictionary = serializeDictionary;
// tslint:enable
// eslint-enable
