import { type CaseOperation } from './caseOperation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryHoldOperationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryHoldOperation;
export declare function deserializeIntoEdiscoveryHoldOperation(ediscoveryHoldOperation?: EdiscoveryHoldOperation | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryHoldOperation extends CaseOperation, Parsable {
}
export declare function serializeEdiscoveryHoldOperation(writer: SerializationWriter, ediscoveryHoldOperation?: EdiscoveryHoldOperation | undefined): void;
