import { type Search } from './search';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoveryReviewSetQueryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoveryReviewSetQuery;
export declare function deserializeIntoEdiscoveryReviewSetQuery(ediscoveryReviewSetQuery?: EdiscoveryReviewSetQuery | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoveryReviewSetQuery extends Parsable, Search {
}
export declare function serializeEdiscoveryReviewSetQuery(writer: SerializationWriter, ediscoveryReviewSetQuery?: EdiscoveryReviewSetQuery | undefined): void;
