import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type EdiscoverySearch } from './ediscoverySearch';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createEdiscoverySearchCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoEdiscoverySearchCollectionResponse;
export declare function deserializeIntoEdiscoverySearchCollectionResponse(ediscoverySearchCollectionResponse?: EdiscoverySearchCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface EdiscoverySearchCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: EdiscoverySearch[];
}
export declare function serializeEdiscoverySearchCollectionResponse(writer: SerializationWriter, ediscoverySearchCollectionResponse?: EdiscoverySearchCollectionResponse | undefined): void;
