"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeEmailSender = exports.deserializeIntoEmailSender = exports.createEmailSenderFromDiscriminatorValue = void 0;
function createEmailSenderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoEmailSender;
}
exports.createEmailSenderFromDiscriminatorValue = createEmailSenderFromDiscriminatorValue;
function deserializeIntoEmailSender(emailSender = {}) {
    return {
        "displayName": n => { emailSender.displayName = n.getStringValue(); },
        "domainName": n => { emailSender.domainName = n.getStringValue(); },
        "emailAddress": n => { emailSender.emailAddress = n.getStringValue(); },
        "@odata.type": n => { emailSender.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoEmailSender = deserializeIntoEmailSender;
function serializeEmailSender(writer, emailSender = {}) {
    writer.writeStringValue("displayName", emailSender.displayName);
    writer.writeStringValue("domainName", emailSender.domainName);
    writer.writeStringValue("emailAddress", emailSender.emailAddress);
    writer.writeStringValue("@odata.type", emailSender.odataType);
    writer.writeAdditionalData(emailSender.additionalData);
}
exports.serializeEmailSender = serializeEmailSender;
// tslint:enable
// eslint-enable
