import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createExportFileMetadataFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoExportFileMetadata;
export declare function deserializeIntoExportFileMetadata(exportFileMetadata?: ExportFileMetadata | undefined): Record<string, (node: ParseNode) => void>;
export interface ExportFileMetadata extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The downloadUrl property
     */
    downloadUrl?: string;
    /**
     * The fileName property
     */
    fileName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The size property
     */
    size?: number;
}
export declare function serializeExportFileMetadata(writer: SerializationWriter, exportFileMetadata?: ExportFileMetadata | undefined): void;
