"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeExportFileMetadata = exports.deserializeIntoExportFileMetadata = exports.createExportFileMetadataFromDiscriminatorValue = void 0;
function createExportFileMetadataFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoExportFileMetadata;
}
exports.createExportFileMetadataFromDiscriminatorValue = createExportFileMetadataFromDiscriminatorValue;
function deserializeIntoExportFileMetadata(exportFileMetadata = {}) {
    return {
        "downloadUrl": n => { exportFileMetadata.downloadUrl = n.getStringValue(); },
        "fileName": n => { exportFileMetadata.fileName = n.getStringValue(); },
        "@odata.type": n => { exportFileMetadata.odataType = n.getStringValue(); },
        "size": n => { exportFileMetadata.size = n.getNumberValue(); },
    };
}
exports.deserializeIntoExportFileMetadata = deserializeIntoExportFileMetadata;
function serializeExportFileMetadata(writer, exportFileMetadata = {}) {
    writer.writeStringValue("downloadUrl", exportFileMetadata.downloadUrl);
    writer.writeStringValue("fileName", exportFileMetadata.fileName);
    writer.writeStringValue("@odata.type", exportFileMetadata.odataType);
    writer.writeNumberValue("size", exportFileMetadata.size);
    writer.writeAdditionalData(exportFileMetadata.additionalData);
}
exports.serializeExportFileMetadata = serializeExportFileMetadata;
// tslint:enable
// eslint-enable
