import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type HostCookie } from './hostCookie';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostCookieCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostCookieCollectionResponse;
export declare function deserializeIntoHostCookieCollectionResponse(hostCookieCollectionResponse?: HostCookieCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HostCookieCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: HostCookie[];
}
export declare function serializeHostCookieCollectionResponse(writer: SerializationWriter, hostCookieCollectionResponse?: HostCookieCollectionResponse | undefined): void;
