import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type HostPair } from './hostPair';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createHostPairCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoHostPairCollectionResponse;
export declare function deserializeIntoHostPairCollectionResponse(hostPairCollectionResponse?: HostPairCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface HostPairCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: HostPair[];
}
export declare function serializeHostPairCollectionResponse(writer: SerializationWriter, hostPairCollectionResponse?: HostPairCollectionResponse | undefined): void;
