"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHostPortBanner = exports.deserializeIntoHostPortBanner = exports.createHostPortBannerFromDiscriminatorValue = void 0;
function createHostPortBannerFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHostPortBanner;
}
exports.createHostPortBannerFromDiscriminatorValue = createHostPortBannerFromDiscriminatorValue;
function deserializeIntoHostPortBanner(hostPortBanner = {}) {
    return {
        "banner": n => { hostPortBanner.banner = n.getStringValue(); },
        "firstSeenDateTime": n => { hostPortBanner.firstSeenDateTime = n.getDateValue(); },
        "lastSeenDateTime": n => { hostPortBanner.lastSeenDateTime = n.getDateValue(); },
        "@odata.type": n => { hostPortBanner.odataType = n.getStringValue(); },
        "scanProtocol": n => { hostPortBanner.scanProtocol = n.getStringValue(); },
        "timesObserved": n => { hostPortBanner.timesObserved = n.getNumberValue(); },
    };
}
exports.deserializeIntoHostPortBanner = deserializeIntoHostPortBanner;
function serializeHostPortBanner(writer, hostPortBanner = {}) {
    writer.writeStringValue("banner", hostPortBanner.banner);
    writer.writeDateValue("firstSeenDateTime", hostPortBanner.firstSeenDateTime);
    writer.writeDateValue("lastSeenDateTime", hostPortBanner.lastSeenDateTime);
    writer.writeStringValue("@odata.type", hostPortBanner.odataType);
    writer.writeStringValue("scanProtocol", hostPortBanner.scanProtocol);
    writer.writeNumberValue("timesObserved", hostPortBanner.timesObserved);
    writer.writeAdditionalData(hostPortBanner.additionalData);
}
exports.serializeHostPortBanner = serializeHostPortBanner;
// tslint:enable
// eslint-enable
