"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHostSslCertificatePort = exports.deserializeIntoHostSslCertificatePort = exports.createHostSslCertificatePortFromDiscriminatorValue = void 0;
function createHostSslCertificatePortFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHostSslCertificatePort;
}
exports.createHostSslCertificatePortFromDiscriminatorValue = createHostSslCertificatePortFromDiscriminatorValue;
function deserializeIntoHostSslCertificatePort(hostSslCertificatePort = {}) {
    return {
        "firstSeenDateTime": n => { hostSslCertificatePort.firstSeenDateTime = n.getDateValue(); },
        "lastSeenDateTime": n => { hostSslCertificatePort.lastSeenDateTime = n.getDateValue(); },
        "@odata.type": n => { hostSslCertificatePort.odataType = n.getStringValue(); },
        "port": n => { hostSslCertificatePort.port = n.getNumberValue(); },
    };
}
exports.deserializeIntoHostSslCertificatePort = deserializeIntoHostSslCertificatePort;
function serializeHostSslCertificatePort(writer, hostSslCertificatePort = {}) {
    writer.writeDateValue("firstSeenDateTime", hostSslCertificatePort.firstSeenDateTime);
    writer.writeDateValue("lastSeenDateTime", hostSslCertificatePort.lastSeenDateTime);
    writer.writeStringValue("@odata.type", hostSslCertificatePort.odataType);
    writer.writeNumberValue("port", hostSslCertificatePort.port);
    writer.writeAdditionalData(hostSslCertificatePort.additionalData);
}
exports.serializeHostSslCertificatePort = serializeHostSslCertificatePort;
// tslint:enable
// eslint-enable
