"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHuntingRowResult = exports.deserializeIntoHuntingRowResult = exports.createHuntingRowResultFromDiscriminatorValue = void 0;
function createHuntingRowResultFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHuntingRowResult;
}
exports.createHuntingRowResultFromDiscriminatorValue = createHuntingRowResultFromDiscriminatorValue;
function deserializeIntoHuntingRowResult(huntingRowResult = {}) {
    return {
        "@odata.type": n => { huntingRowResult.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoHuntingRowResult = deserializeIntoHuntingRowResult;
function serializeHuntingRowResult(writer, huntingRowResult = {}) {
    writer.writeStringValue("@odata.type", huntingRowResult.odataType);
    writer.writeAdditionalData(huntingRowResult.additionalData);
}
exports.serializeHuntingRowResult = serializeHuntingRowResult;
// tslint:enable
// eslint-enable
