"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeHyperlink = exports.deserializeIntoHyperlink = exports.createHyperlinkFromDiscriminatorValue = void 0;
function createHyperlinkFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoHyperlink;
}
exports.createHyperlinkFromDiscriminatorValue = createHyperlinkFromDiscriminatorValue;
function deserializeIntoHyperlink(hyperlink = {}) {
    return {
        "name": n => { hyperlink.name = n.getStringValue(); },
        "@odata.type": n => { hyperlink.odataType = n.getStringValue(); },
        "url": n => { hyperlink.url = n.getStringValue(); },
    };
}
exports.deserializeIntoHyperlink = deserializeIntoHyperlink;
function serializeHyperlink(writer, hyperlink = {}) {
    writer.writeStringValue("name", hyperlink.name);
    writer.writeStringValue("@odata.type", hyperlink.odataType);
    writer.writeStringValue("url", hyperlink.url);
    writer.writeAdditionalData(hyperlink.additionalData);
}
exports.serializeHyperlink = serializeHyperlink;
// tslint:enable
// eslint-enable
