import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type IntelligenceProfile } from './intelligenceProfile';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIntelligenceProfileCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIntelligenceProfileCollectionResponse;
export declare function deserializeIntoIntelligenceProfileCollectionResponse(intelligenceProfileCollectionResponse?: IntelligenceProfileCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface IntelligenceProfileCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: IntelligenceProfile[];
}
export declare function serializeIntelligenceProfileCollectionResponse(writer: SerializationWriter, intelligenceProfileCollectionResponse?: IntelligenceProfileCollectionResponse | undefined): void;
