import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createIntelligenceProfileCountryOrRegionOfOriginFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoIntelligenceProfileCountryOrRegionOfOrigin;
export declare function deserializeIntoIntelligenceProfileCountryOrRegionOfOrigin(intelligenceProfileCountryOrRegionOfOrigin?: IntelligenceProfileCountryOrRegionOfOrigin | undefined): Record<string, (node: ParseNode) => void>;
export interface IntelligenceProfileCountryOrRegionOfOrigin extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * A codified representation for this country/region of origin.
     */
    code?: string;
    /**
     * A display label for this ountry/region of origin.
     */
    label?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
}
export declare function serializeIntelligenceProfileCountryOrRegionOfOrigin(writer: SerializationWriter, intelligenceProfileCountryOrRegionOfOrigin?: IntelligenceProfileCountryOrRegionOfOrigin | undefined): void;
