import { type AlertEvidence } from './alertEvidence';
import { type KubernetesNamespaceEvidence } from './kubernetesNamespaceEvidence';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createKubernetesServiceAccountEvidenceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoKubernetesServiceAccountEvidence;
export declare function deserializeIntoKubernetesServiceAccountEvidence(kubernetesServiceAccountEvidence?: KubernetesServiceAccountEvidence | undefined): Record<string, (node: ParseNode) => void>;
export interface KubernetesServiceAccountEvidence extends AlertEvidence, Parsable {
    /**
     * The service account name.
     */
    name?: string;
    /**
     * The service account namespace.
     */
    namespace?: KubernetesNamespaceEvidence;
}
export declare function serializeKubernetesServiceAccountEvidence(writer: SerializationWriter, kubernetesServiceAccountEvidence?: KubernetesServiceAccountEvidence | undefined): void;
