import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type PassiveDnsRecord } from './passiveDnsRecord';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createPassiveDnsRecordCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoPassiveDnsRecordCollectionResponse;
export declare function deserializeIntoPassiveDnsRecordCollectionResponse(passiveDnsRecordCollectionResponse?: PassiveDnsRecordCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface PassiveDnsRecordCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: PassiveDnsRecord[];
}
export declare function serializePassiveDnsRecordCollectionResponse(writer: SerializationWriter, passiveDnsRecordCollectionResponse?: PassiveDnsRecordCollectionResponse | undefined): void;
