import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type RetentionEvent } from './retentionEvent';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRetentionEventCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRetentionEventCollectionResponse;
export declare function deserializeIntoRetentionEventCollectionResponse(retentionEventCollectionResponse?: RetentionEventCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RetentionEventCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RetentionEvent[];
}
export declare function serializeRetentionEventCollectionResponse(writer: SerializationWriter, retentionEventCollectionResponse?: RetentionEventCollectionResponse | undefined): void;
