import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type RetentionEventType } from './retentionEventType';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRetentionEventTypeCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRetentionEventTypeCollectionResponse;
export declare function deserializeIntoRetentionEventTypeCollectionResponse(retentionEventTypeCollectionResponse?: RetentionEventTypeCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RetentionEventTypeCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: RetentionEventType[];
}
export declare function serializeRetentionEventTypeCollectionResponse(writer: SerializationWriter, retentionEventTypeCollectionResponse?: RetentionEventTypeCollectionResponse | undefined): void;
