import { type Site } from '../site';
import { type DataSource } from './dataSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSiteSourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSiteSource;
export declare function deserializeIntoSiteSource(siteSource?: SiteSource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSiteSource(writer: SerializationWriter, siteSource?: SiteSource | undefined): void;
export interface SiteSource extends DataSource, Parsable {
    /**
     * The site property
     */
    site?: Site;
}
