import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type SiteSource } from './siteSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSiteSourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSiteSourceCollectionResponse;
export declare function deserializeIntoSiteSourceCollectionResponse(siteSourceCollectionResponse?: SiteSourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSiteSourceCollectionResponse(writer: SerializationWriter, siteSourceCollectionResponse?: SiteSourceCollectionResponse | undefined): void;
export interface SiteSourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SiteSource[];
}
