import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type UnifiedGroupSource } from './unifiedGroupSource';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedGroupSourceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedGroupSourceCollectionResponse;
export declare function deserializeIntoUnifiedGroupSourceCollectionResponse(unifiedGroupSourceCollectionResponse?: UnifiedGroupSourceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedGroupSourceCollectionResponse(writer: SerializationWriter, unifiedGroupSourceCollectionResponse?: UnifiedGroupSourceCollectionResponse | undefined): void;
export interface UnifiedGroupSourceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedGroupSource[];
}
