import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSecurityReportsRootFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSecurityReportsRoot;
export declare function deserializeIntoSecurityReportsRoot(securityReportsRoot?: SecurityReportsRoot | undefined): Record<string, (node: ParseNode) => void>;
export interface SecurityReportsRoot extends Entity, Parsable {
}
export declare function serializeSecurityReportsRoot(writer: SerializationWriter, securityReportsRoot?: SecurityReportsRoot | undefined): void;
