"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSecurityVendorInformation = exports.deserializeIntoSecurityVendorInformation = exports.createSecurityVendorInformationFromDiscriminatorValue = void 0;
function createSecurityVendorInformationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSecurityVendorInformation;
}
exports.createSecurityVendorInformationFromDiscriminatorValue = createSecurityVendorInformationFromDiscriminatorValue;
function deserializeIntoSecurityVendorInformation(securityVendorInformation = {}) {
    return {
        "@odata.type": n => { securityVendorInformation.odataType = n.getStringValue(); },
        "provider": n => { securityVendorInformation.provider = n.getStringValue(); },
        "providerVersion": n => { securityVendorInformation.providerVersion = n.getStringValue(); },
        "subProvider": n => { securityVendorInformation.subProvider = n.getStringValue(); },
        "vendor": n => { securityVendorInformation.vendor = n.getStringValue(); },
    };
}
exports.deserializeIntoSecurityVendorInformation = deserializeIntoSecurityVendorInformation;
function serializeSecurityVendorInformation(writer, securityVendorInformation = {}) {
    writer.writeStringValue("@odata.type", securityVendorInformation.odataType);
    writer.writeStringValue("provider", securityVendorInformation.provider);
    writer.writeStringValue("providerVersion", securityVendorInformation.providerVersion);
    writer.writeStringValue("subProvider", securityVendorInformation.subProvider);
    writer.writeStringValue("vendor", securityVendorInformation.vendor);
    writer.writeAdditionalData(securityVendorInformation.additionalData);
}
exports.serializeSecurityVendorInformation = serializeSecurityVendorInformation;
// tslint:enable
// eslint-enable
