import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ServiceHealth } from './serviceHealth';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceHealthCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceHealthCollectionResponse;
export declare function deserializeIntoServiceHealthCollectionResponse(serviceHealthCollectionResponse?: ServiceHealthCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceHealthCollectionResponse(writer: SerializationWriter, serviceHealthCollectionResponse?: ServiceHealthCollectionResponse | undefined): void;
export interface ServiceHealthCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ServiceHealth[];
}
