import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ServiceHealthIssue } from './serviceHealthIssue';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceHealthIssueCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceHealthIssueCollectionResponse;
export declare function deserializeIntoServiceHealthIssueCollectionResponse(serviceHealthIssueCollectionResponse?: ServiceHealthIssueCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceHealthIssueCollectionResponse(writer: SerializationWriter, serviceHealthIssueCollectionResponse?: ServiceHealthIssueCollectionResponse | undefined): void;
export interface ServiceHealthIssueCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ServiceHealthIssue[];
}
