import { type MediaConfig } from './mediaConfig';
import { type MediaInfo } from './mediaInfo';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceHostedMediaConfigFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceHostedMediaConfig;
export declare function deserializeIntoServiceHostedMediaConfig(serviceHostedMediaConfig?: ServiceHostedMediaConfig | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceHostedMediaConfig(writer: SerializationWriter, serviceHostedMediaConfig?: ServiceHostedMediaConfig | undefined): void;
export interface ServiceHostedMediaConfig extends MediaConfig, Parsable {
    /**
     * The list of media to pre-fetch.
     */
    preFetchMedia?: MediaInfo[];
}
