import { type Identity } from './identity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServicePrincipalIdentityFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServicePrincipalIdentity;
export declare function deserializeIntoServicePrincipalIdentity(servicePrincipalIdentity?: ServicePrincipalIdentity | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServicePrincipalIdentity(writer: SerializationWriter, servicePrincipalIdentity?: ServicePrincipalIdentity | undefined): void;
export interface ServicePrincipalIdentity extends Identity, Parsable {
    /**
     * The application identifier of the service principal.
     */
    appId?: string;
}
