"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeServicePrincipalLockConfiguration = exports.deserializeIntoServicePrincipalLockConfiguration = exports.createServicePrincipalLockConfigurationFromDiscriminatorValue = void 0;
function createServicePrincipalLockConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoServicePrincipalLockConfiguration;
}
exports.createServicePrincipalLockConfigurationFromDiscriminatorValue = createServicePrincipalLockConfigurationFromDiscriminatorValue;
function deserializeIntoServicePrincipalLockConfiguration(servicePrincipalLockConfiguration = {}) {
    return {
        "allProperties": n => { servicePrincipalLockConfiguration.allProperties = n.getBooleanValue(); },
        "credentialsWithUsageSign": n => { servicePrincipalLockConfiguration.credentialsWithUsageSign = n.getBooleanValue(); },
        "credentialsWithUsageVerify": n => { servicePrincipalLockConfiguration.credentialsWithUsageVerify = n.getBooleanValue(); },
        "isEnabled": n => { servicePrincipalLockConfiguration.isEnabled = n.getBooleanValue(); },
        "@odata.type": n => { servicePrincipalLockConfiguration.odataType = n.getStringValue(); },
        "tokenEncryptionKeyId": n => { servicePrincipalLockConfiguration.tokenEncryptionKeyId = n.getBooleanValue(); },
    };
}
exports.deserializeIntoServicePrincipalLockConfiguration = deserializeIntoServicePrincipalLockConfiguration;
function serializeServicePrincipalLockConfiguration(writer, servicePrincipalLockConfiguration = {}) {
    writer.writeBooleanValue("allProperties", servicePrincipalLockConfiguration.allProperties);
    writer.writeBooleanValue("credentialsWithUsageSign", servicePrincipalLockConfiguration.credentialsWithUsageSign);
    writer.writeBooleanValue("credentialsWithUsageVerify", servicePrincipalLockConfiguration.credentialsWithUsageVerify);
    writer.writeBooleanValue("isEnabled", servicePrincipalLockConfiguration.isEnabled);
    writer.writeStringValue("@odata.type", servicePrincipalLockConfiguration.odataType);
    writer.writeBooleanValue("tokenEncryptionKeyId", servicePrincipalLockConfiguration.tokenEncryptionKeyId);
    writer.writeAdditionalData(servicePrincipalLockConfiguration.additionalData);
}
exports.serializeServicePrincipalLockConfiguration = serializeServicePrincipalLockConfiguration;
// tslint:enable
// eslint-enable
