import { deserializeIntoServiceProvisioningXmlError } from './serviceProvisioningXmlError';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceProvisioningErrorFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceProvisioningXmlError;
export declare function deserializeIntoServiceProvisioningError(serviceProvisioningError?: ServiceProvisioningError | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceProvisioningError(writer: SerializationWriter, serviceProvisioningError?: ServiceProvisioningError | undefined): void;
export interface ServiceProvisioningError extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The createdDateTime property
     */
    createdDateTime?: Date;
    /**
     * The isResolved property
     */
    isResolved?: boolean;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The serviceInstance property
     */
    serviceInstance?: string;
}
