import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ServiceProvisioningError } from './serviceProvisioningError';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createServiceProvisioningErrorCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoServiceProvisioningErrorCollectionResponse;
export declare function deserializeIntoServiceProvisioningErrorCollectionResponse(serviceProvisioningErrorCollectionResponse?: ServiceProvisioningErrorCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeServiceProvisioningErrorCollectionResponse(writer: SerializationWriter, serviceProvisioningErrorCollectionResponse?: ServiceProvisioningErrorCollectionResponse | undefined): void;
export interface ServiceProvisioningErrorCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ServiceProvisioningError[];
}
