import { SettingSourceType } from './settingSourceType';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSettingSourceFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSettingSource;
export declare function deserializeIntoSettingSource(settingSource?: SettingSource | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSettingSource(writer: SerializationWriter, settingSource?: SettingSource | undefined): void;
export interface SettingSource extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Not yet documented
     */
    displayName?: string;
    /**
     * Not yet documented
     */
    id?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The sourceType property
     */
    sourceType?: SettingSourceType;
}
