import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SettingStateDeviceSummary } from './settingStateDeviceSummary';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSettingStateDeviceSummaryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSettingStateDeviceSummaryCollectionResponse;
export declare function deserializeIntoSettingStateDeviceSummaryCollectionResponse(settingStateDeviceSummaryCollectionResponse?: SettingStateDeviceSummaryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSettingStateDeviceSummaryCollectionResponse(writer: SerializationWriter, settingStateDeviceSummaryCollectionResponse?: SettingStateDeviceSummaryCollectionResponse | undefined): void;
export interface SettingStateDeviceSummaryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SettingStateDeviceSummary[];
}
