import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SharedDriveItem } from './sharedDriveItem';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedDriveItemCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedDriveItemCollectionResponse;
export declare function deserializeIntoSharedDriveItemCollectionResponse(sharedDriveItemCollectionResponse?: SharedDriveItemCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedDriveItemCollectionResponse(writer: SerializationWriter, sharedDriveItemCollectionResponse?: SharedDriveItemCollectionResponse | undefined): void;
export interface SharedDriveItemCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SharedDriveItem[];
}
