import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SharedInsight } from './sharedInsight';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSharedInsightCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSharedInsightCollectionResponse;
export declare function deserializeIntoSharedInsightCollectionResponse(sharedInsightCollectionResponse?: SharedInsightCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSharedInsightCollectionResponse(writer: SerializationWriter, sharedInsightCollectionResponse?: SharedInsightCollectionResponse | undefined): void;
export interface SharedInsightCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SharedInsight[];
}
