import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Shift } from './shift';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createShiftCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoShiftCollectionResponse;
export declare function deserializeIntoShiftCollectionResponse(shiftCollectionResponse?: ShiftCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeShiftCollectionResponse(writer: SerializationWriter, shiftCollectionResponse?: ShiftCollectionResponse | undefined): void;
export interface ShiftCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Shift[];
}
