import { type ChangeTrackedEntity } from './changeTrackedEntity';
import { type ShiftAvailability } from './shiftAvailability';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createShiftPreferencesFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoShiftPreferences;
export declare function deserializeIntoShiftPreferences(shiftPreferences?: ShiftPreferences | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeShiftPreferences(writer: SerializationWriter, shiftPreferences?: ShiftPreferences | undefined): void;
export interface ShiftPreferences extends ChangeTrackedEntity, Parsable {
    /**
     * Availability of the user to be scheduled for work and its recurrence pattern.
     */
    availability?: ShiftAvailability[];
}
