"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSignInActivity = exports.deserializeIntoSignInActivity = exports.createSignInActivityFromDiscriminatorValue = void 0;
function createSignInActivityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSignInActivity;
}
exports.createSignInActivityFromDiscriminatorValue = createSignInActivityFromDiscriminatorValue;
function deserializeIntoSignInActivity(signInActivity = {}) {
    return {
        "lastNonInteractiveSignInDateTime": n => { signInActivity.lastNonInteractiveSignInDateTime = n.getDateValue(); },
        "lastNonInteractiveSignInRequestId": n => { signInActivity.lastNonInteractiveSignInRequestId = n.getStringValue(); },
        "lastSignInDateTime": n => { signInActivity.lastSignInDateTime = n.getDateValue(); },
        "lastSignInRequestId": n => { signInActivity.lastSignInRequestId = n.getStringValue(); },
        "@odata.type": n => { signInActivity.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSignInActivity = deserializeIntoSignInActivity;
function serializeSignInActivity(writer, signInActivity = {}) {
    writer.writeDateValue("lastNonInteractiveSignInDateTime", signInActivity.lastNonInteractiveSignInDateTime);
    writer.writeStringValue("lastNonInteractiveSignInRequestId", signInActivity.lastNonInteractiveSignInRequestId);
    writer.writeDateValue("lastSignInDateTime", signInActivity.lastSignInDateTime);
    writer.writeStringValue("lastSignInRequestId", signInActivity.lastSignInRequestId);
    writer.writeStringValue("@odata.type", signInActivity.odataType);
    writer.writeAdditionalData(signInActivity.additionalData);
}
exports.serializeSignInActivity = serializeSignInActivity;
// tslint:enable
// eslint-enable
