"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSignInStatus = exports.deserializeIntoSignInStatus = exports.createSignInStatusFromDiscriminatorValue = void 0;
function createSignInStatusFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSignInStatus;
}
exports.createSignInStatusFromDiscriminatorValue = createSignInStatusFromDiscriminatorValue;
function deserializeIntoSignInStatus(signInStatus = {}) {
    return {
        "additionalDetails": n => { signInStatus.additionalDetails = n.getStringValue(); },
        "errorCode": n => { signInStatus.errorCode = n.getNumberValue(); },
        "failureReason": n => { signInStatus.failureReason = n.getStringValue(); },
        "@odata.type": n => { signInStatus.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSignInStatus = deserializeIntoSignInStatus;
function serializeSignInStatus(writer, signInStatus = {}) {
    writer.writeStringValue("additionalDetails", signInStatus.additionalDetails);
    writer.writeNumberValue("errorCode", signInStatus.errorCode);
    writer.writeStringValue("failureReason", signInStatus.failureReason);
    writer.writeStringValue("@odata.type", signInStatus.odataType);
    writer.writeAdditionalData(signInStatus.additionalData);
}
exports.serializeSignInStatus = serializeSignInStatus;
// tslint:enable
// eslint-enable
