import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SimulationAutomationRun } from './simulationAutomationRun';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationAutomationRunCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationAutomationRunCollectionResponse;
export declare function deserializeIntoSimulationAutomationRunCollectionResponse(simulationAutomationRunCollectionResponse?: SimulationAutomationRunCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationAutomationRunCollectionResponse(writer: SerializationWriter, simulationAutomationRunCollectionResponse?: SimulationAutomationRunCollectionResponse | undefined): void;
export interface SimulationAutomationRunCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SimulationAutomationRun[];
}
