import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Simulation } from './simulation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSimulationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSimulationCollectionResponse;
export declare function deserializeIntoSimulationCollectionResponse(simulationCollectionResponse?: SimulationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSimulationCollectionResponse(writer: SerializationWriter, simulationCollectionResponse?: SimulationCollectionResponse | undefined): void;
export interface SimulationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Simulation[];
}
