import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSingleValueLegacyExtendedPropertyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSingleValueLegacyExtendedProperty;
export declare function deserializeIntoSingleValueLegacyExtendedProperty(singleValueLegacyExtendedProperty?: SingleValueLegacyExtendedProperty | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSingleValueLegacyExtendedProperty(writer: SerializationWriter, singleValueLegacyExtendedProperty?: SingleValueLegacyExtendedProperty | undefined): void;
export interface SingleValueLegacyExtendedProperty extends Entity, Parsable {
    /**
     * A property value.
     */
    value?: string;
}
