import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Site } from './site';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSiteCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSiteCollectionResponse;
export declare function deserializeIntoSiteCollectionResponse(siteCollectionResponse?: SiteCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSiteCollectionResponse(writer: SerializationWriter, siteCollectionResponse?: SiteCollectionResponse | undefined): void;
export interface SiteCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Site[];
}
