import { type ConversationMember } from './conversationMember';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSkypeUserConversationMemberFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSkypeUserConversationMember;
export declare function deserializeIntoSkypeUserConversationMember(skypeUserConversationMember?: SkypeUserConversationMember | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSkypeUserConversationMember(writer: SerializationWriter, skypeUserConversationMember?: SkypeUserConversationMember | undefined): void;
export interface SkypeUserConversationMember extends ConversationMember, Parsable {
    /**
     * Skype ID of the user.
     */
    skypeId?: string;
}
