"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSpaApplication = exports.deserializeIntoSpaApplication = exports.createSpaApplicationFromDiscriminatorValue = void 0;
function createSpaApplicationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSpaApplication;
}
exports.createSpaApplicationFromDiscriminatorValue = createSpaApplicationFromDiscriminatorValue;
function deserializeIntoSpaApplication(spaApplication = {}) {
    return {
        "@odata.type": n => { spaApplication.odataType = n.getStringValue(); },
        "redirectUris": n => { spaApplication.redirectUris = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoSpaApplication = deserializeIntoSpaApplication;
function serializeSpaApplication(writer, spaApplication = {}) {
    writer.writeStringValue("@odata.type", spaApplication.odataType);
    writer.writeCollectionOfPrimitiveValues("redirectUris", spaApplication.redirectUris);
    writer.writeAdditionalData(spaApplication.additionalData);
}
exports.serializeSpaApplication = serializeSpaApplication;
// tslint:enable
// eslint-enable
