"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSpecialFolder = exports.deserializeIntoSpecialFolder = exports.createSpecialFolderFromDiscriminatorValue = void 0;
function createSpecialFolderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSpecialFolder;
}
exports.createSpecialFolderFromDiscriminatorValue = createSpecialFolderFromDiscriminatorValue;
function deserializeIntoSpecialFolder(specialFolder = {}) {
    return {
        "name": n => { specialFolder.name = n.getStringValue(); },
        "@odata.type": n => { specialFolder.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSpecialFolder = deserializeIntoSpecialFolder;
function serializeSpecialFolder(writer, specialFolder = {}) {
    writer.writeStringValue("name", specialFolder.name);
    writer.writeStringValue("@odata.type", specialFolder.odataType);
    writer.writeAdditionalData(specialFolder.additionalData);
}
exports.serializeSpecialFolder = serializeSpecialFolder;
// tslint:enable
// eslint-enable
