"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeStoragePlanInformation = exports.deserializeIntoStoragePlanInformation = exports.createStoragePlanInformationFromDiscriminatorValue = void 0;
function createStoragePlanInformationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoStoragePlanInformation;
}
exports.createStoragePlanInformationFromDiscriminatorValue = createStoragePlanInformationFromDiscriminatorValue;
function deserializeIntoStoragePlanInformation(storagePlanInformation = {}) {
    return {
        "@odata.type": n => { storagePlanInformation.odataType = n.getStringValue(); },
        "upgradeAvailable": n => { storagePlanInformation.upgradeAvailable = n.getBooleanValue(); },
    };
}
exports.deserializeIntoStoragePlanInformation = deserializeIntoStoragePlanInformation;
function serializeStoragePlanInformation(writer, storagePlanInformation = {}) {
    writer.writeStringValue("@odata.type", storagePlanInformation.odataType);
    writer.writeBooleanValue("upgradeAvailable", storagePlanInformation.upgradeAvailable);
    writer.writeAdditionalData(storagePlanInformation.additionalData);
}
exports.serializeStoragePlanInformation = serializeStoragePlanInformation;
// tslint:enable
// eslint-enable
