import { type AttributeMappingSource } from './attributeMappingSource';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStringKeyAttributeMappingSourceValuePairFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStringKeyAttributeMappingSourceValuePair;
export declare function deserializeIntoStringKeyAttributeMappingSourceValuePair(stringKeyAttributeMappingSourceValuePair?: StringKeyAttributeMappingSourceValuePair | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStringKeyAttributeMappingSourceValuePair(writer: SerializationWriter, stringKeyAttributeMappingSourceValuePair?: StringKeyAttributeMappingSourceValuePair | undefined): void;
export interface StringKeyAttributeMappingSourceValuePair extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The name of the parameter.
     */
    key?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The value of the parameter.
     */
    value?: AttributeMappingSource;
}
