"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeStringKeyLongValuePair = exports.deserializeIntoStringKeyLongValuePair = exports.createStringKeyLongValuePairFromDiscriminatorValue = void 0;
function createStringKeyLongValuePairFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoStringKeyLongValuePair;
}
exports.createStringKeyLongValuePairFromDiscriminatorValue = createStringKeyLongValuePairFromDiscriminatorValue;
function deserializeIntoStringKeyLongValuePair(stringKeyLongValuePair = {}) {
    return {
        "key": n => { stringKeyLongValuePair.key = n.getStringValue(); },
        "@odata.type": n => { stringKeyLongValuePair.odataType = n.getStringValue(); },
        "value": n => { stringKeyLongValuePair.value = n.getNumberValue(); },
    };
}
exports.deserializeIntoStringKeyLongValuePair = deserializeIntoStringKeyLongValuePair;
function serializeStringKeyLongValuePair(writer, stringKeyLongValuePair = {}) {
    writer.writeStringValue("key", stringKeyLongValuePair.key);
    writer.writeStringValue("@odata.type", stringKeyLongValuePair.odataType);
    writer.writeNumberValue("value", stringKeyLongValuePair.value);
    writer.writeAdditionalData(stringKeyLongValuePair.additionalData);
}
exports.serializeStringKeyLongValuePair = serializeStringKeyLongValuePair;
// tslint:enable
// eslint-enable
