"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeStringKeyObjectValuePair = exports.deserializeIntoStringKeyObjectValuePair = exports.createStringKeyObjectValuePairFromDiscriminatorValue = void 0;
function createStringKeyObjectValuePairFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoStringKeyObjectValuePair;
}
exports.createStringKeyObjectValuePairFromDiscriminatorValue = createStringKeyObjectValuePairFromDiscriminatorValue;
function deserializeIntoStringKeyObjectValuePair(stringKeyObjectValuePair = {}) {
    return {
        "key": n => { stringKeyObjectValuePair.key = n.getStringValue(); },
        "@odata.type": n => { stringKeyObjectValuePair.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoStringKeyObjectValuePair = deserializeIntoStringKeyObjectValuePair;
function serializeStringKeyObjectValuePair(writer, stringKeyObjectValuePair = {}) {
    writer.writeStringValue("key", stringKeyObjectValuePair.key);
    writer.writeStringValue("@odata.type", stringKeyObjectValuePair.odataType);
    writer.writeAdditionalData(stringKeyObjectValuePair.additionalData);
}
exports.serializeStringKeyObjectValuePair = serializeStringKeyObjectValuePair;
// tslint:enable
// eslint-enable
