import { type SubjectRightsRequestMailboxLocation } from './subjectRightsRequestMailboxLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestEnumeratedMailboxLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestEnumeratedMailboxLocation;
export declare function deserializeIntoSubjectRightsRequestEnumeratedMailboxLocation(subjectRightsRequestEnumeratedMailboxLocation?: SubjectRightsRequestEnumeratedMailboxLocation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestEnumeratedMailboxLocation(writer: SerializationWriter, subjectRightsRequestEnumeratedMailboxLocation?: SubjectRightsRequestEnumeratedMailboxLocation | undefined): void;
export interface SubjectRightsRequestEnumeratedMailboxLocation extends Parsable, SubjectRightsRequestMailboxLocation {
    /**
     * Collection of mailboxes that should be included in the search. Includes the user principal name (UPN) of each mailbox, for example, Monica.Thompson@contoso.com.
     */
    userPrincipalNames?: string[];
}
