import { type SubjectRightsRequestSiteLocation } from './subjectRightsRequestSiteLocation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectRightsRequestEnumeratedSiteLocationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubjectRightsRequestEnumeratedSiteLocation;
export declare function deserializeIntoSubjectRightsRequestEnumeratedSiteLocation(subjectRightsRequestEnumeratedSiteLocation?: SubjectRightsRequestEnumeratedSiteLocation | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectRightsRequestEnumeratedSiteLocation(writer: SerializationWriter, subjectRightsRequestEnumeratedSiteLocation?: SubjectRightsRequestEnumeratedSiteLocation | undefined): void;
export interface SubjectRightsRequestEnumeratedSiteLocation extends Parsable, SubjectRightsRequestSiteLocation {
    /**
     * Collection of site URLs that should be included. Includes the URL of each site, for example, https://www.contoso.com/site1.
     */
    urls?: string[];
}
