"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSubjectRightsRequestMailboxLocation = exports.deserializeIntoSubjectRightsRequestMailboxLocation = exports.createSubjectRightsRequestMailboxLocationFromDiscriminatorValue = void 0;
const subjectRightsRequestAllMailboxLocation_1 = require("./subjectRightsRequestAllMailboxLocation");
const subjectRightsRequestEnumeratedMailboxLocation_1 = require("./subjectRightsRequestEnumeratedMailboxLocation");
function createSubjectRightsRequestMailboxLocationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.subjectRightsRequestAllMailboxLocation":
                    return subjectRightsRequestAllMailboxLocation_1.deserializeIntoSubjectRightsRequestAllMailboxLocation;
                case "#microsoft.graph.subjectRightsRequestEnumeratedMailboxLocation":
                    return subjectRightsRequestEnumeratedMailboxLocation_1.deserializeIntoSubjectRightsRequestEnumeratedMailboxLocation;
            }
        }
    }
    return deserializeIntoSubjectRightsRequestMailboxLocation;
}
exports.createSubjectRightsRequestMailboxLocationFromDiscriminatorValue = createSubjectRightsRequestMailboxLocationFromDiscriminatorValue;
function deserializeIntoSubjectRightsRequestMailboxLocation(subjectRightsRequestMailboxLocation = {}) {
    return {
        "@odata.type": n => { subjectRightsRequestMailboxLocation.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSubjectRightsRequestMailboxLocation = deserializeIntoSubjectRightsRequestMailboxLocation;
function serializeSubjectRightsRequestMailboxLocation(writer, subjectRightsRequestMailboxLocation = {}) {
    writer.writeStringValue("@odata.type", subjectRightsRequestMailboxLocation.odataType);
    writer.writeAdditionalData(subjectRightsRequestMailboxLocation.additionalData);
}
exports.serializeSubjectRightsRequestMailboxLocation = serializeSubjectRightsRequestMailboxLocation;
// tslint:enable
// eslint-enable
