"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSubjectRightsRequestSiteLocation = exports.deserializeIntoSubjectRightsRequestSiteLocation = exports.createSubjectRightsRequestSiteLocationFromDiscriminatorValue = void 0;
const subjectRightsRequestAllSiteLocation_1 = require("./subjectRightsRequestAllSiteLocation");
const subjectRightsRequestEnumeratedSiteLocation_1 = require("./subjectRightsRequestEnumeratedSiteLocation");
function createSubjectRightsRequestSiteLocationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.subjectRightsRequestAllSiteLocation":
                    return subjectRightsRequestAllSiteLocation_1.deserializeIntoSubjectRightsRequestAllSiteLocation;
                case "#microsoft.graph.subjectRightsRequestEnumeratedSiteLocation":
                    return subjectRightsRequestEnumeratedSiteLocation_1.deserializeIntoSubjectRightsRequestEnumeratedSiteLocation;
            }
        }
    }
    return deserializeIntoSubjectRightsRequestSiteLocation;
}
exports.createSubjectRightsRequestSiteLocationFromDiscriminatorValue = createSubjectRightsRequestSiteLocationFromDiscriminatorValue;
function deserializeIntoSubjectRightsRequestSiteLocation(subjectRightsRequestSiteLocation = {}) {
    return {
        "@odata.type": n => { subjectRightsRequestSiteLocation.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSubjectRightsRequestSiteLocation = deserializeIntoSubjectRightsRequestSiteLocation;
function serializeSubjectRightsRequestSiteLocation(writer, subjectRightsRequestSiteLocation = {}) {
    writer.writeStringValue("@odata.type", subjectRightsRequestSiteLocation.odataType);
    writer.writeAdditionalData(subjectRightsRequestSiteLocation.additionalData);
}
exports.serializeSubjectRightsRequestSiteLocation = serializeSubjectRightsRequestSiteLocation;
// tslint:enable
// eslint-enable
