import { deserializeIntoAttributeRuleMembers } from './attributeRuleMembers';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubjectSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoAttributeRuleMembers;
export declare function deserializeIntoSubjectSet(subjectSet?: SubjectSet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubjectSet(writer: SerializationWriter, subjectSet?: SubjectSet | undefined): void;
export interface SubjectSet extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
