import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Subscription } from './subscription';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSubscriptionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSubscriptionCollectionResponse;
export declare function deserializeIntoSubscriptionCollectionResponse(subscriptionCollectionResponse?: SubscriptionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSubscriptionCollectionResponse(writer: SerializationWriter, subscriptionCollectionResponse?: SubscriptionCollectionResponse | undefined): void;
export interface SubscriptionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Subscription[];
}
