import { type OfferShiftRequest } from './offerShiftRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSwapShiftsChangeRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSwapShiftsChangeRequest;
export declare function deserializeIntoSwapShiftsChangeRequest(swapShiftsChangeRequest?: SwapShiftsChangeRequest | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSwapShiftsChangeRequest(writer: SerializationWriter, swapShiftsChangeRequest?: SwapShiftsChangeRequest | undefined): void;
export interface SwapShiftsChangeRequest extends OfferShiftRequest, Parsable {
    /**
     * ShiftId for the recipient user with whom the request is to swap.
     */
    recipientShiftId?: string;
}
