import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SwapShiftsChangeRequest } from './swapShiftsChangeRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSwapShiftsChangeRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSwapShiftsChangeRequestCollectionResponse;
export declare function deserializeIntoSwapShiftsChangeRequestCollectionResponse(swapShiftsChangeRequestCollectionResponse?: SwapShiftsChangeRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSwapShiftsChangeRequestCollectionResponse(writer: SerializationWriter, swapShiftsChangeRequestCollectionResponse?: SwapShiftsChangeRequestCollectionResponse | undefined): void;
export interface SwapShiftsChangeRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SwapShiftsChangeRequest[];
}
