import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SynchronizationJob } from './synchronizationJob';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationJobCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationJobCollectionResponse;
export declare function deserializeIntoSynchronizationJobCollectionResponse(synchronizationJobCollectionResponse?: SynchronizationJobCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationJobCollectionResponse(writer: SerializationWriter, synchronizationJobCollectionResponse?: SynchronizationJobCollectionResponse | undefined): void;
export interface SynchronizationJobCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SynchronizationJob[];
}
