"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSynchronizationProgress = exports.deserializeIntoSynchronizationProgress = exports.createSynchronizationProgressFromDiscriminatorValue = void 0;
function createSynchronizationProgressFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSynchronizationProgress;
}
exports.createSynchronizationProgressFromDiscriminatorValue = createSynchronizationProgressFromDiscriminatorValue;
function deserializeIntoSynchronizationProgress(synchronizationProgress = {}) {
    return {
        "completedUnits": n => { synchronizationProgress.completedUnits = n.getNumberValue(); },
        "@odata.type": n => { synchronizationProgress.odataType = n.getStringValue(); },
        "progressObservationDateTime": n => { synchronizationProgress.progressObservationDateTime = n.getDateValue(); },
        "totalUnits": n => { synchronizationProgress.totalUnits = n.getNumberValue(); },
        "units": n => { synchronizationProgress.units = n.getStringValue(); },
    };
}
exports.deserializeIntoSynchronizationProgress = deserializeIntoSynchronizationProgress;
function serializeSynchronizationProgress(writer, synchronizationProgress = {}) {
    writer.writeNumberValue("completedUnits", synchronizationProgress.completedUnits);
    writer.writeStringValue("@odata.type", synchronizationProgress.odataType);
    writer.writeDateValue("progressObservationDateTime", synchronizationProgress.progressObservationDateTime);
    writer.writeNumberValue("totalUnits", synchronizationProgress.totalUnits);
    writer.writeStringValue("units", synchronizationProgress.units);
    writer.writeAdditionalData(synchronizationProgress.additionalData);
}
exports.serializeSynchronizationProgress = serializeSynchronizationProgress;
// tslint:enable
// eslint-enable
