import { SynchronizationSecret } from './synchronizationSecret';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationSecretKeyStringValuePairFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationSecretKeyStringValuePair;
export declare function deserializeIntoSynchronizationSecretKeyStringValuePair(synchronizationSecretKeyStringValuePair?: SynchronizationSecretKeyStringValuePair | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationSecretKeyStringValuePair(writer: SerializationWriter, synchronizationSecretKeyStringValuePair?: SynchronizationSecretKeyStringValuePair | undefined): void;
export interface SynchronizationSecretKeyStringValuePair extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The key property
     */
    key?: SynchronizationSecret;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The value of the secret.
     */
    value?: string;
}
