import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type SynchronizationTemplate } from './synchronizationTemplate';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSynchronizationTemplateCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSynchronizationTemplateCollectionResponse;
export declare function deserializeIntoSynchronizationTemplateCollectionResponse(synchronizationTemplateCollectionResponse?: SynchronizationTemplateCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSynchronizationTemplateCollectionResponse(writer: SerializationWriter, synchronizationTemplateCollectionResponse?: SynchronizationTemplateCollectionResponse | undefined): void;
export interface SynchronizationTemplateCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: SynchronizationTemplate[];
}
