import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSystemFacetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSystemFacet;
export declare function deserializeIntoSystemFacet(systemFacet?: SystemFacet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSystemFacet(writer: SerializationWriter, systemFacet?: SystemFacet | undefined): void;
export interface SystemFacet extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
