"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeSystemFacet = exports.deserializeIntoSystemFacet = exports.createSystemFacetFromDiscriminatorValue = void 0;
function createSystemFacetFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoSystemFacet;
}
exports.createSystemFacetFromDiscriminatorValue = createSystemFacetFromDiscriminatorValue;
function deserializeIntoSystemFacet(systemFacet = {}) {
    return {
        "@odata.type": n => { systemFacet.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoSystemFacet = deserializeIntoSystemFacet;
function serializeSystemFacet(writer, systemFacet = {}) {
    writer.writeStringValue("@odata.type", systemFacet.odataType);
    writer.writeAdditionalData(systemFacet.additionalData);
}
exports.serializeSystemFacet = serializeSystemFacet;
// tslint:enable
// eslint-enable
