import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTabUpdatedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTabUpdatedEventMessageDetail;
export declare function deserializeIntoTabUpdatedEventMessageDetail(tabUpdatedEventMessageDetail?: TabUpdatedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTabUpdatedEventMessageDetail(writer: SerializationWriter, tabUpdatedEventMessageDetail?: TabUpdatedEventMessageDetail | undefined): void;
export interface TabUpdatedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Unique identifier of the tab.
     */
    tabId?: string;
}
