import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetApplicationOwnersFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetApplicationOwners;
export declare function deserializeIntoTargetApplicationOwners(targetApplicationOwners?: TargetApplicationOwners | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetApplicationOwners(writer: SerializationWriter, targetApplicationOwners?: TargetApplicationOwners | undefined): void;
export interface TargetApplicationOwners extends Parsable, SubjectSet {
}
