import { type SubjectSet } from './subjectSet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetManagerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetManager;
export declare function deserializeIntoTargetManager(targetManager?: TargetManager | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetManager(writer: SerializationWriter, targetManager?: TargetManager | undefined): void;
export interface TargetManager extends Parsable, SubjectSet {
    /**
     * Manager level, between 1 and 4. The direct manager is 1.
     */
    managerLevel?: number;
}
