import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TargetedManagedAppConfiguration } from './targetedManagedAppConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetedManagedAppConfigurationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetedManagedAppConfigurationCollectionResponse;
export declare function deserializeIntoTargetedManagedAppConfigurationCollectionResponse(targetedManagedAppConfigurationCollectionResponse?: TargetedManagedAppConfigurationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetedManagedAppConfigurationCollectionResponse(writer: SerializationWriter, targetedManagedAppConfigurationCollectionResponse?: TargetedManagedAppConfigurationCollectionResponse | undefined): void;
export interface TargetedManagedAppConfigurationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TargetedManagedAppConfiguration[];
}
