import { type DeviceAndAppManagementAssignmentTarget } from './deviceAndAppManagementAssignmentTarget';
import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTargetedManagedAppPolicyAssignment;
export declare function deserializeIntoTargetedManagedAppPolicyAssignment(targetedManagedAppPolicyAssignment?: TargetedManagedAppPolicyAssignment | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTargetedManagedAppPolicyAssignment(writer: SerializationWriter, targetedManagedAppPolicyAssignment?: TargetedManagedAppPolicyAssignment | undefined): void;
export interface TargetedManagedAppPolicyAssignment extends Entity, Parsable {
    /**
     * Identifier for deployment to a group or app
     */
    target?: DeviceAndAppManagementAssignmentTarget;
}
