import { type EventMessageDetail } from './eventMessageDetail';
import { type IdentitySet } from './identitySet';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamArchivedEventMessageDetailFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamArchivedEventMessageDetail;
export declare function deserializeIntoTeamArchivedEventMessageDetail(teamArchivedEventMessageDetail?: TeamArchivedEventMessageDetail | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamArchivedEventMessageDetail(writer: SerializationWriter, teamArchivedEventMessageDetail?: TeamArchivedEventMessageDetail | undefined): void;
export interface TeamArchivedEventMessageDetail extends EventMessageDetail, Parsable {
    /**
     * Initiator of the event.
     */
    initiator?: IdentitySet;
    /**
     * Unique identifier of the team.
     */
    teamId?: string;
}
