import { type TeamworkNotificationRecipient } from './teamworkNotificationRecipient';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamMembersNotificationRecipientFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamMembersNotificationRecipient;
export declare function deserializeIntoTeamMembersNotificationRecipient(teamMembersNotificationRecipient?: TeamMembersNotificationRecipient | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamMembersNotificationRecipient(writer: SerializationWriter, teamMembersNotificationRecipient?: TeamMembersNotificationRecipient | undefined): void;
export interface TeamMembersNotificationRecipient extends Parsable, TeamworkNotificationRecipient {
    /**
     * The unique identifier for the team whose members should receive the notification.
     */
    teamId?: string;
}
