"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeamMessagingSettings = exports.deserializeIntoTeamMessagingSettings = exports.createTeamMessagingSettingsFromDiscriminatorValue = void 0;
function createTeamMessagingSettingsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTeamMessagingSettings;
}
exports.createTeamMessagingSettingsFromDiscriminatorValue = createTeamMessagingSettingsFromDiscriminatorValue;
function deserializeIntoTeamMessagingSettings(teamMessagingSettings = {}) {
    return {
        "allowChannelMentions": n => { teamMessagingSettings.allowChannelMentions = n.getBooleanValue(); },
        "allowOwnerDeleteMessages": n => { teamMessagingSettings.allowOwnerDeleteMessages = n.getBooleanValue(); },
        "allowTeamMentions": n => { teamMessagingSettings.allowTeamMentions = n.getBooleanValue(); },
        "allowUserDeleteMessages": n => { teamMessagingSettings.allowUserDeleteMessages = n.getBooleanValue(); },
        "allowUserEditMessages": n => { teamMessagingSettings.allowUserEditMessages = n.getBooleanValue(); },
        "@odata.type": n => { teamMessagingSettings.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoTeamMessagingSettings = deserializeIntoTeamMessagingSettings;
function serializeTeamMessagingSettings(writer, teamMessagingSettings = {}) {
    writer.writeBooleanValue("allowChannelMentions", teamMessagingSettings.allowChannelMentions);
    writer.writeBooleanValue("allowOwnerDeleteMessages", teamMessagingSettings.allowOwnerDeleteMessages);
    writer.writeBooleanValue("allowTeamMentions", teamMessagingSettings.allowTeamMentions);
    writer.writeBooleanValue("allowUserDeleteMessages", teamMessagingSettings.allowUserDeleteMessages);
    writer.writeBooleanValue("allowUserEditMessages", teamMessagingSettings.allowUserEditMessages);
    writer.writeStringValue("@odata.type", teamMessagingSettings.odataType);
    writer.writeAdditionalData(teamMessagingSettings.additionalData);
}
exports.serializeTeamMessagingSettings = serializeTeamMessagingSettings;
// tslint:enable
// eslint-enable
