import { type TeamsAppResourceSpecificPermission } from './teamsAppResourceSpecificPermission';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsAppPermissionSetFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsAppPermissionSet;
export declare function deserializeIntoTeamsAppPermissionSet(teamsAppPermissionSet?: TeamsAppPermissionSet | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsAppPermissionSet(writer: SerializationWriter, teamsAppPermissionSet?: TeamsAppPermissionSet | undefined): void;
export interface TeamsAppPermissionSet extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * A collection of resource-specific permissions.
     */
    resourceSpecificPermissions?: TeamsAppResourceSpecificPermission[];
}
