import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamsTab } from './teamsTab';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsTabCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsTabCollectionResponse;
export declare function deserializeIntoTeamsTabCollectionResponse(teamsTabCollectionResponse?: TeamsTabCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsTabCollectionResponse(writer: SerializationWriter, teamsTabCollectionResponse?: TeamsTabCollectionResponse | undefined): void;
export interface TeamsTabCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamsTab[];
}
