"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeTeamsTabConfiguration = exports.deserializeIntoTeamsTabConfiguration = exports.createTeamsTabConfigurationFromDiscriminatorValue = void 0;
function createTeamsTabConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoTeamsTabConfiguration;
}
exports.createTeamsTabConfigurationFromDiscriminatorValue = createTeamsTabConfigurationFromDiscriminatorValue;
function deserializeIntoTeamsTabConfiguration(teamsTabConfiguration = {}) {
    return {
        "contentUrl": n => { teamsTabConfiguration.contentUrl = n.getStringValue(); },
        "entityId": n => { teamsTabConfiguration.entityId = n.getStringValue(); },
        "@odata.type": n => { teamsTabConfiguration.odataType = n.getStringValue(); },
        "removeUrl": n => { teamsTabConfiguration.removeUrl = n.getStringValue(); },
        "websiteUrl": n => { teamsTabConfiguration.websiteUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoTeamsTabConfiguration = deserializeIntoTeamsTabConfiguration;
function serializeTeamsTabConfiguration(writer, teamsTabConfiguration = {}) {
    writer.writeStringValue("contentUrl", teamsTabConfiguration.contentUrl);
    writer.writeStringValue("entityId", teamsTabConfiguration.entityId);
    writer.writeStringValue("@odata.type", teamsTabConfiguration.odataType);
    writer.writeStringValue("removeUrl", teamsTabConfiguration.removeUrl);
    writer.writeStringValue("websiteUrl", teamsTabConfiguration.websiteUrl);
    writer.writeAdditionalData(teamsTabConfiguration.additionalData);
}
exports.serializeTeamsTabConfiguration = serializeTeamsTabConfiguration;
// tslint:enable
// eslint-enable
