import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamsTemplateFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamsTemplate;
export declare function deserializeIntoTeamsTemplate(teamsTemplate?: TeamsTemplate | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamsTemplate(writer: SerializationWriter, teamsTemplate?: TeamsTemplate | undefined): void;
export interface TeamsTemplate extends Entity, Parsable {
}
