import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TeamworkTagMember } from './teamworkTagMember';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTeamworkTagMemberCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTeamworkTagMemberCollectionResponse;
export declare function deserializeIntoTeamworkTagMemberCollectionResponse(teamworkTagMemberCollectionResponse?: TeamworkTagMemberCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTeamworkTagMemberCollectionResponse(writer: SerializationWriter, teamworkTagMemberCollectionResponse?: TeamworkTagMemberCollectionResponse | undefined): void;
export interface TeamworkTagMemberCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TeamworkTagMember[];
}
