import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TelecomExpenseManagementPartner } from './telecomExpenseManagementPartner';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTelecomExpenseManagementPartnerCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTelecomExpenseManagementPartnerCollectionResponse;
export declare function deserializeIntoTelecomExpenseManagementPartnerCollectionResponse(telecomExpenseManagementPartnerCollectionResponse?: TelecomExpenseManagementPartnerCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTelecomExpenseManagementPartnerCollectionResponse(writer: SerializationWriter, telecomExpenseManagementPartnerCollectionResponse?: TelecomExpenseManagementPartnerCollectionResponse | undefined): void;
export interface TelecomExpenseManagementPartnerCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TelecomExpenseManagementPartner[];
}
