import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Group } from './group';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createGroupCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoGroupCollectionResponse;
export declare function deserializeIntoGroupCollectionResponse(groupCollectionResponse?: GroupCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface GroupCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Group[];
}
export declare function serializeGroupCollectionResponse(writer: SerializationWriter, groupCollectionResponse?: GroupCollectionResponse | undefined): void;
