"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLocalizedLabel = exports.deserializeIntoLocalizedLabel = exports.createLocalizedLabelFromDiscriminatorValue = void 0;
function createLocalizedLabelFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLocalizedLabel;
}
exports.createLocalizedLabelFromDiscriminatorValue = createLocalizedLabelFromDiscriminatorValue;
function deserializeIntoLocalizedLabel(localizedLabel = {}) {
    return {
        "isDefault": n => { localizedLabel.isDefault = n.getBooleanValue(); },
        "languageTag": n => { localizedLabel.languageTag = n.getStringValue(); },
        "name": n => { localizedLabel.name = n.getStringValue(); },
        "@odata.type": n => { localizedLabel.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoLocalizedLabel = deserializeIntoLocalizedLabel;
function serializeLocalizedLabel(writer, localizedLabel = {}) {
    writer.writeBooleanValue("isDefault", localizedLabel.isDefault);
    writer.writeStringValue("languageTag", localizedLabel.languageTag);
    writer.writeStringValue("name", localizedLabel.name);
    writer.writeStringValue("@odata.type", localizedLabel.odataType);
    writer.writeAdditionalData(localizedLabel.additionalData);
}
exports.serializeLocalizedLabel = serializeLocalizedLabel;
// tslint:enable
// eslint-enable
