"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeLocalizedName = exports.deserializeIntoLocalizedName = exports.createLocalizedNameFromDiscriminatorValue = void 0;
function createLocalizedNameFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoLocalizedName;
}
exports.createLocalizedNameFromDiscriminatorValue = createLocalizedNameFromDiscriminatorValue;
function deserializeIntoLocalizedName(localizedName = {}) {
    return {
        "languageTag": n => { localizedName.languageTag = n.getStringValue(); },
        "name": n => { localizedName.name = n.getStringValue(); },
        "@odata.type": n => { localizedName.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoLocalizedName = deserializeIntoLocalizedName;
function serializeLocalizedName(writer, localizedName = {}) {
    writer.writeStringValue("languageTag", localizedName.languageTag);
    writer.writeStringValue("name", localizedName.name);
    writer.writeStringValue("@odata.type", localizedName.odataType);
    writer.writeAdditionalData(localizedName.additionalData);
}
exports.serializeLocalizedName = serializeLocalizedName;
// tslint:enable
// eslint-enable
