import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Relation } from './relation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createRelationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoRelationCollectionResponse;
export declare function deserializeIntoRelationCollectionResponse(relationCollectionResponse?: RelationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export interface RelationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Relation[];
}
export declare function serializeRelationCollectionResponse(writer: SerializationWriter, relationCollectionResponse?: RelationCollectionResponse | undefined): void;
