import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Set } from './set';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createSetCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoSetCollectionResponse;
export declare function deserializeIntoSetCollectionResponse(setCollectionResponse?: SetCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeSetCollectionResponse(writer: SerializationWriter, setCollectionResponse?: SetCollectionResponse | undefined): void;
export interface SetCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Set[];
}
