import { type BaseCollectionPaginationCountResponse } from '../baseCollectionPaginationCountResponse';
import { type Store } from './store';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createStoreCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoStoreCollectionResponse;
export declare function deserializeIntoStoreCollectionResponse(storeCollectionResponse?: StoreCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeStoreCollectionResponse(writer: SerializationWriter, storeCollectionResponse?: StoreCollectionResponse | undefined): void;
export interface StoreCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Store[];
}
