import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type ThreatAssessmentRequest } from './threatAssessmentRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThreatAssessmentRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThreatAssessmentRequestCollectionResponse;
export declare function deserializeIntoThreatAssessmentRequestCollectionResponse(threatAssessmentRequestCollectionResponse?: ThreatAssessmentRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThreatAssessmentRequestCollectionResponse(writer: SerializationWriter, threatAssessmentRequestCollectionResponse?: ThreatAssessmentRequestCollectionResponse | undefined): void;
export interface ThreatAssessmentRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: ThreatAssessmentRequest[];
}
