import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createThumbnailColumnFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoThumbnailColumn;
export declare function deserializeIntoThumbnailColumn(thumbnailColumn?: ThumbnailColumn | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeThumbnailColumn(writer: SerializationWriter, thumbnailColumn?: ThumbnailColumn | undefined): void;
export interface ThumbnailColumn extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
