"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeThumbnailColumn = exports.deserializeIntoThumbnailColumn = exports.createThumbnailColumnFromDiscriminatorValue = void 0;
function createThumbnailColumnFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoThumbnailColumn;
}
exports.createThumbnailColumnFromDiscriminatorValue = createThumbnailColumnFromDiscriminatorValue;
function deserializeIntoThumbnailColumn(thumbnailColumn = {}) {
    return {
        "@odata.type": n => { thumbnailColumn.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoThumbnailColumn = deserializeIntoThumbnailColumn;
function serializeThumbnailColumn(writer, thumbnailColumn = {}) {
    writer.writeStringValue("@odata.type", thumbnailColumn.odataType);
    writer.writeAdditionalData(thumbnailColumn.additionalData);
}
exports.serializeThumbnailColumn = serializeThumbnailColumn;
// tslint:enable
// eslint-enable
