import { type StsPolicy } from './stsPolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTokenIssuancePolicyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTokenIssuancePolicy;
export declare function deserializeIntoTokenIssuancePolicy(tokenIssuancePolicy?: TokenIssuancePolicy | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTokenIssuancePolicy(writer: SerializationWriter, tokenIssuancePolicy?: TokenIssuancePolicy | undefined): void;
export interface TokenIssuancePolicy extends Parsable, StsPolicy {
}
