import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TokenIssuancePolicy } from './tokenIssuancePolicy';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTokenIssuancePolicyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTokenIssuancePolicyCollectionResponse;
export declare function deserializeIntoTokenIssuancePolicyCollectionResponse(tokenIssuancePolicyCollectionResponse?: TokenIssuancePolicyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTokenIssuancePolicyCollectionResponse(writer: SerializationWriter, tokenIssuancePolicyCollectionResponse?: TokenIssuancePolicyCollectionResponse | undefined): void;
export interface TokenIssuancePolicyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TokenIssuancePolicy[];
}
