import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type Training } from './training';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrainingCollectionResponse;
export declare function deserializeIntoTrainingCollectionResponse(trainingCollectionResponse?: TrainingCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingCollectionResponse(writer: SerializationWriter, trainingCollectionResponse?: TrainingCollectionResponse | undefined): void;
export interface TrainingCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: Training[];
}
