import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type TrainingLanguageDetail } from './trainingLanguageDetail';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createTrainingLanguageDetailCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoTrainingLanguageDetailCollectionResponse;
export declare function deserializeIntoTrainingLanguageDetailCollectionResponse(trainingLanguageDetailCollectionResponse?: TrainingLanguageDetailCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeTrainingLanguageDetailCollectionResponse(writer: SerializationWriter, trainingLanguageDetailCollectionResponse?: TrainingLanguageDetailCollectionResponse | undefined): void;
export interface TrainingLanguageDetailCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: TrainingLanguageDetail[];
}
