import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRbacResourceActionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRbacResourceAction;
export declare function deserializeIntoUnifiedRbacResourceAction(unifiedRbacResourceAction?: UnifiedRbacResourceAction | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRbacResourceAction(writer: SerializationWriter, unifiedRbacResourceAction?: UnifiedRbacResourceAction | undefined): void;
export interface UnifiedRbacResourceAction extends Entity, Parsable {
    /**
     * The actionVerb property
     */
    actionVerb?: string;
    /**
     * The authenticationContextId property
     */
    authenticationContextId?: string;
    /**
     * The description property
     */
    description?: string;
    /**
     * The isAuthenticationContextSettable property
     */
    isAuthenticationContextSettable?: boolean;
    /**
     * The name property
     */
    name?: string;
    /**
     * The resourceScopeId property
     */
    resourceScopeId?: string;
}
