import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRoleAssignment } from './unifiedRoleAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleAssignmentCollectionResponse;
export declare function deserializeIntoUnifiedRoleAssignmentCollectionResponse(unifiedRoleAssignmentCollectionResponse?: UnifiedRoleAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleAssignmentCollectionResponse(writer: SerializationWriter, unifiedRoleAssignmentCollectionResponse?: UnifiedRoleAssignmentCollectionResponse | undefined): void;
export interface UnifiedRoleAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRoleAssignment[];
}
