import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UnifiedRoleManagementPolicyAssignment } from './unifiedRoleManagementPolicyAssignment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUnifiedRoleManagementPolicyAssignmentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUnifiedRoleManagementPolicyAssignmentCollectionResponse;
export declare function deserializeIntoUnifiedRoleManagementPolicyAssignmentCollectionResponse(unifiedRoleManagementPolicyAssignmentCollectionResponse?: UnifiedRoleManagementPolicyAssignmentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUnifiedRoleManagementPolicyAssignmentCollectionResponse(writer: SerializationWriter, unifiedRoleManagementPolicyAssignmentCollectionResponse?: UnifiedRoleManagementPolicyAssignmentCollectionResponse | undefined): void;
export interface UnifiedRoleManagementPolicyAssignmentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UnifiedRoleManagementPolicyAssignment[];
}
