"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUnifiedRolePermission = exports.deserializeIntoUnifiedRolePermission = exports.createUnifiedRolePermissionFromDiscriminatorValue = void 0;
function createUnifiedRolePermissionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUnifiedRolePermission;
}
exports.createUnifiedRolePermissionFromDiscriminatorValue = createUnifiedRolePermissionFromDiscriminatorValue;
function deserializeIntoUnifiedRolePermission(unifiedRolePermission = {}) {
    return {
        "allowedResourceActions": n => { unifiedRolePermission.allowedResourceActions = n.getCollectionOfPrimitiveValues(); },
        "condition": n => { unifiedRolePermission.condition = n.getStringValue(); },
        "excludedResourceActions": n => { unifiedRolePermission.excludedResourceActions = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { unifiedRolePermission.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoUnifiedRolePermission = deserializeIntoUnifiedRolePermission;
function serializeUnifiedRolePermission(writer, unifiedRolePermission = {}) {
    writer.writeCollectionOfPrimitiveValues("allowedResourceActions", unifiedRolePermission.allowedResourceActions);
    writer.writeStringValue("condition", unifiedRolePermission.condition);
    writer.writeCollectionOfPrimitiveValues("excludedResourceActions", unifiedRolePermission.excludedResourceActions);
    writer.writeStringValue("@odata.type", unifiedRolePermission.odataType);
    writer.writeAdditionalData(unifiedRolePermission.additionalData);
}
exports.serializeUnifiedRolePermission = serializeUnifiedRolePermission;
// tslint:enable
// eslint-enable
