import { type WindowsDeviceAccount } from './windowsDeviceAccount';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUpdateWindowsDeviceAccountActionParameterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUpdateWindowsDeviceAccountActionParameter;
export declare function deserializeIntoUpdateWindowsDeviceAccountActionParameter(updateWindowsDeviceAccountActionParameter?: UpdateWindowsDeviceAccountActionParameter | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUpdateWindowsDeviceAccountActionParameter(writer: SerializationWriter, updateWindowsDeviceAccountActionParameter?: UpdateWindowsDeviceAccountActionParameter | undefined): void;
export interface UpdateWindowsDeviceAccountActionParameter extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Not yet documented
     */
    calendarSyncEnabled?: boolean;
    /**
     * Not yet documented
     */
    deviceAccount?: WindowsDeviceAccount;
    /**
     * Not yet documented
     */
    deviceAccountEmail?: string;
    /**
     * Not yet documented
     */
    exchangeServer?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Not yet documented
     */
    passwordRotationEnabled?: boolean;
    /**
     * Not yet documented
     */
    sessionInitiationProtocalAddress?: string;
}
