"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUploadSession = exports.deserializeIntoUploadSession = exports.createUploadSessionFromDiscriminatorValue = void 0;
function createUploadSessionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUploadSession;
}
exports.createUploadSessionFromDiscriminatorValue = createUploadSessionFromDiscriminatorValue;
function deserializeIntoUploadSession(uploadSession = {}) {
    return {
        "expirationDateTime": n => { uploadSession.expirationDateTime = n.getDateValue(); },
        "nextExpectedRanges": n => { uploadSession.nextExpectedRanges = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { uploadSession.odataType = n.getStringValue(); },
        "uploadUrl": n => { uploadSession.uploadUrl = n.getStringValue(); },
    };
}
exports.deserializeIntoUploadSession = deserializeIntoUploadSession;
function serializeUploadSession(writer, uploadSession = {}) {
    writer.writeDateValue("expirationDateTime", uploadSession.expirationDateTime);
    writer.writeCollectionOfPrimitiveValues("nextExpectedRanges", uploadSession.nextExpectedRanges);
    writer.writeStringValue("@odata.type", uploadSession.odataType);
    writer.writeStringValue("uploadUrl", uploadSession.uploadUrl);
    writer.writeAdditionalData(uploadSession.additionalData);
}
exports.serializeUploadSession = serializeUploadSession;
// tslint:enable
// eslint-enable
