import { type ThreatAssessmentRequest } from './threatAssessmentRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUrlAssessmentRequestFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUrlAssessmentRequest;
export declare function deserializeIntoUrlAssessmentRequest(urlAssessmentRequest?: UrlAssessmentRequest | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUrlAssessmentRequest(writer: SerializationWriter, urlAssessmentRequest?: UrlAssessmentRequest | undefined): void;
export interface UrlAssessmentRequest extends Parsable, ThreatAssessmentRequest {
    /**
     * The URL string.
     */
    url?: string;
}
