"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUsageDetails = exports.deserializeIntoUsageDetails = exports.createUsageDetailsFromDiscriminatorValue = void 0;
function createUsageDetailsFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUsageDetails;
}
exports.createUsageDetailsFromDiscriminatorValue = createUsageDetailsFromDiscriminatorValue;
function deserializeIntoUsageDetails(usageDetails = {}) {
    return {
        "lastAccessedDateTime": n => { usageDetails.lastAccessedDateTime = n.getDateValue(); },
        "lastModifiedDateTime": n => { usageDetails.lastModifiedDateTime = n.getDateValue(); },
        "@odata.type": n => { usageDetails.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoUsageDetails = deserializeIntoUsageDetails;
function serializeUsageDetails(writer, usageDetails = {}) {
    writer.writeDateValue("lastAccessedDateTime", usageDetails.lastAccessedDateTime);
    writer.writeDateValue("lastModifiedDateTime", usageDetails.lastModifiedDateTime);
    writer.writeStringValue("@odata.type", usageDetails.odataType);
    writer.writeAdditionalData(usageDetails.additionalData);
}
exports.serializeUsageDetails = serializeUsageDetails;
// tslint:enable
// eslint-enable
