import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserActivity } from './userActivity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserActivityCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserActivityCollectionResponse;
export declare function deserializeIntoUserActivityCollectionResponse(userActivityCollectionResponse?: UserActivityCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserActivityCollectionResponse(writer: SerializationWriter, userActivityCollectionResponse?: UserActivityCollectionResponse | undefined): void;
export interface UserActivityCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserActivity[];
}
