"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserAttributeValuesItem = exports.deserializeIntoUserAttributeValuesItem = exports.createUserAttributeValuesItemFromDiscriminatorValue = void 0;
function createUserAttributeValuesItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserAttributeValuesItem;
}
exports.createUserAttributeValuesItemFromDiscriminatorValue = createUserAttributeValuesItemFromDiscriminatorValue;
function deserializeIntoUserAttributeValuesItem(userAttributeValuesItem = {}) {
    return {
        "isDefault": n => { userAttributeValuesItem.isDefault = n.getBooleanValue(); },
        "name": n => { userAttributeValuesItem.name = n.getStringValue(); },
        "@odata.type": n => { userAttributeValuesItem.odataType = n.getStringValue(); },
        "value": n => { userAttributeValuesItem.value = n.getStringValue(); },
    };
}
exports.deserializeIntoUserAttributeValuesItem = deserializeIntoUserAttributeValuesItem;
function serializeUserAttributeValuesItem(writer, userAttributeValuesItem = {}) {
    writer.writeBooleanValue("isDefault", userAttributeValuesItem.isDefault);
    writer.writeStringValue("name", userAttributeValuesItem.name);
    writer.writeStringValue("@odata.type", userAttributeValuesItem.odataType);
    writer.writeStringValue("value", userAttributeValuesItem.value);
    writer.writeAdditionalData(userAttributeValuesItem.additionalData);
}
exports.serializeUserAttributeValuesItem = serializeUserAttributeValuesItem;
// tslint:enable
// eslint-enable
