import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserConsentRequest } from './userConsentRequest';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserConsentRequestCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserConsentRequestCollectionResponse;
export declare function deserializeIntoUserConsentRequestCollectionResponse(userConsentRequestCollectionResponse?: UserConsentRequestCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserConsentRequestCollectionResponse(writer: SerializationWriter, userConsentRequestCollectionResponse?: UserConsentRequestCollectionResponse | undefined): void;
export interface UserConsentRequestCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserConsentRequest[];
}
