import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsAppHealthDevicePerformance } from './userExperienceAnalyticsAppHealthDevicePerformance';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsAppHealthDevicePerformanceCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse(userExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse?: UserExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse?: UserExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsAppHealthDevicePerformanceCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsAppHealthDevicePerformance[];
}
