import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsCategory } from './userExperienceAnalyticsCategory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsCategoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsCategoryCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsCategoryCollectionResponse(userExperienceAnalyticsCategoryCollectionResponse?: UserExperienceAnalyticsCategoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsCategoryCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsCategoryCollectionResponse?: UserExperienceAnalyticsCategoryCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsCategoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsCategory[];
}
