import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsCloudIdentityDevicesSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsCloudIdentityDevicesSummary;
export declare function deserializeIntoUserExperienceAnalyticsCloudIdentityDevicesSummary(userExperienceAnalyticsCloudIdentityDevicesSummary?: UserExperienceAnalyticsCloudIdentityDevicesSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsCloudIdentityDevicesSummary(writer: SerializationWriter, userExperienceAnalyticsCloudIdentityDevicesSummary?: UserExperienceAnalyticsCloudIdentityDevicesSummary | undefined): void;
export interface UserExperienceAnalyticsCloudIdentityDevicesSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The count of devices that are not cloud identity. Read-only.
     */
    deviceWithoutCloudIdentityCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
}
