import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsCloudManagementDevicesSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsCloudManagementDevicesSummary;
export declare function deserializeIntoUserExperienceAnalyticsCloudManagementDevicesSummary(userExperienceAnalyticsCloudManagementDevicesSummary?: UserExperienceAnalyticsCloudManagementDevicesSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsCloudManagementDevicesSummary(writer: SerializationWriter, userExperienceAnalyticsCloudManagementDevicesSummary?: UserExperienceAnalyticsCloudManagementDevicesSummary | undefined): void;
export interface UserExperienceAnalyticsCloudManagementDevicesSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Total number of  co-managed devices. Read-only.
     */
    coManagedDeviceCount?: number;
    /**
     * The count of intune devices that are not autopilot registerd. Read-only.
     */
    intuneDeviceCount?: number;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Total count of tenant attach devices. Read-only.
     */
    tenantAttachDeviceCount?: number;
}
