import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsDeviceScores } from './userExperienceAnalyticsDeviceScores';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsDeviceScoresCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsDeviceScoresCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsDeviceScoresCollectionResponse(userExperienceAnalyticsDeviceScoresCollectionResponse?: UserExperienceAnalyticsDeviceScoresCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsDeviceScoresCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsDeviceScoresCollectionResponse?: UserExperienceAnalyticsDeviceScoresCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsDeviceScoresCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsDeviceScores[];
}
