"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserExperienceAnalyticsHealthState = void 0;
var UserExperienceAnalyticsHealthState;
(function (UserExperienceAnalyticsHealthState) {
    /** Indicates that the health state is unknown. */
    UserExperienceAnalyticsHealthState["Unknown"] = "unknown";
    /** Indicates that the health state is insufficient data. */
    UserExperienceAnalyticsHealthState["InsufficientData"] = "insufficientData";
    /** Indicates that the health state needs attention. */
    UserExperienceAnalyticsHealthState["NeedsAttention"] = "needsAttention";
    /** Indicates that the health state is meeting goals. */
    UserExperienceAnalyticsHealthState["MeetingGoals"] = "meetingGoals";
    /** Evolvable enumeration sentinel value. Do not use. */
    UserExperienceAnalyticsHealthState["UnknownFutureValue"] = "unknownFutureValue";
})(UserExperienceAnalyticsHealthState || (exports.UserExperienceAnalyticsHealthState = UserExperienceAnalyticsHealthState = {}));
// tslint:enable
// eslint-enable
