import { deserializeIntoInsightValueDouble } from './insightValueDouble';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsInsightValueFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoInsightValueDouble;
export declare function deserializeIntoUserExperienceAnalyticsInsightValue(userExperienceAnalyticsInsightValue?: UserExperienceAnalyticsInsightValue | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsInsightValue(writer: SerializationWriter, userExperienceAnalyticsInsightValue?: UserExperienceAnalyticsInsightValue | undefined): void;
export interface UserExperienceAnalyticsInsightValue extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
