import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsMetric } from './userExperienceAnalyticsMetric';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsMetricCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsMetricCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsMetricCollectionResponse(userExperienceAnalyticsMetricCollectionResponse?: UserExperienceAnalyticsMetricCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsMetricCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsMetricCollectionResponse?: UserExperienceAnalyticsMetricCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsMetricCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsMetric[];
}
