import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsMetricHistory } from './userExperienceAnalyticsMetricHistory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsMetricHistoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsMetricHistoryCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsMetricHistoryCollectionResponse(userExperienceAnalyticsMetricHistoryCollectionResponse?: UserExperienceAnalyticsMetricHistoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsMetricHistoryCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsMetricHistoryCollectionResponse?: UserExperienceAnalyticsMetricHistoryCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsMetricHistoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsMetricHistory[];
}
