import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsModelScores } from './userExperienceAnalyticsModelScores';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsModelScoresCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsModelScoresCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsModelScoresCollectionResponse(userExperienceAnalyticsModelScoresCollectionResponse?: UserExperienceAnalyticsModelScoresCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsModelScoresCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsModelScoresCollectionResponse?: UserExperienceAnalyticsModelScoresCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsModelScoresCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsModelScores[];
}
