import { type Entity } from './entity';
import { type UserExperienceAnalyticsInsight } from './userExperienceAnalyticsInsight';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsOverviewFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsOverview;
export declare function deserializeIntoUserExperienceAnalyticsOverview(userExperienceAnalyticsOverview?: UserExperienceAnalyticsOverview | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsOverview(writer: SerializationWriter, userExperienceAnalyticsOverview?: UserExperienceAnalyticsOverview | undefined): void;
export interface UserExperienceAnalyticsOverview extends Entity, Parsable {
    /**
     * The user experience analytics insights. Read-only.
     */
    insights?: UserExperienceAnalyticsInsight[];
}
