import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserExperienceAnalyticsScoreHistory } from './userExperienceAnalyticsScoreHistory';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsScoreHistoryCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsScoreHistoryCollectionResponse;
export declare function deserializeIntoUserExperienceAnalyticsScoreHistoryCollectionResponse(userExperienceAnalyticsScoreHistoryCollectionResponse?: UserExperienceAnalyticsScoreHistoryCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsScoreHistoryCollectionResponse(writer: SerializationWriter, userExperienceAnalyticsScoreHistoryCollectionResponse?: UserExperienceAnalyticsScoreHistoryCollectionResponse | undefined): void;
export interface UserExperienceAnalyticsScoreHistoryCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserExperienceAnalyticsScoreHistory[];
}
