import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserExperienceAnalyticsWindows10DevicesSummaryFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserExperienceAnalyticsWindows10DevicesSummary;
export declare function deserializeIntoUserExperienceAnalyticsWindows10DevicesSummary(userExperienceAnalyticsWindows10DevicesSummary?: UserExperienceAnalyticsWindows10DevicesSummary | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserExperienceAnalyticsWindows10DevicesSummary(writer: SerializationWriter, userExperienceAnalyticsWindows10DevicesSummary?: UserExperienceAnalyticsWindows10DevicesSummary | undefined): void;
export interface UserExperienceAnalyticsWindows10DevicesSummary extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The count of Windows 10 devices that have unsupported OS versions. Read-only.
     */
    unsupportedOSversionDeviceCount?: number;
}
