import { type PrinterShare } from './printerShare';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserPrintFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserPrint;
export declare function deserializeIntoUserPrint(userPrint?: UserPrint | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserPrint(writer: SerializationWriter, userPrint?: UserPrint | undefined): void;
export interface UserPrint extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The recentPrinterShares property
     */
    recentPrinterShares?: PrinterShare[];
}
