import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserRegistrationMethodCountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserRegistrationMethodCount;
export declare function deserializeIntoUserRegistrationMethodCount(userRegistrationMethodCount?: UserRegistrationMethodCount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserRegistrationMethodCount(writer: SerializationWriter, userRegistrationMethodCount?: UserRegistrationMethodCount | undefined): void;
export interface UserRegistrationMethodCount extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Name of the authentication method.
     */
    authenticationMethod?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Number of users registered.
     */
    userCount?: number;
}
