import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type UserScopeTeamsAppInstallation } from './userScopeTeamsAppInstallation';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createUserScopeTeamsAppInstallationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoUserScopeTeamsAppInstallationCollectionResponse;
export declare function deserializeIntoUserScopeTeamsAppInstallationCollectionResponse(userScopeTeamsAppInstallationCollectionResponse?: UserScopeTeamsAppInstallationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeUserScopeTeamsAppInstallationCollectionResponse(writer: SerializationWriter, userScopeTeamsAppInstallationCollectionResponse?: UserScopeTeamsAppInstallationCollectionResponse | undefined): void;
export interface UserScopeTeamsAppInstallationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: UserScopeTeamsAppInstallation[];
}
