"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserSimulationEventInfo = exports.deserializeIntoUserSimulationEventInfo = exports.createUserSimulationEventInfoFromDiscriminatorValue = void 0;
function createUserSimulationEventInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserSimulationEventInfo;
}
exports.createUserSimulationEventInfoFromDiscriminatorValue = createUserSimulationEventInfoFromDiscriminatorValue;
function deserializeIntoUserSimulationEventInfo(userSimulationEventInfo = {}) {
    return {
        "browser": n => { userSimulationEventInfo.browser = n.getStringValue(); },
        "eventDateTime": n => { userSimulationEventInfo.eventDateTime = n.getDateValue(); },
        "eventName": n => { userSimulationEventInfo.eventName = n.getStringValue(); },
        "ipAddress": n => { userSimulationEventInfo.ipAddress = n.getStringValue(); },
        "@odata.type": n => { userSimulationEventInfo.odataType = n.getStringValue(); },
        "osPlatformDeviceDetails": n => { userSimulationEventInfo.osPlatformDeviceDetails = n.getStringValue(); },
    };
}
exports.deserializeIntoUserSimulationEventInfo = deserializeIntoUserSimulationEventInfo;
function serializeUserSimulationEventInfo(writer, userSimulationEventInfo = {}) {
    writer.writeStringValue("browser", userSimulationEventInfo.browser);
    writer.writeDateValue("eventDateTime", userSimulationEventInfo.eventDateTime);
    writer.writeStringValue("eventName", userSimulationEventInfo.eventName);
    writer.writeStringValue("ipAddress", userSimulationEventInfo.ipAddress);
    writer.writeStringValue("@odata.type", userSimulationEventInfo.odataType);
    writer.writeStringValue("osPlatformDeviceDetails", userSimulationEventInfo.osPlatformDeviceDetails);
    writer.writeAdditionalData(userSimulationEventInfo.additionalData);
}
exports.serializeUserSimulationEventInfo = serializeUserSimulationEventInfo;
// tslint:enable
// eslint-enable
