"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeUserTrainingContentEventInfo = exports.deserializeIntoUserTrainingContentEventInfo = exports.createUserTrainingContentEventInfoFromDiscriminatorValue = void 0;
function createUserTrainingContentEventInfoFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoUserTrainingContentEventInfo;
}
exports.createUserTrainingContentEventInfoFromDiscriminatorValue = createUserTrainingContentEventInfoFromDiscriminatorValue;
function deserializeIntoUserTrainingContentEventInfo(userTrainingContentEventInfo = {}) {
    return {
        "browser": n => { userTrainingContentEventInfo.browser = n.getStringValue(); },
        "contentDateTime": n => { userTrainingContentEventInfo.contentDateTime = n.getDateValue(); },
        "ipAddress": n => { userTrainingContentEventInfo.ipAddress = n.getStringValue(); },
        "@odata.type": n => { userTrainingContentEventInfo.odataType = n.getStringValue(); },
        "osPlatformDeviceDetails": n => { userTrainingContentEventInfo.osPlatformDeviceDetails = n.getStringValue(); },
        "potentialScoreImpact": n => { userTrainingContentEventInfo.potentialScoreImpact = n.getNumberValue(); },
    };
}
exports.deserializeIntoUserTrainingContentEventInfo = deserializeIntoUserTrainingContentEventInfo;
function serializeUserTrainingContentEventInfo(writer, userTrainingContentEventInfo = {}) {
    writer.writeStringValue("browser", userTrainingContentEventInfo.browser);
    writer.writeDateValue("contentDateTime", userTrainingContentEventInfo.contentDateTime);
    writer.writeStringValue("ipAddress", userTrainingContentEventInfo.ipAddress);
    writer.writeStringValue("@odata.type", userTrainingContentEventInfo.odataType);
    writer.writeStringValue("osPlatformDeviceDetails", userTrainingContentEventInfo.osPlatformDeviceDetails);
    writer.writeNumberValue("potentialScoreImpact", userTrainingContentEventInfo.potentialScoreImpact);
    writer.writeAdditionalData(userTrainingContentEventInfo.additionalData);
}
exports.serializeUserTrainingContentEventInfo = serializeUserTrainingContentEventInfo;
// tslint:enable
// eslint-enable
