import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type VirtualEventRegistration } from './virtualEventRegistration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventRegistrationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventRegistrationCollectionResponse;
export declare function deserializeIntoVirtualEventRegistrationCollectionResponse(virtualEventRegistrationCollectionResponse?: VirtualEventRegistrationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventRegistrationCollectionResponse(writer: SerializationWriter, virtualEventRegistrationCollectionResponse?: VirtualEventRegistrationCollectionResponse | undefined): void;
export interface VirtualEventRegistrationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: VirtualEventRegistration[];
}
