import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventRegistrationQuestionAnswerFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventRegistrationQuestionAnswer;
export declare function deserializeIntoVirtualEventRegistrationQuestionAnswer(virtualEventRegistrationQuestionAnswer?: VirtualEventRegistrationQuestionAnswer | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventRegistrationQuestionAnswer(writer: SerializationWriter, virtualEventRegistrationQuestionAnswer?: VirtualEventRegistrationQuestionAnswer | undefined): void;
export interface VirtualEventRegistrationQuestionAnswer extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The booleanValue property
     */
    booleanValue?: boolean;
    /**
     * The displayName property
     */
    displayName?: string;
    /**
     * The multiChoiceValues property
     */
    multiChoiceValues?: string[];
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * The questionId property
     */
    questionId?: string;
    /**
     * The value property
     */
    value?: string;
}
