import { type DateTimeTimeZone } from './dateTimeTimeZone';
import { type OnlineMeetingBase } from './onlineMeetingBase';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventSessionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventSession;
export declare function deserializeIntoVirtualEventSession(virtualEventSession?: VirtualEventSession | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventSession(writer: SerializationWriter, virtualEventSession?: VirtualEventSession | undefined): void;
export interface VirtualEventSession extends OnlineMeetingBase, Parsable {
    /**
     * The endDateTime property
     */
    endDateTime?: DateTimeTimeZone;
    /**
     * The startDateTime property
     */
    startDateTime?: DateTimeTimeZone;
}
