import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type VirtualEventSession } from './virtualEventSession';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVirtualEventSessionCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVirtualEventSessionCollectionResponse;
export declare function deserializeIntoVirtualEventSessionCollectionResponse(virtualEventSessionCollectionResponse?: VirtualEventSessionCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVirtualEventSessionCollectionResponse(writer: SerializationWriter, virtualEventSessionCollectionResponse?: VirtualEventSessionCollectionResponse | undefined): void;
export interface VirtualEventSessionCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: VirtualEventSession[];
}
