"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeVppLicensingType = exports.deserializeIntoVppLicensingType = exports.createVppLicensingTypeFromDiscriminatorValue = void 0;
function createVppLicensingTypeFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoVppLicensingType;
}
exports.createVppLicensingTypeFromDiscriminatorValue = createVppLicensingTypeFromDiscriminatorValue;
function deserializeIntoVppLicensingType(vppLicensingType = {}) {
    return {
        "@odata.type": n => { vppLicensingType.odataType = n.getStringValue(); },
        "supportsDeviceLicensing": n => { vppLicensingType.supportsDeviceLicensing = n.getBooleanValue(); },
        "supportsUserLicensing": n => { vppLicensingType.supportsUserLicensing = n.getBooleanValue(); },
    };
}
exports.deserializeIntoVppLicensingType = deserializeIntoVppLicensingType;
function serializeVppLicensingType(writer, vppLicensingType = {}) {
    writer.writeStringValue("@odata.type", vppLicensingType.odataType);
    writer.writeBooleanValue("supportsDeviceLicensing", vppLicensingType.supportsDeviceLicensing);
    writer.writeBooleanValue("supportsUserLicensing", vppLicensingType.supportsUserLicensing);
    writer.writeAdditionalData(vppLicensingType.additionalData);
}
exports.serializeVppLicensingType = serializeVppLicensingType;
// tslint:enable
// eslint-enable
