import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type VppToken } from './vppToken';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createVppTokenCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoVppTokenCollectionResponse;
export declare function deserializeIntoVppTokenCollectionResponse(vppTokenCollectionResponse?: VppTokenCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeVppTokenCollectionResponse(writer: SerializationWriter, vppTokenCollectionResponse?: VppTokenCollectionResponse | undefined): void;
export interface VppTokenCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: VppToken[];
}
