"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWatermarkProtectionValues = exports.deserializeIntoWatermarkProtectionValues = exports.createWatermarkProtectionValuesFromDiscriminatorValue = void 0;
function createWatermarkProtectionValuesFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWatermarkProtectionValues;
}
exports.createWatermarkProtectionValuesFromDiscriminatorValue = createWatermarkProtectionValuesFromDiscriminatorValue;
function deserializeIntoWatermarkProtectionValues(watermarkProtectionValues = {}) {
    return {
        "isEnabledForContentSharing": n => { watermarkProtectionValues.isEnabledForContentSharing = n.getBooleanValue(); },
        "isEnabledForVideo": n => { watermarkProtectionValues.isEnabledForVideo = n.getBooleanValue(); },
        "@odata.type": n => { watermarkProtectionValues.odataType = n.getStringValue(); },
    };
}
exports.deserializeIntoWatermarkProtectionValues = deserializeIntoWatermarkProtectionValues;
function serializeWatermarkProtectionValues(writer, watermarkProtectionValues = {}) {
    writer.writeBooleanValue("isEnabledForContentSharing", watermarkProtectionValues.isEnabledForContentSharing);
    writer.writeBooleanValue("isEnabledForVideo", watermarkProtectionValues.isEnabledForVideo);
    writer.writeStringValue("@odata.type", watermarkProtectionValues.odataType);
    writer.writeAdditionalData(watermarkProtectionValues.additionalData);
}
exports.serializeWatermarkProtectionValues = serializeWatermarkProtectionValues;
// tslint:enable
// eslint-enable
