"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebBrowserCookieSettings = void 0;
/**
 * Web Browser Cookie Settings.
 */
var WebBrowserCookieSettings;
(function (WebBrowserCookieSettings) {
    /** Browser default value, no intent. */
    WebBrowserCookieSettings["BrowserDefault"] = "browserDefault";
    /** Always block cookies. */
    WebBrowserCookieSettings["BlockAlways"] = "blockAlways";
    /** Allow cookies from current Web site. */
    WebBrowserCookieSettings["AllowCurrentWebSite"] = "allowCurrentWebSite";
    /** Allow Cookies from websites visited. */
    WebBrowserCookieSettings["AllowFromWebsitesVisited"] = "allowFromWebsitesVisited";
    /** Always allow cookies. */
    WebBrowserCookieSettings["AllowAlways"] = "allowAlways";
})(WebBrowserCookieSettings || (exports.WebBrowserCookieSettings = WebBrowserCookieSettings = {}));
// tslint:enable
// eslint-enable
