"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Win32LobAppPowerShellScriptRuleOperationType = void 0;
/**
 * Contains all supported Powershell Script output detection type.
 */
var Win32LobAppPowerShellScriptRuleOperationType;
(function (Win32LobAppPowerShellScriptRuleOperationType) {
    /** Not configured. */
    Win32LobAppPowerShellScriptRuleOperationType["NotConfigured"] = "notConfigured";
    /** Output data type is string. */
    Win32LobAppPowerShellScriptRuleOperationType["String"] = "string";
    /** Output data type is date time. */
    Win32LobAppPowerShellScriptRuleOperationType["DateTime"] = "dateTime";
    /** Output data type is integer. */
    Win32LobAppPowerShellScriptRuleOperationType["Integer"] = "integer";
    /** Output data type is float. */
    Win32LobAppPowerShellScriptRuleOperationType["Float"] = "float";
    /** Output data type is version. */
    Win32LobAppPowerShellScriptRuleOperationType["Version"] = "version";
    /** Output data type is boolean. */
    Win32LobAppPowerShellScriptRuleOperationType["Boolean"] = "boolean";
})(Win32LobAppPowerShellScriptRuleOperationType || (exports.Win32LobAppPowerShellScriptRuleOperationType = Win32LobAppPowerShellScriptRuleOperationType = {}));
// tslint:enable
// eslint-enable
