import { type Win32LobAppRule } from './win32LobAppRule';
import { Win32LobAppRuleOperator } from './win32LobAppRuleOperator';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWin32LobAppProductCodeRuleFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWin32LobAppProductCodeRule;
export declare function deserializeIntoWin32LobAppProductCodeRule(win32LobAppProductCodeRule?: Win32LobAppProductCodeRule | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWin32LobAppProductCodeRule(writer: SerializationWriter, win32LobAppProductCodeRule?: Win32LobAppProductCodeRule | undefined): void;
export interface Win32LobAppProductCodeRule extends Parsable, Win32LobAppRule {
    /**
     * The product code of the app.
     */
    productCode?: string;
    /**
     * The product version comparison value.
     */
    productVersion?: string;
    /**
     * Contains properties for detection operator.
     */
    productVersionOperator?: Win32LobAppRuleOperator;
}
