"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Win32LobAppRestartBehavior = void 0;
/**
 * Indicates the type of restart action.
 */
var Win32LobAppRestartBehavior;
(function (Win32LobAppRestartBehavior) {
    /** Intune will restart the device after running the app installation if the operation returns a reboot code. */
    Win32LobAppRestartBehavior["BasedOnReturnCode"] = "basedOnReturnCode";
    /** Intune will not take any specific action on reboot codes resulting from app installations. Intune will not attempt to suppress restarts for MSI apps. */
    Win32LobAppRestartBehavior["Allow"] = "allow";
    /** Intune will attempt to suppress restarts for MSI apps. */
    Win32LobAppRestartBehavior["Suppress"] = "suppress";
    /** Intune will force the device to restart immediately after the app installation operation. */
    Win32LobAppRestartBehavior["Force"] = "force";
})(Win32LobAppRestartBehavior || (exports.Win32LobAppRestartBehavior = Win32LobAppRestartBehavior = {}));
// tslint:enable
// eslint-enable
