import { type DeviceConfiguration } from './deviceConfiguration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindows10EnterpriseModernAppManagementConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindows10EnterpriseModernAppManagementConfiguration;
export declare function deserializeIntoWindows10EnterpriseModernAppManagementConfiguration(windows10EnterpriseModernAppManagementConfiguration?: Windows10EnterpriseModernAppManagementConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindows10EnterpriseModernAppManagementConfiguration(writer: SerializationWriter, windows10EnterpriseModernAppManagementConfiguration?: Windows10EnterpriseModernAppManagementConfiguration | undefined): void;
export interface Windows10EnterpriseModernAppManagementConfiguration extends DeviceConfiguration, Parsable {
    /**
     * Indicates whether or not to uninstall a fixed list of built-in Windows apps.
     */
    uninstallBuiltInApps?: boolean;
}
