"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindows10NetworkProxyServer = exports.deserializeIntoWindows10NetworkProxyServer = exports.createWindows10NetworkProxyServerFromDiscriminatorValue = void 0;
function createWindows10NetworkProxyServerFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindows10NetworkProxyServer;
}
exports.createWindows10NetworkProxyServerFromDiscriminatorValue = createWindows10NetworkProxyServerFromDiscriminatorValue;
function deserializeIntoWindows10NetworkProxyServer(windows10NetworkProxyServer = {}) {
    return {
        "address": n => { windows10NetworkProxyServer.address = n.getStringValue(); },
        "exceptions": n => { windows10NetworkProxyServer.exceptions = n.getCollectionOfPrimitiveValues(); },
        "@odata.type": n => { windows10NetworkProxyServer.odataType = n.getStringValue(); },
        "useForLocalAddresses": n => { windows10NetworkProxyServer.useForLocalAddresses = n.getBooleanValue(); },
    };
}
exports.deserializeIntoWindows10NetworkProxyServer = deserializeIntoWindows10NetworkProxyServer;
function serializeWindows10NetworkProxyServer(writer, windows10NetworkProxyServer = {}) {
    writer.writeStringValue("address", windows10NetworkProxyServer.address);
    writer.writeCollectionOfPrimitiveValues("exceptions", windows10NetworkProxyServer.exceptions);
    writer.writeStringValue("@odata.type", windows10NetworkProxyServer.odataType);
    writer.writeBooleanValue("useForLocalAddresses", windows10NetworkProxyServer.useForLocalAddresses);
    writer.writeAdditionalData(windows10NetworkProxyServer.additionalData);
}
exports.serializeWindows10NetworkProxyServer = serializeWindows10NetworkProxyServer;
// tslint:enable
// eslint-enable
