import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsAppX } from './windowsAppX';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsAppXCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsAppXCollectionResponse;
export declare function deserializeIntoWindowsAppXCollectionResponse(windowsAppXCollectionResponse?: WindowsAppXCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsAppXCollectionResponse(writer: SerializationWriter, windowsAppXCollectionResponse?: WindowsAppXCollectionResponse | undefined): void;
export interface WindowsAppXCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsAppX[];
}
