"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsArchitecture = void 0;
/**
 * Contains properties for Windows architecture.
 */
var WindowsArchitecture;
(function (WindowsArchitecture) {
    /** No flags set. */
    WindowsArchitecture["None"] = "none";
    /** Whether or not the X86 Windows architecture type is supported. */
    WindowsArchitecture["X86"] = "x86";
    /** Whether or not the X64 Windows architecture type is supported. */
    WindowsArchitecture["X64"] = "x64";
    /** Whether or not the Arm Windows architecture type is supported. */
    WindowsArchitecture["Arm"] = "arm";
    /** Whether or not the Neutral Windows architecture type is supported. */
    WindowsArchitecture["Neutral"] = "neutral";
})(WindowsArchitecture || (exports.WindowsArchitecture = WindowsArchitecture = {}));
// tslint:enable
// eslint-enable
