import { type DeviceActionResult } from './deviceActionResult';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsDefenderScanActionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsDefenderScanActionResult;
export declare function deserializeIntoWindowsDefenderScanActionResult(windowsDefenderScanActionResult?: WindowsDefenderScanActionResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsDefenderScanActionResult(writer: SerializationWriter, windowsDefenderScanActionResult?: WindowsDefenderScanActionResult | undefined): void;
export interface WindowsDefenderScanActionResult extends DeviceActionResult, Parsable {
    /**
     * Scan type either full scan or quick scan
     */
    scanType?: string;
}
