import { type WindowsDeviceAccount } from './windowsDeviceAccount';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsDeviceADAccountFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsDeviceADAccount;
export declare function deserializeIntoWindowsDeviceADAccount(windowsDeviceADAccount?: WindowsDeviceADAccount | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsDeviceADAccount(writer: SerializationWriter, windowsDeviceADAccount?: WindowsDeviceADAccount | undefined): void;
export interface WindowsDeviceADAccount extends Parsable, WindowsDeviceAccount {
    /**
     * Not yet documented
     */
    domainName?: string;
    /**
     * Not yet documented
     */
    userName?: string;
}
