"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsDeviceHealthState = void 0;
/**
 * Computer endpoint protection state
 */
var WindowsDeviceHealthState;
(function (WindowsDeviceHealthState) {
    /** Computer is clean and no action is required */
    WindowsDeviceHealthState["Clean"] = "clean";
    /** Computer is in pending full scan state */
    WindowsDeviceHealthState["FullScanPending"] = "fullScanPending";
    /** Computer is in pending reboot state */
    WindowsDeviceHealthState["RebootPending"] = "rebootPending";
    /** Computer is in pending manual steps state */
    WindowsDeviceHealthState["ManualStepsPending"] = "manualStepsPending";
    /** Computer is in pending offline scan state */
    WindowsDeviceHealthState["OfflineScanPending"] = "offlineScanPending";
    /** Computer is in critical failure state */
    WindowsDeviceHealthState["Critical"] = "critical";
})(WindowsDeviceHealthState || (exports.WindowsDeviceHealthState = WindowsDeviceHealthState = {}));
// tslint:enable
// eslint-enable
