import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsHelloForBusinessAuthenticationMethod } from './windowsHelloForBusinessAuthenticationMethod';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsHelloForBusinessAuthenticationMethodCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsHelloForBusinessAuthenticationMethodCollectionResponse;
export declare function deserializeIntoWindowsHelloForBusinessAuthenticationMethodCollectionResponse(windowsHelloForBusinessAuthenticationMethodCollectionResponse?: WindowsHelloForBusinessAuthenticationMethodCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsHelloForBusinessAuthenticationMethodCollectionResponse(writer: SerializationWriter, windowsHelloForBusinessAuthenticationMethodCollectionResponse?: WindowsHelloForBusinessAuthenticationMethodCollectionResponse | undefined): void;
export interface WindowsHelloForBusinessAuthenticationMethodCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsHelloForBusinessAuthenticationMethod[];
}
