import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsInformationProtectionAppLockerFile } from './windowsInformationProtectionAppLockerFile';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionAppLockerFileCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionAppLockerFileCollectionResponse;
export declare function deserializeIntoWindowsInformationProtectionAppLockerFileCollectionResponse(windowsInformationProtectionAppLockerFileCollectionResponse?: WindowsInformationProtectionAppLockerFileCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionAppLockerFileCollectionResponse(writer: SerializationWriter, windowsInformationProtectionAppLockerFileCollectionResponse?: WindowsInformationProtectionAppLockerFileCollectionResponse | undefined): void;
export interface WindowsInformationProtectionAppLockerFileCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsInformationProtectionAppLockerFile[];
}
