"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsInformationProtectionDataRecoveryCertificate = exports.deserializeIntoWindowsInformationProtectionDataRecoveryCertificate = exports.createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue = void 0;
function createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindowsInformationProtectionDataRecoveryCertificate;
}
exports.createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue = createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue;
function deserializeIntoWindowsInformationProtectionDataRecoveryCertificate(windowsInformationProtectionDataRecoveryCertificate = {}) {
    return {
        "certificate": n => { windowsInformationProtectionDataRecoveryCertificate.certificate = n.getStringValue(); },
        "description": n => { windowsInformationProtectionDataRecoveryCertificate.description = n.getStringValue(); },
        "expirationDateTime": n => { windowsInformationProtectionDataRecoveryCertificate.expirationDateTime = n.getDateValue(); },
        "@odata.type": n => { windowsInformationProtectionDataRecoveryCertificate.odataType = n.getStringValue(); },
        "subjectName": n => { windowsInformationProtectionDataRecoveryCertificate.subjectName = n.getStringValue(); },
    };
}
exports.deserializeIntoWindowsInformationProtectionDataRecoveryCertificate = deserializeIntoWindowsInformationProtectionDataRecoveryCertificate;
function serializeWindowsInformationProtectionDataRecoveryCertificate(writer, windowsInformationProtectionDataRecoveryCertificate = {}) {
    writer.writeStringValue("certificate", windowsInformationProtectionDataRecoveryCertificate.certificate);
    writer.writeStringValue("description", windowsInformationProtectionDataRecoveryCertificate.description);
    writer.writeDateValue("expirationDateTime", windowsInformationProtectionDataRecoveryCertificate.expirationDateTime);
    writer.writeStringValue("@odata.type", windowsInformationProtectionDataRecoveryCertificate.odataType);
    writer.writeStringValue("subjectName", windowsInformationProtectionDataRecoveryCertificate.subjectName);
    writer.writeAdditionalData(windowsInformationProtectionDataRecoveryCertificate.additionalData);
}
exports.serializeWindowsInformationProtectionDataRecoveryCertificate = serializeWindowsInformationProtectionDataRecoveryCertificate;
// tslint:enable
// eslint-enable
