import { type WindowsInformationProtectionApp } from './windowsInformationProtectionApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionDesktopAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionDesktopApp;
export declare function deserializeIntoWindowsInformationProtectionDesktopApp(windowsInformationProtectionDesktopApp?: WindowsInformationProtectionDesktopApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionDesktopApp(writer: SerializationWriter, windowsInformationProtectionDesktopApp?: WindowsInformationProtectionDesktopApp | undefined): void;
export interface WindowsInformationProtectionDesktopApp extends Parsable, WindowsInformationProtectionApp {
    /**
     * The binary name.
     */
    binaryName?: string;
    /**
     * The high binary version.
     */
    binaryVersionHigh?: string;
    /**
     * The lower binary version.
     */
    binaryVersionLow?: string;
}
