import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsInformationProtectionResourceCollection;
export declare function deserializeIntoWindowsInformationProtectionResourceCollection(windowsInformationProtectionResourceCollection?: WindowsInformationProtectionResourceCollection | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsInformationProtectionResourceCollection(writer: SerializationWriter, windowsInformationProtectionResourceCollection?: WindowsInformationProtectionResourceCollection | undefined): void;
export interface WindowsInformationProtectionResourceCollection extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * Display name
     */
    displayName?: string;
    /**
     * The OdataType property
     */
    odataType?: string;
    /**
     * Collection of resources
     */
    resources?: string[];
}
