"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsInformationProtectionResourceCollection = exports.deserializeIntoWindowsInformationProtectionResourceCollection = exports.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue = void 0;
function createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindowsInformationProtectionResourceCollection;
}
exports.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue = createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue;
function deserializeIntoWindowsInformationProtectionResourceCollection(windowsInformationProtectionResourceCollection = {}) {
    return {
        "displayName": n => { windowsInformationProtectionResourceCollection.displayName = n.getStringValue(); },
        "@odata.type": n => { windowsInformationProtectionResourceCollection.odataType = n.getStringValue(); },
        "resources": n => { windowsInformationProtectionResourceCollection.resources = n.getCollectionOfPrimitiveValues(); },
    };
}
exports.deserializeIntoWindowsInformationProtectionResourceCollection = deserializeIntoWindowsInformationProtectionResourceCollection;
function serializeWindowsInformationProtectionResourceCollection(writer, windowsInformationProtectionResourceCollection = {}) {
    writer.writeStringValue("displayName", windowsInformationProtectionResourceCollection.displayName);
    writer.writeStringValue("@odata.type", windowsInformationProtectionResourceCollection.odataType);
    writer.writeCollectionOfPrimitiveValues("resources", windowsInformationProtectionResourceCollection.resources);
    writer.writeAdditionalData(windowsInformationProtectionResourceCollection.additionalData);
}
exports.serializeWindowsInformationProtectionResourceCollection = serializeWindowsInformationProtectionResourceCollection;
// tslint:enable
// eslint-enable
