"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serializeWindowsMinimumOperatingSystem = exports.deserializeIntoWindowsMinimumOperatingSystem = exports.createWindowsMinimumOperatingSystemFromDiscriminatorValue = void 0;
function createWindowsMinimumOperatingSystemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    return deserializeIntoWindowsMinimumOperatingSystem;
}
exports.createWindowsMinimumOperatingSystemFromDiscriminatorValue = createWindowsMinimumOperatingSystemFromDiscriminatorValue;
function deserializeIntoWindowsMinimumOperatingSystem(windowsMinimumOperatingSystem = {}) {
    return {
        "@odata.type": n => { windowsMinimumOperatingSystem.odataType = n.getStringValue(); },
        "v10_0": n => { windowsMinimumOperatingSystem.v10_0 = n.getBooleanValue(); },
        "v8_0": n => { windowsMinimumOperatingSystem.v8_0 = n.getBooleanValue(); },
        "v8_1": n => { windowsMinimumOperatingSystem.v8_1 = n.getBooleanValue(); },
    };
}
exports.deserializeIntoWindowsMinimumOperatingSystem = deserializeIntoWindowsMinimumOperatingSystem;
function serializeWindowsMinimumOperatingSystem(writer, windowsMinimumOperatingSystem = {}) {
    writer.writeStringValue("@odata.type", windowsMinimumOperatingSystem.odataType);
    writer.writeBooleanValue("v10_0", windowsMinimumOperatingSystem.v10_0);
    writer.writeBooleanValue("v8_0", windowsMinimumOperatingSystem.v8_0);
    writer.writeBooleanValue("v8_1", windowsMinimumOperatingSystem.v8_1);
    writer.writeAdditionalData(windowsMinimumOperatingSystem.additionalData);
}
exports.serializeWindowsMinimumOperatingSystem = serializeWindowsMinimumOperatingSystem;
// tslint:enable
// eslint-enable
