import { type DeviceConfiguration } from './deviceConfiguration';
import { type OmaSetting } from './omaSetting';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsPhone81CustomConfigurationFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsPhone81CustomConfiguration;
export declare function deserializeIntoWindowsPhone81CustomConfiguration(windowsPhone81CustomConfiguration?: WindowsPhone81CustomConfiguration | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsPhone81CustomConfiguration(writer: SerializationWriter, windowsPhone81CustomConfiguration?: WindowsPhone81CustomConfiguration | undefined): void;
export interface WindowsPhone81CustomConfiguration extends DeviceConfiguration, Parsable {
    /**
     * OMA settings. This collection can contain a maximum of 1000 elements.
     */
    omaSettings?: OmaSetting[];
}
