"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsStartMenuAppListVisibilityType = void 0;
/**
 * Type of start menu app list visibility.
 */
var WindowsStartMenuAppListVisibilityType;
(function (WindowsStartMenuAppListVisibilityType) {
    /** User defined. Default value. */
    WindowsStartMenuAppListVisibilityType["UserDefined"] = "userDefined";
    /** Collapse the app list on the start menu. */
    WindowsStartMenuAppListVisibilityType["Collapse"] = "collapse";
    /** Removes the app list entirely from the start menu. */
    WindowsStartMenuAppListVisibilityType["Remove"] = "remove";
    /** Disables the corresponding toggle (Collapse or Remove) in the Settings app. */
    WindowsStartMenuAppListVisibilityType["DisableSettingsApp"] = "disableSettingsApp";
})(WindowsStartMenuAppListVisibilityType || (exports.WindowsStartMenuAppListVisibilityType = WindowsStartMenuAppListVisibilityType = {}));
// tslint:enable
// eslint-enable
