import { type MobileAppAssignmentSettings } from './mobileAppAssignmentSettings';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsUniversalAppXAppAssignmentSettingsFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsUniversalAppXAppAssignmentSettings;
export declare function deserializeIntoWindowsUniversalAppXAppAssignmentSettings(windowsUniversalAppXAppAssignmentSettings?: WindowsUniversalAppXAppAssignmentSettings | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsUniversalAppXAppAssignmentSettings(writer: SerializationWriter, windowsUniversalAppXAppAssignmentSettings?: WindowsUniversalAppXAppAssignmentSettings | undefined): void;
export interface WindowsUniversalAppXAppAssignmentSettings extends MobileAppAssignmentSettings, Parsable {
    /**
     * If true, uses device execution context for Windows Universal AppX mobile app. Device-context install is not allowed when this type of app is targeted with Available intent. Defaults to false.
     */
    useDeviceContext?: boolean;
}
