import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WindowsUniversalAppX } from './windowsUniversalAppX';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsUniversalAppXCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsUniversalAppXCollectionResponse;
export declare function deserializeIntoWindowsUniversalAppXCollectionResponse(windowsUniversalAppXCollectionResponse?: WindowsUniversalAppXCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsUniversalAppXCollectionResponse(writer: SerializationWriter, windowsUniversalAppXCollectionResponse?: WindowsUniversalAppXCollectionResponse | undefined): void;
export interface WindowsUniversalAppXCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WindowsUniversalAppX[];
}
