import { type WindowsUpdateInstallScheduleType } from './windowsUpdateInstallScheduleType';
import { type Parsable, type ParseNode, type SerializationWriter, type TimeOnly } from '@microsoft/kiota-abstractions';
export declare function createWindowsUpdateActiveHoursInstallFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsUpdateActiveHoursInstall;
export declare function deserializeIntoWindowsUpdateActiveHoursInstall(windowsUpdateActiveHoursInstall?: WindowsUpdateActiveHoursInstall | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsUpdateActiveHoursInstall(writer: SerializationWriter, windowsUpdateActiveHoursInstall?: WindowsUpdateActiveHoursInstall | undefined): void;
export interface WindowsUpdateActiveHoursInstall extends Parsable, WindowsUpdateInstallScheduleType {
    /**
     * Active Hours End
     */
    activeHoursEnd?: TimeOnly;
    /**
     * Active Hours Start
     */
    activeHoursStart?: TimeOnly;
}
