import { deserializeIntoWindowsUpdateActiveHoursInstall } from './windowsUpdateActiveHoursInstall';
import { type AdditionalDataHolder, type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsUpdateInstallScheduleTypeFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsUpdateActiveHoursInstall;
export declare function deserializeIntoWindowsUpdateInstallScheduleType(windowsUpdateInstallScheduleType?: WindowsUpdateInstallScheduleType | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsUpdateInstallScheduleType(writer: SerializationWriter, windowsUpdateInstallScheduleType?: WindowsUpdateInstallScheduleType | undefined): void;
export interface WindowsUpdateInstallScheduleType extends AdditionalDataHolder, Parsable {
    /**
     * Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     */
    additionalData?: Record<string, unknown>;
    /**
     * The OdataType property
     */
    odataType?: string;
}
