import { type MobileApp } from './mobileApp';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWindowsWebAppFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWindowsWebApp;
export declare function deserializeIntoWindowsWebApp(windowsWebApp?: WindowsWebApp | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWindowsWebApp(writer: SerializationWriter, windowsWebApp?: WindowsWebApp | undefined): void;
export interface WindowsWebApp extends MobileApp, Parsable {
    /**
     * Indicates the Windows web app URL. Example: 'https://www.contoso.com'
     */
    appUrl?: string;
}
