import { type Entity } from './entity';
import { type WorkbookChartFont } from './workbookChartFont';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartAxisTitleFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartAxisTitleFormat;
export declare function deserializeIntoWorkbookChartAxisTitleFormat(workbookChartAxisTitleFormat?: WorkbookChartAxisTitleFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartAxisTitleFormat(writer: SerializationWriter, workbookChartAxisTitleFormat?: WorkbookChartAxisTitleFormat | undefined): void;
export interface WorkbookChartAxisTitleFormat extends Entity, Parsable {
    /**
     * Represents the font attributes, such as font name, font size, color, etc. of chart axis title object. Read-only.
     */
    font?: WorkbookChartFont;
}
