import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookChart } from './workbookChart';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartCollectionResponse;
export declare function deserializeIntoWorkbookChartCollectionResponse(workbookChartCollectionResponse?: WorkbookChartCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartCollectionResponse(writer: SerializationWriter, workbookChartCollectionResponse?: WorkbookChartCollectionResponse | undefined): void;
export interface WorkbookChartCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookChart[];
}
