import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartLineFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartLineFormat;
export declare function deserializeIntoWorkbookChartLineFormat(workbookChartLineFormat?: WorkbookChartLineFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartLineFormat(writer: SerializationWriter, workbookChartLineFormat?: WorkbookChartLineFormat | undefined): void;
export interface WorkbookChartLineFormat extends Entity, Parsable {
    /**
     * HTML color code representing the color of lines in the chart.
     */
    color?: string;
}
