import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookChartPoint } from './workbookChartPoint';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartPointCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartPointCollectionResponse;
export declare function deserializeIntoWorkbookChartPointCollectionResponse(workbookChartPointCollectionResponse?: WorkbookChartPointCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartPointCollectionResponse(writer: SerializationWriter, workbookChartPointCollectionResponse?: WorkbookChartPointCollectionResponse | undefined): void;
export interface WorkbookChartPointCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookChartPoint[];
}
