import { type Entity } from './entity';
import { type WorkbookChartFill } from './workbookChartFill';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartPointFormatFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartPointFormat;
export declare function deserializeIntoWorkbookChartPointFormat(workbookChartPointFormat?: WorkbookChartPointFormat | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartPointFormat(writer: SerializationWriter, workbookChartPointFormat?: WorkbookChartPointFormat | undefined): void;
export interface WorkbookChartPointFormat extends Entity, Parsable {
    /**
     * Represents the fill format of a chart, which includes background formatting information. Read-only.
     */
    fill?: WorkbookChartFill;
}
