import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookChartSeries } from './workbookChartSeries';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookChartSeriesCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookChartSeriesCollectionResponse;
export declare function deserializeIntoWorkbookChartSeriesCollectionResponse(workbookChartSeriesCollectionResponse?: WorkbookChartSeriesCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookChartSeriesCollectionResponse(writer: SerializationWriter, workbookChartSeriesCollectionResponse?: WorkbookChartSeriesCollectionResponse | undefined): void;
export interface WorkbookChartSeriesCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookChartSeries[];
}
