import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookComment } from './workbookComment';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookCommentCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookCommentCollectionResponse;
export declare function deserializeIntoWorkbookCommentCollectionResponse(workbookCommentCollectionResponse?: WorkbookCommentCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookCommentCollectionResponse(writer: SerializationWriter, workbookCommentCollectionResponse?: WorkbookCommentCollectionResponse | undefined): void;
export interface WorkbookCommentCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookComment[];
}
