import { type Entity } from './entity';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookCommentReplyFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookCommentReply;
export declare function deserializeIntoWorkbookCommentReply(workbookCommentReply?: WorkbookCommentReply | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookCommentReply(writer: SerializationWriter, workbookCommentReply?: WorkbookCommentReply | undefined): void;
export interface WorkbookCommentReply extends Entity, Parsable {
    /**
     * The content of a comment reply.
     */
    content?: string;
    /**
     * Indicates the type for the comment reply.
     */
    contentType?: string;
}
