import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookCommentReply } from './workbookCommentReply';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookCommentReplyCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookCommentReplyCollectionResponse;
export declare function deserializeIntoWorkbookCommentReplyCollectionResponse(workbookCommentReplyCollectionResponse?: WorkbookCommentReplyCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookCommentReplyCollectionResponse(writer: SerializationWriter, workbookCommentReplyCollectionResponse?: WorkbookCommentReplyCollectionResponse | undefined): void;
export interface WorkbookCommentReplyCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookCommentReply[];
}
