import { type Entity } from './entity';
import { type WorkbookFilterCriteria } from './workbookFilterCriteria';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookFilterFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookFilter;
export declare function deserializeIntoWorkbookFilter(workbookFilter?: WorkbookFilter | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookFilter(writer: SerializationWriter, workbookFilter?: WorkbookFilter | undefined): void;
export interface WorkbookFilter extends Entity, Parsable {
    /**
     * The currently applied filter on the given column. Read-only.
     */
    criteria?: WorkbookFilterCriteria;
}
