import { type Entity } from './entity';
import { type Json } from './json';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookFunctionResultFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookFunctionResult;
export declare function deserializeIntoWorkbookFunctionResult(workbookFunctionResult?: WorkbookFunctionResult | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookFunctionResult(writer: SerializationWriter, workbookFunctionResult?: WorkbookFunctionResult | undefined): void;
export interface WorkbookFunctionResult extends Entity, Parsable {
    /**
     * The error property
     */
    errorEscaped?: string;
    /**
     * The value property
     */
    value?: Json;
}
