import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkbookPivotTable } from './workbookPivotTable';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkbookPivotTableCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkbookPivotTableCollectionResponse;
export declare function deserializeIntoWorkbookPivotTableCollectionResponse(workbookPivotTableCollectionResponse?: WorkbookPivotTableCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkbookPivotTableCollectionResponse(writer: SerializationWriter, workbookPivotTableCollectionResponse?: WorkbookPivotTableCollectionResponse | undefined): void;
export interface WorkbookPivotTableCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkbookPivotTable[];
}
