import { type BaseCollectionPaginationCountResponse } from './baseCollectionPaginationCountResponse';
import { type WorkforceIntegration } from './workforceIntegration';
import { type Parsable, type ParseNode, type SerializationWriter } from '@microsoft/kiota-abstractions';
export declare function createWorkforceIntegrationCollectionResponseFromDiscriminatorValue(parseNode: ParseNode | undefined): typeof deserializeIntoWorkforceIntegrationCollectionResponse;
export declare function deserializeIntoWorkforceIntegrationCollectionResponse(workforceIntegrationCollectionResponse?: WorkforceIntegrationCollectionResponse | undefined): Record<string, (node: ParseNode) => void>;
export declare function serializeWorkforceIntegrationCollectionResponse(writer: SerializationWriter, workforceIntegrationCollectionResponse?: WorkforceIntegrationCollectionResponse | undefined): void;
export interface WorkforceIntegrationCollectionResponse extends BaseCollectionPaginationCountResponse, Parsable {
    /**
     * The value property
     */
    value?: WorkforceIntegration[];
}
